-- MySQL dump 10.13  Distrib 5.1.41, for debian-linux-gnu (i486)
--
-- Host: localhost    Database: conservatorio
-- ------------------------------------------------------
-- Server version	5.1.41-3ubuntu12.6

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `absence_per_day`
--

DROP TABLE IF EXISTS `absence_per_day`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `absence_per_day` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `student_id` int(11) NOT NULL,
  `date` date NOT NULL,
  `absence_type` int(11) NOT NULL,
  `absence_reason_id` int(11) NOT NULL,
  `justification_type_id` int(11) DEFAULT NULL,
  `justification_text` text,
  PRIMARY KEY (`id`),
  KEY `absence_per_day_FI_1` (`student_id`),
  KEY `absence_per_day_FI_2` (`absence_reason_id`),
  KEY `absence_per_day_FI_3` (`justification_type_id`),
  CONSTRAINT `absence_per_day_FK_1` FOREIGN KEY (`student_id`) REFERENCES `student` (`id`) ON DELETE CASCADE,
  CONSTRAINT `absence_per_day_FK_2` FOREIGN KEY (`absence_reason_id`) REFERENCES `absence_reason` (`id`),
  CONSTRAINT `absence_per_day_FK_3` FOREIGN KEY (`justification_type_id`) REFERENCES `justification_type` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `absence_per_day`
--

LOCK TABLES `absence_per_day` WRITE;
/*!40000 ALTER TABLE `absence_per_day` DISABLE KEYS */;
/*!40000 ALTER TABLE `absence_per_day` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `absence_per_subject`
--

DROP TABLE IF EXISTS `absence_per_subject`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `absence_per_subject` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `student_id` int(11) NOT NULL,
  `date` date NOT NULL,
  `subject_id` int(11) NOT NULL,
  `absence_type` int(11) NOT NULL,
  `absence_reason_id` int(11) NOT NULL,
  `justification_type_id` int(11) DEFAULT NULL,
  `justification_text` text,
  PRIMARY KEY (`id`),
  KEY `absence_per_subject_FI_1` (`student_id`),
  KEY `absence_per_subject_FI_2` (`subject_id`),
  KEY `absence_per_subject_FI_3` (`absence_reason_id`),
  KEY `absence_per_subject_FI_4` (`justification_type_id`),
  CONSTRAINT `absence_per_subject_FK_1` FOREIGN KEY (`student_id`) REFERENCES `student` (`id`) ON DELETE CASCADE,
  CONSTRAINT `absence_per_subject_FK_2` FOREIGN KEY (`subject_id`) REFERENCES `subject` (`id`),
  CONSTRAINT `absence_per_subject_FK_3` FOREIGN KEY (`absence_reason_id`) REFERENCES `absence_reason` (`id`),
  CONSTRAINT `absence_per_subject_FK_4` FOREIGN KEY (`justification_type_id`) REFERENCES `justification_type` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `absence_per_subject`
--

LOCK TABLES `absence_per_subject` WRITE;
/*!40000 ALTER TABLE `absence_per_subject` DISABLE KEYS */;
/*!40000 ALTER TABLE `absence_per_subject` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `absence_reason`
--

DROP TABLE IF EXISTS `absence_reason`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `absence_reason` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(256) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `absence_reason_U_1` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `absence_reason`
--

LOCK TABLES `absence_reason` WRITE;
/*!40000 ALTER TABLE `absence_reason` DISABLE KEYS */;
/*!40000 ALTER TABLE `absence_reason` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `address`
--

DROP TABLE IF EXISTS `address`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `address` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `state_id` int(11) DEFAULT NULL,
  `city_id` int(11) DEFAULT NULL,
  `street` varchar(255) NOT NULL,
  `number` varchar(255) NOT NULL,
  `floor` varchar(255) DEFAULT NULL,
  `flat` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `address_FI_1` (`state_id`),
  KEY `address_FI_2` (`city_id`),
  CONSTRAINT `address_FK_1` FOREIGN KEY (`state_id`) REFERENCES `state` (`id`),
  CONSTRAINT `address_FK_2` FOREIGN KEY (`city_id`) REFERENCES `city` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=31 DEFAULT CHARSET=latin1 COMMENT='Representa una direccion postal';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `address`
--

LOCK TABLES `address` WRITE;
/*!40000 ALTER TABLE `address` DISABLE KEYS */;
INSERT INTO `address` VALUES (1,2,408,'21','1233','',''),(2,2,408,'123','333','',''),(3,2,408,'213','123','',''),(4,2,408,'1333','44','',''),(5,24,22738,'San martin','520','',''),(6,5,13289,'Chira','321','',''),(7,2,408,'Diagonal 79','212','',''),(8,2,408,'Av 13','568','',''),(9,2,408,'dsad','33','',''),(10,2,408,'65','432','',''),(11,2,408,'44','525','3','b'),(12,2,408,'45','523','',''),(13,2,408,'33','123','',''),(14,10,3800,'Centenario','652','',''),(15,2,408,'44','567','',''),(16,2,408,'Diagonal 77','626','7','A'),(17,2,408,'56','789','',''),(18,2,408,'53','765','',''),(19,2,408,'25','654','',''),(20,2,408,'67','878','',''),(21,6,13990,'Guarani','463','',''),(22,2,408,'45','245','',''),(23,2,408,'49','488','',''),(24,24,22738,'Los cauquenes','3892','',''),(25,2,408,'45','3321','',''),(26,1,2,'25 de mayo','2912','15','G'),(27,2,408,'Diagonal 95','761','',''),(28,2,408,'47','1991','',''),(29,2,408,'321','212','',''),(30,2,408,'Diagonal 74','520','7','H');
/*!40000 ALTER TABLE `address` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `career`
--

DROP TABLE IF EXISTS `career`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `career` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `created_at` datetime DEFAULT NULL,
  `plan_name` varchar(255) NOT NULL COMMENT 'Nombre del plan',
  `quantity_years` int(11) NOT NULL COMMENT 'Cantidad de aÃ±os de la carrera',
  `career_name` varchar(255) NOT NULL COMMENT 'Nombre de la carrera',
  `career_status_id` int(11) NOT NULL COMMENT 'Referencia al estado de la carrera (Nueva, Vigente, No vigente)',
  `subject_configuration_id` int(11) NOT NULL COMMENT 'Referencia a la configuraciÃ³n global de las materias pertenecientes a esta carrera.',
  PRIMARY KEY (`id`),
  KEY `career_FI_1` (`subject_configuration_id`),
  CONSTRAINT `career_FK_1` FOREIGN KEY (`subject_configuration_id`) REFERENCES `subject_configuration` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1 COMMENT='Representa una Carrera';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `career`
--

LOCK TABLES `career` WRITE;
/*!40000 ALTER TABLE `career` DISABLE KEYS */;
INSERT INTO `career` VALUES (1,'2010-08-24 11:35:59','PLAN DE ESTUDIOS 2007',6,'SECUNDARIA',2,2);
/*!40000 ALTER TABLE `career` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `career_student`
--

DROP TABLE IF EXISTS `career_student`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `career_student` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `created_at` datetime DEFAULT NULL,
  `career_id` int(11) NOT NULL COMMENT 'Referencia a la carrera',
  `student_id` int(11) NOT NULL COMMENT 'Referencia al estudiante',
  `status` int(11) DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `career_student_FI_1` (`career_id`),
  KEY `career_student_FI_2` (`student_id`),
  CONSTRAINT `career_student_FK_1` FOREIGN KEY (`career_id`) REFERENCES `career` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `career_student_FK_2` FOREIGN KEY (`student_id`) REFERENCES `student` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=latin1 COMMENT='Cada tupla representa un inscripto a una carrera';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `career_student`
--

LOCK TABLES `career_student` WRITE;
/*!40000 ALTER TABLE `career_student` DISABLE KEYS */;
INSERT INTO `career_student` VALUES (1,'2010-08-26 14:10:06',1,4,1),(2,'2010-08-26 14:10:06',1,5,1),(3,'2010-08-26 14:10:06',1,14,1),(4,'2010-08-26 14:10:06',1,9,1),(5,'2010-08-26 14:10:06',1,8,1),(6,'2010-08-26 14:10:06',1,6,1),(7,'2010-08-26 14:10:06',1,18,1),(8,'2010-08-26 14:10:06',1,3,1),(9,'2010-08-26 14:10:06',1,17,1),(10,'2010-08-26 14:10:06',1,7,1),(11,'2010-08-26 14:10:06',1,21,1),(12,'2010-08-26 14:10:06',1,11,1),(13,'2010-08-26 14:10:06',1,20,1),(14,'2010-08-26 14:10:06',1,19,1),(15,'2010-08-26 14:10:06',1,16,1),(16,'2010-08-26 14:10:06',1,10,1),(17,'2010-08-26 14:10:07',1,13,1),(18,'2010-08-26 14:10:07',1,15,1),(19,'2010-08-26 14:10:07',1,12,1);
/*!40000 ALTER TABLE `career_student` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `career_subject`
--

DROP TABLE IF EXISTS `career_subject`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `career_subject` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `created_at` datetime DEFAULT NULL,
  `career_id` int(11) NOT NULL COMMENT 'Referencia a la carrera',
  `subject_id` int(11) NOT NULL COMMENT 'Referencia a la materia',
  `year` int(11) NOT NULL COMMENT 'Representa un entero q indica el aÃ±o de la carrera para esa materia',
  `subject_configuration_id` int(11) DEFAULT NULL COMMENT 'Referencia a la configuraciÃ³n particular de la materia en una carrera. Sobreescribe la global.',
  `credit_hours` int(11) DEFAULT NULL COMMENT 'Carga horaria de la materia',
  `has_options` tinyint(4) DEFAULT '0',
  `is_option` tinyint(4) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `career_subject_FI_1` (`career_id`),
  KEY `career_subject_FI_2` (`subject_id`),
  KEY `career_subject_FI_3` (`subject_configuration_id`),
  CONSTRAINT `career_subject_FK_1` FOREIGN KEY (`career_id`) REFERENCES `career` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `career_subject_FK_2` FOREIGN KEY (`subject_id`) REFERENCES `subject` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `career_subject_FK_3` FOREIGN KEY (`subject_configuration_id`) REFERENCES `subject_configuration` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=80 DEFAULT CHARSET=latin1 COMMENT='Cada tupla representa una carrera, una materia y el aÃ±o';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `career_subject`
--

LOCK TABLES `career_subject` WRITE;
/*!40000 ALTER TABLE `career_subject` DISABLE KEYS */;
INSERT INTO `career_subject` VALUES (1,'2010-08-24 11:36:27',1,1,1,NULL,6,0,0),(2,'2010-08-24 11:36:40',1,2,1,NULL,6,0,0),(3,'2010-08-24 11:36:52',1,3,1,NULL,3,0,0),(4,'2010-08-24 11:37:02',1,4,1,NULL,3,0,0),(5,'2010-08-24 11:37:12',1,5,1,NULL,6,0,0),(6,'2010-08-24 11:37:25',1,6,1,NULL,2,0,0),(7,'2010-08-24 11:37:35',1,7,1,NULL,3,0,0),(8,'2010-08-24 11:38:25',1,8,1,NULL,2,0,0),(9,'2010-08-24 11:38:41',1,9,1,NULL,2,0,0),(10,'2010-08-24 11:38:54',1,10,1,NULL,2,0,0),(11,'2010-08-24 11:39:52',1,76,1,NULL,3,0,0),(12,'2010-08-24 11:40:05',1,11,2,NULL,6,0,0),(13,'2010-08-24 11:40:14',1,12,2,NULL,6,0,0),(14,'2010-08-24 11:40:24',1,13,2,NULL,3,0,0),(15,'2010-08-24 11:40:35',1,14,2,NULL,3,0,0),(16,'2010-08-24 11:40:41',1,15,2,NULL,3,0,0),(17,'2010-08-24 11:40:49',1,16,2,NULL,3,0,0),(18,'2010-08-24 11:40:59',1,17,2,NULL,3,0,0),(19,'2010-08-24 11:41:12',1,18,2,NULL,3,0,0),(20,'2010-08-24 11:41:38',1,19,2,NULL,2,0,0),(21,'2010-08-24 11:41:48',1,20,2,NULL,2,0,0),(22,'2010-08-24 11:41:58',1,21,2,NULL,2,0,0),(23,'2010-08-24 11:42:15',1,22,2,NULL,1,0,0),(24,'2010-08-24 11:42:24',1,23,2,NULL,3,0,0),(25,'2010-08-24 11:42:39',1,24,3,NULL,6,0,0),(26,'2010-08-24 11:42:47',1,25,3,NULL,6,0,0),(27,'2010-08-24 11:42:56',1,26,3,NULL,3,0,0),(28,'2010-08-24 11:43:03',1,27,3,NULL,3,0,0),(29,'2010-08-24 11:43:11',1,28,3,NULL,3,0,0),(30,'2010-08-24 11:43:26',1,29,3,NULL,3,0,0),(31,'2010-08-24 11:43:34',1,30,3,NULL,3,0,0),(32,'2010-08-24 11:43:44',1,31,3,NULL,3,0,0),(33,'2010-08-24 11:43:51',1,32,3,NULL,3,0,0),(34,'2010-08-24 11:43:59',1,33,3,NULL,3,0,0),(35,'2010-08-24 11:44:11',1,35,3,NULL,2,0,0),(36,'2010-08-24 11:44:20',1,34,3,NULL,2,0,0),(37,'2010-08-24 11:44:33',1,36,3,NULL,2,0,0),(38,'2010-08-24 11:44:45',1,37,3,NULL,2,0,0),(39,'2010-08-24 11:45:37',1,38,4,NULL,4,0,0),(40,'2010-08-24 11:45:47',1,39,4,NULL,4,0,0),(41,'2010-08-24 11:45:55',1,40,4,NULL,4,0,0),(42,'2010-08-24 11:46:11',1,41,4,NULL,3,0,0),(43,'2010-08-24 11:46:22',1,42,4,NULL,3,0,0),(44,'2010-08-24 11:46:31',1,43,4,NULL,4,0,0),(45,'2010-08-24 11:46:46',1,44,4,NULL,4,0,0),(46,'2010-08-24 11:46:57',1,49,4,NULL,4,0,0),(47,'2010-08-24 11:52:48',1,45,4,NULL,6,0,0),(48,'2010-08-24 11:54:01',1,46,4,NULL,6,0,0),(49,'2010-08-24 11:54:14',1,47,4,NULL,6,0,0),(50,'2010-08-24 11:54:26',1,48,4,NULL,6,0,0),(51,'2010-08-24 11:54:40',1,50,4,NULL,2,0,0),(52,'2010-08-24 11:54:51',1,51,5,NULL,4,0,0),(53,'2010-08-24 11:55:00',1,52,5,NULL,3,0,0),(54,'2010-08-24 11:55:10',1,53,5,NULL,3,0,0),(55,'2010-08-24 11:55:20',1,54,5,NULL,2,0,0),(56,'2010-08-24 11:55:29',1,55,5,NULL,3,0,0),(57,'2010-08-24 11:55:39',1,57,5,NULL,6,0,0),(58,'2010-08-24 11:55:49',1,58,5,NULL,6,0,0),(59,'2010-08-24 11:56:02',1,59,5,NULL,6,0,0),(60,'2010-08-24 11:56:13',1,60,5,NULL,6,0,0),(61,'2010-08-24 11:56:24',1,61,5,NULL,6,0,0),(62,'2010-08-24 11:56:32',1,62,5,NULL,3,0,0),(63,'2010-08-24 11:56:40',1,63,5,NULL,3,1,0),(64,'2010-08-24 11:56:54',1,64,5,NULL,2,0,0),(65,'2010-08-24 11:57:15',1,65,6,NULL,4,0,0),(66,'2010-08-24 11:57:22',1,66,6,NULL,4,0,0),(67,'2010-08-24 11:57:34',1,67,3,NULL,3,0,0),(68,'2010-08-24 11:57:42',1,68,6,NULL,2,0,0),(69,'2010-08-24 11:57:51',1,69,6,NULL,3,0,0),(70,'2010-08-24 11:57:59',1,70,6,NULL,4,0,0),(71,'2010-08-24 11:58:12',1,71,6,NULL,4,0,0),(72,'2010-08-24 11:58:20',1,72,6,NULL,15,0,0),(73,'2010-08-24 11:58:29',1,73,6,NULL,NULL,0,0),(74,'2010-08-24 11:58:42',1,74,6,NULL,4,0,0),(75,'2010-08-24 11:59:05',1,56,5,NULL,NULL,0,0),(76,'2010-08-24 11:59:14',1,75,6,NULL,2,0,0),(77,'2010-08-24 12:14:39',1,77,5,NULL,3,0,1),(78,'2010-08-24 12:14:43',1,78,5,NULL,3,0,1),(79,'2010-08-24 12:14:48',1,79,5,NULL,3,0,1);
/*!40000 ALTER TABLE `career_subject` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `city`
--

DROP TABLE IF EXISTS `city`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `city` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `zip_code` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `state_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `city_FI_1` (`state_id`),
  CONSTRAINT `city_FK_1` FOREIGN KEY (`state_id`) REFERENCES `state` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=22819 DEFAULT CHARSET=latin1 COMMENT='Representa una ciudad';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `city`
--

LOCK TABLES `city` WRITE;
/*!40000 ALTER TABLE `city` DISABLE KEYS */;
INSERT INTO `city` VALUES (1,'1001','Campo iturraspe',1),(2,'1002','Ciudad autonoma buenos aires',1),(3,'1601','Isla martin garcia',2),(4,'1602','Florida',2),(5,'1602','Florida oeste',2),(6,'1603','Villa martelli',2),(7,'1604','Florida oeste',2),(8,'1605','Carapachay',2),(9,'1605','Munro',2),(10,'1606','Carapachay',2),(11,'1607','Villa adelina',2),(12,'1608','Troncos del talar',2),(13,'1609','Boulogne',2),(14,'1610','Ricardo rojas',2),(15,'1611','Don torcuato',2),(16,'1612','Ingeniero adolfo sourdeaux',2),(17,'1613','Los polvorines',2),(18,'1613','Pablo nogues',2),(19,'1614','Villa de mayo',2),(20,'1615','Grand bourg',2),(21,'1616','Pablo nogues',2),(22,'1617','El talar',2),(23,'1617','General pacheco',2),(24,'1618','El talar',2),(25,'1618','Ricardo rojas',2),(26,'1618','Troncos del talar',2),(27,'1619','Garin',2),(28,'1619','Maquinista f savio',2),(29,'1619','Ruta 26 kilometro 48',2),(30,'1619','Ruta 26 maquinista f savio',2),(31,'1620','Maquinista f savio',2),(32,'1621','Benavidez',2),(33,'1622','Dique lujan',2),(34,'1623','Barrio garin norte',2),(35,'1623','Barrio parque lambare',2),(36,'1623','Dique lujan',2),(37,'1623','Ingeniero maschwitz',2),(38,'1623','La gracielita',2),(39,'1623','Punta de canal',2),(40,'1624','Rincon de milberg',2),(41,'1625','Arroyo canelon',2),(42,'1625','Arroyo las rosas',2),(43,'1625','Barrio el cazador',2),(44,'1625','Belen de escobar',2),(45,'1625','Campomar viÑedo',2),(46,'1625','Loma verde',2),(47,'1625','Puerto de escobar',2),(48,'1625','Villa la chechela',2),(49,'1625','Villa vallier',2),(50,'1626','Barrio el cazador',2),(51,'1627','Matheu',2),(52,'1627','Zelaya',2),(53,'1628','Loma verde',2),(54,'1629','Almirante irizar',2),(55,'1629','Barrio san alejo',2),(56,'1629','Establecimiento san miguel',2),(57,'1629','Kilometro 61',2),(58,'1629','Manzanares',2),(59,'1629','Pilar',2),(60,'1629','Villa agueda',2),(61,'1629','Villa buide',2),(62,'1629','Villa santa maria',2),(63,'1629','Villa verde',2),(64,'1630','Pilar',2),(65,'1631','Villa rosa',2),(66,'1632','Manzanares',2),(67,'1633','Empalme',2),(68,'1633','Fatima estacion empalme',2),(69,'1633','Manzone',2),(70,'1634','Villa astolfi',2),(71,'1635','Kilometro 45',2),(72,'1635','Presidente derqui',2),(73,'1635','Toro',2),(74,'1636','La lucila',2),(75,'1636','Olivos',2),(76,'1637','La lucila',2),(77,'1638','Vicente lopez',2),(78,'1639','Zelaya',2),(79,'1640','Acassuso',2),(80,'1640','Martinez',2),(81,'1641','Acassuso',2),(82,'1642','San isidro',2),(83,'1643','Beccar',2),(84,'1644','Victoria',2),(85,'1645','Virreyes',2),(86,'1646','San fernando',2),(87,'1647','Arroyo baltazar',3),(88,'1647','Arroyo baltazar chico',3),(89,'1647','Arroyo boca falsa',3),(90,'1647','Arroyo bravo gutierrez',3),(91,'1647','Arroyo brazo chico',3),(92,'1647','Arroyo brazo de la tinta',3),(93,'1647','Arroyo carbon',3),(94,'1647','Arroyo carboncito',3),(95,'1647','Arroyo carpincho',3),(96,'1647','Arroyo correntoso',3),(97,'1647','Arroyo cuzco',3),(98,'1647','Arroyo de la rosa',3),(99,'1647','Arroyo desaguad del gutierrez',3),(100,'1647','Arroyo desaguadero del sauce',3),(101,'1647','Arroyo gutierrez chico',3),(102,'1647','Arroyo la tinta',3),(103,'1647','Arroyo malambo',3),(104,'1647','Arroyo martinez',3),(105,'1647','Arroyo negro',3),(106,'1647','Arroyo Ñancay',3),(107,'1647','Arroyo paciencia chico',3),(108,'1647','Arroyo paciencia grande',3),(109,'1647','Arroyo pelado',3),(110,'1647','Arroyo perdido ceibo',3),(111,'1647','Arroyo perdido mosquito',3),(112,'1647','Arroyo piedras',3),(113,'1647','Arroyo sagastume chico',3),(114,'1647','Arroyo sagastume grande',3),(115,'1647','Arroyo santos chico',3),(116,'1647','Arroyo santos grande',3),(117,'1647','Arroyo tiroles',3),(118,'1647','Brazo largo',3),(119,'1647','Canal nuevo',3),(120,'1647','Canal san martin',3),(121,'1647','La chilena canal',3),(122,'1647','Rio paranacito',3),(123,'1647','Zanja la chilena',3),(124,'1647','Zona delta san fernando',2),(125,'1648','Rincon de milberg',2),(126,'1648','Tigre',2),(127,'1649','Arroyo bicho feo',3),(128,'1649','Arroyo ceibito',3),(129,'1649','Arroyo cucharas',3),(130,'1649','Arroyo garcete',3),(131,'1649','Arroyo lara',3),(132,'1649','Arroyo las animas',3),(133,'1649','Arroyo llorones',3),(134,'1649','Arroyo manzano',3),(135,'1649','Arroyo merlo',3),(136,'1649','Arroyo mosquito',3),(137,'1649','Arroyo pereyra',3),(138,'1649','Arroyo pito',3),(139,'1649','Arroyo platitos',3),(140,'1649','Lobos arroyo',3),(141,'1649','Sauce rio',3),(142,'1649','Zona delta tigre',2),(143,'1650','General san martin',2),(144,'1651','San andres',2),(145,'1653','Villa ballester',2),(146,'1655','Jose leon suarez',2),(147,'1657','Loma hermosa',2),(148,'1657','Pablo podesta',2),(149,'1657','Remedios de escalada',2),(150,'1659','Campo de mayo',2),(151,'1660','Jose clemente paz',2),(152,'1661','Bella vista',2),(153,'1662','MuÑiz',2),(154,'1663','MuÑiz',2),(155,'1663','San miguel',2),(156,'1664','Manuel alberti',2),(157,'1665','Jose clemente paz',2),(158,'1666','Jose clemente paz',2),(159,'1667','Manuel alberti',2),(160,'1667','Tortuguitas',2),(161,'1669','Del viso',2),(162,'1670','Nordelta',2),(163,'1672','Villa lynch',2),(164,'1674','Villa saenz peÑa',2),(165,'1675','Villa raffo',2),(166,'1676','Santos lugares',2),(167,'1678','Caseros',2),(168,'1682','Villa bosch',2),(169,'1683','Martin coronado',2),(170,'1684','Ciudad jardin del palomar',2),(171,'1684','El palomar',2),(172,'1685','El palomar',2),(173,'1686','Hurlingham',2),(174,'1687','Pablo podesta',2),(175,'1688','Villa santos tesei',2),(176,'1689','Remedios de escalada',2),(177,'1690','Once de setiembre',2),(178,'1691','Churruca',2),(179,'1692','El libertador',2),(180,'1702','Ciudadela',2),(181,'1703','Jose ingenieros',2),(182,'1704','Ramos mejia',2),(183,'1706','Domingo faustino sarmiento',2),(184,'1706','Haedo',2),(185,'1707','Domingo faustino sarmiento',2),(186,'1708','Moron',2),(187,'1712','Castelar',2),(188,'1713','Barrio parque leloir',2),(189,'1713','Villa gobernador udaondo',2),(190,'1714','Ituzaingo',2),(191,'1715','Barrio parque leloir',2),(192,'1716','Libertad',2),(193,'1718','San antonio de padua',2),(194,'1721','Parque san martin',2),(195,'1722','Merlo',2),(196,'1723','Mariano acosta',2),(197,'1724','Mariano acosta',2),(198,'1727','Colonia hogar r gutierrez',2),(199,'1727','Colonia nacional de menores',2),(200,'1727','Elias romero',2),(201,'1727','Kilometro 45',2),(202,'1727','Kilometro 53',2),(203,'1727','Marcos paz',2),(204,'1727','Zamudio',2),(205,'1731','Villars',2),(206,'1733','Plomer',2),(207,'1735','El durazno',2),(208,'1736','Trujui',2),(209,'1737','Kilometro 77',2),(210,'1737','La choza',2),(211,'1738','La reja',2),(212,'1739','General hornos',2),(213,'1739','Hornos',2),(214,'1739','Parada kilometro 76',2),(215,'1740','Cuartel v',2),(216,'1741','Enrique fynn',2),(217,'1741','General las heras',2),(218,'1741','Kilometro 79',2),(219,'1741','Lozano',2),(220,'1741','Speratti',2),(221,'1742','Paso del rey',2),(222,'1743','Moreno',2),(223,'1744','La reja',2),(224,'1744','Moreno',2),(225,'1745','La reja',2),(226,'1746','Francisco alvarez',2),(227,'1747','La fraternidad',2),(228,'1748','General rodriguez',2),(229,'1749','General rodriguez',2),(230,'1750','Las malvinas',2),(231,'1751','Villa insuperable',2),(232,'1752','Lomas del mirador',2),(233,'1752','Villa insuperable',2),(234,'1753','Villa luzuriaga',2),(235,'1754','San justo',2),(236,'1754','Villa luzuriaga',2),(237,'1755','Rafael castillo',2),(238,'1757','Gregorio de laferrere',2),(239,'1758','Gonzalez catan',2),(240,'1759','Gonzalez catan',2),(241,'1761','20 de junio',2),(242,'1761','Pontevedra',2),(243,'1763','Virrey del pino',2),(244,'1764','Virrey del pino',2),(245,'1765','Isidro casanova',2),(246,'1766','Tablada',2),(247,'1768','Ciudad madero',2),(248,'1770','Aldo bonzi',2),(249,'1770','Tapiales',2),(250,'1771','Mercado central',2),(251,'1774','La salada',2),(252,'1776','9 de abril',2),(253,'1778','Ciudad evita',2),(254,'1780','B nuestra seÑora de la paz',2),(255,'1781','Bo sta catalina hornero la l',2),(256,'1782','Marcos paz b martin fierro',2),(257,'1783','Marcos paz b la lonja',2),(258,'1784','Marcos paz b la milagrosa',2),(259,'1785','Aldo bonzi',2),(260,'1786','20 de junio',2),(261,'1787','Marcos paz b el moro',2),(262,'1788','Marcos paz b urioste',2),(263,'1789','B sarmiento don rolando',2),(264,'1790','Marcos paz b el martillo',2),(265,'1791','Marcos paz b bernasconi',2),(266,'1792','B los aromos san patricio',2),(267,'1793','Marcos paz b el zorzal',2),(268,'1801','Canning',2),(269,'1802','Aeropuerto ezeiza',2),(270,'1803','La union',2),(271,'1804','Canning',2),(272,'1804','Ezeiza',2),(273,'1805','El jaguel',2),(274,'1806','Tristan suarez',2),(275,'1807','Canning',2),(276,'1808','Francisco casal',2),(277,'1808','Vicente casares',2),(278,'1809','Maximo paz',2),(279,'1811','Alejandro petion',2),(280,'1812','Carlos spegazzini',2),(281,'1812','Maximo paz',2),(282,'1814','Barrio 1 de mayo',2),(283,'1814','CaÑuelas',2),(284,'1814','Kilometro 59',2),(285,'1814','La costa',2),(286,'1814','La garita',2),(287,'1814','La noria',2),(288,'1815','Escuela agricola don bosco',2),(289,'1815','Kilometro 88',2),(290,'1815','Uribelarrea',2),(291,'1816','Colonia santa rosa',2),(292,'1816','Los aromos',2),(293,'1816','Ruta 205 kilometro 57',2),(294,'1816','Ruta 3 kilometro 75 700',2),(295,'1816','Santa rosa',2),(296,'1816','Villa adriana',2),(297,'1821','Banfield',2),(298,'1822','Valentin alsina',2),(299,'1823','Gerli',2),(300,'1824','Gerli',2),(301,'1824','Lanus',2),(302,'1825','Monte chingolo',2),(303,'1826','Remedios de escalada',2),(304,'1827','Banfield',2),(305,'1828','Banfield',2),(306,'1832','Lomas de zamora',2),(307,'1833','Turdera',2),(308,'1834','Temperley',2),(309,'1834','Turdera',2),(310,'1835','America unida',2),(311,'1836','Llavallol',2),(312,'1837','Sourigues',2),(313,'1838','Luis guillon',2),(314,'1839','9 de abril',2),(315,'1840','Ezpeleta oeste',2),(316,'1841','Monte grande',2),(317,'1842','El jaguel',2),(318,'1842','Monte grande',2),(319,'1843','Solano',2),(320,'1844','San jose',2),(321,'1845','Jose marmol',2),(322,'1846','Almirante brown',2),(323,'1846','Jose marmol',2),(324,'1846','Malvinas argentinas',2),(325,'1846','San jose',2),(326,'1846','Solano',2),(327,'1847','Rafael calzada',2),(328,'1848','Ministro rivadavia',2),(329,'1849','Claypole',2),(330,'1851','Malvinas argentinas',2),(331,'1852','Burzaco',2),(332,'1852','Ministro rivadavia',2),(333,'1853','Villa vatteone',2),(334,'1854','Longchamps',2),(335,'1855','Villa la florida',2),(336,'1856','Glew',2),(337,'1857','Pereyra',2),(338,'1858','Villa numancia',2),(339,'1859','Gobernador costa',2),(340,'1860','Villa espaÑa',2),(341,'1861','Platanos',2),(342,'1862','America unida',2),(343,'1862','Barrio san pablo',2),(344,'1862','Barrio santa magdalena',2),(345,'1862','Guernica',2),(346,'1863','Zeballos',2),(347,'1864','Alejandro korn',2),(348,'1865','La argentina',2),(349,'1865','San vicente',2),(350,'1866','El pampero',2),(351,'1867','Santa rosa',2),(352,'1868','PiÑeyro',2),(353,'1869','Gerli',2),(354,'1870','Avellaneda',2),(355,'1870','Crucesita',2),(356,'1870','Gerli',2),(357,'1870','Kilometro 5',2),(358,'1870','PiÑeyro',2),(359,'1871','Dock sud',2),(360,'1872','Sarandi',2),(361,'1873','Crucesita',2),(362,'1874','Villa dominico',2),(363,'1875','Wilde',2),(364,'1876','Bernal este',2),(365,'1876','Bernal oeste',2),(366,'1876','Don bosco',2),(367,'1877','Don bosco',2),(368,'1878','Quilmes',2),(369,'1879','Quilmes oeste',2),(370,'1880','Berazategui',2),(371,'1881','San francisco solano',2),(372,'1881','Villa la florida',2),(373,'1882','Ezpeleta este',2),(374,'1882','Ezpeleta oeste',2),(375,'1883','Bernal oeste',2),(376,'1884','Berazategui',2),(377,'1884','Villa espaÑa',2),(378,'1885','Guillermo e hudson',2),(379,'1885','Platanos',2),(380,'1885','Sourigues',2),(381,'1886','Ranelagh',2),(382,'1887','Florencio varela',2),(383,'1888','Florencio varela',2),(384,'1888','Gobernador costa',2),(385,'1888','Santa rosa',2),(386,'1888','Villa vatteone',2),(387,'1888','Zeballos',2),(388,'1889','Bosques',2),(389,'1890','Jose maria gutierrez',2),(390,'1890','Juan maria gutierrez',2),(391,'1891','Ingeniero allan',2),(392,'1892','Villa brown',2),(393,'1893','Centro agricola el pato',2),(394,'1894','Barrio la perla casco urbano',2),(395,'1894','Doctor ricardo levene',2),(396,'1894','Juan vucetich ex dr r levene',2),(397,'1894','Pereyra',2),(398,'1894','Pereyra iraola parque',2),(399,'1894','Villa elisa',2),(400,'1895','Arturo segui',2),(401,'1895','Los eucaliptus casco urbano',2),(402,'1896','Camino centenario km 11500',2),(403,'1896','City bell',2),(404,'1896','Joaquin gorina',2),(405,'1897','Manuel b gonnet',2),(406,'1898','Joaquin gorina',2),(407,'1900','La perla',2),(408,'1900','La plata',2),(409,'1901','Lisandro olmos etcheverry',2),(410,'1902','La plata',2),(411,'1903','Buchanan',2),(412,'1903','Melchor romero',2),(413,'1904','La plata',2),(414,'1905','Jose ferrari',2),(415,'1905','Poblet',2),(416,'1906','La plata',2),(417,'1907','El pino',2),(418,'1907','Nueva hermosura',2),(419,'1907','Ruta 11 kilometro 23',2),(420,'1908','La plata',2),(421,'1909','Arana',2),(422,'1909','Ignacio correas arana',2),(423,'1910','La plata',2),(424,'1911','Bme bavio gral mansilla',2),(425,'1911','General mansilla',2),(426,'1911','Kilometro 92',2),(427,'1912','La plata',2),(428,'1913','Cristino benavidez',2),(429,'1913','Julio arditi',2),(430,'1913','Magdalena',2),(431,'1913','Payro r',2),(432,'1914','La plata',2),(433,'1915','Arbuco',2),(434,'1915','Barrio el porteÑo',2),(435,'1915','Kilometro 103',2),(436,'1915','Paraje starache',2),(437,'1915','Roberto payro',2),(438,'1915','Vieytes',2),(439,'1916','La plata',2),(440,'1917','Luis chico',2),(441,'1917','Monte veloz',2),(442,'1917','Veronica',2),(443,'1918','Estacion gomez',2),(444,'1919','Base aeronaval punta indio',2),(445,'1921','Alvarez jonte',2),(446,'1921','Colonia beethoven',2),(447,'1921','El rosario',2),(448,'1921','La primavera',2),(449,'1921','La talina',2),(450,'1921','Las tahonas',2),(451,'1921','Los santos viejos',2),(452,'1921','Pancho diaz',2),(453,'1921','PiÑeiro',2),(454,'1921','Rincon de noario',2),(455,'1923','Arroyo del pescado',2),(456,'1923','Arroyo la maza',2),(457,'1923','Berisso',2),(458,'1923','Frigorifico armour',2),(459,'1923','La balandra',2),(460,'1923','Palo blanco',2),(461,'1925','Destileria fiscal',2),(462,'1925','Dock central',2),(463,'1925','Ensenada',2),(464,'1925','Fuerte barragan',2),(465,'1925','Grand dock',2),(466,'1925','Puerto la plata',2),(467,'1926','Ensenada',2),(468,'1927','Esc nav militar rio sant',2),(469,'1929','Base naval rio santiago',2),(470,'1929','Isla paulino',2),(471,'1929','Isla santiago',2),(472,'1931','Punta lara',2),(473,'1933','Abasto',2),(474,'1935','Estacion moreno',2),(475,'1942','Los talas',2),(476,'1947','Atalaya',2),(477,'1948','Empalme magdalena',2),(478,'1952','Punta indio',2),(479,'1954','Pipinas',2),(480,'1972','Oliden',2),(481,'1980','Barrio la dolly',2),(482,'1980','Barrio las mandarinas',2),(483,'1980','Campo lope seco',2),(484,'1980','Coronel brandsen',2),(485,'1980','Doyhenard',2),(486,'1980','Kilometro 44',2),(487,'1980','Kilometro 82',2),(488,'1980','La posada',2),(489,'1980','Los merinos',2),(490,'1980','Samborombon',2),(491,'1981','Desvio kilometro 55',2),(492,'1981','Gobernador obligado',2),(493,'1981','Kilometro 58',2),(494,'1981','Kilometro 70',2),(495,'1981','Loma verde',2),(496,'1983','Gomez',2),(497,'1983','Gomez  de la vega',2),(498,'1984','Domselaar',2),(499,'1986','Altamirano',2),(500,'1986','Jeppener',2),(501,'1987','Alegre',2),(502,'1987','Cancha del pollo',2),(503,'1987','Cuartel 2',2),(504,'1987','Espartillar',2),(505,'1987','Ranchos',2),(506,'2000','La ceramica y cuyo',4),(507,'2000','Rosario',4),(508,'2000','Villa angelica',3),(509,'2101','Albarellos',4),(510,'2101','Monte flores',4),(511,'2102','Villa amelia',4),(512,'2103','Colonia escribano',4),(513,'2103','Coronel bogado',4),(514,'2103','Stephenson',4),(515,'2104','Juan b molina',4),(516,'2105','CaÑada rica',4),(517,'2105','El caramelo',4),(518,'2105','Estancia la maria',4),(519,'2105','La carolina',4),(520,'2105','Los muchachos',4),(521,'2105','Pereyra lucena',4),(522,'2105','Zamponi',4),(523,'2106','Sargento cabral',4),(524,'2107','Alvarez',4),(525,'2107','Estancia san antonio',4),(526,'2108','Soldini',4),(527,'2109','Acebal',4),(528,'2109','Campo rueda',4),(529,'2110','Pavon arriba',4),(530,'2111','Francisco paz',4),(531,'2111','Santa teresa',4),(532,'2112','Uranga',4),(533,'2113','Peyrano',4),(534,'2114','Coronel dominguez',4),(535,'2115','Colonia valdez',4),(536,'2115','La celia',4),(537,'2115','La othila',4),(538,'2115','Maximo paz',4),(539,'2115','Rodolfo alcorta',4),(540,'2117','Loma verde',4),(541,'2117','Pueblo alcorta',4),(542,'2118','Cepeda',4),(543,'2119','Arminda',4),(544,'2119','Bernard',4),(545,'2119','Estacion erasto',4),(546,'2119','Maizales',4),(547,'2120','Pueblo muÑoz',4),(548,'2121','Perez',4),(549,'2121','San sebastian',4),(550,'2121','Talleres',4),(551,'2121','Villa america',4),(552,'2121','Villa lyly talleres',4),(553,'2122','Pujato',4),(554,'2123','Campo calvo',4),(555,'2123','Colonia clodomira',4),(556,'2123','Fuentes',4),(557,'2123','Villa porucci',4),(558,'2124','22 de mayo',4),(559,'2124','Coronel aguirre',4),(560,'2124','Villa gobernador galvez',4),(561,'2124','Villa san diego',4),(562,'2125','Zavalla',4),(563,'2126','Camino monte flores',4),(564,'2126','Cresta',4),(565,'2126','Fighiera',4),(566,'2126','General lagos',4),(567,'2126','La lata',4),(568,'2127','General lagos',4),(569,'2128','Arroyo seco',4),(570,'2129','Pueblo esther',4),(571,'2130','Alvear',4),(572,'2131','Coronel arnold',4),(573,'2132','Aero club rosario',4),(574,'2132','Funes',4),(575,'2132','Granadero b bargas',4),(576,'2132','Liceo aeronautico militar',4),(577,'2132','Links',4),(578,'2133','La vanguardia',4),(579,'2134','Roldan',4),(580,'2135','Carmen del sauce',4),(581,'2136','San geronimo',4),(582,'2136','San jeronimo sud',4),(583,'2138','CarcaraÑa',4),(584,'2138','Colonia el carmen',4),(585,'2138','Semino',4),(586,'2139','ChaÑar ladeado',4),(587,'2141','La salada',4),(588,'2142','Campo medina',4),(589,'2142','Kilometro 323',4),(590,'2142','Luis palacios',4),(591,'2142','Salto grande',4),(592,'2142','Vicente echevarria',4),(593,'2143','Ibarlucea',4),(594,'2144','Campo horquesco',4),(595,'2144','Colonia medici',4),(596,'2144','Larguia',4),(597,'2144','Totoras',4),(598,'2146','Los leones',4),(599,'2146','San genaro',4),(600,'2147','San genaro norte',4),(601,'2147','Villa biota',4),(602,'2148','Campo castro',4),(603,'2148','Centeno',4),(604,'2148','Villa guastalla',4),(605,'2149','Casas',4),(606,'2150','Lucio v lopez',4),(607,'2151','Clason',4),(608,'2152','Granadero baigorria',4),(609,'2152','Paganini',4),(610,'2153','Las bandurrias',4),(611,'2154','Capitan bermudez',4),(612,'2154','Juan ortiz',4),(613,'2154','Kilometro 319',4),(614,'2154','Villa cassini',4),(615,'2156','Arsenal de guerra san lorenzo',4),(616,'2156','Borghi',4),(617,'2156','Fabrica militar san lorenzo',4),(618,'2156','Fray luis beltran',4),(619,'2156','Granaderos',4),(620,'2156','Tte hipolito bouchard',4),(621,'2156','Villa garibaldi',4),(622,'2156','Villa margarita',4),(623,'2170','Candelaria sud',4),(624,'2170','Casilda',4),(625,'2170','Colonia candelaria',4),(626,'2170','Colonia la costa',4),(627,'2173','Campo pesoa',4),(628,'2173','Chabas',4),(629,'2173','La merced',4),(630,'2174','Sanford',4),(631,'2175','Barlett',4),(632,'2175','Villa mugueta',4),(633,'2176','Villada',4),(634,'2177','Bigand',4),(635,'2179','Bombal',4),(636,'2181','Los molinos',4),(637,'2183','Arequito',4),(638,'2183','La viuda',4),(639,'2183','Pueblo arequito',4),(640,'2184','Los nogales',4),(641,'2185','Campo crenna',4),(642,'2185','Colonia toscana primera',4),(643,'2185','Colonia toscana segunda',4),(644,'2185','San jose de la esquina',4),(645,'2187','Arteaga',4),(646,'2187','Colonia lago di como',4),(647,'2189','Colonia los vascos',5),(648,'2189','Cruz alta',5),(649,'2200','Las quintas',4),(650,'2200','Pino de san lorenzo',4),(651,'2200','Puerto de san lorenzo',4),(652,'2200','San lorenzo',4),(653,'2201','Ricardone',4),(654,'2202','Cerana',4),(655,'2202','Cullen',4),(656,'2202','El transito',4),(657,'2202','Pueblo kirston',4),(658,'2202','Puerto gral san martin',4),(659,'2204','Jesus maria',4),(660,'2204','Timbues jose maria',4),(661,'2206','Campo paletta',4),(662,'2206','Oliveros',4),(663,'2206','Rincon de grondona',4),(664,'2208','Gaboto',4),(665,'2208','Puerto gaboto',4),(666,'2209','Maciel',4),(667,'2212','Campo galloso',4),(668,'2212','Monje',4),(669,'2214','Aldao',4),(670,'2215','Andino',4),(671,'2216','Campo raffo',4),(672,'2216','Colonia tres marias',4),(673,'2216','Serodino',4),(674,'2218','Carrizales',4),(675,'2218','Clarke',4),(676,'2222','Diaz',4),(677,'2223','Pinzon',2),(678,'2240','Campo garcia',4),(679,'2240','Campo moure',4),(680,'2240','Carcel modelo coronda',4),(681,'2240','Colonia corondina',4),(682,'2240','Coronda',4),(683,'2241','Larrechea',4),(684,'2242','Arijon',4),(685,'2242','Arocena',4),(686,'2242','Puente colastine',4),(687,'2243','San fabian',4),(688,'2244','Desvio arijon',4),(689,'2245','Barrio caima',4),(690,'2246','Barrancas',4),(691,'2246','Puerto aragon',4),(692,'2248','Bernardo de irigoyen',4),(693,'2248','Campo brarda',4),(694,'2248','Campo carignano',4),(695,'2248','Campo genero',4),(696,'2248','Casalegno',4),(697,'2249','Irigoyen',4),(698,'2252','Colonia piaggio',4),(699,'2252','Galvez',4),(700,'2253','Campo gimenez',4),(701,'2253','Gessler',4),(702,'2253','OroÑo',4),(703,'2254','Loma alta',4),(704,'2255','Campo rodriguez',4),(705,'2255','Lopez',4),(706,'2255','Rigby',4),(707,'2255','San martin de tours',4),(708,'2256','San eugenio',4),(709,'2257','Colonia belgrano',4),(710,'2257','Granadero brasilio bustos',4),(711,'2257','Wildermuth',4),(712,'2258','Campo quiÑones',4),(713,'2258','Santa clara',4),(714,'2258','Santa clara de buena vista',4),(715,'2300','Colonia bella italia',4),(716,'2300','El bayo',4),(717,'2300','Fassi',4),(718,'2300','Pueblo terragni',4),(719,'2300','Rafaela',4),(720,'2300','Sierra pereyra',4),(721,'2300','Tres colonias',4),(722,'2301','Capilla san jose',4),(723,'2301','Colonia fidela',4),(724,'2301','Coronel fraga',4),(725,'2301','Presidente roca',4),(726,'2301','Pueblo marini',4),(727,'2301','Pueblo ramona',4),(728,'2301','Zanetti',4),(729,'2302','Susana',4),(730,'2303','Angelica',4),(731,'2303','Kilometro 85',4),(732,'2305','Lehmann',4),(733,'2306','Vila',4),(734,'2307','Ataliva',4),(735,'2307','Campo daratti',4),(736,'2307','Galisteo',4),(737,'2308','Bella italia',4),(738,'2309','Colonia reina margarita',4),(739,'2309','Humberto primero',4),(740,'2309','Reina margarita',4),(741,'2309','San miguel',4),(742,'2310','Colonia castellanos',4),(743,'2311','Adolfo alsina',4),(744,'2311','Capivara',4),(745,'2311','Colonia maua',4),(746,'2311','Constanza',4),(747,'2311','Ituzaingo',4),(748,'2311','Virginia',4),(749,'2312','Colonia san antonio',4),(750,'2313','Colonia berlin',4),(751,'2313','Colonia ortiz',4),(752,'2313','Cuatro casas',4),(753,'2313','Doce casas',4),(754,'2313','Moises ville',4),(755,'2313','Mutchnik',4),(756,'2313','Veinticuatro casas',4),(757,'2313','Walvelberg',4),(758,'2315','Estacion saguier',4),(759,'2317','Casablanca',4),(760,'2317','Colonia aldao',4),(761,'2317','Colonia bicha',4),(762,'2317','Colonia bigand',4),(763,'2317','Hugentobler',4),(764,'2317','Rincon de tacurales',4),(765,'2318','Aurelia',4),(766,'2318','Aurelia norte',4),(767,'2318','Aurelia sud',4),(768,'2319','Egusquiza',4),(769,'2320','Pueblo san antonio',4),(770,'2321','Saguier',4),(771,'2322','CabaÑa el cisne',4),(772,'2322','Raquel',4),(773,'2322','Sunchales',4),(774,'2323','Villa san jose',4),(775,'2324','Colonia tacurales',4),(776,'2324','Tacural',4),(777,'2326','Bealistock',4),(778,'2326','Colonia bossi',4),(779,'2326','Las palmeras',4),(780,'2326','Palacios',4),(781,'2326','Zadockhan',4),(782,'2330','Eusebia',4),(783,'2339','Ambrosetti',4),(784,'2340','Ceres',4),(785,'2340','Nueva ceres',6),(786,'2341','Aromito',5),(787,'2341','Clavel blanco',6),(788,'2341','Colonia alpina',6),(789,'2341','Colonia geraldina',6),(790,'2341','Colonia montefiore',4),(791,'2341','La elsa',4),(792,'2341','La geraldina',6),(793,'2341','La marina',4),(794,'2342','Campo el mataco',4),(795,'2342','Curupaity',4),(796,'2344','Achaval rodriguez',4),(797,'2344','Arrufo',4),(798,'2344','Estancia san francisco',4),(799,'2344','Hugentobler',4),(800,'2344','Los porongos',6),(801,'2345','Campo botto',4),(802,'2345','Colonia ana',4),(803,'2345','Villa trinidad',4),(804,'2347','Colonia mackinlay',4),(805,'2347','Colonia malhman sud',4),(806,'2347','San guillermo',4),(807,'2348','Monigotes',4),(808,'2349','Colonia dos rosas',4),(809,'2349','Colonia maunier',5),(810,'2349','Colonia milessi',5),(811,'2349','Colonia ripamonti',4),(812,'2349','Dos rosas',5),(813,'2349','Monte obscuridad',4),(814,'2349','Suardi',4),(815,'2350','La rubia',4),(816,'2351','Colonia rosa',4),(817,'2352','Hersilia',4),(818,'2354','Argentina',6),(819,'2354','Casares',6),(820,'2354','ChaÑar sunichaj',6),(821,'2354','Colonia la victoria',6),(822,'2354','Colonia mackinlay',6),(823,'2354','El aibal',6),(824,'2354','El aspirante',6),(825,'2354','El charabon',6),(826,'2354','El oso',6),(827,'2354','El ucle',6),(828,'2354','Fortin la viuda',6),(829,'2354','Kilometro 735',6),(830,'2354','La blanca',6),(831,'2354','La carolina',6),(832,'2354','La centella',6),(833,'2354','La esmeralda',6),(834,'2354','La recompensa',6),(835,'2354','La romelia',6),(836,'2354','La union',6),(837,'2354','La victoria',6),(838,'2354','Las palmas',6),(839,'2354','Las viboritas',6),(840,'2354','Los encantos',6),(841,'2354','Malbran',6),(842,'2354','Maravilla',6),(843,'2354','Nueva trinidad',6),(844,'2354','Palmas',6),(845,'2354','Palo negro',6),(846,'2354','San jose',6),(847,'2354','San sebastian',6),(848,'2354','Santa ana',6),(849,'2354','Selva',6),(850,'2354','Tres lagunas',6),(851,'2354','Tres pozos',6),(852,'2356','Alarcon',6),(853,'2356','Arbol negro',6),(854,'2356','Azucena',6),(855,'2356','Campo ramon laplace',6),(856,'2356','Capilla',6),(857,'2356','Cleveland',6),(858,'2356','Colonia ermelinda',6),(859,'2356','Colonia paula',6),(860,'2356','DoÑa lorenza',6),(861,'2356','El destino',6),(862,'2356','El galpon',6),(863,'2356','El solitario',6),(864,'2356','Guardia vieja',6),(865,'2356','Kilometro 764',6),(866,'2356','La casimira',6),(867,'2356','Las abras de san antonio',6),(868,'2356','Las almas',6),(869,'2356','Las delicias',6),(870,'2356','Libertad',6),(871,'2356','Los milagros',6),(872,'2356','Martin paso',6),(873,'2356','Monte crecido',6),(874,'2356','Pinto - villa general mitre',6),(875,'2356','Punta del garabato',6),(876,'2356','Punta del monte',6),(877,'2356','Quebrachitos',6),(878,'2356','San agustin',6),(879,'2356','San jose',6),(880,'2356','San rufino',6),(881,'2356','Santa paula',6),(882,'2356','Tome y traiga',6),(883,'2357','Colonia santa rosa aguirre',6),(884,'2357','El huaico',6),(885,'2357','Estancia el carmen',6),(886,'2357','Las abras',6),(887,'2357','Las mostazas',6),(888,'2357','Las ramaditas',6),(889,'2357','Martinez',6),(890,'2357','Retiro',6),(891,'2357','Villa union',6),(892,'2357','Yaco misqui',6),(893,'2400','La milka',5),(894,'2400','San francisco',5),(895,'2400','Villani',4),(896,'2401','Colonia castelar',4),(897,'2401','Esmeraldita',4),(898,'2401','Plaza san francisco',5),(899,'2401','San jose frontera',4),(900,'2403','Bauer y sigel',4),(901,'2403','Campo torquinston',4),(902,'2403','Estacion josefina',4),(903,'2403','Jose manuel estrada',4),(904,'2404','Colonia josefina',4),(905,'2405','Colonia cello',4),(906,'2405','Santa clara de saguier',4),(907,'2407','Campo clucellas',4),(908,'2407','Campo romero',4),(909,'2407','Campo zurbriggen',4),(910,'2407','Clucellas',4),(911,'2407','Eustolia',4),(912,'2407','Kilometro 113',4),(913,'2408','Estacion clucellas',4),(914,'2409','Estrada',4),(915,'2409','Zenon pereyra',4),(916,'2411','Colonia santa rita',5),(917,'2411','Luxardo',5),(918,'2413','Colonia anita',5),(919,'2413','Colonia eugenia',5),(920,'2413','Colonia iturraspe',5),(921,'2413','Colonia prodamonte',5),(922,'2413','Freyre',5),(923,'2413','La udine',5),(924,'2413','Santa rita',5),(925,'2414','Colonia valtelina',5),(926,'2415','Capilla santa rosa',5),(927,'2415','Colonia ceferina',5),(928,'2415','Colonia gorchs',5),(929,'2415','Colonia lavarello',5),(930,'2415','Colonia nuevo piamonte',5),(931,'2415','Colonia palo labrado',5),(932,'2415','Desvio boero',4),(933,'2415','PorteÑa',5),(934,'2416','La paquita',5),(935,'2417','Altos de chipion',5),(936,'2417','Colonia la trinchera',5),(937,'2417','Colonia udine',5),(938,'2417','La trinchera',5),(939,'2417','La vicenta',5),(940,'2417','Monte grande',5),(941,'2418','Seeber',5),(942,'2419','Brinkmann',5),(943,'2419','Colonia botturi',5),(944,'2419','Cotagaita',5),(945,'2420','Colonia vignaud',5),(946,'2421','Campo beiro',5),(947,'2421','Colonia beiro',5),(948,'2421','Colonia dos hermanos',5),(949,'2421','Colonia san pedro',5),(950,'2421','Colonia tacurales',5),(951,'2421','Los desagues',5),(952,'2421','Maunier',5),(953,'2421','Morteros',5),(954,'2422','Quebracho herrado',5),(955,'2423','Campo calvo',5),(956,'2423','Campo la luisa',5),(957,'2423','Colonia la morocha',5),(958,'2423','Colonia prosperidad',5),(959,'2423','Colonia santa maria',5),(960,'2423','Luis sauze',5),(961,'2423','Monte redondo',5),(962,'2424','Colonia cristina',5),(963,'2424','Colonia el milagro',5),(964,'2424','Colonia el trabajo',5),(965,'2424','Cristina',5),(966,'2424','Devoto',5),(967,'2424','El trabajo',5),(968,'2424','Jeanmaire',5),(969,'2424','Kilometro 531',5),(970,'2425','La francia',5),(971,'2426','Campo boero',5),(972,'2426','Colonia san bartolome',5),(973,'2426','Villa vieja',5),(974,'2428','Colonia del banco nacion',5),(975,'2428','Colonia marina',5),(976,'2428','El fuertecito',5),(977,'2428','Estancia el chaÑar',5),(978,'2428','Estancia la chiquita',5),(979,'2428','Estancia la morocha',5),(980,'2428','Kilometro 581',5),(981,'2428','Las caÑitas',5),(982,'2429','La tordilla norte',5),(983,'2432','Arbol chato',5),(984,'2432','Capilla san antonio',5),(985,'2432','El florida',5),(986,'2432','El tio',5),(987,'2432','Los algarrobitos',5),(988,'2433','Colonia san rafael',5),(989,'2433','La frontera',5),(990,'2433','Las delicias',5),(991,'2433','Paso de los gallegos',5),(992,'2433','Pozo del chaja',5),(993,'2433','Villa concepcion del tio',5),(994,'2434','Arroyito',5),(995,'2434','Arroyo de alvarez',5),(996,'2434','El descanso',5),(997,'2434','La cortadera',5),(998,'2434','La curva',5),(999,'2435','Colonia coyunda',5),(1000,'2435','Colonia la tordilla',5),(1001,'2435','Pozo del chaÑar',5),(1002,'2435','Villa vaudagna',5),(1003,'2436','Colonia arroyo de alvarez',5),(1004,'2436','Colonia cortadera',5),(1005,'2436','Colonias',5),(1006,'2436','La represa',5),(1007,'2436','Plaza bruno',5),(1008,'2436','Quebrachitos',5),(1009,'2436','Transito',5),(1010,'2438','Frontera',4),(1011,'2438','Kilometro 501',4),(1012,'2440','Barrio belgrano ortiz',4),(1013,'2440','Campo faggiano',4),(1014,'2440','Sastre',4),(1015,'2441','Crispi',4),(1016,'2443','Colonia margarita',4),(1017,'2443','Garibaldi',4),(1018,'2445','Cristolia',4),(1019,'2445','Estacion maria juana',4),(1020,'2445','Mangore',4),(1021,'2445','Maria juana',4),(1022,'2446','Pueblo maria juana',4),(1023,'2447','Los sembrados',4),(1024,'2447','San vicente',4),(1025,'2449','Avena',4),(1026,'2449','San martin de las escobas',4),(1027,'2451','Colonia la yerba',4),(1028,'2451','Colonia santa anita',4),(1029,'2451','Las petacas',4),(1030,'2451','San jorge',4),(1031,'2451','Schiffner',4),(1032,'2452','San jorge',4),(1033,'2453','Carlos pellegrini',4),(1034,'2454','CaÑada rosquin',4),(1035,'2454','Kilometro 443',4),(1036,'2456','Esmeralda',4),(1037,'2456','Kilometro 465',4),(1038,'2456','Kilometro 483',4),(1039,'2456','Traill',4),(1040,'2469','Candioti',4),(1041,'2494','Costa del toba',4),(1042,'2495','Santa felicia',4),(1043,'2500','CaÑada de gomez',4),(1044,'2500','Cicarelli',4),(1045,'2500','Las trojas',4),(1046,'2500','Villa la ribera',4),(1047,'2501','Berretta',4),(1048,'2501','Granja san manuel',4),(1049,'2501','San estanislao',4),(1050,'2501','San ricardo',4),(1051,'2502','Maria luisa correa',4),(1052,'2503','Villa eloisa',4),(1053,'2504','Bustinza',4),(1054,'2505','Campo la riviere',4),(1055,'2505','Campo santa isabel',4),(1056,'2505','Las parejas',4),(1057,'2506','Correa',4),(1058,'2506','Kilometro 49',4),(1059,'2508','Armstrong',4),(1060,'2508','Campo gimbatti',4),(1061,'2508','Campo la amistad',4),(1062,'2512','Campo charo',4),(1063,'2512','Campo la paz',4),(1064,'2512','San guillermo',4),(1065,'2512','Tortugas',4),(1066,'2520','La california',4),(1067,'2520','Las liebres',4),(1068,'2520','Las rosas',4),(1069,'2521','Iturraspe',4),(1070,'2521','Montes de oca',4),(1071,'2523','Bouquet',4),(1072,'2525','Flora',5),(1073,'2525','Saira',5),(1074,'2527','Colonia san francisco',4),(1075,'2527','Maria susana',4),(1076,'2529','Piamonte',4),(1077,'2531','Landeta',4),(1078,'2533','Los cardos',4),(1079,'2535','El trebol',4),(1080,'2535','Tais',4),(1081,'2550','Barrio belgrano',5),(1082,'2550','Bell ville',5),(1083,'2550','El carmen',5),(1084,'2550','Estacion bell ville',5),(1085,'2550','San vicente',5),(1086,'2551','Cuatro caminos',5),(1087,'2553','Justiniano posse',5),(1088,'2555','Campo general paz',5),(1089,'2555','OrdoÑez',5),(1090,'2555','Pueblo viejo',5),(1091,'2557','Idiazabal',5),(1092,'2559','Capilla de san antonio',5),(1093,'2559','Cintra',5),(1094,'2559','Colonia la leoncita',5),(1095,'2559','Colonia maschi',5),(1096,'2559','El paraiso',5),(1097,'2559','Isleta negra',5),(1098,'2559','Las overias',5),(1099,'2559','Las palmeras',5),(1100,'2559','Los tasis',5),(1101,'2559','Los ucles',5),(1102,'2559','San pedro',5),(1103,'2560','San antonio de litin',5),(1104,'2561','Chilibroste',5),(1105,'2561','Los molles',5),(1106,'2561','San eusebio',5),(1107,'2561','Santa cecilia',5),(1108,'2563','El overo',5),(1109,'2563','La cajuela',5),(1110,'2563','Monte castillo',5),(1111,'2563','Noetinger',5),(1112,'2563','San jose',5),(1113,'2563','San jose del salteÑo',5),(1114,'2564','Monte leÑa',5),(1115,'2564','San antonio viejo',7),(1116,'2566','San marcos sud',5),(1117,'2568','Las lagunitas',5),(1118,'2568','Morrison',5),(1119,'2572','Ballesteros',5),(1120,'2572','El triangulo',5),(1121,'2572','Las merceditas',5),(1122,'2572','Pinas',5),(1123,'2572','San carlos',5),(1124,'2573','Ballesteros sud',5),(1125,'2580','Colonia calchaqui',5),(1126,'2580','Colonia la muriucha',5),(1127,'2580','El panal',5),(1128,'2580','Marcos juarez',5),(1129,'2580','Pueblo argentino',5),(1130,'2581','Colonia 25 los surgentes',5),(1131,'2581','Los surgentes',5),(1132,'2581','Pueblo carlos sauveran',5),(1133,'2581','Pueblo rio tercero',5),(1134,'2583','General baldissera',5),(1135,'2585','Camilo aldao',5),(1136,'2587','Enfermera kelly',5),(1137,'2587','Inriville',5),(1138,'2588','Saladillo',5),(1139,'2589','Monte buey',5),(1140,'2592','Colonia veinticinco',5),(1141,'2592','General roca',5),(1142,'2594','Barrio la fortuna',5),(1143,'2594','Colonia el chaja',5),(1144,'2594','La reduccion',5),(1145,'2594','Leones',5),(1146,'2600','Boca p 25',4),(1147,'2600','Chateaubriand',4),(1148,'2600','Estacion teodelina',4),(1149,'2600','Rabiola',4),(1150,'2600','San marcos de venado tuerto',4),(1151,'2600','Venado tuerto',4),(1152,'2601','La inglesita',4),(1153,'2601','Murphy',4),(1154,'2602','La chispa',4),(1155,'2603','Chapuy',4),(1156,'2604','San francisco de santa fe',4),(1157,'2605','Otto bemberg',4),(1158,'2605','Rastreador fournier',4),(1159,'2605','Santa isabel',4),(1160,'2607','Campo quirno',4),(1161,'2607','Encadenadas',4),(1162,'2607','Las encadenadas',4),(1163,'2607','Villa caÑas',4),(1164,'2609','Colonia morgan',4),(1165,'2609','Colonia santa lucia',4),(1166,'2609','Maria teresa',4),(1167,'2611','Estacion christophersen',4),(1168,'2611','Runciman',4),(1169,'2613','La morocha',4),(1170,'2613','San gregorio',4),(1171,'2615','La gama',4),(1172,'2615','San eduardo',4),(1173,'2617','Sancti spiritu',4),(1174,'2618','Carmen',4),(1175,'2619','Kilometro 57',5),(1176,'2622','Maggiolo',4),(1177,'2624','Arias',5),(1178,'2625','Cavanagh',5),(1179,'2625','Desvio kilometro 57',5),(1180,'2625','Kilegruman',5),(1181,'2625','Latan hall',5),(1182,'2627','Guatimozin',5),(1183,'2627','Pueblo gambande',5),(1184,'2630','Firmat',4),(1185,'2630','Villa fredickson',4),(1186,'2630','Villa regules',4),(1187,'2631','Cora',4),(1188,'2631','Durham',4),(1189,'2631','Pueblo miguel torres',4),(1190,'2631','Villa divisa de mayo',4),(1191,'2633','Chovet',4),(1192,'2635','CaÑada del ucle',4),(1193,'2635','Carlos dose',4),(1194,'2637','Colonia hansen',4),(1195,'2637','Colonia la  catalana',4),(1196,'2637','Los quirquinchos',4),(1197,'2639','Berabevu 1',4),(1198,'2639','Campo nuevo',4),(1199,'2639','Colonia fernandez',4),(1200,'2639','Colonia gomez',4),(1201,'2639','Colonia la  palencia',4),(1202,'2639','Colonia la  pellegrini',4),(1203,'2639','Colonia piamontesa',4),(1204,'2639','Colonia santa natalia',4),(1205,'2639','Colonia valencia',4),(1206,'2639','Cuatro esquinas',4),(1207,'2639','Santa natalia',4),(1208,'2640','Godeken',4),(1209,'2643','Cafferata',4),(1210,'2643','El cantor',4),(1211,'2644','Cap gral bernardo o higgins',5),(1212,'2645','Colonia la palestina',5),(1213,'2645','Colonia progreso',5),(1214,'2645','Corral de bustos',5),(1215,'2645','Piedras anchas',5),(1216,'2646','Colonia italiana',5),(1217,'2650','Canals',5),(1218,'2650','Colonia la lola',5),(1219,'2651','Colonia bremen',5),(1220,'2651','El dorado',5),(1221,'2651','El porvenir',5),(1222,'2651','La italiana',5),(1223,'2651','Santa maria',5),(1224,'2651','Viamonte',5),(1225,'2652','Colonia bismarck',5),(1226,'2653','Pueblo italiano',5),(1227,'2655','Wenceslao escalante',5),(1228,'2657','Laborde',5),(1229,'2659','Colonia barge',5),(1230,'2659','Matacos',5),(1231,'2659','Monte maiz',5),(1232,'2661','Cortaderas',5),(1233,'2661','Isla verde',5),(1234,'2662','Alejo ledesma',5),(1235,'2662','Bajo del burro',5),(1236,'2662','Colonia ballesteros',5),(1237,'2662','Colonia ledesma',5),(1238,'2664','Benjamin gould',5),(1239,'2664','San meliton',5),(1240,'2670','La carlota',5),(1241,'2671','Assunta',5),(1242,'2671','Barreto',5),(1243,'2671','Estancia las margaritas',5),(1244,'2671','General viamonte',5),(1245,'2671','Manantiales',5),(1246,'2671','Pedro e funes',5),(1247,'2671','Santa eufemia',5),(1248,'2675','Chazon',5),(1249,'2675','Santa victoria',5),(1250,'2677','Ucacha',5),(1251,'2679','Campo sol de mayo',5),(1252,'2679','Pascanas',5),(1253,'2681','Etruria',5),(1254,'2684','Colonia maipu',5),(1255,'2684','Demarchi',5),(1256,'2684','Los cisnes',5),(1257,'2684','Olmos',5),(1258,'2686','Alejandro',5),(1259,'2700','Barrio trocha',2),(1260,'2700','Campo buena vista',2),(1261,'2700','Chacra experimental inta',2),(1262,'2700','Doce de agosto',2),(1263,'2700','Fontezuela',2),(1264,'2700','Francisco ayerza',2),(1265,'2700','Hospital san antonio de la lla',2),(1266,'2700','La cora',2),(1267,'2700','Manantiales grandes',2),(1268,'2700','Pergamino',2),(1269,'2700','Pueblo otero',2),(1270,'2700','Santa rita',2),(1271,'2700','Tambo nuevo',2),(1272,'2700','Villa centenario',2),(1273,'2700','Villa godoy',2),(1274,'2700','Villa progreso',2),(1275,'2701','12 de agosto',2),(1276,'2701','Aguas corrientes',2),(1277,'2701','General gelly',2),(1278,'2701','General gelly',4),(1279,'2701','Haras el centinela',2),(1280,'2701','Mariano benitez pergamino',2),(1281,'2701','Santa teresita pergamino',2),(1282,'2702','Pergamino',2),(1283,'2703','Cabo san fermin',2),(1284,'2703','Carabelas',2),(1285,'2703','Ortiz basualdo',2),(1286,'2703','Plumacho',2),(1287,'2703','Ricardo cano',2),(1288,'2704','Rancagua',2),(1289,'2705','Haras san jacinto',2),(1290,'2705','Kilometro 36',2),(1291,'2705','Piruco',2),(1292,'2705','Rojas',2),(1293,'2705','Villa progreso',2),(1294,'2706','Guerrico',2),(1295,'2707','Cuatro de noviembre',2),(1296,'2707','El jaguel',2),(1297,'2707','Guido spano',2),(1298,'2707','Hunter',2),(1299,'2707','Juana a de la peÑa',2),(1300,'2707','La nacion',2),(1301,'2707','Las saladas',2),(1302,'2709','Los indios',2),(1303,'2709','Sol de mayo',2),(1304,'2711','Almacen piatti',2),(1305,'2711','Colonia la vanguardia',2),(1306,'2711','Paraje santa rosa',2),(1307,'2711','Pearson',2),(1308,'2711','San federico',2),(1309,'2713','Manuel ocampo',2),(1310,'2715','El socorro',2),(1311,'2715','La margarita',2),(1312,'2715','La vanguardia',2),(1313,'2717','Acevedo',2),(1314,'2717','Gornatti',2),(1315,'2717','Manantiales',2),(1316,'2718','Lierra adjemiro',2),(1317,'2718','Lopez molinari',2),(1318,'2718','Maguirre',2),(1319,'2718','Manzo y niÑo',2),(1320,'2718','Mariano h alfonzo',2),(1321,'2718','Villa da fonte',2),(1322,'2720','Caminera general lopez',2),(1323,'2720','Caminera general lopez',4),(1324,'2720','Colon',2),(1325,'2720','El pelado',2),(1326,'2720','Los arcos',4),(1327,'2720','Los arcos',2),(1328,'2721','El arbolito',2),(1329,'2721','Sarasa',2),(1330,'2722','Wheelwright',4),(1331,'2723','El bagual',4),(1332,'2723','Estancia las gamas',2),(1333,'2723','Juncal',4),(1334,'2724','Urquiza',2),(1335,'2725','Hughes',4),(1336,'2725','Merceditas',4),(1337,'2725','Santa emilia',4),(1338,'2726','Labordeboy',4),(1339,'2726','Villa estela',4),(1340,'2728','Melincue',4),(1341,'2728','San urbano',4),(1342,'2729','Carreras',4),(1343,'2732','Cuatro de febrero',4),(1344,'2732','El jardin',4),(1345,'2732','Elortondo',4),(1346,'2740','Almacen la colina',2),(1347,'2740','Arrecifes',2),(1348,'2740','CaÑada marta',2),(1349,'2740','El nacional',2),(1350,'2740','La delia',2),(1351,'2740','La nelida',2),(1352,'2740','Puente caÑete',2),(1353,'2740','Villa sanguinetti',2),(1354,'2741','El retiro',2),(1355,'2741','Kilometro 187',2),(1356,'2741','Las cuatro puertas',2),(1357,'2741','Marcelino ugarte',2),(1358,'2741','Salto',2),(1359,'2743','Arroyo dulce',2),(1360,'2743','Los angeles',2),(1361,'2743','Monroe',2),(1362,'2743','Tacuari',2),(1363,'2743','Villa san jose',2),(1364,'2745','Gahan',2),(1365,'2745','Kenny',2),(1366,'2745','La invencible',2),(1367,'2747','Coronel isleÑos',2),(1368,'2747','Ines indart',2),(1369,'2749','Berdier',2),(1370,'2751','Almacen castro',2),(1371,'2751','Almacen el cruce',2),(1372,'2751','Colonia la invernada',2),(1373,'2751','Colonia la nena',2),(1374,'2751','Colonia la noria',2),(1375,'2751','Colonia la reina',2),(1376,'2751','Colonia laborderoy',2),(1377,'2751','Colonia los toldos',2),(1378,'2751','Colonia stegman',2),(1379,'2751','El quemado',2),(1380,'2751','La sarita',2),(1381,'2751','La violeta',2),(1382,'2752','Almacen el descanso',2),(1383,'2752','Arroyo de luna',2),(1384,'2752','Campo la elisa',2),(1385,'2752','Capitan sarmiento',2),(1386,'2752','Colegio san pablo',2),(1387,'2752','El silencio',2),(1388,'2752','Haras los cardales',2),(1389,'2752','Retiro san pablo',2),(1390,'2753','La luisa',2),(1391,'2754','Campo crisol',2),(1392,'2754','El carmen',2),(1393,'2754','San juan',2),(1394,'2754','San ramon',2),(1395,'2754','Todd',2),(1396,'2755','ViÑa',2),(1397,'2760','Bagues',2),(1398,'2760','Colonia los tres usaris',2),(1399,'2760','Puente castex',2),(1400,'2760','San antonio de areco',2),(1401,'2761','Estancia santa catalina',2),(1402,'2761','Santa coloma',2),(1403,'2761','Villa lia',2),(1404,'2763','Flamenco',2),(1405,'2763','Kilometro 102',2),(1406,'2763','Puesto del medio',2),(1407,'2763','Solis',2),(1408,'2764','Campo la nena',2),(1409,'2764','Chenaut',2),(1410,'2764','Duggan',2),(1411,'2764','Gobernador andonaeghi',2),(1412,'2764','Vagues',2),(1413,'2800','Arroyo aguila negra',2),(1414,'2800','Arroyo botija falsa',2),(1415,'2800','Arroyo negro',2),(1416,'2800','Arroyo Ñacurutu',2),(1417,'2800','Barrio san jacinto',2),(1418,'2800','Canal martin irigoyen',2),(1419,'2800','Frigorifico las palmas',2),(1420,'2800','La pesqueria',2),(1421,'2800','Villa angus',2),(1422,'2800','Villa capdepont',2),(1423,'2800','Villa florida',2),(1424,'2800','Villa fox',2),(1425,'2800','Villa massoni',2),(1426,'2800','Villa mosconi',2),(1427,'2800','Zarate',2),(1428,'2800','Zona delta zarate',2),(1429,'2801','Alto verde',2),(1430,'2801','El tatu',2),(1431,'2801','Escalada',2),(1432,'2802','Otamendi',2),(1433,'2803','Rio lujan',2),(1434,'2804','Campana',2),(1435,'2804','El fenix',2),(1436,'2804','Kilometro 88',2),(1437,'2804','Pasaje talavera',3),(1438,'2804','Ruta 9 kilometro 72',2),(1439,'2804','Zona delta campana',2),(1440,'2805','Arroyo aleli',2),(1441,'2805','Arroyo brasilero',3),(1442,'2805','Arroyo carabelitas',2),(1443,'2805','Arroyo el ahogado',2),(1444,'2805','Arroyo ibicuycito',3),(1445,'2805','Arroyo la paciencia',3),(1446,'2805','Arroyo las cruces',2),(1447,'2805','Arroyo las rosas',2),(1448,'2805','Arroyo los platos',3),(1449,'2805','Arroyo los tigres',2),(1450,'2805','Arroyo Ñacurutu chico',2),(1451,'2805','Arroyo pesqueria',2),(1452,'2805','Arroyo tajiber',2),(1453,'2805','Arroyo zanjon',2),(1454,'2805','Blondeau',2),(1455,'2805','Canal n alem 1 a sec',2),(1456,'2805','Canal n alem 2 a sec',2),(1457,'2805','Colonia delta',3),(1458,'2805','Isla el dorado',3),(1459,'2805','La horqueta',2),(1460,'2805','Paraje palaveroi',3),(1461,'2805','Parana bravo',3),(1462,'2805','Rio aguila',3),(1463,'2805','Rio alferez nelson page',3),(1464,'2805','Rio ceibo',3),(1465,'2805','Rio parana guazu',3),(1466,'2805','Rio pasaje al aguila',3),(1467,'2805','Rio sauce',3),(1468,'2805','Rio talavera',3),(1469,'2806','Las palmas',2),(1470,'2806','Lima',2),(1471,'2808','Atucha',2),(1472,'2812','Capilla del seÑor',2),(1473,'2812','Carlos lemee',2),(1474,'2812','Diego gaynor',2),(1475,'2812','Exaltacion de la cruz',2),(1476,'2812','La lata',2),(1477,'2812','La rosada',2),(1478,'2812','Orlando',2),(1479,'2812','Pavon',2),(1480,'2812','Villa preceptor m robles',2),(1481,'2813','Arroyo de la cruz',2),(1482,'2814','Los cardales',2),(1483,'2820','Colonia el potrero',3),(1484,'2820','Colonia stauwer',3),(1485,'2820','Cuatro bocas paraje',3),(1486,'2820','El nuevo rincon',3),(1487,'2820','Gualeguaychu',3),(1488,'2820','Kilometro 311',3),(1489,'2820','La lata',3),(1490,'2820','La zelmira',3),(1491,'2820','Palavecino',3),(1492,'2820','Pesqueria diamantino',3),(1493,'2820','Pueblo nuevo',3),(1494,'2820','Puerto unzue',3),(1495,'2820','Tres esquinas',3),(1496,'2820','Villa antony',3),(1497,'2820','Villa eleonora',3),(1498,'2820','Villa lila',3),(1499,'2820','Zona delta gualeguaychu',3),(1500,'2821','Arroyo del cura',3),(1501,'2821','Arroyo venerato',3),(1502,'2821','Costa del uruguay',3),(1503,'2821','El potrero',3),(1504,'2821','Gualeyan',3),(1505,'2821','Ñandubaysal',3),(1506,'2821','Pehuajo norte',3),(1507,'2821','Pueblo general belgrano',3),(1508,'2821','Rincon del gato',3),(1509,'2821','Sarandi',3),(1510,'2821','Villa del cerro',3),(1511,'2823','Aero club canal',3),(1512,'2823','Arroyo buen pastor',3),(1513,'2823','Arroyo caballo',3),(1514,'2823','Arroyo principal',3),(1515,'2823','Arroyo salado',3),(1516,'2823','Arroyo sanchez chico',3),(1517,'2823','Arroyo sanchez grande',3),(1518,'2823','Arroyo zapallo',3),(1519,'2823','Canal principal',3),(1520,'2823','Ceibal',3),(1521,'2823','Ceibas',3),(1522,'2823','Cooperativa brazo largo',3),(1523,'2823','El sauce',3),(1524,'2823','Establecimiento san martin',3),(1525,'2823','Isla del ibicuy',3),(1526,'2823','La calera',3),(1527,'2823','La cuadra',3),(1528,'2823','Perdices',3),(1529,'2823','Puente Ñancay',3),(1530,'2823','Puente paranacito',3),(1531,'2823','Sagastume',3),(1532,'2823','Villa paranacito',3),(1533,'2824','Britos',3),(1534,'2824','Colonia gdor basavilbaso',3),(1535,'2824','Colonia italiana',3),(1536,'2824','Doctor eugenio muÑoz',3),(1537,'2824','Faustino m parera',3),(1538,'2824','General almada',3),(1539,'2824','La chica',3),(1540,'2824','La florida',3),(1541,'2824','Villa faustino m parera',3),(1542,'2824','Villa romero',3),(1543,'2826','Aldea san antonio',3),(1544,'2826','Aldea san juan',3),(1545,'2826','Aldea santa celia',3),(1546,'2826','Costas de san antonio',3),(1547,'2826','La escondida',3),(1548,'2826','Pastor britos',3),(1549,'2826','Rincon de cinto',3),(1550,'2826','San antonio',3),(1551,'2826','Urdinarrain',3),(1552,'2828','Colonia nueva montevideo',3),(1553,'2828','EscriÑa',3),(1554,'2828','Gilbert',3),(1555,'2828','Las masitas',3),(1556,'2828','Las rosas',3),(1557,'2828','Los amigos',3),(1558,'2828','Lucienville 1',3),(1559,'2828','Lucienville 2',3),(1560,'2828','Lucienville 3',3),(1561,'2828','Lucienville 4',3),(1562,'2840','Albardon',3),(1563,'2840','Boca gualeguay',3),(1564,'2840','Buena vista paraje',3),(1565,'2840','Chacras',3),(1566,'2840','Cuatro bocas',3),(1567,'2840','Cuchilla',3),(1568,'2840','El remance',3),(1569,'2840','Gualeguay',3),(1570,'2840','Hojas anchas',3),(1571,'2840','Kilometro 306',3),(1572,'2840','Las bateas',3),(1573,'2840','Primer distrito',3),(1574,'2840','Puente pellegrini',3),(1575,'2840','Puerto barriles',3),(1576,'2840','Puerto ruiz',3),(1577,'2840','Punta del monte',3),(1578,'2840','Rincon del nogoya sur',3),(1579,'2840','Saladero alzua',3),(1580,'2840','Saladero san jose',3),(1581,'2840','Santa marta',3),(1582,'2840','Septimo distrito',3),(1583,'2841','Aldea asuncion',3),(1584,'2841','Arroyo cle desvio',3),(1585,'2841','Cuatro manos',3),(1586,'2841','Gonzalez calderon',3),(1587,'2841','Kilometro 290',3),(1588,'2841','Kilometro 303',3),(1589,'2841','Las colas',3),(1590,'2841','Lazo',3),(1591,'2841','San julian',3),(1592,'2843','General galarza',3),(1593,'2843','Quinto distrito',3),(1594,'2845','Colonia duportal',3),(1595,'2845','Echague',3),(1596,'2845','Gobernador echague',3),(1597,'2845','Gobernador mansilla',3),(1598,'2845','Sauce sud',3),(1599,'2846','Anahi',3),(1600,'2846','El empalme paraje',3),(1601,'2846','Empalme holt',3),(1602,'2846','Fernandez',3),(1603,'2846','Holt',3),(1604,'2846','Ibicuy',3),(1605,'2846','Islas de las lechiguanas',3),(1606,'2846','Kilometro 389',3),(1607,'2846','La argentina',3),(1608,'2846','Libertador gral san martin',3),(1609,'2846','Mazaruca',3),(1610,'2846','Paranacito',3),(1611,'2846','Paso del cisnero',3),(1612,'2846','Puerto constanza',3),(1613,'2846','Puerto ibicuy',3),(1614,'2846','Puerto perazzo',3),(1615,'2846','Puerto san juan',3),(1616,'2848','Berisso',3),(1617,'2848','Kilometro 340',3),(1618,'2848','Kilometro 361',3),(1619,'2848','Medanos',3),(1620,'2852','Alarcon',3),(1621,'2852','Berisso desvio fcgu',3),(1622,'2852','Cuchilla redonda',3),(1623,'2852','Enrique carbo',3),(1624,'2852','Irazusta estacion',3),(1625,'2852','La costa',3),(1626,'2852','Talitas gualeguaychu',3),(1627,'2854','Dos hermanas',3),(1628,'2854','Larroque',3),(1629,'2854','Las mercedes',3),(1630,'2854','Pehuajo sud',3),(1631,'2900','San nicolas de los arroyos',2),(1632,'2901','San nicolas de los arroyos',2),(1633,'2902','San nicolas de los arroyos',2),(1634,'2903','Erezcano',2),(1635,'2905','General rojo',2),(1636,'2907','General conesa',2),(1637,'2907','Pujol',2),(1638,'2909','Estancias',2),(1639,'2909','Juan g pujol',2),(1640,'2909','Mutti',2),(1641,'2912','La querencia',2),(1642,'2912','Santa teresa',2),(1643,'2913','Villa gral savio ex sanchez',2),(1644,'2914','Costa brava',2),(1645,'2914','Villa ramallo',2),(1646,'2914','Villa ramallo estacion ffcc',2),(1647,'2915','Aguirrezabala',2),(1648,'2915','La esperanza',2),(1649,'2915','Ramallo',2),(1650,'2916','El jupiter',2),(1651,'2916','El paraiso',2),(1652,'2916','Haras el ombu',2),(1653,'2916','Las bahamas',2),(1654,'2918','Empalme villa constitucion',4),(1655,'2919','Copacabana',4),(1656,'2919','Estacion villa constitucion',4),(1657,'2919','Villa constitucion',4),(1658,'2920','Pavon',4),(1659,'2921','Godoy',4),(1660,'2921','Oratorio morante',4),(1661,'2921','Tres esquinas',4),(1662,'2922','Theobald',4),(1663,'2923','Rueda',4),(1664,'2930','La buana moza',2),(1665,'2930','Las flores',2),(1666,'2930','Ruta 9 kilometro 169 5',2),(1667,'2930','San pedro',2),(1668,'2930','Villa depietri',2),(1669,'2930','Villa igollo',2),(1670,'2930','Villa sarita',2),(1671,'2930','Villaigrillo',2),(1672,'2931','Isla los laureles',2),(1673,'2931','La matilde',2),(1674,'2931','Oliviera cesar',2),(1675,'2931','Paname',2),(1676,'2931','Vuelta de obligado',2),(1677,'2933','Colonia velez',2),(1678,'2933','La bolsa',2),(1679,'2933','Perez millan',2),(1680,'2935','Algarrobo',2),(1681,'2935','Arroyo burgos',2),(1682,'2935','El descanso',2),(1683,'2935','Ingeniero moneta',2),(1684,'2935','Kilometro 172',2),(1685,'2935','Parada kilometro 158',2),(1686,'2935','Santa lucia',2),(1687,'2938','Alsina',2),(1688,'2942','Baradero',2),(1689,'2942','Estacion baradero',2),(1690,'2943','Ireneo portela',2),(1691,'2944','Rio tala',2),(1692,'2944','Villa teresa',2),(1693,'2946','El espinillo',2),(1694,'2946','Gobernador castro',2),(1695,'2946','Kilometro 184',2),(1696,'2946','Villa leandra',2),(1697,'2953','Doyle',2),(1698,'3000','Barranquitas',4),(1699,'3000','Kilometro 9',4),(1700,'3000','Piquete',4),(1701,'3000','Pueblo candioti',4),(1702,'3000','Pueblo nuevo',4),(1703,'3000','Santa fe',4),(1704,'3000','Villa don bosco',4),(1705,'3000','Villa maria selva',4),(1706,'3000','Villa yapeyu',4),(1707,'3001','Alto verde',4),(1708,'3001','Arroyo leyes',4),(1709,'3001','Calchines',4),(1710,'3001','Campo crespo',4),(1711,'3001','Campo del medio',4),(1712,'3001','Campo iturraspe',4),(1713,'3001','Cayasta',4),(1714,'3001','Colastine',4),(1715,'3001','Colastine norte',4),(1716,'3001','Colonia mascias',4),(1717,'3001','Colonia nueva narciso',4),(1718,'3001','Colonia san joaquin',4),(1719,'3001','El laurel',4),(1720,'3001','El pozo',4),(1721,'3001','Isla del porteÑo',4),(1722,'3001','La guardia',4),(1723,'3001','La noria',4),(1724,'3001','Los cerrillos',4),(1725,'3001','Recreo sur',4),(1726,'3001','Rincon norte',4),(1727,'3001','Rincon potreros',4),(1728,'3001','Ruinas santa fe la vieja',4),(1729,'3001','Saladero m cabal',4),(1730,'3001','San joaquin',4),(1731,'3001','Villa viveros',4),(1732,'3002','Santa fe',4),(1733,'3003','Colonia los zapallos',4),(1734,'3003','Helvecia',4),(1735,'3004','Santa fe',4),(1736,'3005','Colonia california',4),(1737,'3005','Colonia francesa',4),(1738,'3005','Colonia san roque',4),(1739,'3005','Colonia teresa',4),(1740,'3005','El ceibo',4),(1741,'3005','El gusano',4),(1742,'3005','El para',4),(1743,'3005','Los cardenales',4),(1744,'3005','Ombu norte',4),(1745,'3005','San javier',4),(1746,'3006','Santa fe',4),(1747,'3007','Empalme san carlos',4),(1748,'3008','Santa fe',4),(1749,'3009','El tropezon',4),(1750,'3009','Franck',4),(1751,'3010','San carlos norte',4),(1752,'3011','Campo magnin',4),(1753,'3011','Sa pereyra',4),(1754,'3011','San jeronimo norte',4),(1755,'3011','San mariano',4),(1756,'3011','Santa maria',4),(1757,'3012','San jeronimo del sauce',4),(1758,'3013','Colonia matilde',4),(1759,'3013','Coronel rodriguez',4),(1760,'3013','Estacion matilde',4),(1761,'3013','Las higueritas',4),(1762,'3013','San carlos centro',4),(1763,'3014','Angel gallardo',4),(1764,'3014','Ascochingas',4),(1765,'3014','Campo lehman',4),(1766,'3014','Constituyentes',4),(1767,'3014','Kilometro 28',4),(1768,'3014','Kilometro 35',4),(1769,'3014','Nueva pompeya',4),(1770,'3014','Pompeya',4),(1771,'3014','San pedro sur',4),(1772,'3014','Setubal',4),(1773,'3014','Yamandu',4),(1774,'3015','San jeronimo norte',4),(1775,'3016','Colonia san jose',4),(1776,'3016','San jose',4),(1777,'3016','Santo tome',4),(1778,'3016','Villa lujan',4),(1779,'3017','Bajo las tunas',4),(1780,'3017','San carlos sud',4),(1781,'3017','Sauce viejo',4),(1782,'3018','Iriondo',4),(1783,'3018','Recreo',4),(1784,'3019','San agustin',4),(1785,'3020','Campo santo domingo',4),(1786,'3020','Kilometro 41',4),(1787,'3020','Laguna paiva',4),(1788,'3020','Reynaldo cullen',4),(1789,'3020','San guillermo',4),(1790,'3021','Campo andino',4),(1791,'3021','El galpon',4),(1792,'3021','La clorinda',4),(1793,'3021','Los hornos',4),(1794,'3021','San pedro',4),(1795,'3021','San pedro norte',4),(1796,'3022','Santa rosa de calchines',4),(1797,'3023','Cululu',4),(1798,'3023','Ingeniero boasi',4),(1799,'3023','Kilometro 49',4),(1800,'3023','Manucho',4),(1801,'3023','Progreso',4),(1802,'3023','Rinlon de avila',4),(1803,'3023','Tomas alva edison',4),(1804,'3024','Sarmiento',4),(1805,'3025','Colonia clara',4),(1806,'3025','La clara',4),(1807,'3025','Providencia',4),(1808,'3025','Rincon del quebracho',4),(1809,'3025','Santo domingo',4),(1810,'3025','Soledad',4),(1811,'3025','Souto mayor',4),(1812,'3027','La pelada',4),(1813,'3028','Maria luisa',4),(1814,'3029','Colonia adolfo alsina',4),(1815,'3029','Desvio arauz',4),(1816,'3029','Elisa',4),(1817,'3030','Monte vera',4),(1818,'3031','Arroyo aguiar',4),(1819,'3032','Nelson',4),(1820,'3033','Las tunas',4),(1821,'3034','Sauce viejo',4),(1822,'3036','Aromos',4),(1823,'3036','Colonia campo botto',4),(1824,'3036','Esther',4),(1825,'3036','Lassaga',4),(1826,'3036','Llambi campbell',4),(1827,'3036','Rio salado',4),(1828,'3038','Cayastacito',4),(1829,'3038','La sementera',4),(1830,'3039','Mariano saavedra',4),(1831,'3040','Asuncion maria',4),(1832,'3040','Avichuncho',4),(1833,'3040','Esquina grande',4),(1834,'3040','Estancia la constancia',4),(1835,'3040','Estancia prusia',4),(1836,'3040','La capilla',4),(1837,'3040','San justo',4),(1838,'3040','Vera mujica',4),(1839,'3041','Cacique ariacaiquin',4),(1840,'3041','Jose macias',4),(1841,'3041','Los saladillos',4),(1842,'3041','Mascias',4),(1843,'3041','Ñandubay',4),(1844,'3042','Abipones',4),(1845,'3042','Colonia el ochenta',4),(1846,'3042','Colonia silva',4),(1847,'3042','La rosa',4),(1848,'3042','Marcelino escalada',4),(1849,'3042','Villa lastenia',4),(1850,'3044','Gobernador crespo',4),(1851,'3045','Campo zavalla',4),(1852,'3045','Colonia dolores',4),(1853,'3045','Colonia la mora',4),(1854,'3045','Colonia la penca',4),(1855,'3045','La brava',4),(1856,'3045','San martin norte',4),(1857,'3046','Arrascaeta',4),(1858,'3046','Campo berraz',4),(1859,'3046','Colonia manuel menchaca',4),(1860,'3046','El sombrerero',4),(1861,'3046','Fortin almagro',4),(1862,'3046','Kilometro 95',4),(1863,'3046','La julia',4),(1864,'3046','Las caÑas',4),(1865,'3046','Las tres marias',4),(1866,'3046','Los olivos',4),(1867,'3046','Miguel escalada',4),(1868,'3046','Nare',4),(1869,'3046','Nueva ukrania',4),(1870,'3046','Paikin',4),(1871,'3046','Petronila',4),(1872,'3046','Rincon de san antonio',4),(1873,'3046','Villa saralegui',4),(1874,'3048','Colonia angeloni',4),(1875,'3048','Colonia sol de mayo',4),(1876,'3048','Colonia tres reyes',4),(1877,'3048','Luciano leiva',4),(1878,'3048','Pueblo san bernardo',4),(1879,'3048','Videla',4),(1880,'3049','Hipatia',4),(1881,'3050','Calchaqui',4),(1882,'3050','Kilometro 213',4),(1883,'3050','La hosca',4),(1884,'3050','Los galpones',4),(1885,'3051','Alejandra',4),(1886,'3051','El pajaro blanco',4),(1887,'3051','Los corralitos',4),(1888,'3051','Los osos',4),(1889,'3052','CaÑadita',4),(1890,'3052','Colonia la blanca',4),(1891,'3052','La criolla',4),(1892,'3053','Pericota',4),(1893,'3054','Colonia la negra',4),(1894,'3054','Fives lille',4),(1895,'3054','Guaranies',4),(1896,'3054','La camila',4),(1897,'3054','La oriental',4),(1898,'3054','Pedro gomez cello',4),(1899,'3054','Vera y pintado',4),(1900,'3056','Campo coubert',4),(1901,'3056','Colonia la maria',4),(1902,'3056','Colonia la nicolasa',4),(1903,'3056','Espin',4),(1904,'3056','La guampita',4),(1905,'3056','Margarita',4),(1906,'3057','Estancia las gamas',4),(1907,'3057','Estancia los palmares',4),(1908,'3057','Estancia pavenhan',4),(1909,'3057','La cigueÑa',4),(1910,'3057','La gallareta',4),(1911,'3057','La sarnosa',4),(1912,'3057','Los palmares',4),(1913,'3057','Pavenhan',4),(1914,'3058','Vuelta del pirata',4),(1915,'3060','Campo san jose',4),(1916,'3060','El amargo',4),(1917,'3060','El mariano',4),(1918,'3060','El triangulo',4),(1919,'3060','Estancia achala',4),(1920,'3060','Estancia la cigueÑa',4),(1921,'3060','Fortin argentina',4),(1922,'3060','Fortin cacique',4),(1923,'3060','Fortin charrua',4),(1924,'3060','Fortin tacuru',4),(1925,'3060','Fortin tostado',4),(1926,'3060','Independencia',4),(1927,'3060','La bombilla',4),(1928,'3060','Las arenas',4),(1929,'3060','Los charabones',4),(1930,'3060','Sin pereza',4),(1931,'3060','Tostado',4),(1932,'3061','Antonio pini',4),(1933,'3061','Cabeza de chancho',4),(1934,'3061','Cuatro bocas',6),(1935,'3061','El nochero',4),(1936,'3061','Fortin atahualpa',4),(1937,'3061','Fortin seis de caballeria',4),(1938,'3061','Kilometro 389',4),(1939,'3061','Kilometro 421',4),(1940,'3061','Kilometro 468',4),(1941,'3061','Las chuÑas',4),(1942,'3061','Padre pedro iturralde',4),(1943,'3061','San bernardo',4),(1944,'3061','Tres pozos',4),(1945,'3061','Villa minetti',4),(1946,'3062','Campo belgrano',6),(1947,'3062','Desvio pozo dulce',6),(1948,'3062','El caÑon',6),(1949,'3062','El crucero',6),(1950,'3062','El jardin',6),(1951,'3062','El once',6),(1952,'3062','El setenta',6),(1953,'3062','El simbol',6),(1954,'3062','Fortin inca',6),(1955,'3062','Guardia escolta',6),(1956,'3062','La aida',6),(1957,'3062','La delia',6),(1958,'3062','La dora',6),(1959,'3062','La feliciana',6),(1960,'3062','La isleta',6),(1961,'3062','La libia',6),(1962,'3062','La magdalena',6),(1963,'3062','La santafecina',6),(1964,'3062','Las chilcas',6),(1965,'3062','Las isletas',6),(1966,'3062','Las mochas',6),(1967,'3062','Las teresas',6),(1968,'3062','Los tableros',6),(1969,'3062','Pozo dulce',6),(1970,'3062','San german',6),(1971,'3062','Tres lagunas',6),(1972,'3064','Bandera',6),(1973,'3064','Colonia alsina',6),(1974,'3064','Don pietro',6),(1975,'3064','El agricultor',6),(1976,'3064','El candelero',6),(1977,'3064','El tobiano',6),(1978,'3064','Isla baja',6),(1979,'3064','La alemana',6),(1980,'3064','La dolores',6),(1981,'3064','La esperanza',6),(1982,'3064','La eulalia',6),(1983,'3064','La francisca',6),(1984,'3064','La hiedra',6),(1985,'3064','La huerta',6),(1986,'3064','La pampa',6),(1987,'3064','La panchita',6),(1988,'3064','La rosilla',6),(1989,'3064','La simona',6),(1990,'3064','La susana',6),(1991,'3064','La teresa',6),(1992,'3064','Las aguadas',6),(1993,'3064','Las gamas',6),(1994,'3064','Los paraisos',6),(1995,'3064','Nueva aurora',6),(1996,'3064','Sanavirones',6),(1997,'3064','Santa catalina',6),(1998,'3064','Selva blanca',6),(1999,'3066','Campo garay',4),(2000,'3066','Colonia independencia',4),(2001,'3066','Fortin alerta',4),(2002,'3066','Kilometro 293',4),(2003,'3066','Portalis',4),(2004,'3067','Pozo borrado',4),(2005,'3068','Santa margarita',4),(2006,'3069','Gregoria perez de denis',4),(2007,'3070','Dho',4),(2008,'3070','El aguara',4),(2009,'3070','Los molles',4),(2010,'3070','San cristobal',4),(2011,'3071','Aguara grande',4),(2012,'3071','Portugalete',4),(2013,'3072','La lucila',4),(2014,'3072','Maria eugenia',4),(2015,'3072','Ñanducita',4),(2016,'3074','Colonia el simbol',4),(2017,'3074','La cabral',4),(2018,'3074','La polvareda',4),(2019,'3074','Las avispas',4),(2020,'3074','Nueva italia',4),(2021,'3074','Santurce',4),(2022,'3075','LogroÑo',4),(2023,'3076','Huanqueros',4),(2024,'3076','Kilometro 235',4),(2025,'3076','La verde',4),(2026,'3076','Laguna verde',4),(2027,'3077','Esteban rams',4),(2028,'3080','Colonia pujol',4),(2029,'3080','Esperanza',4),(2030,'3080','La orilla',4),(2031,'3080','Larrechea',4),(2032,'3080','Paso vinal',4),(2033,'3080','Pueblo abc',4),(2034,'3080','Pujato norte',4),(2035,'3080','Rincon del pintado',4),(2036,'3081','Colonia la nueva',4),(2037,'3081','Humboldt',4),(2038,'3081','Humboldt chico',4),(2039,'3081','Rivadavia',4),(2040,'3082','Cavour',4),(2041,'3083','Grutly',4),(2042,'3083','Grutly norte',4),(2043,'3085','Pilar',4),(2044,'3087','Felicia',4),(2045,'3088','Nuevo torino',4),(2046,'3089','San jose del rincon',4),(2047,'3091','Cabal',4),(2048,'3092','Emilia',4),(2049,'3094','Ramayon',4),(2050,'3097','Kilometro 302',4),(2051,'3100','Avenida ejercito parana',3),(2052,'3100','Bajada grande',3),(2053,'3100','BaÑadero oficial burgos',3),(2054,'3100','Camino a diamante km 1',3),(2055,'3100','Corrales nuevos',3),(2056,'3100','Isla lynch',3),(2057,'3100','Oro verde',3),(2058,'3100','Paracao',3),(2059,'3100','Parana',3),(2060,'3100','Puerto viejo',3),(2061,'3100','Quintas al sud',3),(2062,'3100','Ruta 138 kilometro 1',3),(2063,'3100','Tiro federal',3),(2064,'3100','Villa sarmiento',3),(2065,'3100','Villa uranga',3),(2066,'3101','Aldea brasilera',3),(2067,'3101','Aldea protestante',3),(2068,'3101','Aldea salto',3),(2069,'3101','Aldea san francisco',3),(2070,'3101','Aldea spatzenkutter',3),(2071,'3101','Aldea valle maria',3),(2072,'3101','Arroyo jacinto',3),(2073,'3101','Campo riquelme',3),(2074,'3101','Carrizal',3),(2075,'3101','Colonia ensayo',3),(2076,'3101','Colonia palmar',3),(2077,'3101','Costa grande',3),(2078,'3101','Costa grande doll',3),(2079,'3101','Doctor garcia',3),(2080,'3101','General alvear',3),(2081,'3101','Isla el pillo',3),(2082,'3101','Las cuevas',3),(2083,'3101','Los gansos',3),(2084,'3101','Molino doll',3),(2085,'3101','Paja brava',3),(2086,'3101','Pajonal',3),(2087,'3101','Puente de las pencas',3),(2088,'3101','Puente del doll',3),(2089,'3101','Puerto las cuevas',3),(2090,'3101','Puerto lopez',3),(2091,'3101','Rincon del doll',3),(2092,'3101','San francisco',3),(2093,'3101','Sanatorio apeadero fcgu',3),(2094,'3101','Strobel',3),(2095,'3101','Valle maria',3),(2096,'3103','Aldea santafecina',3),(2097,'3103','Colegio adventista del plata',3),(2098,'3103','Libertador san martin',3),(2099,'3103','Sanatorio adventista del plata',3),(2100,'3103','Villa aida',3),(2101,'3103','Villa libertador san martin',3),(2102,'3105','Diamante',3),(2103,'3105','Ejido diamante',3),(2104,'3105','Puerto diamante',3),(2105,'3107','Distrito espinillo',3),(2106,'3107','Presidente avellaneda',3),(2107,'3107','San benito',3),(2108,'3107','Sauce pinto',3),(2109,'3109','Colonia centenario',3),(2110,'3109','Crucecitas 7 a seccion',3),(2111,'3109','El ramblon',3),(2112,'3109','Quebracho',3),(2113,'3109','Ramblon',3),(2114,'3109','Seccion urquiza',3),(2115,'3109','Viale',3),(2116,'3111','Almacen cristian schubert',3),(2117,'3111','Arroyo las tunas',3),(2118,'3111','Arroyo pancho',3),(2119,'3111','CaÑada grande',3),(2120,'3111','ChaÑar maria grande primera',3),(2121,'3111','Las tunas',3),(2122,'3111','Maria grande primera',3),(2123,'3111','Puente del chaÑar',3),(2124,'3111','San martin',3),(2125,'3111','Tabossi',3),(2126,'3112','Colonia loma negra',3),(2127,'3113','Colonia celina',3),(2128,'3113','Colonia san martin',3),(2129,'3113','Curtiembre',3),(2130,'3113','La balsa',3),(2131,'3113','La balsa parana',3),(2132,'3113','Paso de la balza',3),(2133,'3113','Puerto curtiembre',3),(2134,'3113','San martin',3),(2135,'3113','Tres lagunas',3),(2136,'3113','Villa urquiza',3),(2137,'3114','Aldea maria luisa',3),(2138,'3114','Colonia grapschental',3),(2139,'3114','Colonia maria luisa',3),(2140,'3114','Colonia reffino',3),(2141,'3114','Escuela alberdi',3),(2142,'3114','Establecimiento el carmen',3),(2143,'3114','Establecimiento el cimarron',3),(2144,'3114','Establecimiento la esperanza',3),(2145,'3114','Establecimiento las margaritas',3),(2146,'3114','Estacion general racedo',3),(2147,'3114','Kilometro 28',3),(2148,'3114','Racedo',3),(2149,'3114','Tezanos pinto',3),(2150,'3114','Villa fontana',3),(2151,'3114','Villa gob luis etchevehere',3),(2152,'3116','Aldea chaleco',3),(2153,'3116','Aldea cuesta',3),(2154,'3116','Aldea eigenfeld',3),(2155,'3116','Aldea merou',3),(2156,'3116','Aldea san jose',3),(2157,'3116','Aldea san miguel',3),(2158,'3116','Aldea san rafael',3),(2159,'3116','Aldea santa rosa',3),(2160,'3116','Boca del tigre apeadero fcgu',3),(2161,'3116','Crespo',3),(2162,'3116','Espinillo',3),(2163,'3116','Kilometro 43',3),(2164,'3116','Kilometro 45',3),(2165,'3116','Los burgos apeadero fcgu',3),(2166,'3117','El taller',3),(2167,'3117','Segui',3),(2168,'3118','Centro comunitario cnia nue',3),(2169,'3118','Colonia argentina',3),(2170,'3118','Colonia crespo',3),(2171,'3118','Colonia nueva',3),(2172,'3118','Crespo norte',3),(2173,'3118','Distrito tala',3),(2174,'3118','Enrique berduc',3),(2175,'3118','Establecimiento el tala',3),(2176,'3118','Kilometro 131',3),(2177,'3118','Kilometro 147',3),(2178,'3118','La picada',3),(2179,'3118','La picada norte',3),(2180,'3118','Paso de la arena',3),(2181,'3118','Paso de las piedras',3),(2182,'3118','Puente carmona',3),(2183,'3118','Ramon a parera',3),(2184,'3118','Sauce montrull',3),(2185,'3122','Cerrito',3),(2186,'3122','El palenque',3),(2187,'3122','General racedo',3),(2188,'3122','Moreno',3),(2189,'3122','Pueblo moreno',3),(2190,'3123','Aldea santa maria',3),(2191,'3123','Colonia rivadavia',3),(2192,'3123','Colonia san juan',3),(2193,'3123','Pueblo general paz',3),(2194,'3125','Antonio tomas',3),(2195,'3125','Destacamento general guemes',3),(2196,'3125','Pueblo brugo',3),(2197,'3127','Alcete',3),(2198,'3127','Hernandarias',3),(2199,'3127','Paso potrillo',3),(2200,'3127','Puerto algarrobo',3),(2201,'3127','Puerto villarruel',3),(2202,'3127','Villa hernandarias',3),(2203,'3127','Vizcachera',3),(2204,'3128','Colonia berro',3),(2205,'3129','Colonia hernandarias',3),(2206,'3129','Piedras blancas',3),(2207,'3129','Puerto viboras',3),(2208,'3132','El pingo',3),(2209,'3132','Kilometro 116',3),(2210,'3133','Arroyo burgos',3),(2211,'3133','Arroyo maria',3),(2212,'3133','Barrancas coloradas',3),(2213,'3133','Colonia santa luisa',3),(2214,'3133','Maria grande',3),(2215,'3133','Maria grande segunda sur',3),(2216,'3133','Santa luisa',3),(2217,'3133','Sosa',3),(2218,'3134','Antonio tomas sud',3),(2219,'3134','Colonia oficial n 4',3),(2220,'3134','Hasenkamp',3),(2221,'3134','La colmena',3),(2222,'3134','La juliana',3),(2223,'3134','La virginia',3),(2224,'3134','Los naranjos',3),(2225,'3134','Santa sara',3),(2226,'3136','Alcaraz norte',3),(2227,'3136','Colonia la gama',3),(2228,'3136','Las garzas',3),(2229,'3136','Pueblo bellocq',3),(2230,'3136','Talitas',3),(2231,'3137','Alcaraz sud',3),(2232,'3137','BaÑadero oficial las galarzas',3),(2233,'3137','Colonia la providencia',3),(2234,'3137','El solar',3),(2235,'3138','Alcaraz 2 do',3),(2236,'3138','Alcaraz pueblo arrua',3),(2237,'3138','Colonia alcarcito',3),(2238,'3138','Colonia higuera',3),(2239,'3138','Colonia ougrie',3),(2240,'3138','Costa del payticu',3),(2241,'3138','Estancia la gama',3),(2242,'3142','Alcaracito',3),(2243,'3142','Bovril dto nro 12',3),(2244,'3142','Colonia avigdor',3),(2245,'3142','Colonia viraro',3),(2246,'3142','El corcovado',3),(2247,'3142','Kilometro 160',3),(2248,'3142','La diligencia',3),(2249,'3142','Primer congreso',3),(2250,'3142','Pueblo ellison',3),(2251,'3142','Sir leonard',3),(2252,'3142','Virano',3),(2253,'3144','Alcaraz 1 ro',3),(2254,'3144','Arroyo del medio',3),(2255,'3144','Don gonzalo',3),(2256,'3144','El gramillal',3),(2257,'3144','La encierra',3),(2258,'3144','Sauce de luna',3),(2259,'3150','Algarrobito 1 ro',3),(2260,'3150','Almirante iglesias',3),(2261,'3150','Boca del tigre',3),(2262,'3150','Camps',3),(2263,'3150','Crucecitas urquiza',3),(2264,'3150','Cuarto distrito',3),(2265,'3150','Distrito el sauce',3),(2266,'3150','Don cristobal 1 ra seccion',3),(2267,'3150','El tropezon',3),(2268,'3150','La corvina',3),(2269,'3150','La ilusion',3),(2270,'3150','Laurencena',3),(2271,'3150','Montoya',3),(2272,'3150','Nogoya',3),(2273,'3150','Sauce',3),(2274,'3150','Septimo distrito',3),(2275,'3150','Villa tres de febrero',3),(2276,'3151','Antelo',3),(2277,'3151','Colonia angela',3),(2278,'3151','Crucecitas 3 a seccion',3),(2279,'3151','El pueblito',3),(2280,'3151','Febre',3),(2281,'3151','Gobernador febre',3),(2282,'3151','Kilometro 148',3),(2283,'3151','La florencia',3),(2284,'3151','La loma',3),(2285,'3151','La maruja a',3),(2286,'3151','Montoya victoria',3),(2287,'3153','Kilmetro 165',3),(2288,'3153','Paso del abra',3),(2289,'3153','Puente victoria',3),(2290,'3153','Quebrachito',3),(2291,'3153','Quinto cuartel victoria',3),(2292,'3153','Victoria',3),(2293,'3155','Costa del nogoya',3),(2294,'3155','Establecimiento punta alta',3),(2295,'3155','Laguna del pescado',3),(2296,'3155','Pueblito norte',3),(2297,'3155','Puerta de crespo',3),(2298,'3155','Puerto esquina',3),(2299,'3155','Rincon de nogoya',3),(2300,'3155','Sexto distrito',3),(2301,'3155','Tres bocas',3),(2302,'3156','Betbeder',3),(2303,'3156','Campo escales',3),(2304,'3156','Colonia algarrabitos',3),(2305,'3156','Hernandez',3),(2306,'3156','Tres esquinas',3),(2307,'3158','20 de septiembre',3),(2308,'3158','Chiqueros',3),(2309,'3158','Colonia la llave',3),(2310,'3158','La colina',3),(2311,'3158','La favorita',3),(2312,'3158','La llave',3),(2313,'3158','Los paraisos',3),(2314,'3158','Lucas gonzalez',3),(2315,'3158','San lorenzo',3),(2316,'3162','Aranguren',3),(2317,'3162','Chilcas sud',3),(2318,'3162','Don cristobal 2da seccion',3),(2319,'3162','Hinojal',3),(2320,'3164','Colonia rivas',3),(2321,'3164','Don cristobal',3),(2322,'3164','General ramirez',3),(2323,'3164','Pueblito',3),(2324,'3164','Ramirez',3),(2325,'3164','Rivas',3),(2326,'3170','Alberto gerchunoff',3),(2327,'3170','Basavilbaso',3),(2328,'3170','Colonia lucienville',3),(2329,'3170','Colonia n 1',3),(2330,'3170','Colonia n 2',3),(2331,'3170','Colonia n 3',3),(2332,'3170','Colonia n 4',3),(2333,'3170','Kilometro 231',3),(2334,'3170','Linea 24',3),(2335,'3170','Linea 25',3),(2336,'3170','Novibuco primero',3),(2337,'3170','Pueblo nuevo',3),(2338,'3170','Tres aldeas',3),(2339,'3172','Kilometro 208',3),(2340,'3172','Rocamora',3),(2341,'3174','Altamirano sud',3),(2342,'3174','Arroyo obispo',3),(2343,'3174','Cuatro bocas',3),(2344,'3174','El chaja',3),(2345,'3174','Gobernador sola',3),(2346,'3174','Hipodromo',3),(2347,'3174','Kilometro 180',3),(2348,'3174','Kilometro 189',3),(2349,'3174','Kilometro 192',3),(2350,'3174','Kilometro 220',3),(2351,'3174','La ollita',3),(2352,'3174','Las gauchas',3),(2353,'3174','Molino bob',3),(2354,'3174','Primer cuartel',3),(2355,'3174','Puente obispo',3),(2356,'3174','Rincon de las guachas',3),(2357,'3174','Rosario del tala',3),(2358,'3174','Sauce norte',3),(2359,'3174','Segundo cuartel',3),(2360,'3176','Estacion sola',3),(2361,'3176','Kilometro 183',3),(2362,'3176','Sola',3),(2363,'3177','Altamirano norte',3),(2364,'3177','Crucecitas 8 a seccion',3),(2365,'3177','Durazno',3),(2366,'3177','Establecimiento san eduardo',3),(2367,'3177','Establecimiento san eusebio',3),(2368,'3177','Establecimiento san francisco',3),(2369,'3177','Guardamonte',3),(2370,'3177','Kilometro 200',3),(2371,'3177','Kilometro 25',3),(2372,'3177','Macia',3),(2373,'3177','Raices',3),(2374,'3177','Raices al este',3),(2375,'3177','Raices al norte',3),(2376,'3180','Federal',3),(2377,'3180','Subcentral santa maria',3),(2378,'3181','Arroyo moreira',3),(2379,'3181','ChaÑar',3),(2380,'3181','Colonia jorge fink',3),(2381,'3181','Jorge fink',3),(2382,'3181','Paso sociedad',3),(2383,'3181','Puntas de moreira',3),(2384,'3181','Villamil',3),(2385,'3183','AlbariÑo',3),(2386,'3183','Carpinchoris',3),(2387,'3183','El embalsado',3),(2388,'3183','Fortuna',3),(2389,'3183','La hierra',3),(2390,'3183','Los conquistadores',3),(2391,'3183','Sauce norte',3),(2392,'3185','Arroyo garay',8),(2393,'3185','Basualdo',8),(2394,'3185','Colonia basualdo',8),(2395,'3185','Colonia pairiri',8),(2396,'3185','Costa arroyo garay',8),(2397,'3185','Cuatro bocas',3),(2398,'3185','Fronteras',3),(2399,'3185','La selva',3),(2400,'3185','La verbena',3),(2401,'3185','Lomas blancas',3),(2402,'3185','Paraje portillo',8),(2403,'3185','Pedro diaz colodrero',8),(2404,'3185','Rincon de tunas',8),(2405,'3185','San jaime',3),(2406,'3185','San jaime de la frontera',3),(2407,'3187','Atencio',3),(2408,'3187','Catalotti',3),(2409,'3187','ChaÑar feliciano',3),(2410,'3187','Chircalito',3),(2411,'3187','Correa',3),(2412,'3187','La esmeralda',3),(2413,'3187','Las lagunas',3),(2414,'3187','Mac keller',3),(2415,'3187','Mesa',3),(2416,'3187','Pajas blancas',3),(2417,'3187','San jose de feliciano',3),(2418,'3187','San luis san jose feliciano',3),(2419,'3187','Tases',3),(2420,'3187','Viboras',3),(2421,'3188','Colonia falco',3),(2422,'3188','Conscripto bernardi',3),(2423,'3188','El cimarron',3),(2424,'3188','Estacion alcaraz',3),(2425,'3188','Villa perper',3),(2426,'3190','Arroyo hondo',3),(2427,'3190','Banderas',3),(2428,'3190','Centenario parana',3),(2429,'3190','Colonia buena vista',3),(2430,'3190','Colonia carrasco',3),(2431,'3190','Colonia la delia',3),(2432,'3190','Colonia las gamas',3),(2433,'3190','Colonia maximo castro',3),(2434,'3190','Colonia oficial n 11',3),(2435,'3190','Colonia oficial n 3',3),(2436,'3190','Curuzu chali',3),(2437,'3190','Ejido sud',3),(2438,'3190','El carmen',3),(2439,'3190','El diecisiete',3),(2440,'3190','Estancia san juan',3),(2441,'3190','Isla curuzu chali',3),(2442,'3190','Isla la paz',3),(2443,'3190','Islas alcaraz',3),(2444,'3190','La paz',3),(2445,'3190','Ombues',3),(2446,'3190','Paso medina',3),(2447,'3190','Paso puerto augusto',3),(2448,'3190','Piloto avila',3),(2449,'3190','Puerto la esmeralda',3),(2450,'3190','Puerto marquez',3),(2451,'3190','Puerto yunque',3),(2452,'3190','Sarandi cora',3),(2453,'3190','Tacuaras yacare',3),(2454,'3190','Yacare',3),(2455,'3190','Yeso',3),(2456,'3190','Yeso oeste',3),(2457,'3191','Arroyo ceibo',3),(2458,'3191','Bonaldi',3),(2459,'3191','Calandria',3),(2460,'3191','Colonia fontanini',3),(2461,'3191','Colonia oficial n 13',3),(2462,'3191','Colonia oficial n 14',3),(2463,'3191','El gaucho',3),(2464,'3191','El rosario',3),(2465,'3191','El sarandi',3),(2466,'3191','Estacas',3),(2467,'3191','Floresta',3),(2468,'3191','Gonzalez',3),(2469,'3191','Las lagunas',3),(2470,'3191','Las mulitas',3),(2471,'3191','Las toscas',3),(2472,'3191','Manantiales',3),(2473,'3191','Martinetti',3),(2474,'3191','Mira monte',3),(2475,'3191','Montiel',3),(2476,'3191','Palo a pique',3),(2477,'3191','San antonio',3),(2478,'3191','San geronimo',3),(2479,'3191','San gustavo',3),(2480,'3191','San juan',3),(2481,'3191','San ramirez',3),(2482,'3191','San victor',3),(2483,'3191','Santa ines',3),(2484,'3191','Santa maria',3),(2485,'3191','Villa boreilo',3),(2486,'3191','Villa porteÑa',3),(2487,'3192','El colorado',3),(2488,'3192','El quebracho',3),(2489,'3192','Paso garibaldi',3),(2490,'3192','Puerto cadenas',3),(2491,'3192','Santa elena',3),(2492,'3194','Arroyo sarandi',8),(2493,'3194','Arroyo soro',8),(2494,'3194','Guayquiraro',8),(2495,'3194','Paso telegrafo',3),(2496,'3194','Tres bocas',8),(2497,'3196','Arroyo vega',8),(2498,'3196','Buena vista',8),(2499,'3196','Cabral',8),(2500,'3196','Campo bordon',8),(2501,'3196','Campo cafferata',8),(2502,'3196','Campo de carlos',8),(2503,'3196','Campo morato',8),(2504,'3196','Campo romero',8),(2505,'3196','Campo san jacinto',8),(2506,'3196','Chacras norte',8),(2507,'3196','Chacras seccion ejido',8),(2508,'3196','Chacras sud',8),(2509,'3196','El carmen',8),(2510,'3196','El parque',8),(2511,'3196','Esquina',8),(2512,'3196','Estancia cafferatta',8),(2513,'3196','Estancia el carmen',8),(2514,'3196','Estancia laguna limpia',8),(2515,'3196','Estancia marquez lui',8),(2516,'3196','Inga',8),(2517,'3196','Jesus maria',8),(2518,'3196','La amistad',8),(2519,'3196','La casualidad',8),(2520,'3196','La emilia',8),(2521,'3196','La isabel',8),(2522,'3196','La morocha',8),(2523,'3196','Libertad',8),(2524,'3196','Los flotadores',8),(2525,'3196','Malezal',8),(2526,'3196','Malvinas norte',8),(2527,'3196','Ombu solo',8),(2528,'3196','Pueblito',8),(2529,'3196','San agustin',8),(2530,'3196','San antonio',8),(2531,'3196','San fernando',8),(2532,'3196','San francisco',8),(2533,'3196','San gustavo',8),(2534,'3196','San jacinto',8),(2535,'3196','San juan',8),(2536,'3196','San roque',8),(2537,'3196','San vicente',8),(2538,'3196','Santa catalina',8),(2539,'3196','Santa cecilia',8),(2540,'3196','Santa librada',8),(2541,'3196','Santa rita',8),(2542,'3196','Sarandi',8),(2543,'3196','Villa cristia',8),(2544,'3197','Abra guazu',8),(2545,'3197','Alejandria',8),(2546,'3197','Arroyo saturno',8),(2547,'3197','Boranza',8),(2548,'3197','Colonia beron de astrada',8),(2549,'3197','Coronel abraham schweizer',8),(2550,'3197','CuÑa suegra',8),(2551,'3197','El coquito',8),(2552,'3197','El porvenir',8),(2553,'3197','El yapu',8),(2554,'3197','Estero grande',8),(2555,'3197','Estero sauce',8),(2556,'3197','Estero yatay',8),(2557,'3197','La florencia',8),(2558,'3197','La nena',8),(2559,'3197','La palmera',8),(2560,'3197','Libertador',8),(2561,'3197','Los algarrobos',8),(2562,'3197','Los eucaliptos',8),(2563,'3197','Los medios',8),(2564,'3197','Los paraisos',8),(2565,'3197','Paraje poton',8),(2566,'3197','Paso algarrobo',8),(2567,'3197','Paso cejas',8),(2568,'3197','Rincon de sarandy',8),(2569,'3197','San lorenzo',8),(2570,'3197','San luis',8),(2571,'3197','San martin',8),(2572,'3197','Santa ana',8),(2573,'3197','Santa isabel',8),(2574,'3197','Toro chipay',8),(2575,'3199','Los laureles',8),(2576,'3199','Malvinas',8),(2577,'3199','Malvinas centro',8),(2578,'3199','Malvinas sur',8),(2579,'3199','Paraje el carmen',8),(2580,'3200','Colonia los sauces',3),(2581,'3200','Concordia',3),(2582,'3200','Kilometro 32',3),(2583,'3200','Kilometro 342',3),(2584,'3200','Kilometro 347',3),(2585,'3200','Lesca',3),(2586,'3200','Los sauer',3),(2587,'3200','Paso margariÑos',3),(2588,'3200','Saladero concordia',3),(2589,'3200','Tablada norte concordia',3),(2590,'3200','Tablada oeste concordia',3),(2591,'3201','Camba paso',3),(2592,'3201','Colonia adela',3),(2593,'3201','Colonia ayui grande',3),(2594,'3201','Colonia general roca',3),(2595,'3201','Colonia navarro',3),(2596,'3201','Colonia yerua',3),(2597,'3201','Cueva del tigre',3),(2598,'3201','El martillo',3),(2599,'3201','Embarcadero ferrari',3),(2600,'3201','Hervidero',3),(2601,'3201','Juan b monti',3),(2602,'3201','Kilometro 6',3),(2603,'3201','La rosada',3),(2604,'3201','Las tejas',3),(2605,'3201','Nueva escocia',3),(2606,'3201','Puente del salado',6),(2607,'3201','Puerto yerua',3),(2608,'3201','Ruta 14 km 443',3),(2609,'3201','Villa zorraquin',3),(2610,'3203','Arroyo grande',3),(2611,'3203','Benito legeren',3),(2612,'3203','Calabacillas',3),(2613,'3203','Clodomiro ledesma',3),(2614,'3203','Frigorifico yuqueri',3),(2615,'3203','Kilometro 11',3),(2616,'3203','Kilometro 24',3),(2617,'3203','Kilometro 33',3),(2618,'3203','La chirlandia',9),(2619,'3203','Pedermar',3),(2620,'3203','Pedernal',3),(2621,'3203','San gregorio',3),(2622,'3203','Santa isabel',3),(2623,'3204','Ayui parada',3),(2624,'3204','Chaviyu colonia flores',3),(2625,'3204','Colonia don bosco',3),(2626,'3204','Colonia la gloria',3),(2627,'3204','Gualeguaycito',3),(2628,'3204','Isthilart',3),(2629,'3204','Kilometro 37',3),(2630,'3204','Kilometro 44',3),(2631,'3206','Bella union paraje',3),(2632,'3206','Bizcocho',3),(2633,'3206','Chaviyu parada fcgu',3),(2634,'3206','Colonia bizcocho',3),(2635,'3206','Colonia flores',3),(2636,'3206','Colonia gualeguaycito',3),(2637,'3206','Colonia la argentina',3),(2638,'3206','Colonia la paz',3),(2639,'3206','Colonia lamarca',3),(2640,'3206','Colonia santa eloisa',3),(2641,'3206','Colonia santa juana',3),(2642,'3206','Estacion santa ana',3),(2643,'3206','Estancia la floresta',3),(2644,'3206','Estancia san jose',3),(2645,'3206','Federacion',3),(2646,'3206','Guayaquil',3),(2647,'3206','Kilometro 47',3),(2648,'3206','Kilometro 51',3),(2649,'3206','Lamarca',3),(2650,'3206','Las peÑas',3),(2651,'3206','Monte chico',3),(2652,'3206','Puerto algarrobo',3),(2653,'3208','Colonia ensanche sauce',3),(2654,'3208','Colonia la matilde santa ana',3),(2655,'3208','Santa ana',3),(2656,'3212','Arroyo el mocho',3),(2657,'3212','Arroyo la virgen',3),(2658,'3212','Campo dominguez',3),(2659,'3212','Cnia justo jose de urquiza',3),(2660,'3212','Colonia san antonio',3),(2661,'3212','Colonia san bonifacio',3),(2662,'3212','Don roberto',3),(2663,'3212','El duraznal',3),(2664,'3212','El gualeguay',3),(2665,'3212','El pago apeadero fcgu',3),(2666,'3212','El redomon',3),(2667,'3212','El refugio',3),(2668,'3212','Kilometro 329',3),(2669,'3212','Kilometro 333',3),(2670,'3212','Kilometro 344',3),(2671,'3212','La alicia',3),(2672,'3212','La colorada',3),(2673,'3212','La criolla',3),(2674,'3212','La emilia',3),(2675,'3212','La granja',3),(2676,'3212','La invernada',3),(2677,'3212','La nobleza',3),(2678,'3212','La odilia',3),(2679,'3212','La querencia',3),(2680,'3212','Loma negra',3),(2681,'3212','Los brillantes',3),(2682,'3212','Los charruas',3),(2683,'3212','Nueva vizcaya',3),(2684,'3212','Osvaldo magnasco',3),(2685,'3212','Paso del gallo',3),(2686,'3212','Quebracho',3),(2687,'3212','San buenaventura',3),(2688,'3212','San jorge',3),(2689,'3212','San juan la querencia',3),(2690,'3212','San pedro',3),(2691,'3212','Tte primero brigio cainzo',3),(2692,'3212','Yaros',3),(2693,'3214','Estacion yerua',3),(2694,'3214','Kilometro 373',3),(2695,'3214','Kilometro 376',3),(2696,'3214','Parada yuqueri',3),(2697,'3214','Yerua',3),(2698,'3214','Yuqueri',3),(2699,'3216','Arroyo hondo',3),(2700,'3216','Benitez',3),(2701,'3216','Colonia campos',3),(2702,'3216','Colonia curbelo',3),(2703,'3216','Colonia hebrea',3),(2704,'3216','Colonia la armonia',3),(2705,'3216','Colonia la esperanza',3),(2706,'3216','Colonia la mora',3),(2707,'3216','Colonia la quinta',3),(2708,'3216','Colonia oficial nro 5',3),(2709,'3216','El avestruz',3),(2710,'3216','General campos',3),(2711,'3216','Kilometro 343',3),(2712,'3216','Kilometro 355',3),(2713,'3216','La perla',3),(2714,'3216','La quinta',3),(2715,'3216','Las mochas',3),(2716,'3216','Lucas noreste',3),(2717,'3216','Mauricio ribole',3),(2718,'3216','Pueblo ferre',3),(2719,'3216','Puente de lucas',3),(2720,'3216','Walter moss',3),(2721,'3218','Arroyo palmar',3),(2722,'3218','Colonia lopez',3),(2723,'3218','Colonia nueva alemania',3),(2724,'3218','Colonia san jose',3),(2725,'3218','Kilometro 353',3),(2726,'3218','La carlota',3),(2727,'3218','San salvador',3),(2728,'3218','Villaguaycito',3),(2729,'3220','Arroyo manganga',8),(2730,'3220','Arroyo timboy',8),(2731,'3220','Arroyo totoras',8),(2732,'3220','Chacras 1 a seccion',8),(2733,'3220','Chacras 2 a seccion',8),(2734,'3220','Chacras 3 a seccion',8),(2735,'3220','Chacras 4 a seccion',8),(2736,'3220','Chircal',8),(2737,'3220','Colonia barrientes',8),(2738,'3220','Cuatro bocas',8),(2739,'3220','El ceibo',8),(2740,'3220','El chircal',8),(2741,'3220','Este argentino',8),(2742,'3220','Kilometro 161',8),(2743,'3220','Kilometro 167',8),(2744,'3220','Kilometro 173',8),(2745,'3220','La florida',8),(2746,'3220','Monte caseros',8),(2747,'3220','Mota piedritas',8),(2748,'3220','Paso esterito',8),(2749,'3220','Paso vallejos',8),(2750,'3220','San francisco',8),(2751,'3220','Talleres',8),(2752,'3220','Tres bocas',8),(2753,'3220','Villa la florida',8),(2754,'3222','Buen retiro',8),(2755,'3222','Camba cua',8),(2756,'3222','Casuarina',8),(2757,'3222','Independencia',8),(2758,'3222','Juan pujol',8),(2759,'3222','Kilometro 120',8),(2760,'3222','Kilometro 134',8),(2761,'3222','La flor',8),(2762,'3222','Mira flores',8),(2763,'3222','Mota',8),(2764,'3222','Parada labougle',8),(2765,'3222','Piedrita',8),(2766,'3222','Pilincho',8),(2767,'3222','Saenz valiente',8),(2768,'3222','San antonio',8),(2769,'3222','San fermin',8),(2770,'3222','San fernando',8),(2771,'3222','San salvador',8),(2772,'3222','Santa magdalena',8),(2773,'3222','Santa rita',8),(2774,'3222','Santo domingo',8),(2775,'3222','Tacuabe',8),(2776,'3222','Timboy',8),(2777,'3224','Colonia libertad',8),(2778,'3224','El porvenir colonia libertad',8),(2779,'3224','Estacion libertad',8),(2780,'3224','Kilometro 182',8),(2781,'3224','La blanqueada',3),(2782,'3224','La palma',8),(2783,'3224','San jose est libertad dp',8),(2784,'3224','San luis est libertad dp',8),(2785,'3224','San miguel estacion libertad',8),(2786,'3224','Santa lea',8),(2787,'3224','Santa marta',8),(2788,'3226','Buena vista',8),(2789,'3226','Colonia mota',8),(2790,'3226','Kilometro 104',8),(2791,'3226','La venta',8),(2792,'3226','Mocoreta',8),(2793,'3226','Piedritas',8),(2794,'3226','Puerto juan de dios',8),(2795,'3226','San andres',8),(2796,'3226','San gregorio',8),(2797,'3228','Cabi monda',3),(2798,'3228','Chajari',3),(2799,'3228','Colonia alemana',3),(2800,'3228','Colonia belgrano',3),(2801,'3228','Colonia frazer',3),(2802,'3228','Colonia of n 1 la florida',3),(2803,'3228','Colonia villa libertad',3),(2804,'3228','Cooperativa gral san martin',3),(2805,'3228','Kilometro 84',3),(2806,'3228','Las catorce',3),(2807,'3228','Los paraisos',3),(2808,'3228','Mandisovi',3),(2809,'3228','Monte verde',3),(2810,'3228','Santa juana',3),(2811,'3228','Sarandi',3),(2812,'3228','Surst',3),(2813,'3228','Villa libertad',3),(2814,'3229','Colonia freitas',3),(2815,'3229','Colonia san ramon',3),(2816,'3229','Colonia santa elvira',3),(2817,'3229','Estancia salinas',3),(2818,'3229','Florida',3),(2819,'3229','La soledad',3),(2820,'3229','Villa del rosario',3),(2821,'3230','Arbol solo',8),(2822,'3230','Baygorria',8),(2823,'3230','El progreso',8),(2824,'3230','Estancia la carolina',8),(2825,'3230','Estancia lomatora',8),(2826,'3230','Kilometro 268',8),(2827,'3230','La amelia',8),(2828,'3230','La colorada',8),(2829,'3230','La constancia',8),(2830,'3230','La elena',8),(2831,'3230','La haydee',8),(2832,'3230','La verde',8),(2833,'3230','Los manantiales',8),(2834,'3230','Los pinos',8),(2835,'3230','Madariaga',8),(2836,'3230','Mirador',8),(2837,'3230','Nueva esperanza',8),(2838,'3230','Nueva palmira',8),(2839,'3230','Ñatiu',8),(2840,'3230','Ombucito',8),(2841,'3230','Palmar',8),(2842,'3230','Palmita',8),(2843,'3230','Paso de los libres',8),(2844,'3230','Paso rosario',8),(2845,'3230','Quinta seccion ombucito',8),(2846,'3230','Quiyati',8),(2847,'3230','Recreo',8),(2848,'3230','Reduccion',8),(2849,'3230','San carlos',8),(2850,'3230','San felipe',8),(2851,'3230','San joaquin',8),(2852,'3230','San juan',8),(2853,'3230','San paladio',8),(2854,'3230','San pedro',8),(2855,'3230','Santa elisa',8),(2856,'3230','Santa isabel',8),(2857,'3230','Tres hojas',8),(2858,'3230','Tristan chico',8),(2859,'3231','Colonia arocena ina',8),(2860,'3231','Estancia el porvenir',8),(2861,'3231','Estancia la arboleda',8),(2862,'3231','Estancia la loma alta',8),(2863,'3231','Estancia los milagros',8),(2864,'3231','Estancia pozo cuadrado',8),(2865,'3231','Estancia san juan',8),(2866,'3231','Estancia san solano',8),(2867,'3231','Estancia soledad',8),(2868,'3231','Mirunga',8),(2869,'3231','San miguel',8),(2870,'3231','Yapeyu',8),(2871,'3232','Cabred',8),(2872,'3232','Guaviravi',8),(2873,'3232','Kilometro 204',8),(2874,'3232','Parada pucheta',8),(2875,'3232','San francisco',8),(2876,'3232','San francisco guavirari',8),(2877,'3232','San ignacio',8),(2878,'3232','Santa emilia',8),(2879,'3232','Santa rita parada pucheta',8),(2880,'3232','Tapebicua',8),(2881,'3232','Yapeyu',8),(2882,'3234','Bonpland',8),(2883,'3234','Kilometro 235',8),(2884,'3234','Paso ledesma',8),(2885,'3234','Rincon de yaguary',8),(2886,'3234','San antonio',8),(2887,'3234','San isidro',8),(2888,'3240','Colonia egido',3),(2889,'3240','Curupi',3),(2890,'3240','Empalme neild',3),(2891,'3240','Kilometro 279',3),(2892,'3240','Kilometro 284',3),(2893,'3240','Kilometro 285',3),(2894,'3240','Kilometro 288',3),(2895,'3240','Las pajitas',3),(2896,'3240','Paraje guayabo',3),(2897,'3240','Paso de la legua',3),(2898,'3240','Segunda seccion lucas al sud',3),(2899,'3240','Villaguay',3),(2900,'3240','Zenon roca',3),(2901,'3241','Campo de villamil',3),(2902,'3241','Colonia villaguaycito',3),(2903,'3241','Laguna larga',3),(2904,'3241','Los ombues',3),(2905,'3241','Lucas norte',3),(2906,'3241','Lucas sud',3),(2907,'3241','Mojones norte',3),(2908,'3241','Mojones sud primero',3),(2909,'3241','Mojones sur segundo',3),(2910,'3241','Paso de la laguna',3),(2911,'3241','Raices oeste',3),(2912,'3241','Rincon de mojones',3),(2913,'3241','Rincon lucas norte',3),(2914,'3241','Rincon lucas sud',3),(2915,'3244','Colonia belga americana',3),(2916,'3244','Colonia leven',3),(2917,'3244','Grupo parrero',3),(2918,'3244','La amiguita',3),(2919,'3244','La joya',3),(2920,'3244','Las moscas',3),(2921,'3244','Libaros',3),(2922,'3244','Linea 19',3),(2923,'3244','Linea 20',3),(2924,'3244','Lionel',3),(2925,'3244','Mac dougall',3),(2926,'3244','Villaguay este',3),(2927,'3246','Achiras',3),(2928,'3246','Baron hirsch',3),(2929,'3246','Colonia achiras',3),(2930,'3246','Colonia baron hirsch',3),(2931,'3246','Colonia carmel',3),(2932,'3246','Colonia ida',3),(2933,'3246','Colonia miguel',3),(2934,'3246','Colonia perliza',3),(2935,'3246','Colonia sagastume',3),(2936,'3246','Colonia san manuel',3),(2937,'3246','Colonia sonenfeld',3),(2938,'3246','Desparramados',3),(2939,'3246','Eben horoscha',3),(2940,'3246','Grupo achiras',3),(2941,'3246','Ing miguel sajaroff',3),(2942,'3246','La capilla',3),(2943,'3246','Miguel j perliza',3),(2944,'3246','Pueblo dominguez',3),(2945,'3246','Rachel',3),(2946,'3246','Rospina',3),(2947,'3246','Sagastume',3),(2948,'3246','Villa dominguez',3),(2949,'3248','Caraguata',3),(2950,'3248','Colonia lucrecia',3),(2951,'3248','Estacion urquiza',3),(2952,'3248','Geribebuy',3),(2953,'3248','Gobernador urquiza',3),(2954,'3248','Mangrullo',3),(2955,'3248','Santa anita',3),(2956,'3248','Santa rosa',3),(2957,'3248','Villa san marcial',3),(2958,'3252','Aldea san jorge',3),(2959,'3252','Belez',3),(2960,'3252','Campo moreno',3),(2961,'3252','Clara',3),(2962,'3252','Colonia belez',3),(2963,'3252','Colonia carlos calvo',3),(2964,'3252','Colonia espindola',3),(2965,'3252','Colonia feimberg',3),(2966,'3252','Colonia guiburg',3),(2967,'3252','Colonia la rosada',3),(2968,'3252','Colonia san jorge',3),(2969,'3252','Colonia sandoval',3),(2970,'3252','Colonia velez',3),(2971,'3252','Kilometro 306',3),(2972,'3252','San vicente',3),(2973,'3252','Santa rosa',3),(2974,'3252','Spindola',3),(2975,'3252','Vergara',3),(2976,'3252','Villa clara',3),(2977,'3254','Colonia la blanquita',3),(2978,'3254','Colonia la morenita',3),(2979,'3254','Colonia la pampa',3),(2980,'3254','Colonia san ernesto',3),(2981,'3254','Jubileo',3),(2982,'3254','Kilometro 325',3),(2983,'3254','La estrella',3),(2984,'3254','La pampa',3),(2985,'3260','Arroyo molino',3),(2986,'3260','Balneario pelay',3),(2987,'3260','Colonia elisa',3),(2988,'3260','Colonia perfeccion',3),(2989,'3260','Colonia ubajay',3),(2990,'3260','Concepcion del uruguay',3),(2991,'3260','Estacion uruguay',3),(2992,'3260','Kilometro 108',3),(2993,'3260','Kilometro 112',3),(2994,'3260','Kilometro 115',3),(2995,'3260','La barraca',3),(2996,'3260','La goya',3),(2997,'3260','La sesteada',3),(2998,'3260','La tigresa',3),(2999,'3260','Paso del molino',3),(3000,'3260','Puerto viejo',3),(3001,'3260','San justo',3),(3002,'3261','Centella',3),(3003,'3261','Colonia cupalen',3),(3004,'3261','Colonia elia',3),(3005,'3261','Colonia luca',3),(3006,'3261','Colonia oficial n 6',3),(3007,'3261','Colonia santa ana',3),(3008,'3261','Colonia sauce',3),(3009,'3261','Cupalen',3),(3010,'3261','Kilometro 270',3),(3011,'3261','La maria luisa',3),(3012,'3261','Puerto campinchuelo',3),(3013,'3261','Talita',3),(3014,'3261','Tomas rocamora',3),(3015,'3262','Caseros',3),(3016,'3262','Palacio san jose',3),(3017,'3262','Villa san justo',3),(3018,'3262','Villa udine',3),(3019,'3263','1 de mayo',3),(3020,'3263','Centenario la paz',3),(3021,'3263','Colonia carmelo',3),(3022,'3263','Colonia crucesitas',3),(3023,'3263','Colonia ensanche mayo',3),(3024,'3263','Colonia gral urquiza',3),(3025,'3263','Colonia san cipriano',3),(3026,'3263','Colonia san jorge',3),(3027,'3263','Colonia santa teresita',3),(3028,'3263','Kilometro 268',3),(3029,'3263','Kilometro 283',3),(3030,'3263','Kilometro 293',3),(3031,'3263','Pronunciamiento',3),(3032,'3263','San cipriano',3),(3033,'3265','Arroyo caraballo',3),(3034,'3265','Colonia caraballo',3),(3035,'3265','Colonia elisa',3),(3036,'3265','Colonia hocker',3),(3037,'3265','Colonia san miguel',3),(3038,'3265','Colonia tres de febrero',3),(3039,'3265','Kilometro 305',3),(3040,'3265','Puente de gualeguaychu',3),(3041,'3265','San francisco',3),(3042,'3265','Villa elisa',3),(3043,'3267','CaÑada de las ovejas',3),(3044,'3267','Colonia el carmen',3),(3045,'3267','Colonia las pepas',3),(3046,'3267','Colonia nueva san miguel',3),(3047,'3267','Colonia san ignacio',3),(3048,'3267','Colonia santa rosa',3),(3049,'3267','Colonia vazquez',3),(3050,'3269','Arroyo baru',3),(3051,'3269','Colonia ambis',3),(3052,'3269','Colonia bailina',3),(3053,'3269','Colonia emilio gouchon',3),(3054,'3269','Colonia f sillen',3),(3055,'3269','Colonia san antonio',3),(3056,'3269','Colonia santa elena',3),(3057,'3269','Hambis',3),(3058,'3269','Kilometro 311',3),(3059,'3269','Kilometro 337',3),(3060,'3269','Kilometro 344',3),(3061,'3269','La clarita',3),(3062,'3269','La s diez casas',3),(3063,'3269','Pueblo cazes',3),(3064,'3269','Puntas del gualeguaychu',3),(3065,'3269','San miguel',3),(3066,'3269','San miguel nro 2',3),(3067,'3272','Colonia 1 de mayo',3),(3068,'3272','Colonia pereira',3),(3069,'3272','Estancia bella vista',3),(3070,'3272','Estancia cnia la primavera',3),(3071,'3272','Estancia cnia santa elena',3),(3072,'3272','Estancia cnia sta teresa',3),(3073,'3272','Estancia colonia el ombu',3),(3074,'3272','Estancia colonia el toropi',3),(3075,'3272','Estancia colonia la tapera',3),(3076,'3272','Estancia colonia peribebuy',3),(3077,'3272','Estancia colonia san pedro',3),(3078,'3272','Estancia colonia santa eloisa',3),(3079,'3272','Estancia colonia santa juana',3),(3080,'3272','Estancia el toropi',3),(3081,'3272','Estancia los vascos',3),(3082,'3272','Genacito',3),(3083,'3272','Herrera',3),(3084,'3272','Kilometro 242',3),(3085,'3272','Kilometro 244',3),(3086,'3272','Kilometro 253',3),(3087,'3272','La calera',3),(3088,'3272','Las mercedes',3),(3089,'3272','Nicolas herrera',3),(3090,'3272','Villa mantero',3),(3091,'3272','Villa san miguel',3),(3092,'3280','Arroyo urquiza',3),(3093,'3280','Colon',3),(3094,'3280','Kilometro 114',3),(3095,'3280','Kilometro 310',3),(3096,'3280','Kilometro 322',3),(3097,'3280','Kilometro 324',3),(3098,'3280','Kilometro 336',3),(3099,'3280','Kilometro 49',3),(3100,'3280','Kilometro 88',3),(3101,'3280','La suiza',3),(3102,'3280','Parque nacional el palmar',3),(3103,'3280','Puerto colorado',3),(3104,'3280','Puntas del palmar',3),(3105,'3281','Calera',3),(3106,'3281','Colonia 5 ensanche de mayo',3),(3107,'3281','Colonia arroyo urquiza',3),(3108,'3281','Colonia hughes',3),(3109,'3281','Colonia nueva al sud',3),(3110,'3281','Ejido colon',3),(3111,'3281','Fabrica colon',3),(3112,'3281','Las achiras',3),(3113,'3281','Liebig',3),(3114,'3281','Pueblo colorado',3),(3115,'3281','Pueblo liebig s',3),(3116,'3281','Puerto almiron',3),(3117,'3281','San anselmo',3),(3118,'3281','Yatay',3),(3119,'3283','Colonia mabragaÑa',3),(3120,'3283','Colonia san francisco',3),(3121,'3283','El brillante',3),(3122,'3283','Kilometro 99',3),(3123,'3283','Perucho verna',3),(3124,'3283','San jose',3),(3125,'3283','Villa san jose',3),(3126,'3285','Berduc',3),(3127,'3285','Juan jorge',3),(3128,'3285','Kilometro 56',3),(3129,'3285','Kilometro 86',3),(3130,'3285','Kilometro 89',3),(3131,'3285','Martiniano leguizamon',3),(3132,'3285','Palmar',3),(3133,'3285','Pos pos',3),(3134,'3285','Santa ines',3),(3135,'3287','Aldea san gregorio',3),(3136,'3287','Arroyo concepcion',3),(3137,'3287','Cantera la constancia',3),(3138,'3287','Colonia la matilde',3),(3139,'3287','Colonia saenz valiente',3),(3140,'3287','Establecimiento la calera',3),(3141,'3287','Establecimiento los monigotes',3),(3142,'3287','Isla san jose',3),(3143,'3287','Kilometro 45',3),(3144,'3287','Kilometro 50',3),(3145,'3287','Palmar yatay',3),(3146,'3287','Saxto distrito colon',3),(3147,'3287','Ubajay',3),(3148,'3300','Arroyo',10),(3149,'3300','Don horacio',10),(3150,'3300','El reposo',10),(3151,'3300','El tropezon',10),(3152,'3300','Estancia itaembre',10),(3153,'3300','Itaembre mini',10),(3154,'3300','Kilometro 595',10),(3155,'3300','La milagrosa',10),(3156,'3300','La rotonda',10),(3157,'3300','Las vertientes',10),(3158,'3300','Pedro nuÑez',10),(3159,'3300','Posadas',10),(3160,'3300','Puerto lujan',10),(3161,'3300','Rincon itaembe',8),(3162,'3300','San borjita',8),(3163,'3300','San isidro',10),(3164,'3300','Villa emilia',10),(3165,'3300','Villa lanus',10),(3166,'3300','Villalonga',10),(3167,'3302','Aguara cua',8),(3168,'3302','Apipe grande',8),(3169,'3302','Boqueron',8),(3170,'3302','Buena vista',8),(3171,'3302','Caa carai',8),(3172,'3302','Caa garay',8),(3173,'3302','Cambireta',8),(3174,'3302','Centinela',8),(3175,'3302','Colonia general uriburu',8),(3176,'3302','Colonia san antonio',8),(3177,'3302','Colonia urdaniz',8),(3178,'3302','Costa guazu',8),(3179,'3302','El centinela',8),(3180,'3302','El plata',8),(3181,'3302','Empedrado limpio',8),(3182,'3302','Estancia san javier',8),(3183,'3302','Florida',8),(3184,'3302','Garcitas',8),(3185,'3302','Ibiritangay',8),(3186,'3302','Isla apipe chico',8),(3187,'3302','Ituzaingo',8),(3188,'3302','La celeste',8),(3189,'3302','La hileorica',8),(3190,'3302','Las animas',8),(3191,'3302','Las delicias',8),(3192,'3302','Las tres hermanas',8),(3193,'3302','Libertad',8),(3194,'3302','Loma alta',8),(3195,'3302','Loma negra',8),(3196,'3302','Loma poy',8),(3197,'3302','Los gemelos',8),(3198,'3302','Los laureles',8),(3199,'3302','Los tres hermanos',8),(3200,'3302','Ombu',8),(3201,'3302','Paso tirante',8),(3202,'3302','Pilincho',8),(3203,'3302','Puerto naranjito',8),(3204,'3302','Puerto ubajay',8),(3205,'3302','Puerto valle',8),(3206,'3302','Punta mercedes',8),(3207,'3302','Rincon chico',8),(3208,'3302','Rincon del rosario',8),(3209,'3302','Salinas',8),(3210,'3302','San antonio',8),(3211,'3302','San isidro',8),(3212,'3302','San javier',8),(3213,'3302','San jeronimo',8),(3214,'3302','San joaquin',8),(3215,'3302','San jose',8),(3216,'3302','San juan',8),(3217,'3302','San julian',8),(3218,'3302','San pedro',8),(3219,'3302','Sangara',8),(3220,'3302','Santa ana',8),(3221,'3302','Santa maria',8),(3222,'3302','Santa tecla',8),(3223,'3302','Santo domingo',8),(3224,'3302','Tres arboles',8),(3225,'3302','Ulajay',8),(3226,'3302','Uriburu',8),(3227,'3302','Villa p argentina',8),(3228,'3302','Vizcaino',8),(3229,'3304','Barrio don santiago',10),(3230,'3304','Domingo barthe',10),(3231,'3304','Fachinal',10),(3232,'3304','Garupa',10),(3233,'3304','Garupa norte',10),(3234,'3304','Kilometro 577',10),(3235,'3304','Miguel lanus',10),(3236,'3304','San andres',10),(3237,'3304','Santa ines',10),(3238,'3306','Aguapey',8),(3239,'3306','Centinela',10),(3240,'3306','Damus',10),(3241,'3306','Kilometro 538',10),(3242,'3306','Kilometro 546',10),(3243,'3306','Manantiales',10),(3244,'3306','Nueva valencia',10),(3245,'3306','Ojo de agua',8),(3246,'3306','Parada leis',10),(3247,'3306','Pindapoy',10),(3248,'3306','Porvenir',8),(3249,'3306','Puente nacional',10),(3250,'3306','Rincon de bugres',10),(3251,'3306','San carlos',8),(3252,'3306','San jose',10),(3253,'3306','San juan',10),(3254,'3306','San juan de la sierra',10),(3255,'3306','Santo tomas',8),(3256,'3306','Sierra de san jose',10),(3257,'3306','Sierras san juan',10),(3258,'3306','Tororo',10),(3259,'3308','Candelaria',10),(3260,'3308','Colonia profundidad',10),(3261,'3308','Profundidad',10),(3262,'3308','Puerto la mina',10),(3263,'3308','Sol de mayo',10),(3264,'3308','Yabebiri',10),(3265,'3308','Yacutinga',10),(3266,'3309','Arroyo tomas',10),(3267,'3309','Bella vista',10),(3268,'3309','Brazo del tacuaruzu',10),(3269,'3309','CampiÑa grande',10),(3270,'3309','Capueron',10),(3271,'3309','Cerro cora',10),(3272,'3309','Colonia alemana',10),(3273,'3309','Colonia guarani',10),(3274,'3309','La invernada',10),(3275,'3309','Las quemadas',10),(3276,'3309','Nacientes del isabel',10),(3277,'3309','Tacuaruzu',10),(3278,'3309','Villa venecia',10),(3279,'3311','Arroyo isabel',10),(3280,'3311','Colonia alberdi',10),(3281,'3311','Olegario victor andrade',10),(3282,'3313','Arroyo del medio',10),(3283,'3313','Belgrano',10),(3284,'3313','Campo san juan',10),(3285,'3313','Cerro azul',10),(3286,'3313','Colonia polaca',10),(3287,'3313','Gral guemes',10),(3288,'3313','Picada polaca',10),(3289,'3313','Villa inta',10),(3290,'3315','Campo tornquinst',10),(3291,'3315','Colonia caaguazu',10),(3292,'3315','Colonia taranco',10),(3293,'3315','Dos arroyos',10),(3294,'3315','El chaton',10),(3295,'3315','Kilometro 26',10),(3296,'3315','Kilometro 78',10),(3297,'3315','Leandro n alem',10),(3298,'3315','Mecking',10),(3299,'3315','Mojon grande',10),(3300,'3315','Once vueltas',10),(3301,'3315','Picada belgrano',10),(3302,'3315','Picada bonpland',10),(3303,'3315','Picada espaÑola',10),(3304,'3315','Picada gobernador lopez',10),(3305,'3315','Picada iglesia',10),(3306,'3315','Picada libertad',10),(3307,'3315','Picada pozo feo',10),(3308,'3315','Picada rusa',10),(3309,'3315','Picada san javier',10),(3310,'3315','Picada sur mecking',10),(3311,'3315','Villa libertad',10),(3312,'3316','Arroyo pastora',10),(3313,'3316','Caapora',10),(3314,'3316','Colonia manuel belgrano',10),(3315,'3316','Colonia yabebiri',10),(3316,'3316','Loreto',10),(3317,'3316','Lote 12',10),(3318,'3316','Ruinas de loreto',10),(3319,'3316','Santa ana',10),(3320,'3316','Yerbal mamboreta',10),(3321,'3317','Arroyo magdalena',10),(3322,'3317','BaÑado grande',10),(3323,'3317','Bonpland',10),(3324,'3317','CampiÑa de bonpland',10),(3325,'3317','Colonia almafuerte',10),(3326,'3317','Colonia aristobulo del valle',10),(3327,'3317','Colonia finlandesa',10),(3328,'3317','Colonia yacutinga',10),(3329,'3317','Lote 117',10),(3330,'3317','Picada finlandesa',10),(3331,'3317','Picada portuguesa',10),(3332,'3317','Picada san javier',10),(3333,'3317','Picada san martin',10),(3334,'3317','Rincon de bonpland',10),(3335,'3317','Timbauba',10),(3336,'3317','Tratado de paz',10),(3337,'3318','Bonpland norte',10),(3338,'3318','Colonia martires',10),(3339,'3318','Lote 5',10),(3340,'3322','Aparicio cue',10),(3341,'3322','Arroyo yabebiri',10),(3342,'3322','Barrancon',10),(3343,'3322','Colonia domingo savio',10),(3344,'3322','Colonia roca chica',10),(3345,'3322','Colonia san ignacio',10),(3346,'3322','El triunfo',10),(3347,'3322','Estacion experimental de loret',10),(3348,'3322','Invernada san ignacio',10),(3349,'3322','La horqueta',10),(3350,'3322','La plantadora',10),(3351,'3322','Maria antonia',10),(3352,'3322','Pastoreo',10),(3353,'3322','Puerto chuÑo',10),(3354,'3322','Puerto nuevo',10),(3355,'3322','Puerto san ignacio',10),(3356,'3322','Puerto viejo',10),(3357,'3322','Puerto yabebiri',10),(3358,'3322','San ignacio',10),(3359,'3322','Tacuara',10),(3360,'3322','Teyuguare',10),(3361,'3324','Gobernador roca',10),(3362,'3324','Roca chica',10),(3363,'3326','Colonia leiva',10),(3364,'3326','Colonia polana',10),(3365,'3326','El 26',10),(3366,'3326','El destierro',10),(3367,'3326','Puerto espaÑa',10),(3368,'3326','Puerto gisela',10),(3369,'3326','Puerto menochio',10),(3370,'3326','Puerto naranjito',10),(3371,'3326','Santo pipo',10),(3372,'3327','Colonia roca',10),(3373,'3327','Corpus',10),(3374,'3327','Hekenan',10),(3375,'3327','Lote 25',10),(3376,'3327','Manis',10),(3377,'3327','Obligado',10),(3378,'3327','Puerto cazador',10),(3379,'3327','Puerto doce',10),(3380,'3327','Puerto hardelaste',10),(3381,'3328','Colonia japonesa',10),(3382,'3328','Colonia Ñacangazu',10),(3383,'3328','Hipolito yrigoyen',10),(3384,'3328','Jardin america',10),(3385,'3328','La otilia',10),(3386,'3328','Los teales',10),(3387,'3328','Oasis',10),(3388,'3328','Ojo de agua',10),(3389,'3328','Otilia',10),(3390,'3328','Puerto tabay',10),(3391,'3332','Capiovy',10),(3392,'3332','Capivu',10),(3393,'3332','Colonia la otilia',10),(3394,'3332','Mbopicua',10),(3395,'3332','Puerto ingeniero morandi',10),(3396,'3332','Puerto leoni',10),(3397,'3332','Puerto mineral',10),(3398,'3332','San gotardo',10),(3399,'3334','3 de mayo',10),(3400,'3334','CapiovisiÑo',10),(3401,'3334','Colonia oro verde',10),(3402,'3334','CuÑa piru',10),(3403,'3334','Garuhape',10),(3404,'3334','Linea cuchilla',10),(3405,'3334','Puerto mbopicua',10),(3406,'3334','Puerto oro verde',10),(3407,'3334','Puerto rico',10),(3408,'3334','Puerto san alberto',10),(3409,'3334','Puerto tigre',10),(3410,'3334','Ruiz de montoya',10),(3411,'3334','San alberto',10),(3412,'3334','San miguel',10),(3413,'3334','San sebastian',10),(3414,'3337','Adolfo j pomar',10),(3415,'3337','Carril de anta',10),(3416,'3337','Cascuda',10),(3417,'3337','Doradito',10),(3418,'3337','Frigo',10),(3419,'3337','Indumar',10),(3420,'3337','Integracion',10),(3421,'3337','Juan domingo peron',10),(3422,'3337','Km 1230',10),(3423,'3337','Km 1246',10),(3424,'3337','Km 1247',10),(3425,'3337','Km1228',10),(3426,'3337','Lapacho',10),(3427,'3337','Loma pora',10),(3428,'3337','Milagro',10),(3429,'3337','Sol naciente',10),(3430,'3338','17 de agosto',10),(3431,'3338','2 de abril',10),(3432,'3338','El lapacho',10),(3433,'3338','Fray luis beltran',10),(3434,'3338','Km 18',10),(3435,'3338','La bonita',10),(3436,'3338','Las flores',10),(3437,'3338','Lechuza',10),(3438,'3338','Manuel belgrano',10),(3439,'3338','Mariano moreno',10),(3440,'3338','Picada mandarina',10),(3441,'3338','Virgen de lourdes',10),(3442,'3340','Boqueron',8),(3443,'3340','Cambal',8),(3444,'3340','Casualidad',8),(3445,'3340','Colonia gobernador ruiz',8),(3446,'3340','Colonia jose r gomez',8),(3447,'3340','Colonia san mateo',8),(3448,'3340','Cuay chico',8),(3449,'3340','Don maximo',8),(3450,'3340','Estancia buena vista',8),(3451,'3340','Estancia casurina',8),(3452,'3340','Estancia durruti',8),(3453,'3340','Estancia el ombu',8),(3454,'3340','Estancia san mateo',8),(3455,'3340','Estancia san miguel',8),(3456,'3340','Galarza cue',8),(3457,'3340','Gobernador ruiz',8),(3458,'3340','Gomez cue',8),(3459,'3340','Guay grande',8),(3460,'3340','Isla san mateo',8),(3461,'3340','Ita cua',8),(3462,'3340','Kilometro 442',8),(3463,'3340','Kilometro 459',8),(3464,'3340','Los bretes',8),(3465,'3340','Nuevo paraiso',8),(3466,'3340','Paso concepcion',8),(3467,'3340','Puerto hormiguero',8),(3468,'3340','Puerto las lajas',8),(3469,'3340','Puerto las tacuaritas',8),(3470,'3340','Puerto piedra',8),(3471,'3340','Rincon mercedes estancia',8),(3472,'3340','San antonio',8),(3473,'3340','San francisco',8),(3474,'3340','San gabriel',8),(3475,'3340','Santo tome',8),(3476,'3340','Tablada',8),(3477,'3340','Topador',8),(3478,'3340','Tres taperas',8),(3479,'3342','Aguapey',8),(3480,'3342','Caa garay gdor valentin',8),(3481,'3342','Caaby poy',8),(3482,'3342','Carabi poy',8),(3483,'3342','Cau garay',8),(3484,'3342','Caza pava',8),(3485,'3342','Colonia garabi',8),(3486,'3342','Coronel desiderio sosa',8),(3487,'3342','El carmen',8),(3488,'3342','Gdor ing v virasoro',8),(3489,'3342','Ibera',8),(3490,'3342','Isla grande',8),(3491,'3342','Kilometro 470',8),(3492,'3342','Kilometro 475',8),(3493,'3342','Kilometro 479',8),(3494,'3342','Kilometro 489',8),(3495,'3342','Kilometro 506',8),(3496,'3342','Kilometro 517',8),(3497,'3342','La criolla',8),(3498,'3342','Las ratas',8),(3499,'3342','San alonso',8),(3500,'3342','San justo',8),(3501,'3342','San vicente',8),(3502,'3342','Sosa',8),(3503,'3342','Tareiri',8),(3504,'3342','Vuelta del ombu',8),(3505,'3344','2 de julio',8),(3506,'3344','Altamira',8),(3507,'3344','Alvear',8),(3508,'3344','Arroyo mendez',8),(3509,'3344','Batay',8),(3510,'3344','Cambara',8),(3511,'3344','Concepcion',8),(3512,'3344','Cuay chico',8),(3513,'3344','Cuay grande',8),(3514,'3344','El paraiso',8),(3515,'3344','Esfadal',8),(3516,'3344','Espinillar',8),(3517,'3344','Estancia la loma',8),(3518,'3344','Estancia las magnolias',8),(3519,'3344','Estancia las tunas',8),(3520,'3344','Florida',8),(3521,'3344','Kilometro 393',8),(3522,'3344','Kilometro 394',8),(3523,'3344','Kilometro 396',8),(3524,'3344','La blanqueada',8),(3525,'3344','La chiquita',8),(3526,'3344','La elsa',8),(3527,'3344','La elva',8),(3528,'3344','La loma',8),(3529,'3344','La loma torrent',8),(3530,'3344','La magnolia',8),(3531,'3344','Las mercedes',8),(3532,'3344','Las palmas',8),(3533,'3344','Las palmiras',8),(3534,'3344','Las palmitas',8),(3535,'3344','Los arboles',8),(3536,'3344','Malezal',8),(3537,'3344','Mira flores',8),(3538,'3344','Morica',8),(3539,'3344','Palmita',8),(3540,'3344','Pancho cue',8),(3541,'3344','Piracu',8),(3542,'3344','Pirayu',8),(3543,'3344','San carlos',8),(3544,'3344','San jose',8),(3545,'3344','San juan',8),(3546,'3344','San pedro',8),(3547,'3344','Santa ana',8),(3548,'3344','Santa isabel',8),(3549,'3344','Santa rita',8),(3550,'3344','Tambo nuevo',8),(3551,'3344','Tingui',8),(3552,'3344','Torrent',8),(3553,'3344','Tres capones',8),(3554,'3346','Bacacay',8),(3555,'3346','Costa guaviravi',8),(3556,'3346','Estingana',8),(3557,'3346','La cruz',8),(3558,'3346','Los tres cerros',8),(3559,'3346','San gabriel',8),(3560,'3346','Tres cerros',8),(3561,'3346','Yurucua',8),(3562,'3350','Apostoles',10),(3563,'3350','Arroyo tunitas',10),(3564,'3350','Campo richardson',10),(3565,'3350','Carrillo viejo',10),(3566,'3350','Chirimay',10),(3567,'3350','Colonia apostoles',10),(3568,'3350','Colonia azara',10),(3569,'3350','Ensanche este',10),(3570,'3350','Ensanche norte',10),(3571,'3350','La capilla',10),(3572,'3350','Las tunas',10),(3573,'3350','Nacientes del tunar',10),(3574,'3350','Puerto azara',10),(3575,'3350','Rincon de chimtray',10),(3576,'3350','Tigre',10),(3577,'3350','Villa errecaborde',10),(3578,'3351','Azara',10),(3579,'3351','El paraiso',10),(3580,'3351','Garruchos',8),(3581,'3351','Lote 117',10),(3582,'3351','Monte hermoso',10),(3583,'3351','Rincon de mercedes',8),(3584,'3353','Arroyo santa maria',10),(3585,'3353','Colonia santa maria',10),(3586,'3353','Fraga cue',10),(3587,'3353','Invernada chica',10),(3588,'3353','Invernada de itacaruare',10),(3589,'3353','Invernada grande',10),(3590,'3353','Isla argentina',10),(3591,'3353','Itacaruare',10),(3592,'3353','Las bananeras',10),(3593,'3353','Las mandarinas',10),(3594,'3353','Los galpones',10),(3595,'3353','MachadiÑo',10),(3596,'3353','Picada san javier',10),(3597,'3353','Rincon de lopez',10),(3598,'3353','Tres capones',10),(3599,'3355','Arrechea',10),(3600,'3355','Arroyo persiguero',10),(3601,'3355','Barra concepcion',10),(3602,'3355','Bretes martires',10),(3603,'3355','Colonia capon bonito',10),(3604,'3355','Colonia martir santa maria',10),(3605,'3355','Colonia san javier',10),(3606,'3355','Concepcion de la sierra',10),(3607,'3355','El persiguero',10),(3608,'3355','Isla san lucas',10),(3609,'3355','Paso del arroyo persiguero',10),(3610,'3355','Paso porteÑo',10),(3611,'3355','Persiguero',10),(3612,'3355','Puerto concepcion',10),(3613,'3355','Puerto san lucas',10),(3614,'3355','San isidro',10),(3615,'3355','San lucas',10),(3616,'3355','Santa maria la mayor',10),(3617,'3355','Santa maria martir',10),(3618,'3357','Barra bonita',10),(3619,'3357','Buena vista',10),(3620,'3357','Colonia cumanday',10),(3621,'3357','Costa portera',10),(3622,'3357','Frances',10),(3623,'3357','Guerrero',10),(3624,'3357','Kilometro 26',10),(3625,'3357','Puerto rosario',10),(3626,'3357','Puerto ruben',10),(3627,'3357','Puerto saltiÑo',10),(3628,'3357','Rincon del guerrero',10),(3629,'3357','San javier',10),(3630,'3357','Tres esquinas',10),(3631,'3358','Cheroguita',10),(3632,'3358','Colonia liebig s',8),(3633,'3358','Dos hermanos',8),(3634,'3358','El rancho',10),(3635,'3358','El socorro',8),(3636,'3358','Establecimiento la merced',8),(3637,'3358','Estacion apostoles',10),(3638,'3358','La pupi',8),(3639,'3358','La pupii',8),(3640,'3358','Playadito',8),(3641,'3358','Santa rosa',8),(3642,'3358','Villa ortiz pereira',10),(3643,'3360','Arroyo fedor',10),(3644,'3360','Barra bonita',10),(3645,'3360','Bayo troncho',10),(3646,'3360','DoÑa maria',10),(3647,'3360','Obera',10),(3648,'3360','Paraje dos hermanas',10),(3649,'3360','Picada san martin',10),(3650,'3360','Pueblo salto',10),(3651,'3360','San martin',10),(3652,'3360','Sierra de oro',10),(3653,'3360','Villa blanquita',10),(3654,'3360','Villa sarubbi',10),(3655,'3361','Acaragua',10),(3656,'3361','Campana',10),(3657,'3361','Campo ramon',10),(3658,'3361','Colonia alberdi',10),(3659,'3361','Colonia chapa',10),(3660,'3361','Colonia segui',10),(3661,'3361','Florentino ameghino',10),(3662,'3361','General alvear',10),(3663,'3361','Guarani',10),(3664,'3361','Guayabera',10),(3665,'3361','Kilometro 4',10),(3666,'3361','Kilometro 8',10),(3667,'3361','Los helechos',10),(3668,'3361','Panambi',10),(3669,'3361','Picada sueca',10),(3670,'3361','Picada yapeyu',10),(3671,'3361','Samambaya',10),(3672,'3361','Villa armonia',10),(3673,'3361','Villa bonita',10),(3674,'3361','Villa svea',10),(3675,'3361','Yapeyu centro',10),(3676,'3362','1 de mayo',10),(3677,'3362','Campo grande',10),(3678,'3362','Campo viera',10),(3679,'3362','Destacamento bosques',10),(3680,'3362','Kilometro 17 ruta 8',10),(3681,'3363','25 de mayo',10),(3682,'3363','9 de julio',10),(3683,'3363','Alba posse',10),(3684,'3363','Bartolito',10),(3685,'3363','Campos salles',10),(3686,'3363','Colonia alicia',10),(3687,'3363','Colonia aurora',10),(3688,'3363','Colonia el doradillo',10),(3689,'3363','Colonia el progreso',10),(3690,'3363','Desplayada',10),(3691,'3363','El macaco',10),(3692,'3363','El saltiÑo',10),(3693,'3363','El saltito',10),(3694,'3363','Filemon pose',10),(3695,'3363','Mai bao',10),(3696,'3363','Puerto alicia',10),(3697,'3363','Puerto aurora',10),(3698,'3363','Puerto insua',10),(3699,'3363','Puerto londero',10),(3700,'3363','Puerto san martin',10),(3701,'3363','San carlos',10),(3702,'3363','San francisco de asis',10),(3703,'3363','Santa rita',10),(3704,'3363','Torta quemada',10),(3705,'3363','Tres bocas',10),(3706,'3363','Villa vilma',10),(3707,'3363','VillafaÑe',10),(3708,'3364','2 de mayo',10),(3709,'3364','Alta union',10),(3710,'3364','Aristobulo del valle',10),(3711,'3364','Aserradero echeverria',10),(3712,'3364','Aserradero piÑalito',10),(3713,'3364','Barracon',10),(3714,'3364','Bernardino rivadavia',10),(3715,'3364','Cainguas',10),(3716,'3364','Capitan antonio morales',10),(3717,'3364','Colonia chafariz',10),(3718,'3364','Colonia fortaleza',10),(3719,'3364','Colonia gramado',10),(3720,'3364','Colonia juanita',10),(3721,'3364','Colonia la chillita',10),(3722,'3364','Colonia la gruta',10),(3723,'3364','Colonia la polaca',10),(3724,'3364','Colonia mondori',10),(3725,'3364','Colonia paduan',10),(3726,'3364','Colonia palmera',10),(3727,'3364','Colonia primavera',10),(3728,'3364','Colonia puerto rosales',10),(3729,'3364','Colonia siete estrellas',10),(3730,'3364','Comandante andresito',10),(3731,'3364','Cruce caballero',10),(3732,'3364','Cruce londero',10),(3733,'3364','CuÑa pora',10),(3734,'3364','El soberbio',10),(3735,'3364','El socorro',10),(3736,'3364','El tigre',10),(3737,'3364','Fracran',10),(3738,'3364','Fronteras',10),(3739,'3364','Guaibichu',10),(3740,'3364','Kilometro 286',10),(3741,'3364','Las mercedes',10),(3742,'3364','Lujan',10),(3743,'3364','Mesa redonda',10),(3744,'3364','Miguel guemes',10),(3745,'3364','Mocona',10),(3746,'3364','Monteagudo',10),(3747,'3364','Paraiso',10),(3748,'3364','Paraje lucero',10),(3749,'3364','Pindaiti',10),(3750,'3364','Pindayti',10),(3751,'3364','Puerto paraiso',10),(3752,'3364','Rio yabotay',10),(3753,'3364','Salto encantado',10),(3754,'3364','San pedro',10),(3755,'3364','San vicente',10),(3756,'3364','Santa rosa',10),(3757,'3364','Tobunas',10),(3758,'3364','Villa don bosco',10),(3759,'3366','Almirante brown',10),(3760,'3366','Barracon',10),(3761,'3366','Bernardo de irigoyen',10),(3762,'3366','CampiÑas de america',10),(3763,'3366','Campo alegre',10),(3764,'3366','Colonia el pesado',10),(3765,'3366','Colonia tres marias',10),(3766,'3366','Dos hermanas',10),(3767,'3366','Integracion',10),(3768,'3366','Paraje azopardo',10),(3769,'3366','Paraje estelina',10),(3770,'3366','Paraje granado',10),(3771,'3366','Paraje intercontinental',10),(3772,'3366','Paraje villa union',10),(3773,'3366','PiÑalito norte',10),(3774,'3366','PiÑalito sur',10),(3775,'3366','Piray mini',10),(3776,'3366','San antonio',10),(3777,'3370','Planchada banderita',10),(3778,'3370','Puerto aguirre',10),(3779,'3370','Puerto canoas',10),(3780,'3370','Puerto carolina',10),(3781,'3370','Puerto iguazu',10),(3782,'3370','Puerto libertad',10),(3783,'3370','Puerto paulito',10),(3784,'3370','Puerto peninsula',10),(3785,'3370','Puerto uruguay',10),(3786,'3370','Puerto wanda',10),(3787,'3370','Puerto yacuy',10),(3788,'3370','Tirica',10),(3789,'3370','Villa flor',10),(3790,'3371','Cabure',10),(3791,'3372','Cataratas del iguazu',10),(3792,'3374','El porvenir',10),(3793,'3374','Libertad',10),(3794,'3374','Puerto bemberg',10),(3795,'3374','Puerto bossetti',10),(3796,'3374','Puerto errecaborde',10),(3797,'3374','Segunda zona',10),(3798,'3376','Gobernador lanusse',10),(3799,'3376','Wanda',10),(3800,'3378','22 de diciembre',10),(3801,'3378','Puerto esperanza',10),(3802,'3380','9 de julio kilometro 20',10),(3803,'3380','Eldorado',10),(3804,'3380','Kilometro 10',10),(3805,'3381','Maria magdalena',10),(3806,'3381','Piray',10),(3807,'3381','Puerto delicia',10),(3808,'3381','Puerto piray',10),(3809,'3381','Santiago de liniers',10),(3810,'3382','Colonia cunci',10),(3811,'3382','Colonia delicia',10),(3812,'3382','Colonia duran',10),(3813,'3382','Colonia victoria',10),(3814,'3382','Pati cua',10),(3815,'3382','Puerto el dorado',10),(3816,'3382','Puerto mado',10),(3817,'3382','Puerto paticaa',10),(3818,'3382','Puerto pinares',10),(3819,'3382','Puerto victoria',10),(3820,'3382','Villa roulet',10),(3821,'3384','Barrancon',10),(3822,'3384','Citrus',10),(3823,'3384','Colonia florida',10),(3824,'3384','Colonia santa teresa',10),(3825,'3384','Deseado',10),(3826,'3384','El alcazar',10),(3827,'3384','Estancia santa rita',10),(3828,'3384','Guaraypo',10),(3829,'3384','Ita curuzu',10),(3830,'3384','Kilometro 34',10),(3831,'3384','Kilometro 60',10),(3832,'3384','La misionera',10),(3833,'3384','La posta',10),(3834,'3384','Larraque',10),(3835,'3384','Linea de peray',10),(3836,'3384','Macaca',10),(3837,'3384','Macaco',10),(3838,'3384','Montecarlo',10),(3839,'3384','Puerto avellaneda',10),(3840,'3384','Puerto laharrague',10),(3841,'3384','Puerto paranay',10),(3842,'3384','Villa ojo de agua',10),(3843,'3384','Villa union',10),(3844,'3386','Caraguatay',10),(3845,'3386','Paranay',10),(3846,'3386','Puerto alcazar',10),(3847,'3386','Puerto caraguatay',10),(3848,'3386','Taruma',10),(3849,'3400','BaÑado norte',8),(3850,'3400','BaÑado sur',8),(3851,'3400','Corrientes',8),(3852,'3400','Doctor felix maria gomez',8),(3853,'3400','Parque san martin',8),(3854,'3400','Villa el dorado',8),(3855,'3400','Villa juan de vera',8),(3856,'3401','Arroyo pelon',8),(3857,'3401','Arroyo ponton',8),(3858,'3401','Arroyo solis',8),(3859,'3401','CaÑada quiroz',8),(3860,'3401','Colonia alvarez',8),(3861,'3401','Colonia maria esther',8),(3862,'3401','Colonia matilde',8),(3863,'3401','Costa',8),(3864,'3401','Costa rio parana',8),(3865,'3401','El pelon',8),(3866,'3401','El pollo',8),(3867,'3401','Ingenio primer correntino',8),(3868,'3401','Isla ibatay',8),(3869,'3401','Juan ramon vidal',8),(3870,'3401','Kilometro 13',8),(3871,'3401','Laguna brava',8),(3872,'3401','Laguna paiva',8),(3873,'3401','Laguna soto',8),(3874,'3401','Lomas san cayetano',8),(3875,'3401','Palmera',8),(3876,'3401','Pampin',8),(3877,'3401','Paso lovera',8),(3878,'3401','Paso pesoa',8),(3879,'3401','Ralera sud',8),(3880,'3401','San cayetano',8),(3881,'3401','San jose',8),(3882,'3401','Santa ana',8),(3883,'3401','Tala cora',8),(3884,'3401','Villa san isidro',8),(3885,'3401','Villa solari',8),(3886,'3403','Aguirre cue',8),(3887,'3403','Aguirre lomas',8),(3888,'3403','Albardones',8),(3889,'3403','Alta mora',8),(3890,'3403','Bargone',8),(3891,'3403','Bregain cue',8),(3892,'3403','Briganis',8),(3893,'3403','Broja cue',8),(3894,'3403','Campo grande',8),(3895,'3403','CaÑada grande',8),(3896,'3403','Carabajal',8),(3897,'3403','Caruso apeadero fcgu',8),(3898,'3403','Cavia cue',8),(3899,'3403','Cerrudo cue',8),(3900,'3403','Colonia llano',8),(3901,'3403','Costa grande',8),(3902,'3403','Desaguadero',8),(3903,'3403','El ponton',8),(3904,'3403','El vasco',8),(3905,'3403','Empedrado limpio',8),(3906,'3403','Esquivel cue',8),(3907,'3403','Garabata',8),(3908,'3403','Garrido',8),(3909,'3403','Gdor juan eusebio torren',8),(3910,'3403','Herlitzka',8),(3911,'3403','Kilometro 31',8),(3912,'3403','Kilometro 42',8),(3913,'3403','Kilometro 49',8),(3914,'3403','Kilometro 55',8),(3915,'3403','Kilometro 57',8),(3916,'3403','Kilometro 61',8),(3917,'3403','Kilometro 76',8),(3918,'3403','Kilometro 84',8),(3919,'3403','Kilometro 89',8),(3920,'3403','Kilometro 95',8),(3921,'3403','La eloisa',8),(3922,'3403','Laguna alfonso',8),(3923,'3403','Las palmitas',8),(3924,'3403','Lomas de galarza',8),(3925,'3403','Lomas de gonzalez',8),(3926,'3403','Lomas esquivel',8),(3927,'3403','Maloya',8),(3928,'3403','Monte grande',8),(3929,'3403','Obraje del vasco',8),(3930,'3403','Oratorio',8),(3931,'3403','Pueblito espinosa',8),(3932,'3403','Riachuelito',8),(3933,'3403','Riachuelo bardeci',8),(3934,'3403','Rincon de las mercedes',8),(3935,'3403','San luis del palmar',8),(3936,'3403','Santa teresa',8),(3937,'3403','Santos lugares',8),(3938,'3403','Sombrero',8),(3939,'3403','Tiquino',8),(3940,'3403','Tres cruces',8),(3941,'3403','Tripoli',8),(3942,'3403','Vecindad',8),(3943,'3405','Algarrobal puisoye',8),(3944,'3405','CaÑada grande',8),(3945,'3405','Cerrito',8),(3946,'3405','Colonia juan pujol',8),(3947,'3405','Costa santa lucia',8),(3948,'3405','Fernandez',8),(3949,'3405','Frontera',8),(3950,'3405','Kilometro 148',8),(3951,'3405','Kilometro 151',8),(3952,'3405','La flecha',8),(3953,'3405','La parada',8),(3954,'3405','Loma alta',8),(3955,'3405','Lomas de aguirre',8),(3956,'3405','Lomas de vallejos',8),(3957,'3405','Lomas de vergara',8),(3958,'3405','Lomas ramirez',8),(3959,'3405','Lomas vazquez',8),(3960,'3405','Los vences',8),(3961,'3405','Maloyita',8),(3962,'3405','Naranjaty',8),(3963,'3405','Obraje cue',8),(3964,'3405','Ombu lomas',8),(3965,'3405','Palmar grande',8),(3966,'3405','Puisoye',8),(3967,'3405','Punta grande',8),(3968,'3405','Rincon zalazar',8),(3969,'3405','Rodeito',8),(3970,'3405','Saldana',8),(3971,'3405','Tacuaral',8),(3972,'3405','Talaty',8),(3973,'3405','Tolatu',8),(3974,'3405','Vergara',8),(3975,'3405','Vergara lomas',8),(3976,'3405','Zapallar',8),(3977,'3407','Aguay',8),(3978,'3407','Algarrobales',8),(3979,'3407','Altamora parada',8),(3980,'3407','Ayala cue',8),(3981,'3407','Caa cati',8),(3982,'3407','Capillita',8),(3983,'3407','Chircal',8),(3984,'3407','Colonia amadei',8),(3985,'3407','Colonia danuzzo',8),(3986,'3407','Colonia durazno',8),(3987,'3407','Colonia florencia',8),(3988,'3407','Colonia san martin',8),(3989,'3407','Colonia tacuaralito',8),(3990,'3407','Costas',8),(3991,'3407','El salvador',8),(3992,'3407','General paz',8),(3993,'3407','La jaula',8),(3994,'3407','Loma villanueva',8),(3995,'3407','Lomas redondas',8),(3996,'3407','Ntra sra del ros de caa cati',8),(3997,'3407','Paso florentin',8),(3998,'3407','Paso gallego',8),(3999,'3407','Paso saldaÑa',8),(4000,'3407','Rincon de vences',8),(4001,'3407','Romero',8),(4002,'3407','Rosadito',8),(4003,'3407','San jose',8),(4004,'3407','San jose caacati',8),(4005,'3407','Timbo cora',8),(4006,'3407','Villa san ramon',8),(4007,'3407','Zapallos',8),(4008,'3409','Arroyo san juan',8),(4009,'3409','Colonia m aberastury',8),(4010,'3409','Costa toledo',8),(4011,'3409','Paso de la patria',8),(4012,'3409','Puerto araza',8),(4013,'3409','Puerto gonzalez',8),(4014,'3409','Rincon',8),(4015,'3409','San juan',8),(4016,'3412','Albardon',8),(4017,'3412','Bedoya',8),(4018,'3412','Buena vista',8),(4019,'3412','Chilecito',8),(4020,'3412','Cuarta seccion ensenada grande',8),(4021,'3412','Ensenada grande',8),(4022,'3412','Ensenadita',8),(4023,'3412','Guayu',8),(4024,'3412','Isla ibate',8),(4025,'3412','Mandinga',8),(4026,'3412','Matilde',8),(4027,'3412','Paraje iribu cua',8),(4028,'3412','Ramada paso',8),(4029,'3412','San cosme',8),(4030,'3412','Santa rita',8),(4031,'3412','Santo domingo',8),(4032,'3412','Socorro',8),(4033,'3412','Soledad',8),(4034,'3412','Tuyuti',8),(4035,'3412','Villa cue',8),(4036,'3412','Villaga cue',8),(4037,'3412','Yacarey',8),(4038,'3412','Yahape',8),(4039,'3414','Abra',8),(4040,'3414','Corsa cue',8),(4041,'3414','Curuzu',8),(4042,'3414','Itati',8),(4043,'3414','La palmira',8),(4044,'3414','La union',8),(4045,'3414','Mbalguiapu',8),(4046,'3414','San francisco cue',8),(4047,'3414','San isidro',8),(4048,'3414','San jose',8),(4049,'3414','San salvador',8),(4050,'3414','Yagua rocau',8),(4051,'3416','Arroyo ceibal',8),(4052,'3416','Carabajal este',8),(4053,'3416','Colonia arrocera',8),(4054,'3416','Colonia nueva valencia',8),(4055,'3416','Costa de arroyo san lorenzo',8),(4056,'3416','Costa de empedrado',8),(4057,'3416','Dos ombues',8),(4058,'3416','El sombrero',8),(4059,'3416','Garrido cue',8),(4060,'3416','Kilometro 476',8),(4061,'3416','Kilometro 485',8),(4062,'3416','Kilometro 492',8),(4063,'3416','Kilometro 494',8),(4064,'3416','Kilometro 501',8),(4065,'3416','Kilometro 504',8),(4066,'3416','Kilometro 512',8),(4067,'3416','Kilometro 516',8),(4068,'3416','Manuel derqui',8),(4069,'3416','Matadero santa catalina',8),(4070,'3416','Pehuaho',8),(4071,'3416','Pueblito san juan',8),(4072,'3416','Real cue',8),(4073,'3416','Riachuelo',8),(4074,'3416','Riachuelo sud',8),(4075,'3416','Rincon de ambrosio',8),(4076,'3416','Rincon de san lorenzo',8),(4077,'3416','Rincon del sombrero',8),(4078,'3416','San lorenzo',8),(4079,'3416','Seccion primera san juan',8),(4080,'3418','Bartolome mitre',8),(4081,'3418','Bernachea',8),(4082,'3418','CaÑada burgos',8),(4083,'3418','Colonia brougnes',8),(4084,'3418','Empedrado',8),(4085,'3418','Empedrado limpio',8),(4086,'3418','Kilometro 451',8),(4087,'3418','Kilometro 462',8),(4088,'3418','Lomas de empedrado',8),(4089,'3418','Mansion de invierno',8),(4090,'3418','Ocanto cue',8),(4091,'3418','Pago poi',8),(4092,'3418','Villa san juan',8),(4093,'3420','AcuÑa cue',8),(4094,'3420','Angua',8),(4095,'3420','Arroyo ambrosio',8),(4096,'3420','Carman',8),(4097,'3420','Casuarinas',8),(4098,'3420','Cnia oficial juan bautista',8),(4099,'3420','El carmen',8),(4100,'3420','Guazu cora',8),(4101,'3420','Jardin florido',8),(4102,'3420','Kilometro 406',8),(4103,'3420','Km 425',8),(4104,'3420','La querencia',8),(4105,'3420','Lago arias',8),(4106,'3420','Lauretti',8),(4107,'3420','Lomas',8),(4108,'3420','Lomas saladas',8),(4109,'3420','Los lirios',8),(4110,'3420','Mediodia',8),(4111,'3420','Mira flores',8),(4112,'3420','Muchas islas',8),(4113,'3420','Pago arias',8),(4114,'3420','Paraje augua',8),(4115,'3420','Paso naranjito',8),(4116,'3420','Pastores',8),(4117,'3420','Pindoncito',8),(4118,'3420','Rincon san pedro',8),(4119,'3420','Saladas',8),(4120,'3420','San emilio',8),(4121,'3420','San francisco',8),(4122,'3420','San nicolas',8),(4123,'3420','Santo domingo',8),(4124,'3420','Soledad',8),(4125,'3420','Sosa cue',8),(4126,'3421','Bajo guazu',8),(4127,'3421','Batel',8),(4128,'3421','Colonia dora elena',8),(4129,'3421','Colonia lucero',8),(4130,'3421','Colonia santa rosa',8),(4131,'3421','Pindo',8),(4132,'3421','San nicolas',8),(4133,'3421','Santa rosa',8),(4134,'3421','Tabay',8),(4135,'3421','Tatacua',8),(4136,'3423','AraÑita',8),(4137,'3423','Batara',8),(4138,'3423','Caiman',8),(4139,'3423','Capilla cue',8),(4140,'3423','Carambola',8),(4141,'3423','Colonia jacobo finh',8),(4142,'3423','Colonia la habana',8),(4143,'3423','Colonia tatacua',8),(4144,'3423','Concepcion',8),(4145,'3423','Costa del batel',8),(4146,'3423','El buen retiro',8),(4147,'3423','El porvenir',8),(4148,'3423','El yuqueri',8),(4149,'3423','Estancia san roberto',8),(4150,'3423','Estancia santa maria',8),(4151,'3423','Iguate pora',8),(4152,'3423','La angelita',8),(4153,'3423','La aurora',8),(4154,'3423','La pepita',8),(4155,'3423','Los angeles',8),(4156,'3423','Lujambio',8),(4157,'3423','Montevideo',8),(4158,'3423','Nuevo porvenir',8),(4159,'3423','Palmar',8),(4160,'3423','Paraje florida',8),(4161,'3423','Paso iribu cua',8),(4162,'3423','Paso lucero',8),(4163,'3423','Porvenir',8),(4164,'3423','San agustin',8),(4165,'3423','San francisco',8),(4166,'3423','San jose',8),(4167,'3423','San juan',8),(4168,'3423','San nicanor',8),(4169,'3423','Santa maria',8),(4170,'3423','Santa rita',8),(4171,'3423','Sauce',8),(4172,'3423','Tajibo',8),(4173,'3423','Talita cue',8),(4174,'3423','Tartaguito',8),(4175,'3423','Tres hermanas',8),(4176,'3423','Virgen maria',8),(4177,'3423','Yaguaru',8),(4178,'3425','Costa grande',8),(4179,'3425','Loma alta',8),(4180,'3425','Pago alegre',8),(4181,'3425','Pago de los deseos',8),(4182,'3427','Abra',8),(4183,'3427','Arroyito',8),(4184,'3427','Buena vista',8),(4185,'3427','Campo cardozo',8),(4186,'3427','Campo fernandez',8),(4187,'3427','Cardozo phi',8),(4188,'3427','Chacras',8),(4189,'3427','Chamorro',8),(4190,'3427','Costa',8),(4191,'3427','Costa san lorenzo',8),(4192,'3427','El pago',8),(4193,'3427','Francisco gauna',8),(4194,'3427','La herminia',8),(4195,'3427','Manantiales',8),(4196,'3427','Mburucuya',8),(4197,'3427','Oratorio',8),(4198,'3427','Pasito',8),(4199,'3427','Paso aguirre',8),(4200,'3427','Potrero grande',8),(4201,'3427','Punta grande',8),(4202,'3427','Ramones',8),(4203,'3427','San antonio',8),(4204,'3427','San juan',8),(4205,'3427','San lorenzo',8),(4206,'3427','Santa ana',8),(4207,'3427','Santa teresa',8),(4208,'3427','Toros cora',8),(4209,'3427','Veloso',8),(4210,'3428','Estacion saladas',8),(4211,'3428','Kilometro 431',8),(4212,'3432','Bella vista',8),(4213,'3432','Carrizal',8),(4214,'3432','Cebollas',8),(4215,'3432','Chacras',8),(4216,'3432','El carrizal',8),(4217,'3432','El toro pi',8),(4218,'3432','Estacion agronomica',8),(4219,'3432','Las garzas',8),(4220,'3432','Lomas',8),(4221,'3432','Lomas este',8),(4222,'3432','Macedo',8),(4223,'3432','Martin',8),(4224,'3432','Progreso',8),(4225,'3432','Romero cuazu',8),(4226,'3432','San fernando',8),(4227,'3432','Villa rollet',8),(4228,'3432','Yagua rincon',8),(4229,'3432','Yuqueri',8),(4230,'3433','Carrizal norte',8),(4231,'3433','Colonia 3 de abril',8),(4232,'3433','Colonia progreso',8),(4233,'3433','Raices',8),(4234,'3440','Barrio villa cordoba',8),(4235,'3440','Colonia cecilio echeverria',8),(4236,'3440','Colonia general ferre',8),(4237,'3440','Colonia lujan',8),(4238,'3440','Colonia san eugenio',8),(4239,'3440','Colonia san jose',8),(4240,'3440','Crucecitas santa lucia',8),(4241,'3440','Ferro',8),(4242,'3440','La pastoril',8),(4243,'3440','Monte florido',8),(4244,'3440','Naranjito',8),(4245,'3440','Quinta teresa',8),(4246,'3440','San eugenio',8),(4247,'3440','Villa aquino',8),(4248,'3440','Villa cordoba',8),(4249,'3441','Algarrobo',8),(4250,'3441','Cruz de los milagros',8),(4251,'3441','Desmochado',8),(4252,'3443','Colonia mendez bar',8),(4253,'3443','La bolsa',8),(4254,'3443','Lavalle',8),(4255,'3443','Rincon de soto',8),(4256,'3443','Saladero san antonio',8),(4257,'3445','9 de julio',8),(4258,'3445','Algarrobal',8),(4259,'3445','Algarrobo paraje',8),(4260,'3445','Arroyo gonzalez',8),(4261,'3445','Arroyo paiso',8),(4262,'3445','Bajo grande',8),(4263,'3445','Barrio algarrobo',8),(4264,'3445','Batal',8),(4265,'3445','Bonete',8),(4266,'3445','Cabana',8),(4267,'3445','CafarreÑo',8),(4268,'3445','Cerrito',8),(4269,'3445','Colonia vedoya',8),(4270,'3445','Costa batel',8),(4271,'3445','Costa santa lucia',8),(4272,'3445','Crucecitas',8),(4273,'3445','El socorro',8),(4274,'3445','Gobernador juan e martinez',8),(4275,'3445','Kilometro 410',8),(4276,'3445','Kilometro 416',8),(4277,'3445','La celia',8),(4278,'3445','La matilde',8),(4279,'3445','Laguna sirena',8),(4280,'3445','Las matreras',8),(4281,'3445','Leon cua',8),(4282,'3445','Lomas floridas',8),(4283,'3445','Los angeles del batel',8),(4284,'3445','Luis gomez',8),(4285,'3445','Pueblo de julio',8),(4286,'3445','Puente batel',8),(4287,'3445','Puerta ifran',8),(4288,'3445','Saldana 9 de julio',8),(4289,'3445','San antonio',8),(4290,'3445','San luis',8),(4291,'3445','Santa lucia',8),(4292,'3445','Santa lucia 9 de julio',8),(4293,'3445','Vedoya',8),(4294,'3445','Yataity calle',8),(4295,'3445','Yatay',8),(4296,'3446','Kilometro 374',8),(4297,'3446','Kilometro 387',8),(4298,'3446','La armonia',8),(4299,'3446','La lolita',8),(4300,'3446','La luisa',8),(4301,'3446','Las lagunas',8),(4302,'3446','Manuel florencio mantilla',8),(4303,'3446','Pedro r fernandez',8),(4304,'3446','San diego',8),(4305,'3446','San rafael',8),(4306,'3446','Santa sinforosa',8),(4307,'3446','Santiago alcorta',8),(4308,'3446','Seriano cue',8),(4309,'3446','Yacare',8),(4310,'3448','Alamo',8),(4311,'3448','Arroyito',8),(4312,'3448','Balengo',8),(4313,'3448','Caayobay',8),(4314,'3448','CaÑada mala',8),(4315,'3448','Capita mini',8),(4316,'3448','Caraya',8),(4317,'3448','Isla alta',8),(4318,'3448','Kilometro 382',8),(4319,'3448','Kilometro 402',8),(4320,'3448','Laguna avalos',8),(4321,'3448','Laurel',8),(4322,'3448','Manantiales',8),(4323,'3448','Matrera',8),(4324,'3448','Mojon',8),(4325,'3448','Naranjito',8),(4326,'3448','Naranjito san roque',8),(4327,'3448','Palmira',8),(4328,'3448','Pirra puy',8),(4329,'3448','Rosado grande',8),(4330,'3448','Salinas gandes',8),(4331,'3448','San juan',8),(4332,'3448','San roque',8),(4333,'3448','San sebastian',8),(4334,'3448','Santo tomas',8),(4335,'3448','Tatacua',8),(4336,'3448','Timbo',8),(4337,'3448','Yazuca',8),(4338,'3449','Boliche lata',8),(4339,'3449','Colonia pando',8),(4340,'3449','Isla alta',8),(4341,'3449','Santo domingo',8),(4342,'3450','8 de diciembre',8),(4343,'3450','Alamo',8),(4344,'3450','Arroyo carancho',8),(4345,'3450','Balengo',8),(4346,'3450','Campo araujo',8),(4347,'3450','Campo escalada',8),(4348,'3450','Casualidad',8),(4349,'3450','Colonia mercedes cossio',8),(4350,'3450','Colonia pucheta',8),(4351,'3450','Colonia rolon cossio',8),(4352,'3450','Colonia sauce',8),(4353,'3450','Corona',8),(4354,'3450','Curtiembre',8),(4355,'3450','El rosario',8),(4356,'3450','Goya',8),(4357,'3450','Granja amelia',8),(4358,'3450','Isla sola',8),(4359,'3450','Ita curubi',8),(4360,'3450','Laguna pucu',8),(4361,'3450','Lujan',8),(4362,'3450','Maruchitas',8),(4363,'3450','Paso coronel',8),(4364,'3450','Paso santa rosa',8),(4365,'3450','Ranegas',8),(4366,'3450','Remanso',8),(4367,'3450','Rincon de gomez',8),(4368,'3450','Rolon jacinto',8),(4369,'3450','San dionisio',8),(4370,'3450','San gregorio',8),(4371,'3450','San martin',8),(4372,'3450','Santillan',8),(4373,'3450','Soledad',8),(4374,'3450','Tartaria',8),(4375,'3451','Batelito',8),(4376,'3451','Colonia carolina',8),(4377,'3451','Colonia la carmen',8),(4378,'3451','Colonia porvenir',8),(4379,'3451','Maruchas',8),(4380,'3451','Mora',8),(4381,'3451','Pago redondo',8),(4382,'3451','Paso rubio',8),(4383,'3451','Puerto goya',8),(4384,'3451','Rincon de pago',8),(4385,'3451','San pedro',8),(4386,'3451','Villa rolon',8),(4387,'3453','Ifran',8),(4388,'3453','Isabel victoria',8),(4389,'3453','Manchita',8),(4390,'3453','Masdeu escuela 197',8),(4391,'3453','Ñaembe',8),(4392,'3453','Punta ifran',8),(4393,'3454','BaÑado san antonio',8),(4394,'3454','Buena esperanza',8),(4395,'3454','Buena vista',8),(4396,'3454','El tatare',8),(4397,'3454','El transito',8),(4398,'3454','Fanegas',8),(4399,'3454','Invernada',8),(4400,'3454','La carlina',8),(4401,'3454','La celia',8),(4402,'3454','La concepcion',8),(4403,'3454','La cruz',8),(4404,'3454','La diana',8),(4405,'3454','La elvira',8),(4406,'3454','Los ceibos',8),(4407,'3454','Paraje san isidro',8),(4408,'3454','Paso bandera',8),(4409,'3454','Paso los angeles',8),(4410,'3454','Paso san juan',8),(4411,'3454','Puente machuca',8),(4412,'3454','San alejo',8),(4413,'3454','San isidro',8),(4414,'3454','San manuel',8),(4415,'3454','San marcos',8),(4416,'3454','Tres bocas',8),(4417,'3460','Arroyo castillo',8),(4418,'3460','Casillas',8),(4419,'3460','Curuzu cuatia',8),(4420,'3460','El ceibo',8),(4421,'3460','El Ñandubay',8),(4422,'3460','Espinillo',8),(4423,'3460','Estancia el carmen',8),(4424,'3460','Estancia el chaÑar',8),(4425,'3460','Estancia los paraisos',8),(4426,'3460','Estancia san julio',8),(4427,'3460','Kilometro 405',8),(4428,'3460','La caÑada',8),(4429,'3460','La cautiva',8),(4430,'3460','Labory',8),(4431,'3460','Lobory',8),(4432,'3460','Paraiso',8),(4433,'3460','Paso ancho',8),(4434,'3460','Paso de las piedras',8),(4435,'3460','Paso lopez',8),(4436,'3460','Rincon',8),(4437,'3460','Rincon de yaguary',8),(4438,'3460','Sarandi',8),(4439,'3460','Siete arboles',8),(4440,'3460','Tierra colorada',8),(4441,'3460','Tunitas',8),(4442,'3460','Vaca cua',8),(4443,'3460','Yaguary',8),(4444,'3461','Abo nezu',8),(4445,'3461','Aguay',8),(4446,'3461','Casualidad',8),(4447,'3461','Colonia chircal',8),(4448,'3461','Cuarta seccion lomas',8),(4449,'3461','El cerro',8),(4450,'3461','Esperanza',8),(4451,'3461','Estrella',8),(4452,'3461','La flor',8),(4453,'3461','La florentina',8),(4454,'3461','La fortuna',8),(4455,'3461','Las lomas',8),(4456,'3461','Los tres amigos',8),(4457,'3461','Maria',8),(4458,'3461','Nina',8),(4459,'3461','Nueva granada',8),(4460,'3461','Palmitas',8),(4461,'3461','Paso tala',8),(4462,'3461','Perugorria',8),(4463,'3461','Puente avalos',8),(4464,'3461','Rincon quiroz',8),(4465,'3461','San pedro',8),(4466,'3461','San rafael',8),(4467,'3461','Vaca paso',8),(4468,'3463','Aristia',8),(4469,'3463','Arroyo seco',8),(4470,'3463','Barrancas',8),(4471,'3463','Buena ventura',8),(4472,'3463','Buena vista',8),(4473,'3463','Caabi poi',8),(4474,'3463','Campo maidana',8),(4475,'3463','Campo poy',8),(4476,'3463','CaÑaditas',8),(4477,'3463','Cavi poy',8),(4478,'3463','Dos hermanas',8),(4479,'3463','El tesoro',8),(4480,'3463','El tigre',8),(4481,'3463','Estancia rincon grande',8),(4482,'3463','Ferret',8),(4483,'3463','La concepcion',8),(4484,'3463','La delicia',8),(4485,'3463','La estrella',8),(4486,'3463','La fe',8),(4487,'3463','La garcia',8),(4488,'3463','La leonor',8),(4489,'3463','La porteÑa',8),(4490,'3463','Las cuchillas',8),(4491,'3463','Las taperas',8),(4492,'3463','Limas cue',8),(4493,'3463','Linda vista',8),(4494,'3463','Loma alta',8),(4495,'3463','Los eucaliptos',8),(4496,'3463','Martin garcia',8),(4497,'3463','Paso bermudez',8),(4498,'3463','Paso de mula',8),(4499,'3463','Pujol bedoya',8),(4500,'3463','Puntas de francisco gomez',8),(4501,'3463','Puntas del tigre',8),(4502,'3463','Rincon de animas',8),(4503,'3463','Rincon del tigre',8),(4504,'3463','San jose',8),(4505,'3463','San luis',8),(4506,'3463','San luis cue',8),(4507,'3463','San martin',8),(4508,'3463','Santa rosa',8),(4509,'3463','Santa teresa',8),(4510,'3463','Sauce',8),(4511,'3463','Saucesito',8),(4512,'3463','Seriano cue',8),(4513,'3463','Soto',8),(4514,'3463','Villa ortiz',8),(4515,'3463','Villa soto',8),(4516,'3463','Villa tesaro',8),(4517,'3465','Arroyo casco',8),(4518,'3465','Capirari',8),(4519,'3465','Capitan joaquin madariaga',8),(4520,'3465','Cazadores correntinos',8),(4521,'3465','Chaquito',8),(4522,'3465','Emilio r coni',8),(4523,'3465','Guaycuru',8),(4524,'3465','Minuanes',8),(4525,'3465','Pago largo',8),(4526,'3466','Abalo',8),(4527,'3466','Abeli',8),(4528,'3466','AcuÑa',8),(4529,'3466','Arroyo horqueta',8),(4530,'3466','Baibiene',8),(4531,'3466','Colonia acuÑa',8),(4532,'3466','El loto',8),(4533,'3466','Ibaviyu',8),(4534,'3466','La blanca',8),(4535,'3466','La floresta',8),(4536,'3466','La leontina',8),(4537,'3466','Las violetas',8),(4538,'3466','San celestino',8),(4539,'3466','San juan',8),(4540,'3466','San vicente',8),(4541,'3466','Santa juana',8),(4542,'3466','Santa maria',8),(4543,'3466','Santa rosa',8),(4544,'3470','Arroyo grande',8),(4545,'3470','Callejon',8),(4546,'3470','Capi vari',8),(4547,'3470','Capiguari',8),(4548,'3470','Estancia aguaceros',8),(4549,'3470','Estancia cerro verde',8),(4550,'3470','Estancia gonzalez cruz',8),(4551,'3470','Estancia ita caabo',8),(4552,'3470','Estancia la calera',8),(4553,'3470','Estancia la maria',8),(4554,'3470','Estancia mandure',8),(4555,'3470','Estancia rosario',8),(4556,'3470','Estancia santa cruz',8),(4557,'3470','Estancia tunas',8),(4558,'3470','Ibira pita',8),(4559,'3470','Ita cora',8),(4560,'3470','Ita pucu',8),(4561,'3470','Itati rincon',8),(4562,'3470','Kilometro 287 fcgu',8),(4563,'3470','Kilometro 296',8),(4564,'3470','La belermina',8),(4565,'3470','Mercedes',8),(4566,'3470','Pasaje santa juana',8),(4567,'3470','Paso mesa',8),(4568,'3470','Pay ubre chico',8),(4569,'3470','Piedra ita pucu',8),(4570,'3470','Rincon tranquera general',8),(4571,'3470','Salto ita jhase',8),(4572,'3470','Tacural',8),(4573,'3470','Yuqueri',8),(4574,'3471','Alen cue',8),(4575,'3471','Alfonso lomas',8),(4576,'3471','Boqueron',8),(4577,'3471','Buena vista',8),(4578,'3471','Colonia carlos pellegrini',8),(4579,'3471','San roquito',8),(4580,'3471','San salvador',8),(4581,'3471','Tacural mercedes',8),(4582,'3471','Uguay',8),(4583,'3472','Caaguazu',8),(4584,'3472','Capita mini',8),(4585,'3472','El cerrito',8),(4586,'3472','El pilar',8),(4587,'3472','Felipe yofre',8),(4588,'3472','La aurora',8),(4589,'3472','La carlota',8),(4590,'3472','Las elinas',8),(4591,'3472','Las rosas',8),(4592,'3472','Naranjito',8),(4593,'3472','Paimbre',8),(4594,'3472','Paso pucheta',8),(4595,'3472','San carlos',8),(4596,'3472','San eduardo',8),(4597,'3472','San nicolas',8),(4598,'3472','Tarangullo',8),(4599,'3472','Tatare',8),(4600,'3474','Chavarria',8),(4601,'3474','El simbolar',6),(4602,'3474','Estancia del medio',8),(4603,'3474','Estancia las salinas',8),(4604,'3474','Estero piru',8),(4605,'3474','La celina',8),(4606,'3474','Nueva esperanza',8),(4607,'3474','Oscuro',8),(4608,'3474','Paso chaÑaral',8),(4609,'3474','San antonio',8),(4610,'3474','San guillermo',8),(4611,'3474','San pedro',8),(4612,'3474','Santa irene',8),(4613,'3474','Tacuaritas',8),(4614,'3474','Uruguay',8),(4615,'3474','Yapuca',8),(4616,'3474','Yatay cora',8),(4617,'3476','El remanso',8),(4618,'3476','Justino solari',8),(4619,'3476','Kilometro 261',8),(4620,'3476','La agripina',8),(4621,'3476','La estrella',8),(4622,'3476','Maria del carmen',8),(4623,'3476','Maria idalina',8),(4624,'3476','Mariano i losas est solar',8),(4625,'3476','Solari mariano i loza',8),(4626,'3476','Teblenari',8),(4627,'3480','Algarrobal',8),(4628,'3480','Barranqueras',8),(4629,'3480','Blanco cue',8),(4630,'3480','Colonia branchi',8),(4631,'3480','Ibahay',8),(4632,'3480','Ita ibate',8),(4633,'3480','La loma',8),(4634,'3480','Paraje barranquitas',8),(4635,'3480','Puesto lata',8),(4636,'3480','Santa isabel',8),(4637,'3480','Tilita',8),(4638,'3481','Angostura',8),(4639,'3481','Arerungua',8),(4640,'3481','Beron de astrada',8),(4641,'3481','Colonia',8),(4642,'3481','Colonia romero',8),(4643,'3481','El palmar',8),(4644,'3481','Estancia la carmencha',8),(4645,'3481','Estancia mbota',8),(4646,'3481','Estancia san antonio',8),(4647,'3481','Isla tacuara',8),(4648,'3481','Martinez cue',8),(4649,'3481','Mbarigui',8),(4650,'3481','Palmar',8),(4651,'3481','Palmar arerungua',8),(4652,'3481','Paso potrero',8),(4653,'3481','Pirayu',8),(4654,'3481','Rincon',8),(4655,'3481','Ruiz cue',8),(4656,'3481','Tacuaracarendy',8),(4657,'3481','Toro i',8),(4658,'3481','Toro pichay',8),(4659,'3481','Valencia',8),(4660,'3481','Villa lujan',8),(4661,'3483','Arroyo balmaceda',8),(4662,'3483','Bastidores',8),(4663,'3483','Casualidad',8),(4664,'3483','Catalan cue',8),(4665,'3483','Costa cenisal',8),(4666,'3483','Infante',8),(4667,'3483','Ita paso',8),(4668,'3483','La angela',8),(4669,'3483','La pachina',8),(4670,'3483','Lapacho',8),(4671,'3483','Lomas san juan',8),(4672,'3483','Loreto',8),(4673,'3483','Ñuruguay',8),(4674,'3483','San sebastian',8),(4675,'3483','Timbo paso',8),(4676,'3483','Yta paso',8),(4677,'3483','Yuqueri',8),(4678,'3485','Carandaiti',8),(4679,'3485','Carreta paso',8),(4680,'3485','Colonia',8),(4681,'3485','Colonia caiman',8),(4682,'3485','Colonia gaiman',8),(4683,'3485','Colonia la union',8),(4684,'3485','Colonia madariaga',8),(4685,'3485','Colonia san antonio',8),(4686,'3485','Curupayti',8),(4687,'3485','Curuzu laurel',8),(4688,'3485','El carmen',8),(4689,'3485','Ipacarapa',8),(4690,'3485','Los sauces',8),(4691,'3485','Mboi cua',8),(4692,'3485','MontaÑa',8),(4693,'3485','Ombu',8),(4694,'3485','Palma sola',8),(4695,'3485','San antonio del caiman',8),(4696,'3485','San miguel',8),(4697,'3485','San nicolas',8),(4698,'3485','Santa isabel',8),(4699,'3485','Silvero cue',8),(4700,'3485','Tacuaral',8),(4701,'3485','Tacuarembo',8),(4702,'3485','Tape rati',8),(4703,'3485','Veron cue',8),(4704,'3485','Yataiti sata',8),(4705,'3485','Yataity poi',8),(4706,'3486','Villa olivari',8),(4707,'3487','Puesto de isla',8),(4708,'3500','Colonia florencia',11),(4709,'3500','Colonia palmira',11),(4710,'3500','La colonia',11),(4711,'3500','Resistencia',11),(4712,'3500','Tigre',11),(4713,'3500','Tropezon',11),(4714,'3500','Villa alta',11),(4715,'3500','Villa barberan',11),(4716,'3500','Villa el dorado',11),(4717,'3500','Villa juan de garay',11),(4718,'3500','Villa libertad',11),(4719,'3500','Villa paranacito',11),(4720,'3501','Campo de galnasi',11),(4721,'3501','El palmar',11),(4722,'3501','La liguria',11),(4723,'3503','Barranqueras',11),(4724,'3503','La isla',11),(4725,'3503','Puerto vilelas',11),(4726,'3503','Villa forestacion',11),(4727,'3505','Arroyo quintana',11),(4728,'3505','Colonia baranda',11),(4729,'3505','Colonia benitez',11),(4730,'3505','Colonia el pilar',11),(4731,'3505','Colonia popular',11),(4732,'3505','Coronel avalos',11),(4733,'3505','Costa ine',11),(4734,'3505','El tragadero',11),(4735,'3505','Isla antequera',11),(4736,'3505','Isla del cerrito',11),(4737,'3505','Kilometro 523',11),(4738,'3505','La evangelica',11),(4739,'3505','La ganadera',11),(4740,'3505','La loma',11),(4741,'3505','La palometa',11),(4742,'3505','La pilar',11),(4743,'3505','Laguna beligay',11),(4744,'3505','Los algarrobos',11),(4745,'3505','Margarita belen',11),(4746,'3505','Maria sara',11),(4747,'3505','Pilar',11),(4748,'3505','Puente ine',11),(4749,'3505','Puente palometa',11),(4750,'3505','Puerto antequera',11),(4751,'3505','Puerto bastiani',11),(4752,'3505','Puerto tirol',11),(4753,'3505','Punta de rieles',11),(4754,'3505','Punta nueva',11),(4755,'3505','Punta rieles',11),(4756,'3505','San miguel',11),(4757,'3505','Tres horquetas',11),(4758,'3505','Villa jalon',11),(4759,'3507','La eduviges',11),(4760,'3507','Pampa almiron',11),(4761,'3507','Selvas del rio de oro',11),(4762,'3509','Campo el bermejo',11),(4763,'3509','Campo winter',11),(4764,'3509','Colonia bermejo',11),(4765,'3509','Colonia el ciervo',11),(4766,'3509','Colonia el fiscal',11),(4767,'3509','Colonia esperanza',11),(4768,'3509','Colonia la filomena',11),(4769,'3509','Colonia sabina',11),(4770,'3509','Colonia san antonio',11),(4771,'3509','Colonia siete arboles',11),(4772,'3509','Colonia tres lagunas',11),(4773,'3509','El 15',11),(4774,'3509','El perdido',11),(4775,'3509','El zapallar',11),(4776,'3509','General jose de san martin',11),(4777,'3509','Kilometro 39',11),(4778,'3509','Kilometro 42',11),(4779,'3509','Kilometro 48',11),(4780,'3509','Kilometro 59',11),(4781,'3509','Kilometro 62',11),(4782,'3509','Loma alta',11),(4783,'3509','Loma florida',11),(4784,'3509','Pampa chica',11),(4785,'3509','Pampa larga',11),(4786,'3509','Paraje las tablas',11),(4787,'3509','Puerto zapallar',11),(4788,'3509','Venezuela',11),(4789,'3509','Villa dos',11),(4790,'3511','Colonia coronel dorrego',11),(4791,'3511','Colonia rodriguez peÑa',11),(4792,'3511','Kilometro 254',12),(4793,'3511','Los pozos',11),(4794,'3511','Presidencia roca',11),(4795,'3513','Arbol solo',11),(4796,'3513','Charadai',11),(4797,'3513','Colonia codutti',11),(4798,'3513','Colonia lucinda',11),(4799,'3513','Cote lai',11),(4800,'3513','El tupi kilometro 474',11),(4801,'3513','Estancia el sabalo',11),(4802,'3513','Estero redondo',11),(4803,'3513','Fortin cardoso',11),(4804,'3513','General obligado',11),(4805,'3513','Kilometro 443',11),(4806,'3513','Kilometro 474',11),(4807,'3513','Kilometro 501',11),(4808,'3513','Kilometro 519',11),(4809,'3513','La choza',11),(4810,'3513','La lucinda',11),(4811,'3513','La negra',11),(4812,'3513','La raquel',11),(4813,'3513','La sabana',11),(4814,'3513','La vicuÑa',11),(4815,'3513','Las toscas',11),(4816,'3513','Lote 15 la sabana',11),(4817,'3513','Lote 9',11),(4818,'3513','Macomitas',11),(4819,'3513','Obraje la vicuÑa',11),(4820,'3513','Puesto cocheri',11),(4821,'3513','Puesto mendizabal',11),(4822,'3513','Rio tapenaga',11),(4823,'3514','Cacui',11),(4824,'3514','Campo de la choza',11),(4825,'3514','Campo echegaray',11),(4826,'3514','Colonia echegaray',11),(4827,'3514','Colonia juan penco',11),(4828,'3514','Colonia mixta',11),(4829,'3514','Colonia puente philipon',11),(4830,'3514','El obraje',11),(4831,'3514','Fontana',11),(4832,'3514','General donovan',11),(4833,'3514','Hivonnait',11),(4834,'3514','Kilometro 2 fcgb',11),(4835,'3514','Kilometro 22',11),(4836,'3514','Kilometro 29',11),(4837,'3514','Kilometro 34',11),(4838,'3514','Kilometro 38',11),(4839,'3514','Kilometro 5',11),(4840,'3514','La elaboradora',11),(4841,'3514','La escondida',11),(4842,'3514','La verde',11),(4843,'3514','Laguna blanca',11),(4844,'3514','Laguna escondida',11),(4845,'3514','Lapachito',11),(4846,'3514','Liva',11),(4847,'3514','Lote 48 colonia mixta',11),(4848,'3514','Lote 53 colonia mixta',11),(4849,'3514','Makalle',11),(4850,'3514','Puente philippon',11),(4851,'3514','Puente svritz',11),(4852,'3514','Puerto vicentini',11),(4853,'3514','Rio araza',11),(4854,'3514','Vicentini',11),(4855,'3514','Villa sarmiento',11),(4856,'3515','Capitan solari',11),(4857,'3515','Ciervo petiso',11),(4858,'3515','Colonia elisa',11),(4859,'3515','Colonias unidas',11),(4860,'3515','Ingeniero barbet',11),(4861,'3515','Kilometro 575',11),(4862,'3515','Kilometro 602',11),(4863,'3515','La dificultad',11),(4864,'3515','La pastoril',11),(4865,'3515','Laguna limpia',11),(4866,'3515','Las garcitas',11),(4867,'3515','Salto de la vieja',11),(4868,'3516','Basail',11),(4869,'3516','Campo gola',4),(4870,'3516','Campo urdaniz',4),(4871,'3516','Campo verge',4),(4872,'3516','Colonia tacuari',11),(4873,'3516','El baÑado',11),(4874,'3516','Estancia la aurora',11),(4875,'3516','Florencia',4),(4876,'3516','Kilometro 34',11),(4877,'3516','Las mercedes',11),(4878,'3516','Las mercedes',4),(4879,'3516','Los palmares',11),(4880,'3516','Paralelo 28',11),(4881,'3516','Puerto piracua',4),(4882,'3518','Cabral cue',11),(4883,'3518','Cancha larga',11),(4884,'3518','Colonia cabral',11),(4885,'3518','Colonia rio de oro',11),(4886,'3518','El 14',11),(4887,'3518','El lapacho',11),(4888,'3518','El palmar',11),(4889,'3518','Guaycuru',11),(4890,'3518','La esperanza',11),(4891,'3518','La leonesa',11),(4892,'3518','Laguna patos',11),(4893,'3518','Lapacho',11),(4894,'3518','Las palmas',11),(4895,'3518','Las rosas',11),(4896,'3518','Loma alta',11),(4897,'3518','Pindo',11),(4898,'3518','Puerto las palmas',11),(4899,'3518','Punta de rieles',11),(4900,'3518','Quia',11),(4901,'3518','Ranchos viejos',11),(4902,'3518','Rincon del zorro',11),(4903,'3518','Rio de oro',11),(4904,'3518','San fernando',11),(4905,'3518','Tacuari',11),(4906,'3518','Termas del cerrito',11),(4907,'3518','Yatay',11),(4908,'3522','El retiro',11),(4909,'3522','Floradora',11),(4910,'3522','General vedia',11),(4911,'3522','La magdalena',11),(4912,'3522','Lote 15 escuela 268',11),(4913,'3522','Lote 16 escuela 204',11),(4914,'3522','San carlos',11),(4915,'3522','San eduardo',11),(4916,'3522','Tres horquetas',11),(4917,'3524','El campamento',11),(4918,'3524','El mirasol',11),(4919,'3524','La posta',11),(4920,'3524','La rinconada',11),(4921,'3524','Lote 92 la rinconada',11),(4922,'3524','Mieres',11),(4923,'3524','Puerto bermejo',11),(4924,'3524','Rio bermejo',11),(4925,'3524','Solalinde',11),(4926,'3524','Timbo',11),(4927,'3526','Cabo adriano ayala',12),(4928,'3526','Colonia san isidro',12),(4929,'3526','Gandolfi',11),(4930,'3526','Gral ignacio h fotheringham',12),(4931,'3526','Gral lucio victorio mansilla',12),(4932,'3526','Kilometro 100',12),(4933,'3526','Kilometro 139',12),(4934,'3526','Kilometro 76 rio bermejo',11),(4935,'3526','Nuevo pilcomayo',12),(4936,'3526','Olegario victor andrade',12),(4937,'3526','Potrero de los caballos',12),(4938,'3526','Puerto eva peron',11),(4939,'3526','Velaz',11),(4940,'3526','Villa escolar',12),(4941,'3530','Aldea forestal',11),(4942,'3530','Campo feldman',11),(4943,'3530','Colonia el paraisal',11),(4944,'3530','Colonia puente uriburu',11),(4945,'3530','Cuatro bocas',11),(4946,'3530','El tacuruzal',11),(4947,'3530','El zanjon',11),(4948,'3530','Lote 4 quitilipi',11),(4949,'3530','Lote 43 escuela 250',11),(4950,'3530','Pampa la peligrosa',11),(4951,'3530','Pampa legua cuatro',11),(4952,'3530','Picaditas',11),(4953,'3530','Quitilipi',11),(4954,'3530','Reduccion napalpi',11),(4955,'3530','Villa el palmar',11),(4956,'3531','Colonia aborigen',11),(4957,'3531','Colonia aborigen chaco',11),(4958,'3531','Colonia blas parera',11),(4959,'3531','El palmar',11),(4960,'3531','Guayaibi',11),(4961,'3531','La matanza',11),(4962,'3531','Napalpi',11),(4963,'3531','Pampa del indio',11),(4964,'3531','Pampa verde',11),(4965,'3531','Santos lugares',11),(4966,'3532','Curandu',11),(4967,'3532','Fortin aguilar',11),(4968,'3534','Colonia el aguara',11),(4969,'3534','Colonia gualtieri',11),(4970,'3534','Colonia la lola',11),(4971,'3534','El totoral',11),(4972,'3534','Kilometro 22',11),(4973,'3534','La esperanza',11),(4974,'3534','La soledad',11),(4975,'3534','La tambora',11),(4976,'3534','Las lomitas',11),(4977,'3534','Lote 11',11),(4978,'3534','Lote 14',11),(4979,'3534','Lote 23',11),(4980,'3534','Lote 3',11),(4981,'3534','Lote 42',11),(4982,'3534','Machagai',11),(4983,'3534','Pampa bandera',11),(4984,'3534','Santa marta',11),(4985,'3534','Tres palmas',11),(4986,'3536','Bocas',11),(4987,'3536','Colonia coronel brandsen',11),(4988,'3536','Colonia herrera',11),(4989,'3536','Colonia hipolito vieytes',11),(4990,'3536','Colonia santa elena',11),(4991,'3536','Coronel brandsen',11),(4992,'3536','Cuatro arboles',11),(4993,'3536','El curundu',11),(4994,'3536','El palmar',11),(4995,'3536','El raigonal',11),(4996,'3536','Fortin chaja',11),(4997,'3536','Las banderas',11),(4998,'3536','Lote 4 colonia pastoril',11),(4999,'3536','Martinez de hoz',11),(5000,'3536','Paso del oso',11),(5001,'3536','Presidencia de la plaza',11),(5002,'3540','Avanzada',11),(5003,'3540','Cabeza de tigre',11),(5004,'3540','Colonia juan jose paso',11),(5005,'3540','Colonia la avanzada',11),(5006,'3540','Colonia las avispas',11),(5007,'3540','Colonia los ganzos',11),(5008,'3540','Colonia lote 10',11),(5009,'3540','Colonia matheu',11),(5010,'3540','Fortin potrero',11),(5011,'3540','La manuela',11),(5012,'3540','La nueva',11),(5013,'3540','La Ñata',11),(5014,'3540','La ofelia',11),(5015,'3540','La suiza',11),(5016,'3540','La tapera',11),(5017,'3540','La viruela',11),(5018,'3540','Las golondrinas',11),(5019,'3540','Las golondrinas sur',11),(5020,'3540','Las moreras',11),(5021,'3540','Los fortines',11),(5022,'3540','Los gansos',11),(5023,'3540','Lote 10',11),(5024,'3540','Tres boliches',11),(5025,'3540','Tucuru',11),(5026,'3540','Villa angela',11),(5027,'3541','Campo las puertas',11),(5028,'3541','Campo nuevo',11),(5029,'3541','Colonia el curupi',11),(5030,'3541','Colonia el tigre',11),(5031,'3541','Coronel du graty',11),(5032,'3541','El Ñandubay',11),(5033,'3541','Kilometro 596',11),(5034,'3541','Pueblo clodomiro diaz',11),(5035,'3541','Santa maria',11),(5036,'3541','Santa sylvina',11),(5037,'3541','Tres monjes',11),(5038,'3543','Colonia lote 12',11),(5039,'3543','Colonia lote 3',11),(5040,'3543','El esquinero',11),(5041,'3543','El porvenir',11),(5042,'3543','Enrique urien',11),(5043,'3543','Haumonia',11),(5044,'3543','Horquilla',11),(5045,'3543','Invernada',11),(5046,'3543','Kilometro 498',11),(5047,'3543','Kilometro 520',11),(5048,'3543','Kilometro 53',11),(5049,'3543','Lote 1',11),(5050,'3543','Lote 12',11),(5051,'3543','Lote 17',11),(5052,'3543','Lote 23 samuhu',11),(5053,'3543','Lote 24',11),(5054,'3543','Lote 25',11),(5055,'3543','Lote 7',11),(5056,'3543','Lote 8',11),(5057,'3543','Samuhu',11),(5058,'3545','Kilometro 525',11),(5059,'3545','Kilometro 530',11),(5060,'3545','Villa berthet',11),(5061,'3550','Allende',4),(5062,'3550','Cerrito',4),(5063,'3550','El 38',4),(5064,'3550','El 44',4),(5065,'3550','El bonete',4),(5066,'3550','El cincuenta',4),(5067,'3550','Paraje kilometro 12',4),(5068,'3550','Velazquez',4),(5069,'3550','Vera',4),(5070,'3551','Campo monte la viruela',4),(5071,'3551','CaÑada ombu',4),(5072,'3551','Colmena',4),(5073,'3551','Desvio kilometro 282',4),(5074,'3551','Desvio kilometro 392',4),(5075,'3551','Garabato',4),(5076,'3551','Golondrina',4),(5077,'3551','Guaycuru',4),(5078,'3551','Kilometro 320',4),(5079,'3551','Kilometro 392',4),(5080,'3551','La blanca',4),(5081,'3551','La selva',4),(5082,'3551','La zulema',4),(5083,'3551','Las delicias',4),(5084,'3551','Los amores',4),(5085,'3551','Los claros',4),(5086,'3551','Los leones',4),(5087,'3551','Los tabanos desvio km 366',4),(5088,'3551','Ogilive',4),(5089,'3551','Paraje tragnaghi',4),(5090,'3551','Pozo de los indios',4),(5091,'3551','Pueblo golondrina',4),(5092,'3551','Toba',4),(5093,'3552','Intiyaco',4),(5094,'3553','29',4),(5095,'3553','Colonia duran',4),(5096,'3553','Colonia el toba',4),(5097,'3553','Colonia sager',4),(5098,'3553','El diecisiete',4),(5099,'3553','Fortin chilcas',4),(5100,'3553','Ñandu',4),(5101,'3553','San roque',4),(5102,'3553','Santa lucia',4),(5103,'3555','Campo huber',4),(5104,'3555','La loma',4),(5105,'3555','Las palmas',4),(5106,'3555','Los cuervos',4),(5107,'3555','Romang',4),(5108,'3557','Caraguatay',4),(5109,'3560','Campo ubajo',4),(5110,'3560','Colonia el veinticinco',4),(5111,'3560','Colonia yaguarete',4),(5112,'3560','La esmeralda',4),(5113,'3560','Las anintas',4),(5114,'3560','Las catalinas',4),(5115,'3560','Las garsitas',4),(5116,'3560','Reconquista',4),(5117,'3560','Tres bocas',4),(5118,'3561','Avellaneda',4),(5119,'3561','El carmen de avellaneda',4),(5120,'3561','El timbo',4),(5121,'3561','Ewald',4),(5122,'3561','La vanguardia',4),(5123,'3561','Moussy',4),(5124,'3562','Fortin olmos',4),(5125,'3563','Colonia san manuel',4),(5126,'3563','El araza',4),(5127,'3563','La potasa',4),(5128,'3563','La sarita',4),(5129,'3563','Nicanor e molinas',4),(5130,'3563','Victor manuel segundo',4),(5131,'3565','Arroyo del rey',4),(5132,'3565','El tajamar',4),(5133,'3565','Florida',4),(5134,'3565','Kilometro 17',4),(5135,'3565','Kilometro 30',4),(5136,'3565','La josefina',4),(5137,'3565','San alberto',4),(5138,'3565','Tartagal',4),(5139,'3567','Dest aeronautico milit reconqu',4),(5140,'3567','La lola',4),(5141,'3567','Puerto reconquista',4),(5142,'3569','Berna',4),(5143,'3569','Campo el araza',4),(5144,'3569','Campo furrer',4),(5145,'3569','Desvio dr barros pazos',4),(5146,'3569','La celia',4),(5147,'3569','La diamela',4),(5148,'3572','Campo garabato',4),(5149,'3572','Campo ramseyer',4),(5150,'3572','Colonia althuaus',4),(5151,'3572','Colonia ella',4),(5152,'3572','Colonia santa catalina',4),(5153,'3572','El ricardito',4),(5154,'3572','La catalina',4),(5155,'3572','Malabrigo',4),(5156,'3574','Capilla guadalupe norte',4),(5157,'3574','Guadalupe norte',4),(5158,'3575','Arroyo ceibal',4),(5159,'3575','Campo grande',4),(5160,'3575','Campo siete provincias',4),(5161,'3575','Distrito 3 isletas',4),(5162,'3575','El ceibalito',4),(5163,'3575','El tapialito',4),(5164,'3575','Flor de oro',4),(5165,'3575','Ingeniero chanourdie',4),(5166,'3575','Las siete provincias',4),(5167,'3575','Los lapachos',4),(5168,'3575','Santa ana',4),(5169,'3576','Lanteri',4),(5170,'3577','Las garzas',4),(5171,'3580','Kilometro 408',4),(5172,'3580','Puerto ocampo',4),(5173,'3580','San vicente',4),(5174,'3580','Santa lucia',13),(5175,'3580','Villa ocampo',4),(5176,'3581','Campo redondo',4),(5177,'3581','Guasuncho',4),(5178,'3581','Isleta',4),(5179,'3581','Kilometro 41',4),(5180,'3581','Kilometro 67',4),(5181,'3581','La reserva',4),(5182,'3581','Mocovi',4),(5183,'3583','Isla tigre',4),(5184,'3583','Villa ana',4),(5185,'3584','Los laureles',4),(5186,'3585','El sombrerito',4),(5187,'3585','Kilometro 403',4),(5188,'3585','Kilometro 421',4),(5189,'3585','La clarita',4),(5190,'3585','Paul groussac',4),(5191,'3586','Campo yaguarete',4),(5192,'3586','Ingeniero garmendia',4),(5193,'3586','Ingeniero germania',4),(5194,'3586','Las toscas',4),(5195,'3586','Yaguarete',4),(5196,'3587','San antonio de obligado',4),(5197,'3588','Tacuarendi',4),(5198,'3589','Kilometro 23',4),(5199,'3589','Kilometro 49',4),(5200,'3589','Kilometro 54',4),(5201,'3589','Obraje indio muerto',4),(5202,'3589','Obraje san juan',4),(5203,'3589','Potrero guasuncho',4),(5204,'3589','Villa guillermina',4),(5205,'3592','Campo hardy',4),(5206,'3592','El rabon',4),(5207,'3592','Puerto piracuacito',4),(5208,'3596','Villa adela',4),(5209,'3600','Bahia negra',12),(5210,'3600','Boca del riacho de pilaga',12),(5211,'3600','CaÑada doce',12),(5212,'3600','Capilla san antonio',12),(5213,'3600','Colonia dalmacia',12),(5214,'3600','Colonia isla alvarez',12),(5215,'3600','Colonia isla de oro',12),(5216,'3600','Colonia puente pucu',12),(5217,'3600','Colonia puente uriburu',12),(5218,'3600','Formosa',12),(5219,'3600','Guaycolec',12),(5220,'3600','Hospital rural',12),(5221,'3600','Isla 9 de julio',12),(5222,'3600','Isla oca',12),(5223,'3600','La colonia',12),(5224,'3600','La florida',12),(5225,'3600','Lote 4',12),(5226,'3600','Mojon de fierro',12),(5227,'3600','Monte agudo',12),(5228,'3600','Monte lindo',12),(5229,'3600','Monteagudo',12),(5230,'3600','Parque botanico forestal igr l',12),(5231,'3600','Puerto dalmacia',12),(5232,'3600','Santa catalina',12),(5233,'3600','Timbo pora',12),(5234,'3600','Tres marias',12),(5235,'3600','Villa emilia',12),(5236,'3601','Banco payagua',12),(5237,'3601','Campo goreta',12),(5238,'3601','Churqui cue',12),(5239,'3601','Colonia aquino',12),(5240,'3601','Colonia campo villafaÑe',12),(5241,'3601','Colonia cano',12),(5242,'3601','Colonia pastoril',12),(5243,'3601','Comisaria pte yrigoyen',12),(5244,'3601','Costa del lindo',12),(5245,'3601','Curupay',12),(5246,'3601','El angelito',12),(5247,'3601','El arbol solo',12),(5248,'3601','El arbolito',12),(5249,'3601','El gato',12),(5250,'3601','El olvido',12),(5251,'3601','El ombu',12),(5252,'3601','El pindo',12),(5253,'3601','El silencio',12),(5254,'3601','Esterito',12),(5255,'3601','Fortin galpon',12),(5256,'3601','Fray mamerto esquiu',12),(5257,'3601','Herradura',12),(5258,'3601','Isla payagua',12),(5259,'3601','Ituzaingo',12),(5260,'3601','La china',12),(5261,'3601','La esperanza',12),(5262,'3601','La lucrecia',12),(5263,'3601','La pasion',12),(5264,'3601','La picadita',12),(5265,'3601','Los claveles',12),(5266,'3601','Mayor vicente e villafaÑe',12),(5267,'3601','Mercedes cue',12),(5268,'3601','Monte lindo  cnia pastoril',12),(5269,'3601','Presidente yrigoyen',12),(5270,'3601','Riacho lindo',12),(5271,'3601','Riacho ramirez',12),(5272,'3601','San antonio',12),(5273,'3601','San cayetano',12),(5274,'3601','San francisco de laishi',12),(5275,'3601','Santa maria',12),(5276,'3601','Sargento cabral',12),(5277,'3601','Soldado tomas sanchez',12),(5278,'3601','Tatane',12),(5279,'3601','Tres lagunas',12),(5280,'3601','Tres mojones',12),(5281,'3601','Tres pocitos',12),(5282,'3603','Costa rio negro',12),(5283,'3603','El colorado',12),(5284,'3603','Espinillo',12),(5285,'3603','General pablo ricchieri',12),(5286,'3603','Hipolito vieytes',12),(5287,'3603','Kilometro 142',12),(5288,'3603','Kilometro 193',12),(5289,'3603','Kilometro 213',12),(5290,'3603','Kilometro 232',12),(5291,'3603','Las caÑitas',12),(5292,'3603','Racedo escobar',12),(5293,'3603','Soldado edmundo sosa',12),(5294,'3603','Villa dos trece',12),(5295,'3604','Gran guardia',12),(5296,'3604','Los pilagas',12),(5297,'3604','Mariano boedo',12),(5298,'3604','San hilario',12),(5299,'3606','9 de julio',12),(5300,'3606','BaÑaderos',12),(5301,'3606','Barrio san jose obrero',12),(5302,'3606','Cabo noroÑa',12),(5303,'3606','Campo hardy',12),(5304,'3606','Campo rigonato',12),(5305,'3606','Casco cue',12),(5306,'3606','Colonia 5 de octubre',12),(5307,'3606','Colonia el alba',12),(5308,'3606','Colonia el olvido',12),(5309,'3606','Colonia el zapallito',12),(5310,'3606','Colonia la disciplina',12),(5311,'3606','Colonia palmar grande',12),(5312,'3606','Colonia sabina',12),(5313,'3606','Coronel jose i warnes',12),(5314,'3606','Costa salado',12),(5315,'3606','El algarrobo',12),(5316,'3606','El corralito',12),(5317,'3606','El guajho',12),(5318,'3606','El palmar',12),(5319,'3606','El poi',12),(5320,'3606','El quebranto',12),(5321,'3606','El resguardo',12),(5322,'3606','El salado',12),(5323,'3606','Estancia el ciervo',12),(5324,'3606','Gendarme viviano garcete',12),(5325,'3606','Isla toldo',12),(5326,'3606','Jose hernandez',12),(5327,'3606','Kilometro 109',12),(5328,'3606','Kilometro 1695',12),(5329,'3606','La blanca',12),(5330,'3606','La esperanza',12),(5331,'3606','La loma',12),(5332,'3606','La sirena',12),(5333,'3606','Loma sene',12),(5334,'3606','MonseÑor de andrea',12),(5335,'3606','Palmar chico',12),(5336,'3606','Para todo',12),(5337,'3606','Pilanga iii',12),(5338,'3606','Pirane',12),(5339,'3606','Rincon Ñaro',12),(5340,'3606','San camilo',12),(5341,'3606','San jacinto',12),(5342,'3606','San simon',12),(5343,'3606','Zorrilla cue',12),(5344,'3608','Agente argentino alegre',12),(5345,'3608','Campo oswald',12),(5346,'3608','Desvio los matacos',12),(5347,'3608','El Ñandu',12),(5348,'3608','Estero grande',12),(5349,'3608','Estero patiÑo',12),(5350,'3608','Kilometro 128',12),(5351,'3608','Kilometro 1895',12),(5352,'3608','Laguna murua',12),(5353,'3608','Palo santo',12),(5354,'3608','Potrero norte',12),(5355,'3608','Rincon Ñandu',12),(5356,'3610','Barrio san martin',12),(5357,'3610','Barrio sud america',12),(5358,'3610','Brigadier general pueyrredon',12),(5359,'3610','Ceibo trece',12),(5360,'3610','Clorinda',12),(5361,'3610','El paraiso',12),(5362,'3610','Estancia las horquetas',12),(5363,'3610','Isla de puen',12),(5364,'3610','Loma hermosa',12),(5365,'3610','Parque nacional',12),(5366,'3610','Primavera',12),(5367,'3610','Punta guia',12),(5368,'3610','Riacho negro',12),(5369,'3610','Sol de mayo',12),(5370,'3610','Virasol',12),(5371,'3611','Angostura',12),(5372,'3611','Ayudante paredes',12),(5373,'3611','Bocarin',12),(5374,'3611','Centro fronterizo clorinda',12),(5375,'3611','Colonia bouvier',12),(5376,'3611','Curtiembre cue',12),(5377,'3611','El pombero',12),(5378,'3611','Florentino ameghino',12),(5379,'3611','Garcete cue',12),(5380,'3611','Gobernador luna olmos',12),(5381,'3611','Isla apando',12),(5382,'3611','Isla caraya',12),(5383,'3611','Laguna gallo',12),(5384,'3611','Laguna naick neck',12),(5385,'3611','Lucero cue',12),(5386,'3611','Monte claro',12),(5387,'3611','Palma sola',12),(5388,'3611','Pigo',12),(5389,'3611','Presidente avellaneda',12),(5390,'3611','Puerto pilcomayo',12),(5391,'3611','Punta pora',12),(5392,'3611','Riacho he he',12),(5393,'3611','Rodeo tapiti',12),(5394,'3611','Rozadito',12),(5395,'3611','Salvacion',12),(5396,'3611','San antonio',12),(5397,'3611','San juan',12),(5398,'3611','Santa isabel',12),(5399,'3611','Sto mayor bernardo aguila',12),(5400,'3611','Toro paso',12),(5401,'3611','Tres lagunas pilcomayo',12),(5402,'3611','Tte gral juan c sanche',12),(5403,'3611','Villa lucero',12),(5404,'3613','Chirochilas',12),(5405,'3613','Colonia alfonso',12),(5406,'3613','Frontera',12),(5407,'3613','La frontera',12),(5408,'3613','Laguna blanca',12),(5409,'3613','Laguna ines',12),(5410,'3613','Marca m',12),(5411,'3613','Primera junta',12),(5412,'3613','Segunda punta',12),(5413,'3613','Siete palmas',12),(5414,'3615','Apayerey',12),(5415,'3615','Bella vista',12),(5416,'3615','Buena vista',12),(5417,'3615','Cataneo cue',12),(5418,'3615','Chagaday',12),(5419,'3615','Colonia 25 de mayo',12),(5420,'3615','Colonia santa rosa',12),(5421,'3615','El espinillo',12),(5422,'3615','General julio de vedia',12),(5423,'3615','General manuel belgrano',12),(5424,'3615','Julio cue',12),(5425,'3615','La urbana',12),(5426,'3615','Loma zapatu',12),(5427,'3615','Loro cue',12),(5428,'3615','Mision tacaagle',12),(5429,'3615','Porton negro',12),(5430,'3615','Puerto san carlos',12),(5431,'3615','Soldado heriberto avalos',12),(5432,'3615','Subtte ricardo e masaferro',12),(5433,'3615','Tte cnel gaspar campos',12),(5434,'3615','Villa gral manuel belgrano',12),(5435,'3615','Villa hermosa',12),(5436,'3615','Villa real',12),(5437,'3620','Alto alegre',12),(5438,'3620','Andres flores',12),(5439,'3620','Ballon',12),(5440,'3620','Colonia alto tigre',12),(5441,'3620','Colonia buena vista',12),(5442,'3620','Colonia coronel dorrego',12),(5443,'3620','Comandante fontana',12),(5444,'3620','Coronel argentino larrabure',12),(5445,'3620','El cogoik',12),(5446,'3620','El porteÑo',12),(5447,'3620','Fortin fontana',12),(5448,'3620','Jose cancio',12),(5449,'3620','Kilometro 184',11),(5450,'3620','Mayor marcelo t rojas',12),(5451,'3620','Nicora',12),(5452,'3620','Nueva italia',12),(5453,'3620','Rincon florido',12),(5454,'3620','Saladillo',12),(5455,'3620','Salado',12),(5456,'3620','Soldado ramon a arrieta',12),(5457,'3620','Tres lagunas',12),(5458,'3620','Yunca',12),(5459,'3621','Domingo f sarmiento',12),(5460,'3621','El porteÑito',12),(5461,'3621','Fortin cabo 1 lugones',12),(5462,'3621','Fortin sargento 1 ro leyes',12),(5463,'3621','Kilometro 224',12),(5464,'3621','Las lolas',12),(5465,'3621','Maestro fermin baez',12),(5466,'3621','Posta san martin 2',12),(5467,'3621','Pozo navagan',11),(5468,'3621','San martin ii',12),(5469,'3621','Urbana vieja',12),(5470,'3621','Villa general guemes',12),(5471,'3622','Bartolome de las casas',12),(5472,'3622','Bruchard',12),(5473,'3622','Teniente brown',12),(5474,'3624','Agente felipe santiago ibaÑez',12),(5475,'3624','Campo azcurra',12),(5476,'3624','Campo del cielo',12),(5477,'3624','Colonia el catorce',12),(5478,'3624','Colonia el silencio',12),(5479,'3624','Colonia guillermina',12),(5480,'3624','Colonia isla sola',12),(5481,'3624','Colonia perin',12),(5482,'3624','Colonia reconquista',12),(5483,'3624','Colonia siete quebrados',12),(5484,'3624','Coronel enrique rostagno',12),(5485,'3624','Doctor carlos montag',12),(5486,'3624','El oculto',12),(5487,'3624','Ibarreta',12),(5488,'3624','La inmaculada',12),(5489,'3624','Lazo quemado',12),(5490,'3624','Legua a',12),(5491,'3624','Maestra blanca gomez',12),(5492,'3624','Soldado dante salvatierra',12),(5493,'3624','Soldado ismael sanchez',12),(5494,'3624','Subteniente perin',12),(5495,'3624','Villa adelaida',12),(5496,'3624','Villa mercedes',12),(5497,'3626','Alolague',12),(5498,'3626','Cabo 1 ro casimiro benitez',12),(5499,'3626','Colonia juan b alberdi',12),(5500,'3626','Colonia juanita',12),(5501,'3626','Colonia la brava',12),(5502,'3626','Colonia la sociedad',12),(5503,'3626','Colonia san jose',12),(5504,'3626','Colonia santa rosa',12),(5505,'3626','Colonia tatane',12),(5506,'3626','Colonia union escuela',12),(5507,'3626','Coronel felix bogado',12),(5508,'3626','El recreo',12),(5509,'3626','Estanislao del campo',12),(5510,'3626','Gabriela mistral',12),(5511,'3626','Hermindo bonas',12),(5512,'3626','Juan jose paso',12),(5513,'3626','Kilometro 503',12),(5514,'3626','Las choyas',12),(5515,'3626','Las mochas',12),(5516,'3626','Loma clavel',12),(5517,'3626','Los inmigrantes',12),(5518,'3626','Pato marcado',12),(5519,'3626','PorteÑo viejo',12),(5520,'3626','Ranero cue',12),(5521,'3626','San lorenzo',12),(5522,'3626','Saturnino segurola',12),(5523,'3626','Sto ayudante v sanabria',12),(5524,'3626','Transito cue',12),(5525,'3626','Tres pozos',12),(5526,'3628','Arbol solo',12),(5527,'3628','Cmte principal ismael st',12),(5528,'3628','El sauce',12),(5529,'3628','Kilometro 1769',12),(5530,'3628','La paloma',12),(5531,'3628','Los esteros',12),(5532,'3628','Paso de naite',12),(5533,'3628','Posta san martin 1',12),(5534,'3628','Pozo del tigre',12),(5535,'3628','Pozo verde',12),(5536,'3628','Villa general urquiza',12),(5537,'3630','19 de marzo',12),(5538,'3630','Bajo hondo',12),(5539,'3630','Cabo primero chavez',12),(5540,'3630','Campo alegre',12),(5541,'3630','Campo redondo',12),(5542,'3630','Cnia aborigen b bartolome d',12),(5543,'3630','Colonia 8 de septiembre',12),(5544,'3630','Colonia francisco j muÑiz',12),(5545,'3630','Colonia los tres reyes',12),(5546,'3630','Colonia san bernardo',12),(5547,'3630','Colonia san isidro',12),(5548,'3630','Colonia san pablo',12),(5549,'3630','Colonia santa catalina',12),(5550,'3630','Colonia santoro',12),(5551,'3630','Colonia villa rica',12),(5552,'3630','Costa del pilcomayo',12),(5553,'3630','El ceibal',12),(5554,'3630','El coati',12),(5555,'3630','El corredero',12),(5556,'3630','El descanso',12),(5557,'3630','El mirador',12),(5558,'3630','El perdido',12),(5559,'3630','El quebracho',12),(5560,'3630','El tacuruzal',12),(5561,'3630','El totoral',12),(5562,'3630','El yacare',12),(5563,'3630','El yuchan',12),(5564,'3630','Espinillo',12),(5565,'3630','Fortin cabo 1 ro chaves',12),(5566,'3630','Fortin cabo 1 ro chavez',12),(5567,'3630','Fortin guemes',12),(5568,'3630','Fortin la soledad',12),(5569,'3630','Fortin pilcomayo',12),(5570,'3630','Isleta',12),(5571,'3630','Kilometro 15',12),(5572,'3630','Kilometro 525',12),(5573,'3630','Kilometro 642',12),(5574,'3630','Kilometro 642 nav r bermejo',12),(5575,'3630','La soledad',12),(5576,'3630','Las delicias',12),(5577,'3630','Las lomitas',12),(5578,'3630','Las saladas',12),(5579,'3630','Los baldes',12),(5580,'3630','Los claveles',12),(5581,'3630','Los suspiros',12),(5582,'3630','Los tres reyes',12),(5583,'3630','Nuevo pilcomayo',12),(5584,'3630','Olegario victor andrade',12),(5585,'3630','Paso de los tobas',12),(5586,'3630','Paso la cruz',12),(5587,'3630','Paso nalte',12),(5588,'3630','Pavao',12),(5589,'3630','Posta sargento cabral',12),(5590,'3630','Pozo de las garzas',12),(5591,'3630','Pozo de los chanchos',12),(5592,'3630','Pozo de navagan',12),(5593,'3630','Pozo el lecheron',12),(5594,'3630','Pozo hondo',12),(5595,'3630','Pozo la china',12),(5596,'3630','Pozo la negra',12),(5597,'3630','Puerto ramona',12),(5598,'3630','Puesto aguara',12),(5599,'3630','Quebracho marcado',12),(5600,'3630','Reduccion cacique coquena',12),(5601,'3630','Rio cue',12),(5602,'3630','San isidro',12),(5603,'3630','San martin 1',12),(5604,'3630','San miguel',12),(5605,'3630','San ramon',12),(5606,'3630','Santa rosa',12),(5607,'3630','Sargento agramonte',12),(5608,'3630','Soldado ermindo luna',12),(5609,'3630','Soldado marcelino torales',12),(5610,'3630','Suipacha',12),(5611,'3630','Tatu pire',12),(5612,'3630','Tomas godoy cruz',12),(5613,'3630','Tres lagunas herradura',12),(5614,'3630','Tte cnel gaspar campos',12),(5615,'3630','Victor andrade olegario',12),(5616,'3632','Dr e ramos mejia chiriguanos',12),(5617,'3632','El pimpin',12),(5618,'3632','El tastas',12),(5619,'3632','General francisco b bosch',12),(5620,'3632','Juan g bazan',12),(5621,'3632','Kilometro 1695',12),(5622,'3632','Matias gulacsi',12),(5623,'3632','Posta cambio a zalazar',12),(5624,'3632','Pozo del mortero',12),(5625,'3634','Aguas negras',12),(5626,'3634','Alfonsina storni',12),(5627,'3634','Alto alegre',12),(5628,'3634','Bajo verde',12),(5629,'3634','Campo el suri',12),(5630,'3634','Capitan juan sola',12),(5631,'3634','Colonia santa rosa',12),(5632,'3634','El acheral',12),(5633,'3634','El aibalito',12),(5634,'3634','El bordo santo',12),(5635,'3634','El bragado',12),(5636,'3634','El caÑon',12),(5637,'3634','El cavado',12),(5638,'3634','El corralito',12),(5639,'3634','El marcado',12),(5640,'3634','El mojon',12),(5641,'3634','El palo santo',12),(5642,'3634','El paraiso',12),(5643,'3634','El pilon',12),(5644,'3634','El pindo',12),(5645,'3634','El remanso',12),(5646,'3634','El simbolar',12),(5647,'3634','El sombrero negro',12),(5648,'3634','El surr',12),(5649,'3634','El yulo',12),(5650,'3634','Ex fortin sola',12),(5651,'3634','Ex posta general lavalle',12),(5652,'3634','Fortin media luna',12),(5653,'3634','Joaquin v gonzalez',12),(5654,'3634','Jose manuel estrada',12),(5655,'3634','La libertad',12),(5656,'3634','La manija',12),(5657,'3634','La media luna',12),(5658,'3634','La nobleza',12),(5659,'3634','La palmita',12),(5660,'3634','La primavera',12),(5661,'3634','La represa',12),(5662,'3634','Laguna yema',12),(5663,'3634','Lamadrid',12),(5664,'3634','Las avispas',12),(5665,'3634','Las bolivianas',12),(5666,'3634','Los galpones',12),(5667,'3634','Los nidos',12),(5668,'3634','Los pocitos',12),(5669,'3634','Media luna',12),(5670,'3634','Miguel cane',12),(5671,'3634','Mision el carmen',12),(5672,'3634','Mision evangelica laguna de ya',12),(5673,'3634','Poncho quemado',12),(5674,'3634','Posta lencina',12),(5675,'3634','Pozo de las botijas',12),(5676,'3634','Pozo de mara',12),(5677,'3634','Pozo de piedra',12),(5678,'3634','Pozo del cuchillo',12),(5679,'3634','Pozo del leon',12),(5680,'3634','Presidente yrigoyen',12),(5681,'3634','Reserva natural formosa',12),(5682,'3634','Riacho lindo',12),(5683,'3634','Rio muerto',12),(5684,'3634','San antonio',12),(5685,'3634','San isidro',12),(5686,'3634','Sumayen',12),(5687,'3634','Tres pozos',12),(5688,'3636','Agua verde',12),(5689,'3636','Bolsa de palomo',12),(5690,'3636','Buen lugar',12),(5691,'3636','Caballo muerto',12),(5692,'3636','Campo grande',12),(5693,'3636','CaÑada san pedro',12),(5694,'3636','Carlos pelegrini',12),(5695,'3636','Carlos saavedra lamas',12),(5696,'3636','Cnel miguel martinez de hoz',12),(5697,'3636','Doctor gumersindo sayago',12),(5698,'3636','Doctor luis agote',12),(5699,'3636','El alambrado',12),(5700,'3636','El azotado',12),(5701,'3636','El desmonte',12),(5702,'3636','El mistolar',12),(5703,'3636','El potrerito',12),(5704,'3636','El quemado',12),(5705,'3636','El rosado',12),(5706,'3636','El totoral',12),(5707,'3636','El zorro',12),(5708,'3636','Esquinitas',12),(5709,'3636','Florencio sanchez',12),(5710,'3636','Francisco narciso de laprida',12),(5711,'3636','General mosconi',12),(5712,'3636','Gobernador yalur',12),(5713,'3636','Guadalcazar',12),(5714,'3636','Ing guillermo n juarez',12),(5715,'3636','Ingeniero enrique h faure',12),(5716,'3636','La florencia',12),(5717,'3636','La junta',12),(5718,'3636','La palma sola',12),(5719,'3636','Las caÑitas',12),(5720,'3636','Las tres marias',12),(5721,'3636','Los chaguancos',12),(5722,'3636','Lote nro 8',12),(5723,'3636','Maria cristina',12),(5724,'3636','Media luna',12),(5725,'3636','Mistol marcado',12),(5726,'3636','Palma sola',12),(5727,'3636','Palmar largo',12),(5728,'3636','Palmarcito',12),(5729,'3636','Pozo cercado',14),(5730,'3636','Pozo de la yegua',12),(5731,'3636','Pozo de los chanchos',12),(5732,'3636','Pozo del maza',12),(5733,'3636','Pozo verde  ingeniero g n ju',12),(5734,'3636','Puerto irigoyen',12),(5735,'3636','Puerto yrigoyen',12),(5736,'3636','Ricardo guiraldes',12),(5737,'3636','San isidro',12),(5738,'3636','Santa teresa',12),(5739,'3636','Selva maria',12),(5740,'3636','Soldado alberto villalba',12),(5741,'3636','Sombrero negro',12),(5742,'3636','Tte gral rosendo n fra',12),(5743,'3636','Vaca perdida',12),(5744,'3641','Arroyo seco',8),(5745,'3647','Gato colorado',4),(5746,'3700','Barrio gral jose de san martin',11),(5747,'3700','Barrio sarmiento',11),(5748,'3700','Colonia bajo hondo',11),(5749,'3700','Colonia jose marmol',11),(5750,'3700','Kilometro 15',11),(5751,'3700','Pampa aguado',11),(5752,'3700','Pampa alegria',11),(5753,'3700','Pampa de los locos',11),(5754,'3700','Pampa galpon',11),(5755,'3700','Pampa gamba',11),(5756,'3700','Pampa loca',11),(5757,'3700','Presidencia roque saenz peÑa',11),(5758,'3701','Almirante brown',11),(5759,'3701','Colonia bernardino rivadavia',11),(5760,'3701','Fortin totoralita lugar histor',11),(5761,'3701','La chaco',11),(5762,'3701','La chiquita',11),(5763,'3701','La clotilde',11),(5764,'3701','La tigra',11),(5765,'3701','Las cuatro bocas',11),(5766,'3701','Las cuchillas cnia j marmol',11),(5767,'3701','Lote 10',11),(5768,'3701','Lote 11',11),(5769,'3701','Malbalaes',11),(5770,'3701','Pampa de las flores',11),(5771,'3701','Pampa grande',11),(5772,'3701','San bernardo',11),(5773,'3703','Aleloy',11),(5774,'3703','CabaÑaro pasaje',11),(5775,'3703','Colonia alelay',11),(5776,'3703','Colonia velez sarsfield',11),(5777,'3703','El boqueron',11),(5778,'3703','El cuarenta y seis',11),(5779,'3703','El destierro',11),(5780,'3703','El espinillo',11),(5781,'3703','El palmar  tres isletas',11),(5782,'3703','El treinta y seis',11),(5783,'3703','Fortin lavalle',11),(5784,'3703','Girasol',11),(5785,'3703','Kilometro 841',11),(5786,'3703','Kilometro 855 estacion',11),(5787,'3703','Kilometro 884',11),(5788,'3703','La matanza',11),(5789,'3703','La pobladora',11),(5790,'3703','Ntra seÑora de la concepcion',11),(5791,'3703','Pampa aguara',11),(5792,'3703','Pampa alelai',11),(5793,'3703','Pampa el 11',11),(5794,'3703','Pampa el 12',11),(5795,'3703','Pampa florida',11),(5796,'3703','Pampa vargas',11),(5797,'3703','Tres isletas',11),(5798,'3703','Tres naciones',11),(5799,'3703','Villa rio bermejito',11),(5800,'3705','10 de mayo',11),(5801,'3705','Bajo hondo',11),(5802,'3705','Bajo verde',11),(5803,'3705','Berlin',11),(5804,'3705','Bolsa grande',11),(5805,'3705','California',11),(5806,'3705','Campo el aibal',11),(5807,'3705','Campo el onza',11),(5808,'3705','Campo grande',11),(5809,'3705','Campo overos',11),(5810,'3705','Colonia cabeza de buey',11),(5811,'3705','Colonia el alazan',11),(5812,'3705','Colonia esperanza',11),(5813,'3705','Colonia fortuni',11),(5814,'3705','Colonia indigena',11),(5815,'3705','Colonia juan jose castelli',11),(5816,'3705','Colonia la florida chica',11),(5817,'3705','Colonia la florida grande',11),(5818,'3705','Colonia monte quemado',11),(5819,'3705','Colonia san antonio',11),(5820,'3705','Comandancia frias',11),(5821,'3705','Corralito',11),(5822,'3705','DoÑa paula',11),(5823,'3705','El 15',11),(5824,'3705','El aibal',11),(5825,'3705','El asustado',11),(5826,'3705','El desierto',11),(5827,'3705','El pintado',11),(5828,'3705','El quebrachal',11),(5829,'3705','El recreo',11),(5830,'3705','El sauzal',11),(5831,'3705','El sauzalito',11),(5832,'3705','El simbolar',11),(5833,'3705','El viscacheral',11),(5834,'3705','Estancia loma alta',11),(5835,'3705','Ex fortin arenales',11),(5836,'3705','Ex fortin comandante frias',11),(5837,'3705','Ex fortin lavalle',11),(5838,'3705','Ex fortin perez millan',11),(5839,'3705','Ex fortin wilde',11),(5840,'3705','Ex fortin zelava',11),(5841,'3705','Ex fortin zelaya',11),(5842,'3705','Fuerte esperanza',11),(5843,'3705','Juan jose castelli',11),(5844,'3705','Kilometro 40',11),(5845,'3705','La armonia',11),(5846,'3705','La caÑada',11),(5847,'3705','La costosa',11),(5848,'3705','La entrada',11),(5849,'3705','La esperanza',11),(5850,'3705','La estacion',11),(5851,'3705','La fidelidad',11),(5852,'3705','La flojera',11),(5853,'3705','La gringa',11),(5854,'3705','La invernada',11),(5855,'3705','La libertad',11),(5856,'3705','La media luna',11),(5857,'3705','La mora',11),(5858,'3705','La rinconada',11),(5859,'3705','La saltarina',11),(5860,'3705','La soledad',11),(5861,'3705','La zanja',11),(5862,'3705','Las blancas',11),(5863,'3705','Las flores',11),(5864,'3705','Las hacheras',11),(5865,'3705','Las maravillas',11),(5866,'3705','Las vertientes',11),(5867,'3705','Los barriles',11),(5868,'3705','Los porongos',11),(5869,'3705','Los quirquinchos',11),(5870,'3705','Los tunales',11),(5871,'3705','Lote ocho',11),(5872,'3705','Manantiales',11),(5873,'3705','Miraflores',11),(5874,'3705','Miramar',11),(5875,'3705','Mision angelicana',11),(5876,'3705','Mision nueva pompeya',11),(5877,'3705','Molle marcado',11),(5878,'3705','Monte caseros',11),(5879,'3705','Nueva poblacion',11),(5880,'3705','Nueva union',11),(5881,'3705','Palo marcado',11),(5882,'3705','Pampa castro',11),(5883,'3705','Pampa el silencio',11),(5884,'3705','Pampa los bedogni',11),(5885,'3705','Pampa machete',11),(5886,'3705','Pampa tolosa chica',11),(5887,'3705','Pampa tolosa grande',11),(5888,'3705','Paraje el colchon',11),(5889,'3705','Paraje el colorado',11),(5890,'3705','Paso de los libres',11),(5891,'3705','Pozo de la linea',11),(5892,'3705','Pozo de la mula',11),(5893,'3705','Pozo de la pava',11),(5894,'3705','Pozo de la tuna',11),(5895,'3705','Pozo de las garzas',11),(5896,'3705','Pozo de los suris',11),(5897,'3705','Pozo del cincuenta',11),(5898,'3705','Pozo del gato',11),(5899,'3705','Pozo del gris',11),(5900,'3705','Pozo del molle',11),(5901,'3705','Pozo del negro',11),(5902,'3705','Pozo del tala',11),(5903,'3705','Pozo del tigre',11),(5904,'3705','Pozo del toro',11),(5905,'3705','Pozo el chaÑar',11),(5906,'3705','Pozo la brea',11),(5907,'3705','Pozo la osca',11),(5908,'3705','Puerto lavalle',11),(5909,'3705','Puerto urquiza',11),(5910,'3705','Reduccion de la cangaye lugar',11),(5911,'3705','Reduccion de san bernardo el v',11),(5912,'3705','Rosales',11),(5913,'3705','San agustin',11),(5914,'3705','San antonio',11),(5915,'3705','San juancito',11),(5916,'3705','San lorenzo',11),(5917,'3705','Santa rita',11),(5918,'3705','Santo domingo',11),(5919,'3705','Sol de mayo',11),(5920,'3705','Tartagal',11),(5921,'3705','Tolderias',11),(5922,'3705','Tres pozos',11),(5923,'3705','Wichi',11),(5924,'3705','Zaparinqui',11),(5925,'3706','Avia terai',11),(5926,'3706','Cnia agricola pampa napenay',11),(5927,'3706','Colonia mariano sarratea',11),(5928,'3706','El catorce',11),(5929,'3706','El triangulo',11),(5930,'3706','La mascota',11),(5931,'3706','Lote 34',11),(5932,'3706','Napenay',11),(5933,'3706','Pampa del regimiento',11),(5934,'3708','Concepcion del bermejo',11),(5935,'3708','Pampa borracho',11),(5936,'3708','Pampa del infierno',11),(5937,'3708','Pampa hermosa',11),(5938,'3708','Pampa juanita',11),(5939,'3712','Belgica',6),(5940,'3712','Campo la angelita',6),(5941,'3712','Colonia el peligro',6),(5942,'3712','Coronel manuel leoncio rico',6),(5943,'3712','Desvio kilometro 1342',6),(5944,'3712','El aerolito',6),(5945,'3712','El cabure',6),(5946,'3712','El perseguido',6),(5947,'3712','El silencio',6),(5948,'3712','Estados unidos',6),(5949,'3712','Kilometro 1297',6),(5950,'3712','Kilometro 1314',6),(5951,'3712','Kilometro 1338',6),(5952,'3712','Kilometro 1362',6),(5953,'3712','Kilometro 1380',6),(5954,'3712','Kilometro 1391',6),(5955,'3712','La angelita',6),(5956,'3712','La armonia',6),(5957,'3712','La granja',6),(5958,'3712','Las perforaciones',6),(5959,'3712','Lavalle',6),(5960,'3712','Los frentones',11),(5961,'3712','Los morteros',6),(5962,'3712','Los pirpintos',6),(5963,'3712','Los tigres',6),(5964,'3712','Pampa de los guanacos',6),(5965,'3712','Pinedo',6),(5966,'3712','Pozo vil',6),(5967,'3712','Puesto cordoba',6),(5968,'3712','Puesto del medio',6),(5969,'3712','Punta rieles',6),(5970,'3712','Rio muerto',11),(5971,'3712','San horacio',6),(5972,'3712','San pedro',6),(5973,'3712','Santa maria',6),(5974,'3712','Urundel',6),(5975,'3714','9 de julio',11),(5976,'3714','Agua buena',11),(5977,'3714','Atahualpa',6),(5978,'3714','Botija',11),(5979,'3714','Castellin',11),(5980,'3714','Colombia',11),(5981,'3714','Colombia',6),(5982,'3714','El caÑon',11),(5983,'3714','El cerrito monte quemado',6),(5984,'3714','El guanaco',11),(5985,'3714','El indio',11),(5986,'3714','El palmar',6),(5987,'3714','El palomar',6),(5988,'3714','El paraiso',11),(5989,'3714','El valla',11),(5990,'3714','Fierro',6),(5991,'3714','Kilometro 1183',11),(5992,'3714','Kilometro 1210',6),(5993,'3714','Kilometro 1255',6),(5994,'3714','La aguada',11),(5995,'3714','La argentina',11),(5996,'3714','La china',11),(5997,'3714','La ilusion',11),(5998,'3714','La paloma',11),(5999,'3714','La pinta',11),(6000,'3714','La providencia',11),(6001,'3714','La sara',11),(6002,'3714','La tranquilidad',11),(6003,'3714','La virtud',6),(6004,'3714','Las carpas',11),(6005,'3714','Las delicias',11),(6006,'3714','Las flores',11),(6007,'3714','Las perforaciones',6),(6008,'3714','Lorena',11),(6009,'3714','Los magos',11),(6010,'3714','Los tigres',11),(6011,'3714','Los tobas',11),(6012,'3714','Lote 33',11),(6013,'3714','Madre de dios',11),(6014,'3714','Monte quemado',6),(6015,'3714','Nueva esperanza',6),(6016,'3714','Nueva york',11),(6017,'3714','Obraje los tigres',6),(6018,'3714','Palo blanco',11),(6019,'3714','Pampa bolsa',11),(6020,'3714','Pampa cabure',11),(6021,'3714','Pampa el fosforito',11),(6022,'3714','Pampa el mangrullo',11),(6023,'3714','Pampa el mollar',11),(6024,'3714','Pampa pelado',11),(6025,'3714','Pampa pereyra',11),(6026,'3714','Pampa quimili',11),(6027,'3714','Pampa ralera',11),(6028,'3714','Pampa virgen',11),(6029,'3714','Paraje independencia',11),(6030,'3714','Paraje kilometro 77',11),(6031,'3714','Paraje ojo de agua',11),(6032,'3714','Paraje santa cruz',11),(6033,'3714','Pozo hondo',11),(6034,'3714','San agustin',11),(6035,'3714','San antonio',11),(6036,'3714','San jose',11),(6037,'3714','San luis',11),(6038,'3714','San martin',11),(6039,'3714','San telmo',11),(6040,'3714','Santa agueda',11),(6041,'3714','Santa elena',11),(6042,'3714','Santa rosa',11),(6043,'3714','Santa rosa copo',6),(6044,'3714','Santa teresa de carballo',11),(6045,'3714','Taco pozo',11),(6046,'3714','Urundel',11),(6047,'3714','Urutau',6),(6048,'3716','Campo largo',11),(6049,'3716','Colonia malgratti',11),(6050,'3716','Fortin las chuÑas',11),(6051,'3716','La cuchilla',11),(6052,'3716','La flecha',11),(6053,'3716','Loro blanco',11),(6054,'3716','Pampa oculta',11),(6055,'3718','Amambay',11),(6056,'3718','Corzuela',11),(6057,'3718','Loro blanco',11),(6058,'3718','Pampa alsina',11),(6059,'3718','Pampa cuvalo',11),(6060,'3718','Pampa grande',11),(6061,'3718','Puesto carrizo',11),(6062,'3722','2 de mayo',11),(6063,'3722','Campo zapa',11),(6064,'3722','Colonia cuero quemado',11),(6065,'3722','Colonia general necochea',11),(6066,'3722','Colonia juan lavalle',11),(6067,'3722','Curva de novoa',11),(6068,'3722','Dos boliches',11),(6069,'3722','El cajon',11),(6070,'3722','El estero',11),(6071,'3722','El oro blanco',11),(6072,'3722','El recoveco',11),(6073,'3722','El recovo',11),(6074,'3722','Las breÑas',11),(6075,'3722','Las cuchillas',11),(6076,'3722','Las piedritas',11),(6077,'3722','Los cerritos',11),(6078,'3722','Los chinacos',11),(6079,'3722','Pampa brugnoli',11),(6080,'3722','Pampa del cielo',11),(6081,'3722','Pampa del huevo',11),(6082,'3722','Pampa del tordillo',11),(6083,'3722','Pampa del zorro',11),(6084,'3722','Pampa hermosa',11),(6085,'3722','Pampa ipora guazu',11),(6086,'3722','Pampa mitre',11),(6087,'3722','Pampa san martin',11),(6088,'3722','Pampa villordo',11),(6089,'3722','Pampa zanata',11),(6090,'3722','Pampini',11),(6091,'3722','Pozo del indio estacion fcgb',11),(6092,'3722','Pueblo puca',11),(6093,'3730','Cabral',11),(6094,'3730','Campo ferrando',11),(6095,'3730','Cerrito',11),(6096,'3730','Charata',11),(6097,'3730','Colonia barrera',11),(6098,'3730','Colonia juan larrea',11),(6099,'3730','Colonia schmidt',11),(6100,'3730','El picaso',11),(6101,'3730','El puca',11),(6102,'3730','General necochea',11),(6103,'3730','India muerta',11),(6104,'3730','Ipora guazu',11),(6105,'3730','Los gualcos',11),(6106,'3730','Lote 77',11),(6107,'3730','Pampa avila',11),(6108,'3730','Pampa barrera',11),(6109,'3730','Pampa cejas',11),(6110,'3730','Pampa del cielo',11),(6111,'3730','Pampa flores',11),(6112,'3730','Pampa sommer',11),(6113,'3730','Pueblo puca',11),(6114,'3731','Arbol blanco',6),(6115,'3731','Meson de fierro',11),(6116,'3731','Pampa cabrera',11),(6117,'3731','Pampa landriel',11),(6118,'3731','Sachayoj',6),(6119,'3731','Santa elvira',11),(6120,'3731','Tres estacas',11),(6121,'3732','Colonia abate',11),(6122,'3732','Colonia bravo',11),(6123,'3732','Colonia economia',11),(6124,'3732','Colonia el triangulo',11),(6125,'3732','Colonia hamburguesa',11),(6126,'3732','Colonia necochea sud',11),(6127,'3732','Colonia welhers',11),(6128,'3732','El palmar',11),(6129,'3732','El triangulo',11),(6130,'3732','General capdevilla',11),(6131,'3732','General pinedo',11),(6132,'3732','La economia',11),(6133,'3732','Las leonas',11),(6134,'3732','Ministro ramon gomez',11),(6135,'3732','Palmar central',11),(6136,'3732','Palmar norte',11),(6137,'3732','Pampa dorotier',11),(6138,'3732','Pinedo central',11),(6139,'3732','Puerta de leon',11),(6140,'3732','Welhers',11),(6141,'3733','Campo el jacaranda',11),(6142,'3733','Chorotis',11),(6143,'3733','Hermoso campo',11),(6144,'3733','Itin',11),(6145,'3733','Kilometro 523',11),(6146,'3733','Tres mojones',11),(6147,'3733','Venados grandes',11),(6148,'3733','Zuberbuhler',11),(6149,'3734','Campo moreno',11),(6150,'3734','Colonia drydale',11),(6151,'3734','Colonia la maria luisa',11),(6152,'3734','Colonia la tota',11),(6153,'3734','El arbolito',6),(6154,'3734','El bravo',6),(6155,'3734','El cuadrado',11),(6156,'3734','El estero',11),(6157,'3734','El porongal',11),(6158,'3734','El puma',11),(6159,'3734','El saladillo',11),(6160,'3734','Gancedo',11),(6161,'3734','La cuchilla',11),(6162,'3734','Los fortines',11),(6163,'3734','Los quebrachitos',11),(6164,'3734','Viboras',11),(6165,'3736','Agua salada',6),(6166,'3736','Calderon',6),(6167,'3736','Campo del cielo',6),(6168,'3736','Campo del infierno',6),(6169,'3736','Campo el rosario',6),(6170,'3736','Dos represas',6),(6171,'3736','El urunday',6),(6172,'3736','El veinte',6),(6173,'3736','Estancia nueva esperanza',6),(6174,'3736','Girardet',6),(6175,'3736','Huchupayana',6),(6176,'3736','La paloma',6),(6177,'3736','Roversi',6),(6178,'3736','Taco fura',6),(6179,'3736','Tres mojones',6),(6180,'3740','Aibal',6),(6181,'3740','Anchilo',6),(6182,'3740','Barrio obrero',6),(6183,'3740','Bella vista',6),(6184,'3740','Campo limpio',6),(6185,'3740','CaÑada limpia',6),(6186,'3740','Cartavio',6),(6187,'3740','Colonia espaÑa',6),(6188,'3740','Colonia media',6),(6189,'3740','Dolores',6),(6190,'3740','Dos eulacias',6),(6191,'3740','Dos hermanas',6),(6192,'3740','El aibalito',6),(6193,'3740','El crucero',6),(6194,'3740','El descanso',6),(6195,'3740','El fisco',6),(6196,'3740','El noventa',6),(6197,'3740','El ojo de agua',6),(6198,'3740','Estancia la elsita',6),(6199,'3740','Jardin de las delicias',6),(6200,'3740','Juncal grande',6),(6201,'3740','Kilometro 48',6),(6202,'3740','La loma',6),(6203,'3740','Laguna baya',6),(6204,'3740','Los pensamientos',6),(6205,'3740','Los puentes',6),(6206,'3740','Maravilla',6),(6207,'3740','Maria',6),(6208,'3740','Minerva',6),(6209,'3740','Nogales',6),(6210,'3740','Paraje el prado',6),(6211,'3740','Paraje gauna',6),(6212,'3740','Paraje la pampa',6),(6213,'3740','Paraje lilo viejo',6),(6214,'3740','Paraje milagro',6),(6215,'3740','Paraje obraje maria angelica',6),(6216,'3740','Paraje villa yolanda',6),(6217,'3740','Pirhuas',6),(6218,'3740','Proviru',6),(6219,'3740','Puesto de mena',6),(6220,'3740','Puma',6),(6221,'3740','Quimili',6),(6222,'3740','Rumi',6),(6223,'3740','Saldivar',6),(6224,'3740','San jose',6),(6225,'3740','San nicolas',6),(6226,'3740','Santa justina',6),(6227,'3740','Tinajeraloj',6),(6228,'3740','Villa guaÑuna',6),(6229,'3740','Villa matilde',6),(6230,'3741','Aerolito',6),(6231,'3741','Agustina libarona',6),(6232,'3741','Alhuampa',6),(6233,'3741','Cejolao',6),(6234,'3741','Doble tero',6),(6235,'3741','Donadeu',6),(6236,'3741','Dos eulalias',6),(6237,'3741','El colorado',6),(6238,'3741','El fisco',6),(6239,'3741','El fisco de fatima',6),(6240,'3741','El noventa',6),(6241,'3741','El tanque',6),(6242,'3741','Genoveva',6),(6243,'3741','Granadero gatica',6),(6244,'3741','Haase',6),(6245,'3741','Hernan mejia miraval',6),(6246,'3741','Kilometro 606',6),(6247,'3741','Kilometro 719',6),(6248,'3741','La curva',6),(6249,'3741','La marta',6),(6250,'3741','Las porteÑas',6),(6251,'3741','Los gatos',6),(6252,'3741','Los milagros',6),(6253,'3741','Los pecariel',6),(6254,'3741','Los porteÑos',6),(6255,'3741','Lote f',6),(6256,'3741','Magdalena',6),(6257,'3741','Morayos',6),(6258,'3741','Octavia',6),(6259,'3741','Otumpa',6),(6260,'3741','Pozo del toba',6),(6261,'3741','San alberto',6),(6262,'3741','San miguel',6),(6263,'3741','Santa elena',6),(6264,'3743','El prado',6),(6265,'3743','El veintisiete',6),(6266,'3743','Estacion pampa muyoj',6),(6267,'3743','La pampa',6),(6268,'3743','Milagro',6),(6269,'3743','Monte alto',6),(6270,'3743','Obraje maria angelica',6),(6271,'3743','Tintina',6),(6272,'3743','Villa yolanda',6),(6273,'3745','Central dolores',6),(6274,'3745','El 21',6),(6275,'3745','El hoyo',6),(6276,'3745','Hualo cancana',6),(6277,'3745','Huilla catina',6),(6278,'3745','Kilometro 694',6),(6279,'3745','La chejchilla',6),(6280,'3745','Libertad',6),(6281,'3745','Lilo viejo',6),(6282,'3745','Patay',6),(6283,'3745','Pozo castaÑo',6),(6284,'3745','Puesto del medio',6),(6285,'3745','Quilumpa',6),(6286,'3745','Saladillo',6),(6287,'3747','Aibalito',6),(6288,'3747','Alberdi',6),(6289,'3747','Campo gallo',6),(6290,'3747','Estancia la agustina',6),(6291,'3747','Florida',6),(6292,'3747','Kilometro 20',6),(6293,'3747','La america',6),(6294,'3747','La fortuna',6),(6295,'3747','Las carpas',6),(6296,'3747','Monte verde',6),(6297,'3747','Obraje iriondo',6),(6298,'3747','Pozo muerto',6),(6299,'3747','Pozo salado',6),(6300,'3747','San antonio',6),(6301,'3747','Yunta pozo',6),(6302,'3749','Agua blanca',6),(6303,'3749','Argentina',6),(6304,'3749','Bahia blanca',6),(6305,'3749','Campo alegre',6),(6306,'3749','Campo del aguila',6),(6307,'3749','Campo verde',6),(6308,'3749','Chainima',6),(6309,'3749','ChaÑar pozo',6),(6310,'3749','Cuquero',6),(6311,'3749','Dos varones',6),(6312,'3749','El cambiado',6),(6313,'3749','El colmenar',6),(6314,'3749','El corrido',6),(6315,'3749','El oscuro',6),(6316,'3749','El rosario',6),(6317,'3749','El simbol',6),(6318,'3749','El traslado',6),(6319,'3749','El valle',6),(6320,'3749','El valle de oriente',6),(6321,'3749','La argentina',6),(6322,'3749','La armonia',6),(6323,'3749','La caÑada',6),(6324,'3749','La defensa',6),(6325,'3749','La esperanza',6),(6326,'3749','La union',6),(6327,'3749','Las aguilas',6),(6328,'3749','Los carrizos',6),(6329,'3749','Maidana',6),(6330,'3749','Maravilla',6),(6331,'3749','Nuevo libano',6),(6332,'3749','Nuevo lujan',6),(6333,'3749','Palermo',6),(6334,'3749','Parana',6),(6335,'3749','Rivadavia',6),(6336,'3749','San carlos',6),(6337,'3749','San juan',6),(6338,'3749','Santa rosa',6),(6339,'3749','Villa hazan',6),(6340,'3749','Vinal pozo',6),(6341,'3752','El mistol',6),(6342,'3752','Kilometro 499',6),(6343,'3752','Nasalo',6),(6344,'3752','Noge',6),(6345,'3752','Pozo colorado',6),(6346,'3752','Puna',6),(6347,'3752','Quebracho pintado',6),(6348,'3752','Tobas',6),(6349,'3752','Vilelas',6),(6350,'3760','AÑatuya',6),(6351,'3760','Barrio la leÑera',6),(6352,'3760','Barrio villa fernandez',6),(6353,'3760','Binal esquina',6),(6354,'3760','Coronel barros',6),(6355,'3760','El mataco',6),(6356,'3760','Kilometro 515',6),(6357,'3760','La encalada',6),(6358,'3760','La esmeralda',6),(6359,'3760','La estancia',6),(6360,'3760','Lote 15',6),(6361,'3760','Puni tajo',6),(6362,'3760','Santa ana',6),(6363,'3760','Simbol bajo',6),(6364,'3760','Suncho pozo',6),(6365,'3760','Tinap jerayoj',6),(6366,'3760','Veintiocho de marzo',6),(6367,'3760','Villa abregu',6),(6368,'3761','El malacara',6),(6369,'3761','Los linares',6),(6370,'3761','Miel de palo',6),(6371,'3761','Pozo herrera',6),(6372,'3763','Kilometro 450',6),(6373,'3763','La simona',6),(6374,'3763','Los juries',6),(6375,'3763','Obraje mailin',6),(6376,'3763','Tres pozos',6),(6377,'3765','El cuadrado',6),(6378,'3765','Kilometro 443 taboada',6),(6379,'3765','Kilometro 477',6),(6380,'3765','La balanza',6),(6381,'3765','La nena',6),(6382,'3765','La reconquista',6),(6383,'3765','Lote 42',6),(6384,'3765','Tomas young',6),(6385,'3766','3 de marzo',6),(6386,'3766','Agua dulce',6),(6387,'3766','Averias',6),(6388,'3766','Gualamba',6),(6389,'3766','Kilometro 433',6),(6390,'3766','Kilometro 454',6),(6391,'3766','La esmeralda',6),(6392,'3766','Las flores',6),(6393,'3766','Los pocitos',6),(6394,'3766','Lote 27 escuela 286',6),(6395,'3766','Tacanitas',6),(6396,'4000','Estacion de zootecnia b',15),(6397,'4000','Kilometro 180',15),(6398,'4000','Los pinos b',15),(6399,'4000','San bernardo b',15),(6400,'4000','San miguel de tucuman',15),(6401,'4000','Villa muÑecas',15),(6402,'4000','Villa zenon santillan',15),(6403,'4101','Agua negra',15),(6404,'4101','Aguadita',15),(6405,'4101','Alta gracia de villa burruyacu',15),(6406,'4101','Aserradero',15),(6407,'4101','Barrio diagonal',15),(6408,'4101','Barrio rivadavia',15),(6409,'4101','CaÑada honda',15),(6410,'4101','CaÑada larga',15),(6411,'4101','Chorrillos',15),(6412,'4101','Colonia los hills',15),(6413,'4101','Colonia san ramon',15),(6414,'4101','Colonia sarmiento',15),(6415,'4101','Cuchillas',15),(6416,'4101','El colmenar',15),(6417,'4101','El mutul',15),(6418,'4101','El timbo',15),(6419,'4101','Embalse el cadillal',15),(6420,'4101','Escuela 107',15),(6421,'4101','Escuela 163',15),(6422,'4101','Escuela 164',15),(6423,'4101','Escuela 210',15),(6424,'4101','Escuela 215',15),(6425,'4101','Escuela 218',15),(6426,'4101','Escuela 219',15),(6427,'4101','Escuela 255',15),(6428,'4101','Escuela 256',15),(6429,'4101','Escuela 299',15),(6430,'4101','Escuela 300 la picada',15),(6431,'4101','Escuela 350',15),(6432,'4101','Escuela 393',15),(6433,'4101','Escuela 48',15),(6434,'4101','Escuela 59',15),(6435,'4101','Escuela 70',15),(6436,'4101','Escuela capitan gaspar de medi',15),(6437,'4101','Escuela ee uu',15),(6438,'4101','Escuela fortunata garcia',15),(6439,'4101','Escuela miguel azcuenaga',15),(6440,'4101','Escuela miguel cervantes',15),(6441,'4101','Escuela ramon carrillo',15),(6442,'4101','Estacion experimental agricola',15),(6443,'4101','Estacion superior agricola',15),(6444,'4101','Granja modelo',15),(6445,'4101','La aguadita',15),(6446,'4101','La cienaga',15),(6447,'4101','La puerta',15),(6448,'4101','Las salinas',15),(6449,'4101','Las talitas',15),(6450,'4101','Las trancas tranquitas',15),(6451,'4101','Leo huasi',15),(6452,'4101','Los hilos',15),(6453,'4101','Los nogales',15),(6454,'4101','Los pocitos',15),(6455,'4101','Los timbos',15),(6456,'4101','Matul',15),(6457,'4101','Medina',15),(6458,'4101','Nio villa padre monti',15),(6459,'4101','Nogalito',15),(6460,'4101','Nueva rosa',15),(6461,'4101','Ojo',15),(6462,'4101','Potrerillo',15),(6463,'4101','Puerta de palavecino',15),(6464,'4101','Puerta vieja',15),(6465,'4101','Rio loro',15),(6466,'4101','Sunchal',15),(6467,'4101','Timbo nuevo',15),(6468,'4101','Timbo viejo',15),(6469,'4101','Tranquitas',15),(6470,'4101','Tres sargentos',15),(6471,'4101','Vacahuasi',15),(6472,'4101','Villa de los britos',15),(6473,'4101','Villa padre monti',15),(6474,'4101','Villa rosa',15),(6475,'4103','Bajo de raco',15),(6476,'4103','Comuna la esperanza',15),(6477,'4103','El cadillal',15),(6478,'4103','El cuarteadero',15),(6479,'4103','El duraznito',15),(6480,'4103','El pelado',15),(6481,'4103','El tiro argentino',15),(6482,'4103','El zanjon',15),(6483,'4103','Gral anselmo rojo',15),(6484,'4103','Kilometro 925',15),(6485,'4103','La falda',15),(6486,'4103','La manga',15),(6487,'4103','La picada',15),(6488,'4103','La ramada',15),(6489,'4103','La toma',15),(6490,'4103','Lacavera',15),(6491,'4103','Laguna grande',15),(6492,'4103','Las caÑitas',15),(6493,'4103','Las moritas',15),(6494,'4103','Los estanques',15),(6495,'4103','Los zaragoza',15),(6496,'4103','Luz y fuerza',15),(6497,'4103','Monasterio',15),(6498,'4103','Nueva esperanza',15),(6499,'4103','Pueblo obrero',15),(6500,'4103','Puesto cienaga amarilla',15),(6501,'4103','Rincon',15),(6502,'4103','Tafi viejo',15),(6503,'4103','Taficillo',15),(6504,'4103','Talleres nacionales',15),(6505,'4103','Villa colmena',15),(6506,'4103','Villa la colmena',15),(6507,'4103','Villa mitre',15),(6508,'4105','Abra del tafi',15),(6509,'4105','Ancajulli',15),(6510,'4105','Anfana',15),(6511,'4105','Calimayo',15),(6512,'4105','Camino del peru',15),(6513,'4105','Campo herrera',15),(6514,'4105','Campo redondo',15),(6515,'4105','Cevil redondo',15),(6516,'4105','Chasquivil',15),(6517,'4105','Colonia felipe',15),(6518,'4105','Colonia los chasales',15),(6519,'4105','Colonia tacapunco',15),(6520,'4105','Cuatro sauces',15),(6521,'4105','Curva de los vegas',15),(6522,'4105','El catorce',15),(6523,'4105','El ceibal',15),(6524,'4105','El duraznillo',15),(6525,'4105','El manantial',15),(6526,'4105','El nogalito',15),(6527,'4105','El siambon',15),(6528,'4105','Escuela',15),(6529,'4105','Escuela 113',15),(6530,'4105','Escuela 311',15),(6531,'4105','Escuela antonio medina',15),(6532,'4105','Escuela granaderos de san mart',15),(6533,'4105','Escuela otilde de toro',15),(6534,'4105','Fagsa',15),(6535,'4105','Finca tina',15),(6536,'4105','Hitachi',15),(6537,'4105','Horco molle',15),(6538,'4105','Hoyada',15),(6539,'4105','Kilometro 792',15),(6540,'4105','Kilometro 808',15),(6541,'4105','La banda',15),(6542,'4105','La bomba',15),(6543,'4105','La cavera',15),(6544,'4105','La hoyada',15),(6545,'4105','La sala',15),(6546,'4105','Las juntas',15),(6547,'4105','Las talas',15),(6548,'4105','Las tipas',15),(6549,'4105','Lomas de imbaud',15),(6550,'4105','Los aguirre',15),(6551,'4105','Los alamos',15),(6552,'4105','Los alcaraces',15),(6553,'4105','Los bulacios',15),(6554,'4105','Los chamicos',15),(6555,'4105','Los planchones',15),(6556,'4105','Los vazquez',15),(6557,'4105','Manantial de ovanta',15),(6558,'4105','Misky',15),(6559,'4105','Mundo nuevo',15),(6560,'4105','Parada de ohuanta',15),(6561,'4105','Potrerillo',15),(6562,'4105','Puerto cochucho',15),(6563,'4105','Raco',15),(6564,'4105','Ruta provincial 338',15),(6565,'4105','San alberto',15),(6566,'4105','San felipe',15),(6567,'4105','San javier',15),(6568,'4105','San miguel',15),(6569,'4105','Santa barbara',15),(6570,'4105','Tecotex',15),(6571,'4105','Tipas',15),(6572,'4105','Villa angelina',15),(6573,'4105','Villa carmela',15),(6574,'4105','Villa nogues',15),(6575,'4105','Villa san javier',15),(6576,'4105','Yerba huasi',15),(6577,'4107','Aconquija',15),(6578,'4107','Alto de anfama',15),(6579,'4107','Antama',15),(6580,'4107','Barrio casino',15),(6581,'4107','Cuatro gatos',15),(6582,'4107','Higueritas',15),(6583,'4107','Iglesias',15),(6584,'4107','La caÑada parada',15),(6585,'4107','La rinconada parada',15),(6586,'4107','Las mellizas',15),(6587,'4107','Ojo de agua',15),(6588,'4107','Pie del aconquija',15),(6589,'4107','Puerta san javier',15),(6590,'4107','Villa marcos paz',15),(6591,'4107','Yerba buena',15),(6592,'4109','Alto nuestra seÑora del valle',15),(6593,'4109','Banda del rio sali',15),(6594,'4109','Barrio belgrano',15),(6595,'4109','Ingenio concepcion',15),(6596,'4109','Ingenio san juan',15),(6597,'4109','Los vallistos',15),(6598,'4109','Nuevos mataderos',15),(6599,'4109','Puente rio sali',15),(6600,'4111','Aguada',15),(6601,'4111','Bajo grande',15),(6602,'4111','BaÑado del valle',15),(6603,'4111','Bilca pozo',15),(6604,'4111','Campana',15),(6605,'4111','Candelillal',15),(6606,'4111','Carbon pozo',15),(6607,'4111','Cevilarcito',15),(6608,'4111','ChaÑar pago',15),(6609,'4111','Chilcal',15),(6610,'4111','Colombres',15),(6611,'4111','Colonia agricola',15),(6612,'4111','Colonia argentina',15),(6613,'4111','Cortaderal',15),(6614,'4111','Cortaderas',15),(6615,'4111','Costa arroyo esquina',15),(6616,'4111','El bracho',15),(6617,'4111','El cevilar colombres',15),(6618,'4111','El cortaderal',15),(6619,'4111','Esquina',15),(6620,'4111','Esquina del llano',15),(6621,'4111','Establecimiento esquina',15),(6622,'4111','Finca elisa',15),(6623,'4111','Finca pacara',15),(6624,'4111','Fronteritas',15),(6625,'4111','Gobernador nouges',15),(6626,'4111','Ingenio leales',15),(6627,'4111','Juan posse',15),(6628,'4111','Kilometro 794',15),(6629,'4111','La aguada',15),(6630,'4111','La empatada',15),(6631,'4111','La encantada',15),(6632,'4111','La fronterita',15),(6633,'4111','Las mercedes',15),(6634,'4111','Lastenia',15),(6635,'4111','Loma verde',15),(6636,'4111','Los bulacios',15),(6637,'4111','Los camperos',15),(6638,'4111','Los chaÑaritos',15),(6639,'4111','Los porceles',15),(6640,'4111','Los sueldos',15),(6641,'4111','Los villagra',15),(6642,'4111','Pacara',15),(6643,'4111','Pacara pintado',15),(6644,'4111','Pala pala',15),(6645,'4111','Polito',15),(6646,'4111','Pozo alto',15),(6647,'4111','Pozo del alto',15),(6648,'4111','Puesto chico',15),(6649,'4111','Quilmes',15),(6650,'4111','Retiro',15),(6651,'4111','Roma',15),(6652,'4111','Rosario oeste',15),(6653,'4111','San andres',15),(6654,'4111','San nicolas',15),(6655,'4111','Santa felisa',15),(6656,'4111','Santa rosa de leales',15),(6657,'4111','Sueldo',15),(6658,'4111','Sueldos',15),(6659,'4111','Villa fiad',15),(6660,'4113','Acostilla',15),(6661,'4113','Avestilla',15),(6662,'4113','Cachi huasi',15),(6663,'4113','Cachi yaco',15),(6664,'4113','Cachi yaco apeadero fcgb',15),(6665,'4113','El carmen',15),(6666,'4113','El durazno',15),(6667,'4113','El guardamonte',15),(6668,'4113','El naranjo',15),(6669,'4113','El rosario',15),(6670,'4113','Entre rios',15),(6671,'4113','Gomez chico',15),(6672,'4113','Las acostillas',15),(6673,'4113','Las caÑadas',15),(6674,'4113','Leales',15),(6675,'4113','Los britos',15),(6676,'4113','Los crespo',15),(6677,'4113','Los gomez',15),(6678,'4113','Los herreras',15),(6679,'4113','Los juarez',15),(6680,'4113','Los quemados',15),(6681,'4113','Los romanos',15),(6682,'4113','Lunarejos',15),(6683,'4113','Miguel lillo',15),(6684,'4113','Noario',15),(6685,'4113','Nueva espaÑa',15),(6686,'4113','San jose de leales',15),(6687,'4113','Tusca pozo',15),(6688,'4113','Tusquitas',15),(6689,'4113','Uturungu',15),(6690,'4113','Villa leales',15),(6691,'4113','Yatapayana',15),(6692,'4115','Agua azul',15),(6693,'4115','Agua dulce',15),(6694,'4115','Ahi veremos',15),(6695,'4115','Barrealito',15),(6696,'4115','Buena vista',15),(6697,'4115','Camas amontonadas',15),(6698,'4115','Campo azul',15),(6699,'4115','Condor huasi',15),(6700,'4115','El mollar',15),(6701,'4115','El naranjito',15),(6702,'4115','El pavon',15),(6703,'4115','El suncho',15),(6704,'4115','Establecimiento las colonias',15),(6705,'4115','Favorina',15),(6706,'4115','Jusco pozo',15),(6707,'4115','La colonia',15),(6708,'4115','La florida',15),(6709,'4115','Laguna blanca',15),(6710,'4115','Las celayas',15),(6711,'4115','Las colonias',15),(6712,'4115','Las encrucijadas',15),(6713,'4115','Las palmitas',15),(6714,'4115','Las zorras',15),(6715,'4115','Los chaÑaritos',15),(6716,'4115','Los puestos',15),(6717,'4115','Los villegas',15),(6718,'4115','Los zelayas',15),(6719,'4115','Mancopa',15),(6720,'4115','Mancopa chico',15),(6721,'4115','Mixta',15),(6722,'4115','Mojon',15),(6723,'4115','Monte bello',15),(6724,'4115','Moyar',15),(6725,'4115','Naranjito',15),(6726,'4115','Oran',15),(6727,'4115','Palmitas',15),(6728,'4115','Pirhuas',15),(6729,'4115','Posse desvio particular fcgm',15),(6730,'4115','Puma pozo',15),(6731,'4115','Punta de rieles',15),(6732,'4115','Punta rieles',15),(6733,'4115','Rafaela pozo',15),(6734,'4115','Romera pozo',15),(6735,'4115','San antonio',15),(6736,'4115','Sandis',15),(6737,'4115','Soledad',15),(6738,'4115','Vielos',15),(6739,'4115','Vilca pozo',15),(6740,'4117','Alabama',15),(6741,'4117','Alto de medina',15),(6742,'4117','Angostura',15),(6743,'4117','CaÑada de alzogaray',15),(6744,'4117','Carolinas bajas',15),(6745,'4117','Chabela',15),(6746,'4117','ChaÑar taqueÑo',15),(6747,'4117','ChaÑar via',15),(6748,'4117','ChaÑar viejo',15),(6749,'4117','Delfin gallo',15),(6750,'4117','El aserradero',15),(6751,'4117','El chaÑar',15),(6752,'4117','El cochuchal',15),(6753,'4117','El espinillo',15),(6754,'4117','El mojon',15),(6755,'4117','El naranjo',15),(6756,'4117','El paraiso',15),(6757,'4117','El portezuelo',15),(6758,'4117','Finca lopez',15),(6759,'4117','Guzman estacion fcgb',15),(6760,'4117','Ingenio la florida',15),(6761,'4117','La florida',15),(6762,'4117','Los godos',15),(6763,'4117','Los perez',15),(6764,'4117','Luisiana estacion fcgm',15),(6765,'4117','Lujan',15),(6766,'4117','Macomita',15),(6767,'4117','MariÑo',15),(6768,'4117','Monte largo',15),(6769,'4117','Moya',15),(6770,'4117','Nuevo pueblo la florida',15),(6771,'4117','P g mendez',15),(6772,'4117','Paraiso',15),(6773,'4117','Portezuelo',15),(6774,'4117','Pozo hondo',15),(6775,'4117','Puesto de avila',15),(6776,'4117','San jose de macomita',15),(6777,'4117','San pedro',15),(6778,'4117','Santa teresa',15),(6779,'4117','Taco',15),(6780,'4117','Taco palta',15),(6781,'4117','Tambor de tacuari',15),(6782,'4117','Taquello',15),(6783,'4119','Agua colorada',15),(6784,'4119','Aguas blancas',15),(6785,'4119','Alto verde',15),(6786,'4119','Antillas',15),(6787,'4119','Antu mapu',15),(6788,'4119','Asna yaco',15),(6789,'4119','Benjamin araoz',15),(6790,'4119','Benjamin paz',15),(6791,'4119','Burruyacu',15),(6792,'4119','Calera aconquija',15),(6793,'4119','California',15),(6794,'4119','CaÑada alegre',15),(6795,'4119','CaÑada angosta',15),(6796,'4119','CaÑada de la cruz',15),(6797,'4119','CaÑada de los negros',15),(6798,'4119','Casa del alto',15),(6799,'4119','Casales',15),(6800,'4119','Chamico',15),(6801,'4119','Chilcas',15),(6802,'4119','Chorrillos',15),(6803,'4119','Churqui',15),(6804,'4119','Colonia nro 2',15),(6805,'4119','Concepcion',15),(6806,'4119','Cooperativa agronomica',15),(6807,'4119','Coromama',15),(6808,'4119','Cossio',15),(6809,'4119','Cruz de abajo',15),(6810,'4119','Descanso',15),(6811,'4119','Desmonte',15),(6812,'4119','El aserradero',15),(6813,'4119','El atacal',15),(6814,'4119','El azul',15),(6815,'4119','El barco',15),(6816,'4119','El barrialito',15),(6817,'4119','El cajon',15),(6818,'4119','El castoral',15),(6819,'4119','El chorro',15),(6820,'4119','El churqui',15),(6821,'4119','El cruce',15),(6822,'4119','El establo',15),(6823,'4119','El frasquillo',15),(6824,'4119','El interes',15),(6825,'4119','El jardin',15),(6826,'4119','El matal',15),(6827,'4119','El morado',15),(6828,'4119','El naranjito',15),(6829,'4119','El obraje',15),(6830,'4119','El once',15),(6831,'4119','El porvenir',15),(6832,'4119','El puestito',15),(6833,'4119','El rodeo',15),(6834,'4119','El sinquial',15),(6835,'4119','El sunchal',15),(6836,'4119','El tajamar',15),(6837,'4119','El tipal',15),(6838,'4119','El triunfo',15),(6839,'4119','El zapallar',15),(6840,'4119','Estancia el diamante',15),(6841,'4119','Finca anchorena',15),(6842,'4119','Finca cristina',15),(6843,'4119','Finca piedra blanca',15),(6844,'4119','Gramilla',15),(6845,'4119','Jaguel',15),(6846,'4119','Juliana',15),(6847,'4119','Kilometro 37',15),(6848,'4119','Kilometro 80',15),(6849,'4119','Kilometro 94',15),(6850,'4119','La aguita',15),(6851,'4119','La argentina',15),(6852,'4119','La banda',15),(6853,'4119','La calera',15),(6854,'4119','La caÑada',15),(6855,'4119','La cautiva',15),(6856,'4119','La corzuela',15),(6857,'4119','La cruz',15),(6858,'4119','La cruz de arriba',15),(6859,'4119','La fortuna',15),(6860,'4119','La junta',15),(6861,'4119','La loma',15),(6862,'4119','La marta',15),(6863,'4119','La pola',15),(6864,'4119','La puerta de luca',15),(6865,'4119','La ramada',15),(6866,'4119','La ramada de abajo',15),(6867,'4119','La ruda',15),(6868,'4119','La sala',15),(6869,'4119','La soledad',15),(6870,'4119','La toma',15),(6871,'4119','La union',15),(6872,'4119','La verde',15),(6873,'4119','Laguna de robles',15),(6874,'4119','Las chacras',15),(6875,'4119','Las pechosas',15),(6876,'4119','Las zanjas',15),(6877,'4119','Loma grande',15),(6878,'4119','Loma negra',15),(6879,'4119','Los chorrillos',15),(6880,'4119','Los eucaliptos',15),(6881,'4119','Los gonzales',15),(6882,'4119','Los gonzalez',15),(6883,'4119','Los pedraza',15),(6884,'4119','Molle chato',15),(6885,'4119','Nio el puestito',15),(6886,'4119','Pacara',15),(6887,'4119','Pacara marcado',15),(6888,'4119','Pacara pintado',15),(6889,'4119','Palomitas',15),(6890,'4119','Paso de las lanzas',15),(6891,'4119','Piedra blanca',15),(6892,'4119','Piedra tendida',15),(6893,'4119','Pozo del algarrobo',15),(6894,'4119','Puerta quemada',15),(6895,'4119','Puestito de arriba',15),(6896,'4119','Puesto cevil con agua',15),(6897,'4119','Puesto de uncos',15),(6898,'4119','Puesto villagra',15),(6899,'4119','Punta del agua',15),(6900,'4119','Requelme',15),(6901,'4119','Rio del nio',15),(6902,'4119','Rodeo toro',15),(6903,'4119','San eusebio',15),(6904,'4119','San geronimo',15),(6905,'4119','San jose de san martin',15),(6906,'4119','San lorenzo',15),(6907,'4119','San miguel',15),(6908,'4119','San patricio',15),(6909,'4119','Santa lucia',15),(6910,'4119','Santa rosa',15),(6911,'4119','Santos lugares',15),(6912,'4119','Sinqueal',15),(6913,'4119','Soraire',15),(6914,'4119','Tala pampa',15),(6915,'4119','Tala pozo',15),(6916,'4119','Talita pozo',15),(6917,'4119','Taruca pampa',15),(6918,'4119','Tierras blancas',15),(6919,'4119','Toquello',15),(6920,'4119','Totoral',15),(6921,'4119','Tunalito',15),(6922,'4119','Tusca pampa',15),(6923,'4119','Villa benjamin araoz',15),(6924,'4119','Villa burruyacu',15),(6925,'4122','Alizal',15),(6926,'4122','Alurralde',15),(6927,'4122','Aragon',15),(6928,'4122','Benjamin paz',15),(6929,'4122','Casa del alto',15),(6930,'4122','Choromoro',15),(6931,'4122','Chusca',15),(6932,'4122','Criollas',15),(6933,'4122','Desmonte',15),(6934,'4122','El cedro',15),(6935,'4122','El ojo',15),(6936,'4122','Gonzalo',15),(6937,'4122','Huasamayo',15),(6938,'4122','Huasamayo sud',15),(6939,'4122','Junta',15),(6940,'4122','La higuera',15),(6941,'4122','Las criollas',15),(6942,'4122','Las juntas',15),(6943,'4122','Loma del medio',15),(6944,'4122','Mato yaco',15),(6945,'4122','Ñorco',15),(6946,'4122','Ñoreo',15),(6947,'4122','Posta vieja',15),(6948,'4122','Potro yaco',15),(6949,'4122','Puertas',15),(6950,'4122','Puesto grande',15),(6951,'4122','Rio vipos',15),(6952,'4122','Rodeo',15),(6953,'4122','Rodeo del algarrobo',15),(6954,'4122','Rodeo grande',15),(6955,'4122','Salamanca',15),(6956,'4122','Salinas',15),(6957,'4122','San julian yaco',15),(6958,'4122','San miguel',15),(6959,'4122','San vicente',15),(6960,'4122','Sauce yacu',15),(6961,'4122','Sepultura',15),(6962,'4122','Simbolar',15),(6963,'4122','Tala yaco',15),(6964,'4122','Tapia',15),(6965,'4122','Ticucho',15),(6966,'4122','Tuna sola',15),(6967,'4122','Vesubio',15),(6968,'4122','Viaducto del toro',15),(6969,'4122','Vipos',15),(6970,'4122','Yaco',15),(6971,'4124','Abra el candado',15),(6972,'4124','Acequiones',15),(6973,'4124','Agua el simbo',15),(6974,'4124','Agua rosada',15),(6975,'4124','Agua salada',15),(6976,'4124','Aguada de jorge',15),(6977,'4124','Alto de la angostura',15),(6978,'4124','Alto de los gimenez',15),(6979,'4124','Alto la totora',15),(6980,'4124','Angostura',15),(6981,'4124','Barborin',15),(6982,'4124','Boba yacu',15),(6983,'4124','Cachi yaco',15),(6984,'4124','Campo redondo',15),(6985,'4124','CaÑada del arenal',15),(6986,'4124','Capilla',15),(6987,'4124','Casas viejas',15),(6988,'4124','Cervalito',15),(6989,'4124','Chulca',15),(6990,'4124','Corral viejo',15),(6991,'4124','El alpizar',15),(6992,'4124','El arenal',15),(6993,'4124','El boyero',15),(6994,'4124','El cadillal',15),(6995,'4124','El chorro',15),(6996,'4124','El junquillar',15),(6997,'4124','El milagro',15),(6998,'4124','El mistol',15),(6999,'4124','El molino',15),(7000,'4124','El mollar',15),(7001,'4124','El pelado',15),(7002,'4124','El pelado de paranillo',15),(7003,'4124','El porvenir',15),(7004,'4124','El potrero',15),(7005,'4124','El pozo',15),(7006,'4124','El puestito',15),(7007,'4124','El quebrachal',15),(7008,'4124','El suncal',15),(7009,'4124','El talar',15),(7010,'4124','El zauzal',15),(7011,'4124','Escuela 128',15),(7012,'4124','Escuela 170',15),(7013,'4124','Escuela 171',15),(7014,'4124','Escuela 204',15),(7015,'4124','Escuela 214',15),(7016,'4124','Escuela 216',15),(7017,'4124','Escuela 221',15),(7018,'4124','Escuela 233',15),(7019,'4124','Escuela 265',15),(7020,'4124','Escuela 309',15),(7021,'4124','Escuela 31',15),(7022,'4124','Escuela 341',15),(7023,'4124','Escuela 349',15),(7024,'4124','Escuela 356',15),(7025,'4124','Escuela 362',15),(7026,'4124','Escuela 385',15),(7027,'4124','Escuela 389',15),(7028,'4124','Escuela 392',15),(7029,'4124','Escuela 42',15),(7030,'4124','Escuela 44',15),(7031,'4124','Escuela 45',15),(7032,'4124','Escuela 47',15),(7033,'4124','Escuela gdor lopez',15),(7034,'4124','Escuela hernan miraval',15),(7035,'4124','Escuela j j thames',15),(7036,'4124','Escuela juan jose paso',15),(7037,'4124','Estanque',15),(7038,'4124','Hualinchay',15),(7039,'4124','India muerta',15),(7040,'4124','Kilometro 1340',15),(7041,'4124','Kilometro 847',15),(7042,'4124','La aguada',15),(7043,'4124','La banda',15),(7044,'4124','La caÑada',15),(7045,'4124','La dorita',15),(7046,'4124','La esquina',15),(7047,'4124','La laguna',15),(7048,'4124','La maravilla',15),(7049,'4124','Las arcas',15),(7050,'4124','Las botijas',15),(7051,'4124','Las burras',15),(7052,'4124','Las caÑitas',15),(7053,'4124','Las pircas',15),(7054,'4124','Las tacanas',15),(7055,'4124','Las tipas de colalao',15),(7056,'4124','Laurel yaco',15),(7057,'4124','Leocadio paz',15),(7058,'4124','Los bordos',15),(7059,'4124','Los puestos',15),(7060,'4124','Manantiales',15),(7061,'4124','Mimillo',15),(7062,'4124','Miranda',15),(7063,'4124','Molle yaco',15),(7064,'4124','Monte bello',15),(7065,'4124','Ovejeria',15),(7066,'4124','Pantanillo',15),(7067,'4124','Perucho',15),(7068,'4124','Pie de la cuesta',15),(7069,'4124','Pingollar',15),(7070,'4124','Portezuelo',15),(7071,'4124','Pozo suncho',15),(7072,'4124','Pradera alegre',15),(7073,'4124','Puesto varela',15),(7074,'4124','Rearte',15),(7075,'4124','San carlos',15),(7076,'4124','San fernando',15),(7077,'4124','San isidro',15),(7078,'4124','San jose',15),(7079,'4124','San pedro de colalao',15),(7080,'4124','Santa rita',15),(7081,'4124','Sauzal',15),(7082,'4124','Tacanas',15),(7083,'4124','Taco llano',15),(7084,'4124','Taco punco',15),(7085,'4124','Taco yaco',15),(7086,'4124','Taco yana',15),(7087,'4124','Tipa mayo',15),(7088,'4124','Toco llana',15),(7089,'4124','Toro loco',15),(7090,'4124','Trancas',15),(7091,'4124','Villa gloria',15),(7092,'4124','Villa rita',15),(7093,'4124','Villa trancas',15),(7094,'4124','Villa vieja',15),(7095,'4124','Yarami',15),(7096,'4124','Yuchaco',15),(7097,'4124','Zarate',15),(7098,'4126','Alem',14),(7099,'4126','Baradero',14),(7100,'4126','Ceibal',14),(7101,'4126','El brete',15),(7102,'4126','El brete',14),(7103,'4126','El cuibal',14),(7104,'4126','El jardin',14),(7105,'4126','El naranjo',14),(7106,'4126','El sunchal',14),(7107,'4126','El tala est r de los llanos',14),(7108,'4126','La asuncion',14),(7109,'4126','La candelaria',14),(7110,'4126','La cuesta',15),(7111,'4126','La cueva',15),(7112,'4126','La maravilla',14),(7113,'4126','La poblacion',14),(7114,'4126','Los mogotes',14),(7115,'4126','Miraflores',14),(7116,'4126','Ovejero',14),(7117,'4126','Potrerillos',14),(7118,'4126','Riarte',15),(7119,'4126','Ruiz de los llanos',14),(7120,'4126','Salazar',14),(7121,'4126','San pedro de aranda',14),(7122,'4126','Tala',14),(7123,'4128','El carmen',15),(7124,'4128','El ceibal',15),(7125,'4128','Escuela 12',15),(7126,'4128','Escuela 130',15),(7127,'4128','Escuela 212',15),(7128,'4128','Escuela 222',15),(7129,'4128','Escuela 243',15),(7130,'4128','Escuela 247',15),(7131,'4128','Escuela 251',15),(7132,'4128','Escuela 253',15),(7133,'4128','Escuela 254',15),(7134,'4128','Escuela 260',15),(7135,'4128','Escuela 324',15),(7136,'4128','Escuela 333',15),(7137,'4128','Escuela 348',15),(7138,'4128','Escuela 39',15),(7139,'4128','Escuela 51',15),(7140,'4128','Escuela de manualidades',15),(7141,'4128','Escuela de manualidades ouanta',15),(7142,'4128','Escuela dean salcedo',15),(7143,'4128','Escuela e canton',15),(7144,'4128','Escuela f n laprida',15),(7145,'4128','Escuela f nogues',15),(7146,'4128','Escuela ignacio colombres',15),(7147,'4128','Escuela ing bertre',15),(7148,'4128','Escuela l blanco',15),(7149,'4128','Escuela malvinas',15),(7150,'4128','Escuela manuel savio',15),(7151,'4128','La bolsa',15),(7152,'4128','La capilla',15),(7153,'4128','Las moreras',15),(7154,'4128','Lules',15),(7155,'4128','Mercedes',15),(7156,'4128','Potrero de las tablas',15),(7157,'4128','Ruta nacional 157',15),(7158,'4128','Ruta nacional 38',15),(7159,'4128','Ruta provincial 301',15),(7160,'4128','Ruta provincial 338',15),(7161,'4128','Ruta provincial 380',15),(7162,'4128','San jose de lules',15),(7163,'4128','Santa victoria',14),(7164,'4129','CaÑada',15),(7165,'4129','CaÑada yerba buena',15),(7166,'4129','Colonia maria elena',15),(7167,'4129','El obraje',15),(7168,'4129','Ingenio lules',15),(7169,'4129','La quebrada',15),(7170,'4129','La reduccion',15),(7171,'4129','Las tablas',15),(7172,'4129','Malvinas',15),(7173,'4129','Obraje',15),(7174,'4129','Potrero',15),(7175,'4129','Punta del monte',15),(7176,'4129','Quebrada de lules',15),(7177,'4129','San jenaro',15),(7178,'4129','San pablo',15),(7179,'4129','San rafael',15),(7180,'4132','Agua azul',15),(7181,'4132','Agua blanca',15),(7182,'4132','Arroyo de la cruz',15),(7183,'4132','Barrancas coloradas',15),(7184,'4132','Buen retiro',15),(7185,'4132','Carrichango',15),(7186,'4132','Colonia acevedo',15),(7187,'4132','Colonia bascary',15),(7188,'4132','Colonia pacara',15),(7189,'4132','Colonia santa clara',15),(7190,'4132','Colonia santa lucia',15),(7191,'4132','Colonia santa rita',15),(7192,'4132','El cruce',15),(7193,'4132','El matadero',15),(7194,'4132','El tropezon',15),(7195,'4132','Escuela 100',15),(7196,'4132','Escuela 124',15),(7197,'4132','Escuela 154',15),(7198,'4132','Escuela 160',15),(7199,'4132','Escuela 197',15),(7200,'4132','Escuela 200',15),(7201,'4132','Escuela 206',15),(7202,'4132','Escuela 257',15),(7203,'4132','Escuela 261',15),(7204,'4132','Escuela 298',15),(7205,'4132','Escuela 321',15),(7206,'4132','Escuela 356',15),(7207,'4132','Escuela 373',15),(7208,'4132','Escuela 63',15),(7209,'4132','Escuela 88',15),(7210,'4132','Escuela congresales tucumanos',15),(7211,'4132','Escuela guillermina moreira',15),(7212,'4132','Escuela monte grande',15),(7213,'4132','Escuela velez sarsfield',15),(7214,'4132','Esquina norte',15),(7215,'4132','Famailla',15),(7216,'4132','Finca pereyra',15),(7217,'4132','Finca san luis',15),(7218,'4132','Ingenio la fronterita',15),(7219,'4132','Invernada',15),(7220,'4132','Kilometro 102',15),(7221,'4132','Kilometro 108',15),(7222,'4132','La banderita',15),(7223,'4132','La fronterita',15),(7224,'4132','La pinta y la cuarenta',15),(7225,'4132','Las banderitas',15),(7226,'4132','Las mesadas',15),(7227,'4132','Las ratas',15),(7228,'4132','Las tres flores',15),(7229,'4132','Laureles',15),(7230,'4132','Laureles norte',15),(7231,'4132','Laureles sur',15),(7232,'4132','Los sifones',15),(7233,'4132','Nueva baviera',15),(7234,'4132','Ruta nacional 157',15),(7235,'4132','Ruta nacional 38',15),(7236,'4132','Ruta provincial 322',15),(7237,'4132','Ruta provincial 334',15),(7238,'4132','Ruta provincial 380',15),(7239,'4132','San gabriel del monte',15),(7240,'4132','San jose de buena vista',15),(7241,'4132','San luis',15),(7242,'4132','Sauce huacho',15),(7243,'4132','Sauce partido',15),(7244,'4132','Teniente berdina',15),(7245,'4132','Tres almacenes',15),(7246,'4133','La banda',15),(7247,'4133','Monte grande',15),(7248,'4133','Padilla',15),(7249,'4134','Acheral',15),(7250,'4134','Aranilla',15),(7251,'4134','Arenilla',15),(7252,'4134','Kilometro 99',15),(7253,'4134','San gabriel',15),(7254,'4134','San jose de flores',15),(7255,'4135','Caspinchango',15),(7256,'4135','Duraznos blancos',15),(7257,'4135','El mollar',15),(7258,'4135','El nogalar',15),(7259,'4135','Ingenio santa lucia',15),(7260,'4135','La ramadita',15),(7261,'4135','Las cienagas',15),(7262,'4135','Los rodriguez',15),(7263,'4135','Negro potrero',15),(7264,'4135','Puesto la ramadita',15),(7265,'4135','Santa elena',15),(7266,'4135','Santa lucia',15),(7267,'4135','Santa monica',15),(7268,'4137','Abra baya',15),(7269,'4137','Abra de la picaza',15),(7270,'4137','Abra de yareta',15),(7271,'4137','Abra del infiernillo',15),(7272,'4137','Aguada',15),(7273,'4137','Alisos',15),(7274,'4137','Alto cazadera',15),(7275,'4137','Alto de los reales',15),(7276,'4137','Alto del huascho',15),(7277,'4137','Alto del lampazo',15),(7278,'4137','Alto los cardones',15),(7279,'4137','Amaicha del valle',15),(7280,'4137','Ampimpa',15),(7281,'4137','Antiguo quilmes',15),(7282,'4137','Banda',15),(7283,'4137','Campo blanco',15),(7284,'4137','Campo de las gallinas',15),(7285,'4137','Campo de los cardones',15),(7286,'4137','Campo de los chaÑares',15),(7287,'4137','Campo zauzal',15),(7288,'4137','Carapunco',15),(7289,'4137','Casa de campo',15),(7290,'4137','Casa de zinc',15),(7291,'4137','Casas viejas',15),(7292,'4137','Cienaguita',15),(7293,'4137','Corral blanco',15),(7294,'4137','Corral grande',15),(7295,'4137','El antigal',15),(7296,'4137','El arqueal',15),(7297,'4137','El carmen',15),(7298,'4137','El casial',15),(7299,'4137','El casialito',15),(7300,'4137','El espinal',15),(7301,'4137','El infiernillo',15),(7302,'4137','El lamedero',15),(7303,'4137','El lamparazo',15),(7304,'4137','El molle',15),(7305,'4137','El molle viejo',15),(7306,'4137','El pabellon',15),(7307,'4137','El payanal',15),(7308,'4137','El potrerillo',15),(7309,'4137','El pozo',15),(7310,'4137','El toro',15),(7311,'4137','Escuela 213',15),(7312,'4137','Escuela 217',15),(7313,'4137','Escuela 22',15),(7314,'4137','Escuela 23',15),(7315,'4137','Escuela 28',15),(7316,'4137','Escuela 325',15),(7317,'4137','Escuela 33',15),(7318,'4137','Escuela 336',15),(7319,'4137','Escuela 337',15),(7320,'4137','Escuela 338',15),(7321,'4137','Escuela 340',15),(7322,'4137','Escuela 342',15),(7323,'4137','Escuela 357',15),(7324,'4137','Escuela 37',15),(7325,'4137','Escuela 371',15),(7326,'4137','Escuela 374',15),(7327,'4137','Escuela 379',15),(7328,'4137','Escuela 38',15),(7329,'4137','Escuela 390',15),(7330,'4137','Escuela 50',15),(7331,'4137','Escuela cnel ignacio murga',15),(7332,'4137','Escuela gob jose manuel silva',15),(7333,'4137','Escuela manuela pedraza',15),(7334,'4137','Espiadero',15),(7335,'4137','Esquina del valle',15),(7336,'4137','Fuerte quemado',15),(7337,'4137','Kilometro 1025',15),(7338,'4137','Kilometro 1041',15),(7339,'4137','Kilometro 118',15),(7340,'4137','Kilometro 52',15),(7341,'4137','Kilometro 62',15),(7342,'4137','La angostura',15),(7343,'4137','La bolsa',15),(7344,'4137','La cienaga',15),(7345,'4137','La combada',15),(7346,'4137','La lagunita',15),(7347,'4137','La maravilla',15),(7348,'4137','La mesada',15),(7349,'4137','La puntilla',15),(7350,'4137','La queseria',15),(7351,'4137','La sala',15),(7352,'4137','La salamanca',15),(7353,'4137','La silla',15),(7354,'4137','La tranca',15),(7355,'4137','La viÑita',15),(7356,'4137','Lamparcito',15),(7357,'4137','Lara',15),(7358,'4137','Las bolsas',15),(7359,'4137','Las carreras',15),(7360,'4137','Loma redonda',15),(7361,'4137','Los bateones',15),(7362,'4137','Los colorados',15),(7363,'4137','Los cordones',15),(7364,'4137','Los corpitos',15),(7365,'4137','Los cuartos',15),(7366,'4137','Los pocitos',15),(7367,'4137','Los zazos',15),(7368,'4137','Macho huaÑusca',15),(7369,'4137','Mesada de encima',15),(7370,'4137','Molle de abajo',15),(7371,'4137','Molle yaco',15),(7372,'4137','Nogalita',15),(7373,'4137','Palo gacho',15),(7374,'4137','PeÑa overa',15),(7375,'4137','PeÑa picaza',15),(7376,'4137','Piedras blancas',15),(7377,'4137','Port de las animas',15),(7378,'4137','Port de tomas',15),(7379,'4137','Puesto de alumbre',15),(7380,'4137','Puesto de encalillo',15),(7381,'4137','Puesto de zarzo',15),(7382,'4137','Puesto viejo',15),(7383,'4137','Rearte',15),(7384,'4137','Rio blanco',15),(7385,'4137','Salas',15),(7386,'4137','San carlitos',15),(7387,'4137','San francisco',15),(7388,'4137','San jose de chasquivil',15),(7389,'4137','Tafi del valle',15),(7390,'4137','Tio punco',15),(7391,'4137','Toro yaco',15),(7392,'4137','Zurita',15),(7393,'4139','Agua amarilla la hoyada',7),(7394,'4139','Agua amarilla pta de balasto',7),(7395,'4139','Ampajango',7),(7396,'4139','Andalhuala',7),(7397,'4139','Banda',7),(7398,'4139','Buey muerto',7),(7399,'4139','Campitos',7),(7400,'4139','Casa de piedra',7),(7401,'4139','Caspinchango',7),(7402,'4139','Cerrillos',7),(7403,'4139','Cerro colorado',7),(7404,'4139','ChafiÑan',7),(7405,'4139','ChaÑar punco',7),(7406,'4139','Cienaga',7),(7407,'4139','Corral viejo',7),(7408,'4139','Desrumbe',7),(7409,'4139','El arroyo',7),(7410,'4139','El balde',7),(7411,'4139','El cajon',7),(7412,'4139','El calchaqui',7),(7413,'4139','El cerrito',7),(7414,'4139','El desmonte',7),(7415,'4139','El medanito',7),(7416,'4139','El recreo',7),(7417,'4139','El tesoro',7),(7418,'4139','El trapiche',7),(7419,'4139','El zarzo',7),(7420,'4139','Entre rios',7),(7421,'4139','Estancia vieja',7),(7422,'4139','Famabalastro',7),(7423,'4139','Famatanca',7),(7424,'4139','Iapes',7),(7425,'4139','Julipao',7),(7426,'4139','La campana',7),(7427,'4139','La hoyada',7),(7428,'4139','La loma',7),(7429,'4139','La ollada',7),(7430,'4139','La quebrada',7),(7431,'4139','La soledad',7),(7432,'4139','Las mojarras',7),(7433,'4139','Loro huasi',7),(7434,'4139','Los pozuelos',7),(7435,'4139','Los saltos',7),(7436,'4139','Medanito',7),(7437,'4139','Ovejeria',7),(7438,'4139','Pajanguillo',7),(7439,'4139','Palo seco',7),(7440,'4139','Paloma yaco',7),(7441,'4139','Pie del medano',7),(7442,'4139','Punta de balasto',7),(7443,'4139','San antonio del cajon',7),(7444,'4139','San jose',7),(7445,'4139','San jose banda',7),(7446,'4139','San jose norte',7),(7447,'4139','Santa maria',7),(7448,'4139','Toroyaco',7),(7449,'4139','Totorilla',7),(7450,'4139','Yapes',7),(7451,'4141','Agua salada',15),(7452,'4141','Anchillos',15),(7453,'4141','Anjuana',15),(7454,'4141','Calimonte',15),(7455,'4141','Colalao del valle',15),(7456,'4141','El arbolar',15),(7457,'4141','El baÑado',15),(7458,'4141','El carrizal',15),(7459,'4141','El paso',15),(7460,'4141','Fuerte quemado',7),(7461,'4141','Julipao',15),(7462,'4141','La cieneguita',14),(7463,'4141','Las caÑas',15),(7464,'4141','Loma colorada',15),(7465,'4141','Los chaÑares',15),(7466,'4141','Macho rastrojo',14),(7467,'4141','Managua',15),(7468,'4141','Pichao',15),(7469,'4141','Puerta de julipao',15),(7470,'4141','Puesto de julipao',15),(7471,'4141','Quilmes',15),(7472,'4141','Quisca chica',15),(7473,'4141','Quisca grande',14),(7474,'4141','Rincon de quilmes',15),(7475,'4141','Tala paso',15),(7476,'4141','Tio franco',15),(7477,'4141','Tolombon',14),(7478,'4141','Totorilla',15),(7479,'4141','Totoritas',15),(7480,'4141','Yasyamayo',15),(7481,'4142','Alto de leiva',15),(7482,'4142','Alto verde',15),(7483,'4142','Aparadero militar gral muÑoz',15),(7484,'4142','Aragones',15),(7485,'4142','Aran',15),(7486,'4142','B zorrilla',15),(7487,'4142','Capitan caceres',15),(7488,'4142','Casa de piedra',15),(7489,'4142','Caspichango viejo',15),(7490,'4142','Chilcar',15),(7491,'4142','Colonia 6',15),(7492,'4142','Colonia santa catalina',15),(7493,'4142','Colonia santa marina',15),(7494,'4142','Costilla',15),(7495,'4142','El cercado',15),(7496,'4142','El churquis',15),(7497,'4142','El huaico',15),(7498,'4142','El indio',15),(7499,'4142','El naranjal',15),(7500,'4142','Escuela',15),(7501,'4142','Escuela 101',15),(7502,'4142','Escuela 121',15),(7503,'4142','Escuela 13',15),(7504,'4142','Escuela 135',15),(7505,'4142','Escuela 139',15),(7506,'4142','Escuela 14',15),(7507,'4142','Escuela 143',15),(7508,'4142','Escuela 144',15),(7509,'4142','Escuela 148',15),(7510,'4142','Escuela 165',15),(7511,'4142','Escuela 202',15),(7512,'4142','Escuela 236',15),(7513,'4142','Escuela 258',15),(7514,'4142','Escuela 281',15),(7515,'4142','Escuela 285',15),(7516,'4142','Escuela 29',15),(7517,'4142','Escuela 290',15),(7518,'4142','Escuela 297',15),(7519,'4142','Escuela 315',15),(7520,'4142','Escuela 319',15),(7521,'4142','Escuela 35',15),(7522,'4142','Escuela 361',15),(7523,'4142','Escuela 380',15),(7524,'4142','Escuela 53',15),(7525,'4142','Escuela fray m esquiu',15),(7526,'4142','Escuela ibatin',15),(7527,'4142','Escuela j castellano',15),(7528,'4142','Escuela m ariza',15),(7529,'4142','Escuela manuel borda',15),(7530,'4142','Escuela tambor de tacuari',15),(7531,'4142','Fin del mundo',15),(7532,'4142','Huasa pampa',15),(7533,'4142','Ibatin',15),(7534,'4142','Ingenio ÑuÑorco',15),(7535,'4142','Isla san jose',15),(7536,'4142','Isla san jose sud',15),(7537,'4142','Kilometro 1500',15),(7538,'4142','Kilometro 93',15),(7539,'4142','La heladera',15),(7540,'4142','La quinta',15),(7541,'4142','Las pampitas',15),(7542,'4142','Los robles',15),(7543,'4142','Los sosa',15),(7544,'4142','Monteros',15),(7545,'4142','Monteros viejo',15),(7546,'4142','Oran',15),(7547,'4142','Piedras coloradas',15),(7548,'4142','Pilco',15),(7549,'4142','Playa larga',15),(7550,'4142','Puesto los robles',15),(7551,'4142','Rancho de cascada',15),(7552,'4142','Rincon grande',15),(7553,'4142','Ruta nacional 38',15),(7554,'4142','Santa catalina',15),(7555,'4142','Santo domingo',15),(7556,'4142','Soldado maldonado',15),(7557,'4142','Villa brava',15),(7558,'4142','Villa nueva aguilares',15),(7559,'4142','Yacuchina',15),(7560,'4142','Yonopongo',15),(7561,'4142','Yonopongo sud',15),(7562,'4142','Zavalia',15),(7563,'4143','Independencia',15),(7564,'4143','Ingenio santa rosa',15),(7565,'4143','Leon rouges',15),(7566,'4143','Los moyes',15),(7567,'4143','Los reyes',15),(7568,'4143','Los rojos',15),(7569,'4143','Santa rosa',15),(7570,'4144','Amberes',15),(7571,'4144','La florida',15),(7572,'4144','Las higuerillas',15),(7573,'4144','Las higueritas',15),(7574,'4144','Quinteros 1',15),(7575,'4144','Quinteros 2',15),(7576,'4144','Sargento moya',15),(7577,'4144','Villa quinteros',15),(7578,'4145','Ingenio la providencia',15),(7579,'4145','Rio seco',15),(7580,'4146','Barrio belgrano',15),(7581,'4146','Barrio textil',15),(7582,'4146','Calera de chirimayo',15),(7583,'4146','Campo solco los cochamolles',15),(7584,'4146','Carreta quemada',15),(7585,'4146','Cochamolle',15),(7586,'4146','Concepcion',15),(7587,'4146','Cuesta de chilca',15),(7588,'4146','El potrero',15),(7589,'4146','Escuela 115',15),(7590,'4146','Escuela 118',15),(7591,'4146','Escuela 168',15),(7592,'4146','Escuela 17',15),(7593,'4146','Escuela 18',15),(7594,'4146','Escuela 186',15),(7595,'4146','Escuela 19',15),(7596,'4146','Escuela 234',15),(7597,'4146','Escuela 239',15),(7598,'4146','Escuela 268',15),(7599,'4146','Escuela 365',15),(7600,'4146','Escuela 387',15),(7601,'4146','Escuela 6',15),(7602,'4146','Escuela 65',15),(7603,'4146','Escuela 85',15),(7604,'4146','Escuela almirante brown',15),(7605,'4146','Escuela florencio varela',15),(7606,'4146','Escuela gregoria lamadrid',15),(7607,'4146','Escuela manuel domingo bassail',15),(7608,'4146','Escuela mercedes pacheco',15),(7609,'4146','Iltico',15),(7610,'4146','Ingenio la corona',15),(7611,'4146','Ischillon',15),(7612,'4146','Kilometro 66',15),(7613,'4146','Las cuevas',15),(7614,'4146','Las pavas',15),(7615,'4146','Lescano',15),(7616,'4146','Los vega',15),(7617,'4146','Membrillo',15),(7618,'4146','Muyo',15),(7619,'4146','Piedra grande',15),(7620,'4146','Saladillo',15),(7621,'4146','San carlos',15),(7622,'4146','San jose',15),(7623,'4146','Villa alvear',15),(7624,'4146','Villa devoto',15),(7625,'4146','Yunca suma',15),(7626,'4147','Alto las lechuzas',15),(7627,'4147','Arcadia',15),(7628,'4147','Colonia fara',15),(7629,'4147','Colonia juan jose iramain',15),(7630,'4147','Colonia pedro leon cornet',15),(7631,'4147','Gastonilla',15),(7632,'4147','Las faldas',15),(7633,'4147','Los timbres',15),(7634,'4147','Villa carolina',15),(7635,'4147','Yalapa',15),(7636,'4149','Alpachiri',15),(7637,'4149','Belicha huaico',15),(7638,'4149','Cochuna',15),(7639,'4149','Costa del rio seco',15),(7640,'4149','El molino',15),(7641,'4149','El potrerillo',15),(7642,'4149','El puesto',15),(7643,'4149','Gastona',15),(7644,'4149','Java',15),(7645,'4149','Jaya',15),(7646,'4149','La tuna',15),(7647,'4149','Las animas',15),(7648,'4149','Las leguas',15),(7649,'4149','Las lenguas las leguas',15),(7650,'4149','Puesto de los valdes',15),(7651,'4149','San ramon',15),(7652,'4149','San ramon chicligasta',15),(7653,'4149','Santa cruz',15),(7654,'4149','Valenzuela',15),(7655,'4151','Bajo de los sueldos',15),(7656,'4151','Colonia humaita primera',15),(7657,'4151','El milagro',15),(7658,'4151','El palcara',15),(7659,'4151','El porvenir',15),(7660,'4151','El sauzal',15),(7661,'4151','Finca entre rios',15),(7662,'4151','Humaita 1',15),(7663,'4151','Humaita 2',15),(7664,'4151','Ingenio la trinidad',15),(7665,'4151','La esperanza',15),(7666,'4151','La trinidad',15),(7667,'4151','Las guchas los guchea',15),(7668,'4151','Los arrietas',15),(7669,'4151','Los guchea',15),(7670,'4151','Medinas',15),(7671,'4151','Molinos',15),(7672,'4151','Rosario oeste',15),(7673,'4151','Trinidad',15),(7674,'4151','Villa la trinidad',15),(7675,'4151','Yucumanita',15),(7676,'4152','Aguilares',15),(7677,'4152','Alto las flores',15),(7678,'4152','Arroyo barriento',15),(7679,'4152','Colonia marull',15),(7680,'4152','Colonia naschi',15),(7681,'4152','Colonia nueva trinidad',15),(7682,'4152','El cebil',15),(7683,'4152','Escuela 137',15),(7684,'4152','Escuela 140',15),(7685,'4152','Escuela 176',15),(7686,'4152','Escuela 21',15),(7687,'4152','Escuela 264',15),(7688,'4152','Escuela 274',15),(7689,'4152','Escuela 279',15),(7690,'4152','Escuela 280',15),(7691,'4152','Escuela 287',15),(7692,'4152','Escuela 288',15),(7693,'4152','Escuela 289',15),(7694,'4152','Escuela 320',15),(7695,'4152','Escuela 64',15),(7696,'4152','Escuela 66',15),(7697,'4152','Escuela 67',15),(7698,'4152','Escuela alfonsina storni',15),(7699,'4152','Escuela carlos pellegrini',15),(7700,'4152','Escuela domingo garcia',15),(7701,'4152','Escuela luis gianneo',15),(7702,'4152','Huasa rincon',15),(7703,'4152','Ing mercedes',15),(7704,'4152','Kilometro 1455',15),(7705,'4152','Los callejones',15),(7706,'4152','Los ocho cuartos',15),(7707,'4152','Mercedes',15),(7708,'4152','Monte redondo',15),(7709,'4152','Monte rico',15),(7710,'4152','Moras minucas',15),(7711,'4152','Multiflores',15),(7712,'4152','Nasche',15),(7713,'4152','Potrero de las cabras',15),(7714,'4152','Rincon huasa',15),(7715,'4152','San miguel',15),(7716,'4152','Santa isabel',15),(7717,'4152','Santa rosa',15),(7718,'4153','Alto verde',15),(7719,'4153','Cortaderas',15),(7720,'4153','Cuesta de la chilca',15),(7721,'4153','El ceibal',15),(7722,'4153','Rio chico',15),(7723,'4155','Cevil grande',15),(7724,'4155','Chavarria',15),(7725,'4155','El rodeo',15),(7726,'4155','Ingenio santa ana',15),(7727,'4155','Kilometro 55',15),(7728,'4155','Las tuscas tuscal',15),(7729,'4155','Los lunas',15),(7730,'4155','Santa ana',15),(7731,'4155','Tuscal',15),(7732,'4155','Villa clodomiro hileret',15),(7733,'4155','Villa vieja santa ana',15),(7734,'4157','Arroyo mal paso',15),(7735,'4157','Cevil solo',15),(7736,'4157','El carmen',15),(7737,'4157','El rincon',15),(7738,'4157','El tuscal',15),(7739,'4157','Falda de arcadia',15),(7740,'4157','Ingenio santa barbara',15),(7741,'4157','La tapia',15),(7742,'4157','La tipa',15),(7743,'4157','Los agudos',15),(7744,'4157','Los cordoba',15),(7745,'4157','Los galpones',15),(7746,'4157','Los rios',15),(7747,'4157','Los rizos',15),(7748,'4157','Los sarmientos',15),(7749,'4157','Mal paso',15),(7750,'4157','Maria blanca',15),(7751,'4157','Monte bello',15),(7752,'4157','Nueva trinidad',15),(7753,'4157','Posta',15),(7754,'4158','Campo de talamayo',15),(7755,'4158','Casa de piedras',15),(7756,'4158','Dique escaba',15),(7757,'4158','El batiruano',15),(7758,'4158','El churqui',15),(7759,'4158','El corralito',15),(7760,'4158','El divisadero',15),(7761,'4158','El lamedero',15),(7762,'4158','El molino',15),(7763,'4158','Escaba',15),(7764,'4158','Escaba de abajo',15),(7765,'4158','Escaba de arriba',15),(7766,'4158','Escuela 138',15),(7767,'4158','Escuela 190',15),(7768,'4158','Escuela 26',15),(7769,'4158','Escuela 263',15),(7770,'4158','Escuela 267',15),(7771,'4158','Escuela 307',15),(7772,'4158','Escuela 318',15),(7773,'4158','Escuela 328',15),(7774,'4158','Escuela 352',15),(7775,'4158','Escuela 376',15),(7776,'4158','Escuela 69',15),(7777,'4158','Escuela v generala',15),(7778,'4158','Fuerte alto',15),(7779,'4158','Ingenio marapa',15),(7780,'4158','Juan bautista alberdi',15),(7781,'4158','Kilometro 36',15),(7782,'4158','Kilometro 46',15),(7783,'4158','La calera',15),(7784,'4158','La invernada',15),(7785,'4158','La puerta de marapa',15),(7786,'4158','Las tablitas',15),(7787,'4158','Los alamitos',15),(7788,'4158','Los alisos',15),(7789,'4158','Los arroyo',15),(7790,'4158','Los guayacanes',15),(7791,'4158','Marapa',15),(7792,'4158','Naranjo esquina',15),(7793,'4158','Ruta nacional 38',15),(7794,'4158','Ruta provincial 308',15),(7795,'4158','Talamuyo',15),(7796,'4158','Ucuchacra',15),(7797,'4158','Villa alberdi',15),(7798,'4158','Villa alberdi estacion',15),(7799,'4158','Villa belgrano',15),(7800,'4158','Yaminas',15),(7801,'4158','Yaquilo',15),(7802,'4159','Alto el puesto',15),(7803,'4159','Campo bello',15),(7804,'4159','Campo grande',15),(7805,'4159','Escobas',15),(7806,'4159','Gramajos',15),(7807,'4159','Graneros',15),(7808,'4159','Kilometro 29',15),(7809,'4159','Km 12',15),(7810,'4159','La caÑada',15),(7811,'4159','Los diaz',15),(7812,'4159','Los gramajo',15),(7813,'4159','Los gramajos',15),(7814,'4159','Pampa larga',15),(7815,'4159','San luis de las casas viejas',15),(7816,'4159','Taco rodeo',15),(7817,'4159','Ympas',15),(7818,'4159','Zapallar',15),(7819,'4161','Alongo',15),(7820,'4161','Campo la cruz',15),(7821,'4161','Dolavon',15),(7822,'4161','Domingo millan',15),(7823,'4161','Donato alvarez',15),(7824,'4161','El nogal',15),(7825,'4161','El polear',15),(7826,'4161','Kilometro 10 fcgb',15),(7827,'4161','Los bajos',15),(7828,'4161','Los tres bajos',15),(7829,'4161','Nueva esquina',15),(7830,'4161','Palo blanco',15),(7831,'4161','Sacrificio',15),(7832,'4161','San francisco',15),(7833,'4162','Batiruana',15),(7834,'4162','Boca de la quebrada',15),(7835,'4162','Cajas viejas',15),(7836,'4162','Casa vieja',15),(7837,'4162','El colcolar',15),(7838,'4162','El duraznito',15),(7839,'4162','El jardin',15),(7840,'4162','El pila',15),(7841,'4162','El porvenir',15),(7842,'4162','Escuela 125',15),(7843,'4162','Escuela 159',15),(7844,'4162','Escuela 188',15),(7845,'4162','Escuela 24',15),(7846,'4162','Escuela 244',15),(7847,'4162','Escuela 25',15),(7848,'4162','Escuela 282',15),(7849,'4162','Escuela 294',15),(7850,'4162','Escuela 355',15),(7851,'4162','Escuela 363',15),(7852,'4162','Escuela 73',15),(7853,'4162','Escuela 89',15),(7854,'4162','Escuela joaquin v gonzalez',15),(7855,'4162','Escuela mario bravo',15),(7856,'4162','Escuela olegario andrade',15),(7857,'4162','Escuela pedro medrano',15),(7858,'4162','Fisherton',15),(7859,'4162','Huacra',15),(7860,'4162','Huasa pampa sur',15),(7861,'4162','Kilometro 1402',15),(7862,'4162','Kilometro 1412',15),(7863,'4162','Kilometro 1438',15),(7864,'4162','Kilometro 19',15),(7865,'4162','La cocha',15),(7866,'4162','La huerta',15),(7867,'4162','Las cejas',15),(7868,'4162','Loa diaz',15),(7869,'4162','Los mistoles',15),(7870,'4162','Los pizarro',15),(7871,'4162','Mistol',15),(7872,'4162','Monte grande',15),(7873,'4162','Monte redomon',15),(7874,'4162','Monte redondo',15),(7875,'4162','Ponzacon',15),(7876,'4162','Potrerillos',15),(7877,'4162','Pozo cavado',15),(7878,'4162','Puesto los robles',15),(7879,'4162','Retiro',15),(7880,'4162','Ruta nacional 38',15),(7881,'4162','Ruta nacional 64',15),(7882,'4162','Ruta provincial 334',15),(7883,'4162','San ignacio',15),(7884,'4162','Sauce seco',15),(7885,'4162','Sauce yaco',15),(7886,'4162','Sauce yacu',15),(7887,'4162','Tata yacu',15),(7888,'4163','Huasa pampa norte',15),(7889,'4163','La lagunilla',15),(7890,'4163','Puesto nuevo',15),(7891,'4163','Romerello',15),(7892,'4163','San jose',15),(7893,'4163','San jose de la cocha',15),(7894,'4164','Bajastine',15),(7895,'4164','El bajo',15),(7896,'4164','El suncho',15),(7897,'4164','La posta',15),(7898,'4164','Pueblo nuevo',15),(7899,'4164','Pueblo viejo',15),(7900,'4164','Puerta grande',15),(7901,'4164','Rumi punco',15),(7902,'4164','Suncho punta',15),(7903,'4166','Balderrama',15),(7904,'4166','El arenal',15),(7905,'4166','Entre rios',15),(7906,'4166','Kilometro 1220',15),(7907,'4166','Kilometro 1235',15),(7908,'4166','Kilometro 1248',15),(7909,'4166','Kilometro 1256',15),(7910,'4166','Kilometro 5',15),(7911,'4166','Manchala',15),(7912,'4166','Manuel garcia fernandez',15),(7913,'4166','Manuela pedraza',15),(7914,'4166','Puente el manantial',15),(7915,'4166','Rincon de balderrama',15),(7916,'4166','Rio colorado',15),(7917,'4166','Rio lules',15),(7918,'4166','San felipe',15),(7919,'4166','San ramon',15),(7920,'4168','Agua blanca',15),(7921,'4168','Agua dulce',15),(7922,'4168','Agua salada',15),(7923,'4168','Amaicha del llano',15),(7924,'4168','Anegados',15),(7925,'4168','Bella vista',15),(7926,'4168','Buena vista oeste',15),(7927,'4168','Cachi huasi',15),(7928,'4168','Cachiyaco',15),(7929,'4168','Camas amontonadas',15),(7930,'4168','Campana',15),(7931,'4168','Campo azul',15),(7932,'4168','Campo redondo',15),(7933,'4168','Candelillal',15),(7934,'4168','CaÑada de viclos',15),(7935,'4168','CaÑada el arenal',15),(7936,'4168','Carancho pozo',15),(7937,'4168','Cevilarcito',15),(7938,'4168','ChaÑar muya',15),(7939,'4168','ChaÑar pozo',15),(7940,'4168','ChaÑarito',15),(7941,'4168','Colonia el sunchal',15),(7942,'4168','Colonia sobrecasa',15),(7943,'4168','El aguilar',15),(7944,'4168','El atacat',15),(7945,'4168','El castoral',15),(7946,'4168','El ceibal',15),(7947,'4168','El moyar',15),(7948,'4168','Escuela 1',15),(7949,'4168','Escuela 1 junta',15),(7950,'4168','Escuela 102',15),(7951,'4168','Escuela 103',15),(7952,'4168','Escuela 104',15),(7953,'4168','Escuela 105',15),(7954,'4168','Escuela 11',15),(7955,'4168','Escuela 114',15),(7956,'4168','Escuela 122',15),(7957,'4168','Escuela 132',15),(7958,'4168','Escuela 145',15),(7959,'4168','Escuela 146',15),(7960,'4168','Escuela 147',15),(7961,'4168','Escuela 153',15),(7962,'4168','Escuela 156',15),(7963,'4168','Escuela 157',15),(7964,'4168','Escuela 174',15),(7965,'4168','Escuela 175',15),(7966,'4168','Escuela 185',15),(7967,'4168','Escuela 192',15),(7968,'4168','Escuela 194',15),(7969,'4168','Escuela 195',15),(7970,'4168','Escuela 207',15),(7971,'4168','Escuela 209',15),(7972,'4168','Escuela 224',15),(7973,'4168','Escuela 226',15),(7974,'4168','Escuela 227',15),(7975,'4168','Escuela 229',15),(7976,'4168','Escuela 231',15),(7977,'4168','Escuela 232',15),(7978,'4168','Escuela 235',15),(7979,'4168','Escuela 238',15),(7980,'4168','Escuela 25 de mayo',15),(7981,'4168','Escuela 27',15),(7982,'4168','Escuela 272',15),(7983,'4168','Escuela 273',15),(7984,'4168','Escuela 293',15),(7985,'4168','Escuela 323',15),(7986,'4168','Escuela 354',15),(7987,'4168','Escuela 364',15),(7988,'4168','Escuela 370',15),(7989,'4168','Escuela 52',15),(7990,'4168','Escuela 77',15),(7991,'4168','Escuela 78',15),(7992,'4168','Escuela 79',15),(7993,'4168','Escuela 80',15),(7994,'4168','Escuela 81',15),(7995,'4168','Escuela 82',15),(7996,'4168','Escuela alejandro heredia',15),(7997,'4168','Escuela angel padilla',15),(7998,'4168','Escuela batalla de tucuman',15),(7999,'4168','Escuela cacique manamico',15),(8000,'4168','Escuela estanislao zeballos',15),(8001,'4168','Escuela gobernador miguel nogu',15),(8002,'4168','Escuela granillo',15),(8003,'4168','Escuela ignacio bas',15),(8004,'4168','Escuela la asuncion',15),(8005,'4168','Escuela m de pueyrredon',15),(8006,'4168','Escuela p de mendoza',15),(8007,'4168','Escuela pedro echeverry',15),(8008,'4168','Escuela r rojas',15),(8009,'4168','Estancia la princesa',15),(8010,'4168','Finca araoz',15),(8011,'4168','Finca los llanos',15),(8012,'4168','Finca tinta',15),(8013,'4168','Finca tulio',15),(8014,'4168','Ingenio bella vista',15),(8015,'4168','Kilometro 1231',15),(8016,'4168','Kilometro 1240',15),(8017,'4168','Kilometro 1244',15),(8018,'4168','Kilometro 1260',15),(8019,'4168','Kilometro 35',15),(8020,'4168','La donosa',15),(8021,'4168','La isla',15),(8022,'4168','La princesa',15),(8023,'4168','Las barrancas',15),(8024,'4168','Las cuatro esquinas',15),(8025,'4168','Las juntas',15),(8026,'4168','Las pirvas',15),(8027,'4168','Los agudos',15),(8028,'4168','Los decima',15),(8029,'4168','Los pocitos',15),(8030,'4168','Los valdes',15),(8031,'4168','Maria elena',15),(8032,'4168','Molle pozo',15),(8033,'4168','Paja blanca',15),(8034,'4168','Planta de bombeo de ypf',15),(8035,'4168','Potrero grande',15),(8036,'4168','Puertas grandes',15),(8037,'4168','Ruta nacional 157',15),(8038,'4168','Ruta nacional 9',15),(8039,'4168','Ruta provincial 302',15),(8040,'4168','Ruta provincial 306',15),(8041,'4168','Ruta provincial 320',15),(8042,'4168','Ruta provincial 323',15),(8043,'4168','Ruta provincial 366',15),(8044,'4168','Ruta provincial 374',15),(8045,'4168','Ruta provincial 375',15),(8046,'4168','Santa clara sud',15),(8047,'4168','Talilar',15),(8048,'4168','Vizcachera',15),(8049,'4168','Yangallo',15),(8050,'4172','Agua de castilla',16),(8051,'4172','Buena vista',15),(8052,'4172','Campo volante',15),(8053,'4172','Castillas',15),(8054,'4172','Chilcar',15),(8055,'4172','El chilcar',15),(8056,'4172','El jardin',15),(8057,'4172','El polear',15),(8058,'4172','Escuela 116',15),(8059,'4172','Escuela 126',15),(8060,'4172','Escuela 129',15),(8061,'4172','Escuela 131',15),(8062,'4172','Escuela 133',15),(8063,'4172','Escuela 134',15),(8064,'4172','Escuela 15',15),(8065,'4172','Escuela 16',15),(8066,'4172','Escuela 162',15),(8067,'4172','Escuela 183',15),(8068,'4172','Escuela 193',15),(8069,'4172','Escuela 198',15),(8070,'4172','Escuela 199',15),(8071,'4172','Escuela 20',15),(8072,'4172','Escuela 201',15),(8073,'4172','Escuela 203',15),(8074,'4172','Escuela 237',15),(8075,'4172','Escuela 241',15),(8076,'4172','Escuela 266',15),(8077,'4172','Escuela 269',15),(8078,'4172','Escuela 286',15),(8079,'4172','Escuela 297',15),(8080,'4172','Escuela 317',15),(8081,'4172','Escuela 322',15),(8082,'4172','Escuela 332',15),(8083,'4172','Escuela 345',15),(8084,'4172','Escuela 36',15),(8085,'4172','Escuela 391',15),(8086,'4172','Escuela 41',15),(8087,'4172','Escuela 43',15),(8088,'4172','Escuela 55',15),(8089,'4172','Escuela 68',15),(8090,'4172','Escuela 84',15),(8091,'4172','Escuela 93',15),(8092,'4172','Escuela 94',15),(8093,'4172','Escuela 95',15),(8094,'4172','Escuela 97',15),(8095,'4172','Escuela 99',15),(8096,'4172','Escuela agueda de posse',15),(8097,'4172','Escuela araoz alfaro',15),(8098,'4172','Escuela cnel geronimo helguera',15),(8099,'4172','Escuela cornelio saavedra',15),(8100,'4172','Escuela gomez',15),(8101,'4172','Escuela lopez maÑar',15),(8102,'4172','Escuela lopez y planes',15),(8103,'4172','Escuela lugones',15),(8104,'4172','Escuela matienzo',15),(8105,'4172','Guemes',15),(8106,'4172','Kilometro 1213',15),(8107,'4172','La rinconada',15),(8108,'4172','Las cejas',15),(8109,'4172','Macio',15),(8110,'4172','Mascio pilco',15),(8111,'4172','Mascio sur',15),(8112,'4172','Mothe',15),(8113,'4172','Pampa mayo',15),(8114,'4172','Pampa mayo noroeste',15),(8115,'4172','San pedro martir',15),(8116,'4172','Simoca',15),(8117,'4172','Yerba buena',15),(8118,'4172','Zanjon mascio',15),(8119,'4174','Ampata',15),(8120,'4174','Ampatilla',15),(8121,'4174','Arocas',15),(8122,'4174','Arroyo atahona',15),(8123,'4174','Atahona',15),(8124,'4174','Balderrama sur',15),(8125,'4174','Banda de palominos',15),(8126,'4174','Buena yerba',15),(8127,'4174','Cejas de aroca',15),(8128,'4174','Chicligasta',15),(8129,'4174','Ciudacita',15),(8130,'4174','Consimo',15),(8131,'4174','Corona',15),(8132,'4174','El durazno',15),(8133,'4174','El mistolar',15),(8134,'4174','El mollar',15),(8135,'4174','El rodeo',15),(8136,'4174','El tobar',15),(8137,'4174','Ensenada',15),(8138,'4174','Entre rios',15),(8139,'4174','Estancia suri yaco',15),(8140,'4174','Ichipuca',15),(8141,'4174','Ingas',15),(8142,'4174','Kilometro 1185',15),(8143,'4174','Kilometro 1194',15),(8144,'4174','Kilometro 1207',15),(8145,'4174','La florida',15),(8146,'4174','La grama',15),(8147,'4174','La loma',15),(8148,'4174','La planta',15),(8149,'4174','La reina',15),(8150,'4174','La tuna',15),(8151,'4174','Lagarte',15),(8152,'4174','Lazarte',15),(8153,'4174','Loma grande',15),(8154,'4174','Los agueros',15),(8155,'4174','Los aguirre',15),(8156,'4174','Los lescanos',15),(8157,'4174','Los mendozas',15),(8158,'4174','Los perez',15),(8159,'4174','Los trejos',15),(8160,'4174','Lovar',15),(8161,'4174','Maria luisa',15),(8162,'4174','Monteagudo',15),(8163,'4174','Niogasta',15),(8164,'4174','Palomas',15),(8165,'4174','Planta compresora ypf',15),(8166,'4174','Poliar',15),(8167,'4174','Rescate',15),(8168,'4174','Riegasta',15),(8169,'4174','Rio seco kilometro 1207',15),(8170,'4174','Rodeo grande',15),(8171,'4174','San antonio',15),(8172,'4174','San antonio de padua',15),(8173,'4174','San carlos',15),(8174,'4174','Sandovales',15),(8175,'4174','Sud de lazarte',15),(8176,'4174','Sud de sandovales',15),(8177,'4174','Sud de trejos',15),(8178,'4174','Suriyaco',15),(8179,'4174','Yacuchiri',15),(8180,'4176','Acos',6),(8181,'4176','Alto del puesto',15),(8182,'4176','Alto verde',15),(8183,'4176','Amimpa',15),(8184,'4176','Amunpa',15),(8185,'4176','Animas',15),(8186,'4176','Arboles grandes',15),(8187,'4176','Arboles verdes',15),(8188,'4176','Barrancas',15),(8189,'4176','Barranqueras',15),(8190,'4176','Barrosa',15),(8191,'4176','Campo alegre',15),(8192,'4176','CaÑadas',15),(8193,'4176','Casa santa',15),(8194,'4176','ChaÑar',15),(8195,'4176','Dos pozos',15),(8196,'4176','El arbolito',6),(8197,'4176','El baÑado',15),(8198,'4176','El barranquero',15),(8199,'4176','El campo',15),(8200,'4176','El mistol',15),(8201,'4176','El nial',15),(8202,'4176','El palancho',15),(8203,'4176','El rodeo',15),(8204,'4176','El sauzal',15),(8205,'4176','El vallecito',15),(8206,'4176','Embalse rio hondo',15),(8207,'4176','Escuela 123',15),(8208,'4176','Escuela 151',15),(8209,'4176','Escuela 158',15),(8210,'4176','Escuela 172',15),(8211,'4176','Escuela 178',15),(8212,'4176','Escuela 179',15),(8213,'4176','Escuela 180',15),(8214,'4176','Escuela 182',15),(8215,'4176','Escuela 184',15),(8216,'4176','Escuela 187',15),(8217,'4176','Escuela 189',15),(8218,'4176','Escuela 191',15),(8219,'4176','Escuela 245',15),(8220,'4176','Escuela 302',15),(8221,'4176','Escuela 303',15),(8222,'4176','Escuela 306',15),(8223,'4176','Escuela 316',15),(8224,'4176','Escuela 343',15),(8225,'4176','Escuela 346',15),(8226,'4176','Escuela 72',15),(8227,'4176','Escuela 74',15),(8228,'4176','Escuela 75',15),(8229,'4176','Escuela 90',15),(8230,'4176','Escuela 92',15),(8231,'4176','Escuela 96',15),(8232,'4176','Escuela cap diego fco pereyra',15),(8233,'4176','Escuela cristobal colon',15),(8234,'4176','Esquina',15),(8235,'4176','Kilometro 12',15),(8236,'4176','La brama',15),(8237,'4176','La concepcion',15),(8238,'4176','La costa palampa',15),(8239,'4176','La esperanza',15),(8240,'4176','La estrella',15),(8241,'4176','La loma',15),(8242,'4176','La soledad',15),(8243,'4176','Laguna larga',15),(8244,'4176','Lamadrid',15),(8245,'4176','Las animas',15),(8246,'4176','Las lomitas',15),(8247,'4176','Las parritas',15),(8248,'4176','Las zanjitas',15),(8249,'4176','Los cercos',15),(8250,'4176','Los panchillos',15),(8251,'4176','Los paraisos',15),(8252,'4176','Los ruiz',15),(8253,'4176','Los saracho',15),(8254,'4176','Los sauces',15),(8255,'4176','Los soraire',15),(8256,'4176','Los sotelo',15),(8257,'4176','Palma larga',6),(8258,'4176','Palo seco',15),(8259,'4176','Palos quemados',15),(8260,'4176','Pampa muyo',15),(8261,'4176','Pampa rosa',15),(8262,'4176','Paso de los nievas',15),(8263,'4176','Paso grande',15),(8264,'4176','Pozo del arbolito',6),(8265,'4176','Pozo el quebracho',15),(8266,'4176','Pozo verde',15),(8267,'4176','Puesto belen',15),(8268,'4176','Puesto de galvanes',15),(8269,'4176','Puesto los barraza',15),(8270,'4176','Puesto los galvez',15),(8271,'4176','Rio hondito',15),(8272,'4176','Rumi cocha',15),(8273,'4176','Ruta nacional 157',15),(8274,'4176','Ruta provincial 333',15),(8275,'4176','Ruta provincial 334',15),(8276,'4176','San antonio de quisca',15),(8277,'4176','Sol de mayo',15),(8278,'4176','Tala caida',15),(8279,'4176','Tala sacha',15),(8280,'4176','Villa pujio',15),(8281,'4178','Abra rica',15),(8282,'4178','Aguadita',15),(8283,'4178','Alabama nueva',15),(8284,'4178','Alderetes',15),(8285,'4178','Alto las lechuzas',15),(8286,'4178','Andres ferreyra',15),(8287,'4178','Araoz',15),(8288,'4178','Arbol solo',15),(8289,'4178','Bello horizonte',15),(8290,'4178','Blanco pozo',15),(8291,'4178','Boca del tigre',15),(8292,'4178','Bracho viejo',15),(8293,'4178','Cachi yaco',15),(8294,'4178','Campo el luisito',15),(8295,'4178','Campo el mollar',15),(8296,'4178','Campo la flor',15),(8297,'4178','CaÑada de viclos',15),(8298,'4178','Casa rosada',15),(8299,'4178','Cejas de beÑachillos',15),(8300,'4178','Cerco cuatro',15),(8301,'4178','Cevil pozo',15),(8302,'4178','Cohigac',15),(8303,'4178','Colonia el puesto',15),(8304,'4178','Colonia el tarco',15),(8305,'4178','Colonia la bonaria',15),(8306,'4178','Colonia la ortiz',15),(8307,'4178','Colonia la roca',15),(8308,'4178','Colonia mercedes',15),(8309,'4178','Colonia mistol',15),(8310,'4178','Colonia monteros',15),(8311,'4178','Colonia san luis',15),(8312,'4178','Colonia san miguel',15),(8313,'4178','Colonia santa rita',15),(8314,'4178','Cruz alta',15),(8315,'4178','Cruz del norte estacion fcgm',15),(8316,'4178','El bagual',15),(8317,'4178','El bagual',6),(8318,'4178','El cardenal',15),(8319,'4178','El carmen puente alto',15),(8320,'4178','El cevilar',15),(8321,'4178','El corte',15),(8322,'4178','El cruce',15),(8323,'4178','El cuadro',15),(8324,'4178','El guayacan',15),(8325,'4178','El melon',15),(8326,'4178','El mojon',15),(8327,'4178','El pacara',6),(8328,'4178','El pajal',15),(8329,'4178','El puerto',15),(8330,'4178','El puesto',15),(8331,'4178','El quimil',15),(8332,'4178','El talar',15),(8333,'4178','Empalme agua dulce',15),(8334,'4178','Escuela 106',15),(8335,'4178','Escuela 108',15),(8336,'4178','Escuela 109',15),(8337,'4178','Escuela 110',15),(8338,'4178','Escuela 111',15),(8339,'4178','Escuela 12 de octubre',15),(8340,'4178','Escuela 141',15),(8341,'4178','Escuela 142',15),(8342,'4178','Escuela 220',15),(8343,'4178','Escuela 225',15),(8344,'4178','Escuela 228',15),(8345,'4178','Escuela 270',15),(8346,'4178','Escuela 277',15),(8347,'4178','Escuela 283',15),(8348,'4178','Escuela 284',15),(8349,'4178','Escuela 291',15),(8350,'4178','Escuela 3',15),(8351,'4178','Escuela 308',15),(8352,'4178','Escuela 312',15),(8353,'4178','Escuela 327',15),(8354,'4178','Escuela 329',15),(8355,'4178','Escuela 330',15),(8356,'4178','Escuela 334',15),(8357,'4178','Escuela 335',15),(8358,'4178','Escuela 56',15),(8359,'4178','Escuela 76',15),(8360,'4178','Escuela 86',15),(8361,'4178','Escuela 9',15),(8362,'4178','Escuela almafuerte',15),(8363,'4178','Escuela arenales',15),(8364,'4178','Escuela blas parera',15),(8365,'4178','Escuela coronel roca',15),(8366,'4178','Escuela e de lucas',15),(8367,'4178','Escuela g de vega',15),(8368,'4178','Escuela guido spano',15),(8369,'4178','Escuela ingeniero bascary',15),(8370,'4178','Escuela jose colombres',15),(8371,'4178','Escuela jose posse',15),(8372,'4178','Escuela juana manso',15),(8373,'4178','Escuela n vergara',15),(8374,'4178','Escuela r j freyre',15),(8375,'4178','Escuela santiago gallo',15),(8376,'4178','Escuela sargento cabral',15),(8377,'4178','Escuela w posse',15),(8378,'4178','Estacion araoz',15),(8379,'4178','Finca el ceibo',15),(8380,'4178','Finca leila',15),(8381,'4178','Guanaco muerto',15),(8382,'4178','Kilometro 1270',15),(8383,'4178','Kilometro 34',15),(8384,'4178','Kilometro 771',15),(8385,'4178','La cantina',15),(8386,'4178','La cornelia',15),(8387,'4178','La ercilia',15),(8388,'4178','La favorita',15),(8389,'4178','La flor',15),(8390,'4178','La guillermina',15),(8391,'4178','La media agua',15),(8392,'4178','La tala',15),(8393,'4178','Las cantinas',6),(8394,'4178','Las palomitas',15),(8395,'4178','Las piedritas',15),(8396,'4178','Las talas',15),(8397,'4178','Los angeles',15),(8398,'4178','Los gutierrez',15),(8399,'4178','Los pereyra',15),(8400,'4178','Los villagra',15),(8401,'4178','Luis pasteur',15),(8402,'4178','Marta',15),(8403,'4178','Mujer muerta',15),(8404,'4178','Overo pozo',15),(8405,'4178','Palmas redondas',15),(8406,'4178','Pereyra norte',15),(8407,'4178','Pereyra sur',15),(8408,'4178','Porvenir',15),(8409,'4178','Potrero de los alamos',15),(8410,'4178','Ranchillos',15),(8411,'4178','Ranchillos viejos',15),(8412,'4178','Rincon de las tacanas',15),(8413,'4178','Ruta nacional 9',15),(8414,'4178','Ruta provincial 302',15),(8415,'4178','Ruta provincial 303',15),(8416,'4178','Ruta provincial 304',15),(8417,'4178','Ruta provincial 306',15),(8418,'4178','Ruta provincial 319',15),(8419,'4178','Ruta provincial 335',15),(8420,'4178','San ignacio',15),(8421,'4178','San miguel',15),(8422,'4178','San miguelito',15),(8423,'4178','San vicente',15),(8424,'4178','Santa rita',15),(8425,'4178','Sinquial',15),(8426,'4178','Superintendente ledesma',15),(8427,'4178','Tacanas',15),(8428,'4178','Tres pozos',15),(8429,'4178','Va recaste',15),(8430,'4178','Viclos',15),(8431,'4182','Campo la flor los ralos',15),(8432,'4182','Colmena lolita',15),(8433,'4182','Colonia lolita norte',15),(8434,'4182','Finca mayo',15),(8435,'4182','Ingenio los ralos',15),(8436,'4182','Lolita',15),(8437,'4182','Lolita nueva',15),(8438,'4182','Los ralos',15),(8439,'4182','Mayo',15),(8440,'4182','San pereyra',15),(8441,'4182','Villa tercera',15),(8442,'4184','Animas',6),(8443,'4184','AÑil',6),(8444,'4184','Arbolitos',6),(8445,'4184','Bajo hondo',6),(8446,'4184','Bella vista',6),(8447,'4184','Blanco pozo',6),(8448,'4184','Boca del tigre',6),(8449,'4184','Bustamante',15),(8450,'4184','Ceja pozo',6),(8451,'4184','Charco viejo',6),(8452,'4184','Don bartolo',6),(8453,'4184','Ea la verde',6),(8454,'4184','El cambiado',6),(8455,'4184','El carbon',15),(8456,'4184','El churqui',6),(8457,'4184','El molar',6),(8458,'4184','El parana',6),(8459,'4184','El prado',15),(8460,'4184','El rincon',6),(8461,'4184','Gaspar suarez',6),(8462,'4184','Humaita',6),(8463,'4184','Huturungo',6),(8464,'4184','Ingenio cruz alta',15),(8465,'4184','Isca yacu',6),(8466,'4184','Isca yacu semaul',6),(8467,'4184','Kilometro 781',15),(8468,'4184','Kilometro 784',15),(8469,'4184','Kilometro 794',15),(8470,'4184','La esperanza',6),(8471,'4184','Las cejas',6),(8472,'4184','Lopez dominguez',15),(8473,'4184','Los ralos',6),(8474,'4184','Poleo pozo',6),(8475,'4184','Pozo del alto',15),(8476,'4184','Pozo hondo',6),(8477,'4184','Pozo lerdo',6),(8478,'4184','Pozo lindo',6),(8479,'4184','Puerta grande',6),(8480,'4184','Retiro',6),(8481,'4184','San javier',6),(8482,'4184','San pedro',6),(8483,'4184','Suncho pujio',6),(8484,'4184','Superintendente ledesma',6),(8485,'4184','Tacanas',6),(8486,'4184','Tenene',6),(8487,'4184','Tres flores',6),(8488,'4184','Tusca pozo',6),(8489,'4184','Uclar',6),(8490,'4184','Utrunjos',6),(8491,'4184','Viteaca',6),(8492,'4186','CaÑete',15),(8493,'4186','El palomar',15),(8494,'4186','El palomar',6),(8495,'4186','El rincon',15),(8496,'4186','La libertad',15),(8497,'4186','Lapachitos',15),(8498,'4186','Las cejas',15),(8499,'4186','Los godoy',15),(8500,'4186','Los hardoy',15),(8501,'4186','Pozo lapacho',15),(8502,'4186','San agustin',15),(8503,'4186','San carlos',15),(8504,'4186','San jose',15),(8505,'4186','Santa luisa',15),(8506,'4186','Santillan',15),(8507,'4186','Tuscal redondo',15),(8508,'4186','Virginia',15),(8509,'4187','Anta chica',15),(8510,'4187','Arenales',6),(8511,'4187','Bobadal',6),(8512,'4187','Ceja pozo',15),(8513,'4187','El arbolito',15),(8514,'4187','El bachi',15),(8515,'4187','El bobadal',6),(8516,'4187','El cambiado',6),(8517,'4187','El durazno',6),(8518,'4187','El gramillar',6),(8519,'4187','El palomar',15),(8520,'4187','El puesto del medio',15),(8521,'4187','Ensenada',6),(8522,'4187','Escuela 112',15),(8523,'4187','Escuela 118',15),(8524,'4187','Escuela 149',15),(8525,'4187','Escuela 150',15),(8526,'4187','Escuela 152',15),(8527,'4187','Escuela 166',15),(8528,'4187','Escuela 167',15),(8529,'4187','Escuela 173',15),(8530,'4187','Escuela 177',15),(8531,'4187','Escuela 205',15),(8532,'4187','Escuela 208',15),(8533,'4187','Escuela 211',15),(8534,'4187','Escuela 242',15),(8535,'4187','Escuela 246',15),(8536,'4187','Escuela 250',15),(8537,'4187','Escuela 262',15),(8538,'4187','Escuela 275',15),(8539,'4187','Escuela 276',15),(8540,'4187','Escuela 278',15),(8541,'4187','Escuela 292',15),(8542,'4187','Escuela 30',15),(8543,'4187','Escuela 310',15),(8544,'4187','Escuela 313',15),(8545,'4187','Escuela 314',15),(8546,'4187','Escuela 326',15),(8547,'4187','Escuela 331',15),(8548,'4187','Escuela 339',15),(8549,'4187','Escuela 34',15),(8550,'4187','Escuela 344',15),(8551,'4187','Escuela 347',15),(8552,'4187','Escuela 353',15),(8553,'4187','Escuela 366',15),(8554,'4187','Escuela 368',15),(8555,'4187','Escuela 369',15),(8556,'4187','Escuela 375',15),(8557,'4187','Escuela 386',15),(8558,'4187','Escuela 4',15),(8559,'4187','Escuela 5',15),(8560,'4187','Escuela 57',15),(8561,'4187','Escuela 60',15),(8562,'4187','Escuela 61',15),(8563,'4187','Escuela 62',15),(8564,'4187','Escuela 7',15),(8565,'4187','Escuela 83',15),(8566,'4187','Escuela 91',15),(8567,'4187','Escuela adolfo alsina',15),(8568,'4187','Escuela alberto soldati',15),(8569,'4187','Escuela alvarez condarco',15),(8570,'4187','Escuela campamento el plumeril',15),(8571,'4187','Escuela cap candelaria',15),(8572,'4187','Escuela caupolican molina',15),(8573,'4187','Escuela diego de villafaÑe',15),(8574,'4187','Escuela leo huasi',15),(8575,'4187','Escuela manuel cossio',15),(8576,'4187','Escuela mariano salas',15),(8577,'4187','Escuela pedro araoz',15),(8578,'4187','Escuela puestito de arriba',15),(8579,'4187','Escuela salvador alonso',15),(8580,'4187','Garmendia',15),(8581,'4187','Gobernador piedrabuena',15),(8582,'4187','Ingenio esperanza',15),(8583,'4187','Isla mota',6),(8584,'4187','La costosa',6),(8585,'4187','La esperanza',15),(8586,'4187','La luna',6),(8587,'4187','La maravilla',6),(8588,'4187','La melada',6),(8589,'4187','Las abras',15),(8590,'4187','Las chacras',6),(8591,'4187','Las puertas',6),(8592,'4187','Lujan',15),(8593,'4187','Monte cristo',15),(8594,'4187','Monte potrero',6),(8595,'4187','Montesino',6),(8596,'4187','Paja colorada',15),(8597,'4187','Paso de la patria',15),(8598,'4187','Piedra buena',6),(8599,'4187','Puerta alegre',15),(8600,'4187','Puesto del medio',15),(8601,'4187','Rosario',15),(8602,'4187','San arturo',15),(8603,'4187','San federico',15),(8604,'4187','San felix',6),(8605,'4187','San pedro',15),(8606,'4187','Santo domingo',6),(8607,'4187','Sesteadero',6),(8608,'4187','Tinajeros',15),(8609,'4187','Traslado',6),(8610,'4187','Urizar',15),(8611,'4187','Uturuno',15),(8612,'4187','Villa desierto de luz',15),(8613,'4187','Villa el bache',15),(8614,'4187','Villa el retiro',15),(8615,'4187','Villa la soledad',15),(8616,'4187','Villa la tuna',15),(8617,'4187','Villa maria',15),(8618,'4187','Villa mercedes',15),(8619,'4187','Villa monte cristo',15),(8620,'4187','Villa san antonio',15),(8621,'4187','Villa santa rosa de nueva trin',15),(8622,'4189','Agua azul',6),(8623,'4189','Campo amarillo',6),(8624,'4189','Campo grande',6),(8625,'4189','Copo viejo',6),(8626,'4189','El cajon',6),(8627,'4189','Guanacuyoj',6),(8628,'4189','La aloja',6),(8629,'4189','La blanca',6),(8630,'4189','La juliana',6),(8631,'4189','La tala',6),(8632,'4189','Las delicias',6),(8633,'4189','Las lajas',6),(8634,'4189','Las lomas',6),(8635,'4189','Libertad',6),(8636,'4189','Los cerros',6),(8637,'4189','Los molles',6),(8638,'4189','Los moyas',6),(8639,'4189','Pampa pozo',6),(8640,'4189','Pozo betbeder',6),(8641,'4189','Rapelli',6),(8642,'4189','Santa maria de las chacras',6),(8643,'4189','Simbol pozo',6),(8644,'4189','Simbolar',6),(8645,'4189','Taco punco',6),(8646,'4189','Tres varones',6),(8647,'4189','Villa mercedes',6),(8648,'4189','Yuchancito',6),(8649,'4190','Aguas calientes',14),(8650,'4190','Bajada',14),(8651,'4190','BaÑos termales',14),(8652,'4190','Barbayasco',14),(8653,'4190','Cerro negro',14),(8654,'4190','Cosme',14),(8655,'4190','Duraznito',14),(8656,'4190','El portezuelo',14),(8657,'4190','La banda',14),(8658,'4190','La matilde',14),(8659,'4190','Las piedritas',14),(8660,'4190','Los pocitos',14),(8661,'4190','Ojo de agua',14),(8662,'4190','Ovando',14),(8663,'4190','Palomar',14),(8664,'4190','Potrerillo',14),(8665,'4190','Rosario de la frontera',14),(8666,'4190','Rosario funca',14),(8667,'4190','San esteban',14),(8668,'4190','San vicente',14),(8669,'4190','Santa teresa',14),(8670,'4190','Viaducto el muÑal',14),(8671,'4190','Villa aurelia',14),(8672,'4191','El naranjo',14),(8673,'4191','San pedro de los corrales',14),(8674,'4191','Vaqueria',14),(8675,'4193','Almirante brown',14),(8676,'4193','Antilla',14),(8677,'4193','Bajada blanca',14),(8678,'4193','Balboa',14),(8679,'4193','Bella vista',14),(8680,'4193','Cabeza de anta',14),(8681,'4193','CaÑada de la junta',14),(8682,'4193','CaÑadon de las juntas',14),(8683,'4193','Cerro colorado',14),(8684,'4193','Cerro negro',14),(8685,'4193','ChaÑar aguada',14),(8686,'4193','Colgadas',14),(8687,'4193','Condor',14),(8688,'4193','Copo quile',14),(8689,'4193','El bordo',14),(8690,'4193','El ceibal',14),(8691,'4193','El condor',14),(8692,'4193','El ojo',14),(8693,'4193','El potrero',14),(8694,'4193','La cienaga',14),(8695,'4193','La cruz',14),(8696,'4193','La firmeza',14),(8697,'4193','La pajita',14),(8698,'4193','Las catitas',14),(8699,'4193','Las mercedes',14),(8700,'4193','Las saladas',14),(8701,'4193','Las tunillas',14),(8702,'4193','Los baÑos',14),(8703,'4193','Los rosales',14),(8704,'4193','Madariaga',14),(8705,'4193','Morenillo',14),(8706,'4193','Pozo blanco',14),(8707,'4193','Puente de plata',14),(8708,'4193','Recreo',14),(8709,'4193','Rio urueÑa',14),(8710,'4193','San agustin',14),(8711,'4193','San juan',14),(8712,'4193','San lorenzo',14),(8713,'4193','San luis',14),(8714,'4193','San pedro',14),(8715,'4193','San roque',14),(8716,'4193','Santa catalina',14),(8717,'4193','Santa maria',14),(8718,'4193','Suri micuna',14),(8719,'4193','Tala yaco',14),(8720,'4193','Villa corta',14),(8721,'4193','Vizcacheral',14),(8722,'4195','7 de abril',15),(8723,'4195','Cortaderas',15),(8724,'4195','El remate',6),(8725,'4195','El remate',15),(8726,'4195','La florida',15),(8727,'4195','Las colas',15),(8728,'4195','Las mojarritas',14),(8729,'4195','Los canteros',14),(8730,'4195','Monte potrero',6),(8731,'4195','Monte quemado',6),(8732,'4195','Potrero',14),(8733,'4195','Pozo grande',15),(8734,'4195','Pozo largo',15),(8735,'4195','Quebracho coto',6),(8736,'4195','Quemadito',6),(8737,'4195','Suriyacu',15),(8738,'4195','Tala bajada',15),(8739,'4197','7 de abril',6),(8740,'4197','Agua amarga',6),(8741,'4197','Ahi veremos',6),(8742,'4197','Algarrobal viejo',6),(8743,'4197','Bagual muerto',6),(8744,'4197','Belgrano',6),(8745,'4197','Brandan',6),(8746,'4197','Buen lugar',6),(8747,'4197','ChaÑar pozo',6),(8748,'4197','Corral quemado',6),(8749,'4197','El balde',6),(8750,'4197','El baldecito',6),(8751,'4197','El diablo',6),(8752,'4197','El florido',6),(8753,'4197','El gramillar',6),(8754,'4197','El mojon',6),(8755,'4197','El potrero',6),(8756,'4197','El quemado',6),(8757,'4197','El real',6),(8758,'4197','El rosario',6),(8759,'4197','El saladillo',6),(8760,'4197','El sauce',6),(8761,'4197','Ensenada',6),(8762,'4197','Hahuancuyos',6),(8763,'4197','Isla mota',6),(8764,'4197','Junalito',6),(8765,'4197','Kilometro 645',6),(8766,'4197','Kilometro 651',6),(8767,'4197','La aguada',6),(8768,'4197','La codicia',6),(8769,'4197','La florida',6),(8770,'4197','La fragua',6),(8771,'4197','La maravilla',6),(8772,'4197','La melada',6),(8773,'4197','La mesada',6),(8774,'4197','Las quebradas',6),(8775,'4197','Loma grande',6),(8776,'4197','Lomas blancas',6),(8777,'4197','Maravilla',6),(8778,'4197','Masumpa',6),(8779,'4197','Media luna',6),(8780,'4197','Mojon',6),(8781,'4197','Molleoj',6),(8782,'4197','Nueva esperanza',6),(8783,'4197','Peludo warcuna',6),(8784,'4197','Piedra buena',6),(8785,'4197','Puesto del medio',6),(8786,'4197','Puesto del simbol',6),(8787,'4197','Puesto nuevo',6),(8788,'4197','Quebrada esquina',6),(8789,'4197','San cristobal',6),(8790,'4197','San gregorio',6),(8791,'4197','San isidro',6),(8792,'4197','San nicolas',6),(8793,'4197','Sansioj',6),(8794,'4197','Santa cruz',6),(8795,'4197','Santa felisa',6),(8796,'4197','Santa rosa',6),(8797,'4197','Santo domingo',6),(8798,'4197','SeÑora pujio',6),(8799,'4197','Siete arboles',6),(8800,'4197','Simbol huasi',6),(8801,'4197','Taco bajada',6),(8802,'4197','Tres bajos',6),(8803,'4197','Tres quebrachos',6),(8804,'4198','Arenal',14),(8805,'4198','Bajada de gavi',14),(8806,'4198','Bajada grande',14),(8807,'4198','Camara',14),(8808,'4198','Diamante',14),(8809,'4198','El corral viejo',14),(8810,'4198','El ojito',14),(8811,'4198','El puestito',14),(8812,'4198','El quemado',14),(8813,'4198','El tandil',14),(8814,'4198','Federacion',14),(8815,'4198','Horcones',14),(8816,'4198','La hoyada',14),(8817,'4198','La palata',14),(8818,'4198','La plata',14),(8819,'4198','Las mojarras',14),(8820,'4198','Las ventanas',14),(8821,'4198','Los churquis',14),(8822,'4198','Los zanjones',14),(8823,'4198','Ovejeria',14),(8824,'4198','Paso verde',14),(8825,'4198','Pozo verde',14),(8826,'4198','Pozos largos',14),(8827,'4198','San felipe',14),(8828,'4198','San lorenzo',14),(8829,'4198','Santa rosa',14),(8830,'4198','Tamas cortadas',14),(8831,'4200','Barrio villa cohesa',6),(8832,'4200','Contreras establecimiento',6),(8833,'4200','El puestito',6),(8834,'4200','El vinalar',6),(8835,'4200','Mercedes',6),(8836,'4200','Puesto del medio',6),(8837,'4200','Santiago del estero',6),(8838,'4200','Tala pozo',6),(8839,'4200','Upianita',6),(8840,'4200','Villa constantina',6),(8841,'4200','Villa grimanesa',6),(8842,'4201','Abrita chica',6),(8843,'4201','Abrita grande',6),(8844,'4201','Anchanga',6),(8845,'4201','Ancocha',6),(8846,'4201','Aragones',6),(8847,'4201','Arbol solo',6),(8848,'4201','Brea puÑuna',6),(8849,'4201','Buena vista',6),(8850,'4201','Cancinos',6),(8851,'4201','Candelaria',6),(8852,'4201','Caneinos',6),(8853,'4201','CaÑada del medio',6),(8854,'4201','Cardozos',6),(8855,'4201','Catorce quebrachos',6),(8856,'4201','Chanchillos',6),(8857,'4201','Chauchillas',6),(8858,'4201','Chilcas la loma',6),(8859,'4201','Chilquita i',6),(8860,'4201','Chuiqui',6),(8861,'4201','Coropampa',6),(8862,'4201','Dique los quiroga',6),(8863,'4201','El carmen',6),(8864,'4201','El dean',6),(8865,'4201','El fraile',6),(8866,'4201','El peral',6),(8867,'4201','Hoyo con agua',6),(8868,'4201','Hoyon',6),(8869,'4201','Huachana',6),(8870,'4201','Isla de aragones',6),(8871,'4201','Kenti taco',6),(8872,'4201','La darsena',6),(8873,'4201','La esquina',6),(8874,'4201','La florida',6),(8875,'4201','La grama',6),(8876,'4201','La perlita',6),(8877,'4201','Leiva',6),(8878,'4201','Lezcanos',6),(8879,'4201','Lomitas',6),(8880,'4201','Los nuÑez',6),(8881,'4201','Los quiroga',6),(8882,'4201','Manogasta',6),(8883,'4201','Mirandas',6),(8884,'4201','Monte cristo',6),(8885,'4201','Morales',6),(8886,'4201','Naranjito',6),(8887,'4201','Negra muerta',6),(8888,'4201','Ovejeros',6),(8889,'4201','Pocitos',6),(8890,'4201','Pozo cercado',6),(8891,'4201','Pozo grande',6),(8892,'4201','Puesto de diaz',6),(8893,'4201','Ramaditas',6),(8894,'4201','Rodeo de soria',6),(8895,'4201','Rodeo de valdez',6),(8896,'4201','San antonio',6),(8897,'4201','San antonio de los caceres',6),(8898,'4201','San carlos',6),(8899,'4201','San dionisio',6),(8900,'4201','San isidro',6),(8901,'4201','San martin',6),(8902,'4201','Santa maria',6),(8903,'4201','Sauzal',6),(8904,'4201','Simbol pozo',6),(8905,'4201','Sol de mayo',6),(8906,'4201','Sumamao',6),(8907,'4201','Tipiro',6),(8908,'4201','Toro human',6),(8909,'4201','Villa jimenez',6),(8910,'4203','Alta gracia',6),(8911,'4203','Alto bello',6),(8912,'4203','Arroyo tala',6),(8913,'4203','Belgrano',6),(8914,'4203','Cabra',6),(8915,'4203','CaÑada',6),(8916,'4203','Cerrillos',6),(8917,'4203','ChaÑar pozo',6),(8918,'4203','Conzo',6),(8919,'4203','Cortadera',6),(8920,'4203','CuichicaÑa',6),(8921,'4203','El rincon',6),(8922,'4203','El tala',6),(8923,'4203','Escuela 1050',6),(8924,'4203','Escuela 20',6),(8925,'4203','Escuela 665',6),(8926,'4203','Escuela 708',6),(8927,'4203','Famatina',6),(8928,'4203','Farol',6),(8929,'4203','Favorina',6),(8930,'4203','Guampacha',6),(8931,'4203','Guardia del norte',6),(8932,'4203','Ichagon',6),(8933,'4203','La calera',6),(8934,'4203','La ensenada',6),(8935,'4203','La punta',6),(8936,'4203','Laguna',6),(8937,'4203','Las chacras',6),(8938,'4203','Las flores',6),(8939,'4203','Lujan',6),(8940,'4203','Maquijata',6),(8941,'4203','Maravilla',6),(8942,'4203','Mate pampa',6),(8943,'4203','Palma flor',6),(8944,'4203','Pampa muyoj',6),(8945,'4203','Parana',6),(8946,'4203','Piedritas',6),(8947,'4203','Pozo cercado',6),(8948,'4203','Puerta chiquita',6),(8949,'4203','Puerta del cielo',6),(8950,'4203','Puesto nuevo',6),(8951,'4203','Quebrachos',6),(8952,'4203','Remes',6),(8953,'4203','Rodeo',6),(8954,'4203','San justo',6),(8955,'4203','San lorenzo',6),(8956,'4203','Santa catalina',6),(8957,'4203','Santa rosa',6),(8958,'4203','Santos lugares',6),(8959,'4203','Sayaco',6),(8960,'4203','Sinchi caÑa establecimiento',6),(8961,'4203','Sol de mayo',6),(8962,'4203','Tronco juras',6),(8963,'4203','Tunas punco',6),(8964,'4203','Villa elvira',6),(8965,'4203','Villa la punta',6),(8966,'4203','Vizcacheral',6),(8967,'4203','Yeso alto',6),(8968,'4205','Arbol solo',6),(8969,'4205','Bella vista',6),(8970,'4205','Beltran loreto',6),(8971,'4205','Campo de amor',6),(8972,'4205','Chaves',6),(8973,'4205','El nerio',6),(8974,'4205','El seÑuelo',6),(8975,'4205','Envidia',6),(8976,'4205','Kilometro 55',6),(8977,'4205','La blanca',6),(8978,'4205','La cortadera',6),(8979,'4205','La laura',6),(8980,'4205','La melada',6),(8981,'4205','La polvareda',6),(8982,'4205','La providencia',6),(8983,'4205','La viuda',6),(8984,'4205','Laprida',6),(8985,'4205','Las dos flores',6),(8986,'4205','Los cerrillos',6),(8987,'4205','Los ralos',6),(8988,'4205','Pampa pozo',6),(8989,'4205','Porongal',6),(8990,'4205','San agustin',6),(8991,'4205','San benito',6),(8992,'4205','San ignacio',6),(8993,'4205','San luis',6),(8994,'4205','San manuel',6),(8995,'4205','San pastor',6),(8996,'4205','San ramon',6),(8997,'4205','San roque',6),(8998,'4205','Santa ana',6),(8999,'4205','Santa rosa de coronel',6),(9000,'4205','Shishi pozo',6),(9001,'4205','Tres bajadas',6),(9002,'4206','Abrita',6),(9003,'4206','Arraga',6),(9004,'4206','Buey rodeo',6),(9005,'4206','Campo alegre',6),(9006,'4206','Campo grande',6),(9007,'4206','Campo nuevo',6),(9008,'4206','ChaÑar pujio',6),(9009,'4206','Costa rica',6),(9010,'4206','Cruz pozo',6),(9011,'4206','El marne',6),(9012,'4206','El mojon',6),(9013,'4206','Establecimiento 14 de setiembr',6),(9014,'4206','Ezcurra',6),(9015,'4206','Ingeniero ezcurra',6),(9016,'4206','Kilometro 117',6),(9017,'4206','Kilometro 135',6),(9018,'4206','Kilometro 153',6),(9019,'4206','La abrita',6),(9020,'4206','La esperanza',6),(9021,'4206','La higuera',6),(9022,'4206','La porteÑa',6),(9023,'4206','La sarita',6),(9024,'4206','La vuelta',6),(9025,'4206','Las flores',6),(9026,'4206','Los quiroga',6),(9027,'4206','Maco',6),(9028,'4206','Maco yanda',6),(9029,'4206','Maguito',6),(9030,'4206','Maquita',6),(9031,'4206','Maquitis',6),(9032,'4206','Maquito',6),(9033,'4206','Monte rico',6),(9034,'4206','Nanda',6),(9035,'4206','Naquito',6),(9036,'4206','Nueva francia',6),(9037,'4206','Pueblo nuevo',6),(9038,'4206','Puestito de san antonio',6),(9039,'4206','Quebracho herrado',6),(9040,'4206','San agustin',6),(9041,'4206','San andres',6),(9042,'4206','San benito',6),(9043,'4206','San ignacio',6),(9044,'4206','San isidro',6),(9045,'4206','San pedro',6),(9046,'4206','San sebastian',6),(9047,'4206','San vicente',6),(9048,'4206','Santa maria',6),(9049,'4206','Santa rosa',6),(9050,'4206','Santa rosa arraga',6),(9051,'4206','Santo domingo',6),(9052,'4206','Sauce solo',6),(9053,'4206','Silipica',6),(9054,'4206','Simbol',6),(9055,'4206','Trozo pozo',6),(9056,'4206','Upianita',6),(9057,'4206','Villa de la barranca',6),(9058,'4206','Villa zanjon',6),(9059,'4206','Vuelta de la barranca',6),(9060,'4206','Yanda',6),(9061,'4206','Zanjon',6),(9062,'4208','Albardon',6),(9063,'4208','Albardon chuÑa',6),(9064,'4208','Ayuncha',6),(9065,'4208','Bajadita',6),(9066,'4208','Burra huaÑuna',6),(9067,'4208','CaÑada rica',6),(9068,'4208','ChuÑa albardon',6),(9069,'4208','Codo',6),(9070,'4208','Collera hurcuna',6),(9071,'4208','Diente del arado',6),(9072,'4208','Dormida',6),(9073,'4208','El mulato',6),(9074,'4208','El pinto',6),(9075,'4208','El remanso',6),(9076,'4208','Jumi pozo',6),(9077,'4208','Kilometro 112',6),(9078,'4208','Kilometro 118',6),(9079,'4208','Kilometro 120',6),(9080,'4208','Kilometro 88',6),(9081,'4208','La dormida',6),(9082,'4208','La noria',6),(9083,'4208','La ramadita',6),(9084,'4208','La revancha',6),(9085,'4208','Lomitas',6),(9086,'4208','Loreto',6),(9087,'4208','Los angeles',6),(9088,'4208','Morampa',6),(9089,'4208','Paaj muyo',6),(9090,'4208','Pozo ciego',6),(9091,'4208','Puesto de juanes',6),(9092,'4208','Ramadita',6),(9093,'4208','Rio nambi',6),(9094,'4208','San gregorio',6),(9095,'4208','San isidro',6),(9096,'4208','San jeronimo',6),(9097,'4208','San jose',6),(9098,'4208','San juan',6),(9099,'4208','San miguel',6),(9100,'4208','San pablo',6),(9101,'4208','Sandia huajchu',6),(9102,'4208','Santa barbara',6),(9103,'4208','Santa barbara ferreira',6),(9104,'4208','Santa isabel',6),(9105,'4208','Santa maria',6),(9106,'4208','Sauce solo',6),(9107,'4208','Sol de mayo',6),(9108,'4208','Tacanitas',6),(9109,'4208','Taco pozo',6),(9110,'4208','Tala atun',6),(9111,'4208','Taquetuyoj',6),(9112,'4208','Tontola',6),(9113,'4208','Toro charquina',6),(9114,'4208','Totora pampa',6),(9115,'4208','Totoras',6),(9116,'4208','Tusca pozo',6),(9117,'4208','Tuscayoj',6),(9118,'4208','Yacuchiri',6),(9119,'4208','Yalan',6),(9120,'4208','Yolohuasi',6),(9121,'4208','Yulu huasi',6),(9122,'4212','Guanaco sombriana',6),(9123,'4212','Isla verde',6),(9124,'4212','Monte redondo',6),(9125,'4212','San vicente',6),(9126,'4212','Tusca pozo',6),(9127,'4220','Aguada',6),(9128,'4220','Alta gracia',6),(9129,'4220','Anjuli',6),(9130,'4220','Bahoma',6),(9131,'4220','Buena vista',6),(9132,'4220','CaÑada de la costa',6),(9133,'4220','CaÑada honda',6),(9134,'4220','ChaÑar pozo de abajo',6),(9135,'4220','Colonia tinco',6),(9136,'4220','El manantial',6),(9137,'4220','El rincon',6),(9138,'4220','Escuela 1080',6),(9139,'4220','Escuela 109',6),(9140,'4220','Escuela 57',6),(9141,'4220','Espinal',6),(9142,'4220','Estancia vieja',6),(9143,'4220','Galeano',6),(9144,'4220','Huascho patilla',6),(9145,'4220','Isla de los castillos',6),(9146,'4220','La aguada',6),(9147,'4220','La fortuna',6),(9148,'4220','Las orellanas',6),(9149,'4220','Las palmeras',6),(9150,'4220','Las tigreras',6),(9151,'4220','Loro huasi',6),(9152,'4220','Los castillos',6),(9153,'4220','Los fierros',6),(9154,'4220','Los quebrachos',6),(9155,'4220','Los robles',6),(9156,'4220','Manantiales',6),(9157,'4220','Mansupa',6),(9158,'4220','Posta sanitaria pocitos',6),(9159,'4220','San pablo',6),(9160,'4220','Tacamampa',6),(9161,'4220','Tala',6),(9162,'4220','Termas de rio hondo',6),(9163,'4220','Tunales',6),(9164,'4220','Villa balnearia',6),(9165,'4221','La donosa',6),(9166,'4221','Las cejas',6),(9167,'4221','Los decimas',6),(9168,'4221','Perez de zurita',6),(9169,'4221','Tinco colonia',6),(9170,'4221','Yuto yaca',6),(9171,'4221','Yutu yaco',6),(9172,'4223','Amapola',6),(9173,'4223','Bajo verde',6),(9174,'4223','CaÑada tala pozo',6),(9175,'4223','El alambrado',6),(9176,'4223','El puesto',6),(9177,'4223','El retiro',6),(9178,'4223','Loma del medio',6),(9179,'4223','Palma redonda',6),(9180,'4223','Puesto del retiro',6),(9181,'4223','Tala pozo',6),(9182,'4223','Taquello',6),(9183,'4223','Vinara',6),(9184,'4225','Abra de la cruz',6),(9185,'4225','Abras del martirizado',6),(9186,'4225','Alpa puca',6),(9187,'4225','Amicha',6),(9188,'4225','Antilo',6),(9189,'4225','Barrialito',6),(9190,'4225','Bauman',6),(9191,'4225','Bebidas',6),(9192,'4225','Bejan',6),(9193,'4225','ChaÑar pocito',6),(9194,'4225','ChaÑar pozo',6),(9195,'4225','DoÑa luisa',6),(9196,'4225','El barrial',6),(9197,'4225','El churqui',6),(9198,'4225','La soledad',6),(9199,'4225','Mistol muyoj',6),(9200,'4225','Patillo',6),(9201,'4225','Pozo huascho',6),(9202,'4225','Puesto de vieyra',6),(9203,'4225','Punta pozo',6),(9204,'4225','Quebrachos',6),(9205,'4225','Quera',6),(9206,'4225','San carlos',6),(9207,'4225','San cosme',6),(9208,'4225','Villa rio hondo',6),(9209,'4230','Bajo hondo',6),(9210,'4230','Barrio jardin',6),(9211,'4230','Bella vista',6),(9212,'4230','Beltran loreto',6),(9213,'4230','Brea chimpana',7),(9214,'4230','Buenos aires',6),(9215,'4230','Campo de amor',6),(9216,'4230','Cerrillos de san isidro',6),(9217,'4230','ChaÑar laguna',6),(9218,'4230','Corralitos',7),(9219,'4230','El escondido',6),(9220,'4230','El milagro',6),(9221,'4230','El recreo',6),(9222,'4230','El rodeo',6),(9223,'4230','El rosario',6),(9224,'4230','El vallecito',7),(9225,'4230','Envidia',6),(9226,'4230','Escuela 879',6),(9227,'4230','Frias',6),(9228,'4230','Guatana',6),(9229,'4230','Inti huasi',6),(9230,'4230','Jumeal o jumial',6),(9231,'4230','Kilometro 1073',6),(9232,'4230','Kilometro 3',6),(9233,'4230','La esperanza',6),(9234,'4230','La esquina',6),(9235,'4230','La laguna',6),(9236,'4230','La laura',6),(9237,'4230','Las dos flores',6),(9238,'4230','Las flores',6),(9239,'4230','Las palomitas',6),(9240,'4230','Las tejas',6),(9241,'4230','Las trincheras',6),(9242,'4230','Los ralos',6),(9243,'4230','Lujan',6),(9244,'4230','Monte redondo',6),(9245,'4230','Monteagudo',6),(9246,'4230','Palo lindo',6),(9247,'4230','Palo parado',6),(9248,'4230','Pampa pozo',6),(9249,'4230','Porongal',6),(9250,'4230','Pozancones',6),(9251,'4230','Pozo de la puerta',6),(9252,'4230','Puerta de las piedras',6),(9253,'4230','Remansito',6),(9254,'4230','San carlos',6),(9255,'4230','San ignacio',6),(9256,'4230','San luis',6),(9257,'4230','San patricio',6),(9258,'4230','Santa rosa',6),(9259,'4230','Santa rosa de coronel',6),(9260,'4230','Serrano muerto',6),(9261,'4230','Suncho pozo',6),(9262,'4230','Suncho pujio',6),(9263,'4230','Taco quinka',6),(9264,'4230','Tres bajadas',6),(9265,'4230','Troncos quemados',6),(9266,'4230','Villa adela',6),(9267,'4230','Villa coinor',6),(9268,'4231','25 de mayo',6),(9269,'4231','25 de mayo sud',6),(9270,'4231','Albigasta',7),(9271,'4231','Ancastillo',7),(9272,'4231','Anjuli',7),(9273,'4231','Candelaria',7),(9274,'4231','Cerro rico',6),(9275,'4231','El barrialito',7),(9276,'4231','El centenario',7),(9277,'4231','El salvador',6),(9278,'4231','Garzon',7),(9279,'4231','La renovacion',7),(9280,'4231','Las iguanas',7),(9281,'4231','Las palmitas',7),(9282,'4231','Las tejas',7),(9283,'4231','Los cordobeses',7),(9284,'4231','Palo parado',7),(9285,'4231','Puesto de los morales',7),(9286,'4233','Abras del medio',6),(9287,'4233','Alto alegre',6),(9288,'4233','Ancajan',6),(9289,'4233','Canario',6),(9290,'4233','Choya',6),(9291,'4233','Divisadero',6),(9292,'4233','El bajo',6),(9293,'4233','El rajo',6),(9294,'4233','El tacial',6),(9295,'4233','El veinticinco',6),(9296,'4233','El veinticinco de mayo',6),(9297,'4233','El venticinco',6),(9298,'4233','Esperanza',6),(9299,'4233','Kilometro 10',6),(9300,'4233','Kilometro 18',6),(9301,'4233','La guardia',6),(9302,'4233','La represa',6),(9303,'4233','Lomitas',6),(9304,'4233','Mojoncito',6),(9305,'4233','Oncajan',6),(9306,'4233','Pocito de la loma',6),(9307,'4233','Pozo del campo',6),(9308,'4233','Pueda ser',6),(9309,'4233','Puesto',6),(9310,'4233','Rodeito',6),(9311,'4233','San antonio de las flores',6),(9312,'4233','San delfin',6),(9313,'4233','San juan',6),(9314,'4233','San juancito',6),(9315,'4233','San miguel',6),(9316,'4233','San pedro',6),(9317,'4233','San romano',6),(9318,'4233','Santa lucia',6),(9319,'4234','Achalco',7),(9320,'4234','Ayapaso',7),(9321,'4234','ChaÑar laguna',7),(9322,'4234','El quillin',6),(9323,'4234','El simbol',7),(9324,'4234','Ichipuca',7),(9325,'4234','Kilometro 1093',7),(9326,'4234','Kilometro 1098',6),(9327,'4234','Kilometro 1121',6),(9328,'4234','La calera',7),(9329,'4234','La quebrada',7),(9330,'4234','Las flores',6),(9331,'4234','Las lomitas',7),(9332,'4234','Lavalle',6),(9333,'4234','Los morteros',7),(9334,'4234','Mangrullo',6),(9335,'4234','Pozo grande',7),(9336,'4234','Rumi esquina',6),(9337,'4234','San antonio',6),(9338,'4234','San martin',7),(9339,'4234','Tapso',7),(9340,'4234','Tonzu',6),(9341,'4235','Albigasta',7),(9342,'4235','Barranquitas',7),(9343,'4235','Bebida',7),(9344,'4235','Bella vista',7),(9345,'4235','El alto',7),(9346,'4235','El quebrachito',7),(9347,'4235','El rodeito',7),(9348,'4235','El rosario',7),(9349,'4235','El vallecito',7),(9350,'4235','Estanzuela',7),(9351,'4235','Guayamba',7),(9352,'4235','Iloga',7),(9353,'4235','Inacillo',7),(9354,'4235','Infanzon',7),(9355,'4235','La calera del sauce',7),(9356,'4235','La estancia',7),(9357,'4235','La estanzuela',7),(9358,'4235','La huerta',7),(9359,'4235','Las caÑas',7),(9360,'4235','Las justas',7),(9361,'4235','Las lomitas',7),(9362,'4235','Las pampas',7),(9363,'4235','Las tapias',7),(9364,'4235','Las trancas',7),(9365,'4235','Las trillas',7),(9366,'4235','Lindero',7),(9367,'4235','Los alamos',7),(9368,'4235','Los corrales',7),(9369,'4235','Los nogales',7),(9370,'4235','Los ortices',7),(9371,'4235','Los pedrazas',7),(9372,'4235','Mina dal',7),(9373,'4235','Nogalito',7),(9374,'4235','Orellano',7),(9375,'4235','Oyola',7),(9376,'4235','Pueblito',7),(9377,'4235','Puesto los gomez',7),(9378,'4235','Rio de avila',7),(9379,'4235','Rio de la plata',7),(9380,'4235','San jeronimo',7),(9381,'4235','San vicente',7),(9382,'4235','Sauce huacho',7),(9383,'4235','Sucuma',7),(9384,'4235','Suruipiana',7),(9385,'4235','Talega',7),(9386,'4235','Tintigasta',7),(9387,'4235','Vilisman',7),(9388,'4237','Balde pozo',6),(9389,'4237','Chillimo',6),(9390,'4237','Cortaderas',7),(9391,'4237','El abra',6),(9392,'4237','Florida',6),(9393,'4237','La abra',6),(9394,'4237','Las peÑas',6),(9395,'4237','Mendoza',6),(9396,'4237','Puesto de la viuda',7),(9397,'4237','San jose',6),(9398,'4237','Tres cerros',6),(9399,'4237','Zorro huarcuna',6),(9400,'4238','9 de julio',6),(9401,'4238','Abra de quimil',6),(9402,'4238','Agujereado',6),(9403,'4238','Ahi veremos',6),(9404,'4238','Aibalito',6),(9405,'4238','Campo verde',6),(9406,'4238','Codillo',6),(9407,'4238','El cadillo',6),(9408,'4238','El carmen',6),(9409,'4238','El porvenir',6),(9410,'4238','El puestito',6),(9411,'4238','El simbolar',6),(9412,'4238','Iliages',6),(9413,'4238','Jumial',6),(9414,'4238','La chilca',6),(9415,'4238','Las juntas',6),(9416,'4238','Las maravillas',6),(9417,'4238','Las talitas',6),(9418,'4238','Loma de yeso',6),(9419,'4238','Los cobres',6),(9420,'4238','Los correas',6),(9421,'4238','Medio mundo',6),(9422,'4238','Moron',6),(9423,'4238','Palmitas',6),(9424,'4238','Pampa pozo',6),(9425,'4238','Pozancon',6),(9426,'4238','Pozo cabado',6),(9427,'4238','Providencia',6),(9428,'4238','Puesto de diaz',6),(9429,'4238','Puesto del medio',6),(9430,'4238','San antonio',6),(9431,'4238','San jose',6),(9432,'4238','San juan',6),(9433,'4238','San lorenzo',6),(9434,'4238','San pedro',6),(9435,'4238','San ramon',6),(9436,'4238','Tableado',6),(9437,'4238','Tala pozo',6),(9438,'4238','Tibilar',6),(9439,'4238','Villa guasayan',6),(9440,'4238','Villares',6),(9441,'4242','25 de mayo',15),(9442,'4242','9 de julio',15),(9443,'4242','Beltran',15),(9444,'4242','Chalchacito',15),(9445,'4242','ChaÑaritos',15),(9446,'4242','Chilca',15),(9447,'4242','Coco',15),(9448,'4242','Durazno',15),(9449,'4242','El paraiso',15),(9450,'4242','El puestito',15),(9451,'4242','El quebrachito',15),(9452,'4242','El sesteadero',15),(9453,'4242','El tostado',15),(9454,'4242','Encrucijada',15),(9455,'4242','Iguana',15),(9456,'4242','La caÑada',15),(9457,'4242','La chilca',15),(9458,'4242','La iguana',15),(9459,'4242','La zanja',15),(9460,'4242','Lachico',15),(9461,'4242','Las brisas',15),(9462,'4242','Las talitas',15),(9463,'4242','Los molles',15),(9464,'4242','Molles',15),(9465,'4242','Montuoso',15),(9466,'4242','Moron',15),(9467,'4242','Paez',15),(9468,'4242','Pampa pozo',15),(9469,'4242','Pozo hondo',15),(9470,'4242','Puesto 9 de julio',15),(9471,'4242','Puesto los avilas',15),(9472,'4242','Puesto los perez',15),(9473,'4242','Quebrachito',15),(9474,'4242','Ramaditas',15),(9475,'4242','Ramos',15),(9476,'4242','Rumi yura',15),(9477,'4242','Sala vieja',15),(9478,'4242','San german',15),(9479,'4242','San juancito',15),(9480,'4242','San miguel',15),(9481,'4242','Santa barbara',15),(9482,'4242','Santa rosa',15),(9483,'4242','Sauce gaucho',15),(9484,'4242','Sesteadero',15),(9485,'4242','Simbol',15),(9486,'4242','Taco ralo',15),(9487,'4242','Talitas',15),(9488,'4242','Toro muerto',15),(9489,'4242','Tostado',15),(9490,'4242','Viltran',15),(9491,'4242','Yapachin',15),(9492,'4242','Yumillura',15),(9493,'4242','Zapallar',15),(9494,'4300','Ahi veremos',6),(9495,'4300','Barrio este',6),(9496,'4300','Colonia maria luisa',6),(9497,'4300','Cuyoj',6),(9498,'4300','El alambrado',6),(9499,'4300','El barrial',6),(9500,'4300','El bosque',6),(9501,'4300','El carmen',6),(9502,'4300','El cruce kilometro 659',6),(9503,'4300','El paraiso',6),(9504,'4300','El rosario',6),(9505,'4300','Jumialito',6),(9506,'4300','Kilometro 1033',6),(9507,'4300','Kilometro 659',6),(9508,'4300','Kilometro 661',6),(9509,'4300','Kilometro 665',6),(9510,'4300','La banda',6),(9511,'4300','La capilla',6),(9512,'4300','La granja',6),(9513,'4300','La isla',6),(9514,'4300','Las hermanas',6),(9515,'4300','Las salinas',6),(9516,'4300','Las zanjas',6),(9517,'4300','Los naranjos',6),(9518,'4300','Nueva antaje',6),(9519,'4300','Nueva trinidad',6),(9520,'4300','Rincon',6),(9521,'4300','Rubia moreno',6),(9522,'4300','San carlos',6),(9523,'4300','San juan',6),(9524,'4300','Santos lugares',6),(9525,'4300','Tramo 20',6),(9526,'4300','Valdivia',6),(9527,'4300','Villa union',6),(9528,'4301','Aguas coloradas',6),(9529,'4301','Areas',6),(9530,'4301','Babilonia',6),(9531,'4301','Bajo grande',6),(9532,'4301','Bandera bajada',6),(9533,'4301','Belgrano',6),(9534,'4301','Buen lugar',6),(9535,'4301','Callejon bajada',6),(9536,'4301','Campo grande',6),(9537,'4301','Canteros',6),(9538,'4301','CaÑada escobar',6),(9539,'4301','Cardon esquina',6),(9540,'4301','Casa verde',6),(9541,'4301','Caspi corral',6),(9542,'4301','Cejas',6),(9543,'4301','ChaÑar bajada',6),(9544,'4301','ChaÑar esquina',6),(9545,'4301','Chile',6),(9546,'4301','Churqui',6),(9547,'4301','Churqui esquina',6),(9548,'4301','Cuquenos',6),(9549,'4301','Dique chico',6),(9550,'4301','Dique figueroa',6),(9551,'4301','El baÑadero',6),(9552,'4301','El barrial',6),(9553,'4301','El cerrito',6),(9554,'4301','El chaÑar',6),(9555,'4301','El milagro',6),(9556,'4301','El olivar',6),(9557,'4301','El pirucho',6),(9558,'4301','El porvenir',6),(9559,'4301','El quemado',6),(9560,'4301','Esteco',6),(9561,'4301','Esteros',6),(9562,'4301','Fortuna',6),(9563,'4301','Guarcan',6),(9564,'4301','Hoyo cerco',6),(9565,'4301','Huachana',6),(9566,'4301','HuÑajcito',6),(9567,'4301','Jumi viejo',6),(9568,'4301','La florida',6),(9569,'4301','La guardia',6),(9570,'4301','La higuera',6),(9571,'4301','La loma',6),(9572,'4301','La lomada',6),(9573,'4301','La manga',6),(9574,'4301','La paciencia',6),(9575,'4301','La paloma',6),(9576,'4301','La paz',6),(9577,'4301','La rivera',6),(9578,'4301','Las palmitas',6),(9579,'4301','Los arias',6),(9580,'4301','Los pereyra',6),(9581,'4301','Majancito',6),(9582,'4301','Manga bajada',6),(9583,'4301','Monte redondo',6),(9584,'4301','Montevideo',6),(9585,'4301','Moradito',6),(9586,'4301','Naranjito',6),(9587,'4301','Norqueoj',6),(9588,'4301','Nueva granada',6),(9589,'4301','Nuevo simbolar',6),(9590,'4301','Palizas',6),(9591,'4301','Palma pozo',6),(9592,'4301','Porongos',6),(9593,'4301','Potrero bajada',6),(9594,'4301','Pozo del castaÑo',6),(9595,'4301','Pozo del simbol',6),(9596,'4301','Pozo grande',6),(9597,'4301','Pozo limpio',6),(9598,'4301','Pozo verde',6),(9599,'4301','Quebrachal',6),(9600,'4301','Quebracho yacu',6),(9601,'4301','Ranchitos',6),(9602,'4301','Reparo',6),(9603,'4301','Retiro',6),(9604,'4301','Rincon',6),(9605,'4301','Rio muerto',6),(9606,'4301','Saladillo',6),(9607,'4301','San gregorio',6),(9608,'4301','San jorge',6),(9609,'4301','San jose',6),(9610,'4301','San jose del boqueron',6),(9611,'4301','San luis',6),(9612,'4301','San pablo',6),(9613,'4301','San ramon',6),(9614,'4301','San roque',6),(9615,'4301','San vicente',6),(9616,'4301','Santa cruz',6),(9617,'4301','Santa rita',6),(9618,'4301','Santo domingo pellegrini',6),(9619,'4301','Santo domingo robles',6),(9620,'4301','Santos lugares',6),(9621,'4301','Sauce esquina',6),(9622,'4301','Sepultura',6),(9623,'4301','Soria bajada',6),(9624,'4301','Tablada del boqueron',6),(9625,'4301','Tacanitas',6),(9626,'4301','Taco pozo',6),(9627,'4301','Tajamar',6),(9628,'4301','Tarpuna',6),(9629,'4301','Tramo 16',6),(9630,'4301','Tusca bajada',6),(9631,'4301','Villa hipolita',6),(9632,'4301','Villa huaÑuna',6),(9633,'4301','Villa nueva',6),(9634,'4301','Villa palmar',6),(9635,'4301','Villa robles',6),(9636,'4301','Vinal viejo',6),(9637,'4301','Zanja',6),(9638,'4302','Acosta',6),(9639,'4302','Alto pozo',6),(9640,'4302','Antaje',6),(9641,'4302','Ardiles',6),(9642,'4302','Ardiles de la costa',6),(9643,'4302','Banegas',6),(9644,'4302','ChaÑar pujio',6),(9645,'4302','Chaupi pozo',6),(9646,'4302','Colonias',6),(9647,'4302','Corvalanes',6),(9648,'4302','El aibe',6),(9649,'4302','El cebollin',6),(9650,'4302','El cercado',6),(9651,'4302','El ojo de agua',6),(9652,'4302','El puente',6),(9653,'4302','Guaycuru',6),(9654,'4302','Kiska hurmana',6),(9655,'4302','La caÑada',6),(9656,'4302','La colonia',6),(9657,'4302','La cuarteada',6),(9658,'4302','La falda',6),(9659,'4302','La germania',6),(9660,'4302','La vuelta',6),(9661,'4302','Las colonias',6),(9662,'4302','Loma negra',6),(9663,'4302','Los alderetes',6),(9664,'4302','Los diaz',6),(9665,'4302','Los doce quebrachos',6),(9666,'4302','Los gallardos',6),(9667,'4302','Los guerreros',6),(9668,'4302','Los herreros',6),(9669,'4302','Los puestos',6),(9670,'4302','Los puntos',6),(9671,'4302','Media flor',6),(9672,'4302','Palermo',6),(9673,'4302','Quishca',6),(9674,'4302','Quita punco',6),(9675,'4302','Romanos',6),(9676,'4302','San andres',6),(9677,'4302','San lorenzo',6),(9678,'4302','San martin',6),(9679,'4302','San ramon',6),(9680,'4302','San roque',6),(9681,'4302','Santa cruz',6),(9682,'4302','Santa rita',6),(9683,'4302','Santa rosa',6),(9684,'4302','Sarmiento',6),(9685,'4302','Sinquen punco',6),(9686,'4302','Suri pozo',6),(9687,'4302','Taperas',6),(9688,'4302','Turena',6),(9689,'4302','Vilmer',6),(9690,'4304','Algarrobales',6),(9691,'4304','ChaÑar pozo',6),(9692,'4304','Gramilla',6),(9693,'4304','Isla de los sotelos',6),(9694,'4304','La fortuna',6),(9695,'4304','Las orellanas',6),(9696,'4304','Las tigreras',6),(9697,'4304','Los quebrachos',6),(9698,'4304','Los robles',6),(9699,'4304','Saladillo',6),(9700,'4304','Sotelillos',6),(9701,'4304','Sotelos',6),(9702,'4304','Tunales',6),(9703,'4306','Boca del tigre',6),(9704,'4306','Cachico',6),(9705,'4306','Cashico',6),(9706,'4306','Casilla del medio',6),(9707,'4306','Charco viejo',6),(9708,'4306','El aÑil',6),(9709,'4306','El charco',6),(9710,'4306','El guayacan',6),(9711,'4306','Las abras',6),(9712,'4306','Poleo pozo',6),(9713,'4306','Pozuelos',6),(9714,'4306','Toro pozo',6),(9715,'4306','Tres cruces',6),(9716,'4308','Bandera bajada',6),(9717,'4308','Beltran',6),(9718,'4308','Blanca',6),(9719,'4308','Buey muerto',6),(9720,'4308','Casilla del medio',6),(9721,'4308','El crece',6),(9722,'4308','El saladillo',6),(9723,'4308','Higuera chaqui',6),(9724,'4308','Janta',6),(9725,'4308','La barrosa',6),(9726,'4308','La florida',6),(9727,'4308','La invernada',6),(9728,'4308','Las colinas',6),(9729,'4308','Mirca',6),(9730,'4308','Morcillo',6),(9731,'4308','Porongos',6),(9732,'4308','Pumitayoj',6),(9733,'4308','San guillermo',6),(9734,'4308','San ignacio',6),(9735,'4308','San pascual',6),(9736,'4308','San salvador',6),(9737,'4308','Santa ines',6),(9738,'4308','Taco pujio',6),(9739,'4308','Totorilla nuevo',6),(9740,'4308','Tramo veintiseis',6),(9741,'4308','Tusca pozo',6),(9742,'4308','Yanta',6),(9743,'4312','Mili',6),(9744,'4312','Morello',6),(9745,'4313','Anchoriga',6),(9746,'4313','Aspa sinchi',6),(9747,'4313','Atoj pozo',6),(9748,'4313','Barranca colorada',6),(9749,'4313','Barrancas',6),(9750,'4313','Barrial alto',6),(9751,'4313','Boqueron',6),(9752,'4313','Brea pozo',6),(9753,'4313','Brea pozo viejo',6),(9754,'4313','Charquina',6),(9755,'4313','Chilpa mayo',6),(9756,'4313','Chimpa macho',6),(9757,'4313','Colonia pinto',6),(9758,'4313','El dorado',6),(9759,'4313','El puente',6),(9760,'4313','Gallegos',6),(9761,'4313','Garceano',6),(9762,'4313','Isla verde',6),(9763,'4313','Kilometro 437',6),(9764,'4313','Kilometro 473',6),(9765,'4313','La blanca',6),(9766,'4313','La caÑada',6),(9767,'4313','Laguna blanca',6),(9768,'4313','Linton',6),(9769,'4313','Majadas',6),(9770,'4313','Majadas sud',6),(9771,'4313','Medellin',6),(9772,'4313','Pampa atun',6),(9773,'4313','Penal provincial',6),(9774,'4313','Perchil bajo',6),(9775,'4313','Puestito',6),(9776,'4313','Puesto del rosario',6),(9777,'4313','Robles',6),(9778,'4313','Tacoyoj',6),(9779,'4313','Tala pozo',6),(9780,'4313','Tio chacra',6),(9781,'4313','Tres jazmines',6),(9782,'4313','Tulum',6),(9783,'4313','Tulun',6),(9784,'4313','Villa elena',6),(9785,'4313','Villa nueva',6),(9786,'4315','Bajadita',6),(9787,'4315','CaÑada san ramon',6),(9788,'4315','Codo',6),(9789,'4315','Codo viejo',6),(9790,'4315','Collera huircuna',6),(9791,'4315','Estacion atamisqui',6),(9792,'4315','Los angeles',6),(9793,'4315','Paaj muyo',6),(9794,'4315','Piruitas',6),(9795,'4315','San luis',6),(9796,'4315','Santa isabel',6),(9797,'4315','Sauces',6),(9798,'4315','Sol de mayo',6),(9799,'4315','Taco pozo',6),(9800,'4315','Tio pozo',6),(9801,'4315','Yacuchiri',6),(9802,'4317','Burro pozo',6),(9803,'4317','Carbon pozo',6),(9804,'4317','Chilca albardon',6),(9805,'4317','Chilquita',6),(9806,'4317','Chilquitas',6),(9807,'4317','Chuiqui',6),(9808,'4317','Collera huiri',6),(9809,'4317','Coropampa',6),(9810,'4317','Dique los quiroga',6),(9811,'4317','El carmen',6),(9812,'4317','El dean',6),(9813,'4317','El peru',6),(9814,'4317','Escalera',6),(9815,'4317','Esperanza',6),(9816,'4317','Higuerillas',6),(9817,'4317','Hornillos',6),(9818,'4317','Hoyon',6),(9819,'4317','Huachana',6),(9820,'4317','Isla de aragones',6),(9821,'4317','Juanillo',6),(9822,'4317','Kenti taco',6),(9823,'4317','Kilometro 436',6),(9824,'4317','La darsena',6),(9825,'4317','La esquina',6),(9826,'4317','La perlita',6),(9827,'4317','Leiva',6),(9828,'4317','Lezcanos',6),(9829,'4317','Lomitas',6),(9830,'4317','Los mollares',6),(9831,'4317','Los quiroga',6),(9832,'4317','Los sauces',6),(9833,'4317','Manogasta',6),(9834,'4317','Mirandas',6),(9835,'4317','Pampallajta',6),(9836,'4317','Pineda',6),(9837,'4317','Pozo cercado',6),(9838,'4317','Pozo grande',6),(9839,'4317','Pueblito',6),(9840,'4317','Puente del salado',6),(9841,'4317','Puesto de diaz',6),(9842,'4317','Punta pozo',6),(9843,'4317','Ramaditas',6),(9844,'4317','Remansito',6),(9845,'4317','Rodeo de soria',6),(9846,'4317','Rodeo de valdez',6),(9847,'4317','Salinas',6),(9848,'4317','San antonio',6),(9849,'4317','San antonio de los caceres',6),(9850,'4317','San carlos',6),(9851,'4317','San gregorio',6),(9852,'4317','San isidro',6),(9853,'4317','San martin',6),(9854,'4317','Santa maria',6),(9855,'4317','Saucen',6),(9856,'4317','Saucioj',6),(9857,'4317','Sauzal',6),(9858,'4317','Soconcho',6),(9859,'4317','Tipiro',6),(9860,'4317','Ventura pampa',6),(9861,'4317','Villa atamisqui',6),(9862,'4318','Huajia',6),(9863,'4319','Barrancas',6),(9864,'4319','CaÑas paso',6),(9865,'4319','Chilca juliana',6),(9866,'4319','Chileno',6),(9867,'4319','Guerra',6),(9868,'4319','La paloma',6),(9869,'4319','Lechuzas',6),(9870,'4319','Los cerrillos',6),(9871,'4319','Mal paso',6),(9872,'4319','Mistol pozo',6),(9873,'4319','Peralta',6),(9874,'4319','Polvareda',6),(9875,'4319','Puente del saladillo',6),(9876,'4319','Sabagasta',6),(9877,'4319','Saladillo',6),(9878,'4319','Salavina',6),(9879,'4319','Santa lucia',6),(9880,'4319','Taco totarayol',6),(9881,'4319','Tagan',6),(9882,'4319','Tio alto',6),(9883,'4319','Tolozas',6),(9884,'4319','Toropan',6),(9885,'4319','Totora',6),(9886,'4319','Vaca human',6),(9887,'4319','Varas cuchuna',6),(9888,'4319','Veron',6),(9889,'4321','Anca',6),(9890,'4321','Anga',6),(9891,'4321','Bordo pampa',6),(9892,'4321','Cardajal',6),(9893,'4321','Cerrillos',6),(9894,'4321','Chira',6),(9895,'4321','El cincuenta',6),(9896,'4321','El pueblito',6),(9897,'4321','Hutcu chacra',6),(9898,'4321','Kilometro 364',6),(9899,'4321','Kilometro 390',6),(9900,'4321','La golondrina',6),(9901,'4321','La gringa',6),(9902,'4321','La paliza',6),(9903,'4321','La pampa',6),(9904,'4321','La protegida',6),(9905,'4321','La puerta del monte',6),(9906,'4321','Las lomas',6),(9907,'4321','Los caÑos',6),(9908,'4321','Los telares',6),(9909,'4321','Malota',6),(9910,'4321','Manchin',6),(9911,'4321','Paso del saladillo',6),(9912,'4321','Portalis',6),(9913,'4321','Pozo del monte',6),(9914,'4321','Puesto del medio',6),(9915,'4321','Quimili paso',6),(9916,'4321','Ramadita',6),(9917,'4321','Rami yacu',6),(9918,'4321','Remansos',6),(9919,'4321','Rumi jaco',6),(9920,'4321','San fernando',6),(9921,'4321','Santa brigida',6),(9922,'4321','Santa maria',6),(9923,'4321','Taco isla',6),(9924,'4321','Troncal',6),(9925,'4321','Yacu hurmana',6),(9926,'4322','Alto pozo',6),(9927,'4322','Arbolitos',6),(9928,'4322','Aspa sinchi',6),(9929,'4322','Buena vista',6),(9930,'4322','Cachi',6),(9931,'4322','Campo verde',6),(9932,'4322','Candelaria',6),(9933,'4322','Cavadito',6),(9934,'4322','Cavado',6),(9935,'4322','Chaguar puncu',6),(9936,'4322','Colonias',6),(9937,'4322','Corvalanes',6),(9938,'4322','El aibal',6),(9939,'4322','El cebollin',6),(9940,'4322','El cuello',6),(9941,'4322','El ojo de agua',6),(9942,'4322','El puente',6),(9943,'4322','El rosario',6),(9944,'4322','El vizcacheral',6),(9945,'4322','Fernandez',6),(9946,'4322','Industria nueva',6),(9947,'4322','Ingeniero forres',6),(9948,'4322','Jimenez',6),(9949,'4322','Jume esquina',6),(9950,'4322','Kiska hurmana',6),(9951,'4322','La bota',6),(9952,'4322','La caÑada',6),(9953,'4322','La colonia',6),(9954,'4322','La cruz',6),(9955,'4322','La cuarteada',6),(9956,'4322','La esperanza',6),(9957,'4322','La falda',6),(9958,'4322','La germania',6),(9959,'4322','La loma',6),(9960,'4322','La petronila',6),(9961,'4322','La primitiva',6),(9962,'4322','La ramada',6),(9963,'4322','Loma negra',6),(9964,'4322','Lomitas',6),(9965,'4322','Los alderete',6),(9966,'4322','Los diaz',6),(9967,'4322','Los doce quebrachos',6),(9968,'4322','Los gallardos',6),(9969,'4322','Los guerreros',6),(9970,'4322','Los herreros',6),(9971,'4322','Los puestos',6),(9972,'4322','Los puntos',6),(9973,'4322','Maco',6),(9974,'4322','Maderas',6),(9975,'4322','Maria delicia',6),(9976,'4322','Nueva industria',6),(9977,'4322','Palermo',6),(9978,'4322','Quishca',6),(9979,'4322','Quita punco',6),(9980,'4322','Remansito',6),(9981,'4322','Rio de gallo',6),(9982,'4322','Rivadavia',6),(9983,'4322','Sainquen punco',6),(9984,'4322','San cayetano',6),(9985,'4322','San javier',6),(9986,'4322','San lorenzo',6),(9987,'4322','San martin',6),(9988,'4322','San ramon',6),(9989,'4322','San roque',6),(9990,'4322','San vicente',6),(9991,'4322','Santa cruz',6),(9992,'4322','Santa rita',6),(9993,'4322','Santa rosa',6),(9994,'4322','Sepulturas',6),(9995,'4322','Suri pozo',6),(9996,'4322','Taperas',6),(9997,'4322','Trancas',6),(9998,'4322','Tres chaÑares',6),(9999,'4322','Tusca pozo',6),(10000,'4322','Vila isla',6),(10001,'4322','Yaso',6),(10002,'4324','Blanca',6),(10003,'4324','Carbon pozo',6),(10004,'4324','Cazadores',6),(10005,'4324','Collujlioj',6),(10006,'4324','Collun lioj',6),(10007,'4324','Concepcion',6),(10008,'4324','Coraspino',6),(10009,'4324','Diaspa',6),(10010,'4324','El bajo',6),(10011,'4324','El empachado',6),(10012,'4324','El juncal',6),(10013,'4324','Garza',6),(10014,'4324','Guaipi',6),(10015,'4324','Hornillos',6),(10016,'4324','La blanca',6),(10017,'4324','La cruz',6),(10018,'4324','La falda',6),(10019,'4324','La overa',6),(10020,'4324','Lapa',6),(10021,'4324','Molle',6),(10022,'4324','Nueve mistoles',6),(10023,'4324','Paso mosoj',6),(10024,'4324','Percas',6),(10025,'4324','Pozo',6),(10026,'4324','Pozo moro',6),(10027,'4324','Pozo mosoj',6),(10028,'4324','Quimilloj',6),(10029,'4324','Rosiyulloj',6),(10030,'4324','San enrique',6),(10031,'4324','San jose',6),(10032,'4324','San jose de flores',6),(10033,'4324','San marcos',6),(10034,'4324','San pedro',6),(10035,'4324','Taboada estacion',6),(10036,'4324','Taco huaco',6),(10037,'4324','Taco suyo',6),(10038,'4324','Toro pozo',6),(10039,'4324','Yacano',6),(10040,'4324','Yalan',6),(10041,'4326','Ave maria',6),(10042,'4326','Caloj',6),(10043,'4326','ChuÑa palma',6),(10044,'4326','Codo pozo',6),(10045,'4326','Conchayos',6),(10046,'4326','ConsulÑoj',6),(10047,'4326','Cruz pozo',6),(10048,'4326','Guardia',6),(10049,'4326','GuiÑao',6),(10050,'4326','Lugones',6),(10051,'4326','Novillo',6),(10052,'4326','Paaj rodeo',6),(10053,'4326','Paso grande',6),(10054,'4326','Pozo marcado',6),(10055,'4326','Punta corral',6),(10056,'4326','Punta pozo',6),(10057,'4326','Ruta nacional 34',6),(10058,'4326','Ruta provincial 11',6),(10059,'4326','Ruta provincial 130',6),(10060,'4326','Ruta provincial 17',6),(10061,'4326','Ruta provincial 40',6),(10062,'4326','Ruta provincial 5',6),(10063,'4326','Ruta provincial 8',6),(10064,'4326','San antonio',6),(10065,'4326','San isidro',6),(10066,'4326','San jose',6),(10067,'4326','San luis',6),(10068,'4326','San pedro',6),(10069,'4326','San roque',6),(10070,'4326','Santo domingo',6),(10071,'4326','Sauce bajada',6),(10072,'4326','Zapi pozo',6),(10073,'4328','Brealoj',6),(10074,'4328','ChaÑar pozo',6),(10075,'4328','Colonia isla',6),(10076,'4328','El trece',6),(10077,'4328','GuaÑagasta',6),(10078,'4328','Herrera',6),(10079,'4328','Lujan',6),(10080,'4328','Mailin',6),(10081,'4328','Mallin viejo',6),(10082,'4328','Moconza',6),(10083,'4328','Represa',6),(10084,'4328','Rincon de la esperanza',6),(10085,'4328','Salviaioj gaitan',6),(10086,'4328','San antonio de copo',6),(10087,'4328','San pedro',6),(10088,'4328','San ramon',6),(10089,'4328','Taco atun',6),(10090,'4328','Tala',6),(10091,'4332','Blanca pozo',6),(10092,'4332','Bracho',6),(10093,'4332','Colonia dora',6),(10094,'4332','Libanesa',6),(10095,'4332','Puente negro',6),(10096,'4332','Sunchituyoj',6),(10097,'4332','Tacon esquina',6),(10098,'4334','IcaÑo',6),(10099,'4334','La costa',6),(10100,'4334','Lago muyoj',6),(10101,'4334','Mal paso',6),(10102,'4334','Oro pampa',6),(10103,'4334','Pozo cabado',6),(10104,'4334','Real sayana',6),(10105,'4334','Tiestituyos',6),(10106,'4334','Toro pampa',6),(10107,'4334','Tronco blanco',6),(10108,'4334','Yacasnioj',6),(10109,'4336','Abra grande',6),(10110,'4336','Cerrillo',6),(10111,'4336','Coro abra',6),(10112,'4336','El diamante',6),(10113,'4336','Huyamampa',6),(10114,'4336','La aurora',6),(10115,'4336','Los herreras',6),(10116,'4336','Los marcos',6),(10117,'4336','Media flor',6),(10118,'4336','Palos quemados',6),(10119,'4336','Pampa mayo',6),(10120,'4336','Puesto los marcos',6),(10121,'4336','San felix',6),(10122,'4336','San nicolas',6),(10123,'4336','San pedro',6),(10124,'4336','Simbol caÑada',6),(10125,'4338','Bajo grande',6),(10126,'4338','Bayo muerto',6),(10127,'4338','Clodomira',6),(10128,'4338','Condor huasi',6),(10129,'4338','El favorito',6),(10130,'4338','Favorita',6),(10131,'4338','Jumi pozo',6),(10132,'4338','Kilometro 629',6),(10133,'4338','Laguna larga',6),(10134,'4338','Las chacras',6),(10135,'4338','Negra muerta',6),(10136,'4338','Palmares',6),(10137,'4338','Palmitas',6),(10138,'4338','Rumios',6),(10139,'4338','San felipe',6),(10140,'4338','San francisco lavalle',6),(10141,'4338','San isidro',6),(10142,'4338','San javier',6),(10143,'4338','San pablo',6),(10144,'4338','Santa rosa de vitervo',6),(10145,'4338','Santo domingo',6),(10146,'4339','Kilometro 645',6),(10147,'4339','Kilometro 651',6),(10148,'4339','San nicolas',6),(10149,'4339','San ramon',6),(10150,'4339','Santa rosa',6),(10151,'4339','SeÑora pujio',6),(10152,'4339','Simbolar',6),(10153,'4350','Alejito',6),(10154,'4350','Ampa',6),(10155,'4350','Azogasta',6),(10156,'4350','Carretero',6),(10157,'4350','Codo bajada',6),(10158,'4350','Corral grande',6),(10159,'4350','Cruz chula',6),(10160,'4350','Cruz loma',6),(10161,'4350','Dolores',6),(10162,'4350','Dos hermanos',6),(10163,'4350','El quemado',6),(10164,'4350','El sauce',6),(10165,'4350','Guaype',6),(10166,'4350','Iuchan',6),(10167,'4350','Jumi pozo',6),(10168,'4350','Kilometro 443',6),(10169,'4350','Kilometro 546',6),(10170,'4350','La balanza',6),(10171,'4350','La reconquista',6),(10172,'4350','La reduccion',6),(10173,'4350','Laspa',6),(10174,'4350','Laureles',6),(10175,'4350','Lincho',6),(10176,'4350','Lojlo',6),(10177,'4350','Lote 15',6),(10178,'4350','Nueva granada',6),(10179,'4350','Padua',6),(10180,'4350','Palermo',6),(10181,'4350','Pampa pozo',6),(10182,'4350','Pozo grande',6),(10183,'4350','Puente rio salado',6),(10184,'4350','Punco',6),(10185,'4350','Repecho diaz',6),(10186,'4350','Repecho montenegro',6),(10187,'4350','Rodeo bajada',6),(10188,'4350','San antonio',6),(10189,'4350','San carlos',6),(10190,'4350','San francisco',6),(10191,'4350','San pedro',6),(10192,'4350','San ramon',6),(10193,'4350','San simon',6),(10194,'4350','Santa maria',6),(10195,'4350','Sin descanso',6),(10196,'4350','Suncho corral',6),(10197,'4350','Suri',6),(10198,'4350','Tres hermanas',6),(10199,'4351','Campo verde',6),(10200,'4351','El carmen',6),(10201,'4351','El palomar',6),(10202,'4351','El pertigo',6),(10203,'4351','Floresta',6),(10204,'4351','Huacanitas',6),(10205,'4351','Kiska loro',6),(10206,'4351','La potocha',6),(10207,'4351','Las randas',6),(10208,'4351','Las tinajas',6),(10209,'4351','Lote s',6),(10210,'4351','Mistol pampa',6),(10211,'4351','Pampa muyoj',6),(10212,'4351','Punta de rieles',6),(10213,'4351','San luis',6),(10214,'4351','Santa rosa',6),(10215,'4351','Segundo pozo',6),(10216,'4351','Simbolar',6),(10217,'4351','Stayle',6),(10218,'4351','Surihuaya',6),(10219,'4351','Tabeanita',6),(10220,'4351','Tabiana',6),(10221,'4351','Tres pozos',6),(10222,'4351','Villa brana',6),(10223,'4351','Villa fanny',6),(10224,'4351','Weisburd',6),(10225,'4351','Yuchan',6),(10226,'4353','25 de mayo',6),(10227,'4353','Aibal',6),(10228,'4353','Alza nueva',6),(10229,'4353','Amama',6),(10230,'4353','Armonia',6),(10231,'4353','Bella vista',6),(10232,'4353','Campo limpio',6),(10233,'4353','CaÑada limpia',6),(10234,'4353','Cartavio',6),(10235,'4353','Celestina',6),(10236,'4353','Colonia media',6),(10237,'4353','Colonia san juan',6),(10238,'4353','Dolores',6),(10239,'4353','Dolores central',6),(10240,'4353','Dos hermanas',6),(10241,'4353','El aibalito',6),(10242,'4353','El bragado',6),(10243,'4353','El crucero',6),(10244,'4353','El descanso',6),(10245,'4353','El negrito',6),(10246,'4353','El rosario',6),(10247,'4353','Estancia la invernada',6),(10248,'4353','Jumial grande',6),(10249,'4353','Jumialito',6),(10250,'4353','Juncal grande',6),(10251,'4353','La invernada',6),(10252,'4353','Los puentes',6),(10253,'4353','Lujan',6),(10254,'4353','Maravilla',6),(10255,'4353','Maria',6),(10256,'4353','Mercedes',6),(10257,'4353','Minerva',6),(10258,'4353','Nogales',6),(10259,'4353','Nueva alza',6),(10260,'4353','Nueva colonia',6),(10261,'4353','Paciencia',6),(10262,'4353','Palomar',6),(10263,'4353','Pampa pozo',6),(10264,'4353','Pirhuas',6),(10265,'4353','Puesto de mena',6),(10266,'4353','Quimilioj',6),(10267,'4353','QuisÑa loro',6),(10268,'4353','Remansito',6),(10269,'4353','Rosario',6),(10270,'4353','Rumi',6),(10271,'4353','San antonio',6),(10272,'4353','San carlos',6),(10273,'4353','San felipe',6),(10274,'4353','San francisco',6),(10275,'4353','San isidro',6),(10276,'4353','San jose dto figueroa',6),(10277,'4353','San luis',6),(10278,'4353','San martin',6),(10279,'4353','San nicolas',6),(10280,'4353','San pablo',6),(10281,'4353','San pedro',6),(10282,'4353','San ramon',6),(10283,'4353','San roque',6),(10284,'4353','Santa lucia',6),(10285,'4353','Santa maria',6),(10286,'4353','Santa rita',6),(10287,'4353','Santo domingo',6),(10288,'4353','Trinidad',6),(10289,'4353','Tusca pozo',6),(10290,'4353','Uturunco',6),(10291,'4353','Vaca huaÑuna',6),(10292,'4353','Villa figueroa',6),(10293,'4353','Yacu hichacuna',6),(10294,'4354','Arbolitos',6),(10295,'4354','Buena vista',6),(10296,'4354','Cachi',6),(10297,'4354','Campo verde',6),(10298,'4354','Candelaria',6),(10299,'4354','Cavadito',6),(10300,'4354','Cavado',6),(10301,'4354','Colonia el simbolar',6),(10302,'4354','Cruz grande',6),(10303,'4354','El aibal',6),(10304,'4354','El cuello',6),(10305,'4354','El vizcacheral',6),(10306,'4354','Huritu huasi',6),(10307,'4354','Jume esquina',6),(10308,'4354','Kilometro 613',6),(10309,'4354','La bota',6),(10310,'4354','La brea',6),(10311,'4354','La caÑada',6),(10312,'4354','La concepcion',6),(10313,'4354','La cruz',6),(10314,'4354','La esperanza',6),(10315,'4354','La loma',6),(10316,'4354','La paz',6),(10317,'4354','La petronila',6),(10318,'4354','La primitiva',6),(10319,'4354','La ramada',6),(10320,'4354','La tapa',6),(10321,'4354','Lomitas',6),(10322,'4354','Maco',6),(10323,'4354','Maderas',6),(10324,'4354','Remansito',6),(10325,'4354','Rio de gallo',6),(10326,'4354','San cayetano',6),(10327,'4354','San salvador',6),(10328,'4354','San vicente',6),(10329,'4354','Santa maria dto figueroa',6),(10330,'4354','Santa rosa',6),(10331,'4354','Sepulturas',6),(10332,'4354','Trancas',6),(10333,'4354','Tres chaÑares',6),(10334,'4354','Villa isla',6),(10335,'4354','Villa tolojna',6),(10336,'4354','Yacu hurmana',6),(10337,'4356','Bajo hondo',6),(10338,'4356','Casa alta',6),(10339,'4356','Colonia paz',6),(10340,'4356','Colonia siegel',6),(10341,'4356','El aibal',6),(10342,'4356','El canal',6),(10343,'4356','El chinchillar',6),(10344,'4356','El saladillo',6),(10345,'4356','Kilometro 494',6),(10346,'4356','Lagunilla',6),(10347,'4356','Ledesma',6),(10348,'4356','Llajta mauca',6),(10349,'4356','Lote 29',6),(10350,'4356','Matara',6),(10351,'4356','Melero',6),(10352,'4356','Puente bajada',6),(10353,'4356','Rincon esperanza',6),(10354,'4356','Roldan',6),(10355,'4356','San miguel del matara',6),(10356,'4356','Soledad',6),(10357,'4356','Taruy',6),(10358,'4356','Tiun punco',6),(10359,'4356','Villa esquina',6),(10360,'4356','Villa matara',6),(10361,'4400','Barrio la loma',14),(10362,'4400','Barrio san cayetano',14),(10363,'4400','Belgrano',14),(10364,'4400','Buena vista',14),(10365,'4400','Campo caseros',14),(10366,'4400','Chachapoyas',14),(10367,'4400','Chamical',14),(10368,'4400','Cobas',14),(10369,'4400','El aybal',14),(10370,'4400','El prado',14),(10371,'4400','Estola',14),(10372,'4400','Higuerillas',14),(10373,'4400','Kilometro 1129',14),(10374,'4400','La cruz',14),(10375,'4400','La isla',14),(10376,'4400','La lagunilla',14),(10377,'4400','La montaÑa',14),(10378,'4400','La pedrera',14),(10379,'4400','La quesera',14),(10380,'4400','La troja',14),(10381,'4400','Limache',14),(10382,'4400','Los noques',14),(10383,'4400','Rio ancho',14),(10384,'4400','Salta',14),(10385,'4401','Antonio alice',14),(10386,'4401','Atocha',14),(10387,'4401','Caldera',14),(10388,'4401','Calderilla',14),(10389,'4401','Castellanos',14),(10390,'4401','Curuzu',14),(10391,'4401','El gallinato',14),(10392,'4401','General alvarado',14),(10393,'4401','Humaita',14),(10394,'4401','Kilometro 1125',14),(10395,'4401','La isla',14),(10396,'4401','La union',14),(10397,'4401','Las costas',14),(10398,'4401','Lesser',14),(10399,'4401','Los alamos',14),(10400,'4401','Los mercados',14),(10401,'4401','Los peÑones',14),(10402,'4401','Los sauces',14),(10403,'4401','Mayo torito',14),(10404,'4401','Monte',14),(10405,'4401','Paredes',14),(10406,'4401','PeÑalva',14),(10407,'4401','Potrero de castilla',14),(10408,'4401','San alejo',14),(10409,'4401','Santa rufina',14),(10410,'4401','Vaqueros',14),(10411,'4401','Velardes',14),(10412,'4401','Villa san lorenzo',14),(10413,'4401','Yacones',14),(10414,'4403','Cebados',14),(10415,'4403','Cerrillos',14),(10416,'4403','Colon',14),(10417,'4403','El colegio',14),(10418,'4403','El huaico',14),(10419,'4403','Finca camino a colon',14),(10420,'4403','Finca camino vallisios',14),(10421,'4403','Finca colon',14),(10422,'4403','Finca el colegio',14),(10423,'4403','Isla de la candelaria',14),(10424,'4403','Kilometro 1156',14),(10425,'4403','La falda',14),(10426,'4403','La fama',14),(10427,'4403','Las blancas',14),(10428,'4403','Las palmas',14),(10429,'4403','Los alamos',14),(10430,'4403','Olmos',14),(10431,'4403','Paraje zanjon',14),(10432,'4403','Piedemonte',14),(10433,'4403','Rio ancho',14),(10434,'4403','Rodeos',14),(10435,'4403','San clemente',14),(10436,'4403','San miguel',14),(10437,'4403','Santa elena',14),(10438,'4403','Villa los tarcos',14),(10439,'4403','Zanjon',14),(10440,'4405','Ballenal',14),(10441,'4405','Camara',14),(10442,'4405','Carabajal',14),(10443,'4405','El carmen',14),(10444,'4405','El corralito',14),(10445,'4405','El dorado',14),(10446,'4405','El manzano',14),(10447,'4405','El mollar',14),(10448,'4405','El porvenir',14),(10449,'4405','El potrero',14),(10450,'4405','El pucara',14),(10451,'4405','El puyil',14),(10452,'4405','El rosal',14),(10453,'4405','El timbo',14),(10454,'4405','La estela',14),(10455,'4405','Las arenas',14),(10456,'4405','Las mesadas',14),(10457,'4405','Las rosas',14),(10458,'4405','Media luna',14),(10459,'4405','Merced de arriba',14),(10460,'4405','Pascha',14),(10461,'4405','Pie de la cuesta',14),(10462,'4405','Rosario de lerma',14),(10463,'4407','Alejo de alberro',14),(10464,'4407','Campo quijano',14),(10465,'4407','El encon',14),(10466,'4407','Eltunal',14),(10467,'4407','Kilometro 1172',14),(10468,'4407','La silleta',14),(10469,'4407','Las arcas',14),(10470,'4407','Potrero de linares',14),(10471,'4407','Potrero de uriburu',14),(10472,'4407','Virrey toledo',14),(10473,'4409','Alfarcito',14),(10474,'4409','CachiÑal',14),(10475,'4409','Cerro bayo',14),(10476,'4409','Chorrillitos',14),(10477,'4409','Chorrillos',14),(10478,'4409','Damian m torino',14),(10479,'4409','Diego de almagro',14),(10480,'4409','El alfredito',14),(10481,'4409','El alisal',14),(10482,'4409','El golgota',14),(10483,'4409','El toro',14),(10484,'4409','Encrucijada',14),(10485,'4409','Encrucijada de tastil',14),(10486,'4409','Gobernador manuel sola',14),(10487,'4409','Gobernador saravia',14),(10488,'4409','Huaicondo',14),(10489,'4409','Incahuasi',14),(10490,'4409','Incamayo',14),(10491,'4409','Ingeniero maury',14),(10492,'4409','Las capillas',14),(10493,'4409','Las cebadas',14),(10494,'4409','Las cuevas',14),(10495,'4409','Meseta',14),(10496,'4409','Mina carolina',14),(10497,'4409','Puerta de tastil',14),(10498,'4409','Quebrada del toro',14),(10499,'4409','Quebrada muÑano',14),(10500,'4409','Santa rosa de tastil',14),(10501,'4409','Tacuara',14),(10502,'4409','Toro',14),(10503,'4409','Tres cruces',14),(10504,'4409','Villa sola',14),(10505,'4411','Abra del gallo',14),(10506,'4411','Acazoque',14),(10507,'4411','Cortaderas',14),(10508,'4411','Estacion cachiÑal',14),(10509,'4411','Grandes pastos',14),(10510,'4411','Juncal',14),(10511,'4411','Los patos',14),(10512,'4411','Mina julio',14),(10513,'4411','MuÑano kilometro 1308',14),(10514,'4411','Paraje cerro negro',14),(10515,'4411','Paraje cobres',14),(10516,'4411','Paraje cortaderas',14),(10517,'4411','Paraje esquina de guardia',14),(10518,'4411','Paraje las cuevas',14),(10519,'4411','Paraje mina concordia',14),(10520,'4411','Paraje morro colorado',14),(10521,'4411','Paraje nacimientos',14),(10522,'4411','Paraje pastos grandes',14),(10523,'4411','Paraje pircas',14),(10524,'4411','Paraje pizcuno',14),(10525,'4411','Paraje uncuru',14),(10526,'4411','Potrerillos',14),(10527,'4411','Potrero de poyogasta',14),(10528,'4411','San antonio de los cobres',14),(10529,'4411','Santa rosa de los patos grande',14),(10530,'4411','Sey',16),(10531,'4413','Caipe',14),(10532,'4413','Catua',16),(10533,'4413','Cauchari',14),(10534,'4413','Chachas',14),(10535,'4413','Chuculaqui',14),(10536,'4413','Incachuli',14),(10537,'4413','Juncalito',14),(10538,'4413','Kilometro 1369',14),(10539,'4413','Kilometro 1373',14),(10540,'4413','Kilometro 1424',14),(10541,'4413','Laguna seca',14),(10542,'4413','Los colorados',14),(10543,'4413','Mina la casualidad',14),(10544,'4413','Mina tincalaya',14),(10545,'4413','Olacapanto chico',14),(10546,'4413','Olacapanto grande',14),(10547,'4413','Paraje olacapato',14),(10548,'4413','Quebrada del agua',14),(10549,'4413','Salar de pocitos',14),(10550,'4413','Socompa',14),(10551,'4413','Taca taca estacion fcgb',14),(10552,'4413','Tolar chico',14),(10553,'4413','Tolar grande',14),(10554,'4413','Unquillal embarcadero fcgb',14),(10555,'4413','Vega de arizaro',14),(10556,'4415','Agua negra',14),(10557,'4415','Ampata',14),(10558,'4415','Angostura',14),(10559,'4415','Atudillo',14),(10560,'4415','Barro negro',14),(10561,'4415','Buena vista',14),(10562,'4415','Cangrejillos',14),(10563,'4415','Cerro mal canto',14),(10564,'4415','Chorro blanco',14),(10565,'4415','Cuesta chica',14),(10566,'4415','El candado',14),(10567,'4415','El maray',14),(10568,'4415','El molino',14),(10569,'4415','El nogalar',14),(10570,'4415','El potrero',14),(10571,'4415','El rodeo',14),(10572,'4415','El sunchal',14),(10573,'4415','El trigal',14),(10574,'4415','Finca belgrano',14),(10575,'4415','Huayra huasy',14),(10576,'4415','La esperanza',14),(10577,'4415','La herradura',14),(10578,'4415','La poma',14),(10579,'4415','La yesera',14),(10580,'4415','Las animas',14),(10581,'4415','Las cortaderas',14),(10582,'4415','Las zanjas',14),(10583,'4415','Loma de burro',14),(10584,'4415','Los laureles',14),(10585,'4415','Mal cante',14),(10586,'4415','Mal paso',14),(10587,'4415','Mina san esteban',14),(10588,'4415','Mina san guillermo',14),(10589,'4415','Mina san walterio',14),(10590,'4415','Minas victoria',14),(10591,'4415','Molino de gongora',14),(10592,'4415','Ojo de agua',14),(10593,'4415','Palermo oeste',14),(10594,'4415','Payogasta',14),(10595,'4415','Pie de la cuesta',14),(10596,'4415','Piul',14),(10597,'4415','Pompeya',14),(10598,'4415','Potrero',14),(10599,'4415','Pueblo nuevo',14),(10600,'4415','Pueblo viejo',14),(10601,'4415','Punta de agua',14),(10602,'4415','Quebrada de escoipe',14),(10603,'4415','Rumiarco',6),(10604,'4415','Saladillo',14),(10605,'4415','San martin la cuesta',14),(10606,'4415','Tonco',14),(10607,'4415','Toro yaco',14),(10608,'4415','Trigal',14),(10609,'4415','Valle encantado',14),(10610,'4415','Villitas',14),(10611,'4415','Yacera',14),(10612,'4417','Barrio parabolica',14),(10613,'4417','Cachi',14),(10614,'4417','Cachi adentro',14),(10615,'4417','Cuesta del obispo',14),(10616,'4417','Escalchi',14),(10617,'4417','Fuerte alto',14),(10618,'4417','Las arcas',14),(10619,'4417','Las pailas',14),(10620,'4417','Las trancas',14),(10621,'4417','Pueblo viejo',14),(10622,'4417','Puerta de la paya',14),(10623,'4417','Puil',14),(10624,'4417','Rio blanco',14),(10625,'4417','Rio toro',14),(10626,'4417','Rumihuasi',14),(10627,'4419','Amaicha',14),(10628,'4419','Angostura',14),(10629,'4419','Banda grande',14),(10630,'4419','Brealito',14),(10631,'4419','Burro yaco',14),(10632,'4419','Cerro bravo',14),(10633,'4419','Cerro de la zorra vieja',14),(10634,'4419','Cerro del agua de la falda',14),(10635,'4419','Chicoana',14),(10636,'4419','Colmenar',14),(10637,'4419','Colome',14),(10638,'4419','Colte',14),(10639,'4419','Corrida de cori',14),(10640,'4419','Cuchiyaco',14),(10641,'4419','Diamante',14),(10642,'4419','El brealito',14),(10643,'4419','El carmen',14),(10644,'4419','El churcal',14),(10645,'4419','Esquina',14),(10646,'4419','Gualfin',14),(10647,'4419','Humanas',14),(10648,'4419','La paya',14),(10649,'4419','La puerta',14),(10650,'4419','Luracatao',14),(10651,'4419','Molinos',14),(10652,'4419','Monte grande',14),(10653,'4419','PeÑas blancas',14),(10654,'4419','Rumihuasi',14),(10655,'4419','Salar de hombre muerto',14),(10656,'4419','Salar del hombre muerto',14),(10657,'4419','San jose de colte',14),(10658,'4419','San jose de escalchi',14),(10659,'4419','San martin',14),(10660,'4419','Seclanta adentro',14),(10661,'4419','Seclantas',14),(10662,'4419','Tacuil',14),(10663,'4419','Tomuco',14),(10664,'4419','Volcan azufre',14),(10665,'4421','Ablome',14),(10666,'4421','Almona',14),(10667,'4421','Ampascachi',14),(10668,'4421','Bella vista',14),(10669,'4421','Cabra corral dique',14),(10670,'4421','Cacho molino',14),(10671,'4421','Calvimonte',14),(10672,'4421','Colonia el fuerte',14),(10673,'4421','Coronel moldes',14),(10674,'4421','Doctor facundo zuviria',14),(10675,'4421','El carancho',14),(10676,'4421','El carmen',14),(10677,'4421','El carril',14),(10678,'4421','El leoncito',14),(10679,'4421','El potrero de diaz',14),(10680,'4421','El simbolar',14),(10681,'4421','Escoipe',14),(10682,'4421','Estacion zuviria',14),(10683,'4421','Gualiana',14),(10684,'4421','Kilometro 1176 300',14),(10685,'4421','La argentina',14),(10686,'4421','La armonia',14),(10687,'4421','La bodega',14),(10688,'4421','La bodeguita',14),(10689,'4421','La costa',14),(10690,'4421','La merced',14),(10691,'4421','La toma',14),(10692,'4421','Las caÑas',14),(10693,'4421','Las garzas',14),(10694,'4421','Las mercedes',14),(10695,'4421','Las pircas',14),(10696,'4421','Las tienditas',14),(10697,'4421','Osma',14),(10698,'4421','Paso del rio',14),(10699,'4421','PeÑas azules',14),(10700,'4421','Piedra del molino',14),(10701,'4421','Piedras moradas',14),(10702,'4421','Puente de diaz',14),(10703,'4421','Quisca loro',14),(10704,'4421','Retiro',14),(10705,'4421','Saladillo de osma',14),(10706,'4421','San agustin',14),(10707,'4421','San antonio chicoana',14),(10708,'4421','San antonio la viÑa',14),(10709,'4421','San geronimo',14),(10710,'4421','San jose',14),(10711,'4421','San martin',14),(10712,'4421','San nicolas',14),(10713,'4421','San vicente',14),(10714,'4421','Santa maria',14),(10715,'4421','Sauce alegre',14),(10716,'4421','Sevillar',14),(10717,'4421','SiÑunto',14),(10718,'4421','Sumalao',14),(10719,'4421','Tres acequias',14),(10720,'4423','Bella vista',14),(10721,'4423','Campo alegre',14),(10722,'4423','Chicoana',14),(10723,'4423','Chivilme',14),(10724,'4423','Doctor facundo zuviria',14),(10725,'4423','El moyar',14),(10726,'4423','El quemado',14),(10727,'4423','El simbolar',14),(10728,'4423','El tipal',14),(10729,'4423','La calavera',14),(10730,'4423','La esperanza',14),(10731,'4423','La guardia',14),(10732,'4423','La margarita',14),(10733,'4423','La maroma',14),(10734,'4423','Las moras',14),(10735,'4423','Los los',14),(10736,'4423','Molino',14),(10737,'4423','Palmira',14),(10738,'4423','Pedregal',14),(10739,'4423','PeÑaflor',14),(10740,'4423','Potrero de diaz',14),(10741,'4423','Pulares',14),(10742,'4423','San fernando de escoipe',14),(10743,'4423','San joaquin',14),(10744,'4423','San jose de la viÑa',14),(10745,'4423','Santa ana',14),(10746,'4423','Santa gertrudis',14),(10747,'4423','Santa rosa',14),(10748,'4423','Tilian',14),(10749,'4423','Villa fanny',14),(10750,'4423','ViÑaco',14),(10751,'4425','20 de febrero',14),(10752,'4425','Acosta',14),(10753,'4425','Amblayo',14),(10754,'4425','Bodeguita',14),(10755,'4425','Campos de alemania',14),(10756,'4425','Carahuasi',14),(10757,'4425','CastaÑares',14),(10758,'4425','Cerro alemania',14),(10759,'4425','Cevilar',14),(10760,'4425','Coropampa',14),(10761,'4425','Durazno',14),(10762,'4425','El acheral',14),(10763,'4425','El creston',14),(10764,'4425','El fraile',14),(10765,'4425','El obelisco',14),(10766,'4425','El sapo',14),(10767,'4425','Finca el carmen',14),(10768,'4425','Guachipas',14),(10769,'4425','La costa',14),(10770,'4425','La florida',14),(10771,'4425','La pampa',14),(10772,'4425','La poblacion',14),(10773,'4425','La represa',14),(10774,'4425','La viÑa',14),(10775,'4425','Las curtiembres',14),(10776,'4425','Las juntas de alemania',14),(10777,'4425','Las lechuzas',14),(10778,'4425','Los castillos',14),(10779,'4425','Los churquis',14),(10780,'4425','Los sauces',14),(10781,'4425','Mina don otto',14),(10782,'4425','Morales',14),(10783,'4425','Pampa grande',14),(10784,'4425','Potrerillos',14),(10785,'4425','Redondo',14),(10786,'4425','Rio alemania',14),(10787,'4425','San roque',14),(10788,'4425','Santa barbara',14),(10789,'4425','Santa elena',14),(10790,'4425','Sauce',14),(10791,'4425','Sauce redondo',14),(10792,'4425','Talapampa',14),(10793,'4425','Tipa sola',14),(10794,'4425','Tres cruces',14),(10795,'4425','Vaqueria los sauces',14),(10796,'4427','Angastaco',14),(10797,'4427','Animana',14),(10798,'4427','Barrial',14),(10799,'4427','Buena vista',14),(10800,'4427','Cafayate',14),(10801,'4427','Corralito',14),(10802,'4427','El recreo',14),(10803,'4427','Finca la rosa',14),(10804,'4427','Isonza',14),(10805,'4427','Jacimana',14),(10806,'4427','La arcadia',14),(10807,'4427','La armonia',14),(10808,'4427','La banda',14),(10809,'4427','La caÑada',14),(10810,'4427','La merced',14),(10811,'4427','La punilla',14),(10812,'4427','La viÑa',14),(10813,'4427','Las conchas',14),(10814,'4427','Las viÑas',14),(10815,'4427','Lorohuasi',14),(10816,'4427','Los alamos',14),(10817,'4427','Los sauces',14),(10818,'4427','Monte viejo',14),(10819,'4427','Palo pintado',14),(10820,'4427','Payogastilla',14),(10821,'4427','Pucara',14),(10822,'4427','Rumiuarco',14),(10823,'4427','San antonio',14),(10824,'4427','San carlos',14),(10825,'4427','San felipe',14),(10826,'4427','San isidro',14),(10827,'4427','San lucas',14),(10828,'4427','San rafael',14),(10829,'4427','Santa rosa',14),(10830,'4427','Simbolar',14),(10831,'4427','Yacochuya',14),(10832,'4427','Yanchuya',14),(10833,'4430','Aguas calientes',14),(10834,'4430','Algarrobal',14),(10835,'4430','Arjuntas',14),(10836,'4430','Chacra experimental',14),(10837,'4430','El bordo',14),(10838,'4430','El ceibal',14),(10839,'4430','El colgado',14),(10840,'4430','El espinillo',14),(10841,'4430','El moranillo',14),(10842,'4430','El sunchal',14),(10843,'4430','El zapallar',14),(10844,'4430','Entre rios',14),(10845,'4430','Fuerte quemado',14),(10846,'4430','General guemes',14),(10847,'4430','Kilometro 1094',14),(10848,'4430','La asuncion',14),(10849,'4430','La defensa',14),(10850,'4430','La maravilla',14),(10851,'4430','Las vertientes santa rita de',14),(10852,'4430','Madre vieja',14),(10853,'4430','Ojo de agua',14),(10854,'4430','Paramamaya',14),(10855,'4430','Pozo el algarrobo',14),(10856,'4430','Puerto de diaz',14),(10857,'4430','Puesto viejo',14),(10858,'4430','Quisto',14),(10859,'4430','Saladillo',14),(10860,'4430','San isidro',14),(10861,'4430','San pedro de aranda',14),(10862,'4430','Santa ana',14),(10863,'4430','Santa cruz',14),(10864,'4430','Santa rita',14),(10865,'4430','Sargento cristobal',14),(10866,'4430','Sausalito',14),(10867,'4430','Simbol yaco',14),(10868,'4430','Torzalito',14),(10869,'4430','Tres yuchanes',14),(10870,'4430','Vaqueria',14),(10871,'4430','Villa mayor zabaleta',14),(10872,'4430','Yasquiasme',14),(10873,'4430','Zapallito',14),(10874,'4431','Agua caliente',16),(10875,'4431','Aguas calientes',16),(10876,'4432','Altos hornos guemes',14),(10877,'4432','Betania',14),(10878,'4432','Campo santo',14),(10879,'4432','Cantera del sauce',14),(10880,'4432','Cobos',14),(10881,'4432','Colonia santa rosa de lima',14),(10882,'4432','Dique embalse campo alegre',14),(10883,'4432','El borde de san miguel',14),(10884,'4432','El bordo',14),(10885,'4432','El prado',14),(10886,'4432','El sauce',14),(10887,'4432','Gallinato',14),(10888,'4432','Ingenio san isidro',14),(10889,'4432','Kilometro 1102',14),(10890,'4432','La ofelia',14),(10891,'4432','La oliva',14),(10892,'4432','La ramada',14),(10893,'4432','La viÑa',14),(10894,'4432','Mojotoro',14),(10895,'4432','Rio lavallen',14),(10896,'4432','Rodeo grande',14),(10897,'4432','San martin',14),(10898,'4432','Santa lucia',14),(10899,'4432','Santa rosa',14),(10900,'4434','Acharas',14),(10901,'4434','Anta',15),(10902,'4434','Cabeza de anta',14),(10903,'4434','Cabeza de buey',14),(10904,'4434','Carreras',14),(10905,'4434','Chilcas',14),(10906,'4434','Coba',14),(10907,'4434','Cruz quemada',14),(10908,'4434','Ebro',14),(10909,'4434','El algarrobo',14),(10910,'4434','El estanque',14),(10911,'4434','El libano',14),(10912,'4434','El naranjo',14),(10913,'4434','El oso',14),(10914,'4434','El rey',14),(10915,'4434','El salto',14),(10916,'4434','El yeso',14),(10917,'4434','El zanjon',14),(10918,'4434','Estancia vieja',14),(10919,'4434','Finca la china',14),(10920,'4434','Gonzalez',14),(10921,'4434','Juramento',14),(10922,'4434','La cuestita anta',14),(10923,'4434','La cuestita metan',14),(10924,'4434','La posta',14),(10925,'4434','La puntilla',14),(10926,'4434','La trampa',14),(10927,'4434','Las acheras',14),(10928,'4434','Las caÑas',14),(10929,'4434','Las cuestitas',14),(10930,'4434','Las flacas',14),(10931,'4434','Las hecheras',14),(10932,'4434','Las mesitas',14),(10933,'4434','Las viboras',14),(10934,'4434','Lechiguana',14),(10935,'4434','Los corrales',14),(10936,'4434','Los nogales',14),(10937,'4434','Lumbreras',14),(10938,'4434','Miraflores',14),(10939,'4434','Palomitas',14),(10940,'4434','Paso de la cruz',14),(10941,'4434','Piquete de anta',14),(10942,'4434','Quesera',14),(10943,'4434','Rio de las piedras',14),(10944,'4434','Saladillo',14),(10945,'4434','San sebastian',14),(10946,'4434','Sauce bajada',14),(10947,'4434','Virgilio tedin',14),(10948,'4440','Balderrama',14),(10949,'4440','Campo alegre',14),(10950,'4440','Campo azul',14),(10951,'4440','Conchas',14),(10952,'4440','Durazno',14),(10953,'4440','El guanaco',14),(10954,'4440','El sauzal',14),(10955,'4440','El vallecito',14),(10956,'4440','Esteco embarcadero fcgb',14),(10957,'4440','Hosteria juramento',14),(10958,'4440','La aguadita',14),(10959,'4440','La costosa',14),(10960,'4440','Las juntas',14),(10961,'4440','Los baÑados',14),(10962,'4440','Metan',14),(10963,'4440','Nogalito',14),(10964,'4440','Paso de balderrama',14),(10965,'4440','Paso del durazno',14),(10966,'4440','Pasteadero',14),(10967,'4440','Peru',14),(10968,'4440','Punta del agua',14),(10969,'4440','Sacha pera',14),(10970,'4440','San javier',14),(10971,'4440','Santa elena',14),(10972,'4440','Schneidewind',14),(10973,'4440','Tala muyo',14),(10974,'4440','Vera cruz',14),(10975,'4440','Yatasto',14),(10976,'4441','Metan viejo',14),(10977,'4444','Arrocero italiano',14),(10978,'4444','Bajo grande desvio fcgb',14),(10979,'4444','El galpon',14),(10980,'4444','El parque',14),(10981,'4444','Finca armonia',14),(10982,'4444','Finca rocca',14),(10983,'4444','Foguista j f juarez',14),(10984,'4444','La armonia',14),(10985,'4444','La poblacion',14),(10986,'4444','Las delicias',14),(10987,'4444','Miraflores m',14),(10988,'4444','Ovejeria',14),(10989,'4444','Poblacion de ortega',14),(10990,'4446','Algarrobal',14),(10991,'4446','Algarrobal viejo',14),(10992,'4446','Alto del mistol',14),(10993,'4446','Bajo grande',14),(10994,'4446','Ceibalito',14),(10995,'4446','ChaÑar muyo',14),(10996,'4446','Chorroarin',14),(10997,'4446','Coronel olleros',14),(10998,'4446','Corral quemado',14),(10999,'4446','Divisadero',14),(11000,'4446','El arenal',14),(11001,'4446','El bordo campo santo',14),(11002,'4446','El carrizal',14),(11003,'4446','El jaravi',14),(11004,'4446','El pacara',14),(11005,'4446','El tunal',14),(11006,'4446','La carretera',14),(11007,'4446','La manga',14),(11008,'4446','Lagunita',14),(11009,'4446','Lagunita nueva poblacion',14),(11010,'4446','Los chifles',14),(11011,'4446','Los rosales',14),(11012,'4446','Molle pozo',14),(11013,'4446','Paso de las carretas',14),(11014,'4446','Paso la cruz',14),(11015,'4446','Poblacion',14),(11016,'4446','Potrerillo',14),(11017,'4446','Potrero',14),(11018,'4446','Puli',14),(11019,'4446','Rosales',14),(11020,'4446','San jose de orqueras',14),(11021,'4446','San juan',14),(11022,'4446','Sauzal',14),(11023,'4446','Tala muyo',14),(11024,'4446','Talas',14),(11025,'4446','Tunalito',14),(11026,'4448','Coronel vidt',14),(11027,'4448','El algarrobal',14),(11028,'4448','Finca mision zenta',14),(11029,'4448','Joaquin v gonzalez',14),(11030,'4448','Kilometro 1088',14),(11031,'4448','La esperanza',14),(11032,'4448','La lomita',14),(11033,'4448','Laguna blanca',14),(11034,'4448','Las blancas',14),(11035,'4448','Las flechas',14),(11036,'4448','Limoncito',14),(11037,'4448','Los mollinedos',14),(11038,'4448','Minas ypf',14),(11039,'4448','Miraflores',14),(11040,'4448','Piquete de anta',14),(11041,'4448','Poblacion',14),(11042,'4448','Poso de algarrobo',14),(11043,'4448','Pozo cantado',14),(11044,'4448','Pozo del greal',14),(11045,'4448','Puerta blanca',14),(11046,'4448','Saladillo de juarez',14),(11047,'4448','San fernando',14),(11048,'4448','San ignacio',14),(11049,'4448','San jorge',14),(11050,'4448','Santa ana',14),(11051,'4448','Santo domingo',14),(11052,'4448','Sapo quemado',14),(11053,'4448','Sauce solo',14),(11054,'4448','Simbolito',14),(11055,'4448','Vieja pozo',14),(11056,'4448','Weisburg',14),(11057,'4449','Agua sucia',14),(11058,'4449','Alto alegre',14),(11059,'4449','Apolinario saravia',14),(11060,'4449','Arita',14),(11061,'4449','Barrealito',14),(11062,'4449','Campo alegre',14),(11063,'4449','Colonia hurlingham',14),(11064,'4449','Coronel mollinedo',14),(11065,'4449','El bordo',14),(11066,'4449','El carmen',14),(11067,'4449','El manantial',14),(11068,'4449','El pericote',14),(11069,'4449','Espinillo',14),(11070,'4449','Esquina',14),(11071,'4449','General pizarro',14),(11072,'4449','Kilometro 1104',14),(11073,'4449','Laguna verde',14),(11074,'4449','Las bateas',14),(11075,'4449','Las flores',14),(11076,'4449','Las lajitas',14),(11077,'4449','Las palmas',14),(11078,'4449','Las tortugas',14),(11079,'4449','Las vateas',14),(11080,'4449','Luis burela',14),(11081,'4449','Media luna',14),(11082,'4449','Monasterios',14),(11083,'4449','Palermo',14),(11084,'4449','Palo a pique',14),(11085,'4449','Piquete cabado',14),(11086,'4449','Pozo grande',14),(11087,'4449','Pozo verde',14),(11088,'4449','Rio del valle',14),(11089,'4449','Rosario del dorado',14),(11090,'4449','Salta forestal kilometro 50',14),(11091,'4449','San luis',14),(11092,'4449','San martin',14),(11093,'4449','San ramon',14),(11094,'4449','Santa rosa',14),(11095,'4449','Santo domingo',14),(11096,'4449','Santo domingo anta',14),(11097,'4449','Santo domingo santa victoria',14),(11098,'4449','Totoral',14),(11099,'4449','Tunalito',14),(11100,'4452','Botija',6),(11101,'4452','ChaÑar aguada',6),(11102,'4452','Cruz bajada',6),(11103,'4452','Dos arboles',6),(11104,'4452','El porvenir',14),(11105,'4452','El quebrachal',14),(11106,'4452','El vencido',14),(11107,'4452','Floresta',14),(11108,'4452','Fuerte el pito',14),(11109,'4452','Gaona',14),(11110,'4452','Guayacan',6),(11111,'4452','Kilometro 1152',14),(11112,'4452','Las puertas',6),(11113,'4452','Llucha',14),(11114,'4452','Los colorados',6),(11115,'4452','Macapillo',14),(11116,'4452','Manga vieja',14),(11117,'4452','Mercedes',6),(11118,'4452','Mistolito',6),(11119,'4452','Nuestra seÑora de talavera',14),(11120,'4452','Paaj pozo',6),(11121,'4452','Picos de amor',6),(11122,'4452','Picos de arroz',6),(11123,'4452','Platero',6),(11124,'4452','Pringles',14),(11125,'4452','Quebrachal',14),(11126,'4452','Roca',14),(11127,'4452','Roma',6),(11128,'4452','San gabriel',14),(11129,'4452','San isidro',6),(11130,'4452','Santa rosa de anta',14),(11131,'4452','Simbolar',14),(11132,'4452','Sunchalito',14),(11133,'4452','Tacioj',6),(11134,'4452','Taco esquina',6),(11135,'4452','Taco pampa',14),(11136,'4452','Talavera',14),(11137,'4452','Tolloche',14),(11138,'4452','Toro pampa',14),(11139,'4452','Toro pampa',6),(11140,'4452','Vencida',14),(11141,'4452','Villa matoque',6),(11142,'4452','Vinal macho',6),(11143,'4452','Vinal pozo',14),(11144,'4452','Vinalito',6),(11145,'4452','Vinalito',14),(11146,'4500','Alto del saladillo',16),(11147,'4500','Barrio la providencia',16),(11148,'4500','El acheral',16),(11149,'4500','El arenal',16),(11150,'4500','El saladillo',16),(11151,'4500','Ensenada',16),(11152,'4500','Esquina de quisto',16),(11153,'4500','La sanga',16),(11154,'4500','Moralito',16),(11155,'4500','Rodeitos',16),(11156,'4500','Saladillo ledesma',16),(11157,'4500','San jose del bordo',16),(11158,'4500','San lucas',16),(11159,'4500','San pedro',16),(11160,'4501','Abra del trigo',16),(11161,'4501','Aguas blancas',16),(11162,'4501','Arroyo colorado',16),(11163,'4501','Arroyo del medio',16),(11164,'4501','Bella vista',16),(11165,'4501','Cachi punco',16),(11166,'4501','El fuerte',16),(11167,'4501','El mistol',16),(11168,'4501','El olvido',16),(11169,'4501','El palmar',16),(11170,'4501','El piquete',16),(11171,'4501','El sunchal',16),(11172,'4501','El tipal',16),(11173,'4501','Gobernador ovejero',16),(11174,'4501','Isla chica',16),(11175,'4501','Isla grande',16),(11176,'4501','La ollada',16),(11177,'4501','La quinta',16),(11178,'4501','La ronda',16),(11179,'4501','La vertiente',16),(11180,'4501','Laguna san miguel',16),(11181,'4501','Laguna totorillas',16),(11182,'4501','Lapachal ledesma',16),(11183,'4501','Lapachal santa barbara',16),(11184,'4501','Loma pelada',16),(11185,'4501','Los matos',16),(11186,'4501','Milan',16),(11187,'4501','Palma sola',16),(11188,'4501','Pie de la cuesta',16),(11189,'4501','Puesto nuevo',16),(11190,'4501','Real de los toros',16),(11191,'4501','San juan de dios',16),(11192,'4501','San rafael',16),(11193,'4501','Santa clara',16),(11194,'4501','Santa rita',16),(11195,'4501','Sauzal',16),(11196,'4501','Siete aguas',16),(11197,'4503','Arrayanal',16),(11198,'4503','Ingenio la esperanza',16),(11199,'4503','La esperanza',16),(11200,'4503','Lavayen',16),(11201,'4503','Los bayos',16),(11202,'4503','Lote el puesto',16),(11203,'4503','Lote la cienaga',16),(11204,'4503','Lote la posta',16),(11205,'4503','Lote miraflores',16),(11206,'4503','Lote palmera',16),(11207,'4503','Lote parapeti',16),(11208,'4503','San antonio',16),(11209,'4504','23 de agosto',16),(11210,'4504','Chalican',16),(11211,'4504','El quemado',16),(11212,'4504','El rio negro',16),(11213,'4504','Finca leach',16),(11214,'4504','Jaramillo',16),(11215,'4504','Leachs',16),(11216,'4504','Lote zora',16),(11217,'4504','Rastrojos',16),(11218,'4504','Rio negro',16),(11219,'4506','Alegria',16),(11220,'4506','Arenal barroso',16),(11221,'4506','Bajada alta',16),(11222,'4506','El cardonal',16),(11223,'4506','Fraile pintado',16),(11224,'4506','Guayacan',16),(11225,'4506','La bajada',16),(11226,'4506','La reduccion',16),(11227,'4506','Lote maiz negro',16),(11228,'4506','Oculto',16),(11229,'4506','Ojo de agua',16),(11230,'4506','Siberia',16),(11231,'4512','Agua negra',16),(11232,'4512','Animas',16),(11233,'4512','Aparejo',16),(11234,'4512','Bateas',16),(11235,'4512','Bella vista',16),(11236,'4512','Campo bajo',16),(11237,'4512','Campo colorado',16),(11238,'4512','Candelaria',16),(11239,'4512','Cevilar',16),(11240,'4512','Cienaga',16),(11241,'4512','Colonia 8 de septiembre',16),(11242,'4512','Cortaderas',16),(11243,'4512','Don jorge',16),(11244,'4512','Duraznal',16),(11245,'4512','El aibal',16),(11246,'4512','El bananal',16),(11247,'4512','El caulario',16),(11248,'4512','El manantial',16),(11249,'4512','El naranjo',16),(11250,'4512','El sauce',16),(11251,'4512','Esquina',16),(11252,'4512','Falda del quebrachal',16),(11253,'4512','Falda mojon',16),(11254,'4512','Falda montosa',16),(11255,'4512','Florencia',16),(11256,'4512','Guachan',16),(11257,'4512','Higueritas',16),(11258,'4512','Ingenio ledesma',16),(11259,'4512','La calera',16),(11260,'4512','La puerta',16),(11261,'4512','Las higueritas',16),(11262,'4512','Las quintas',16),(11263,'4512','Ledesma',16),(11264,'4512','Lib gral san martin',16),(11265,'4512','Loma del medio',16),(11266,'4512','Los catres',16),(11267,'4512','Lote prediliana',16),(11268,'4512','Lote san antonio',16),(11269,'4512','Mal paso',16),(11270,'4512','Marta',16),(11271,'4512','Mojon azucena',16),(11272,'4512','Molular',16),(11273,'4512','Naranjito',16),(11274,'4512','Normenta',16),(11275,'4512','Palo a pique',16),(11276,'4512','Pampa larga',16),(11277,'4512','Paulete',16),(11278,'4512','Paulina',16),(11279,'4512','Piedra blanca',16),(11280,'4512','Potrero alegre',16),(11281,'4512','Pozo cavado',16),(11282,'4512','Pozo verde',16),(11283,'4512','Prediliana',16),(11284,'4512','Pueblo ledesma',16),(11285,'4512','Pueblo nuevo',16),(11286,'4512','Puerta vieja',16),(11287,'4512','Ramada',16),(11288,'4512','Rio seco',16),(11289,'4512','San francisco',16),(11290,'4512','Santillo',16),(11291,'4512','Sauzalito',16),(11292,'4512','Sepultura',16),(11293,'4512','Socabon',16),(11294,'4512','Soledad',16),(11295,'4512','Tarijita',16),(11296,'4512','Toquillera',16),(11297,'4512','Trementinal',16),(11298,'4512','Tucumancito',16),(11299,'4513','Alto calilegua',16),(11300,'4513','Amancayoc',16),(11301,'4513','Amarguras',16),(11302,'4513','Cacho',16),(11303,'4513','Chorro',16),(11304,'4513','Fundiciones',16),(11305,'4513','Gobernador tello',16),(11306,'4513','Loma larga',16),(11307,'4513','Nogal',16),(11308,'4513','Nogales',16),(11309,'4513','Nogalito',16),(11310,'4513','Pampichuela',16),(11311,'4513','Picacho',16),(11312,'4513','Pilcomayo',16),(11313,'4513','Pueblo',16),(11314,'4513','Puerto tolava',16),(11315,'4513','QueÑoal',16),(11316,'4513','San antonio',16),(11317,'4513','San lucas',16),(11318,'4513','Santa barbara',16),(11319,'4513','Santa clara',16),(11320,'4513','Talar',16),(11321,'4513','Valle grande',16),(11322,'4514','Calilegua',16),(11323,'4514','La noria',6),(11324,'4514','Lecheria',16),(11325,'4514','Posta guardaparque nacional ca',16),(11326,'4514','San lorenzo',16),(11327,'4516','Caimancito',16),(11328,'4516','ChaÑar solo',16),(11329,'4516','ChaÑaral',16),(11330,'4516','Finca agua salada',16),(11331,'4516','Finca agua tapada',16),(11332,'4516','Finca la lucrecia',16),(11333,'4516','Finca la realidad',16),(11334,'4516','Finca santa cornelia',16),(11335,'4516','Los baÑos termales',16),(11336,'4516','Obraje san jose',16),(11337,'4518','Vinalito',16),(11338,'4518','Yuto',16),(11339,'4522','Alto del saladillo',16),(11340,'4522','Barro negro',16),(11341,'4522','La mendieta',16),(11342,'4522','Lote don david',16),(11343,'4522','Lote don emilio',16),(11344,'4522','Lote piedritas',16),(11345,'4522','Lote san juancito',16),(11346,'4522','Lote sauzal',16),(11347,'4522','Palo blanco',16),(11348,'4522','Palo santo',16),(11349,'4522','Rio grande',16),(11350,'4522','Saladillo ledesma',16),(11351,'4522','Saladillo san pedro',16),(11352,'4530','Abra grande',14),(11353,'4530','Aguas blancas',14),(11354,'4530','Colonia a',14),(11355,'4530','Colonia agricola san agustin',14),(11356,'4530','Colonia d',14),(11357,'4530','Colonia santa maria',14),(11358,'4530','El carmen',14),(11359,'4530','El molle',14),(11360,'4530','El quemado',14),(11361,'4530','Finca mision zenta',14),(11362,'4530','Fortin belgrano',14),(11363,'4530','Juntas de san antonio',14),(11364,'4530','La toma',14),(11365,'4530','Las cortaderas',14),(11366,'4530','Limoncito',14),(11367,'4530','Lomas de olmedo',14),(11368,'4530','Lote josefina',14),(11369,'4530','Lote lucrecia',14),(11370,'4530','Lote marcela',14),(11371,'4530','Lote sarita',14),(11372,'4530','Maria jose',14),(11373,'4530','Minas ypf',14),(11374,'4530','Mision franciscana',14),(11375,'4530','Oran',14),(11376,'4530','Parani',14),(11377,'4530','Piedra del potrillo',14),(11378,'4530','Pozo azul',14),(11379,'4530','Pozo de la esquina',14),(11380,'4530','Pozo de la piedra',14),(11381,'4530','Pozo pringles',14),(11382,'4530','Puesto de motijo',14),(11383,'4530','QueÑua',14),(11384,'4530','Rio colorado',14),(11385,'4530','Rio de las piedras',14),(11386,'4530','Rio pescado',14),(11387,'4530','San andres',14),(11388,'4530','San antonio',14),(11389,'4530','San bernardo',14),(11390,'4530','San ignacio',14),(11391,'4530','San ignacio de loyola',14),(11392,'4530','San ramon de la nueva oran',14),(11393,'4530','Solazuti',14),(11394,'4530','Soledad',14),(11395,'4530','Tres pozos',14),(11396,'4530','Vado hondo',14),(11397,'4531','Aguas blancas',14),(11398,'4531','Colonia santa rosa',14),(11399,'4531','Isla de caÑas',14),(11400,'4531','Los toldos',14),(11401,'4531','Santa cruz',14),(11402,'4533','Angel peredo',14),(11403,'4533','Angelica',14),(11404,'4533','El tabacal',14),(11405,'4533','Hipolito yrigoyen',14),(11406,'4533','Ingenio san martin',14),(11407,'4533','Kilometro 1298',14),(11408,'4533','Lote estela',14),(11409,'4533','Maria luisa',14),(11410,'4533','Tabacal ingenio',14),(11411,'4534','Algarrobal',14),(11412,'4534','Arbol solo',14),(11413,'4534','El mistol',14),(11414,'4534','El quimilar carboncito',14),(11415,'4534','El zapallo',14),(11416,'4534','Kilometro 1280',14),(11417,'4534','Kilometro 1281',14),(11418,'4534','Kilometro 1291',14),(11419,'4534','Las varas',14),(11420,'4534','Pichanal',14),(11421,'4534','Pizarro',14),(11422,'4534','Puesto del medio',14),(11423,'4534','Santa rosa',14),(11424,'4534','Yacara',14),(11425,'4535','Aguas muertas',14),(11426,'4535','Algarrobal',14),(11427,'4535','Alto verde',14),(11428,'4535','Arenales',14),(11429,'4535','Belgrano fortin 2',14),(11430,'4535','Bella vista',14),(11431,'4535','Campo argentino',14),(11432,'4535','Ciervo cansado',14),(11433,'4535','El breal',14),(11434,'4535','El destierro',14),(11435,'4535','El mirador',14),(11436,'4535','El soldadito',14),(11437,'4535','El tunalito',14),(11438,'4535','El yacon',14),(11439,'4535','Fortin frias',14),(11440,'4535','La cancha',14),(11441,'4535','La esperanza',14),(11442,'4535','La esquinita',14),(11443,'4535','La montaÑa',14),(11444,'4535','La tablada',14),(11445,'4535','La union',14),(11446,'4535','Las bolsas',14),(11447,'4535','Las caÑitas',14),(11448,'4535','Las conchas',14),(11449,'4535','Las llaves',14),(11450,'4535','Martin garcia',14),(11451,'4535','Mollinedo',14),(11452,'4535','Palmarcito',14),(11453,'4535','Paraiso',14),(11454,'4535','Paso el milagro san aniceto',14),(11455,'4535','Porongal',14),(11456,'4535','Pozo cercado',14),(11457,'4535','Pozo del pato',14),(11458,'4535','Pozo del sauce',14),(11459,'4535','Pozo del zorro',14),(11460,'4535','Pozo verde',14),(11461,'4535','Puesto de la viuda',14),(11462,'4535','Rivadavia',14),(11463,'4535','San isidro',14),(11464,'4535','San joaquin',14),(11465,'4535','San miguel',14),(11466,'4535','Santa rosa',14),(11467,'4535','Santo domingo',14),(11468,'4535','Santos lugares',14),(11469,'4535','Victorica',14),(11470,'4535','Villa petrona',14),(11471,'4537','Chaguaral',14),(11472,'4537','Esteban de urizar',14),(11473,'4537','Jeronimo matorras',14),(11474,'4537','La estrella',14),(11475,'4537','Martinez del tinco',14),(11476,'4537','Martinez del tineo',14),(11477,'4537','Yuchan',14),(11478,'4538','El desmonte',14),(11479,'4538','Finca la toma',14),(11480,'4538','Las maravillas',14),(11481,'4538','Saucelito',14),(11482,'4542','El palmar de san francisco',16),(11483,'4542','El talar',16),(11484,'4542','Ingenio la esperanza',16),(11485,'4542','Pozo del cuinco',14),(11486,'4542','Santa marina',14),(11487,'4542','Urundel',14),(11488,'4550','Buen lugar',14),(11489,'4550','Colonia otomana',14),(11490,'4550','Corzuela',14),(11491,'4550','El cuchillo',14),(11492,'4550','El retiro',14),(11493,'4550','Embarcacion',14),(11494,'4550','Kilometro 1306 fcgb',14),(11495,'4550','La fortuna',14),(11496,'4550','La quena',14),(11497,'4550','Los baldes',14),(11498,'4550','Manuel elordi',14),(11499,'4550','Nuevo porvenir',14),(11500,'4550','Otomana',14),(11501,'4550','Puesto grande',14),(11502,'4550','Santa victoria',14),(11503,'4552','Antonio quijarro',14),(11504,'4552','Campichuelo',14),(11505,'4552','Coronel cornejo',14),(11506,'4552','Corralito',14),(11507,'4552','General ballivian',14),(11508,'4552','Pastor sevillosa',14),(11509,'4552','Pocoy',14),(11510,'4552','Puerto baules',14),(11511,'4552','Rio seco',14),(11512,'4552','Senda hachada estacion fcgb',14),(11513,'4552','Tranquitas',14),(11514,'4554','Campo largo',14),(11515,'4554','Campo libre',14),(11516,'4554','Capitan juan page',14),(11517,'4554','Chirete',14),(11518,'4554','Cnel juan sola est morillo',14),(11519,'4554','Dos yuchanes',14),(11520,'4554','Dragones',14),(11521,'4554','El cienago',14),(11522,'4554','El espinillo',14),(11523,'4554','El pertigo',14),(11524,'4554','El talar',14),(11525,'4554','El tartagal',14),(11526,'4554','Emboscada',14),(11527,'4554','Hickman',14),(11528,'4554','La curva',14),(11529,'4554','La entrada',14),(11530,'4554','La mora',14),(11531,'4554','Las horquetas',14),(11532,'4554','Los blancos',14),(11533,'4554','Los ranchillos',14),(11534,'4554','Luna muerta',14),(11535,'4554','Madrejon',14),(11536,'4554','Media luna',14),(11537,'4554','Mision chaqueÑa',14),(11538,'4554','Misiones',14),(11539,'4554','Mistol mareado',14),(11540,'4554','Mistolar',14),(11541,'4554','Monte carmelo',14),(11542,'4554','Palo santo',14),(11543,'4554','Pedro lozano',14),(11544,'4554','Pluma del pato',14),(11545,'4554','Pozo bravo',14),(11546,'4554','Pozo del chaÑar',14),(11547,'4554','Pozo del cuico',14),(11548,'4554','Pozo hondo',14),(11549,'4554','Puesto del paÑuelo',14),(11550,'4554','Resistencia',14),(11551,'4554','San patricio',14),(11552,'4554','Santa clara',14),(11553,'4554','Suri pintado',14),(11554,'4554','Tabaco cimarron',14),(11555,'4554','Tres pozos',14),(11556,'4554','Vuelta de las tobas',14),(11557,'4560','Angostura',14),(11558,'4560','Arenal',14),(11559,'4560','Barrio san antonio',14),(11560,'4560','Capiazutti',14),(11561,'4560','Carapari',14),(11562,'4560','Colonia zanja del tigre',14),(11563,'4560','El chorro',14),(11564,'4560','Frontera 4',14),(11565,'4560','Frontera 5',14),(11566,'4560','Frontera tres',14),(11567,'4560','Guamachi',14),(11568,'4560','La porcelana',14),(11569,'4560','La soledad',14),(11570,'4560','Lote 27',14),(11571,'4560','Manuela pedraza',14),(11572,'4560','Mision franciscana',14),(11573,'4560','Paraje campo largo',14),(11574,'4560','Pluma del pato',14),(11575,'4560','Pozo bermejo',14),(11576,'4560','S jollin',14),(11577,'4560','San laurencio',14),(11578,'4560','San pedro',14),(11579,'4560','Tartagal',14),(11580,'4560','Tonono',14),(11581,'4560','Tuyunti',14),(11582,'4560','Villa general guemes',14),(11583,'4560','Villa saavedra',14),(11584,'4560','Yacay',14),(11585,'4560','Yacimiento tonono',14),(11586,'4560','Yariguarenda',14),(11587,'4560','Zanja honda',14),(11588,'4561','Agua verde',14),(11589,'4561','Alto de la sierra',14),(11590,'4561','Amberes',14),(11591,'4561','Balbuena',14),(11592,'4561','Buena fe',14),(11593,'4561','Colonia buenaventura',14),(11594,'4561','El Ñato',14),(11595,'4561','Hito 1',14),(11596,'4561','La china',14),(11597,'4561','La chinaca',16),(11598,'4561','Mision la paz',14),(11599,'4561','Mision santa lucia',14),(11600,'4561','Puesto la paz',14),(11601,'4561','San bernardo',14),(11602,'4561','Santa maria',14),(11603,'4561','Santa victoria este',14),(11604,'4562','General enrique mosconi',14),(11605,'4562','Kilometro 1398',14),(11606,'4562','Las lomitas',14),(11607,'4562','Vespucio',14),(11608,'4563','Caminera san pedrito',14),(11609,'4563','Campamento tablilla',14),(11610,'4563','Campamento vespucio',14),(11611,'4563','El aguay',14),(11612,'4563','Recaredo',14),(11613,'4564','Kilometro 1448',14),(11614,'4564','Piquirenda',14),(11615,'4564','Tobantirenda',14),(11616,'4564','Yacuy',14),(11617,'4566','Aguaray',14),(11618,'4566','Campo duran',14),(11619,'4566','Ituyuro',14),(11620,'4566','Macueta',14),(11621,'4566','Rio carapan',14),(11622,'4568','Acambuco',14),(11623,'4568','Dique itiruyo',14),(11624,'4568','P salvador mazza est pocito',14),(11625,'4568','Pocitos',14),(11626,'4600','Algarrobal',16),(11627,'4600','Alto comedero',16),(11628,'4600','Atalaya',16),(11629,'4600','Barrio 9 de julio',16),(11630,'4600','Barrio alberdi',16),(11631,'4600','Barrio alto la loma',16),(11632,'4600','Barrio alto la viÑa',16),(11633,'4600','Barrio bajo la viÑa',16),(11634,'4600','Barrio chijra',16),(11635,'4600','Barrio cuyaya',16),(11636,'4600','Barrio lujan',16),(11637,'4600','Barrio parque 19 de abril',16),(11638,'4600','Barrio santa rita',16),(11639,'4600','Chuquina',16),(11640,'4600','El algarrobal',16),(11641,'4600','El amancay',16),(11642,'4600','El cucho',16),(11643,'4600','Guerrero',16),(11644,'4600','Juan galan',16),(11645,'4600','La almona',16),(11646,'4600','La cuesta',16),(11647,'4600','Las capillas',16),(11648,'4600','Las escaleras',16),(11649,'4600','Las higuerillas',16),(11650,'4600','Los alisos',16),(11651,'4600','Los blancos',16),(11652,'4600','Nazareno',16),(11653,'4600','Payo',16),(11654,'4600','Reyes',16),(11655,'4600','San pablo de reyes',16),(11656,'4600','San salvador de jujuy',16),(11657,'4600','Termas de reyes',16),(11658,'4600','Tesorero',16),(11659,'4600','Tilquiza',16),(11660,'4600','Villa ciudad de nieva',16),(11661,'4600','Villa gorriti',16),(11662,'4600','Villa jardin de reyes',16),(11663,'4601','Corral de piedras',16),(11664,'4601','El arenal',16),(11665,'4601','Huaico chico',16),(11666,'4601','Ituaicochico',16),(11667,'4601','Ocloyas',16),(11668,'4601','Rio blanco',16),(11669,'4603','CatamontaÑa',16),(11670,'4603','Chucupal',16),(11671,'4603','El ollero',16),(11672,'4603','El sunchal',16),(11673,'4603','La cienaga',16),(11674,'4603','La ollada',16),(11675,'4603','Las pircas',16),(11676,'4603','Los cedros',16),(11677,'4603','Perico del carmen',16),(11678,'4603','Perico san juan',16),(11679,'4605','Alisos  de abajo',16),(11680,'4605','Alisos de arriba',16),(11681,'4605','Ceibal',16),(11682,'4605','Cerro negro',16),(11683,'4605','El ollero',16),(11684,'4605','La cabaÑa',16),(11685,'4605','La toma',16),(11686,'4605','Los alisos',16),(11687,'4605','PaÑo',16),(11688,'4605','Perico de san antonio',16),(11689,'4605','Rio blanco',16),(11690,'4606','Colonia los lapachos',16),(11691,'4606','El toba',16),(11692,'4606','La ovejeria',16),(11693,'4606','Las caÑadas',16),(11694,'4606','Las pichanas',16),(11695,'4606','Los lapachos',16),(11696,'4606','Los manantiales',16),(11697,'4606','Maquinista veron',16),(11698,'4606','Pampa blanca',16),(11699,'4606','Pampa vieja',16),(11700,'4606','Puesto viejo',16),(11701,'4606','Toba',16),(11702,'4608','Alto verde',16),(11703,'4608','Bordo la isla',16),(11704,'4608','Cadilla',16),(11705,'4608','Campo la tuna',16),(11706,'4608','Chamical',16),(11707,'4608','Coronel arias',16),(11708,'4608','El cabral',16),(11709,'4608','El cadillal',16),(11710,'4608','El mollar',16),(11711,'4608','El pongo',16),(11712,'4608','Entre rios',16),(11713,'4608','Estacion perico',16),(11714,'4608','Hornillos',16),(11715,'4608','Iriarte',16),(11716,'4608','Kilometro 1129',16),(11717,'4608','La union',16),(11718,'4608','Lagunilla el carmen',16),(11719,'4608','Lagunilla ledesma',16),(11720,'4608','Las pampitas',16),(11721,'4608','Monterrico',16),(11722,'4608','Perico',16),(11723,'4608','Pozo de las avispas',16),(11724,'4608','San gabriel',16),(11725,'4608','San juancito',16),(11726,'4608','San rafael',16),(11727,'4608','San vicente',16),(11728,'4608','Santa rita',16),(11729,'4608','Santo domingo',16),(11730,'4608','Venecias argentinas',16),(11731,'4608','Villa argentina',16),(11732,'4612','Carahunco',16),(11733,'4612','Centro forestal',16),(11734,'4612','Cerros zapla',16),(11735,'4612','El algarrobal',16),(11736,'4612','El brete',16),(11737,'4612','El cucho',16),(11738,'4612','El remate',16),(11739,'4612','General manuel savio',16),(11740,'4612','Gral manuel savio',16),(11741,'4612','Juan manuel de rosas',16),(11742,'4612','La cuesta',16),(11743,'4612','Las capillas',16),(11744,'4612','Las escaleras',16),(11745,'4612','Los blancos',16),(11746,'4612','Mina 9 de octubre',16),(11747,'4612','Palpala',16),(11748,'4612','Puerta de salas',16),(11749,'4612','Zapla',16),(11750,'4613','Suncho pozo',6),(11751,'4616','Barcena',16),(11752,'4616','Bomba',16),(11753,'4616','ChaÑi',16),(11754,'4616','Chilcayoc',16),(11755,'4616','Guerreros',16),(11756,'4616','Kilometro 1183',16),(11757,'4616','Lagunas de yala',16),(11758,'4616','Leon',16),(11759,'4616','Lozano',16),(11760,'4616','Molinos',16),(11761,'4616','Potrero',16),(11762,'4616','Santuyoc',16),(11763,'4616','Tesorero',16),(11764,'4616','Tiraxi',16),(11765,'4616','Tiraxi chico',16),(11766,'4616','Volcan',16),(11767,'4616','Yala',16),(11768,'4618','Abra de pives',16),(11769,'4618','Achacamayoc',16),(11770,'4618','Agua bendita',16),(11771,'4618','Agua palomar',16),(11772,'4618','Alto de casa',16),(11773,'4618','Alto de lozano',16),(11774,'4618','Alto de mojon',16),(11775,'4618','Alto del angosto',16),(11776,'4618','Alto huancar',16),(11777,'4618','Alto minero',16),(11778,'4618','Alto potrerillo',16),(11779,'4618','Alto quemado',16),(11780,'4618','Alto quirquincho',16),(11781,'4618','Boleteria',16),(11782,'4618','Campo oculto',16),(11783,'4618','Canchahuasi',16),(11784,'4618','Capachacra',16),(11785,'4618','Carcel',16),(11786,'4618','Casa negra',16),(11787,'4618','Casa vieja',16),(11788,'4618','ChaÑarcito',16),(11789,'4618','ChaÑi chico',16),(11790,'4618','Chilcar',16),(11791,'4618','Chorrillo',16),(11792,'4618','Coiruro',16),(11793,'4618','Colorados',16),(11794,'4618','Condor',16),(11795,'4618','Cortaderas',16),(11796,'4618','Costillar',16),(11797,'4618','Cruz nido',16),(11798,'4618','El colorado',16),(11799,'4618','El molino',16),(11800,'4618','El moreno',16),(11801,'4618','El morro',16),(11802,'4618','Encrucijada',16),(11803,'4618','Esquina de huancar',16),(11804,'4618','Esquina grande',16),(11805,'4618','Estancia grande',16),(11806,'4618','Higueritas',16),(11807,'4618','Huachichocana',16),(11808,'4618','Huancar',16),(11809,'4618','Inca huasi',16),(11810,'4618','La aguadita',16),(11811,'4618','La cienaga',16),(11812,'4618','La puerta',16),(11813,'4618','Lagunas',16),(11814,'4618','Lindero',16),(11815,'4618','Lipan',16),(11816,'4618','Loma larga',16),(11817,'4618','Minas de borato',16),(11818,'4618','Molli punco',16),(11819,'4618','Moreno chico',16),(11820,'4618','Morrito',16),(11821,'4618','Piedra chota',16),(11822,'4618','Piedras amontonadas',16),(11823,'4618','Piedras blancas',16),(11824,'4618','Porvenir',16),(11825,'4618','Posta de hornillos',16),(11826,'4618','Pozo bravo',16),(11827,'4618','Pozo colorado',16),(11828,'4618','Pueblo pla',16),(11829,'4618','Puerta de colorados',16),(11830,'4618','Puerta de lipan',16),(11831,'4618','Puerta patacal',16),(11832,'4618','Puna de jujuy',16),(11833,'4618','Punta canal',16),(11834,'4618','Punta corral',16),(11835,'4618','Puntas de colorados',16),(11836,'4618','Purmamarca',16),(11837,'4618','Quisquine',16),(11838,'4618','Receptoria',16),(11839,'4618','Riverito',16),(11840,'4618','Sala',16),(11841,'4618','San bernardo',16),(11842,'4618','San javier',16),(11843,'4618','San jose del chaÑi',16),(11844,'4618','Santa rosa tumbaya',16),(11845,'4618','Santa rosa valle grande',16),(11846,'4618','Susuyaco',16),(11847,'4618','Tala grusa',16),(11848,'4618','Totorito',16),(11849,'4618','Tres morros',16),(11850,'4618','Triunvirato',16),(11851,'4618','Tumbaya',16),(11852,'4618','Tumbaya grande',16),(11853,'4618','Tunalito',16),(11854,'4622','Bella vista',16),(11855,'4622','Cachihuaico',16),(11856,'4622','El callejon',16),(11857,'4622','La sanga',16),(11858,'4622','Las chicapenas',16),(11859,'4622','Maimara',16),(11860,'4622','Posta de hornillos',16),(11861,'4622','Punta del campo',16),(11862,'4622','San pedrito',16),(11863,'4622','Tacta',16),(11864,'4622','Yerba buena ledesma',16),(11865,'4622','Yerba buena tilcara',16),(11866,'4624','Abra mayo',16),(11867,'4624','Alfarcito',16),(11868,'4624','CaÑas',16),(11869,'4624','El durazno',16),(11870,'4624','El perchel',16),(11871,'4624','Huichaira',16),(11872,'4624','Juella',16),(11873,'4624','La banda',16),(11874,'4624','Molulo',16),(11875,'4624','Pucara',16),(11876,'4624','Puesto',16),(11877,'4624','Quebrada huasamayo',16),(11878,'4624','Tilcara',16),(11879,'4624','Yala de monte carmelo',16),(11880,'4626','Angosto del perchel',16),(11881,'4626','Capla',16),(11882,'4626','Chorrillos',16),(11883,'4626','Chucalezna',16),(11884,'4626','Huacalera',16),(11885,'4626','Ocumazo',16),(11886,'4626','San jose',16),(11887,'4626','Senador perez',16),(11888,'4626','Uquia',16),(11889,'4626','Villa del perchel',16),(11890,'4630','Aparzo',16),(11891,'4630','Baliazo',16),(11892,'4630','Balliazo',16),(11893,'4630','Calete',16),(11894,'4630','Chorrillos',16),(11895,'4630','Cianzo',16),(11896,'4630','Condor',16),(11897,'4630','Coraya',16),(11898,'4630','Galeta',16),(11899,'4630','Hornaditas',16),(11900,'4630','Humahuaca',16),(11901,'4630','Kilometro 1289',16),(11902,'4630','Ovara',16),(11903,'4630','Quimazo',16),(11904,'4630','San andres',16),(11905,'4630','San roque',16),(11906,'4631','Antiguo',16),(11907,'4631','Azul pampa',16),(11908,'4631','Caspala',16),(11909,'4631','Chilcar',16),(11910,'4631','Chorcan',16),(11911,'4631','Coctaca',16),(11912,'4631','Cortaderas',16),(11913,'4631','Doglonzo',16),(11914,'4631','Palca de aparzo',16),(11915,'4631','Potrerillo',16),(11916,'4631','Ramada',16),(11917,'4631','Rodero',16),(11918,'4631','Ronque',16),(11919,'4631','Santa ana',16),(11920,'4631','Soledad',16),(11921,'4631','Tablon',16),(11922,'4631','Toro muerto',16),(11923,'4631','Trancas',16),(11924,'4631','Valle colorado',16),(11925,'4631','Varas',16),(11926,'4631','Vizacachal',16),(11927,'4632','Antumpa',16),(11928,'4632','Casayock',16),(11929,'4632','Casilla',16),(11930,'4632','Casillas',16),(11931,'4632','Chaupi rodero',16),(11932,'4632','Hipolito yrigoyen est iturbe',16),(11933,'4632','Iturbe',16),(11934,'4632','La cueva',16),(11935,'4632','Miyuyoc',16),(11936,'4632','PeÑas blancas',16),(11937,'4632','Pisungo',16),(11938,'4632','Pueblo viejo',16),(11939,'4633','Astillero',14),(11940,'4633','Cancillar',14),(11941,'4633','Casa grande',14),(11942,'4633','Chacar',14),(11943,'4633','ChaÑar',14),(11944,'4633','Chiyayoc',14),(11945,'4633','Colanzuli',14),(11946,'4633','Colorado',14),(11947,'4633','El tapial',14),(11948,'4633','Finca santiago',14),(11949,'4633','Higueras',14),(11950,'4633','Iruya',14),(11951,'4633','La huerta',14),(11952,'4633','Las caÑas',14),(11953,'4633','Matansillas',14),(11954,'4633','Pinal',14),(11955,'4633','Pueblo viejo',14),(11956,'4633','Rodeo colorado',14),(11957,'4633','San antonio',14),(11958,'4633','San antonio de iruya',14),(11959,'4633','San isidro de iruya',14),(11960,'4633','San juan',14),(11961,'4633','San pedro de iruya',14),(11962,'4633','San pedro de iruya',16),(11963,'4633','Tipayoc',14),(11964,'4633','Titicoite',14),(11965,'4633','Tres morros',14),(11966,'4633','Uchogol',14),(11967,'4633','Uchuyoc',14),(11968,'4633','Valle delgado',14),(11969,'4633','Villa alem',14),(11970,'4633','Volcan higuera',16),(11971,'4633','Volcan higueras',14),(11972,'4634','Abralaite',16),(11973,'4634','Casa grande',16),(11974,'4634','El aguilar',16),(11975,'4634','Esquinas blancas',16),(11976,'4634','Kilometro 1321',16),(11977,'4634','La veta',16),(11978,'4634','Quera',16),(11979,'4634','Rio grande',16),(11980,'4634','Tejadas',16),(11981,'4634','Tres cruces',16),(11982,'4634','Veta mina aguilar',16),(11983,'4634','VicuÑayoc',16),(11984,'4634','Yacoraite',16),(11985,'4640','Abra pampa',16),(11986,'4640','Agua chica',16),(11987,'4640','Agua de castilla',16),(11988,'4640','Catari',16),(11989,'4640','Cerro chico',16),(11990,'4640','Chaupi rodero',16),(11991,'4640','Chorojra',16),(11992,'4640','Chulin o inca nueva',16),(11993,'4640','Cochagate',16),(11994,'4640','Estacion zootecnica',16),(11995,'4640','Guemes',16),(11996,'4640','La banda',16),(11997,'4640','La falda',16),(11998,'4640','Lagunillas',16),(11999,'4640','Lumara',16),(12000,'4640','Mira flores',16),(12001,'4640','Miraflores de la candelaria',16),(12002,'4640','Potrero',16),(12003,'4640','Potrero de la puna',16),(12004,'4640','Puerta potrero',16),(12005,'4640','QuebraleÑa',16),(12006,'4640','Ramallo',16),(12007,'4640','Rontuyoc',16),(12008,'4640','Rumi cruz',16),(12009,'4640','San jose de miraflores',16),(12010,'4640','Santuario',16),(12011,'4640','Sayate',16),(12012,'4640','Sorcuyo',16),(12013,'4640','Tabladitas',16),(12014,'4640','Turu tari',16),(12015,'4641','Abdon castro tolay',16),(12016,'4641','Agua caliente',16),(12017,'4641','Agua caliente de la puna',16),(12018,'4641','Barrancas',16),(12019,'4641','Casabindo',16),(12020,'4641','Cauchari',16),(12021,'4641','Cochinoca',16),(12022,'4641','Doncellas',16),(12023,'4641','El porvenir',16),(12024,'4641','El potrero de la puna',16),(12025,'4641','Huancar',16),(12026,'4641','Kilometro 1369',16),(12027,'4641','MuÑayoc',16),(12028,'4641','Olaroz chico',16),(12029,'4641','Olaroz grande',16),(12030,'4641','Pastos chicos',16),(12031,'4641','Queta',16),(12032,'4641','Quichagua',16),(12033,'4641','Rachaite',16),(12034,'4641','Rinconadillas',16),(12035,'4641','San francisco de alfarcito',16),(12036,'4641','San juan de quillagues',16),(12037,'4641','Santa ana de la puna',16),(12038,'4641','Sijes',16),(12039,'4641','Susques',16),(12040,'4641','Tambillos',16),(12041,'4641','Tanques',16),(12042,'4641','Teuco',16),(12043,'4641','Turilari',16),(12044,'4641','Turu tari',16),(12045,'4641','Tusaquillas',16),(12046,'4643','Antiguyos',16),(12047,'4643','Arbolito nuevo',16),(12048,'4643','Carahuasi',16),(12049,'4643','Casa colorada',16),(12050,'4643','Cerro redondo',16),(12051,'4643','Cienaga grande',16),(12052,'4643','Cienego grande',16),(12053,'4643','Cincel',16),(12054,'4643','Coranzulli',16),(12055,'4643','Coyaguaima',16),(12056,'4643','Cusi cusi',16),(12057,'4643','El toro',16),(12058,'4643','Farillon',16),(12059,'4643','Granadas',16),(12060,'4643','Guayatayoc',16),(12061,'4643','La veta',16),(12062,'4643','Loma blanca',16),(12063,'4643','Mina ajedrez',16),(12064,'4643','Mina pan de azucar',16),(12065,'4643','Mina pirquitas',16),(12066,'4643','Miniaio',16),(12067,'4643','Olacapato',16),(12068,'4643','Orosmayo',16),(12069,'4643','Paicone',16),(12070,'4643','Pairique chico',16),(12071,'4643','Pairique grande',16),(12072,'4643','Pozuelo',16),(12073,'4643','Quera',16),(12074,'4643','Rinconada',16),(12075,'4643','Salitre',16),(12076,'4643','San jose de la rinconada',16),(12077,'4643','San juan',16),(12078,'4643','Soysolayte',16),(12079,'4643','Tio mayo',16),(12080,'4643','Tocol',16),(12081,'4644','Bacoya',14),(12082,'4644','Cangrejillos',16),(12083,'4644','Cangrejos',16),(12084,'4644','Caracara',16),(12085,'4644','Chocoite',16),(12086,'4644','El condor',16),(12087,'4644','Escaya',16),(12088,'4644','Kilometro 1397',16),(12089,'4644','Llameria',16),(12090,'4644','Llulluchayoc',16),(12091,'4644','Mayilte',16),(12092,'4644','Mayinte',16),(12093,'4644','Mina belgica',16),(12094,'4644','Mina pulpera',16),(12095,'4644','Mina san francisco',16),(12096,'4644','Mina sol de mayo',16),(12097,'4644','Mocoraite',16),(12098,'4644','Molino',14),(12099,'4644','Mollar',14),(12100,'4644','Puesto del marquez',16),(12101,'4644','Pumahuasi',16),(12102,'4644','Punta de agua',16),(12103,'4644','Punta del agua',16),(12104,'4644','Quenti taco',16),(12105,'4644','Redonda',16),(12106,'4644','Rio colorado',16),(12107,'4644','Toroyoc',14),(12108,'4644','Tuite',16),(12109,'4644','Vallecito',14),(12110,'4644','Vizcarra',14),(12111,'4644','Yavi chico',16),(12112,'4648','Barrio la union',16),(12113,'4648','Toba',16),(12114,'4650','Abra de peÑas',16),(12115,'4650','Barrios',16),(12116,'4650','Corralito',16),(12117,'4650','El monumento',16),(12118,'4650','La cienaga',16),(12119,'4650','La intermedia',16),(12120,'4650','La quiaca',16),(12121,'4650','Mulli punco',16),(12122,'4650','Sansana',16),(12123,'4650','Tafna',16),(12124,'4651','Acoyte',14),(12125,'4651','Angosto pescado',14),(12126,'4651','Azul cuesta',14),(12127,'4651','Baritu',14),(12128,'4651','Cajas',16),(12129,'4651','Capilla fuerte',14),(12130,'4651','Carayoc',16),(12131,'4651','Casti',16),(12132,'4651','Condado',14),(12133,'4651','Cuesta azul',14),(12134,'4651','El aguilar',14),(12135,'4651','Hornillos',14),(12136,'4651','Huerta',14),(12137,'4651','Inticancho',16),(12138,'4651','La falda',14),(12139,'4651','Lipeo',14),(12140,'4651','Lizoite',14),(12141,'4651','Mecoyita',14),(12142,'4651','Meson',14),(12143,'4651','Nazareno',14),(12144,'4651','Pal tolco',14),(12145,'4651','Papa chacra',14),(12146,'4651','Pascalla',14),(12147,'4651','Piscuno',16),(12148,'4651','Poscaya',14),(12149,'4651','Pucara',14),(12150,'4651','Puesto',14),(12151,'4651','Punca viscana',14),(12152,'4651','Punco viscana',14),(12153,'4651','Rodeo',16),(12154,'4651','Rodeo pampa',14),(12155,'4651','San felipe',14),(12156,'4651','San francisco',14),(12157,'4651','San juan de oro',14),(12158,'4651','San leon',14),(12159,'4651','San marcos',14),(12160,'4651','Santa cruz',14),(12161,'4651','Santa victoria',14),(12162,'4651','Soledad',14),(12163,'4651','Soledani',14),(12164,'4651','Suripujio',16),(12165,'4651','Trigo huayco',14),(12166,'4651','Trusuca',14),(12167,'4651','Tuctuca',14),(12168,'4651','Viscachani',16),(12169,'4651','Viscachani',14),(12170,'4651','Yavi',16),(12171,'4653','Casira',16),(12172,'4653','Cerrillos',16),(12173,'4653','Cerrito',16),(12174,'4653','Cieneguillas',16),(12175,'4653','Guayatayoc',16),(12176,'4653','Hornillos',16),(12177,'4653','Huallatayoc',16),(12178,'4653','Ornillo',16),(12179,'4653','Pasajes',16),(12180,'4653','Pasto pampa',16),(12181,'4653','Potrero',16),(12182,'4653','Puesto chico',16),(12183,'4653','Puesto grande',16),(12184,'4653','Rodeo chico',16),(12185,'4653','Tio mayo',16),(12186,'4653','Toquero',16),(12187,'4653','Yoscaba',16),(12188,'4655','Cabreria',16),(12189,'4655','Calahoyo',16),(12190,'4655','Canchuela',16),(12191,'4655','Corral blanco',16),(12192,'4655','El angosto',16),(12193,'4655','La cruz',16),(12194,'4655','Merco',16),(12195,'4655','Minas azules',16),(12196,'4655','Mires',16),(12197,'4655','Morro',16),(12198,'4655','Oratorio',16),(12199,'4655','Oros san juan',16),(12200,'4655','PeÑa colorada',16),(12201,'4655','Piscuno',16),(12202,'4655','San francisco',16),(12203,'4655','San juan',16),(12204,'4655','San juan de oros',16),(12205,'4655','San leon',16),(12206,'4655','Santa catalina',16),(12207,'4655','Timon cruz',16),(12208,'4700','Banda varela',7),(12209,'4700','Chacabuco',7),(12210,'4700','El tala',7),(12211,'4700','La aguada',7),(12212,'4700','La brea',7),(12213,'4700','La calera',7),(12214,'4700','La chacarita',7),(12215,'4700','La chacarita de los padres',7),(12216,'4700','Las tejas de valle viejo',7),(12217,'4700','Las varitas',7),(12218,'4700','Lazareto',7),(12219,'4700','Loma cortada',7),(12220,'4700','Payabuayca',7),(12221,'4700','PeÑon',7),(12222,'4700','Rio del tala',7),(12223,'4700','San fdo del valle de catamarca',7),(12224,'4700','Sauce',7),(12225,'4700','Villa cubas',7),(12226,'4700','Villa parque chacabuco',7),(12227,'4701','Acostilla',7),(12228,'4701','Amana',7),(12229,'4701','Ancasti',7),(12230,'4701','Anquincila',7),(12231,'4701','Cabrera',7),(12232,'4701','Calacio',7),(12233,'4701','Calera',7),(12234,'4701','Candelaria',7),(12235,'4701','CaÑada de ipizca',7),(12236,'4701','CaÑada de paez',7),(12237,'4701','Casa armada',7),(12238,'4701','Casa vieja',7),(12239,'4701','Concepcion',7),(12240,'4701','Corral de piedra',7),(12241,'4701','Corral viejo',7),(12242,'4701','El arbolito',7),(12243,'4701','El barreal',7),(12244,'4701','El cercado',7),(12245,'4701','El cevilarcito',7),(12246,'4701','El chaÑaral',7),(12247,'4701','El chorro',7),(12248,'4701','El mojon',7),(12249,'4701','El mollar',7),(12250,'4701','El potrero de los cordoba',7),(12251,'4701','El pozo',7),(12252,'4701','El sauce',7),(12253,'4701','El sauce ipizca',7),(12254,'4701','El totoral',7),(12255,'4701','El vallecito',7),(12256,'4701','El zapallar',7),(12257,'4701','Estancia vieja',7),(12258,'4701','Guanaco',7),(12259,'4701','Higuera del alumbre',7),(12260,'4701','Ipizca',7),(12261,'4701','La aguadita',7),(12262,'4701','La barrosa',7),(12263,'4701','La bebida',7),(12264,'4701','La estancia',7),(12265,'4701','La estancita',7),(12266,'4701','La falda',7),(12267,'4701','La higuerita',7),(12268,'4701','La mesada',7),(12269,'4701','Las barrancas',7),(12270,'4701','Las barrancas casa armada',7),(12271,'4701','Las chacras',7),(12272,'4701','Las tapias',7),(12273,'4701','Las tunas',7),(12274,'4701','Loma sola',7),(12275,'4701','Los bulacios',7),(12276,'4701','Los cisternas',7),(12277,'4701','Los huaycos',7),(12278,'4701','Los morteros',7),(12279,'4701','Los piquillines',7),(12280,'4701','Los rastrojos',7),(12281,'4701','Ojo de agua',7),(12282,'4701','PeÑaflor',7),(12283,'4701','Potrero',7),(12284,'4701','Quebracho',7),(12285,'4701','Rio los molinos',7),(12286,'4701','San antonio',7),(12287,'4701','San jose',7),(12288,'4701','Santa gertrudis',7),(12289,'4701','Sauce huacho',7),(12290,'4701','Soledad',7),(12291,'4701','Tacana',7),(12292,'4701','Taco',7),(12293,'4701','Taco de abajo',7),(12294,'4701','Totoral',7),(12295,'4705','Aguadita',7),(12296,'4705','Antapoca',7),(12297,'4705','Antofagasta de la sierra',7),(12298,'4705','Balsa',7),(12299,'4705','Cumbre del laudo',7),(12300,'4705','Gentile',7),(12301,'4705','Huaycama',7),(12302,'4705','Mina inca huasi',7),(12303,'4705','Mota botello',7),(12304,'4705','Pozo del mistol',7),(12305,'4705','Rosario del sumalao',7),(12306,'4705','Santa cruz',7),(12307,'4705','Sumalao',7),(12308,'4705','Tacahuasi',7),(12309,'4705','Toro muerto',7),(12310,'4705','Vega curutu',7),(12311,'4705','Vega tamberia',7),(12312,'4707','ChaÑarcito',7),(12313,'4707','El baÑado',7),(12314,'4707','El desmonte',7),(12315,'4707','El hueco',7),(12316,'4707','Estanque',7),(12317,'4707','La falda de san antonio',7),(12318,'4707','La tercena',7),(12319,'4707','Las esquinas',7),(12320,'4707','Pampa',7),(12321,'4707','Polcos',7),(12322,'4707','Rosario del sumalao',7),(12323,'4707','San antonio de p blanca',7),(12324,'4707','San antonio fray m esquiu',7),(12325,'4707','San isidro',7),(12326,'4707','Santa rosa',7),(12327,'4707','Sebila',7),(12328,'4707','Tala',7),(12329,'4707','Tiorco',7),(12330,'4707','Tres puentes',7),(12331,'4707','Villa dolores',7),(12332,'4707','Villa macedo',7),(12333,'4707','Zanja',7),(12334,'4709','Piedra blanca',7),(12335,'4709','San jose',7),(12336,'4711','Ambato',7),(12337,'4711','Casa viejas',7),(12338,'4711','Chuchucaruana',7),(12339,'4711','Collagasta',7),(12340,'4711','Colpes',7),(12341,'4711','Condor huasi',7),(12342,'4711','El arbol solo',7),(12343,'4711','El bolson',7),(12344,'4711','El chorro',7),(12345,'4711','El nogal',7),(12346,'4711','El parque',7),(12347,'4711','El pie de la cuesta',7),(12348,'4711','El polear',7),(12349,'4711','El potrerillo',7),(12350,'4711','El pucara',7),(12351,'4711','El rodeo grande',7),(12352,'4711','El tabique',7),(12353,'4711','Humaya',7),(12354,'4711','Isla larga',7),(12355,'4711','La aguada',7),(12356,'4711','La carrera',7),(12357,'4711','La puerta',7),(12358,'4711','Las chacritas',7),(12359,'4711','Las pampitas',7),(12360,'4711','Los castillos',7),(12361,'4711','Los guindos',7),(12362,'4711','Los morteritos',7),(12363,'4711','Los narvaez',7),(12364,'4711','Los navarros',7),(12365,'4711','Los talas',7),(12366,'4711','Los varelas',7),(12367,'4711','Pomancillo',7),(12368,'4711','Sierra brava',7),(12369,'4711','Singuil',7),(12370,'4713','Ocho vados',7),(12371,'4713','Villa las pirquitas',7),(12372,'4715','Agua verde',7),(12373,'4715','Biscotal',7),(12374,'4715','Chamorro',7),(12375,'4715','Chavarria',7),(12376,'4715','Corralita',7),(12377,'4715','El atoyal',7),(12378,'4715','El biscote',7),(12379,'4715','El molinito',7),(12380,'4715','El realito',7),(12381,'4715','El rodeo',7),(12382,'4715','El tala',7),(12383,'4715','Faldeo',7),(12384,'4715','Galpon',7),(12385,'4715','La aguita',7),(12386,'4715','La caÑada',7),(12387,'4715','La piedra',7),(12388,'4715','La salvia',7),(12389,'4715','Lampaso',7),(12390,'4715','Las aguitas',7),(12391,'4715','Las barras',7),(12392,'4715','Las burras',7),(12393,'4715','Las cuchillas',7),(12394,'4715','Las juntas',7),(12395,'4715','Las lajas',7),(12396,'4715','Las piedras blancas',7),(12397,'4715','Los loros',7),(12398,'4715','Los molles',7),(12399,'4715','Molle quemado',7),(12400,'4715','Villa quintin ahumada',7),(12401,'4716','Amadores',7),(12402,'4716','CerviÑo',7),(12403,'4716','El cevil',7),(12404,'4716','El garabato',7),(12405,'4716','El retiro',7),(12406,'4716','La bajada',7),(12407,'4716','La banda',7),(12408,'4716','Monte potrero',7),(12409,'4716','Palo labrado',7),(12410,'4716','Portezuelo',7),(12411,'4716','Rafael castillo',7),(12412,'4716','Salcedo',7),(12413,'4716','Yocan',7),(12414,'4718','Barro negro',7),(12415,'4718','Bastidor',7),(12416,'4718','Chiflon',7),(12417,'4718','El bastidor',7),(12418,'4718','El totoral',7),(12419,'4718','La esquina',7),(12420,'4718','La falda',7),(12421,'4718','La merced',7),(12422,'4718','Los galpones',7),(12423,'4718','Posta',7),(12424,'4718','Santa ana',7),(12425,'4718','Santa barbara',7),(12426,'4718','Superi',7),(12427,'4718','Talaguada',7),(12428,'4719','Balcosna',7),(12429,'4719','Balcosna de afuera',7),(12430,'4719','El chamico',7),(12431,'4719','El ciflon',7),(12432,'4719','El contador',7),(12433,'4719','El rosario',7),(12434,'4719','La higuera',7),(12435,'4719','La ovejeria',7),(12436,'4719','Las lajas',7),(12437,'4719','San antonio de panclin',7),(12438,'4719','Tierra verde',7),(12439,'4719','Villa collantes',7),(12440,'4722','El duraznillo',7),(12441,'4722','Huacra',7),(12442,'4722','La viÑa',7),(12443,'4722','La viÑa de abajo',7),(12444,'4722','Las huertas',7),(12445,'4722','Las tranquitas',7),(12446,'4722','Los ovejeros',7),(12447,'4722','Los pintados',7),(12448,'4722','Sauce mayo',7),(12449,'4722','Sumampa',7),(12450,'4723','Alijilan',7),(12451,'4723','Almigaucho',7),(12452,'4723','Alta gracia',7),(12453,'4723','Amancala',7),(12454,'4723','Ampolla',7),(12455,'4723','BaÑado de ovanta',7),(12456,'4723','Cachi',7),(12457,'4723','Caridad',7),(12458,'4723','Dos pocitos',7),(12459,'4723','Dos troncos',7),(12460,'4723','El carmen',7),(12461,'4723','El desmonte',7),(12462,'4723','El potrero',7),(12463,'4723','El rodeito',7),(12464,'4723','El saucecito',7),(12465,'4723','La aguada',7),(12466,'4723','La bajada',7),(12467,'4723','La calera',7),(12468,'4723','La victoria',7),(12469,'4723','Las cayas',7),(12470,'4723','Las tunas',7),(12471,'4723','Los altos',7),(12472,'4723','Los bastidores',7),(12473,'4723','Los estantes',7),(12474,'4723','Los molles',7),(12475,'4723','Los ortices',7),(12476,'4723','Los pocitos',7),(12477,'4723','Los troncos',7),(12478,'4723','Los zanjones',7),(12479,'4723','Manantiales',7),(12480,'4723','Mistol ancho',7),(12481,'4723','Monte redondo',7),(12482,'4723','Naipa',7),(12483,'4723','Ovanta',7),(12484,'4723','Pampa chacra',7),(12485,'4723','Pozo del algarrobo',7),(12486,'4723','Pozo del campo',7),(12487,'4723','Puerta grande',7),(12488,'4723','Puesto del medio',7),(12489,'4723','Quebrachal',7),(12490,'4723','Quebrachos blancos',7),(12491,'4723','Quimilpa',7),(12492,'4723','Salauca',7),(12493,'4723','San luis',7),(12494,'4723','Santos lugares',7),(12495,'4723','Yaquicho',7),(12496,'4724','Agua colorada',7),(12497,'4724','Colonia nueva coneta',7),(12498,'4724','Coneta',7),(12499,'4724','El baÑado',7),(12500,'4724','La estrella',7),(12501,'4724','La paraguaya',7),(12502,'4724','Los angeles',7),(12503,'4724','Los bazan',7),(12504,'4724','Los pinos',7),(12505,'4724','Los puestos',7),(12506,'4724','Miraflores',7),(12507,'4724','San lorenzo',7),(12508,'4724','Sisiguasi',7),(12509,'4726','Capayan',7),(12510,'4726','ChaÑaritos',7),(12511,'4726','Colonia del valle',7),(12512,'4726','Concepcion',7),(12513,'4726','El carrizal',7),(12514,'4726','El milagro',7),(12515,'4726','Huillapima',7),(12516,'4726','La caÑada',7),(12517,'4726','Lampasillo',7),(12518,'4726','Las palmas',7),(12519,'4726','San pablo',7),(12520,'4726','San pedro capayan',7),(12521,'4728','Chumbicha',7),(12522,'4728','Kilometro 128',7),(12523,'4728','Las latillas',7),(12524,'4728','San geronimo',7),(12525,'4728','Sebila',7),(12526,'4728','Trampasacha',7),(12527,'4740','Agua salada',7),(12528,'4740','Agua verde',7),(12529,'4740','Algarrobal',7),(12530,'4740','Andalgala',7),(12531,'4740','Arima',7),(12532,'4740','Aserradero el pilcio',7),(12533,'4740','Chilca',7),(12534,'4740','Distrito espinillo',7),(12535,'4740','El colegio',7),(12536,'4740','El lindero',7),(12537,'4740','El molle',7),(12538,'4740','Huasan',7),(12539,'4740','Huaschaschi',7),(12540,'4740','Julumao',7),(12541,'4740','La aguada',7),(12542,'4740','La banda',7),(12543,'4740','Las minas',7),(12544,'4740','Malli 1',7),(12545,'4740','Malli 2',7),(12546,'4740','Pilciao',7),(12547,'4740','Rodeo grande',7),(12548,'4741','Agua de las palomas',7),(12549,'4741','Amanao',7),(12550,'4741','Carapunco',7),(12551,'4741','Casa de piedra',7),(12552,'4741','Chaquiago',7),(12553,'4741','Choya',7),(12554,'4741','El carrizal',7),(12555,'4741','El zapallar',7),(12556,'4741','Huaco',7),(12557,'4741','La laguna',7),(12558,'4741','Villa coronel arroyo',7),(12559,'4741','Villavil',7),(12560,'4743','Aconquija',7),(12561,'4743','Alto de la junta',7),(12562,'4743','Alumbrera',7),(12563,'4743','Buena vista',7),(12564,'4743','El alamito',7),(12565,'4743','El arbolito',7),(12566,'4743','El espinillo',7),(12567,'4743','El suncho',7),(12568,'4743','Las estancias',7),(12569,'4743','Las pampitas',7),(12570,'4743','Rio potrero',7),(12571,'4750','Agua colorada',7),(12572,'4750','Agua del campo',7),(12573,'4750','Ampujaco',7),(12574,'4750','Angostura',7),(12575,'4750','Belen',7),(12576,'4750','Cachuan',7),(12577,'4750','Casa grande',7),(12578,'4750','Chiquerito',7),(12579,'4750','Chucolay',7),(12580,'4750','Cortadera',7),(12581,'4750','Cueva blanca',7),(12582,'4750','Duraznillo',7),(12583,'4750','El medio',7),(12584,'4750','El molino',7),(12585,'4750','El portezuelo',7),(12586,'4750','Huaco',7),(12587,'4750','La banda',7),(12588,'4750','La barranca larga',7),(12589,'4750','La costa',7),(12590,'4750','La puntilla',7),(12591,'4750','La represa',7),(12592,'4750','La totora',7),(12593,'4750','Las latillas',7),(12594,'4750','Londres este',7),(12595,'4750','Luna aguada',7),(12596,'4750','Nacimiento',7),(12597,'4750','Nacimientos de abajo',7),(12598,'4750','Ojo de agua',7),(12599,'4750','Ojo de la cortadera',7),(12600,'4750','Palo blanco',7),(12601,'4750','Pampa cienaga',7),(12602,'4750','Potrerito',7),(12603,'4750','Pozuelos',7),(12604,'4750','Puerto blanco',7),(12605,'4750','Puerto chipi',7),(12606,'4750','Puerto de la pampa',7),(12607,'4750','Puerto potrero',7),(12608,'4750','Rincon grande',7),(12609,'4750','Rumimonion',7),(12610,'4750','San antonio',7),(12611,'4750','San buenaventura',7),(12612,'4750','Sebila',7),(12613,'4750','Shincal',7),(12614,'4750','Talamayo',7),(12615,'4750','Viscote',7),(12616,'4750','Zarcito',7),(12617,'4750','Zarza',7),(12618,'4751','Agua de dionisio',7),(12619,'4751','Aguas calientes',7),(12620,'4751','Alto el bolson',7),(12621,'4751','Asampay',7),(12622,'4751','Barranca larga',7),(12623,'4751','Cachijan',7),(12624,'4751','Carrizal',7),(12625,'4751','Carrizal de abajo',7),(12626,'4751','Carrizal de la costa',7),(12627,'4751','ChaÑaryaco',7),(12628,'4751','Condor huasi de belen',7),(12629,'4751','Corral quemado',7),(12630,'4751','Cotagua',7),(12631,'4751','Culampaja',7),(12632,'4751','El cajon',7),(12633,'4751','El campillo',7),(12634,'4751','El carrizal',7),(12635,'4751','El durazno',7),(12636,'4751','El eje',7),(12637,'4751','El tio',7),(12638,'4751','El tolar',7),(12639,'4751','Farallon negro',7),(12640,'4751','Hualfin',7),(12641,'4751','Huasayaco',7),(12642,'4751','Huasi cienaga',7),(12643,'4751','Jacipunco',7),(12644,'4751','La aguada',7),(12645,'4751','La caÑada',7),(12646,'4751','La capellania',7),(12647,'4751','La cienaga',7),(12648,'4751','La cuesta',7),(12649,'4751','La estancia',7),(12650,'4751','La puerta de san jose',7),(12651,'4751','La quebrada',7),(12652,'4751','La toma',7),(12653,'4751','La viÑa',7),(12654,'4751','Laguna blanca',7),(12655,'4751','Laguna colorada',7),(12656,'4751','Las barrancas',7),(12657,'4751','Las cuevas',7),(12658,'4751','Las juntas',7),(12659,'4751','Las manzas',7),(12660,'4751','Loconte',7),(12661,'4751','Los nacimientos',7),(12662,'4751','Los pozuelos',7),(12663,'4751','Minas agua tapada',7),(12664,'4751','Nacimientos de arriba',7),(12665,'4751','Nacimientos de san antonio',7),(12666,'4751','Nacimientos del bolson',7),(12667,'4751','Papa chacra',7),(12668,'4751','Pozo de piedra',7),(12669,'4751','Rodeo gervan',7),(12670,'4751','San fernando',7),(12671,'4751','Termas villa vil',7),(12672,'4751','VicuÑa pampa',7),(12673,'4753','Corralito',7),(12674,'4753','Durazno',7),(12675,'4753','El tambillo',7),(12676,'4753','La ramada',7),(12677,'4753','Las bayas',7),(12678,'4753','Londres',7),(12679,'4753','Londres oeste',7),(12680,'4753','Los colorados',7),(12681,'4753','Piedra larga',7),(12682,'5000','Cordoba',5),(12683,'5001','Cordoba',5),(12684,'5002','Cordoba',5),(12685,'5003','Cordoba',5),(12686,'5004','Cordoba',5),(12687,'5006','Cordoba',5),(12688,'5008','Cordoba',5),(12689,'5009','Cordoba',5),(12690,'5010','Cordoba',5),(12691,'5011','Cordoba',5),(12692,'5012','Cordoba',5),(12693,'5012','Finca la dorotea',5),(12694,'5013','Cordoba',5),(12695,'5014','Cordoba',5),(12696,'5014','Coronel olmedo',5),(12697,'5016','Cordoba',5),(12698,'5017','Cordoba',5),(12699,'5018','Cordoba',5),(12700,'5019','Cordoba',5),(12701,'5020','Cordoba',5),(12702,'5021','Cordoba',5),(12703,'5022','Cordoba',5),(12704,'5023','Cordoba',5),(12705,'5101','Bajo chico  bajo grande',5),(12706,'5101','Bajo de fernandez',5),(12707,'5101','Bajo grande',5),(12708,'5101','Camino a punta del agua',5),(12709,'5101','CaÑada de cuevas',5),(12710,'5101','Capilla de cosme',5),(12711,'5101','Capilla de los remedios',5),(12712,'5101','Colonia cosme sud',5),(12713,'5101','Colonia tirolesa',5),(12714,'5101','El gateado',5),(12715,'5101','El quebrachal',5),(12716,'5101','El quebracho',5),(12717,'5101','Escuela de artilleria',5),(12718,'5101','General las heras',5),(12719,'5101','La caÑada',5),(12720,'5101','La cocha',5),(12721,'5101','Lagunilla',5),(12722,'5101','Las caÑas',5),(12723,'5101','Las chacras ruta 111 kilometro',5),(12724,'5101','Las heras',5),(12725,'5101','Las playas lozada',5),(12726,'5101','Los cerrillos',5),(12727,'5101','Los olivares',5),(12728,'5101','Mi valle',5),(12729,'5101','Nueva andalucia',5),(12730,'5101','Paso del sauce',5),(12731,'5101','Ruta 111 kilometro 14',5),(12732,'5101','Tercer cuerpo del ejercito',5),(12733,'5101','Villa corazon de maria',5),(12734,'5101','Villa esquiu',5),(12735,'5101','Yocsina',5),(12736,'5102','La puerta',5),(12737,'5103','Cadete chavez',5),(12738,'5103','El pueblito',5),(12739,'5103','Empalme barrio flores',5),(12740,'5104','Lozada',5),(12741,'5105','La redencion',5),(12742,'5105','La reduccion',5),(12743,'5105','Villa allende',5),(12744,'5106','Villa cerro azul',5),(12745,'5107','Agua de oro',5),(12746,'5107','Animi',5),(12747,'5107','Canteras el manzano',5),(12748,'5107','Canteras el sauce',5),(12749,'5107','El algodonal',5),(12750,'5107','El talar',5),(12751,'5107','Kilometro 25',5),(12752,'5107','La quebrada',5),(12753,'5107','Las vertientes de la granja',5),(12754,'5107','Los cigarrales',5),(12755,'5107','San cristobal',5),(12756,'5107','Valle del sol',5),(12757,'5107','Villa las mercedes',5),(12758,'5108','Mendiolaza',5),(12759,'5109','El quebrachito',5),(12760,'5109','Las cusenadas',5),(12761,'5109','Las encadenadas',5),(12762,'5109','Unquillo',5),(12763,'5109','Villa diaz',5),(12764,'5109','Villa leonor',5),(12765,'5109','Villa tortosa',5),(12766,'5110','MalagueÑo',5),(12767,'5111','Barrio loza',5),(12768,'5111','Candonga',5),(12769,'5111','La estancita',5),(12770,'5111','Ñu pora',5),(12771,'5111','Pajas blancas',5),(12772,'5111','Rio ceballos',5),(12773,'5111','Villa los altos',5),(12774,'5111','Villa san miguel',5),(12775,'5112','Santa ana',5),(12776,'5113','Salsipuedes',5),(12777,'5114','El manzano',5),(12778,'5115','Cabana',5),(12779,'5115','La granja',5),(12780,'5115','Valle verde',5),(12781,'5117','Asconchinga',5),(12782,'5117','La pampa',5),(12783,'5117','La paz',5),(12784,'5117','Puesto del medio',5),(12785,'5117','San jorge',5),(12786,'5117','San miguel',5),(12787,'5118','Monte ralo',5),(12788,'5119','Alto de fierro',5),(12789,'5119','Alto del durazno',5),(12790,'5119','Bouwer',5),(12791,'5119','Cnia hogar velez sarsfield',5),(12792,'5119','Duarte quiros',5),(12793,'5119','La lagunilla',5),(12794,'5119','La porfia',5),(12795,'5119','Las sesenta cuadras',5),(12796,'5119','Monte grande rafael garcia',5),(12797,'5119','San antonio norte',5),(12798,'5120','Rafael garcia',5),(12799,'5121','Alto alegre',5),(12800,'5121','Buena vista',5),(12801,'5121','DespeÑaderos',5),(12802,'5121','San antonio',5),(12803,'5123','Barrio dean funes',5),(12804,'5123','Caseros este',5),(12805,'5123','El ochenta',5),(12806,'5123','Haras santa martha',5),(12807,'5123','Kilometro 25 la carbonada',5),(12808,'5123','Kilometro 679',5),(12809,'5123','Kilometro 680 ruta 9',5),(12810,'5123','Kilometro 692',5),(12811,'5123','La arabia',5),(12812,'5123','Toledo',5),(12813,'5123','Villa mirea',5),(12814,'5123','Villa posse',5),(12815,'5124','Santiago temple',5),(12816,'5125','Blas de rosales',5),(12817,'5125','Capilla de dolores',5),(12818,'5125','Colonia sagrada familia',5),(12819,'5125','Constitucion',5),(12820,'5125','Higuerillas',5),(12821,'5125','Kilometro 658',5),(12822,'5125','Kilometro 691',5),(12823,'5125','Kilometro 711',5),(12824,'5125','La celina',5),(12825,'5125','Los chaÑaritos',5),(12826,'5125','Los pantanillos',5),(12827,'5125','Los vazquez',5),(12828,'5125','Media luna',5),(12829,'5125','Monte cristo',5),(12830,'5125','Oratorio de peralta',5),(12831,'5125','Pozo de la loma',5),(12832,'5125','Pozo de las yeguas',5),(12833,'5125','Ruta 19 kilometro 317',5),(12834,'5125','Tejeda',5),(12835,'5126','Malvinas argentinas',5),(12836,'5127','Charcas norte',5),(12837,'5127','Las cabras',5),(12838,'5127','Los guindos',5),(12839,'5127','Los mansillas',5),(12840,'5127','Pedro e vivas',5),(12841,'5127','Rio primero',5),(12842,'5127','Tala sud',5),(12843,'5128','Mi granja',5),(12844,'5129','Capilla la esperanza',5),(12845,'5129','Comechingones',5),(12846,'5129','El crispin',5),(12847,'5129','Espinillo',5),(12848,'5129','Isla del cerro',5),(12849,'5129','Isla larga',5),(12850,'5129','La buena parada',5),(12851,'5129','La estrella',5),(12852,'5129','Las acacias',5),(12853,'5129','Las piguas',5),(12854,'5129','Punta del agua',5),(12855,'5130','Piquillin',5),(12856,'5131','CaÑada san antonio',5),(12857,'5131','Colonia holandesa',5),(12858,'5131','Dolores nuÑez del prado',5),(12859,'5131','El alcalde',5),(12860,'5131','El espinillo',5),(12861,'5131','Esperanza',5),(12862,'5131','Espinillo nuÑez del prado',5),(12863,'5131','Esquina',5),(12864,'5131','Estacion colonia tirolesa',5),(12865,'5131','Estancia el carmen',5),(12866,'5131','Estancia las caÑas',5),(12867,'5131','Higuerias',5),(12868,'5131','La tuna tinoco',5),(12869,'5131','Las higuerillas',5),(12870,'5131','NuÑez del prado',5),(12871,'5131','Pueblo pianelli',5),(12872,'5131','Puesto de afuera',5),(12873,'5131','Puesto de la oveja',5),(12874,'5131','Quebrachos',5),(12875,'5131','Rangel',5),(12876,'5131','Santa elena',5),(12877,'5131','Tala norte',5),(12878,'5131','Tinoco',5),(12879,'5133','El espinal',5),(12880,'5133','La cienaga',5),(12881,'5133','Los alvarez',5),(12882,'5133','Los chaÑares',5),(12883,'5133','Pozo de la esquina',5),(12884,'5133','Santa rosa de rio primero',5),(12885,'5133','Villa santa rosa',5),(12886,'5134','Villa fontana',5),(12887,'5135','Buey muerto',5),(12888,'5135','CaÑada ancha santa rosa',5),(12889,'5135','Castellanos',5),(12890,'5135','Colonia el fortin',5),(12891,'5135','Colonia las cuatro esquinas',5),(12892,'5135','Corral de gomez',5),(12893,'5135','El carrizal',5),(12894,'5135','La quinta',5),(12895,'5135','Las averias',5),(12896,'5135','Las gramillas',5),(12897,'5135','Monte de toro pujio',5),(12898,'5135','Pozo la piedra',5),(12899,'5135','Tordilla norte',5),(12900,'5136','Diego de rojas',5),(12901,'5137','Balneario guglieri',5),(12902,'5137','Colonia caÑadon',5),(12903,'5137','Colonia la argentina',5),(12904,'5137','Colonia yareta',5),(12905,'5137','Costa del castaÑo',5),(12906,'5137','El bagual',5),(12907,'5137','El tostado',5),(12908,'5137','Kilometro 294',5),(12909,'5137','Kilometro 316',5),(12910,'5137','La mostaza',5),(12911,'5137','La para',5),(12912,'5137','Las hileras',5),(12913,'5137','Las saladas',5),(12914,'5137','Lomas del trozo',5),(12915,'5137','Los aviles',5),(12916,'5137','Los castaÑos',5),(12917,'5137','Los cerros',5),(12918,'5137','Los miguelitos',5),(12919,'5137','Plaza de mercedes',5),(12920,'5137','Pozo de los troncos',5),(12921,'5137','San ramon',5),(12922,'5137','Soledad',5),(12923,'5137','Villa mar chiquita',5),(12924,'5138','La puerta',5),(12925,'5139','Campo coyunda',5),(12926,'5139','Colonia toro pujio',5),(12927,'5139','Corral de gomez',5),(12928,'5139','Kilometro 271',5),(12929,'5139','La primavera',5),(12930,'5139','Marull',5),(12931,'5139','Playa grande',5),(12932,'5139','Primavera',5),(12933,'5139','Puente rio plujunta',5),(12934,'5139','San rafael',5),(12935,'5139','Toro pujio',5),(12936,'5141','Balnearia',5),(12937,'5141','Jeronimo cortes',5),(12938,'5141','Plujunta',5),(12939,'5142','La serranita',5),(12940,'5143','Barrio muller',5),(12941,'5143','Miramar',5),(12942,'5143','Vacas blancas',5),(12943,'5144','Recreo victoria',5),(12944,'5145','Alto de castillo',5),(12945,'5145','Augusto vandersande',5),(12946,'5145','El carmen guiÑazu',5),(12947,'5145','El chingolo',5),(12948,'5145','Estacion general paz',5),(12949,'5145','Juarez celman',5),(12950,'5145','Kilometro 730',5),(12951,'5145','Los pocitos',5),(12952,'5145','Maria lastenia',5),(12953,'5145','Paso castellanos',5),(12954,'5145','Pozo del tigre',5),(12955,'5146','Mayu sumaj',5),(12956,'5147','Villa santa cruz del lago',5),(12957,'5148','Los molinos',5),(12958,'5149','Campamento minnetti',5),(12959,'5149','Campo bourdichon',5),(12960,'5149','Cassaffousth estacion fcgb',5),(12961,'5149','Dique san roque',5),(12962,'5149','Dumesnil',5),(12963,'5149','El tomillo',5),(12964,'5149','El zaino',5),(12965,'5149','Kilometro 608',5),(12966,'5149','San roque',5),(12967,'5149','Tristan narvaja',5),(12968,'5150','Saldan',5),(12969,'5151','Calera central',5),(12970,'5151','Canteras la calera',5),(12971,'5151','Casa bamba',5),(12972,'5151','El diquecito',5),(12973,'5151','El pastor',5),(12974,'5151','El payador',5),(12975,'5151','General ortiz de ocampo',5),(12976,'5151','La calera',5),(12977,'5151','Villa santa cruz del lago',5),(12978,'5152','Villa carlos paz',5),(12979,'5152','Villa del lago',5),(12980,'5152','Villa parque siquiman',5),(12981,'5153','Comechingones',5),(12982,'5153','Copina',5),(12983,'5153','Cuesta blanca',5),(12984,'5153','Las ensenadas',5),(12985,'5153','Los huesos',5),(12986,'5153','Mesillas',5),(12987,'5153','Pampa de achala',5),(12988,'5153','Puesto guzman',5),(12989,'5153','San antonio de arredondo',5),(12990,'5153','Tala huasi',5),(12991,'5153','Villa costa azul',5),(12992,'5153','Villa cuesta blanca',5),(12993,'5153','Villa gracia',5),(12994,'5153','Villa independencia',5),(12995,'5154','Villa carlos paz',5),(12996,'5155','Agua de tala',5),(12997,'5155','Angostura',5),(12998,'5155','Batan',5),(12999,'5155','Buen retiro',5),(13000,'5155','Casa nueva',5),(13001,'5155','Colonia banco pcia bs as',5),(13002,'5155','Cuchilla nevada',5),(13003,'5155','Dos rios',5),(13004,'5155','El durazno',5),(13005,'5155','El peruel',5),(13006,'5155','El pilcado',5),(13007,'5155','El potrero',5),(13008,'5155','El vergel',5),(13009,'5155','Estancia dos rios',5),(13010,'5155','Guasta',5),(13011,'5155','La caÑada',5),(13012,'5155','Los gigantes',5),(13013,'5155','Mallin',5),(13014,'5155','Tanti',5),(13015,'5155','Tanti lomas',5),(13016,'5155','Tanti nuevo',5),(13017,'5155','Villa flor serrana',5),(13018,'5156','Cabalango',5),(13019,'5156','Villa suiza argentina',5),(13020,'5157','Solares de ycho cruz',5),(13021,'5158','Bialet masse',5),(13022,'5158','Las casitas',5),(13023,'5158','Los puentes',5),(13024,'5158','Parque siquiman',5),(13025,'5159','Villa rio ycho cruz',5),(13026,'5161','Ycho cruz sierras',5),(13027,'5162','Casa grande',5),(13028,'5162','Rincon casa grande',5),(13029,'5164','Domingo funes',5),(13030,'5164','San buenaventura',5),(13031,'5164','Santa maria de punilla',5),(13032,'5164','Villa bustos',5),(13033,'5164','Villa caeiro',5),(13034,'5165','Hospital flia domingo funes',5),(13035,'5166','Cosquin',5),(13036,'5166','El perchel',5),(13037,'5166','Kilometro 592',5),(13038,'5166','Molinari',5),(13039,'5166','Pampa de olaen',5),(13040,'5166','San jose',5),(13041,'5166','Santa rosa',5),(13042,'5166','Villa ahora',5),(13043,'5167','Villa anisacate',5),(13044,'5168','Dique las vaquerias',5),(13045,'5168','Irigoyen',5),(13046,'5168','Kilometro 579',5),(13047,'5168','La cantera',5),(13048,'5168','La usina',5),(13049,'5168','Los helechos',5),(13050,'5168','Piedra grande',5),(13051,'5168','Valle hermoso',5),(13052,'5169','Villa el descanso',5),(13053,'5170','Villa la bolsa',5),(13054,'5172','El callejon',5),(13055,'5172','El cuadrado',5),(13056,'5172','El puente',5),(13057,'5172','El vallecito',5),(13058,'5172','Gruta de san antonio',5),(13059,'5172','La falda',5),(13060,'5172','La quebrada',5),(13061,'5172','Las playas',5),(13062,'5172','Piedras grandes',5),(13063,'5172','Rio grande',5),(13064,'5174','Alto de san pedro',5),(13065,'5174','Huerta grande',5),(13066,'5174','Piedra movediza',5),(13067,'5174','Piedras blancas',5),(13068,'5174','Santa rosa huerta grande',5),(13069,'5175','Casa serrana huerta grande',5),(13070,'5176','Villa giardino',5),(13071,'5178','Cascadas',5),(13072,'5178','Cruz chica',5),(13073,'5178','El pingo',5),(13074,'5178','La cumbre',5),(13075,'5180','La cumbre',5),(13076,'5182','Alto castro',5),(13077,'5182','Dolores san esteban',5),(13078,'5182','El baldecito',5),(13079,'5182','El vado',5),(13080,'5182','Las pampillas',5),(13081,'5182','Los cocos',5),(13082,'5182','Los mogotes',5),(13083,'5182','San ignacio',5),(13084,'5182','Sauce arriba',5),(13085,'5184','Cajon del rio',5),(13086,'5184','Capilla del monte',5),(13087,'5184','Corimayo',5),(13088,'5184','El aguila blanca',5),(13089,'5184','El zapato',5),(13090,'5184','La piedra movediza',5),(13091,'5184','Las gemelas',5),(13092,'5184','Las vaquerias',5),(13093,'5184','Los terrones',5),(13094,'5184','Ongamira',5),(13095,'5184','Punilla',5),(13096,'5184','Quebrada de nona',5),(13097,'5184','Suncho huico',5),(13098,'5184','Uritorco',5),(13099,'5186','Alta gracia',5),(13100,'5186','Canteras alta gracia',5),(13101,'5186','La isla',5),(13102,'5186','La isolina',5),(13103,'5186','La paisanita',5),(13104,'5186','Las higueritas',5),(13105,'5186','Potrero de tutzer',5),(13106,'5186','Villa carlos pellegrini',5),(13107,'5186','Villa del prado',5),(13108,'5186','Villa los aromos',5),(13109,'5186','Villa santa maria',5),(13110,'5187','Bosque alegre',5),(13111,'5187','Estancia la punta del agua',5),(13112,'5187','Golpe de agua',5),(13113,'5187','La falda del carmen',5),(13114,'5187','La granadilla',5),(13115,'5187','Los paraisos',5),(13116,'5187','San clemente',5),(13117,'5187','San nicolas',5),(13118,'5188','San esteban',5),(13119,'5189','Bajo chico',5),(13120,'5189','Bajo del carmen',5),(13121,'5189','Cerritos de anizacate',5),(13122,'5189','Colonia san ignacio',5),(13123,'5189','Colonia san isidro',5),(13124,'5189','Dos arroyos',5),(13125,'5189','Fabrica militar',5),(13126,'5189','Falda de los reartes',5),(13127,'5189','Jose de la quintana',5),(13128,'5189','La betania',5),(13129,'5189','Los algarrobos',5),(13130,'5189','Obregon',5),(13131,'5189','Potrero de funes',5),(13132,'5189','Potrero de garay',5),(13133,'5189','Puesto mulita',5),(13134,'5189','Rio los molinos',5),(13135,'5189','Santa rita',5),(13136,'5189','Sierras morenas',5),(13137,'5189','Solar los molinos',5),(13138,'5189','Tercera',5),(13139,'5189','Villa ciudad de america',5),(13140,'5189','Villa la rancherita',5),(13141,'5189','Villa satite',5),(13142,'5191','Calmayo',5),(13143,'5191','Cerro blanco',5),(13144,'5191','Potrero de lujan',5),(13145,'5191','San agustin',5),(13146,'5191','Soconcho',5),(13147,'5192','Dique los molinos',5),(13148,'5194','Atos pampa',5),(13149,'5194','La cumbrecita',5),(13150,'5194','Los reartes',5),(13151,'5194','Villa alpina',5),(13152,'5194','Villa general belgrano',5),(13153,'5196','Arroyo seco',5),(13154,'5196','Atumi pampa',5),(13155,'5196','CaÑada del durazno',5),(13156,'5196','Carahuasi',5),(13157,'5196','Colonia alemana',5),(13158,'5196','Colonia la calle',5),(13159,'5196','El portezuelo',5),(13160,'5196','El sauce',5),(13161,'5196','La choza',5),(13162,'5196','Santa rosa de calamuchita',5),(13163,'5196','Sarlaco',5),(13164,'5197','El carmen',5),(13165,'5197','El parador de la montaÑa',5),(13166,'5197','Rincon de luna',5),(13167,'5197','Rio del durazno',5),(13168,'5197','Santa monica',5),(13169,'5197','Vista alegre',5),(13170,'5197','Yacanto calamuchita',5),(13171,'5199','Amboy',5),(13172,'5199','CaÑada de las chacras',5),(13173,'5199','Las higueritas',5),(13174,'5199','Las sierritas',5),(13175,'5199','Mar azul',5),(13176,'5199','Rio grande  amboy',5),(13177,'5199','San ignacio',5),(13178,'5199','San roque',5),(13179,'5199','Villa amancay',5),(13180,'5199','Villa el corcovado',5),(13181,'5199','Villa el torreon',5),(13182,'5199','Villa lago azul',5),(13183,'5199','Villa san javier',5),(13184,'5200','Canteras kilometro 428',5),(13185,'5200','CaÑada del simbol',5),(13186,'5200','Cerro de la cruz',5),(13187,'5200','Corito',5),(13188,'5200','Dean funes',5),(13189,'5200','El portillo',5),(13190,'5200','Ingeniero bertini',5),(13191,'5200','Kilometro 430',5),(13192,'5200','Kilometro 832',5),(13193,'5200','La isabela',5),(13194,'5200','La mesada',5),(13195,'5200','Las pencas',5),(13196,'5200','Los puestitos',5),(13197,'5200','Puesto de cerro',5),(13198,'5200','Puesto de los rodriguez',5),(13199,'5200','Sajon',5),(13200,'5200','San vicente',5),(13201,'5200','Santa rita',5),(13202,'5200','Sauce chiquito',5),(13203,'5200','Sauce punco',5),(13204,'5200','Toro muerto',5),(13205,'5200','Yerba buena',5),(13206,'5201','Calasuya',5),(13207,'5201','ChuÑaguasi',5),(13208,'5201','Copacabana',5),(13209,'5201','El carrizal chuÑaguasi',5),(13210,'5201','El pertigo',5),(13211,'5201','El rodeito',5),(13212,'5201','El tala',5),(13213,'5201','Ischilin',5),(13214,'5201','La batalla',5),(13215,'5201','La caÑada santa cruz',5),(13216,'5201','La colonia',5),(13217,'5201','La higuerita',5),(13218,'5201','La posta chuÑaguas',5),(13219,'5201','La zanja',5),(13220,'5201','Las aguaditas',5),(13221,'5201','Las caÑas',5),(13222,'5201','Las crucecitas',5),(13223,'5201','Las palmas',5),(13224,'5201','Las palomitas',5),(13225,'5201','Lobera',5),(13226,'5201','Los brinzes',5),(13227,'5201','Los cejas',5),(13228,'5201','Los coquitos',5),(13229,'5201','Los piquillines',5),(13230,'5201','Los ruices',5),(13231,'5201','San bernardo',5),(13232,'5201','San pedro de toyos',5),(13233,'5201','Santa cruz',5),(13234,'5201','Todos los santos',5),(13235,'5201','Totrilla',5),(13236,'5201','Villa colimba',5),(13237,'5203','Alto de flores',5),(13238,'5203','El ojo de agua',5),(13239,'5203','El paso',5),(13240,'5203','Espinillo',5),(13241,'5203','Iti huasi',5),(13242,'5203','Las juntas',5),(13243,'5203','Majadilla',5),(13244,'5203','Tulumba',5),(13245,'5205','Alto verde',5),(13246,'5205','Camarones',5),(13247,'5205','El cerrito',5),(13248,'5205','El desmonte',5),(13249,'5205','El rosario',5),(13250,'5205','La laguna',5),(13251,'5205','San pedro norte',5),(13252,'5205','Sevilla',5),(13253,'5209','Aguada del monte',5),(13254,'5209','Aguadita',5),(13255,'5209','Bordo de los espinosa',5),(13256,'5209','Cachi yaco',5),(13257,'5209','Campo alegre',5),(13258,'5209','Caspichuma',5),(13259,'5209','Caspicuchana',5),(13260,'5209','Graciela',5),(13261,'5209','Invernada',5),(13262,'5209','Jarillas',5),(13263,'5209','Jume',5),(13264,'5209','La esperanza',5),(13265,'5209','La quinta',5),(13266,'5209','La totorilla',5),(13267,'5209','Las jarillas',5),(13268,'5209','Loma blanca',5),(13269,'5209','Lomitas',5),(13270,'5209','Los bordos',5),(13271,'5209','Los cerrillos',5),(13272,'5209','Majadilla',5),(13273,'5209','Manantiales',5),(13274,'5209','Movado',5),(13275,'5209','Navarro',5),(13276,'5209','Pozo del tigre',5),(13277,'5209','Pozo nuevo',6),(13278,'5209','Puesto nuevo',5),(13279,'5209','Rodeito',5),(13280,'5209','San francisco del chaÑar',5),(13281,'5209','San luis',5),(13282,'5209','San pablo',5),(13283,'5209','Santa ana',5),(13284,'5209','Santa maria de sobremonte',5),(13285,'5209','Santo domingo',5),(13286,'5209','Socorro',5),(13287,'5211','La aguada',5),(13288,'5211','Macha',5),(13289,'5212','Agua pintada',5),(13290,'5212','Avellaneda',5),(13291,'5212','Barranca yaco',5),(13292,'5212','Cantera los vieras',5),(13293,'5212','Cruz mojada',5),(13294,'5212','El coro',5),(13295,'5212','El divisadero',5),(13296,'5212','El estanque',5),(13297,'5212','El ialita',5),(13298,'5212','El talita',5),(13299,'5212','El tambero',5),(13300,'5212','Estancia gorosito',5),(13301,'5212','Juan garcia',5),(13302,'5212','Kilometro 784',5),(13303,'5212','Kilometro 807',5),(13304,'5212','Kilometro 827',5),(13305,'5212','La aguada',5),(13306,'5212','La chacra',5),(13307,'5212','La estacada',5),(13308,'5212','La majada',5),(13309,'5212','La selva',5),(13310,'5212','La tuna',5),(13311,'5212','Las delicias',5),(13312,'5212','Las lomitas',5),(13313,'5212','Las manzanas',5),(13314,'5212','Las piedras anchas',5),(13315,'5212','Las sierras',5),(13316,'5212','Los chaÑares',5),(13317,'5212','Los pedernales',5),(13318,'5212','Los pozos',5),(13319,'5212','Molinos',5),(13320,'5212','Rio de las manzanas',5),(13321,'5212','San carlos',5),(13322,'5212','San miguel',5),(13323,'5212','Sarmiento',5),(13324,'5212','Villa gutierrez',5),(13325,'5214','El baÑado',5),(13326,'5214','El molino',5),(13327,'5214','El veinticinco',5),(13328,'5214','Isla de san antonio',5),(13329,'5214','Kilometro 859',5),(13330,'5214','Kilometro 865',5),(13331,'5214','Kilometro 881',5),(13332,'5214','La barranca',5),(13333,'5214','La botija',5),(13334,'5214','La florida',5),(13335,'5214','La ruda',5),(13336,'5214','Las chacras',5),(13337,'5214','Las toscas',5),(13338,'5214','Los cadillos',5),(13339,'5214','Los morteros',5),(13340,'5214','Los socabones',5),(13341,'5214','Orcosuni',5),(13342,'5214','Puesto de arriba',5),(13343,'5214','Quilino',5),(13344,'5215','Villa quilino',5),(13345,'5216','Acollarado',5),(13346,'5216','Agua hedionda',5),(13347,'5216','Arbol blanco',5),(13348,'5216','El tuscal',5),(13349,'5216','Kilometro 907',5),(13350,'5216','Kilometro 931',5),(13351,'5216','Las caÑas',5),(13352,'5216','Lucio v mansilla',5),(13353,'5216','San jose',5),(13354,'5216','San jose de las salinas',5),(13355,'5216','Totoralejos',5),(13356,'5216','Tuscal',5),(13357,'5218','CaÑada de mayo',5),(13358,'5218','ChuÑa',5),(13359,'5218','El chanchito',5),(13360,'5218','El jume',5),(13361,'5218','El mojoncito',5),(13362,'5218','El paraiso',5),(13363,'5218','El puesto los cabrera',5),(13364,'5218','El quebracho',5),(13365,'5218','El ranchito',5),(13366,'5218','Huascha',5),(13367,'5218','Jaime peter',5),(13368,'5218','Kilometro 450',5),(13369,'5218','La aura',5),(13370,'5218','La calera',5),(13371,'5218','La caÑada angosta',5),(13372,'5218','Las canteras',5),(13373,'5218','Las tuscas',5),(13374,'5218','Los tartagos',5),(13375,'5218','Puesto de batalla',5),(13376,'5220','Abburra',5),(13377,'5220','Belen',5),(13378,'5220','Columbo',5),(13379,'5220','El molino',5),(13380,'5220','El reymundo',5),(13381,'5220','Estacion caroya',5),(13382,'5220','Jesus maria',5),(13383,'5220','Kilometro 745',5),(13384,'5220','La cotita',5),(13385,'5220','La virginia',5),(13386,'5220','Las astillas',5),(13387,'5220','Los callejones',5),(13388,'5220','Los chaÑares',5),(13389,'5220','Los dos rios',5),(13390,'5220','Los duraznos',5),(13391,'5220','Nintes',5),(13392,'5220','Ojo de agua',5),(13393,'5220','San isidro',5),(13394,'5220','San pablo',5),(13395,'5220','Santo tomas',5),(13396,'5220','Villa maria',5),(13397,'5221','Agua de las piedras',5),(13398,'5221','Aguasacha',5),(13399,'5221','Algarrobo',5),(13400,'5221','Bajo de olmos',5),(13401,'5221','Cabindo',5),(13402,'5221','Campo alegre',5),(13403,'5221','Campo la piedra',5),(13404,'5221','Candelaria',5),(13405,'5221','CaÑada de jume',5),(13406,'5221','CaÑada de mateo',5),(13407,'5221','CaÑada de rio pinto',5),(13408,'5221','CaÑadas hondas',5),(13409,'5221','Colonia vicente aguero',5),(13410,'5221','Corral de barranca',5),(13411,'5221','Cruz del quemado',5),(13412,'5221','Doctor nicasio salas oroÑo',5),(13413,'5221','El algarrobo',5),(13414,'5221','Espinillo',5),(13415,'5221','La porteÑa',5),(13416,'5221','Las palmitas',5),(13417,'5221','Los cometierra',5),(13418,'5221','Los miquiles',5),(13419,'5221','Los quebrachitos',5),(13420,'5221','Miquilos',5),(13421,'5221','Mula muerta',5),(13422,'5221','Pozo conca',5),(13423,'5221','Pozo correa',5),(13424,'5221','Quiscasacate',5),(13425,'5221','Rio chico',5),(13426,'5221','Rio de los sauces',5),(13427,'5221','Rio de los talas',5),(13428,'5221','Rio pinto',5),(13429,'5221','San lorenzo',5),(13430,'5221','San pellegrino',5),(13431,'5221','Santa catalina',5),(13432,'5221','Santa sabina',5),(13433,'5221','Santa teresa',5),(13434,'5221','Sinsacate',5),(13435,'5221','Villa albertina',5),(13436,'5221','Villa cerro negro',5),(13437,'5223','Caroya',5),(13438,'5223','Colonia caroya',5),(13439,'5223','Tronco pozo',5),(13440,'5225','Atahona',5),(13441,'5225','Campo ramallo',5),(13442,'5225','Isla verde',5),(13443,'5225','Las bandurrias norte',5),(13444,'5225','Los algarrobitos',5),(13445,'5225','Los pozos',5),(13446,'5225','Miguelito',5),(13447,'5225','Obispo trejo',5),(13448,'5225','Pozo del moro',5),(13449,'5225','Puesto de pucheta',5),(13450,'5225','Ramallo',5),(13451,'5227','CaÑada honda',5),(13452,'5227','La posta',5),(13453,'5227','Las palmitas',5),(13454,'5227','Maquinista gallini',5),(13455,'5227','Puesto de fierro',5),(13456,'5227','San roque',5),(13457,'5227','San salvador',5),(13458,'5229','Cabeza de buey',5),(13459,'5229','Campo alvarez',5),(13460,'5229','CaÑada de luque',5),(13461,'5229','Chalacea',5),(13462,'5229','Desvio chalacea',5),(13463,'5229','El bosque',5),(13464,'5229','Estancia bottaro',5),(13465,'5229','Estancia el taco',5),(13466,'5229','Estancia las mercedes',5),(13467,'5229','Estancia las rosas',5),(13468,'5229','Kilometro 364',5),(13469,'5229','La dora',5),(13470,'5229','Los mistoles',5),(13471,'5229','Santa lucia',5),(13472,'5229','Tintizaco',5),(13473,'5229','Totoral',5),(13474,'5231','Bajo hondo',5),(13475,'5231','Camoati',5),(13476,'5231','Campo grande',5),(13477,'5231','Capilla de siton',5),(13478,'5231','Durazno',5),(13479,'5231','El guanaco',5),(13480,'5231','El rincon',5),(13481,'5231','El vence',5),(13482,'5231','Encrucijada',5),(13483,'5231','L a providencia',5),(13484,'5231','La caÑada',5),(13485,'5231','La esperanza',5),(13486,'5231','La maza',5),(13487,'5231','La palma',5),(13488,'5231','La penca',5),(13489,'5231','La victoria',5),(13490,'5231','Las aromas',5),(13491,'5231','Las masitas',5),(13492,'5231','Las palmas',5),(13493,'5231','Providencia',5),(13494,'5231','San roque las arrias',5),(13495,'5231','Sebastian el cano',5),(13496,'5233','Candelaria sud',5),(13497,'5233','El pozo',5),(13498,'5233','El vismal',5),(13499,'5233','El zapallar',5),(13500,'5233','La rinconada',5),(13501,'5233','Las arrias',5),(13502,'5233','Los tajamares',5),(13503,'5233','Puesto de castro',5),(13504,'5233','Puesto de luna',5),(13505,'5233','Tajamares',5),(13506,'5233','Villa rosario del saladillo',5),(13507,'5235','Candelaria norte',5),(13508,'5236','Campo de las piedras',5),(13509,'5236','Casas viejas',5),(13510,'5236','El creston de piedra',5),(13511,'5236','El pedacito',5),(13512,'5236','El talita villa gral mitre',5),(13513,'5236','Haras san antonio',5),(13514,'5236','Las bandurrias',5),(13515,'5236','Puesto del rosario',5),(13516,'5236','San antonio de bella vista',5),(13517,'5236','Santa maria',5),(13518,'5236','Villa del totoral',5),(13519,'5236','Villa general mitre',5),(13520,'5238','Canteras los morales',5),(13521,'5238','Kilometro 394',5),(13522,'5238','Las peÑas',5),(13523,'5242','Chacras viejas',5),(13524,'5242','Puesto san jose',5),(13525,'5242','San jose',5),(13526,'5242','Simbolar',5),(13527,'5243','Agua del tala',5),(13528,'5243','Cerro colorado',5),(13529,'5244','Beuce',5),(13530,'5244','CaÑada del tala',5),(13531,'5244','Chacras del sauce',5),(13532,'5244','Chipitin',5),(13533,'5244','Durazno',5),(13534,'5244','El guindo',5),(13535,'5244','El pantano',5),(13536,'5244','El perchel',5),(13537,'5244','El sebil',5),(13538,'5244','Estancia el nacional',5),(13539,'5244','Guallascate',5),(13540,'5244','La costa',5),(13541,'5244','La higuerita',5),(13542,'5244','La plaza',5),(13543,'5244','Laguna brava',5),(13544,'5244','Laguna de gomez',5),(13545,'5244','Las horquetas',5),(13546,'5244','Las lomitas',5),(13547,'5244','Las quintas',5),(13548,'5244','Loma de piedra',5),(13549,'5244','Los alamos',5),(13550,'5244','Los pozos',5),(13551,'5244','Miraflores',5),(13552,'5244','Pisco huasi',5),(13553,'5244','Pozo solo',5),(13554,'5244','Puesto viejo',5),(13555,'5244','San gabriel',5),(13556,'5244','San jose de la dormida',5),(13557,'5245','Caminiaga',5),(13558,'5246','Barreto',5),(13559,'5246','Carnero yaco',5),(13560,'5246','Casas vejas',5),(13561,'5246','ChaÑar viejo',5),(13562,'5246','Chile corral al aguada',5),(13563,'5246','Chilli corral',5),(13564,'5246','Churqui caÑada',5),(13565,'5246','Corral viejo',5),(13566,'5246','El  pantanillo',5),(13567,'5246','El rodeo',5),(13568,'5246','La piedra blanca',5),(13569,'5246','Ladera yacus',5),(13570,'5246','Las caÑas',5),(13571,'5246','Las gramillas',5),(13572,'5246','Las trancas',5),(13573,'5246','Lo machado',5),(13574,'5246','Los cajones',5),(13575,'5246','Los cerrillos',5),(13576,'5246','Los cocos',5),(13577,'5246','Los quebrachos',5),(13578,'5246','Los troncos',5),(13579,'5246','Paso del silverio',5),(13580,'5246','Pozo de juancho',5),(13581,'5246','Rayo cortado',5),(13582,'5246','Rio pedro',5),(13583,'5246','Rojas',5),(13584,'5246','Santa elena',5),(13585,'5246','Vanguardia',5),(13586,'5248','Agua de oro',5),(13587,'5248','Balbuena',5),(13588,'5248','BaÑado del fuerte',5),(13589,'5248','CaÑa cruz',5),(13590,'5248','El baÑado',5),(13591,'5248','El coro',5),(13592,'5248','El gabino',5),(13593,'5248','El jordan',5),(13594,'5248','El laurel',5),(13595,'5248','El prado',5),(13596,'5248','El silverio',5),(13597,'5248','Eufrasio loza',5),(13598,'5248','La barranca',5),(13599,'5248','La pintada',5),(13600,'5248','Las cardas',5),(13601,'5248','Pocito del campo',5),(13602,'5248','San ignacio',5),(13603,'5248','Santa catalina',5),(13604,'5248','Santanilla',5),(13605,'5248','Villa de maria',5),(13606,'5248','Yanacato',5),(13607,'5249','Buena vista',5),(13608,'5249','Candelaria',5),(13609,'5249','CaÑada de coria',5),(13610,'5249','Corral del rey',5),(13611,'5249','El algarrobal',5),(13612,'5249','El barrial',6),(13613,'5249','El durazno',5),(13614,'5249','El gallego',5),(13615,'5249','El mangrullo',5),(13616,'5249','El progreso',5),(13617,'5249','El puesto',5),(13618,'5249','El quebracho',5),(13619,'5249','El rodeo',5),(13620,'5249','El simbol',5),(13621,'5249','El tule',5),(13622,'5249','Estancia patiÑo',5),(13623,'5249','Gutemberg',5),(13624,'5249','La banda',5),(13625,'5249','La chicharra',5),(13626,'5249','La costa',5),(13627,'5249','La cruz',5),(13628,'5249','La estancia',5),(13629,'5249','La quintana',5),(13630,'5249','La rinconada candelaria',5),(13631,'5249','La soledad',5),(13632,'5249','Las chacras',5),(13633,'5249','Las cortaderas',5),(13634,'5249','Las flores',5),(13635,'5249','Las mercedes',5),(13636,'5249','Los hoyos',5),(13637,'5249','Los justes',5),(13638,'5249','Los pocitos',5),(13639,'5249','Los pozos',5),(13640,'5249','Pozo de las ollas',5),(13641,'5249','Pozo de los arboles',5),(13642,'5249','Pozo de molina',5),(13643,'5249','Pozo del simbol',5),(13644,'5249','Puerta de los rios',6),(13645,'5249','Puesto de los alamos',5),(13646,'5249','Punta del monte',5),(13647,'5249','Racedo',5),(13648,'5249','Rio dulce',5),(13649,'5249','Rio san miguel',5),(13650,'5249','Rio viejo',5),(13651,'5249','San bartolo',5),(13652,'5249','San juancito',5),(13653,'5249','San martin',5),(13654,'5249','San pedro',5),(13655,'5249','San ramon',5),(13656,'5249','Santa isabel',5),(13657,'5249','Taco pozo',5),(13658,'5250','Agua blanca',6),(13659,'5250','Antuco',6),(13660,'5250','Arbolitos',6),(13661,'5250','Bajo las piedras',6),(13662,'5250','Balbuena',6),(13663,'5250','Buena vista',6),(13664,'5250','Cajon',6),(13665,'5250','Caleras',6),(13666,'5250','Campo rico',6),(13667,'5250','Cantamampa',6),(13668,'5250','CaÑada de la cruz',6),(13669,'5250','Caranchi yaco',6),(13670,'5250','Carrera vieja',6),(13671,'5250','Chacras',6),(13672,'5250','ChaÑar yaco',6),(13673,'5250','ChaÑares altos',6),(13674,'5250','Corral de carcos',6),(13675,'5250','Corral del rey',6),(13676,'5250','Cortaderas',6),(13677,'5250','Cuchi corral',6),(13678,'5250','El aguila',6),(13679,'5250','El arbol de piedra',6),(13680,'5250','El arbolito',6),(13681,'5250','El cajon',6),(13682,'5250','El cuarenta y nueve',6),(13683,'5250','El divisadero',6),(13684,'5250','El fuerte',6),(13685,'5250','El jume',6),(13686,'5250','El pilar',6),(13687,'5250','El porvenir',6),(13688,'5250','El puesto',6),(13689,'5250','El sauce',6),(13690,'5250','El segundo',6),(13691,'5250','El unco',6),(13692,'5250','Esperanza',6),(13693,'5250','Espinillo',6),(13694,'5250','Fivialtos',6),(13695,'5250','Horcos tucucuna',6),(13696,'5250','Inti huasi',6),(13697,'5250','Jacimampa',6),(13698,'5250','Jume',6),(13699,'5250','La caÑada',6),(13700,'5250','La clemira',6),(13701,'5250','La cruz',6),(13702,'5250','La primavera',6),(13703,'5250','La resbalosa',6),(13704,'5250','La rinconada',6),(13705,'5250','La soledad',6),(13706,'5250','La totorilla',6),(13707,'5250','La trampa',6),(13708,'5250','La tusca',6),(13709,'5250','La verde',6),(13710,'5250','Laguna del suncho',6),(13711,'5250','Las aguilas',6),(13712,'5250','Las caÑas',6),(13713,'5250','Las chacras',6),(13714,'5250','Las colonias',6),(13715,'5250','Las horquetas',6),(13716,'5250','Las talas',6),(13717,'5250','Lescano',6),(13718,'5250','Llama pampa',6),(13719,'5250','Loma colorada',6),(13720,'5250','Los algarrobos',6),(13721,'5250','Los arbolitos',6),(13722,'5250','Los chaÑares',6),(13723,'5250','Los molles',6),(13724,'5250','Los pozos',6),(13725,'5250','Los remansos',6),(13726,'5250','Los sunchos',6),(13727,'5250','Manfloa',6),(13728,'5250','Miramonte',6),(13729,'5250','Mistol loma',6),(13730,'5250','Molle pozo',6),(13731,'5250','Ojo de agua',6),(13732,'5250','Parada kilometro 101',6),(13733,'5250','Paso reducido',6),(13734,'5250','Pozo cabado',6),(13735,'5250','Pozo del chaÑar',6),(13736,'5250','Pozo del macho',6),(13737,'5250','Pozo escondido',6),(13738,'5250','Pozo redondo',6),(13739,'5250','Primavera',6),(13740,'5250','Progreso de jume',6),(13741,'5250','Rey viejo',6),(13742,'5250','Rio saladillo',6),(13743,'5250','Salinas',6),(13744,'5250','San andres',6),(13745,'5250','San ignacio',6),(13746,'5250','San jorge',6),(13747,'5250','San lorenzo',6),(13748,'5250','San pedro',6),(13749,'5250','Santa ana',6),(13750,'5250','Santa elena',6),(13751,'5250','Soledad',6),(13752,'5250','Taco misqui',6),(13753,'5250','Tala yacu',6),(13754,'5250','Tigre muerto',6),(13755,'5250','Villa ojo de agua',6),(13756,'5250','WiÑano',6),(13757,'5250','Ylumampa',6),(13758,'5251','Agua caliente',6),(13759,'5251','Agua turbia',6),(13760,'5251','Aguadita',6),(13761,'5251','Ahi veremos',6),(13762,'5251','Algarrobo',6),(13763,'5251','Alpapuca',6),(13764,'5251','Ambargasta',6),(13765,'5251','Amiman',6),(13766,'5251','Ancoche',6),(13767,'5251','Bajo las piedras',6),(13768,'5251','Barrialito',6),(13769,'5251','Cajon',6),(13770,'5251','Campo alegre',6),(13771,'5251','Chacras',6),(13772,'5251','ChaÑaritos',6),(13773,'5251','Chilca',6),(13774,'5251','Chuchi',6),(13775,'5251','Corralito',6),(13776,'5251','El abra',6),(13777,'5251','El bajo',6),(13778,'5251','El cachi',6),(13779,'5251','El cerro',6),(13780,'5251','El naranjo',6),(13781,'5251','El retiro',6),(13782,'5251','El rodeo',6),(13783,'5251','Gibialto',6),(13784,'5251','Gramillal',6),(13785,'5251','Guardia de la esquina',6),(13786,'5251','Hilumampa',6),(13787,'5251','Horcos tucucuna',6),(13788,'5251','Huascan',6),(13789,'5251','Jacimampa',6),(13790,'5251','La abra',6),(13791,'5251','La aguadita',6),(13792,'5251','La argentina',6),(13793,'5251','La calera',6),(13794,'5251','La capilla',6),(13795,'5251','La chilca',6),(13796,'5251','La cuesta',6),(13797,'5251','La esperanza',6),(13798,'5251','La florida',6),(13799,'5251','La isla',6),(13800,'5251','La pintada',6),(13801,'5251','La puerta',6),(13802,'5251','Las cienagas',6),(13803,'5251','Las colonias',6),(13804,'5251','Las flores',6),(13805,'5251','Las lomas',6),(13806,'5251','Las lomitas',6),(13807,'5251','Las parvas',6),(13808,'5251','Las rosas',6),(13809,'5251','Lomitas',6),(13810,'5251','Lomitas blancas',6),(13811,'5251','Mistoles',6),(13812,'5251','Molles',6),(13813,'5251','Naranjitos',6),(13814,'5251','Oncan',6),(13815,'5251','Palermo',6),(13816,'5251','Pampa grande',6),(13817,'5251','Portezuelo',6),(13818,'5251','Pozo grande',6),(13819,'5251','Puesto',6),(13820,'5251','Quebrachal',6),(13821,'5251','Quebrachito',6),(13822,'5251','Remanso',6),(13823,'5251','Retiro',6),(13824,'5251','Rincon',6),(13825,'5251','Rosada',6),(13826,'5251','Rumi huasi',6),(13827,'5251','San luis',6),(13828,'5251','Santa ana',6),(13829,'5251','Santa maria',6),(13830,'5251','Santa rosa',6),(13831,'5251','Santo domingo',6),(13832,'5251','Santo domingo chico',6),(13833,'5251','Simbolar',6),(13834,'5251','Suri pozo',6),(13835,'5251','Villa quebrachos',6),(13836,'5251','WiÑano',6),(13837,'5251','Yumampa',6),(13838,'5253','Arbol solo',6),(13839,'5253','Belgrano',6),(13840,'5253','Buena vista',6),(13841,'5253','CaÑitas',6),(13842,'5253','Casa de dios',6),(13843,'5253','Costa vieja',6),(13844,'5253','El bajo',6),(13845,'5253','El mistol',6),(13846,'5253','El molle',6),(13847,'5253','El palomar',6),(13848,'5253','El veinticinco  sumampa',6),(13849,'5253','Jume',6),(13850,'5253','Kenti tacko',6),(13851,'5253','La bella criolla',6),(13852,'5253','La colina',6),(13853,'5253','La porfia',6),(13854,'5253','La yerba',6),(13855,'5253','Las flores',6),(13856,'5253','Los paredones',6),(13857,'5253','Los quebrachos',6),(13858,'5253','Medanos',6),(13859,'5253','Pajaro blanco',6),(13860,'5253','Palomar',6),(13861,'5253','Pozo del chaÑar',6),(13862,'5253','Pozo verde',6),(13863,'5253','Punita norte',6),(13864,'5253','Punita sud',6),(13865,'5253','Rio viejo',6),(13866,'5253','San carlos',6),(13867,'5253','San francisco',6),(13868,'5253','San javier',6),(13869,'5253','San lorenzo',6),(13870,'5253','San martin',6),(13871,'5253','San mateo',6),(13872,'5253','San nicolas',6),(13873,'5253','Siempre verde',6),(13874,'5253','Sumampa',6),(13875,'5253','Sumampa viejo',6),(13876,'5253','Taco palta',6),(13877,'5253','Tronco quemado',6),(13878,'5255','9 de julio',6),(13879,'5255','Amoladeras',6),(13880,'5255','Baez',6),(13881,'5255','Buena esperanza',6),(13882,'5255','Campo del cisne',6),(13883,'5255','Campo rico',6),(13884,'5255','ChaÑares altos',6),(13885,'5255','Chilca',6),(13886,'5255','Colonia mercedes',6),(13887,'5255','Coronel fernandez',6),(13888,'5255','Corral de carcos',6),(13889,'5255','Corral del rey',6),(13890,'5255','Cuchi corral',6),(13891,'5255','El aguila',6),(13892,'5255','El algarrobo',6),(13893,'5255','El arbol de piedra',6),(13894,'5255','El arbolito',6),(13895,'5255','El bordito',6),(13896,'5255','El carmen',6),(13897,'5255','El diamante',6),(13898,'5255','El fuerte',6),(13899,'5255','El paraiso',6),(13900,'5255','El pilar',6),(13901,'5255','El porvenir',6),(13902,'5255','El unco',6),(13903,'5255','El viÑalito',6),(13904,'5255','Kilometro 301',6),(13905,'5255','La grana',6),(13906,'5255','La granada',6),(13907,'5255','La oscuridad',5),(13908,'5255','La palma',6),(13909,'5255','La pampa',6),(13910,'5255','La selva',6),(13911,'5255','La soledad',6),(13912,'5255','La trampa',6),(13913,'5255','La tusca',6),(13914,'5255','Laguna del suncho',6),(13915,'5255','Lagunitas',6),(13916,'5255','Las caÑas',6),(13917,'5255','Las cruces',6),(13918,'5255','Las islas',6),(13919,'5255','Las lomitas',6),(13920,'5255','Limache',6),(13921,'5255','Los arbolitos',6),(13922,'5255','Los cruces',6),(13923,'5255','Los molles',6),(13924,'5255','Los remansos',6),(13925,'5255','Manchin',6),(13926,'5255','Milagro',6),(13927,'5255','Miramonte',6),(13928,'5255','Mistol loma',6),(13929,'5255','Monte verde',6),(13930,'5255','Ojo de agua',6),(13931,'5255','Pozo del algarrobo',6),(13932,'5255','Pozo del garabato',6),(13933,'5255','Primavera',6),(13934,'5255','Progreso de jume',6),(13935,'5255','Puesto de arriba',6),(13936,'5255','Puesto del medio',6),(13937,'5255','Punta del agua',6),(13938,'5255','Quenti taco',6),(13939,'5255','Rey viejo',6),(13940,'5255','San andres',6),(13941,'5255','San isidro',6),(13942,'5255','San jorge',6),(13943,'5255','San pedro',6),(13944,'5255','San ramon',6),(13945,'5255','San ramon quebrachos',6),(13946,'5255','Santa elena',6),(13947,'5255','Taco pozo',6),(13948,'5255','Tenti taco',6),(13949,'5257','Cardajal',6),(13950,'5257','ChaÑar pozo',6),(13951,'5257','El pueblito',6),(13952,'5257','Ingeniero carlos christiernson',6),(13953,'5257','La golondrina',6),(13954,'5257','La gringa',6),(13955,'5257','La griteria',6),(13956,'5257','La pampa',6),(13957,'5257','La protegida',6),(13958,'5257','La puerta del monte',6),(13959,'5257','Los caÑos',6),(13960,'5257','Manchin',6),(13961,'5257','Navarro',6),(13962,'5257','Oratorio',6),(13963,'5257','Palo a pique',6),(13964,'5257','Paso de oscares',6),(13965,'5257','Polvaredas',6),(13966,'5257','Portalis',6),(13967,'5257','Pozo del monte',6),(13968,'5257','Puerta del monte',6),(13969,'5257','Puesto del medio',6),(13970,'5257','Rama paso',6),(13971,'5257','Ramadita',6),(13972,'5257','Rami yacu',6),(13973,'5257','Ramirez de velazco',6),(13974,'5257','Remansos',6),(13975,'5257','Retiro',6),(13976,'5257','Rumi jaco',6),(13977,'5257','San nicolas',6),(13978,'5257','Santa brigida',6),(13979,'5257','Santa maria',6),(13980,'5257','Santa rosa',6),(13981,'5258','Cerrito',6),(13982,'5258','Kilometro 49',6),(13983,'5258','Negra muerta',6),(13984,'5258','Piedra blanca',6),(13985,'5258','San francisco',6),(13986,'5258','San ignacio',6),(13987,'5258','San javier',6),(13988,'5258','San juan',6),(13989,'5258','San pedro kilometro 49',6),(13990,'5260','25 de mayo de barnegas',6),(13991,'5260','Acheral',7),(13992,'5260','Agua escondida',7),(13993,'5260','Balde',7),(13994,'5260','Buen retiro',7),(13995,'5260','Buey muerto',7),(13996,'5260','Campo bello',7),(13997,'5260','Campo blanco',7),(13998,'5260','Catita',7),(13999,'5260','Cerro colorado',7),(14000,'5260','Cienaga',7),(14001,'5260','Divisadero',7),(14002,'5260','El barreal',7),(14003,'5260','El bello',7),(14004,'5260','El cercado',7),(14005,'5260','El chaÑar',6),(14006,'5260','El lindero',7),(14007,'5260','El recreo',7),(14008,'5260','El salto',7),(14009,'5260','Empalme san carlos',7),(14010,'5260','Jumeal',7),(14011,'5260','Kilometro 955',7),(14012,'5260','Kilometro 969',7),(14013,'5260','Kilometro 997',7),(14014,'5260','La brea',7),(14015,'5260','La buena estrella',7),(14016,'5260','La campana',7),(14017,'5260','La hoyada',7),(14018,'5260','La loma',7),(14019,'5260','Lagunita',7),(14020,'5260','Laja',7),(14021,'5260','Las cortaderitas',7),(14022,'5260','Las puertas',7),(14023,'5260','Las zanjas',7),(14024,'5260','Liebre',7),(14025,'5260','Los caudillos',7),(14026,'5260','Los chaÑares',7),(14027,'5260','Mollegasta',7),(14028,'5260','Navigan',7),(14029,'5260','Ollita',7),(14030,'5260','Olmos',7),(14031,'5260','Palo seco',7),(14032,'5260','Pampa pozo',7),(14033,'5260','Paraje los chaÑaritos',7),(14034,'5260','Plumero',7),(14035,'5260','Pozancones',7),(14036,'5260','Pto espinal',7),(14037,'5260','Puesto de fadel o de lobo',7),(14038,'5260','Punta del pozo',7),(14039,'5260','Recreo',7),(14040,'5260','San rafael',7),(14041,'5260','San roque',7),(14042,'5260','Sancho',7),(14043,'5260','Santa lucia',7),(14044,'5260','Santo domingo',7),(14045,'5260','Tajamares',7),(14046,'5260','Tinajera',7),(14047,'5260','Villa ofelia',7),(14048,'5260','Villa sotomayor',7),(14049,'5260','Yapes',7),(14050,'5261','Agua del simbol',7),(14051,'5261','Alto bello',7),(14052,'5261','Alto del rosario',7),(14053,'5261','BaÑado de divisadero',7),(14054,'5261','Caballa',7),(14055,'5261','Casa de la cumbre',7),(14056,'5261','Cortaderas',7),(14057,'5261','El abra',7),(14058,'5261','El arenal',7),(14059,'5261','El aybal',7),(14060,'5261','El baÑado',7),(14061,'5261','El barrial',7),(14062,'5261','El cacho',7),(14063,'5261','El cerrito',7),(14064,'5261','El chaÑaral',7),(14065,'5261','El cienago',7),(14066,'5261','El gacho',7),(14067,'5261','El milagro',7),(14068,'5261','El mistolito',7),(14069,'5261','El moreno',7),(14070,'5261','El polear',7),(14071,'5261','El portezuelo',7),(14072,'5261','El potrero',7),(14073,'5261','El puestito',7),(14074,'5261','El puesto',7),(14075,'5261','El quebrachal',7),(14076,'5261','El saladillo',7),(14077,'5261','El saltito',7),(14078,'5261','El suncho',7),(14079,'5261','El valle',7),(14080,'5261','Esquiu',7),(14081,'5261','Garay',7),(14082,'5261','Kilometro 38',7),(14083,'5261','La aguada',7),(14084,'5261','La antigua',7),(14085,'5261','La caÑada',7),(14086,'5261','La colonia',7),(14087,'5261','La dorada',7),(14088,'5261','La florida',7),(14089,'5261','La higuerita',7),(14090,'5261','La huerta',7),(14091,'5261','La montosa',7),(14092,'5261','La peÑa',7),(14093,'5261','La quinta',7),(14094,'5261','La tigra',7),(14095,'5261','La valentina',7),(14096,'5261','La zanja',7),(14097,'5261','Las cortaderas',7),(14098,'5261','Las cuchillas',7),(14099,'5261','Las flores',7),(14100,'5261','Las lomitas',7),(14101,'5261','Las palomas',7),(14102,'5261','Los cadillos',7),(14103,'5261','Los mogotes',7),(14104,'5261','Los molles',7),(14105,'5261','Los pocitos',7),(14106,'5261','Maria elena',7),(14107,'5261','Motegasta',7),(14108,'5261','Navaguin',7),(14109,'5261','Olta',7),(14110,'5261','Palo cruz',7),(14111,'5261','Portillo chico',7),(14112,'5261','Puesto sabatte',7),(14113,'5261','Ramblones',7),(14114,'5261','Rio de bazanes',7),(14115,'5261','Rio de don diego',7),(14116,'5261','Rio de la dorada',7),(14117,'5261','San lorenzo',7),(14118,'5261','San miguel',7),(14119,'5261','San nicolas',7),(14120,'5261','Tacopampa',7),(14121,'5263','Adolfo e carranza',7),(14122,'5263','Adolfo e carranza',13),(14123,'5263','Balde la punta',7),(14124,'5263','Balde nuevo',7),(14125,'5263','Buena vista',7),(14126,'5263','El medano',13),(14127,'5263','El quimilo',7),(14128,'5263','El rosario',13),(14129,'5263','Esperanza de los cerrillos',13),(14130,'5263','Kilometro 99',7),(14131,'5263','La guardia',7),(14132,'5263','La horqueta',7),(14133,'5263','La libertad',13),(14134,'5263','Las peÑas',7),(14135,'5263','Parada kilometro 62',7),(14136,'5263','San martin',7),(14137,'5263','Telaritos',7),(14138,'5264','Angelina',7),(14139,'5264','CaÑada',7),(14140,'5264','Cerrillada',7),(14141,'5264','ChaÑaritos',7),(14142,'5264','El retiro',7),(14143,'5264','El rosario',7),(14144,'5264','El tala',7),(14145,'5264','Jesus maria',7),(14146,'5264','Kilometro 1008',7),(14147,'5264','Kilometro 1017',7),(14148,'5264','La granja',7),(14149,'5264','La isla',7),(14150,'5264','La maravilla',7),(14151,'5264','Maria dora',7),(14152,'5264','San antonio',7),(14153,'5264','San antonio de la paz',7),(14154,'5264','San manuel',7),(14155,'5264','Tula',7),(14156,'5265','Agua los matos',7),(14157,'5265','Baviano',7),(14158,'5265','Brea',7),(14159,'5265','CaÑada larga',7),(14160,'5265','Chacritas',7),(14161,'5265','Corralito',7),(14162,'5265','Estancia',7),(14163,'5265','IcaÑo',7),(14164,'5265','La barrosa',7),(14165,'5265','La falda',7),(14166,'5265','La parada',7),(14167,'5265','Las cuchillas del aybal',7),(14168,'5265','Las toscas',7),(14169,'5265','Majada',7),(14170,'5265','Puesto de vera',7),(14171,'5265','Rio chico',7),(14172,'5265','San francisco',7),(14173,'5265','Sauce de los cejas',7),(14174,'5265','Sicha',7),(14175,'5265','Talar',7),(14176,'5265','Yerba buena',7),(14177,'5266','Chichagasta',7),(14178,'5266','Ensenada',7),(14179,'5266','Parana',6),(14180,'5266','Pozos cavados',7),(14181,'5266','Quiros',7),(14182,'5270','Bajo lindo',5),(14183,'5270','El barreal',5),(14184,'5270','El quicho',5),(14185,'5270','Iglesia vieja',5),(14186,'5270','La batea',5),(14187,'5270','Las abras',5),(14188,'5270','Las aleras',5),(14189,'5270','Los eslabones',5),(14190,'5270','Los valdes',5),(14191,'5270','Quilmes',5),(14192,'5270','Serrezuela',5),(14193,'5271','La pintada',5),(14194,'5271','Piedrita blanca',5),(14195,'5271','Puesto de vera',5),(14196,'5272','9 de julio',5),(14197,'5272','Comandante leal',13),(14198,'5272','El chacho',5),(14199,'5272','El medanito',13),(14200,'5272','El moyano',5),(14201,'5272','Kilometro 619',13),(14202,'5272','Las latas',5),(14203,'5272','Miraflores',5),(14204,'5272','Pozo del barrial',5),(14205,'5274','Altillo del medio',13),(14206,'5274','Balde salado',13),(14207,'5274','Cuatro esquinas',13),(14208,'5274','Dique los sauces',13),(14209,'5274','El consuelo',13),(14210,'5274','El fraile',13),(14211,'5274','Hunquillal',13),(14212,'5274','La isla',13),(14213,'5274','Los barriacitos',13),(14214,'5274','Los barrialitos',13),(14215,'5274','Milagro',13),(14216,'5274','Pozo del medio',13),(14217,'5274','San cristobal',13),(14218,'5275','Agua colorada',13),(14219,'5275','Catuna',13),(14220,'5275','Colonia ortiz de ocampo',13),(14221,'5275','Dique de anzulon',13),(14222,'5275','El cienago',13),(14223,'5275','El verde',13),(14224,'5275','Esquina grande',13),(14225,'5275','Francisco ortiz de ocampo',13),(14226,'5275','Kilometro 682',13),(14227,'5275','La aguadita',13),(14228,'5275','Las palomas',13),(14229,'5275','Los aguirres',13),(14230,'5275','Los alanices',13),(14231,'5275','Los mistoles',13),(14232,'5275','Olpas',13),(14233,'5275','Torrecitas',13),(14234,'5275','Villa santa rita',13),(14235,'5276','Baldes de pacheco',13),(14236,'5276','Castro barros',13),(14237,'5276','ChaÑar',13),(14238,'5276','El bordo',13),(14239,'5276','El chusco',13),(14240,'5276','Kilometro 645',13),(14241,'5276','La florida',13),(14242,'5276','La zanja',13),(14243,'5276','Las vertientes',13),(14244,'5276','Nepes',13),(14245,'5276','Paraje monte grande',13),(14246,'5276','Simbolar',13),(14247,'5276','Verde olivo',13),(14248,'5280','CaÑada honda',5),(14249,'5280','Cruz del eje',5),(14250,'5280','Kilometro 505',5),(14251,'5280','La carbonera',5),(14252,'5280','La toma',5),(14253,'5280','Negro huasi',5),(14254,'5280','Nueva esperanza',5),(14255,'5280','Olivares san nicolas',5),(14256,'5280','Palo cortado',5),(14257,'5280','Rio de la poblacion',5),(14258,'5281','Alto de los quebrachos',5),(14259,'5281','Barrial',5),(14260,'5281','Canteras de quilpo',5),(14261,'5281','El simbolar',5),(14262,'5281','Esquina del alambre',5),(14263,'5281','Guanaco muerto',5),(14264,'5281','La abra',5),(14265,'5281','La florida',5),(14266,'5281','La lilia',5),(14267,'5281','La puerta',5),(14268,'5281','La virginia',5),(14269,'5281','Las piedritas',5),(14270,'5281','Las tapias',5),(14271,'5281','Los algarrobitos',5),(14272,'5281','Los chaÑaritos',5),(14273,'5281','Los hormigueros',5),(14274,'5281','Los mistoles',5),(14275,'5281','Media naranja',5),(14276,'5281','Palo labrado',5),(14277,'5281','Palo parado',5),(14278,'5281','Paso viejo',5),(14279,'5281','Pozo del simbol',5),(14280,'5281','Puesto del gallo',5),(14281,'5281','San antonio',5),(14282,'5281','San isidro',5),(14283,'5281','San jose',5),(14284,'5281','San nicolas',5),(14285,'5281','Tabaquillo',5),(14286,'5281','Villa los leones',5),(14287,'5282','Calabalumba',5),(14288,'5282','Chacha del rey',5),(14289,'5282','Charbonier',5),(14290,'5282','El carrizal',5),(14291,'5282','El frances',5),(14292,'5282','El rincon',5),(14293,'5282','El salto',5),(14294,'5282','Escobas',5),(14295,'5282','La costa',5),(14296,'5282','La fronda',5),(14297,'5282','La gramilla',5),(14298,'5282','Los guevara',5),(14299,'5282','Los paredones',5),(14300,'5282','Los sauces',5),(14301,'5282','Quebrada de luna',5),(14302,'5282','San marcos sierra',5),(14303,'5282','San salvador',5),(14304,'5282','Santa isabel',5),(14305,'5283','La laguna',5),(14306,'5284','Aguas de ramon',5),(14307,'5284','Barrialitos',5),(14308,'5284','Bella vista',5),(14309,'5284','Cachiyullo',5),(14310,'5284','Chacras',5),(14311,'5284','Chacras del potrero',5),(14312,'5284','Desaguadero',5),(14313,'5284','El caracol',5),(14314,'5284','El puesto',5),(14315,'5284','Estacion soto',5),(14316,'5284','Kilometro 541',5),(14317,'5284','La puerta villa de soto',5),(14318,'5284','Las caÑadas',5),(14319,'5284','Las chacras',5),(14320,'5284','Las lomas',5),(14321,'5284','Las tinajeras',5),(14322,'5284','Los pantalles',5),(14323,'5284','Mandala',5),(14324,'5284','Palo quemado',5),(14325,'5284','Paloma pozo',5),(14326,'5284','Paso de montoya',5),(14327,'5284','Pichanas',5),(14328,'5284','Piedras amontonadas',5),(14329,'5284','Piedras anchas',5),(14330,'5284','Ramblon',5),(14331,'5284','Rio seco',5),(14332,'5284','Santa ana',5),(14333,'5284','Sendas grandes',5),(14334,'5284','Tala del rio seco',5),(14335,'5284','Tasacuna',5),(14336,'5284','Totora guasi',5),(14337,'5284','Villa de soto',5),(14338,'5285','Agua de crespin',5),(14339,'5285','BaÑado de soto',5),(14340,'5285','Canteras iguazu',5),(14341,'5285','Carrizal',5),(14342,'5285','Casas viejas',5),(14343,'5285','El barrial',5),(14344,'5285','El guaico',5),(14345,'5285','El rio',5),(14346,'5285','Guasapampa',5),(14347,'5285','La aguada',5),(14348,'5285','La higuera',5),(14349,'5285','La mesilla',5),(14350,'5285','La playa',5),(14351,'5285','Las playas',5),(14352,'5285','Las totoritas',5),(14353,'5285','Mesa de mariano',5),(14354,'5285','Piedra blanca',5),(14355,'5285','Pozo seco',5),(14356,'5285','Represa de morales',5),(14357,'5285','Rumiguasi',5),(14358,'5285','Tres arboles',5),(14359,'5286','Tuclame',5),(14360,'5287','Capilla la candelaria',5),(14361,'5287','Characato',5),(14362,'5287','Cruz de caÑa',5),(14363,'5287','El brete',5),(14364,'5287','Majada de santiago',5),(14365,'5287','Oro grueso',5),(14366,'5287','Rara fortuna',5),(14367,'5289','Cienaga del coro',5),(14368,'5289','El sauce',5),(14369,'5289','Ramirez',5),(14370,'5289','Rumiaco',5),(14371,'5289','Tosno',5),(14372,'5291','CaÑada de las gatiadas',5),(14373,'5291','ChaÑariaco',5),(14374,'5291','El rodeo',5),(14375,'5291','El sunchal',5),(14376,'5291','El vallesito',5),(14377,'5291','Estancia de guadalupe',5),(14378,'5291','La bismutina',5),(14379,'5291','La estancia',5),(14380,'5291','Los barriales',5),(14381,'5291','Mina la bismutina',5),(14382,'5291','Mogote verde',5),(14383,'5291','Ninalquin',5),(14384,'5291','Pajonal',5),(14385,'5291','Paso grande',5),(14386,'5291','Piedras anchas',5),(14387,'5291','San carlos minas',5),(14388,'5291','Sapansoto',5),(14389,'5291','Sierra de abregu',5),(14390,'5291','Sierra de las paredes',5),(14391,'5291','Sunchal',5),(14392,'5291','Talaini',5),(14393,'5291','Totoritas',5),(14394,'5291','Tres esquinas',5),(14395,'5291','Tres lomas',5),(14396,'5293','Cerro bola',5),(14397,'5293','El durazno',5),(14398,'5293','La argentina',5),(14399,'5293','Las cortaderas',5),(14400,'5293','Los ojos de agua',5),(14401,'5293','Ojo de agua',5),(14402,'5295','Alto del tala',5),(14403,'5295','Buena vista',5),(14404,'5295','Cuchillo yaco',5),(14405,'5295','El potrero',5),(14406,'5295','La esquina',5),(14407,'5295','Las cortaderas',5),(14408,'5295','Las rosas',5),(14409,'5295','Piedritas rosadas',5),(14410,'5295','Pitoa',5),(14411,'5295','Salsacate',5),(14412,'5295','Toro muerto',5),(14413,'5295','Tres chaÑares',5),(14414,'5295','Villa taninga',5),(14415,'5295','Viso',5),(14416,'5297','Arcoyo',5),(14417,'5297','Arroyo',5),(14418,'5297','Buena vista',5),(14419,'5297','CaÑada del puerto',5),(14420,'5297','Cerro negro',5),(14421,'5297','Dos rios',5),(14422,'5297','La calera',5),(14423,'5297','La quebrada',5),(14424,'5297','La sierrita',5),(14425,'5297','Las chacras',5),(14426,'5297','Mina araujo',5),(14427,'5297','Potrero de marques',5),(14428,'5297','Puerta de la quebrada',5),(14429,'5297','Rio hondo',5),(14430,'5297','Sagrada familia',5),(14431,'5297','San geronimo',5),(14432,'5297','Sauce de los quevedos',5),(14433,'5297','Tala caÑada',5),(14434,'5299','Ambul',5),(14435,'5299','CaÑada de pocho',5),(14436,'5299','CaÑada de salas',5),(14437,'5299','Carrizal',5),(14438,'5299','Casa blanca',5),(14439,'5299','Chamico',5),(14440,'5299','El carrizal',5),(14441,'5299','La aguadita',5),(14442,'5299','La mudana',5),(14443,'5299','La tablada',5),(14444,'5299','Las palmas',5),(14445,'5299','Loma redonda',5),(14446,'5299','Mussi',5),(14447,'5299','Pocho',5),(14448,'5299','Pusisuna',5),(14449,'5299','Taruca pampa',5),(14450,'5300','Amilgancho',13),(14451,'5300','Ampata',13),(14452,'5300','Bajo hondo',13),(14453,'5300','Bazan',13),(14454,'5300','Carrizal estacion fcgb',13),(14455,'5300','Cebollar',13),(14456,'5300','Chumbicha',13),(14457,'5300','Dique los sauces',13),(14458,'5300','El cantadero',13),(14459,'5300','El duraznillo',13),(14460,'5300','El plumerillo',13),(14461,'5300','Estacion 69',13),(14462,'5300','Flamenco',13),(14463,'5300','Jesus maria',13),(14464,'5300','Kilometro 861',13),(14465,'5300','Kilometro 875',13),(14466,'5300','La buena suerte',13),(14467,'5300','La esperanza',13),(14468,'5300','La flor',13),(14469,'5300','La lancha',13),(14470,'5300','La lata',13),(14471,'5300','La ramadita',13),(14472,'5300','La rioja',13),(14473,'5300','Las caÑas',13),(14474,'5300','Las higuerillas',13),(14475,'5300','Las padercitas',13),(14476,'5300','Medano',13),(14477,'5300','Pozo de avila',13),(14478,'5300','Pozo escondido',13),(14479,'5300','Puerta de la quebrada',13),(14480,'5300','Puerto alegre',13),(14481,'5300','Punta del negro',13),(14482,'5300','San agustin',13),(14483,'5300','San guillermo',13),(14484,'5300','San javier',13),(14485,'5300','San juan',13),(14486,'5300','San martin',13),(14487,'5300','Santa rosa',13),(14488,'5300','Santo domingo',13),(14489,'5300','Trampa del tigre',13),(14490,'5301','Agua blanca',13),(14491,'5301','Aguada',13),(14492,'5301','Aminga',13),(14493,'5301','Anchico',13),(14494,'5301','Anillaco',13),(14495,'5301','Campo tres pozos',13),(14496,'5301','Chuquis',13),(14497,'5301','El barreal',13),(14498,'5301','El bayito',13),(14499,'5301','El escondido',13),(14500,'5301','El huaco',13),(14501,'5301','El quebracho',13),(14502,'5301','El valle',13),(14503,'5301','Huaco',13),(14504,'5301','Ismiango',13),(14505,'5301','La antigua',13),(14506,'5301','La buena estrella',13),(14507,'5301','La rosilla',13),(14508,'5301','Las bombas',13),(14509,'5301','Las catas',13),(14510,'5301','Las peÑas',13),(14511,'5301','Las sierras bravas',13),(14512,'5301','Los cerrillos',13),(14513,'5301','Los molinos',13),(14514,'5301','Mesillas blancas',13),(14515,'5301','Pinchas',13),(14516,'5301','Pozo blanco',13),(14517,'5301','Pozo de la yegua',13),(14518,'5301','Puerto del valle',13),(14519,'5301','San antonio',13),(14520,'5301','San bernardo',13),(14521,'5301','San ignacio',13),(14522,'5301','San jose',13),(14523,'5301','San lorenzo',13),(14524,'5301','San miguel',13),(14525,'5301','San nicolas',13),(14526,'5301','San pedro',13),(14527,'5301','San rafael',13),(14528,'5301','Santa ana',13),(14529,'5301','Santa cruz',13),(14530,'5301','Santa teresa',13),(14531,'5301','Santa vera cruz',13),(14532,'5301','Sierra brava',13),(14533,'5301','Villa bustos',13),(14534,'5301','Villa sanagasta',13),(14535,'5303','Anjullon',13),(14536,'5304','El tala',13),(14537,'5304','Talamuyuna',13),(14538,'5306','Carrizal',13),(14539,'5310','Aimogasta',13),(14540,'5310','BaÑados del pantano',13),(14541,'5310','Las tuscas',13),(14542,'5310','Los baldes',13),(14543,'5310','San antonio',13),(14544,'5310','SeÑor de la peÑa',13),(14545,'5311','Arauco',13),(14546,'5311','Machigasta',13),(14547,'5311','Udpinango',13),(14548,'5313','Estacion mazan',13),(14549,'5313','Kilometro 891',13),(14550,'5313','Kilometro 921',13),(14551,'5313','Termas de santa teresita',13),(14552,'5313','Tinocan',13),(14553,'5313','Villa mazan',13),(14554,'5315','Calera la norma',7),(14555,'5315','El pajonal',7),(14556,'5315','Estacion poman',7),(14557,'5315','Joyanguito',7),(14558,'5315','Las casitas',7),(14559,'5315','Las cienagas',7),(14560,'5315','Los baldes',7),(14561,'5315','Malcasco',7),(14562,'5315','Mischango',7),(14563,'5315','Poman',7),(14564,'5315','Tuscumayo',7),(14565,'5317','Apoyaco',7),(14566,'5317','Establecimiento minero cerro b',7),(14567,'5317','Los cajones',7),(14568,'5317','Mutquin',7),(14569,'5317','Retiro',7),(14570,'5317','Retiro de colana',7),(14571,'5317','Rincon',7),(14572,'5317','Rosario de colana',7),(14573,'5319','Colpes',7),(14574,'5319','Los puestos',7),(14575,'5319','Mollecito',7),(14576,'5319','San jose',7),(14577,'5319','Sijan',7),(14578,'5321','El potrero',7),(14579,'5321','Joyango',7),(14580,'5321','Kilometro 975',7),(14581,'5321','La aguada grande',7),(14582,'5321','La yegua muerta',7),(14583,'5321','Las breas',7),(14584,'5321','San miguel',7),(14585,'5321','Saujil',7),(14586,'5325','Alpasinche',13),(14587,'5325','El retiro',13),(14588,'5325','La pirgua',13),(14589,'5325','Lorohuasi',13),(14590,'5327','Capihuas',13),(14591,'5327','Cerro negro',13),(14592,'5327','Chaupihuasi',13),(14593,'5327','Cordobita',13),(14594,'5327','El pueblito',13),(14595,'5327','Los olivares',13),(14596,'5327','Salicas san blas',13),(14597,'5329','Amuschina',13),(14598,'5329','Andolucas',13),(14599,'5329','Cuipan',13),(14600,'5329','La plaza',13),(14601,'5329','Las talas',13),(14602,'5329','Los robles',13),(14603,'5329','Schaqui',13),(14604,'5329','Suriyaco',13),(14605,'5329','Tuyubil',13),(14606,'5331','Andalucia',7),(14607,'5331','Cerro negro',7),(14608,'5331','Cordobita',7),(14609,'5331','El pueblito',7),(14610,'5331','Kilometro 1006',7),(14611,'5331','Kilometro 999',7),(14612,'5331','La puntilla',7),(14613,'5331','Las chacras',7),(14614,'5331','Los balverdis',7),(14615,'5331','Los gonzales',7),(14616,'5331','Los quinteros',7),(14617,'5331','Los rincones',7),(14618,'5331','PeÑas blancas',7),(14619,'5331','Rio colorado',7),(14620,'5331','Salado',7),(14621,'5331','Santa cruz',7),(14622,'5331','Villa seleme',7),(14623,'5333','Banda de lucero',7),(14624,'5333','Carrizal',7),(14625,'5333','Cienaguita',7),(14626,'5333','Copacabana',7),(14627,'5333','El alto',7),(14628,'5333','La candelaria',7),(14629,'5333','La capellania',7),(14630,'5333','La isla',7),(14631,'5333','ViÑa del cerro',7),(14632,'5340','Agua grande',7),(14633,'5340','Aguada',7),(14634,'5340','Anchoca',7),(14635,'5340','Apocango',7),(14636,'5340','Balungasta',7),(14637,'5340','Cantera rota',7),(14638,'5340','Casa de alto',7),(14639,'5340','Casa grande',7),(14640,'5340','CastaÑar',7),(14641,'5340','Cerdas',7),(14642,'5340','Chanero',7),(14643,'5340','Chavero',7),(14644,'5340','Cortadera',7),(14645,'5340','Estancito',7),(14646,'5340','Guanchicito',7),(14647,'5340','Guanchin',7),(14648,'5340','Guincho',7),(14649,'5340','Junta',7),(14650,'5340','La chilca',7),(14651,'5340','Las higueritas',7),(14652,'5340','Las losas',7),(14653,'5340','Las peladas',7),(14654,'5340','Loma grande',7),(14655,'5340','Loro huasi',7),(14656,'5340','Los chanampa',7),(14657,'5340','Los guaytimas',7),(14658,'5340','Los palacios',7),(14659,'5340','Los robledos',7),(14660,'5340','Los valdez',7),(14661,'5340','Los valveros',7),(14662,'5340','Matambre',7),(14663,'5340','Medano',7),(14664,'5340','Negro muerto',7),(14665,'5340','Ojo de agua',7),(14666,'5340','Palacios',7),(14667,'5340','Pan de azucar',7),(14668,'5340','Pantanos',7),(14669,'5340','Pastos amarillos',7),(14670,'5340','Pillahuasi',7),(14671,'5340','Planchada',7),(14672,'5340','Pocitos',7),(14673,'5340','Quebrada honda',7),(14674,'5340','Quemadita',7),(14675,'5340','Quemado',7),(14676,'5340','Quiquero',7),(14677,'5340','Qusto',7),(14678,'5340','Rio abajo',7),(14679,'5340','Rio de los indios',7),(14680,'5340','Rodeo',7),(14681,'5340','San buenaventura',7),(14682,'5340','Suncho',7),(14683,'5340','Tala zapata',7),(14684,'5340','Talita',7),(14685,'5340','Tamberia',7),(14686,'5340','Tambu',7),(14687,'5340','Tinogasta',7),(14688,'5340','Totora',7),(14689,'5340','Troya',7),(14690,'5340','Vallecito',7),(14691,'5340','Vega',7),(14692,'5340','Vinquis',7),(14693,'5340','Yacochuyo',7),(14694,'5341','Anillaco',7),(14695,'5341','Corral de piedra',7),(14696,'5341','Costa de reyes',7),(14697,'5341','El cachiyuyo',7),(14698,'5341','El puesto',7),(14699,'5341','La caÑada larga',7),(14700,'5341','La cienaga',7),(14701,'5341','La cienaga de los zondones',7),(14702,'5341','La falda',7),(14703,'5341','La florida',7),(14704,'5341','La majada',7),(14705,'5341','La mesada',7),(14706,'5341','La palca',7),(14707,'5341','La puntilla de san jose',7),(14708,'5341','La ramadita',7),(14709,'5341','Las pampas',7),(14710,'5341','Las papas',7),(14711,'5341','Los potrerillos',7),(14712,'5341','Medanitos',7),(14713,'5341','Mesada de los zarate',7),(14714,'5341','Mesada grande',7),(14715,'5341','Palo blanco',7),(14716,'5341','Pampa blanca',7),(14717,'5341','Paso san francisco',7),(14718,'5341','Plaza de san pedro',7),(14719,'5341','Rio grande',7),(14720,'5341','San jose de tinogasta',7),(14721,'5341','Santo tomas',7),(14722,'5341','Saujil de tinogasta',7),(14723,'5341','Taton',7),(14724,'5343','Lavalle',7),(14725,'5343','Santa rosa',7),(14726,'5343','Villa san roque',7),(14727,'5345','BaÑos termales',7),(14728,'5345','El barrialito',7),(14729,'5345','El peÑon',7),(14730,'5345','El retiro',7),(14731,'5345','Fiambala',7),(14732,'5345','La aguadita',7),(14733,'5345','Las retamas',7),(14734,'5345','Los morteros',7),(14735,'5350','El molle',13),(14736,'5350','La cienaga',13),(14737,'5350','La perlita',13),(14738,'5350','Los frances',13),(14739,'5350','San bernardo',13),(14740,'5350','San jose',13),(14741,'5350','Villa union',13),(14742,'5351','Banda florida',13),(14743,'5351','El fuerte',13),(14744,'5351','La maravilla',13),(14745,'5351','Los palacios',13),(14746,'5351','Paso san isidro',13),(14747,'5351','Santa clara',13),(14748,'5353','El zapallar',13),(14749,'5353','Guandacol',13),(14750,'5353','Los nacimientos',13),(14751,'5355','El altillo',13),(14752,'5355','El condado',13),(14753,'5355','Las aguaditas',13),(14754,'5355','Las padercitas',13),(14755,'5355','Padercitas',13),(14756,'5355','Parecitas',13),(14757,'5355','Pastos largos',13),(14758,'5355','Punta de agua',13),(14759,'5355','Rivadavia',13),(14760,'5355','Villa castelli',13),(14761,'5357','El horno',13),(14762,'5357','Vinchina',13),(14763,'5359','Alto jaguel',13),(14764,'5359','Bajo jaguel',13),(14765,'5359','Boca de la quebrada',13),(14766,'5359','Buena vista',13),(14767,'5359','Casa pintada',13),(14768,'5359','Distrito pueblo',13),(14769,'5359','Jague',13),(14770,'5359','La armonia',13),(14771,'5359','La banda',13),(14772,'5359','La pampa',13),(14773,'5359','PeÑas blancas',13),(14774,'5359','Potrero grande',13),(14775,'5359','Valle hermoso',13),(14776,'5359','Villa san jose de vinchina',13),(14777,'5360','Chilecito',13),(14778,'5360','El vallecito',13),(14779,'5360','Samay huasi',13),(14780,'5360','San nicolas',13),(14781,'5360','Santa florentina',13),(14782,'5361','AicuÑa',13),(14783,'5361','Alto carrizal',13),(14784,'5361','Anchumbil',13),(14785,'5361','Angulos',13),(14786,'5361','Antinaco',13),(14787,'5361','Barrio de galli',13),(14788,'5361','Campanas',13),(14789,'5361','Carrizal',13),(14790,'5361','Carrizalillo',13),(14791,'5361','ChaÑarmuyo',13),(14792,'5361','El chocoy',13),(14793,'5361','El chuschin',13),(14794,'5361','El pedregal',13),(14795,'5361','El potrerillo',13),(14796,'5361','Estancia de maiz',13),(14797,'5361','La cuadra',13),(14798,'5361','La higuera',13),(14799,'5361','La pampa',13),(14800,'5361','Las tucumanesas',13),(14801,'5361','Los corrales',13),(14802,'5361','Los sarmientos',13),(14803,'5361','Los tambillos',13),(14804,'5361','Malligasta',13),(14805,'5361','Piedra de talampaya',13),(14806,'5361','Piedra pintada',13),(14807,'5361','Pituil',13),(14808,'5361','Plaza vieja',13),(14809,'5361','Puerto alegre',13),(14810,'5361','Salinas del leoncito',13),(14811,'5361','San miguel',13),(14812,'5361','Santa cruz',13),(14813,'5361','Santa elena',13),(14814,'5361','Santo domingo',13),(14815,'5361','Santo domingo departamento fam',13),(14816,'5361','Tilimuqui',13),(14817,'5361','Tres cerros',13),(14818,'5363','Anguinan',13),(14819,'5365','El jumeal',13),(14820,'5365','Famatina',13),(14821,'5365','La banda',13),(14822,'5365','Las gredas',13),(14823,'5365','Plaza nueva',13),(14824,'5367','Cachiyuyal',13),(14825,'5367','Guachin',13),(14826,'5367','La puntilla',13),(14827,'5367','Miranda',13),(14828,'5367','SaÑogasta',13),(14829,'5369','Pagancillo',13),(14830,'5372','Nonogasta',13),(14831,'5374','Catinzaco',13),(14832,'5374','Catinzaco embarcadero fcgb',13),(14833,'5374','Vichigasta',13),(14834,'5380','Chamical',13),(14835,'5380','Chulo',13),(14836,'5380','Colonia alfredo',13),(14837,'5380','El garabato',13),(14838,'5380','El quemado',13),(14839,'5380','El retamo',13),(14840,'5380','Esquina del norte',13),(14841,'5380','Gobernador gordillo',13),(14842,'5380','La invernada',13),(14843,'5380','La serena',13),(14844,'5380','Los bordos',13),(14845,'5380','Palo labrado',13),(14846,'5380','Polco',13),(14847,'5380','Pozo de la orilla',13),(14848,'5380','Quebracho herrado',13),(14849,'5381','Bella vista',13),(14850,'5381','Cortaderas',13),(14851,'5381','El mollar',13),(14852,'5381','Iliar',13),(14853,'5381','La cienaga',13),(14854,'5381','Loma blanca',13),(14855,'5381','Quebrachal',13),(14856,'5381','Santa barbara',13),(14857,'5381','Talva',13),(14858,'5383','Agua colorada',13),(14859,'5383','Bajo grande',13),(14860,'5383','Balde salado',13),(14861,'5383','Cisco',13),(14862,'5383','El alto',13),(14863,'5383','El quebrachal',13),(14864,'5383','El quebracho',13),(14865,'5383','Esquina del sud',13),(14866,'5383','La chimenea',13),(14867,'5383','La huerta',13),(14868,'5383','La trampa',13),(14869,'5383','Loma larga',13),(14870,'5383','Monte grande',13),(14871,'5383','Olta',13),(14872,'5383','San ramon',13),(14873,'5383','Tala verde',13),(14874,'5383','Tres cruces',13),(14875,'5384','Punta de los llanos',13),(14876,'5385','Aguadita',13),(14877,'5385','Alcazar',13),(14878,'5385','Atiles',13),(14879,'5385','Carrizal tama',13),(14880,'5385','Carrizalillo',13),(14881,'5385','Casagate',13),(14882,'5385','Casangate',13),(14883,'5385','Chila',13),(14884,'5385','Chimenea',13),(14885,'5385','El barranco',13),(14886,'5385','El portezuelo',13),(14887,'5385','El potrerillo',13),(14888,'5385','El potrero',13),(14889,'5385','El puesto',13),(14890,'5385','Falda de citan',13),(14891,'5385','Huaja',13),(14892,'5385','La aguadita',13),(14893,'5385','La lomita',13),(14894,'5385','La merced',13),(14895,'5385','La represa',13),(14896,'5385','Las higueras',13),(14897,'5385','Loma larga',13),(14898,'5385','Los algarrobos',13),(14899,'5385','Malanzan',13),(14900,'5385','Mollaco',13),(14901,'5385','Nacate',13),(14902,'5385','Pacatala',13),(14903,'5385','Puluchan',13),(14904,'5385','Retamal',13),(14905,'5385','Rio de las caÑas',13),(14906,'5385','Rios de las mesadas',13),(14907,'5385','Rios de los colcoles',13),(14908,'5385','Salana',13),(14909,'5385','San pedro',13),(14910,'5385','San ramon',13),(14911,'5385','San roque',13),(14912,'5385','Solca',13),(14913,'5385','Tama',13),(14914,'5385','Tasquin',13),(14915,'5385','Tuani',13),(14916,'5385','Tuizon',13),(14917,'5386','Amana',13),(14918,'5386','Bajo de gallo',13),(14919,'5386','Balde san isidro',13),(14920,'5386','Cueva del chacho',13),(14921,'5386','El chiflon',13),(14922,'5386','Guayapa',13),(14923,'5386','La torre',13),(14924,'5386','Los baldecitos',13),(14925,'5386','Los colorados',13),(14926,'5386','Los mogotes colorados',13),(14927,'5386','Paganzo',13),(14928,'5386','Patquia',13),(14929,'5386','Puesto talita',13),(14930,'5386','Represa de la punta',13),(14931,'5386','Salinas de bustos',13),(14932,'5386','Termas',13),(14933,'5400','Desamparados',17),(14934,'5400','Diaz velez',17),(14935,'5400','El medanito',17),(14936,'5400','Presbitero francisco perez her',17),(14937,'5400','Rivadavia',17),(14938,'5400','San juan',17),(14939,'5400','Talacasto',17),(14940,'5400','Trinidad',17),(14941,'5400','Villa carolina',17),(14942,'5400','Villa del carmen',17),(14943,'5400','Villa huasihul',17),(14944,'5400','Villa marini',17),(14945,'5400','Villa palermo',17),(14946,'5401','Cerro aguaditas',17),(14947,'5401','Cerro aguila',17),(14948,'5401','Cerro blanco',17),(14949,'5401','Cerro casa de piedra',17),(14950,'5401','Cerro divisadero',17),(14951,'5401','Cerro infiernillo',17),(14952,'5401','Cerro jaguel',17),(14953,'5401','Cerro la cienaga',17),(14954,'5401','Cerro la flecha',17),(14955,'5401','Cerro la jarilla',17),(14956,'5401','Cerro la rinconada',17),(14957,'5401','Cerro las barrancas',17),(14958,'5401','Cerro las placetas',17),(14959,'5401','Cerro negro',17),(14960,'5401','Cerro pachaco',17),(14961,'5401','Cerro pircas',17),(14962,'5401','Cerro santa rosa',17),(14963,'5401','Cerro sasito',17),(14964,'5401','Cerro tambolar',17),(14965,'5401','Cerro tres mogotes',17),(14966,'5401','Colon',17),(14967,'5401','Dique soldano',17),(14968,'5401','Estancia maradona',17),(14969,'5401','Hilario',17),(14970,'5401','Huaicos',17),(14971,'5401','La isla',17),(14972,'5401','Los paramillos',17),(14973,'5401','Po del tontal',17),(14974,'5401','Port de los sombreros',17),(14975,'5401','Pto cordova',17),(14976,'5401','Pto del agua de pinto',17),(14977,'5401','Pto el molle',17),(14978,'5401','Pto las cuevas',17),(14979,'5401','Pto los papagallos',17),(14980,'5401','Puchuzun',17),(14981,'5401','Ruta 20 kilometro 114',17),(14982,'5401','Sorocayense',17),(14983,'5401','Tamberias',17),(14984,'5401','Villa basilio nievas',17),(14985,'5401','Villa corral',17),(14986,'5401','Villa media agua',17),(14987,'5401','Villa nueva',17),(14988,'5401','Zonda',17),(14989,'5403','Barrialitos',17),(14990,'5403','Bella vista',17),(14991,'5403','Cabecera del barrial',17),(14992,'5403','Calingasta',17),(14993,'5403','CastaÑo nuevo',17),(14994,'5403','Mina san jorge',17),(14995,'5405','Agua y energia',17),(14996,'5405','Barreal',17),(14997,'5405','Barreales',17),(14998,'5405','Campo del leoncito',17),(14999,'5405','CastaÑo viejo',17),(15000,'5405','Cerro amarillo',17),(15001,'5405','Cerro bayo',17),(15002,'5405','Cerro blanco',17),(15003,'5405','Cerro bonete',17),(15004,'5405','Cerro bramadero',17),(15005,'5405','Cerro chiquero',17),(15006,'5405','Cerro cortadera',17),(15007,'5405','Cerro de las vacas',17),(15008,'5405','Cerro de los pozos',17),(15009,'5405','Cerro del tome',17),(15010,'5405','Cerro grande',17),(15011,'5405','Cerro guanaquero',17),(15012,'5405','Cerro hornito',17),(15013,'5405','Cerro la fortuna',17),(15014,'5405','Cerro las mulas',17),(15015,'5405','Cerro los patos',17),(15016,'5405','Cerro mercedario',17),(15017,'5405','Cerro mudadero',17),(15018,'5405','Cerro panteon',17),(15019,'5405','Cerro pichereguas',17),(15020,'5405','Cerro puntudo',17),(15021,'5405','El leoncito',17),(15022,'5405','Estancia casa rio blanco',17),(15023,'5405','Estancia el totoral',17),(15024,'5405','Estancia la puntilla',17),(15025,'5405','Estancia leoncito',17),(15026,'5405','Gendarmeria nacional',17),(15027,'5405','La alumbrera',17),(15028,'5405','La capilla',17),(15029,'5405','Las hornillas',17),(15030,'5405','Manantiales',17),(15031,'5405','Pachaco',17),(15032,'5405','PeÑasquito',17),(15033,'5405','Po de barahona',17),(15034,'5405','Po de la guardia',17),(15035,'5405','Po de las llaretas',17),(15036,'5405','Po de las ojotas',17),(15037,'5405','Po de los piuquenes',17),(15038,'5405','Po de los teatinos',17),(15039,'5405','Po del portillo',17),(15040,'5405','Port de longomiche',17),(15041,'5405','Potrerillos',17),(15042,'5405','Pto santa rosa de abajo',17),(15043,'5405','Tira larga',17),(15044,'5405','Tontal',17),(15045,'5405','Yacimiento de cobre el pachon',17),(15046,'5407','Dique toma',17),(15047,'5407','Marquesado',17),(15048,'5407','Paraje bebida',17),(15049,'5407','Rio saso',17),(15050,'5407','Villa obrera',17),(15051,'5409','Adan quiroga',17),(15052,'5409','Aurora',17),(15053,'5409','Barrio agua y energia',17),(15054,'5409','Barrio colon',17),(15055,'5409','Barrio graffigna',17),(15056,'5409','Bodega graffigna',17),(15057,'5409','Camp d p v la cienaga',17),(15058,'5409','CastaÑo',17),(15059,'5409','Cerro la ventanita',17),(15060,'5409','Cerro tambolar',17),(15061,'5409','Cerro villa loncito',17),(15062,'5409','Cienaguita',17),(15063,'5409','Coyon',17),(15064,'5409','Cumiyango',17),(15065,'5409','El balde',17),(15066,'5409','El chilote',17),(15067,'5409','El fuerte',17),(15068,'5409','El volcan',17),(15069,'5409','Est la cienaga de gualila',17),(15070,'5409','Imsa',17),(15071,'5409','Ingeniero matias g sanchez',17),(15072,'5409','Isla del sauce',17),(15073,'5409','Las aguaditas',17),(15074,'5409','Los diaguitas',17),(15075,'5409','Mina gualilan',17),(15076,'5409','Mogna',17),(15077,'5409','Niquivil',17),(15078,'5409','Niquivil viejo',17),(15079,'5409','Port del colorado',17),(15080,'5409','Refugio d p v',17),(15081,'5409','Refugio los gauchos',17),(15082,'5409','San roque',17),(15083,'5409','Santa barbara',17),(15084,'5409','Tucunuco',17),(15085,'5409','Ullum',17),(15086,'5411','La legua',17),(15087,'5411','Luz del mundo',17),(15088,'5411','Pajas blancas',17),(15089,'5411','Santa lucia',17),(15090,'5411','Villa 20 de junio',17),(15091,'5411','Villa bermejito',17),(15092,'5411','Villa estevez',17),(15093,'5411','Villa general las heras',17),(15094,'5411','Villa gobernador chavez',17),(15095,'5411','Villa j c sarmiento',17),(15096,'5411','Villa luz del mundo',17),(15097,'5411','Villa muÑoz',17),(15098,'5411','Villa n larrain',17),(15099,'5411','Villa patricias sanjuaninas',17),(15100,'5411','Villa pueyrredon',17),(15101,'5411','Villa rizzo',17),(15102,'5411','Villa rufino gomez',17),(15103,'5411','Villa sargento cabral',17),(15104,'5413','Apeadero las chimbas',17),(15105,'5413','Chimbas',17),(15106,'5413','El mogote chimbas',17),(15107,'5413','Los viÑedos',17),(15108,'5413','Villa  p a d sarmiento',17),(15109,'5413','Villa juan xxiii',17),(15110,'5413','Villa morrones',17),(15111,'5413','Villa santa paula',17),(15112,'5415','Angaco norte',17),(15113,'5415','Calle aguileras',17),(15114,'5415','Calle nacional',17),(15115,'5415','Domingo de oro',17),(15116,'5415','El alamito',17),(15117,'5415','El bosque',17),(15118,'5415','La caÑada',17),(15119,'5415','Las tapias',17),(15120,'5415','Paquita',17),(15121,'5415','Pichagual',17),(15122,'5415','Plumerillos',17),(15123,'5415','Punta del monte',17),(15124,'5415','Ranchos de famacoa',17),(15125,'5415','Villa del salvador',17),(15126,'5415','Villa general acha',17),(15127,'5415','Villa san isidro',17),(15128,'5417','9 de julio',17),(15129,'5417','Aeropuerto san juan',17),(15130,'5417','Angaco sud',17),(15131,'5417','Chacritas',17),(15132,'5417','Colonia fiorito',17),(15133,'5417','Finca zapata',17),(15134,'5417','La majadita',17),(15135,'5417','Los quillay',17),(15136,'5417','Tierra adentro',17),(15137,'5419','BaÑos de la laja',17),(15138,'5419','BaÑos del salado',17),(15139,'5419','Campo afuera',17),(15140,'5419','Cerro bola',17),(15141,'5419','Cerro villicun',17),(15142,'5419','Dos puentes',17),(15143,'5419','El salado',17),(15144,'5419','Est albardon',17),(15145,'5419','La caÑada',17),(15146,'5419','Las lajas',17),(15147,'5419','Las lomitas',17),(15148,'5419','Las piedritas',17),(15149,'5419','Los puestos',17),(15150,'5419','Matagusanos',17),(15151,'5419','Terma la laja',17),(15152,'5419','Tierra adentro',17),(15153,'5419','Villa general san martin',17),(15154,'5421','Colonia centenario',17),(15155,'5421','Colonia rodas',17),(15156,'5421','Contegrand',17),(15157,'5421','Encon',17),(15158,'5421','La callecita',17),(15159,'5421','La tranca',18),(15160,'5421','Medano de oro',17),(15161,'5423','Capitan lazo',17),(15162,'5423','Villa santa anita',17),(15163,'5424','Villa lerga',17),(15164,'5425','Albarracin',17),(15165,'5425','Barrio rawson',17),(15166,'5425','Colonia el molino',17),(15167,'5425','Colonia florida',17),(15168,'5425','Colonia juan solari',17),(15169,'5425','Colonia rodriguez zavalla',17),(15170,'5425','Colonia yorner',17),(15171,'5425','Colonia zabala',17),(15172,'5425','El molino',17),(15173,'5425','Germania',17),(15174,'5425','La florida',17),(15175,'5425','La orilla',17),(15176,'5425','Lloveras',17),(15177,'5425','Primer cuartel',17),(15178,'5425','Santa clara',17),(15179,'5425','Segundo cuartel',17),(15180,'5425','Villa fleury',17),(15181,'5425','Villa franca',17),(15182,'5425','Villa general acha',17),(15183,'5425','Villa krause',17),(15184,'5425','Villa laprida',17),(15185,'5425','Villa rachel',17),(15186,'5425','Zavalla',17),(15187,'5427','Apeadero quiroga',17),(15188,'5427','Barrio santa barbara',17),(15189,'5427','Centro aviacion civil san juan',17),(15190,'5427','Colonia cantoni',17),(15191,'5427','Colonia castro padin',17),(15192,'5427','Colonia moya',17),(15193,'5427','Colonia roca',17),(15194,'5427','Juan celani',17),(15195,'5427','La cosechera',17),(15196,'5427','Quinto cuartel',17),(15197,'5427','Sanchez de loria',17),(15198,'5427','Villa aberastain',17),(15199,'5427','Villa barboza',17),(15200,'5427','Villa nacusi',17),(15201,'5429','El abanico',17),(15202,'5429','Pocito',17),(15203,'5429','Rinconada',17),(15204,'5431','Apeadero guanacache',17),(15205,'5431','BaÑos del cerro',17),(15206,'5431','Bodega san antonio',17),(15207,'5431','CaÑada honda',17),(15208,'5431','Carbometal',17),(15209,'5431','Cerro de los burros',17),(15210,'5431','Cerro del medio',17),(15211,'5431','Cerro hediondo',17),(15212,'5431','Cerro los pozos',17),(15213,'5431','Cerro riquiliponche',17),(15214,'5431','Cienaguita',17),(15215,'5431','Dique las crucecitas',17),(15216,'5431','Divisadero',17),(15217,'5431','El infierno',17),(15218,'5431','Estancia acequion',17),(15219,'5431','Estancia el durazno',17),(15220,'5431','Estancia la posta',17),(15221,'5431','Guanacache',17),(15222,'5431','Kilometro 10650',17),(15223,'5431','La chilca',17),(15224,'5431','Lomas del aguaditas',17),(15225,'5431','Los berros',17),(15226,'5431','Los nogales',17),(15227,'5431','Los sombreros',17),(15228,'5431','Pedernal',17),(15229,'5431','Potranca',17),(15230,'5431','Puesto angostura',17),(15231,'5431','Puesto de arriba',17),(15232,'5431','Puesto la chilca de abajo',17),(15233,'5431','Puesto olguin',17),(15234,'5431','Puesto retiro',17),(15235,'5431','Puesto santa rosa',17),(15236,'5431','Santa clara',17),(15237,'5431','Villa general sarmiento',17),(15238,'5433','Estacion la rinconada',17),(15239,'5435','Algarrobo grande',17),(15240,'5435','Azucarera de cuyo',17),(15241,'5435','Campo de batalla',17),(15242,'5435','Carpinteria',17),(15243,'5435','Cochagual',17),(15244,'5435','Colonia fiorito',17),(15245,'5435','Colonia fiscal sarmiento',17),(15246,'5435','Colonia san antonio',17),(15247,'5435','El chaÑar',19),(15248,'5435','La cieneguita',17),(15249,'5435','Laguna del rosario',17),(15250,'5435','Las lagunas',17),(15251,'5435','Los chaÑares',17),(15252,'5435','Lote alvarado',17),(15253,'5435','Media agua',17),(15254,'5435','Puesto isla chaÑar',19),(15255,'5435','Puesto los chaÑares',19),(15256,'5435','Puesto quemado',19),(15257,'5435','Punta de laguna',17),(15258,'5435','Punta del medano',17),(15259,'5435','Quiroga',17),(15260,'5435','Ramblon',17),(15261,'5435','Ramblon',19),(15262,'5435','Retamito',17),(15263,'5435','San carlos',17),(15264,'5435','Tres esquinas',17),(15265,'5436','Colonia zapata',17),(15266,'5436','Las chimbas',17),(15267,'5436','Pedro echague',17),(15268,'5438','Alto de sierra',17),(15269,'5438','Callecita',17),(15270,'5438','Coll',17),(15271,'5438','Colonia gutierrez',17),(15272,'5438','Colonia richet',17),(15273,'5438','Los viÑedos',17),(15274,'5438','Puente nacional',17),(15275,'5438','Puente rio san juan',17),(15276,'5438','Puente rufino',17),(15277,'5438','Usina',17),(15278,'5439','Belgrano',17),(15279,'5439','Calle larga',17),(15280,'5439','Callecita',17),(15281,'5439','Dos acequias',17),(15282,'5439','Kilometro 905',17),(15283,'5439','La germania',17),(15284,'5439','La puntilla',17),(15285,'5439','Los angacos',17),(15286,'5439','Los compartos',17),(15287,'5439','Puntilla blanca',17),(15288,'5439','Puntilla negra',17),(15289,'5439','San isidro',17),(15290,'5439','San martin',17),(15291,'5439','Villa alem',17),(15292,'5439','Villa dominguito',17),(15293,'5439','Villa lugano',17),(15294,'5442','Ambas puntillas',17),(15295,'5442','Calibar',17),(15296,'5442','Caucete',17),(15297,'5442','Cerro tigre',17),(15298,'5442','El pozo del 20',17),(15299,'5442','Finca de izasa',17),(15300,'5442','Guayaguas',17),(15301,'5442','Kilometro 810',17),(15302,'5442','Kilometro 895',17),(15303,'5442','La puntilla',17),(15304,'5442','Las liebres',17),(15305,'5442','Los mellizos',17),(15306,'5442','Lotes de alvarez',17),(15307,'5442','Lotes de coria',17),(15308,'5442','Lotes de uriburu',17),(15309,'5442','Lotes escuela 138',17),(15310,'5442','Lotes rivera',17),(15311,'5442','Pozo salado',17),(15312,'5442','Puerto alegre',17),(15313,'5442','Puerto tapones de maya',17),(15314,'5442','Rincon',17),(15315,'5442','Uriburu',17),(15316,'5442','Villa colon',17),(15317,'5443','Algarrobo verde',17),(15318,'5443','Amarfil',17),(15319,'5443','ChaÑar seco',17),(15320,'5443','Cruz de san pedro',17),(15321,'5443','Cuatro esquinas',17),(15322,'5443','Cuyo',17),(15323,'5443','Diaz velez',17),(15324,'5443','Difunta correa',17),(15325,'5443','Divisoria',17),(15326,'5443','El rincon',17),(15327,'5443','Jose marti',17),(15328,'5443','Kilometro 910',17),(15329,'5443','Kilometro 936',17),(15330,'5443','La chimbera',17),(15331,'5443','La rinconada',17),(15332,'5443','Las casuarinas',17),(15333,'5443','Las higueritas',17),(15334,'5443','Los corredores',17),(15335,'5443','Los medanos',17),(15336,'5443','Nueva espaÑa',17),(15337,'5443','Pozo de los algarrobos',17),(15338,'5443','Punta del medano',17),(15339,'5443','Puntilla',17),(15340,'5443','Puntilla blanca',17),(15341,'5443','San antonio',17),(15342,'5443','Santa maria del rosario',17),(15343,'5443','Tupeli',17),(15344,'5443','Vallecito',17),(15345,'5443','Villa borjas',17),(15346,'5443','Villa independencia',17),(15347,'5443','Villa santa rosa',17),(15348,'5444','Ampacama',17),(15349,'5444','Bermejo',17),(15350,'5444','Guayamas',17),(15351,'5444','Kilometro 893',17),(15352,'5444','Laguna seca',17),(15353,'5444','Nikisanga',17),(15354,'5444','Nueva castilla',17),(15355,'5444','Pie de palo',17),(15356,'5446','Balde de leyes',17),(15357,'5446','Balde del lucero',17),(15358,'5446','El chupino',17),(15359,'5446','Las chacras',17),(15360,'5446','Las salinas',17),(15361,'5446','Los papagayos',17),(15362,'5446','Marayes',17),(15363,'5446','San carlos',17),(15364,'5447','Agua cercada',17),(15365,'5447','Agua escondida',17),(15366,'5447','Astica',17),(15367,'5447','Balde plumerito',17),(15368,'5447','Balde san carlos',17),(15369,'5447','Baldes del tarabay',17),(15370,'5447','Barranca colorada',17),(15371,'5447','Barrealito',17),(15372,'5447','CaÑada de laguna',17),(15373,'5447','CaÑada del pozo',17),(15374,'5447','Casa de javier',17),(15375,'5447','Cerro asilan',17),(15376,'5447','Cerro la colorada',17),(15377,'5447','Cerro tres puntas',17),(15378,'5447','Chanchos',17),(15379,'5447','Chica negra',17),(15380,'5447','Chucuma',17),(15381,'5447','Cienaga',17),(15382,'5447','Condor muerto',17),(15383,'5447','Corral de pirca',17),(15384,'5447','Cuchillazo',17),(15385,'5447','Cuesta viejo',17),(15386,'5447','Culebra',17),(15387,'5447','Dos mojones',17),(15388,'5447','El barrialito',17),(15389,'5447','El gigantillo',17),(15390,'5447','El lechuzo',17),(15391,'5447','El plumerito',17),(15392,'5447','El rincon',17),(15393,'5447','El salto',17),(15394,'5447','Est de herrera vegas',17),(15395,'5447','Est marayes',17),(15396,'5447','Estancia bajo de las tumanas',17),(15397,'5447','Estancia el chaÑar nuevo',17),(15398,'5447','Estancia el jumeal',17),(15399,'5447','Estancia el molino',17),(15400,'5447','Estancia el polear',17),(15401,'5447','Estancia elizondo',17),(15402,'5447','Estancia la escalera',17),(15403,'5447','Estancia la florida',17),(15404,'5447','Estancia la lata',17),(15405,'5447','Estancia quiroga',17),(15406,'5447','Estancia rio verde',17),(15407,'5447','Estancia san roque',17),(15408,'5447','Filo del mocho',17),(15409,'5447','Finca del japones',17),(15410,'5447','Ichigualasto',17),(15411,'5447','Ischigualasto',17),(15412,'5447','Jarilla chica',17),(15413,'5447','Juntas del guandacol',17),(15414,'5447','La carpa',17),(15415,'5447','La cercada',17),(15416,'5447','La cienaguita',17),(15417,'5447','La cruz',17),(15418,'5447','La esquina',17),(15419,'5447','La huerta',17),(15420,'5447','La mesada',17),(15421,'5447','La orqueta',17),(15422,'5447','La penca',17),(15423,'5447','La ripiera',17),(15424,'5447','La rosita',17),(15425,'5447','La sal',17),(15426,'5447','Laprida',17),(15427,'5447','Las delicias',17),(15428,'5447','Las hermanas',17),(15429,'5447','Las juntas',17),(15430,'5447','Las ramaditas',17),(15431,'5447','Las tumanas',17),(15432,'5447','Las yeguas',17),(15433,'5447','Loma ancha',17),(15434,'5447','Loma de cocho',17),(15435,'5447','Loma leones',17),(15436,'5447','Los baldes',17),(15437,'5447','Los baldes de astica',17),(15438,'5447','Los lagares',17),(15439,'5447','Los porongos',17),(15440,'5447','Los sanchez',17),(15441,'5447','Mesada aguada',17),(15442,'5447','Mica',17),(15443,'5447','Milagro',17),(15444,'5447','Morterito',17),(15445,'5447','Naquera',17),(15446,'5447','Pampa de los caballos',17),(15447,'5447','Pampa grande',17),(15448,'5447','Paso de ferreira',17),(15449,'5447','Paso de lamas',17),(15450,'5447','Piedra blanca',17),(15451,'5447','Piedra colorada',17),(15452,'5447','Piedra rajada',17),(15453,'5447','Pila de macho',17),(15454,'5447','Port las chilcas',17),(15455,'5447','Port las francas',17),(15456,'5447','Pozo de aguadita',17),(15457,'5447','Pto chanquia',17),(15458,'5447','Pto chavez',17),(15459,'5447','Pto gordillo',17),(15460,'5447','Pto huasi',17),(15461,'5447','Pto lima',17),(15462,'5447','Pto romero',17),(15463,'5447','Pto san isidro',17),(15464,'5447','Pto vega',17),(15465,'5447','Puerta de la chilca',17),(15466,'5447','Punta blanca',17),(15467,'5447','Punta norte',17),(15468,'5447','Refugio',17),(15469,'5447','Richard',17),(15470,'5447','Rincon chico',17),(15471,'5447','Rincon grande',17),(15472,'5447','Sanjuanino',17),(15473,'5447','Santo domingo',17),(15474,'5447','Sarmiento',17),(15475,'5447','Sierra de elizondo',17),(15476,'5447','Tamberias',17),(15477,'5447','Tumanas',17),(15478,'5447','Yerba buena',17),(15479,'5449','Aguango',17),(15480,'5449','Balde del norte',17),(15481,'5449','Balde del rosario',17),(15482,'5449','Baldecito',17),(15483,'5449','Baldecito del morado',17),(15484,'5449','Baldes de la chilca',17),(15485,'5449','Baldes del sud',17),(15486,'5449','Cabeza del toro',17),(15487,'5449','ChaÑar',17),(15488,'5449','El puerto',17),(15489,'5449','La cieneguita',17),(15490,'5449','La colonia',17),(15491,'5449','La majadita',17),(15492,'5449','La ramada',17),(15493,'5449','Las higueritas',17),(15494,'5449','Loma negra',17),(15495,'5449','Lomas blancas',17),(15496,'5449','Los baldecitos',17),(15497,'5449','Los barriales',17),(15498,'5449','Los chaves',17),(15499,'5449','Los molles',17),(15500,'5449','Los rincones',17),(15501,'5449','Majadita',17),(15502,'5449','Medano colorado',17),(15503,'5449','Papagayos',17),(15504,'5449','Rincones',17),(15505,'5449','San agustin del valle fertil',17),(15506,'5449','San antonio',17),(15507,'5449','San juan bautista usno',17),(15508,'5449','Sierra de chaves',17),(15509,'5449','Sierra de rivero',17),(15510,'5449','Usno',17),(15511,'5449','Villa carlota',17),(15512,'5449','Yoca',17),(15513,'5460','Agua de la zorra',17),(15514,'5460','Agua de los caballos',17),(15515,'5460','Algarrobo del cura',17),(15516,'5460','Aschichusca',17),(15517,'5460','Barranca de los loros',17),(15518,'5460','Barrancas blancas',17),(15519,'5460','Bella vista',17),(15520,'5460','Campo las liebres',17),(15521,'5460','Campo los pozos',17),(15522,'5460','Casa vieja',17),(15523,'5460','Cerro aspero',17),(15524,'5460','Cerro caballo anca',17),(15525,'5460','Cerro colorado',17),(15526,'5460','Cerro de los caballos',17),(15527,'5460','Cerro el durazno',17),(15528,'5460','Cerro iman',17),(15529,'5460','Cerro la caÑada amarilla',17),(15530,'5460','Cerro lajitas',17),(15531,'5460','Cerro negro',17),(15532,'5460','Cerro negro del corral',17),(15533,'5460','Cerro potrero',17),(15534,'5460','ChaÑar pintado',17),(15535,'5460','Chepical',17),(15536,'5460','Colanqui',17),(15537,'5460','Cruz de piedra',17),(15538,'5460','Dique cauquenes',17),(15539,'5460','El chacrero',17),(15540,'5460','El chamizudo',17),(15541,'5460','El corralito',17),(15542,'5460','El jaboncito',17),(15543,'5460','El medano',17),(15544,'5460','El quemado',17),(15545,'5460','El salitre',17),(15546,'5460','El tapon',17),(15547,'5460','El treinta',17),(15548,'5460','Est niquivil',17),(15549,'5460','Finca el molino',17),(15550,'5460','Guachipampa',17),(15551,'5460','Hosteria el balde',17),(15552,'5460','Indio muerto',17),(15553,'5460','Jachal',17),(15554,'5460','La chilca',17),(15555,'5460','La cienaga de cumillango',17),(15556,'5460','La esquina',17),(15557,'5460','La estaca',17),(15558,'5460','La legua',17),(15559,'5460','La overa',17),(15560,'5460','La toma',17),(15561,'5460','La valentina',17),(15562,'5460','Las cienagas verdes',17),(15563,'5460','Las espinas',17),(15564,'5460','Las puestas',17),(15565,'5460','Loma negra',17),(15566,'5460','Los hornos',17),(15567,'5460','Los puestos',17),(15568,'5460','Los ranchos',17),(15569,'5460','Los terremotos',17),(15570,'5460','Mina de guachi',17),(15571,'5460','Mina el algarrobo',17),(15572,'5460','Mina el pescado',17),(15573,'5460','Mina escondida',17),(15574,'5460','Mina general belgrano',17),(15575,'5460','Mina la abundancia',17),(15576,'5460','Mina la delfina',17),(15577,'5460','Mina la esperanza',17),(15578,'5460','Mina la salamanta',17),(15579,'5460','Mina los caballos',17),(15580,'5460','Mina montosa',17),(15581,'5460','Mina san antonio',17),(15582,'5460','Otra banda',17),(15583,'5460','Pasleam',17),(15584,'5460','Paso de otarola',17),(15585,'5460','Piedra parada',17),(15586,'5460','Po de usno',17),(15587,'5460','Porton grande',17),(15588,'5460','Pto ag del burro',17),(15589,'5460','Pto aguadita',17),(15590,'5460','Pto aguadita de abajo',17),(15591,'5460','Pto anjulio',17),(15592,'5460','Pto cumillango',17),(15593,'5460','Pto durazno',17),(15594,'5460','Pto el arbol ligudo',17),(15595,'5460','Pto el sarco',17),(15596,'5460','Pto el toro',17),(15597,'5460','Pto figueroa',17),(15598,'5460','Pto la chilca',17),(15599,'5460','Pto la cortadera',17),(15600,'5460','Pto la espina',17),(15601,'5460','Pto la represa',17),(15602,'5460','Pto la tuna',17),(15603,'5460','Pto la virgencita',17),(15604,'5460','Pto los alamos',17),(15605,'5460','Pto los pozos',17),(15606,'5460','Pto majadita',17),(15607,'5460','Pto pajarito',17),(15608,'5460','Pto pantanito',17),(15609,'5460','Pto perico',17),(15610,'5460','Pto pescado',17),(15611,'5460','Pto pimpa',17),(15612,'5460','Pto portezuelo hondo',17),(15613,'5460','Pto potrerillo',17),(15614,'5460','Pto punilla',17),(15615,'5460','Pto recreo',17),(15616,'5460','Pto sabato',17),(15617,'5460','Pto segovia',17),(15618,'5460','Pto trapiche',17),(15619,'5460','Pto vallecito',17),(15620,'5460','Pto varejon',17),(15621,'5460','Rincon',17),(15622,'5460','Rincon colorado',17),(15623,'5460','Rincon del gato',17),(15624,'5460','Rio palo',17),(15625,'5460','Sierra billicum',17),(15626,'5460','Tap gallardo',17),(15627,'5460','Termas agua hedionda',17),(15628,'5460','Termas de agua negra',17),(15629,'5460','Trancas',17),(15630,'5460','Travesia de mogna',17),(15631,'5460','Tuminico',17),(15632,'5460','Villa',17),(15633,'5460','Volcan',17),(15634,'5461','Aguada de la peÑa',17),(15635,'5461','Aguaditas',17),(15636,'5461','Aguaditas del rio jachal',17),(15637,'5461','Aguas del pajaro',17),(15638,'5461','Alcaucha',17),(15639,'5461','Boca de la quebrada',17),(15640,'5461','El buen retiro',17),(15641,'5461','El fical',17),(15642,'5461','Entre rios',17),(15643,'5461','Gran china',17),(15644,'5461','Guaja',17),(15645,'5461','Huerta de guachi',17),(15646,'5461','La falda',17),(15647,'5461','Los quimbaletes',17),(15648,'5461','Ojos de agua',17),(15649,'5461','Pampa del chaÑar',17),(15650,'5461','Pampa vieja',17),(15651,'5461','Panacan',17),(15652,'5461','Pimpa',17),(15653,'5461','San isidro',17),(15654,'5461','Tamberias',17),(15655,'5461','Villa mercedes',17),(15656,'5463','Alto huaco',17),(15657,'5463','Huaco',17),(15658,'5463','La cienaga',17),(15659,'5463','Paso del lamar',17),(15660,'5463','Punta de agua',17),(15661,'5465','BaÑos pismanta',17),(15662,'5465','Cerro negro',17),(15663,'5465','Colola',17),(15664,'5465','GuaÑizul',17),(15665,'5465','La caÑada',17),(15666,'5465','La maral',17),(15667,'5465','La moral',17),(15668,'5465','Rodeo',17),(15669,'5465','Totoralito',17),(15670,'5467','Acerillos',17),(15671,'5467','Agua de la zanja',17),(15672,'5467','Angualasto',17),(15673,'5467','Arrequintin',17),(15674,'5467','BaÑos centenario',17),(15675,'5467','BaÑos de los despoblados',17),(15676,'5467','BaÑos de san crispin',17),(15677,'5467','Bella vista',17),(15678,'5467','Buena esperanza',17),(15679,'5467','Cacho ancho',17),(15680,'5467','Cajon de los tambillos',17),(15681,'5467','Campanario nuevo',17),(15682,'5467','CaÑada',17),(15683,'5467','Carrizalito',17),(15684,'5467','Cerro  d  l  baÑitos',17),(15685,'5467','Cerro alto del descubrimiento',17),(15686,'5467','Cerro amarillo',17),(15687,'5467','Cerro boleadora',17),(15688,'5467','Cerro bravo',17),(15689,'5467','Cerro caballo bayo',17),(15690,'5467','Cerro colorado',17),(15691,'5467','Cerro cortadera',17),(15692,'5467','Cerro de conconta',17),(15693,'5467','Cerro de dolores',17),(15694,'5467','Cerro de la cuesta del viento',17),(15695,'5467','Cerro de la sepultura',17),(15696,'5467','Cerro de los burros',17),(15697,'5467','Cerro del agua de las vacas',17),(15698,'5467','Cerro del alumbre',17),(15699,'5467','Cerro del cachiyuyal',17),(15700,'5467','Cerro del coquimbito',17),(15701,'5467','Cerro del guanaco',17),(15702,'5467','Cerro del salado',17),(15703,'5467','Cerro el bronce',17),(15704,'5467','Cerro el cepo',17),(15705,'5467','Cerro el frances',17),(15706,'5467','Cerro espantajo',17),(15707,'5467','Cerro hediondo',17),(15708,'5467','Cerro iman',17),(15709,'5467','Cerro joaquin',17),(15710,'5467','Cerro la bolsa',17),(15711,'5467','Cerro la ortiga',17),(15712,'5467','Cerro lagunita',17),(15713,'5467','Cerro las mulitas',17),(15714,'5467','Cerro las raices',17),(15715,'5467','Cerro las yeguas',17),(15716,'5467','Cerro lavaderos',17),(15717,'5467','Cerro los mogotes',17),(15718,'5467','Cerro los pozos',17),(15719,'5467','Cerro negro de chita',17),(15720,'5467','Cerro nico',17),(15721,'5467','Cerro ocucaros',17),(15722,'5467','Cerro pata de indio',17),(15723,'5467','Cerro pintado',17),(15724,'5467','Cerro potrerito de agua blanco',17),(15725,'5467','Cerro senda azul',17),(15726,'5467','Cerro silvio',17),(15727,'5467','Cerro silvo',17),(15728,'5467','Champones',17),(15729,'5467','Chaparro',17),(15730,'5467','Chigua de abajo',17),(15731,'5467','Chisnasco',17),(15732,'5467','Cienaguillos',17),(15733,'5467','Colanguil',17),(15734,'5467','Concota',17),(15735,'5467','Divisadero de la mujer helada',17),(15736,'5467','El carrizal',17),(15737,'5467','El chinguillo',17),(15738,'5467','El retiro',17),(15739,'5467','El salado',17),(15740,'5467','Fierro',17),(15741,'5467','Fierro nuevo',17),(15742,'5467','Fierro viejo',17),(15743,'5467','Finca el toro',17),(15744,'5467','Hachango',17),(15745,'5467','HuaÑizuil',17),(15746,'5467','Hueso quebrado',17),(15747,'5467','Iglesia',17),(15748,'5467','Jaguelito',17),(15749,'5467','Jarillito',17),(15750,'5467','Junta de santa rosa',17),(15751,'5467','Juntas de la jarilla',17),(15752,'5467','Juntas de la sal',17),(15753,'5467','Juntas del frio',17),(15754,'5467','La angostura',17),(15755,'5467','La chigua',17),(15756,'5467','La estrechura',17),(15757,'5467','Las casitas',17),(15758,'5467','Las cuevas',17),(15759,'5467','Las flores',17),(15760,'5467','Las higueras',17),(15761,'5467','Las peÑitas',17),(15762,'5467','Lomas blancas',17),(15763,'5467','Los cogotes',17),(15764,'5467','Los loros',17),(15765,'5467','Los penitentes',17),(15766,'5467','Los sapitos',17),(15767,'5467','Maclacasto',17),(15768,'5467','Maipirinqui',17),(15769,'5467','Maliman',17),(15770,'5467','Maliman arriba',17),(15771,'5467','Maliman de abajo',17),(15772,'5467','Manantiales',17),(15773,'5467','Mina de las carachas',17),(15774,'5467','Mondaca',17),(15775,'5467','Ojos de agua',17),(15776,'5467','Paso del agua negra',17),(15777,'5467','PeÑasco colorado',17),(15778,'5467','PeÑasquito',17),(15779,'5467','Piedras blancas',17),(15780,'5467','Pircas blancas',17),(15781,'5467','Pircas negras',17),(15782,'5467','Pismania',17),(15783,'5467','Po cajon de la brea',17),(15784,'5467','Po del chollay',17),(15785,'5467','Po del inca',17),(15786,'5467','Po las tortolas',17),(15787,'5467','Port de la punilla',17),(15788,'5467','Port las caracachas',17),(15789,'5467','Port san guillermo',17),(15790,'5467','Port santa rosa',17),(15791,'5467','Potreros los amadores',17),(15792,'5467','Pto gen',17),(15793,'5467','Puerta del infiernillo',17),(15794,'5467','Quilinquil',17),(15795,'5467','Refugio',17),(15796,'5467','Rincon de la brea',17),(15797,'5467','Rincon de la ollita',17),(15798,'5467','Rincon de los chinchilleros',17),(15799,'5467','Ruinas indigenas',17),(15800,'5467','Tamberias',17),(15801,'5467','Terma pismanta',17),(15802,'5467','Termas centenario',17),(15803,'5467','Tocota',17),(15804,'5467','Tres quebraditas',17),(15805,'5467','Tudcum',17),(15806,'5467','Tutianca',17),(15807,'5467','Valle del cura',17),(15808,'5467','Venillo',17),(15809,'5470','Abra verde',13),(15810,'5470','Agua de piedra',13),(15811,'5470','Alto bayo',13),(15812,'5470','Bayo muerto',13),(15813,'5470','CaÑada honda',13),(15814,'5470','Chepes',13),(15815,'5470','Chepes viejos',13),(15816,'5470','El alto',13),(15817,'5470','El barreal',13),(15818,'5470','El cincuenta',13),(15819,'5470','El divisadero',13),(15820,'5470','La aguada',13),(15821,'5470','La carrizana',13),(15822,'5470','La consulta',13),(15823,'5470','La pintada',13),(15824,'5470','La primavera',13),(15825,'5470','Las tuscas',13),(15826,'5470','Los olmos',13),(15827,'5470','Los oros',13),(15828,'5470','Punta del cerro',13),(15829,'5470','Represa del monte',13),(15830,'5470','San antonio',13),(15831,'5470','San vicente',13),(15832,'5470','Santa cruz',13),(15833,'5471','Agua blanca',13),(15834,'5471','CaÑada verde',13),(15835,'5471','Casas viejas',13),(15836,'5471','Corral de isaac',13),(15837,'5471','El balde',13),(15838,'5471','El barrial',13),(15839,'5471','El rodeo',13),(15840,'5471','El tala',13),(15841,'5471','Ilisco',13),(15842,'5471','Illisca',13),(15843,'5471','La calera',13),(15844,'5471','La callana',13),(15845,'5471','La escondida',13),(15846,'5471','La esquina',13),(15847,'5471','La jarilla',13),(15848,'5471','La laguna',13),(15849,'5471','La reforma',13),(15850,'5471','La represa',13),(15851,'5471','La tordilla',13),(15852,'5471','La yesera',13),(15853,'5471','Las barrancas',13),(15854,'5471','Las salinas',13),(15855,'5471','Las toscas',13),(15856,'5471','Los corias',13),(15857,'5471','Mascasin',13),(15858,'5471','Ñoqueves',13),(15859,'5471','Portezuelo de los arce',13),(15860,'5471','Puesto de carrizo',13),(15861,'5471','Puesto de los sanchez',13),(15862,'5471','Puesto dichoso',13),(15863,'5471','Quebrada del vallecito',13),(15864,'5471','Real del cadillo',13),(15865,'5471','San antonio',13),(15866,'5471','San isidro',13),(15867,'5471','San jose',13),(15868,'5471','San rafael',13),(15869,'5471','Santa cruz',13),(15870,'5471','Totoral',13),(15871,'5471','Valle hermoso',13),(15872,'5471','Villa casana',13),(15873,'5471','Villa chepes',13),(15874,'5473','Aguayo',13),(15875,'5473','Algarrobo grande',13),(15876,'5473','Bajo corral de isaac',13),(15877,'5473','Bajo hondo',13),(15878,'5473','Balde del quebracho',13),(15879,'5473','Cuatro esquinas',13),(15880,'5473','El abra',13),(15881,'5473','El valdecito',13),(15882,'5473','La america',13),(15883,'5473','La chilca',13),(15884,'5473','La envidia',13),(15885,'5473','La esquina',13),(15886,'5473','La libertad',13),(15887,'5473','Nueva esperanza',13),(15888,'5473','Pozo de la piedra',13),(15889,'5473','Pozo de piedra',13),(15890,'5473','San antonio',13),(15891,'5473','San nicolas',13),(15892,'5473','San solano',13),(15893,'5473','Santo domingo',13),(15894,'5473','Siempre verde',13),(15895,'5473','Ulapes',13),(15896,'5473','Villa nidia',13),(15897,'5474','Barranquitas',13),(15898,'5474','Cortaderas embarcadero fcgb',13),(15899,'5474','Desiderio tello',13),(15900,'5474','El catorce',13),(15901,'5474','La igualdad',13),(15902,'5475','Agua de la piedra',13),(15903,'5475','Ambil',13),(15904,'5475','Chelcos',13),(15905,'5475','El carrizal',13),(15906,'5475','El cerco',13),(15907,'5475','El potrerillo',13),(15908,'5475','El potrerillo (general roca)',13),(15909,'5475','El quemado',13),(15910,'5475','La dora',13),(15911,'5475','Piedra larga',13),(15912,'5475','San jose',13),(15913,'5500','Cerro aconcagua',19),(15914,'5500','Cerro de los potrerillos',19),(15915,'5500','Mendoza',19),(15916,'5500','Paramillo de las vacas',19),(15917,'5500','Plaza de mulas',19),(15918,'5501','Cerrillos al sud',19),(15919,'5501','Godoy cruz',19),(15920,'5503','Paso de los andes',19),(15921,'5503','San francisco del monte',19),(15922,'5505','Carbometal',19),(15923,'5505','Carrodilla  la puntilla',19),(15924,'5505','Chacras de coria',19),(15925,'5505','Los filtros',19),(15926,'5507','BaÑos lunlunta',19),(15927,'5507','Calle terrada',19),(15928,'5507','Colonia cano',19),(15929,'5507','Dique rio mendoza',19),(15930,'5507','Distrito compuerta',19),(15931,'5507','Lotes de gaviola',19),(15932,'5507','Lujan de cuyo',19),(15933,'5507','Mayor drummond',19),(15934,'5507','Puesto la jarilla',19),(15935,'5507','Villa gaviola',19),(15936,'5509','Agrelo',19),(15937,'5509','Anchoris',19),(15938,'5509','Carrizal  de  arriba',19),(15939,'5509','Carrizal de abajo',19),(15940,'5509','Cerrillos',19),(15941,'5509','Cerrillos al norte',19),(15942,'5509','Colonia barraquero',19),(15943,'5509','Colonia funes',19),(15944,'5509','El carrizal',19),(15945,'5509','El carrizal de abajo',19),(15946,'5509','El infiernillo',19),(15947,'5509','Jaguel de las chilcas',19),(15948,'5509','Las colonias',19),(15949,'5509','Minas de petroleo',19),(15950,'5509','Perdriel',19),(15951,'5509','Ugarteche',19),(15952,'5509','Vistalba',19),(15953,'5511','General gutierrez',19),(15954,'5513','Barrio jardin luzuriaga',19),(15955,'5513','Barrio san eduardo',19),(15956,'5513','Coquimbito',19),(15957,'5513','Luzuriaga',19),(15958,'5513','Sarmiento',19),(15959,'5515','Maipu',19),(15960,'5517','Barrancas',19),(15961,'5517','Cespedes',19),(15962,'5517','Chachingo',19),(15963,'5517','Cruz de piedra',19),(15964,'5517','General ortega',19),(15965,'5517','La jaula',19),(15966,'5517','Lunlunta',19),(15967,'5517','Marquez escuela117',19),(15968,'5517','Maza',19),(15969,'5517','Russell',19),(15970,'5517','Tres banderas',19),(15971,'5517','Villa seca',19),(15972,'5519','Alto de las araÑas',19),(15973,'5519','CaÑadita alegre',19),(15974,'5519','Coronel dorrego',19),(15975,'5519','Nueva ciudad',19),(15976,'5519','San jose de guaymallen',19),(15977,'5519','Villas unidas 25 de mayo',19),(15978,'5521','Los corredores',19),(15979,'5521','Villa nueva de guaymallen',19),(15980,'5523','Buena nueva',19),(15981,'5523','Capilla del rosario',19),(15982,'5523','Jesus nazareno',19),(15983,'5523','Villa suava',19),(15984,'5525','Buena vista',19),(15985,'5525','Canal pescara',19),(15986,'5525','Colonia segovia',19),(15987,'5525','Paradero la superiora',19),(15988,'5525','Primavera',19),(15989,'5525','Rodeo de la cruz',19),(15990,'5525','Villa primavera',19),(15991,'5527','Colonia santa teresa',19),(15992,'5527','La primavera',19),(15993,'5527','Lagunita',19),(15994,'5527','Los corralitos',19),(15995,'5527','Vergel',19),(15996,'5527','Villa los corralitos',19),(15997,'5529','Colonia bombal',19),(15998,'5529','Colonia jara',19),(15999,'5529','Pedregal',19),(16000,'5529','Rodeo del medio',19),(16001,'5531','Barrio ferri',19),(16002,'5531','Cartellone',19),(16003,'5531','El altillo',19),(16004,'5531','El paraiso',19),(16005,'5531','Finca el arroz',19),(16006,'5531','Finca los alamos',19),(16007,'5531','Fray luis beltran',19),(16008,'5531','Los alamos',19),(16009,'5531','Santa blanca',19),(16010,'5533','9 de julio',19),(16011,'5533','Algarrobo',19),(16012,'5533','Alto del olvido',19),(16013,'5533','Bermejo',19),(16014,'5533','Capilla del covadito',19),(16015,'5533','Capilla san jose',19),(16016,'5533','Colonia estrella',19),(16017,'5533','Colonia italiana',19),(16018,'5533','Colonia san francisco',19),(16019,'5533','El 15',19),(16020,'5533','El balsadero',19),(16021,'5533','El calvadito',19),(16022,'5533','El chilcal',19),(16023,'5533','El chircal',19),(16024,'5533','El pascal',19),(16025,'5533','El retiro',19),(16026,'5533','El sauce',19),(16027,'5533','El tapon',19),(16028,'5533','El vergel',19),(16029,'5533','General acha',19),(16030,'5533','Gobernador luis molina',19),(16031,'5533','Guadal de los perez',19),(16032,'5533','Jocoli viejo',19),(16033,'5533','La esperanza',19),(16034,'5533','La fortuna',19),(16035,'5533','La holanda',19),(16036,'5533','La palmera',19),(16037,'5533','La pega',19),(16038,'5533','Las delicias',19),(16039,'5533','Las gateadas',19),(16040,'5533','Las violetas',19),(16041,'5533','Lavalle villa tulumaya',19),(16042,'5533','Limon',19),(16043,'5533','Los yaullines',19),(16044,'5533','Paramillo',19),(16045,'5533','Paso del cisne',19),(16046,'5533','Puerto hortensa',19),(16047,'5533','Puesto algarrobo grande',19),(16048,'5533','Puesto el pichon',19),(16049,'5533','Ramblon de los chilenos',19),(16050,'5533','Santa marta',19),(16051,'5533','Tulumaya',19),(16052,'5535','Asuncion',19),(16053,'5535','Bajada araujo',19),(16054,'5535','Colonia andre',19),(16055,'5535','Colonia del carmen',19),(16056,'5535','Costa de araujo',19),(16057,'5535','El alpero',19),(16058,'5535','El colon',19),(16059,'5535','El rosario',19),(16060,'5535','Ingeniero gustavo andre',19),(16061,'5535','Kilometro 1013',19),(16062,'5535','Kilometro 1032',19),(16063,'5535','Kilometro 43',19),(16064,'5535','La bajada',19),(16065,'5535','La celia',19),(16066,'5535','Laguna de guanacache',19),(16067,'5535','Laguna del rosario',19),(16068,'5535','Nueva california',19),(16069,'5535','Pampa del salado',19),(16070,'5535','Progreso',19),(16071,'5535','Resurreccion',19),(16072,'5535','San jose',19),(16073,'5537','Algarrobito',19),(16074,'5537','Alto amarillo',19),(16075,'5537','Alto tres compadres',19),(16076,'5537','Arroyito',19),(16077,'5537','Cruz blanca',19),(16078,'5537','Don martin',19),(16079,'5537','El cavadito',19),(16080,'5537','El guanaco',19),(16081,'5537','El retamo',19),(16082,'5537','Forzudo',19),(16083,'5537','La excavacion',19),(16084,'5537','Las cruces',19),(16085,'5537','Los algodones',19),(16086,'5537','Los baldes',19),(16087,'5537','Los blancos',19),(16088,'5537','Los ralos',19),(16089,'5537','Los sauces',19),(16090,'5537','Puesto la hortensia',19),(16091,'5537','San miguel',19),(16092,'5537','San pedro',19),(16093,'5539','Arenales',19),(16094,'5539','Barreal de la pampa seca',19),(16095,'5539','Barreal pajaro muerto',19),(16096,'5539','Buitrera',19),(16097,'5539','Ca del diablo',19),(16098,'5539','Casilla',19),(16099,'5539','Cerrillos negros',19),(16100,'5539','Cerro agua salada',19),(16101,'5539','Cerro aguadita',19),(16102,'5539','Cerro alojamiento',19),(16103,'5539','Cerro angostura',19),(16104,'5539','Cerro aspero',19),(16105,'5539','Cerro barauca',19),(16106,'5539','Cerro bay',19),(16107,'5539','Cerro blanco',19),(16108,'5539','Cerro bravo',19),(16109,'5539','Cerro catedral',19),(16110,'5539','Cerro chiquero',19),(16111,'5539','Cerro cielo',19),(16112,'5539','Cerro cienaga',19),(16113,'5539','Cerro clementino',19),(16114,'5539','Cerro color',19),(16115,'5539','Cerro cortaderas',19),(16116,'5539','Cerro cuerno',19),(16117,'5539','Cerro cupula',19),(16118,'5539','Cerro de las leÑas',19),(16119,'5539','Cerro de los burros',19),(16120,'5539','Cerro de los dedos',19),(16121,'5539','Cerro del medio',19),(16122,'5539','Cerro del rincon bayo',19),(16123,'5539','Cerro durazno',19),(16124,'5539','Cerro el guanaco',19),(16125,'5539','Cerro fundicion',19),(16126,'5539','Cerro grande',19),(16127,'5539','Cerro horqueta',19),(16128,'5539','Cerro invernada',19),(16129,'5539','Cerro juan pobre',19),(16130,'5539','Cerro l corrales',19),(16131,'5539','Cerro la mano',19),(16132,'5539','Cerro lagaÑoso',19),(16133,'5539','Cerro los dientitos',19),(16134,'5539','Cerro manantial',19),(16135,'5539','Cerro masillas',19),(16136,'5539','Cerro melocoton',19),(16137,'5539','Cerro mexico',19),(16138,'5539','Cerro montura',19),(16139,'5539','Cerro pampa seca',19),(16140,'5539','Cerro pan de azucar',19),(16141,'5539','Cerro panta',19),(16142,'5539','Cerro ponderado',19),(16143,'5539','Cerro pozo',19),(16144,'5539','Cerro punta de agua',19),(16145,'5539','Cerro puntilla negra',19),(16146,'5539','Cerro puntudo',19),(16147,'5539','Cerro puquios',19),(16148,'5539','Cerro riquitipanche',19),(16149,'5539','Cerro san lorenzo',19),(16150,'5539','Cerro santa maria',19),(16151,'5539','Cerro sapo',19),(16152,'5539','Cerro tigre',19),(16153,'5539','Cerro tolosa',19),(16154,'5539','Cerro tunduquera',19),(16155,'5539','Cerro yareta',19),(16156,'5539','Cerros colorados',19),(16157,'5539','Cto del tigre',19),(16158,'5539','El challao',19),(16159,'5539','El infierno',19),(16160,'5539','El puestito',19),(16161,'5539','Empalme resguardo',19),(16162,'5539','Espejo',19),(16163,'5539','Espejo resguardado',19),(16164,'5539','Estancia casa de piedra',19),(16165,'5539','Estancia cueva del toro',19),(16166,'5539','Estancia el carrizal',19),(16167,'5539','Estancia jocoli',19),(16168,'5539','Estancia san martin',19),(16169,'5539','Estancia villavicencio',19),(16170,'5539','Estancia yalguaraz',19),(16171,'5539','Garganta del leon',19),(16172,'5539','La angostura',19),(16173,'5539','La boveda',19),(16174,'5539','La casa del tigre',19),(16175,'5539','La fundicion',19),(16176,'5539','La horqueta',19),(16177,'5539','La jaula',19),(16178,'5539','Las canteras',19),(16179,'5539','Las heras',19),(16180,'5539','Loma colorada',19),(16181,'5539','Loma de los burros',19),(16182,'5539','Loma sola',19),(16183,'5539','Lomas bayas',19),(16184,'5539','Los chacayes',19),(16185,'5539','Los tamarindos',19),(16186,'5539','Monte bayo',19),(16187,'5539','Monumento al ejercito de los a',19),(16188,'5539','P san ignacio',19),(16189,'5539','Pampa yalguaraz',19),(16190,'5539','Panqueua',19),(16191,'5539','Po de contrabandista',19),(16192,'5539','Po de la cumbre',19),(16193,'5539','Po de la quebrada honda',19),(16194,'5539','Po del rubio',19),(16195,'5539','Po valle hermoso',19),(16196,'5539','Portillo de indio',19),(16197,'5539','Portillo de la lagrima viva',19),(16198,'5539','Portillo de las vacas',19),(16199,'5539','Portillo de lomas coloradas',19),(16200,'5539','Portillo del medio',19),(16201,'5539','Portillo del norte',19),(16202,'5539','Portillo del tigre',19),(16203,'5539','Portillo la pampa',19),(16204,'5539','Portillo quemado',19),(16205,'5539','Puesto agua de zanjon',19),(16206,'5539','Puesto carrizalito',19),(16207,'5539','Puesto chambon',19),(16208,'5539','Puesto el peral',19),(16209,'5539','Puesto el totoral',19),(16210,'5539','Puesto escondido',19),(16211,'5539','Puesto guamparito',19),(16212,'5539','Puesto la gruta',19),(16213,'5539','Puesto la mojada',19),(16214,'5539','Puesto las higueras',19),(16215,'5539','Puesto los alojamientos',19),(16216,'5539','Puesto los pajaritos',19),(16217,'5539','Puesto riquitipanche',19),(16218,'5539','Puesto santa clara de arriba',19),(16219,'5539','Rodeo grande',19),(16220,'5539','San ignacio',19),(16221,'5539','Sanchez de bustamante',19),(16222,'5539','Santa elena',19),(16223,'5539','Sierra ansilta',19),(16224,'5539','Sierra del tontal',19),(16225,'5539','Tropero sosa',19),(16226,'5539','Tte benjamin matienzo',19),(16227,'5539','Vega de los burros',19),(16228,'5539','Vegas de los corrales de araya',19),(16229,'5539','Villavicencio',19),(16230,'5539','Vra de las vacas',19),(16231,'5541','Algarrobal abajo',19),(16232,'5541','Algarrobal arriba',19),(16233,'5541','El algarrobal',19),(16234,'5541','El borbollon',19),(16235,'5541','El pastal',19),(16236,'5541','El plumerillo',19),(16237,'5541','Paso hondo',19),(16238,'5543','3 de mayo',19),(16239,'5543','Alto grande',19),(16240,'5543','Capdeville',19),(16241,'5543','Colonia 3 de mayo',19),(16242,'5543','Colonia alemana',19),(16243,'5543','El caÑito',19),(16244,'5543','El resguardo',19),(16245,'5543','Hornito del gringo',19),(16246,'5543','Hornos de moyano',19),(16247,'5543','Jocoli',19),(16248,'5543','Matheu norte',19),(16249,'5543','Moyano',19),(16250,'5544','Gobernador benegas',19),(16251,'5545','Agua de diaz',19),(16252,'5545','Cerro bonete',19),(16253,'5545','Colon sandalho',19),(16254,'5545','Estancia uspallata',19),(16255,'5545','La cortadera',19),(16256,'5545','Las cortaderas',19),(16257,'5545','Minas salagasta',19),(16258,'5545','Portillo agua de toro',19),(16259,'5545','San alberto',19),(16260,'5545','Sierra de las higueras',19),(16261,'5545','Termas villavicencio',19),(16262,'5545','Uspallata',19),(16263,'5545','Valle de uspallata',19),(16264,'5547','Villa hipodromo',19),(16265,'5549','Agua de los manantiales',19),(16266,'5549','Alto de los manantiales',19),(16267,'5549','Alto del plomo',19),(16268,'5549','Alvarez condarco',19),(16269,'5549','Blanco encalada',19),(16270,'5549','Cacheuta',19),(16271,'5549','Campamento cacheuta ypf',19),(16272,'5549','Carlos subercaseux',19),(16273,'5549','Casa de piedra',19),(16274,'5549','Cerro pelado',19),(16275,'5549','Concha subercaseaux',19),(16276,'5549','El altillo',19),(16277,'5549','El salto',19),(16278,'5549','Glaciares del rio blanco',19),(16279,'5549','Guido',19),(16280,'5549','Kilometro 1085',19),(16281,'5549','Kilometro 55',19),(16282,'5549','La divisoria',19),(16283,'5549','La hullera',19),(16284,'5549','Las carditas',19),(16285,'5549','Las chacritas',19),(16286,'5549','Las compuertas',19),(16287,'5549','Los papagayos',19),(16288,'5549','Petroleo',19),(16289,'5549','Potrerillos',19),(16290,'5549','San ignacio',19),(16291,'5549','Vega ferraina',19),(16292,'5551','Estacion uspallata',19),(16293,'5551','Polvareda',19),(16294,'5553','Empalme frontera',19),(16295,'5553','La pirata',19),(16296,'5553','Los penitentes',19),(16297,'5553','Punta de vacas',19),(16298,'5553','Rio blanco',19),(16299,'5553','Zanjon amarillo',19),(16300,'5555','Puente del inca',19),(16301,'5557','Caracoles',19),(16302,'5557','Cristo redentor',19),(16303,'5557','Las cuevas',19),(16304,'5557','Moluches',19),(16305,'5560','Arroyo claro',19),(16306,'5560','Capiz',19),(16307,'5560','Casa de las peÑas',19),(16308,'5560','Colonia de las mulas',19),(16309,'5560','Colonia del diablo',19),(16310,'5560','Colonia faro',19),(16311,'5560','Colonia la escondida',19),(16312,'5560','Colonia la torrecilla',19),(16313,'5560','Colonia los oscuros',19),(16314,'5560','Colonia los tapones',19),(16315,'5560','Colonia tabanera',19),(16316,'5560','Dique del valle de uco',19),(16317,'5560','Doctor antonio soomas',19),(16318,'5560','El manzano historico',19),(16319,'5560','El portillo',19),(16320,'5560','El topon',19),(16321,'5560','El toscal',19),(16322,'5560','Estancia aveiro',19),(16323,'5560','Estancia bella vista',19),(16324,'5560','Estancia correa',19),(16325,'5560','Estancia el carrizalito',19),(16326,'5560','Estancia guinazu',19),(16327,'5560','Estancia la rosa',19),(16328,'5560','Estancia las higueras',19),(16329,'5560','Estancia los chacayes',19),(16330,'5560','Estancia mallea',19),(16331,'5560','Estancia silva',19),(16332,'5560','La estacada',19),(16333,'5560','Las pintadas',19),(16334,'5560','Las rosas',19),(16335,'5560','Las torrecitas',19),(16336,'5560','Loma chata',19),(16337,'5560','Los cometierras',19),(16338,'5560','Los sauces lavalle',19),(16339,'5560','Paso los palos',19),(16340,'5560','Portillo de pinquenes',19),(16341,'5560','Portillo del diablo',19),(16342,'5560','Potrero san pablo',19),(16343,'5560','Puesto el manzano',19),(16344,'5560','Puesto la tosca',19),(16345,'5560','Puesto manzanito',19),(16346,'5560','Puesto mironda',19),(16347,'5560','Puesto santa maria',19),(16348,'5560','Ruiz huidobro',19),(16349,'5560','Totoral',19),(16350,'5560','Tunuyan',19),(16351,'5560','Zapata',19),(16352,'5561','Ancon',19),(16353,'5561','Arboleda',19),(16354,'5561','Cordon de plata',19),(16355,'5561','El peral',19),(16356,'5561','El zampal',19),(16357,'5561','Gualtallary',19),(16358,'5561','La arboleda',19),(16359,'5561','La carrera',19),(16360,'5561','Puesto alfarfa',19),(16361,'5561','Puesto la jerilla',19),(16362,'5561','San jose de tupungato',19),(16363,'5561','Santa clara',19),(16364,'5561','Tupungato',19),(16365,'5561','Villa bastias',19),(16366,'5563','Agua amarga',19),(16367,'5563','Arroyo los sauces',19),(16368,'5563','El salado',19),(16369,'5563','Estancia la pampa',19),(16370,'5563','La toma',19),(16371,'5563','Los arboles de villegas',19),(16372,'5563','Los sauces',19),(16373,'5563','Maria luisa',19),(16374,'5563','San pablo',19),(16375,'5563','Villa seca de tunuyan',19),(16376,'5565','Campo de los andes',19),(16377,'5565','Colonia las rosas',19),(16378,'5565','La primavera',19),(16379,'5565','Melocoton',19),(16380,'5565','Vista flores',19),(16381,'5567','La caÑada',19),(16382,'5567','La consulta',19),(16383,'5569','Aguada',19),(16384,'5569','Araganita',19),(16385,'5569','Bajada de la salada',19),(16386,'5569','Bajada de los gauchos',19),(16387,'5569','Bajada de los papagayos',19),(16388,'5569','Bajada de yaucha',19),(16389,'5569','Bajada del agua escondida',19),(16390,'5569','Bajada del fuerte',19),(16391,'5569','Bajada del sauce',19),(16392,'5569','BaÑos de capiz',19),(16393,'5569','BaÑos la salada',19),(16394,'5569','Bordo amarillo de la cruz pied',19),(16395,'5569','Bordo el algarrobo',19),(16396,'5569','Bordo lechuzo',19),(16397,'5569','Bordos del plumerillo',19),(16398,'5569','Camp vizcacheras ypf',19),(16399,'5569','Casas viejas',19),(16400,'5569','Cepillo viejo',19),(16401,'5569','Cerrito moro',19),(16402,'5569','Cerro agua negra',19),(16403,'5569','Cerro alto de las peÑas',19),(16404,'5569','Cerro alvarado centro',19),(16405,'5569','Cerro arroyo hondo',19),(16406,'5569','Cerro baleado',19),(16407,'5569','Cerro barbaran o tres picos',19),(16408,'5569','Cerro chato',19),(16409,'5569','Cerro colorado',19),(16410,'5569','Cerro colorado de las lagunill',19),(16411,'5569','Cerro de la banderola',19),(16412,'5569','Cerro de los leones',19),(16413,'5569','Cerro del pozo',19),(16414,'5569','Cerro del zorro',19),(16415,'5569','Cerro divisadero de la cienegu',19),(16416,'5569','Cerro fiero',19),(16417,'5569','Cerro gaspar',19),(16418,'5569','Cerro guadaloso',19),(16419,'5569','Cerro la invernada',19),(16420,'5569','Cerro las piedras',19),(16421,'5569','Cerro los bajos',19),(16422,'5569','Cerro los barros',19),(16423,'5569','Cerro negros de las mesillas',19),(16424,'5569','Cerro piedra colorada',19),(16425,'5569','Cerro plomo',19),(16426,'5569','Cerro potrerillos',19),(16427,'5569','Chilecito',19),(16428,'5569','Cienaga del alto',19),(16429,'5569','Colonia alazanes',19),(16430,'5569','Colonia aspera',19),(16431,'5569','Colonia chalet',19),(16432,'5569','Colonia chato',19),(16433,'5569','Colonia colina',19),(16434,'5569','Colonia curniÑan',19),(16435,'5569','Colonia de los guanaqueros',19),(16436,'5569','Colonia del leon',19),(16437,'5569','Colonia divisadero del cardal',19),(16438,'5569','Colonia divisadero negro',19),(16439,'5569','Colonia durazno',19),(16440,'5569','Colonia el campanario',19),(16441,'5569','Colonia guadal',19),(16442,'5569','Colonia guanaco',19),(16443,'5569','Colonia lola',19),(16444,'5569','Colonia los huevos',19),(16445,'5569','Colonia mirador',19),(16446,'5569','Colonia muralla',19),(16447,'5569','Colonia nacional de los indios',19),(16448,'5569','Colonia negro',19),(16449,'5569','Colonia osamenta',19),(16450,'5569','Colonia papal',19),(16451,'5569','Colonia pedernales',19),(16452,'5569','Colonia pencal',19),(16453,'5569','Colonia pico colorado',19),(16454,'5569','Colonia san agustin',19),(16455,'5569','Colonia torrecillas',19),(16456,'5569','Colonia torrecito',19),(16457,'5569','Colonia tres altitos',19),(16458,'5569','Control ypf',19),(16459,'5569','Cruz de piedra pto gendarmeria',19),(16460,'5569','Divisadero colorado',19),(16461,'5569','Divisadero negro',19),(16462,'5569','El capacho',19),(16463,'5569','El cepillo',19),(16464,'5569','El guadal de campos',19),(16465,'5569','El lechucito',19),(16466,'5569','El parral',19),(16467,'5569','El puma',19),(16468,'5569','El rincon',19),(16469,'5569','Estancia aguanda',19),(16470,'5569','Estancia arroyo hondo',19),(16471,'5569','Estancia casas viejas',19),(16472,'5569','Estancia la puma',19),(16473,'5569','Estancia viluco',19),(16474,'5569','Estancia yaucha',19),(16475,'5569','Eugenio bustos',19),(16476,'5569','Huaiqueria de la horqueta',19),(16477,'5569','Huaiqueria de los burros',19),(16478,'5569','Isla del cuchillo',19),(16479,'5569','J campos',19),(16480,'5569','J veron',19),(16481,'5569','Jaucha',19),(16482,'5569','L prado',19),(16483,'5569','La argentina',19),(16484,'5569','La florida',19),(16485,'5569','La jaula',19),(16486,'5569','La picaza',19),(16487,'5569','Las minas',19),(16488,'5569','Las peÑas',19),(16489,'5569','Las violetas',19),(16490,'5569','Loma alta',19),(16491,'5569','Loma del cerro aspero',19),(16492,'5569','Loma del medio',19),(16493,'5569','Loma negra',19),(16494,'5569','Loma negra grande',19),(16495,'5569','Loma pelada',19),(16496,'5569','Lomita larga',19),(16497,'5569','Lomita morada',19),(16498,'5569','Los alamos',19),(16499,'5569','Los paramillos',19),(16500,'5569','Los toscales',19),(16501,'5569','Meseta colorada',19),(16502,'5569','Mina volcan overo',19),(16503,'5569','Morro del cuero',19),(16504,'5569','Pampa de las yaretas',19),(16505,'5569','Pampa de los bayos',19),(16506,'5569','Papagayo',19),(16507,'5569','Pareditas',19),(16508,'5569','Paso de las carretas',19),(16509,'5569','Picos bayos',19),(16510,'5569','Piedras blancas',19),(16511,'5569','Pircas de osorio',19),(16512,'5569','Po alvarado norte',19),(16513,'5569','Po alvarado sur',19),(16514,'5569','Po amarillo',19),(16515,'5569','Po de los escalones',19),(16516,'5569','Po maipu',19),(16517,'5569','Portillo canales',19),(16518,'5569','Portillo cruz de piedra',19),(16519,'5569','Portillo de colina',19),(16520,'5569','Portillo de la g  del camino',19),(16521,'5569','Portillo de la yesera',19),(16522,'5569','Portillo de las cabezas',19),(16523,'5569','Portillo del papal',19),(16524,'5569','Portillo del viento',19),(16525,'5569','Portillo occidental del bayo',19),(16526,'5569','Portillo pedernales',19),(16527,'5569','Puesto a martinez',19),(16528,'5569','Puesto agua de la zorra',19),(16529,'5569','Puesto canales',19),(16530,'5569','Puesto de la salada',19),(16531,'5569','Puesto el carrizalito',19),(16532,'5569','Puesto el jagual',19),(16533,'5569','Puesto f tello',19),(16534,'5569','Puesto horqueta',19),(16535,'5569','Puesto j alvarez',19),(16536,'5569','Puesto j castro',19),(16537,'5569','Puesto las aguadas',19),(16538,'5569','Puesto las cortaderas',19),(16539,'5569','Puesto los ramblones',19),(16540,'5569','Puesto luffi',19),(16541,'5569','Puesto luna',19),(16542,'5569','Puesto mallin',19),(16543,'5569','Puesto manga de arriba',19),(16544,'5569','Puesto nieves negras',19),(16545,'5569','Puesto ojo de agua',19),(16546,'5569','Puesto p miranda',19),(16547,'5569','Puesto p montriel',19),(16548,'5569','Puesto punta del agua',19),(16549,'5569','Puesto quiroga',19),(16550,'5569','Puesto rincon de la pampa',19),(16551,'5569','Puesto s perez',19),(16552,'5569','Puesto seco',19),(16553,'5569','Puesto sosa',19),(16554,'5569','Puesto ultima aguada',19),(16555,'5569','Puesto viuda de estrella',19),(16556,'5569','R barri',19),(16557,'5569','Real bayo',19),(16558,'5569','Real de moyano',19),(16559,'5569','Real del colorado',19),(16560,'5569','Real del leon',19),(16561,'5569','Real del pelambre',19),(16562,'5569','Real escondido',19),(16563,'5569','Real loma blanca',19),(16564,'5569','Real piedra horadada',19),(16565,'5569','Real primer rio',19),(16566,'5569','Real rincon de las ovejas',19),(16567,'5569','Refugio la faja',19),(16568,'5569','Refugio vialidad',19),(16569,'5569','Rincon huaiquerias',19),(16570,'5569','Rivas',19),(16571,'5569','S estrella',19),(16572,'5569','San carlos',19),(16573,'5569','Tierras blancas',19),(16574,'5569','Tres esquinas',19),(16575,'5569','Vega de praso',19),(16576,'5569','Vegas de las ovejas',19),(16577,'5569','Viuda de satelo',19),(16578,'5569','Volcan maipu',19),(16579,'5570','Alto del salvador',19),(16580,'5570','Buen orden',19),(16581,'5570','La colonia',19),(16582,'5570','Libertador gral san martin',19),(16583,'5570','Villa centenario',19),(16584,'5570','Villa del carmen',19),(16585,'5571','Chivilcoy',19),(16586,'5571','Colonia lambare',19),(16587,'5571','El alto salvador',19),(16588,'5571','Espino',19),(16589,'5571','Las colonias',19),(16590,'5571','Los olmos',19),(16591,'5571','Monte caseros',19),(16592,'5571','Villa molino orfila',19),(16593,'5572','Alto grande',19),(16594,'5572','El jume',19),(16595,'5573','Ciudad de junin',19),(16596,'5573','Colonia delfino',19),(16597,'5573','El moyano',19),(16598,'5575','Andrade',19),(16599,'5575','Los arboles',19),(16600,'5577','El alto',19),(16601,'5577','Estancia la argentina',19),(16602,'5577','La verde',19),(16603,'5577','Los campamentos',19),(16604,'5577','Rivadavia',19),(16605,'5577','Villa rivadavia',19),(16606,'5577','Villa san isidro',19),(16607,'5579','Barrio lencina',19),(16608,'5579','Barrio rivadavia',19),(16609,'5579','Campamentos',19),(16610,'5579','El mirador',19),(16611,'5579','El retiro',19),(16612,'5579','La central rivadavia',19),(16613,'5579','La florida',19),(16614,'5579','La libertad',19),(16615,'5579','La sirena',19),(16616,'5579','Los otoyanes',19),(16617,'5579','Minelli',19),(16618,'5579','Mundo nuevo',19),(16619,'5579','Pachango',19),(16620,'5579','Philipps',19),(16621,'5579','Reduccion',19),(16622,'5579','Santa maria de oro',19),(16623,'5582','Alberto flores',19),(16624,'5582','Algarrobo grande',19),(16625,'5582','Alto verde',19),(16626,'5582','Azcurra',19),(16627,'5582','Balde de la jarilla',19),(16628,'5582','Balde de los gauchos',19),(16629,'5582','Balde e aquera',19),(16630,'5582','Balde jofre',19),(16631,'5582','Balde la pichana vieja',19),(16632,'5582','Balde las carpas',19),(16633,'5582','Balde las catitas',19),(16634,'5582','Balde san agustin',19),(16635,'5582','Carril norte',19),(16636,'5582','Colonia monte caseros',19),(16637,'5582','El plumero',19),(16638,'5582','El puntiagudo',19),(16639,'5582','Florindo flores',19),(16640,'5582','Ingeniero giagnoni',19),(16641,'5582','Isabel flores',19),(16642,'5582','La pastoral',19),(16643,'5582','La pichana',19),(16644,'5582','La verde',19),(16645,'5582','Las torrecitas',19),(16646,'5582','Lola mora',19),(16647,'5582','Los ahumados',19),(16648,'5582','Los eucaliptos',19),(16649,'5582','Los tordillos',19),(16650,'5582','Masa',19),(16651,'5582','Puesto la costa',19),(16652,'5582','Puesto la florida',19),(16653,'5582','Puesto las juntitas',19),(16654,'5582','Puesto las pichanas',19),(16655,'5582','Puesto las viboras',19),(16656,'5582','Puesto los causes',19),(16657,'5582','Puesto los gauchos',19),(16658,'5582','Puesto rancho de la pampa',19),(16659,'5582','Puesto san jose',19),(16660,'5582','Puesto san miguel',19),(16661,'5582','Puesto santa maria',19),(16662,'5582','Puesto vega',19),(16663,'5582','Ramblon',19),(16664,'5582','Retamo',19),(16665,'5582','Ricardo videla',19),(16666,'5582','Roberts',19),(16667,'5582','Ruta 7 kilometro 1014',19),(16668,'5582','Tapera negra',19),(16669,'5584','Barrio villa adela',19),(16670,'5584','Chimba',19),(16671,'5584','Colonia reina',19),(16672,'5584','Gurruchaga',19),(16673,'5584','Palmira',19),(16674,'5584','Reina',19),(16675,'5585','El cipres',19),(16676,'5585','Jorge newbery',19),(16677,'5585','La isla',19),(16678,'5585','La isla chica',19),(16679,'5585','La isla grande',19),(16680,'5585','Los barriales',19),(16681,'5585','Medrano',19),(16682,'5585','Rodriguez peÑa',19),(16683,'5585','Tres acequias',19),(16684,'5587','Barcala',19),(16685,'5587','Isla chica',19),(16686,'5587','Isla grande',19),(16687,'5587','San roque',19),(16688,'5587','Valle hermoso',19),(16689,'5589','Chapanay',19),(16690,'5589','El central',19),(16691,'5589','El divisadero',19),(16692,'5589','El Ñango',19),(16693,'5589','La chimba',19),(16694,'5589','Reyes',19),(16695,'5589','Teresa b de tittarelli',19),(16696,'5589','Tres porteÑas',19),(16697,'5590','Adrian maturano',19),(16698,'5590','Alejandro perez',19),(16699,'5590','Alfredo lucero',19),(16700,'5590','Alto de los perros',19),(16701,'5590','Alto de los sapos',19),(16702,'5590','Alvarez',19),(16703,'5590','Ana de donaire',19),(16704,'5590','Anacleta viuda de perez',19),(16705,'5590','Andres perez',19),(16706,'5590','Antonio sosa',19),(16707,'5590','B elena',19),(16708,'5590','Bajada del perro',19),(16709,'5590','Becerra',19),(16710,'5590','Blas panelo',19),(16711,'5590','Boyeros',19),(16712,'5590','C gonzales videla',19),(16713,'5590','Cadetes de chile',19),(16714,'5590','Campo el toro',19),(16715,'5590','Chacras de lima',19),(16716,'5590','Chamuscao',19),(16717,'5590','ChaÑaral redondo',19),(16718,'5590','Cirilo mahona',19),(16719,'5590','Clarentino roldan',19),(16720,'5590','Colonia el regadio',19),(16721,'5590','Corral de cuero',19),(16722,'5590','Corral del molle',19),(16723,'5590','Cruz del yugo',19),(16724,'5590','Cruz ledesma',19),(16725,'5590','Dalmiro zapata',19),(16726,'5590','Daniel lucero',19),(16727,'5590','Daniel morgan',19),(16728,'5590','Delgadillo',19),(16729,'5590','Dionisio ordoÑez',19),(16730,'5590','Dionisio ortubia',19),(16731,'5590','Domingo gimenez',19),(16732,'5590','Domingo lara',19),(16733,'5590','Domingo oga',19),(16734,'5590','Domingo real',19),(16735,'5590','Donato ojeda',19),(16736,'5590','Doroteo ordoÑez',19),(16737,'5590','Dulce',19),(16738,'5590','E rosales',19),(16739,'5590','El caranchito',19),(16740,'5590','El cavado chico',19),(16741,'5590','El cercado',19),(16742,'5590','El chalet',19),(16743,'5590','El consuelo',19),(16744,'5590','El gonzano',19),(16745,'5590','El guerrino',19),(16746,'5590','El jilguero',19),(16747,'5590','El lechucito',19),(16748,'5590','El perino',19),(16749,'5590','El regadio',19),(16750,'5590','El vaquero',19),(16751,'5590','El zampal',19),(16752,'5590','El zapatino',19),(16753,'5590','Eloy funes',19),(16754,'5590','Emilio nieta',19),(16755,'5590','Epifanio fernandez',19),(16756,'5590','Ernesto alcaraz',19),(16757,'5590','Estancia la salcedina',19),(16758,'5590','Estancia la vizcachera',19),(16759,'5590','Estancia las vizcacheras',19),(16760,'5590','Estanislao ordoÑez',19),(16761,'5590','Eusebia viuda de gomez',19),(16762,'5590','Evaristo acevedo',19),(16763,'5590','Evaristo salas',19),(16764,'5590','Fabriciano rojas',19),(16765,'5590','Felipe garro',19),(16766,'5590','Fermin perez',19),(16767,'5590','Florencio garro',19),(16768,'5590','Florencio molina',19),(16769,'5590','Florencio ordoÑez',19),(16770,'5590','Francisco molina',19),(16771,'5590','Francisco rojas',19),(16772,'5590','Fructuoso diaz',19),(16773,'5590','German maturano',19),(16774,'5590','Gertrudis de ojeda',19),(16775,'5590','Gilberto perez',19),(16776,'5590','Gregorio zapata',19),(16777,'5590','Guillermo donaire',19),(16778,'5590','H garzala',19),(16779,'5590','Hermenegildo diaz',19),(16780,'5590','Honorio zapata',19),(16781,'5590','Huaicos de rufino',19),(16782,'5590','Huecos de los tordillos',19),(16783,'5590','Ignacio villegas',19),(16784,'5590','Irineo zapata',19),(16785,'5590','Isla retamito',19),(16786,'5590','J ortubia',19),(16787,'5590','Jose diaz',19),(16788,'5590','Jose fernandez',19),(16789,'5590','Jose lucero',19),(16790,'5590','Jose r molina',19),(16791,'5590','Jose suarez',19),(16792,'5590','Juan b dufau',19),(16793,'5590','Juan h ortiz',19),(16794,'5590','Juan millan',19),(16795,'5590','Juan zapata',19),(16796,'5590','Julio comeglio',19),(16797,'5590','Junta de los rios',19),(16798,'5590','Kilometro 935 desvio fcgsm',19),(16799,'5590','La caÑada',19),(16800,'5590','La cautiva',19),(16801,'5590','La chapina',19),(16802,'5590','La cola',19),(16803,'5590','La cortadera',19),(16804,'5590','La esquina',19),(16805,'5590','La estancia',19),(16806,'5590','La fortuna',19),(16807,'5590','La isla',19),(16808,'5590','La leona',19),(16809,'5590','La paz',19),(16810,'5590','La primavera',19),(16811,'5590','Ladislao',19),(16812,'5590','Ladislao campos',19),(16813,'5590','Las cruces',19),(16814,'5590','Las rosas',19),(16815,'5590','Las viscacheras',19),(16816,'5590','Las vistas',19),(16817,'5590','Las vizcachas',19),(16818,'5590','Lino perez',19),(16819,'5590','Lisandro escudero',19),(16820,'5590','Los algarrobos',19),(16821,'5590','Los altamiques',19),(16822,'5590','Los burgos',19),(16823,'5590','Los colorados',19),(16824,'5590','Los horconcitos',19),(16825,'5590','Los ramblones',19),(16826,'5590','Los roseti',19),(16827,'5590','Los tamarindos',19),(16828,'5590','Los verdes',19),(16829,'5590','Los villegas',19),(16830,'5590','Lucas donaire',19),(16831,'5590','Luis marquez',19),(16832,'5590','M escudero',19),(16833,'5590','M quiroga',19),(16834,'5590','Maquinista levet',19),(16835,'5590','Maravilla',19),(16836,'5590','Maria garcia',19),(16837,'5590','Maria viuda de donaire',19),(16838,'5590','Mario olguin',19),(16839,'5590','Matias garro',19),(16840,'5590','Mauricio calderon',19),(16841,'5590','Medardo miranda',19),(16842,'5590','Mosmota',19),(16843,'5590','Natalia donaire',19),(16844,'5590','Necto sosa',19),(16845,'5590','Nestor aguilera',19),(16846,'5590','Nicolas ordoÑez',19),(16847,'5590','Onotre puebla',19),(16848,'5590','Pascual sosa',19),(16849,'5590','Paso de las canoas',19),(16850,'5590','Paulino matura',19),(16851,'5590','Pedro castelu',19),(16852,'5590','Pedro pablo perez',19),(16853,'5590','Pirquita embarcadero fcgsm',19),(16854,'5590','Puente viejo',19),(16855,'5590','Puerta de la isla',19),(16856,'5590','Puesto de garro',19),(16857,'5590','Puesto de las carretas',19),(16858,'5590','Puesto de las tropas',19),(16859,'5590','Puesto de olguin',19),(16860,'5590','Puesto de orozco',19),(16861,'5590','Puesto de petra',19),(16862,'5590','Puesto de sosa',19),(16863,'5590','Puesto del chaÑacal',19),(16864,'5590','Puesto el retamito',19),(16865,'5590','Puesto nueras',19),(16866,'5590','Puesto zampal',19),(16867,'5590','Puntos de agua',19),(16868,'5590','R bebedera',19),(16869,'5590','Ramblon de la pampa',19),(16870,'5590','Ramblon grande',19),(16871,'5590','Ramon donaire',19),(16872,'5590','Ramon gimenez',19),(16873,'5590','Regino ojeda',19),(16874,'5590','Retamo',19),(16875,'5590','Retamo partido',19),(16876,'5590','Rosario gatica',19),(16877,'5590','Rufino gomez',19),(16878,'5590','S cortis',19),(16879,'5590','San antonio',19),(16880,'5590','San pedro',19),(16881,'5590','Santiago romero',19),(16882,'5590','Saturnino romero',19),(16883,'5590','Serviliano ojeda',19),(16884,'5590','Sixto ledesma',19),(16885,'5590','Teodoro garro',19),(16886,'5590','Teodoro villaruel',19),(16887,'5590','Teofila acevedo',19),(16888,'5590','Teofilo ruben',19),(16889,'5590','Teofilo zapata',19),(16890,'5590','Tila',19),(16891,'5590','Tilio alcaraz',19),(16892,'5590','Tomas mercado',19),(16893,'5590','Travesia',19),(16894,'5590','Trino rosaleso',19),(16895,'5590','Vicente muÑoz',19),(16896,'5590','Vicente peletay',19),(16897,'5590','Villa antigua',19),(16898,'5590','Villa vieja',19),(16899,'5590','Viuda de orozco',19),(16900,'5590','Zanon canal',19),(16901,'5591','Alpatacal',19),(16902,'5591','Circunvalacion',19),(16903,'5591','El gigantillo',19),(16904,'5591','La favorita',19),(16905,'5591','La jacintita',19),(16906,'5591','La porteÑa',19),(16907,'5591','Las totoritas',19),(16908,'5591','Sopanta',19),(16909,'5591','Villa la paz',19),(16910,'5592','El carbalino',19),(16911,'5592','El colorado',19),(16912,'5592','La bandera',19),(16913,'5592','La dormida',19),(16914,'5594','Alto con zampa',19),(16915,'5594','Arancibia',19),(16916,'5594','Aranzabal',19),(16917,'5594','B de araya',19),(16918,'5594','B de quebrado',19),(16919,'5594','Bajo del yuyo',19),(16920,'5594','Balde las lagunitas',19),(16921,'5594','Balde nuevo',19),(16922,'5594','Banderita',19),(16923,'5594','Belle ville',19),(16924,'5594','Borde de la linea',19),(16925,'5594','Casa de adobe',19),(16926,'5594','Catitas viejas',19),(16927,'5594','Chilote',19),(16928,'5594','Clodomiro reta',19),(16929,'5594','Colonia san jorge',19),(16930,'5594','Comandante salas',19),(16931,'5594','Cristobal lopez',19),(16932,'5594','Cruz gimenez',19),(16933,'5594','D lopez',19),(16934,'5594','Divisadero',19),(16935,'5594','El algarrobo',19),(16936,'5594','El bonito',19),(16937,'5594','El cabao viejo',19),(16938,'5594','El carmen',19),(16939,'5594','El chacallal',19),(16940,'5594','El corbalno',19),(16941,'5594','El divisadero',19),(16942,'5594','El escondido',19),(16943,'5594','El gorgino',19),(16944,'5594','El guanaco',19),(16945,'5594','El lemino',19),(16946,'5594','El luquino',19),(16947,'5594','El marcado',19),(16948,'5594','El marucho',19),(16949,'5594','El maurino',19),(16950,'5594','El molino',19),(16951,'5594','El plumero',19),(16952,'5594','El porvenir',19),(16953,'5594','El retamoso',19),(16954,'5594','El retiro',19),(16955,'5594','El tamarindo',19),(16956,'5594','El valle',19),(16957,'5594','El villeguino',19),(16958,'5594','El vilteguino',19),(16959,'5594','El zampal',19),(16960,'5594','El zorzal',19),(16961,'5594','Emiliano lucero',19),(16962,'5594','Ernesto lopez',19),(16963,'5594','Escudero',19),(16964,'5594','Estancia el bonito',19),(16965,'5594','Estancia gil',19),(16966,'5594','Estancia la chuÑa',19),(16967,'5594','Felipe perez',19),(16968,'5594','Gobernador civit',19),(16969,'5594','Huaicos de rufino',19),(16970,'5594','Jarilloso',19),(16971,'5594','Jofre',19),(16972,'5594','Jose campos',19),(16973,'5594','Jose sosa',19),(16974,'5594','Kilometro 947',19),(16975,'5594','L del aguero',19),(16976,'5594','L perez',19),(16977,'5594','La angelina',19),(16978,'5594','La argentina',19),(16979,'5594','La cienaguita',19),(16980,'5594','La clarita',19),(16981,'5594','La colonia sud',19),(16982,'5594','La florida',19),(16983,'5594','La jacinto',19),(16984,'5594','La lagunita',19),(16985,'5594','La porteÑa',19),(16986,'5594','La sombrilla',19),(16987,'5594','Las arabias',19),(16988,'5594','Las catitas',19),(16989,'5594','Las gatitas',19),(16990,'5594','Las rajaduras',19),(16991,'5594','Las vayas',19),(16992,'5594','Lezcano',19),(16993,'5594','Lira',19),(16994,'5594','Loma del chaÑar',19),(16995,'5594','Lomas blancas',19),(16996,'5594','Lomas coloradas',19),(16997,'5594','Los medanos negros',19),(16998,'5594','Los moros',19),(16999,'5594','Los verdes',19),(17000,'5594','Los yoles',19),(17001,'5594','Maturana',19),(17002,'5594','Meliton campos',19),(17003,'5594','Miguez',19),(17004,'5594','Moron chico',19),(17005,'5594','Moron viejo',19),(17006,'5594','N zapata',19),(17007,'5594','Navarro',19),(17008,'5594','P rosales',19),(17009,'5594','PeÑa',19),(17010,'5594','Pichi ciego estacion fcgsm',19),(17011,'5594','Ponce',19),(17012,'5594','Puesto el trueno',19),(17013,'5594','Puesto garcia',19),(17014,'5594','Puesto lorca',19),(17015,'5594','Puesto san vicente',19),(17016,'5594','Punta del canal',19),(17017,'5594','R bustos',19),(17018,'5594','Rodriguez',19),(17019,'5594','San pedro',19),(17020,'5594','Santa ana',19),(17021,'5594','Santa maria',19),(17022,'5594','Santo domingo',19),(17023,'5594','T orozco',19),(17024,'5594','Talquenca',19),(17025,'5594','Urisa',19),(17026,'5595','Cupiles',19),(17027,'5595','El algarrobo',19),(17028,'5595','El colorado',19),(17029,'5595','Estancia las chilcas',19),(17030,'5595','La chilca',19),(17031,'5595','La chuna',19),(17032,'5595','Los embarques',19),(17033,'5595','ÑacuÑan',19),(17034,'5595','ÑancuÑan',19),(17035,'5596','12 de octubre',19),(17036,'5596','Balde de piedra',19),(17037,'5596','La costa',19),(17038,'5596','Recoaro',19),(17039,'5596','Santa rosa',19),(17040,'5596','Villa catala',19),(17041,'5598','BaÑado verde',19),(17042,'5598','Desaguadero',19),(17043,'5598','Pampita embarcadero fcgsm',19),(17044,'5598','Tapon',19),(17045,'5600','Agua de la mula',19),(17046,'5600','Agua nueva',19),(17047,'5600','Algarrobo de sortue',19),(17048,'5600','Cajon de mayo',19),(17049,'5600','Central hidroelectrica 1',19),(17050,'5600','Central hidroelectrica 2',19),(17051,'5600','Colonia la llave',19),(17052,'5600','Colonia soitue',19),(17053,'5600','Com nac de energia atomica',19),(17054,'5600','Comision nac de emergencia',19),(17055,'5600','Cuesta de los terneros',19),(17056,'5600','El cerrito',19),(17057,'5600','El picona',19),(17058,'5600','El plateado',19),(17059,'5600','Embalse valle grande',19),(17060,'5600','Estancia el campamento',19),(17061,'5600','Estancia la sarita',19),(17062,'5600','Estancia la trintrica',19),(17063,'5600','Estancia los huaicos',19),(17064,'5600','Estancia los leones',19),(17065,'5600','Estancia sofia raquel',19),(17066,'5600','Estancia tierras blancas',19),(17067,'5600','La carusina',19),(17068,'5600','La jaula',19),(17069,'5600','La lata',19),(17070,'5600','La llave nueva',19),(17071,'5600','La mina del peceÑo',19),(17072,'5600','La picarona',19),(17073,'5600','La picasa',19),(17074,'5600','La pichana',19),(17075,'5600','La tosca',19),(17076,'5600','Los claveles',19),(17077,'5600','Los patos',19),(17078,'5600','Los pejecitos',19),(17079,'5600','Los repuntes',19),(17080,'5600','Los terneros',19),(17081,'5600','Los tolditos',19),(17082,'5600','Minas el sosneado',19),(17083,'5600','Pta del agua vieja',19),(17084,'5600','Pueblo diamante',19),(17085,'5600','Pueblo soto',19),(17086,'5600','Puesta el cavado',19),(17087,'5600','Puesto agua de la liebre',19),(17088,'5600','Puesto agua del medano',19),(17089,'5600','Puesto el jilguero',19),(17090,'5600','Puesto las puntanas',19),(17091,'5600','San rafael',19),(17092,'5601','Capitan montoya',19),(17093,'5601','El usillal',19),(17094,'5601','Iguazu',19),(17095,'5601','Las paredes',19),(17096,'5601','Resolana',19),(17097,'5603','CaÑada seca',19),(17098,'5603','Colonia colomer',19),(17099,'5603','Colonia elena',19),(17100,'5603','Colonia rusa',19),(17101,'5603','Cuadro benegas',19),(17102,'5603','El porvenir',19),(17103,'5603','El tropezon',19),(17104,'5603','Goudge',19),(17105,'5603','Ingeniero balloffet',19),(17106,'5603','La llave',19),(17107,'5603','La llave vieja',19),(17108,'5603','Los pejes',19),(17109,'5603','Pedro vargas',19),(17110,'5603','Pueblo echevarrieta',19),(17111,'5603','Rama caida',19),(17112,'5603','Rincon del atuel',19),(17113,'5603','Rodolfo iselin',19),(17114,'5603','Salto de las rosas',19),(17115,'5605','Calle larga vieja',19),(17116,'5605','Colonia atuel norte',19),(17117,'5605','El nihuil',19),(17118,'5605','Las malvinas',19),(17119,'5605','Minas del nevado',19),(17120,'5605','Nihuil',19),(17121,'5605','Salinas el diamante',19),(17122,'5605','Santa teresa',19),(17123,'5607','Colonia bombal y tabanera',19),(17124,'5607','Colonia espaÑola',19),(17125,'5607','Cuadro bombal',19),(17126,'5607','Cuadro nacional',19),(17127,'5607','El algarrobal',19),(17128,'5607','Tabanera',19),(17129,'5609','Aristides villanueva',19),(17130,'5609','El campamento',19),(17131,'5609','Gaspar campos',19),(17132,'5609','Goico',19),(17133,'5609','Guadales',19),(17134,'5609','Monte coman',19),(17135,'5611','Agua rica',19),(17136,'5611','Aguada puesto la totora',19),(17137,'5611','Balde el sosneado',19),(17138,'5611','BaÑos de azufre',19),(17139,'5611','Bardas blancas',19),(17140,'5611','Boliche los barreales',19),(17141,'5611','Calmuco',19),(17142,'5611','Campamento carapacho',19),(17143,'5611','CaÑada amarilla',19),(17144,'5611','Cerro alquitran',19),(17145,'5611','Chacharalen',19),(17146,'5611','Coihueco',19),(17147,'5611','Coihueco norte',19),(17148,'5611','El alambrado',19),(17149,'5611','El cienago',19),(17150,'5611','El durazno',19),(17151,'5611','El manzano',19),(17152,'5611','El mollar',19),(17153,'5611','El sosneado',19),(17154,'5611','Ex fortin malargue',19),(17155,'5611','Jaguel',19),(17156,'5611','Jaguel amarillo',19),(17157,'5611','Jaguel de rosas',19),(17158,'5611','Jaguel del catalan',19),(17159,'5611','La valenciana',19),(17160,'5611','Llano blanco',19),(17161,'5611','Los arroyos',19),(17162,'5611','Los britos',19),(17163,'5611','Los molles',19),(17164,'5611','Los parlamentos',19),(17165,'5611','Los ramblones',19),(17166,'5611','Luanco',19),(17167,'5611','Malal del medio',19),(17168,'5611','Matoncilla',19),(17169,'5611','Nire co',19),(17170,'5611','Ojo de agua',19),(17171,'5611','Puesto gentile',19),(17172,'5611','Puesto marfil',19),(17173,'5611','Puesto rincon escalona',19),(17174,'5611','Ranquil norte',19),(17175,'5611','Rincon de correa',19),(17176,'5612','Valle de las leÑas',19),(17177,'5613','Agua botada',19),(17178,'5613','Agua de cabrera',19),(17179,'5613','Agua del chancho',19),(17180,'5613','Aguada penepe',19),(17181,'5613','Aguada perez',19),(17182,'5613','Bajo del peludo',19),(17183,'5613','Barreal colorado',19),(17184,'5613','Barreal de la mesilla',19),(17185,'5613','Barreal jose luis',19),(17186,'5613','Barriales los ranchos',19),(17187,'5613','Beltran',19),(17188,'5613','Boliche',19),(17189,'5613','Buta billon',19),(17190,'5613','Cabeza de vaca',19),(17191,'5613','Cajon grande',19),(17192,'5613','Campamento ranquilco',19),(17193,'5613','Campo el alamo',19),(17194,'5613','Cancha de esqui',19),(17195,'5613','CaÑada ancha',19),(17196,'5613','CaÑada colorada',19),(17197,'5613','Chachao',19),(17198,'5613','Charco vacas',19),(17199,'5613','Coronel beltran',19),(17200,'5613','El alamo',19),(17201,'5613','El cajon',19),(17202,'5613','El chacay',19),(17203,'5613','El choique',19),(17204,'5613','El payen',19),(17205,'5613','El puestito',19),(17206,'5613','El vatro',19),(17207,'5613','El zampal',19),(17208,'5613','Guayqueria colorada',19),(17209,'5613','Hotel portezuelo del viento',19),(17210,'5613','Hotel termas del azufre',19),(17211,'5613','Hotel termas el sosneado',19),(17212,'5613','Jaguel del gaucho',19),(17213,'5613','Jaguel del gobierno',19),(17214,'5613','Junta de la vaina',19),(17215,'5613','La bandera',19),(17216,'5613','La barda cortada',19),(17217,'5613','La batra',19),(17218,'5613','La cortadera',19),(17219,'5613','La estrechura',19),(17220,'5613','La junta',19),(17221,'5613','La negrita',19),(17222,'5613','La salinilla',19),(17223,'5613','La yesera',19),(17224,'5613','Laguna negra',19),(17225,'5613','Laguna salada',19),(17226,'5613','Las chacras',19),(17227,'5613','Las juntas',19),(17228,'5613','Las loicas',19),(17229,'5613','Las taguas',19),(17230,'5613','Las vegas',19),(17231,'5613','Las yeguas',19),(17232,'5613','Loma extendida',19),(17233,'5613','Loma jaguel del gaucho',19),(17234,'5613','Lomas altas',19),(17235,'5613','Lomas chicas',19),(17236,'5613','Lonco vacas',19),(17237,'5613','Los barriales',19),(17238,'5613','Los carrizales',19),(17239,'5613','Los colados',19),(17240,'5613','Los pozos',19),(17241,'5613','Malargue',19),(17242,'5613','Mallin quemado',19),(17243,'5613','Matancilla',19),(17244,'5613','Mechanquil',19),(17245,'5613','Mechenguil',19),(17246,'5613','Mina argentina',19),(17247,'5613','Mina ethel',19),(17248,'5613','Mina huemul',19),(17249,'5613','Mina santa cruz',19),(17250,'5613','Minacar',19),(17251,'5613','Molino',19),(17252,'5613','P planchon',19),(17253,'5613','Pampa amarilla',19),(17254,'5613','Pata mora',19),(17255,'5613','Patimalal',19),(17256,'5613','Payun',19),(17257,'5613','Po del huanaco',19),(17258,'5613','Po mallan',19),(17259,'5613','Po pehuenche',19),(17260,'5613','Portezuelo choique',19),(17261,'5613','Puerto rincon escalona',19),(17262,'5613','Puesto agua amarga',19),(17263,'5613','Puesto agua de la merina',19),(17264,'5613','Puesto atamisqui',19),(17265,'5613','Puesto gendarmeria nacional po',19),(17266,'5613','Puesto la cachaca',19),(17267,'5613','Puesto la invernada',19),(17268,'5613','Puesto la negrita',19),(17269,'5613','Puesto la niebla',19),(17270,'5613','Puesto la porteÑa',19),(17271,'5613','Puesto la suiza',19),(17272,'5613','Puesto la ventana',19),(17273,'5613','Puesto malo',19),(17274,'5613','Puesto rincon del sauce',19),(17275,'5613','Quircaco',19),(17276,'5613','Ranchitos',19),(17277,'5613','Ranquilco pozos petroliferos',19),(17278,'5613','Refugio militar gral alvarado',19),(17279,'5613','Rincon chico',19),(17280,'5613','Rincon de la ramada chato',19),(17281,'5613','Rincon escondido',19),(17282,'5613','Rio barrancas',19),(17283,'5613','Rio chico',19),(17284,'5613','Rio grande',19),(17285,'5613','Tapera de los viejos',19),(17286,'5613','Toscal del toro',19),(17287,'5613','V n de cochiquita',19),(17288,'5615','25 de mayo',19),(17289,'5615','Colonia pascual iacarini',19),(17290,'5615','Los reyunos',19),(17291,'5615','Piedra de afilar',19),(17292,'5620','El juncalito',19),(17293,'5620','El nevado',19),(17294,'5620','General alvear',19),(17295,'5620','Kilometro 56',19),(17296,'5620','Kilometro 882',19),(17297,'5620','La pomona',19),(17298,'5620','Villa comparto',19),(17299,'5621','Agua de torre',9),(17300,'5621','Agua escondida',19),(17301,'5621','Aguada de toro',19),(17302,'5621','CaÑadon de bonilla',19),(17303,'5621','Carmensa',19),(17304,'5621','Cerro del chacay',19),(17305,'5621','Cerro nevado',19),(17306,'5621','Cerro yalguaras',19),(17307,'5621','Cochico',19),(17308,'5621','El azufre',19),(17309,'5621','El ceibo',19),(17310,'5621','El desvio',19),(17311,'5621','El ventarron',19),(17312,'5621','Estancia chacaico',19),(17313,'5621','La california',19),(17314,'5621','Los compartos',19),(17315,'5621','Los corrales',19),(17316,'5621','Los tordillos',19),(17317,'5621','Posta de hierro',19),(17318,'5621','Poste de fierro',19),(17319,'5621','Puesto la caldenada',19),(17320,'5621','Puesto loreto',19),(17321,'5621','Puesto lunina',19),(17322,'5621','Punta del agua',19),(17323,'5621','San pedro de atuel',19),(17324,'5621','Tambito',19),(17325,'5622','Colonia jauregui',19),(17326,'5622','Colonia lopez',19),(17327,'5622','Finca lopez',19),(17328,'5622','La guevarina',19),(17329,'5622','La quebrada',19),(17330,'5622','Villa atuel',19),(17331,'5623','Atuel sud',19),(17332,'5623','Colonia atuel',19),(17333,'5623','Jaime prats',19),(17334,'5623','La vasconia',19),(17335,'5623','Negro quemado',19),(17336,'5624','Kilometro 47',19),(17337,'5624','Palermo chico',19),(17338,'5624','Real del padre',19),(17339,'5632','Colonia alvear',19),(17340,'5632','Colonia alvear oeste',19),(17341,'5632','Colonia bouquet',19),(17342,'5632','Compuertas negras',19),(17343,'5632','El retiro',19),(17344,'5632','La marzolina',19),(17345,'5632','Las compuertas negras',19),(17346,'5632','Pueblo luna',19),(17347,'5632','Soitue',19),(17348,'5633','Ochenta y cuatro',19),(17349,'5634','Bowen',19),(17350,'5634','Ciudad oeste',19),(17351,'5634','El banderon',19),(17352,'5634','El buen pastor',19),(17353,'5634','El refugio',19),(17354,'5634','Estancia el balderon',19),(17355,'5634','Estancia la cortadera',19),(17356,'5634','Estancia la varita',19),(17357,'5634','Kilometro 84',19),(17358,'5634','Kilometro 884',19),(17359,'5634','La adelina',19),(17360,'5634','La caldenada',19),(17361,'5634','La corona',19),(17362,'5634','La escandinava',19),(17363,'5634','La lunina',19),(17364,'5634','La montilla',19),(17365,'5634','La seÑa',19),(17366,'5634','La varita',19),(17367,'5634','Los amarillos',19),(17368,'5634','Los angeles',19),(17369,'5634','Los campamentos',19),(17370,'5634','Santa elena',19),(17371,'5634','Vuelta del zanjon',19),(17372,'5636','Canalejas',19),(17373,'5636','El aguila',19),(17374,'5636','El arbolito',19),(17375,'5636','Favelli',18),(17376,'5636','La mora',19),(17377,'5636','Los huarpes',19),(17378,'5636','Medanos colorados',19),(17379,'5636','Mojon ocho',19),(17380,'5636','Nueva constitucion',18),(17381,'5636','Paso de los gauchos',19),(17382,'5636','Pto los amarillos',19),(17383,'5636','Puesto de la corona',19),(17384,'5636','Puesto del buen pastor',19),(17385,'5636','Puesto la seÑa',19),(17386,'5636','Puesto vuelta del zanjon',19),(17387,'5636','Toscal',18),(17388,'5637','30 de octubre',18),(17389,'5637','Corral de lorca',19),(17390,'5637','Costa del diamante',19),(17391,'5637','El plumerito',18),(17392,'5637','La caÑada',18),(17393,'5637','La lechuga',18),(17394,'5637','Ovejeria',19),(17395,'5637','Pampa del tigre',19),(17396,'5637','Plumerito',18),(17397,'5637','Usiyal',18),(17398,'5645','El cenizo',19),(17399,'5700','Alto blanco',18),(17400,'5700','Alto grande',18),(17401,'5700','Cortaderas',18),(17402,'5700','El quebracho',18),(17403,'5700','La cortadera',18),(17404,'5700','La espesura',18),(17405,'5700','La nelida',18),(17406,'5700','Pescadores',18),(17407,'5700','Pozo escondido',18),(17408,'5700','Represa del monte',18),(17409,'5700','San luis',18),(17410,'5700','Santa teresa',18),(17411,'5700','Santo domingo',18),(17412,'5700','Tres marias',18),(17413,'5701','11 de mayo',18),(17414,'5701','9 de julio',18),(17415,'5701','Algarrobitos',18),(17416,'5701','Antihuasi',18),(17417,'5701','Arenilla',18),(17418,'5701','Balde de la isla',18),(17419,'5701','Buena ventura',18),(17420,'5701','Buena vista',18),(17421,'5701','CaÑada honda',18),(17422,'5701','CaÑada honda de guzman',18),(17423,'5701','Carolina',18),(17424,'5701','Casa de piedra',18),(17425,'5701','Cerro blanco',18),(17426,'5701','Cerro de piedra',18),(17427,'5701','Cerros largos',18),(17428,'5701','Chipical',18),(17429,'5701','Cruz de caÑa',18),(17430,'5701','Cruz de piedra',18),(17431,'5701','Cuchi corral',18),(17432,'5701','Daniel donovan',18),(17433,'5701','El amparo',18),(17434,'5701','El arenal',18),(17435,'5701','El chorrillo',18),(17436,'5701','El durazno',18),(17437,'5701','El manantial escondido',18),(17438,'5701','El tala',18),(17439,'5701','El talita',18),(17440,'5701','El valle',18),(17441,'5701','El volcan',18),(17442,'5701','Embalse la florida',18),(17443,'5701','Estancia grande',18),(17444,'5701','Gruta de intihuasi',18),(17445,'5701','Hinojito',18),(17446,'5701','Intihuasi',18),(17447,'5701','Isla',18),(17448,'5701','Juana koslay',18),(17449,'5701','La alianza',18),(17450,'5701','La bajada',18),(17451,'5701','La calaguala',18),(17452,'5701','La cienaga',18),(17453,'5701','La florida',18),(17454,'5701','La higuerita',18),(17455,'5701','La pampa',18),(17456,'5701','La vertiente',18),(17457,'5701','Laguna brava',18),(17458,'5701','Las barranquitas',18),(17459,'5701','Las chacras de san martin',18),(17460,'5701','Los arroyos',18),(17461,'5701','Los carricitos',18),(17462,'5701','Los montes',18),(17463,'5701','Los pasitos',18),(17464,'5701','Los puquios',18),(17465,'5701','Los tapiales',18),(17466,'5701','Manantial blanco',18),(17467,'5701','Maray',18),(17468,'5701','Marmol verde',18),(17469,'5701','Mina carolina',18),(17470,'5701','Mina santo domingo',18),(17471,'5701','Monte chiquito',18),(17472,'5701','Ojo de agua',18),(17473,'5701','Pampa de los gobernadores',18),(17474,'5701','Pampa del tamborero',18),(17475,'5701','Pampita',18),(17476,'5701','Pantanillos',18),(17477,'5701','Paso de cuero',18),(17478,'5701','Paso del rey',18),(17479,'5701','Paso juan gomez',18),(17480,'5701','Potrero de los funes',18),(17481,'5701','Quebrada de la burra',18),(17482,'5701','Rio grande',18),(17483,'5701','San jose de los chaÑares',18),(17484,'5701','San miguel',18),(17485,'5701','San roque',18),(17486,'5701','Santa clara',18),(17487,'5701','Saucesito',18),(17488,'5701','Sol de abril (dpto-san martin)',18),(17489,'5701','Solobasta',18),(17490,'5701','Talarcito',18),(17491,'5701','Totoral',18),(17492,'5701','Trapiche',18),(17493,'5701','Tukiros',18),(17494,'5701','Valle de la pancanta',18),(17495,'5701','Vallecito',18),(17496,'5701','Virarco',18),(17497,'5703','6 de septiembre',18),(17498,'5703','Ahi veremos',18),(17499,'5703','Alta gracia',18),(17500,'5703','Alto',18),(17501,'5703','Arbol solo',18),(17502,'5703','Balde de amira',18),(17503,'5703','Balde del rosario',18),(17504,'5703','Barranca colorada',18),(17505,'5703','Barrial',18),(17506,'5703','CaÑada angosta',18),(17507,'5703','Divisadero',18),(17508,'5703','El bagual',18),(17509,'5703','El balde',18),(17510,'5703','El chaÑar',18),(17511,'5703','El espinillo',18),(17512,'5703','El paraiso',18),(17513,'5703','El potrero de leyes',18),(17514,'5703','El salto',18),(17515,'5703','El zampal',18),(17516,'5703','Espinillo',18),(17517,'5703','Hipolito yrigoyen',18),(17518,'5703','La chilca',18),(17519,'5703','La corina',18),(17520,'5703','La duda',18),(17521,'5703','La escondida',18),(17522,'5703','La esperanza',18),(17523,'5703','La eulogia',18),(17524,'5703','La garza',18),(17525,'5703','La julia',18),(17526,'5703','La majada',18),(17527,'5703','La quebrada',18),(17528,'5703','La salud',18),(17529,'5703','La sandia',18),(17530,'5703','La serrana',18),(17531,'5703','La union',18),(17532,'5703','Las caritas',18),(17533,'5703','Las lomas',18),(17534,'5703','Leandro n alem',18),(17535,'5703','Longari',18),(17536,'5703','Los algarrobos',18),(17537,'5703','Los chaÑares',18),(17538,'5703','Los molles',18),(17539,'5703','Los ramblones',18),(17540,'5703','Manantiales',18),(17541,'5703','Nogoli',18),(17542,'5703','Paliguanta',18),(17543,'5703','Paraiso',18),(17544,'5703','Pozo del carril',18),(17545,'5703','Pozo del espinillo',18),(17546,'5703','Pozo del tala',18),(17547,'5703','Pozo santiago',18),(17548,'5703','Pozo simon',18),(17549,'5703','Represa del chaÑar',18),(17550,'5703','Retamo',18),(17551,'5703','Retiro',18),(17552,'5703','Rumiguasi',18),(17553,'5703','San jose',18),(17554,'5703','San raimundo',18),(17555,'5703','San roque',18),(17556,'5703','Taza blanca',18),(17557,'5703','Toro negro',18),(17558,'5703','Villa de la quebrada',18),(17559,'5703','Villa general roca',18),(17560,'5703','Vizcacheras',18),(17561,'5705','Agua hedionda',18),(17562,'5705','Balde hondo',18),(17563,'5705','Banda sud',18),(17564,'5705','BaÑado lindo',18),(17565,'5705','Bella vista',18),(17566,'5705','Campanario',18),(17567,'5705','La bava',18),(17568,'5705','La porfia',18),(17569,'5705','La represita',18),(17570,'5705','Las salinas',18),(17571,'5705','Maravilla',18),(17572,'5705','Pampa invernada',18),(17573,'5705','Posta del portezuelo',18),(17574,'5705','Pozo cavado',18),(17575,'5705','Pozo de los rayos',18),(17576,'5705','Puerto rico',18),(17577,'5705','Puesto pampa invernada',18),(17578,'5705','Puesto quebrada cal',18),(17579,'5705','Ramadita',18),(17580,'5705','Ramblones',18),(17581,'5705','Rio juan gomez',18),(17582,'5705','Rodeo cadenas',18),(17583,'5705','San fco del monte de oro',18),(17584,'5705','Socoscora',18),(17585,'5705','Tintitaco',18),(17586,'5707','Aguaditas',18),(17587,'5707','Algarrobal',18),(17588,'5707','Balde de arriba',18),(17589,'5707','Balde de azcurra',18),(17590,'5707','Balde de puertas',18),(17591,'5707','Baldecito la pampa',18),(17592,'5707','BaÑado',18),(17593,'5707','Barriales',18),(17594,'5707','Barzola',18),(17595,'5707','Bella vista',18),(17596,'5707','Botijas',18),(17597,'5707','Cantantal',18),(17598,'5707','Carmelo',18),(17599,'5707','Cerro bayo',18),(17600,'5707','Cerro negro',18),(17601,'5707','Chimbas',18),(17602,'5707','Chimborazo',18),(17603,'5707','El mollarcito',18),(17604,'5707','El payero',18),(17605,'5707','El rincon',18),(17606,'5707','El verano',18),(17607,'5707','La patria',18),(17608,'5707','La salvadora',18),(17609,'5707','Las lagunitas',18),(17610,'5707','Las mesias',18),(17611,'5707','Las pampitas',18),(17612,'5707','Lindo',18),(17613,'5707','Los almacigos',18),(17614,'5707','Los mendocinos',18),(17615,'5707','Monte carmelo',18),(17616,'5707','Pampa grande',18),(17617,'5707','Paso de piedra',18),(17618,'5707','Pastal',18),(17619,'5707','PeÑon colorado',18),(17620,'5707','Pozo del molle',18),(17621,'5707','Reconquista',18),(17622,'5707','San rufino',18),(17623,'5707','San salvador',18),(17624,'5707','Santa victoria',18),(17625,'5707','Santo domingo',18),(17626,'5707','Serafina',18),(17627,'5707','Sol de abril',18),(17628,'5707','Temeraria',18),(17629,'5707','Vista alegre',18),(17630,'5707','Zampal',18),(17631,'5709','BaÑadito viejo',18),(17632,'5709','CaÑada quemada',18),(17633,'5709','Cebollar',18),(17634,'5709','Consulta',18),(17635,'5709','Corral de piedra',18),(17636,'5709','El manantial',18),(17637,'5709','El molino',18),(17638,'5709','La esquina',18),(17639,'5709','La legua',18),(17640,'5709','Los pejes',18),(17641,'5709','Lujan',18),(17642,'5709','Manantial',18),(17643,'5709','Santa rufina',18),(17644,'5709','Santa teresita',18),(17645,'5711','Angelita',18),(17646,'5711','Bajada',18),(17647,'5711','Balde retamo',18),(17648,'5711','Balde viejo',18),(17649,'5711','BaÑadito',18),(17650,'5711','BaÑado de cautana',18),(17651,'5711','BaÑos zapallar',18),(17652,'5711','Becerra',18),(17653,'5711','El baÑado',18),(17654,'5711','El calden',18),(17655,'5711','El chaÑar',18),(17656,'5711','El injerto',18),(17657,'5711','El potrerillo',18),(17658,'5711','El puesto',18),(17659,'5711','El quebracho',18),(17660,'5711','El retamo',18),(17661,'5711','El rio',18),(17662,'5711','El zapallar',18),(17663,'5711','Entre rios',18),(17664,'5711','Estancia la blanca',18),(17665,'5711','Estancia la union',18),(17666,'5711','La aguada',18),(17667,'5711','La brea',18),(17668,'5711','La florida',18),(17669,'5711','La linea',18),(17670,'5711','La represita',18),(17671,'5711','La union',18),(17672,'5711','La vertiente',18),(17673,'5711','Las claritas',18),(17674,'5711','Las playas',18),(17675,'5711','Las puertas',18),(17676,'5711','Los chenas',18),(17677,'5711','Los molles',18),(17678,'5711','Naranjo',18),(17679,'5711','Paso del medio',18),(17680,'5711','Pie de la cuesta',18),(17681,'5711','Puesto de tabares',18),(17682,'5711','Puesto talar',18),(17683,'5711','Puntos de la linea',18),(17684,'5711','Quebrada del tigre',18),(17685,'5711','Quines',18),(17686,'5711','Represa del monte',18),(17687,'5711','San miguel',18),(17688,'5711','Sant ana',18),(17689,'5711','Santa clara',18),(17690,'5711','Talita',18),(17691,'5713','Balde ahumada',18),(17692,'5713','Balde de guardia',18),(17693,'5713','Balde de la linea',18),(17694,'5713','Balde de torres',18),(17695,'5713','Balde el carril',18),(17696,'5713','Baldecito',18),(17697,'5713','Candelaria',18),(17698,'5713','El cadillo',18),(17699,'5713','El hormiguero',18),(17700,'5713','El mollar',18),(17701,'5713','El puestito',18),(17702,'5713','El sembrado',18),(17703,'5713','La bajada',18),(17704,'5713','La colonia',18),(17705,'5713','La medula',18),(17706,'5713','La moderna',18),(17707,'5713','La plata',18),(17708,'5713','La ramada',18),(17709,'5713','La resistencia',18),(17710,'5713','La sirena',18),(17711,'5713','La tusca',18),(17712,'5713','Las bajadas',18),(17713,'5713','Las chimbas',18),(17714,'5713','Las playas argentinas',18),(17715,'5713','Los arces',18),(17716,'5713','Medano bello',18),(17717,'5713','Patio limpio',18),(17718,'5713','Puesto roberto',18),(17719,'5713','Quebrachito',18),(17720,'5713','Salinas',18),(17721,'5713','San celestino',18),(17722,'5713','San martin',18),(17723,'5713','San pedro',18),(17724,'5713','Tres caÑadas',18),(17725,'5714','La firmeza',6),(17726,'5715','Arbol verde',18),(17727,'5715','Balde de escudero',18),(17728,'5715','Balde de garcia',18),(17729,'5715','Balde de guiÑazu',18),(17730,'5715','Balde de ledesma',18),(17731,'5715','Balde de monte',18),(17732,'5715','Balde de nuevo',18),(17733,'5715','Balde de quines',18),(17734,'5715','Balde del escudero',18),(17735,'5715','Bella vista',7),(17736,'5715','CaÑada',18),(17737,'5715','El alto',18),(17738,'5715','El barrial',18),(17739,'5715','El pocito',18),(17740,'5715','El tembleque',18),(17741,'5715','Florida',18),(17742,'5715','Islitas',18),(17743,'5715','Las cabras',18),(17744,'5715','Las islitas',18),(17745,'5715','Las palomas',18),(17746,'5715','Las rosadas',18),(17747,'5715','Los algarrobitos',18),(17748,'5715','Los cerrillos',18),(17749,'5715','Pocitos',18),(17750,'5715','Pozo del medio',18),(17751,'5715','San jorge',18),(17752,'5715','Santa lucia',18),(17753,'5715','Santa lucinda',18),(17754,'5717','El calden',13),(17755,'5717','El pimpollo',18),(17756,'5717','Kilometro 732',13),(17757,'5719','Agua amarga',18),(17758,'5719','Aguadita',18),(17759,'5719','Alazanas',18),(17760,'5719','Algarrobos grandes',18),(17761,'5719','Altillo',18),(17762,'5719','Alto negro',18),(17763,'5719','Bajo de la cruz',18),(17764,'5719','Bebida',18),(17765,'5719','Bella estancia',18),(17766,'5719','CaÑada de vilan',18),(17767,'5719','Chacras del cantaro',18),(17768,'5719','Charlone',18),(17769,'5719','Charlones',18),(17770,'5719','El calden',18),(17771,'5719','El carmen',18),(17772,'5719','El charabon',18),(17773,'5719','El dichoso',18),(17774,'5719','El jarillal',18),(17775,'5719','El molle',18),(17776,'5719','El pedernal',18),(17777,'5719','El ramblon',18),(17778,'5719','El valle',18),(17779,'5719','Estancia el medano',18),(17780,'5719','Estancia rivadavia',18),(17781,'5719','Estancia san roque',18),(17782,'5719','Gigante',18),(17783,'5719','Gualtaran',18),(17784,'5719','Hualtaran',18),(17785,'5719','La aguada',18),(17786,'5719','La alameda',18),(17787,'5719','La calera',18),(17788,'5719','La chaÑarienta',18),(17789,'5719','La empajada',18),(17790,'5719','La estrella',18),(17791,'5719','La florida',18),(17792,'5719','La josefa',18),(17793,'5719','La juanita',18),(17794,'5719','La merced',18),(17795,'5719','La primavera',18),(17796,'5719','La yesera',18),(17797,'5719','Las barrancas',18),(17798,'5719','Las galeras',18),(17799,'5719','Las lagunas',18),(17800,'5719','Los aguados',18),(17801,'5719','Los araditos',18),(17802,'5719','Los cerritos',18),(17803,'5719','Los chancaros',18),(17804,'5719','Los talas',18),(17805,'5719','Los telarios',18),(17806,'5719','Monte verde',18),(17807,'5719','Moyarcito',18),(17808,'5719','Portezuelo',18),(17809,'5719','Puerto alegre',18),(17810,'5719','Punta de la sierra',18),(17811,'5719','Recreo',18),(17812,'5719','Represa del carmen',18),(17813,'5719','Romance',18),(17814,'5719','San agustin',18),(17815,'5719','San antonio',18),(17816,'5719','San geronimo',18),(17817,'5719','San isidro',18),(17818,'5719','San jose',18),(17819,'5719','San pedro',18),(17820,'5719','San roque',18),(17821,'5719','Santa ana',18),(17822,'5719','Santa maria',18),(17823,'5719','Santa rosa',18),(17824,'5719','Santa rosa del gigante',18),(17825,'5719','Tres lomas',18),(17826,'5719','Tres puertas',18),(17827,'5721','Agua seballe',18),(17828,'5721','Aguas de piedras',18),(17829,'5721','Alto del valle',18),(17830,'5721','Alto pelado',18),(17831,'5721','Beazley',18),(17832,'5721','CaÑa larga',18),(17833,'5721','Cerro varela',18),(17834,'5721','Cerro viejo',18),(17835,'5721','Chalanta',18),(17836,'5721','Chichaquita',18),(17837,'5721','Chischaca',18),(17838,'5721','Colonia santa virginia',18),(17839,'5721','El cazador',18),(17840,'5721','El molle',18),(17841,'5721','El socorro',18),(17842,'5721','El totoral',18),(17843,'5721','Estacion zanjitas',18),(17844,'5721','Fortin salto',18),(17845,'5721','Gorgonta',18),(17846,'5721','Huejeda',18),(17847,'5721','La agua nueva',18),(17848,'5721','La amarga',18),(17849,'5721','La bonita',18),(17850,'5721','La caÑada',18),(17851,'5721','La costa',18),(17852,'5721','La dulce',18),(17853,'5721','La emilia',18),(17854,'5721','La irene',18),(17855,'5721','La jerga',18),(17856,'5721','La peregrina',18),(17857,'5721','La represa',18),(17858,'5721','La seÑa',18),(17859,'5721','La tosca',18),(17860,'5721','La totora',18),(17861,'5721','La verde',18),(17862,'5721','Las colonias',18),(17863,'5721','Las gamas',18),(17864,'5721','Las lagunitas',18),(17865,'5721','Las piedritas',18),(17866,'5721','Las tres caÑadas',18),(17867,'5721','Las vizcacheras',18),(17868,'5721','Los cerrillos',18),(17869,'5721','Los chaÑaritos',18),(17870,'5721','Los claveles',18),(17871,'5721','Los coros',18),(17872,'5721','Mosmota',18),(17873,'5721','Paje',18),(17874,'5721','Paso ancho',18),(17875,'5721','Paso de la tierra',18),(17876,'5721','Paso de las salinas',18),(17877,'5721','Paso de las toscas',18),(17878,'5721','Paso de las vacas',18),(17879,'5721','Paso de los bayos',18),(17880,'5721','Pozo cercado',18),(17881,'5721','Puente la orqueta',18),(17882,'5721','Puerta de la isla',18),(17883,'5721','Puesto de los jumes',18),(17884,'5721','Punta del cerro',18),(17885,'5721','Puntos de agua',18),(17886,'5721','Salitral',18),(17887,'5721','Salto chico',18),(17888,'5721','San antonio',18),(17889,'5721','San geronimo',18),(17890,'5721','San jorge',18),(17891,'5721','San martin',18),(17892,'5721','San vicente',18),(17893,'5721','Santa isabel',18),(17894,'5721','Santo domingo',18),(17895,'5721','Tamascanes',18),(17896,'5721','Transval',18),(17897,'5721','Travesia',18),(17898,'5721','Tres caÑadas',18),(17899,'5721','Vacas muertas',18),(17900,'5721','Varela',18),(17901,'5722','Acasape',18),(17902,'5722','Alto del leon',18),(17903,'5722','Alto grande',18),(17904,'5722','Balda',18),(17905,'5722','Campo de san pedro',18),(17906,'5722','El riecito',18),(17907,'5722','Eleodoro lobos',18),(17908,'5722','Juan w gez',18),(17909,'5722','La delia',18),(17910,'5722','La maria',18),(17911,'5722','La yerba buena',18),(17912,'5722','Las caÑitas',18),(17913,'5722','Las higueras',18),(17914,'5722','Lince',18),(17915,'5722','Santa dionisia',18),(17916,'5724','Alto pencoso',18),(17917,'5724','Balde',18),(17918,'5724','Bebedero',18),(17919,'5724','Bella vista',18),(17920,'5724','Chosmes',18),(17921,'5724','El charco',18),(17922,'5724','El lechuzo',18),(17923,'5724','El mataco',18),(17924,'5724','El milagro',18),(17925,'5724','El negro',18),(17926,'5724','Guasquita',18),(17927,'5724','Jarilla',18),(17928,'5724','La brea',18),(17929,'5724','La cabra',18),(17930,'5724','La reforma',18),(17931,'5724','La selva',18),(17932,'5724','La union',18),(17933,'5724','Laguna seca',18),(17934,'5724','Los jagueles',18),(17935,'5724','Los tamariÑos',18),(17936,'5724','Mantilla',18),(17937,'5724','Mataco',18),(17938,'5724','Negro muerto',18),(17939,'5724','Palomar',18),(17940,'5724','Paso los algarrobos',18),(17941,'5724','Reforma chica',18),(17942,'5724','Salinas del bebedero',18),(17943,'5724','San antonio',18),(17944,'5724','Santa rita',18),(17945,'5730','20 de febrero',18),(17946,'5730','Agua del portezuelo',18),(17947,'5730','Chacra la primavera',18),(17948,'5730','Ciudad jardin de san luis',18),(17949,'5730','Coronel alzogaray',18),(17950,'5730','El chaÑar',18),(17951,'5730','El dique',18),(17952,'5730','El fortin',18),(17953,'5730','Estancia el chamico',18),(17954,'5730','Estancia el divisadero',18),(17955,'5730','Estancia el quebrachal',18),(17956,'5730','Estancia el saucecito',18),(17957,'5730','Estancia la guardia',18),(17958,'5730','Estancia la reserva',18),(17959,'5730','Estancia la zulemita',18),(17960,'5730','Estancia las bebidas',18),(17961,'5730','Estancia los hermanos',18),(17962,'5730','Estancia los nogales',18),(17963,'5730','Estancia san alberto',18),(17964,'5730','Estancia san francisco',18),(17965,'5730','La negra',18),(17966,'5730','La primavera',18),(17967,'5730','Las palmas',18),(17968,'5730','Lavaisse',18),(17969,'5730','Liborio luna',18),(17970,'5730','Marlito',18),(17971,'5730','Medano chico',18),(17972,'5730','Medano grande',18),(17973,'5730','Pedernera',18),(17974,'5730','Puesto bella vista',18),(17975,'5730','Puesto el tala',18),(17976,'5730','San ramon',18),(17977,'5730','Santa clara',18),(17978,'5730','Tres esquinas',18),(17979,'5730','Villa mercedes',18),(17980,'5730','Villa santiago',18),(17981,'5730','Vista hermosa',18),(17982,'5731','Alfaland',18),(17983,'5731','Cerro blanco',18),(17984,'5731','Cerro negro',18),(17985,'5731','El morro',18),(17986,'5731','El pasajero',18),(17987,'5731','El plateado',18),(17988,'5731','El sarco',18),(17989,'5731','Estancia la guillermina',18),(17990,'5731','Estancia la morena',18),(17991,'5731','Estancia san antonio',18),(17992,'5731','Juan jorba',18),(17993,'5731','Juante',18),(17994,'5731','La angelina',18),(17995,'5731','La bertita',18),(17996,'5731','La gama',18),(17997,'5731','La iberia',18),(17998,'5731','La javiera',18),(17999,'5731','La negrita',18),(18000,'5731','La portada',18),(18001,'5731','Las carolinas',18),(18002,'5731','Las praderas',18),(18003,'5731','Lomas blancas',18),(18004,'5731','Los cisnes',18),(18005,'5731','San juan de tastu',18),(18006,'5731','Tasto',18),(18007,'5731','Viscacheras',18),(18008,'5733','Cramer',18),(18009,'5733','Villa reynolds',18),(18010,'5735','Colonia bella vista',18),(18011,'5735','Isondu',18),(18012,'5735','Juan llerena',18),(18013,'5735','La venecia',18),(18014,'5736','Comandante granville',18),(18015,'5736','Fraga',18),(18016,'5736','La adela',18),(18017,'5736','La cautiva',18),(18018,'5736','Medanos',18),(18019,'5736','Paines',18),(18020,'5736','Paso de las carretas',18),(18021,'5736','San ignacio',18),(18022,'5738','Avanzada',18),(18023,'5738','Caldenadas',18),(18024,'5738','Colonia luna',18),(18025,'5738','El carmen',18),(18026,'5738','El mangrullo',18),(18027,'5738','El nasao',18),(18028,'5738','General pedernera',18),(18029,'5738','Justo daract',18),(18030,'5738','Kilometro 656',18),(18031,'5738','La carmen',18),(18032,'5738','La elida',18),(18033,'5738','La garrapata',18),(18034,'5738','La magdalena',18),(18035,'5738','La mascota',18),(18036,'5738','La tula',18),(18037,'5738','Las encadenadas',18),(18038,'5738','Las meladas',18),(18039,'5738','Las totoritas',18),(18040,'5738','Los cesares',18),(18041,'5738','Los esquineros',18),(18042,'5738','Los medanos',18),(18043,'5738','Los pozos',18),(18044,'5738','Paunero',5),(18045,'5738','Rio quinto',18),(18046,'5738','Santa catalina',18),(18047,'5741','13 de enero',18),(18048,'5741','Alto verde',18),(18049,'5741','Aviador origone',18),(18050,'5741','Bajos hondos',18),(18051,'5741','Capelen',18),(18052,'5741','El calden',18),(18053,'5741','La elisa',18),(18054,'5741','La flecha',18),(18055,'5741','La josefina',18),(18056,'5741','La palmira',18),(18057,'5741','La realidad',18),(18058,'5741','La silesia',18),(18059,'5741','Laguna capelen',18),(18060,'5741','Laguna sayape',18),(18061,'5741','Nossar',18),(18062,'5741','Portada del sauce',18),(18063,'5741','San jose del durazno',18),(18064,'5743','La isabel',18),(18065,'5743','Nueva escocia',18),(18066,'5743','San camilo',18),(18067,'5750','Alto de la leÑa',18),(18068,'5750','Arboleda',18),(18069,'5750','Canteras santa isabel',18),(18070,'5750','CaÑada del pasto',18),(18071,'5750','CaÑada san antonio',18),(18072,'5750','Casas viejas',18),(18073,'5750','Cerro de la pila',18),(18074,'5750','Cerro verde',18),(18075,'5750','Cuatro esquinas',18),(18076,'5750','Dique la florida',18),(18077,'5750','El blanco',18),(18078,'5750','El portezuelo',18),(18079,'5750','El pozo',18),(18080,'5750','El rosario',18),(18081,'5750','El salado',18),(18082,'5750','El vallecito',18),(18083,'5750','Establecimiento las flores',18),(18084,'5750','Estancia el salado',18),(18085,'5750','La aguada',18),(18086,'5750','La alameda',18),(18087,'5750','La atalaya',18),(18088,'5750','La caÑada',18),(18089,'5750','La fragua',18),(18090,'5750','La justa',18),(18091,'5750','La providencia',18),(18092,'5750','La rinconada',18),(18093,'5750','La toma',18),(18094,'5750','Las delicias',18),(18095,'5750','Las flores',18),(18096,'5750','Las peÑas',18),(18097,'5750','Las rosas',18),(18098,'5750','Loma del medio',18),(18099,'5750','Ojo de agua',18),(18100,'5750','Piedras blancas',18),(18101,'5750','Quebrada honda',18),(18102,'5750','Riecito',18),(18103,'5750','San antonio',18),(18104,'5750','Santa isabel',18),(18105,'5750','Sololosta',18),(18106,'5750','Tamboreo',18),(18107,'5750','Yacoro',18),(18108,'5751','Agua salada',18),(18109,'5751','El chaÑar',18),(18110,'5751','El talita',18),(18111,'5751','La arboleda',18),(18112,'5751','La petra',18),(18113,'5751','La totora',18),(18114,'5751','Los medanitos',18),(18115,'5751','Los membrillos',18),(18116,'5751','Manantial grande',18),(18117,'5751','Saladillo',18),(18118,'5751','San gregorio',18),(18119,'5751','Santa clara',18),(18120,'5753','Agua linda',18),(18121,'5753','Ancamilla',18),(18122,'5753','Arroyo la cal',18),(18123,'5753','Bajo de conlara',18),(18124,'5753','Bajo la laguna',18),(18125,'5753','CaÑada blanca',18),(18126,'5753','CaÑada del puestito',18),(18127,'5753','CaÑada la tienda',18),(18128,'5753','CaÑada quemada',18),(18129,'5753','Casa de condor',18),(18130,'5753','Casa de piedra',18),(18131,'5753','Cerrito',18),(18132,'5753','Cerro colorado',18),(18133,'5753','Chacritas',18),(18134,'5753','Chutunsa',18),(18135,'5753','Consuelo',18),(18136,'5753','Corral del tala',18),(18137,'5753','Corrales',18),(18138,'5753','Cruz brillante',18),(18139,'5753','Dormida',18),(18140,'5753','El baldecito',18),(18141,'5753','El burrito',18),(18142,'5753','El cardal',18),(18143,'5753','El cerrito',18),(18144,'5753','El condor',18),(18145,'5753','El coro',18),(18146,'5753','El pajarete',18),(18147,'5753','El pantanillo',18),(18148,'5753','El pantano',18),(18149,'5753','El paraguay',18),(18150,'5753','El progreso',18),(18151,'5753','El puerto',18),(18152,'5753','El salado',18),(18153,'5753','El salto',18),(18154,'5753','El talita',18),(18155,'5753','El valle',18),(18156,'5753','Hinojos',18),(18157,'5753','Hornito',18),(18158,'5753','La agueda',18),(18159,'5753','La carmencita',18),(18160,'5753','La dora',18),(18161,'5753','La esperanza',18),(18162,'5753','La esquina',18),(18163,'5753','La esquina del rio',18),(18164,'5753','La estancia',18),(18165,'5753','La huerta',18),(18166,'5753','La ramada',18),(18167,'5753','La totora',18),(18168,'5753','La ulbara',18),(18169,'5753','Laguna larga',18),(18170,'5753','Las chacras',18),(18171,'5753','Las chacritas',18),(18172,'5753','Las flores',18),(18173,'5753','Las lajas',18),(18174,'5753','Las lomas',18),(18175,'5753','Las mangas',18),(18176,'5753','Las toscas',18),(18177,'5753','Los alamos',18),(18178,'5753','Los algarrobos',18),(18179,'5753','Los comederos',18),(18180,'5753','Los corrales',18),(18181,'5753','Los hinojos',18),(18182,'5753','Los lechuzones',18),(18183,'5753','Los molles',18),(18184,'5753','Los sauces',18),(18185,'5753','Los talas',18),(18186,'5753','Manantial lindo',18),(18187,'5753','Ojo de agua',18),(18188,'5753','Pampa del bajo',18),(18189,'5753','Pantanillo',18),(18190,'5753','Paso grande',18),(18191,'5753','Piedra bola',18),(18192,'5753','Piedra larga',18),(18193,'5753','Piedra rosada',18),(18194,'5753','Piedra sola',18),(18195,'5753','Planta de sandia',18),(18196,'5753','Potrerillo',18),(18197,'5753','Pozo seco',18),(18198,'5753','Puestito',18),(18199,'5753','Quebrada de los barrosos',18),(18200,'5753','San fernando',18),(18201,'5753','San isidro',18),(18202,'5753','San jose',18),(18203,'5753','San lorenzo',18),(18204,'5753','San miguel',18),(18205,'5753','San pedro',18),(18206,'5753','San rafael',18),(18207,'5753','San ramon',18),(18208,'5753','Sauce',18),(18209,'5753','Venta de los rios',18),(18210,'5753','Villa de praga',18),(18211,'5755','Alto del molle',18),(18212,'5755','Alto del valle',18),(18213,'5755','CaÑaditas',18),(18214,'5755','Cerrito negro',18),(18215,'5755','Cueva de tigre',18),(18216,'5755','El bajo',18),(18217,'5755','El hornito',18),(18218,'5755','El paraiso',18),(18219,'5755','El peje',18),(18220,'5755','El puesto',18),(18221,'5755','El rincon',18),(18222,'5755','Fortuna de san juan',18),(18223,'5755','La huertita',18),(18224,'5755','La mina',18),(18225,'5755','La puerta',18),(18226,'5755','Las barranquitas',18),(18227,'5755','Las chacras de san martin',18),(18228,'5755','Las higueras',18),(18229,'5755','Los poleos',18),(18230,'5755','Manantial',18),(18231,'5755','Media luna',18),(18232,'5755','Pampa',18),(18233,'5755','Piedras anchas',18),(18234,'5755','Puerta de palo',18),(18235,'5755','Quebrada de la mora',18),(18236,'5755','Quebrada de san vicente',18),(18237,'5755','Salado',18),(18238,'5755','San martin',18),(18239,'5757','San lorenzo',18),(18240,'5759','Calera argentina',18),(18241,'5759','Caleras caÑada grande',18),(18242,'5759','Conlara',18),(18243,'5759','El puesto',18),(18244,'5759','Guanaco',18),(18245,'5759','Huchisson',18),(18246,'5759','La guardia',18),(18247,'5759','La suiza',18),(18248,'5759','Las canteras',18),(18249,'5759','Los corralitos',18),(18250,'5759','Los mollecitos',18),(18251,'5759','Manantial de renca',18),(18252,'5759','Mollecito',18),(18253,'5759','Naschel',18),(18254,'5759','Piedras chatas',18),(18255,'5759','Retazo del monte',18),(18256,'5759','San felipe',18),(18257,'5763','General urquiza',18),(18258,'5770','Chacras viejas',18),(18259,'5770','Concaran',18),(18260,'5770','El arroyo',18),(18261,'5770','El baÑado',18),(18262,'5770','El calden',18),(18263,'5770','El cavado',18),(18264,'5770','El cerro',18),(18265,'5770','El poleo',18),(18266,'5770','El sauce',18),(18267,'5770','El socorro',18),(18268,'5770','Fenoglio',18),(18269,'5770','La elvira',18),(18270,'5770','La gramilla',18),(18271,'5770','Las nieves',18),(18272,'5770','Los comedores',18),(18273,'5770','Los puestos',18),(18274,'5770','Los quebrachos',18),(18275,'5770','Mina los condores',18),(18276,'5770','San vicente',18),(18277,'5770','Santa martina',18),(18278,'5770','Santa simona',18),(18279,'5770','Villa dolores',18),(18280,'5771','Alanices',18),(18281,'5771','Arboles blancos',18),(18282,'5771','Arroyo de vilches',18),(18283,'5771','Barranquitas',18),(18284,'5771','Cabeza de novillo',18),(18285,'5771','Cain de los tigres',18),(18286,'5771','CaÑada de atras',18),(18287,'5771','CaÑada de los tigres',18),(18288,'5771','Cortaderas',18),(18289,'5771','El rodeo',18),(18290,'5771','El salado de amaya',18),(18291,'5771','El salvador',18),(18292,'5771','Guanaco pampa',18),(18293,'5771','Huertas',18),(18294,'5771','La aurora',18),(18295,'5771','La chilla',18),(18296,'5771','La sala',18),(18297,'5771','Laguna de patos',18),(18298,'5771','Las aguadas',18),(18299,'5771','Los lobos',18),(18300,'5771','Pampa grande',18),(18301,'5771','Puerta colorada',18),(18302,'5771','Rincon del carmen',18),(18303,'5771','Salado de amaya',18),(18304,'5771','San isidro',18),(18305,'5771','Tala verde',18),(18306,'5771','Totoral',18),(18307,'5771','Totorilla',18),(18308,'5771','Unquillo',18),(18309,'5773','CaÑada',18),(18310,'5773','CaÑada de las lagunas',18),(18311,'5773','CaÑitas',18),(18312,'5773','ChaÑar de la legua',18),(18313,'5773','Crucecitas',18),(18314,'5773','Cuatro esquinas',18),(18315,'5773','Divisadero',18),(18316,'5773','Duraznito',18),(18317,'5773','El olmo',18),(18318,'5773','El poleo',18),(18319,'5773','El porvenir',18),(18320,'5773','El torcido',18),(18321,'5773','El totoral',18),(18322,'5773','El vallecito',18),(18323,'5773','Ensenada',18),(18324,'5773','Guzman',18),(18325,'5773','La armonia',18),(18326,'5773','La cocha',18),(18327,'5773','La cristina',18),(18328,'5773','La crucesita',18),(18329,'5773','La elvira',18),(18330,'5773','La estanzuela',18),(18331,'5773','La florida',18),(18332,'5773','La mesilla',18),(18333,'5773','La riojita',18),(18334,'5773','Laguna de la caÑada',18),(18335,'5773','Laguna de los patos',18),(18336,'5773','Las caÑas',18),(18337,'5773','Las lagunas',18),(18338,'5773','Las raices',18),(18339,'5773','Los condores',18),(18340,'5773','Los duraznitos',18),(18341,'5773','Los manantiales',18),(18342,'5773','Los noques',18),(18343,'5773','Otra banda',18),(18344,'5773','Paso de los algarrobos',18),(18345,'5773','Pozo frio',18),(18346,'5773','Puente hierro',18),(18347,'5773','Punta de la loma',18),(18348,'5773','Punta del alto',18),(18349,'5773','Riojita',18),(18350,'5773','San pablo',18),(18351,'5773','Santa maria',18),(18352,'5773','Selci',18),(18353,'5773','Tilisarao',18),(18354,'5773','Vieja estancia',18),(18355,'5775','Bajo grande',18),(18356,'5775','El algarrobal',18),(18357,'5775','La escondida',18),(18358,'5775','Los sauces',18),(18359,'5775','Manantial de flores',18),(18360,'5775','Piscoyaco',18),(18361,'5775','Renca',18),(18362,'5775','San ramon sud',18),(18363,'5775','Valle san agustin',18),(18364,'5775','Valle san jose',18),(18365,'5777','Adolfo rodriguez saa',18),(18366,'5777','Barrio blanco',18),(18367,'5777','CaÑada de la negra',18),(18368,'5777','CaÑada grande',18),(18369,'5777','CaÑada verde',18),(18370,'5777','Cerrito blanco',18),(18371,'5777','Chilcas',18),(18372,'5777','Corral de torres',18),(18373,'5777','Duraznito',18),(18374,'5777','El pueblito',18),(18375,'5777','Invernada',18),(18376,'5777','Las chilcas',18),(18377,'5777','Las tigras',18),(18378,'5777','Los arguellos',18),(18379,'5777','Los chaÑares',18),(18380,'5777','Los peros',18),(18381,'5777','Los roldanes',18),(18382,'5777','Los tigres',18),(18383,'5777','Moyar',18),(18384,'5777','Ojo del rio',18),(18385,'5777','Paso de la cruz',18),(18386,'5777','Picos yacu',18),(18387,'5777','Pizarras bajo velez',18),(18388,'5777','Pozo de las raices',18),(18389,'5777','Santa rosa de conlara',18),(18390,'5779','La chilca',18),(18391,'5800','Pueblo alberdi',5),(18392,'5800','Rio cuarto',5),(18393,'5801','Alpa corral',5),(18394,'5801','Campo de la torre',5),(18395,'5801','Colonia el carmen paraje',5),(18396,'5801','Colonia la piedra',5),(18397,'5801','Colonia paso carril',5),(18398,'5801','Costa del tambo',5),(18399,'5801','Cuatro vientos',5),(18400,'5801','El baÑado',5),(18401,'5801','El duraznito',5),(18402,'5801','El potosi',5),(18403,'5801','El tambo',5),(18404,'5801','La aguada',5),(18405,'5801','La cumbre',5),(18406,'5801','La esquina',5),(18407,'5801','La invernada',5),(18408,'5801','La mesada',5),(18409,'5801','La veronica',5),(18410,'5801','Las abahacas',5),(18411,'5801','Las calecitas',5),(18412,'5801','Las caÑitas',5),(18413,'5801','Las guindas',5),(18414,'5801','Las moras',5),(18415,'5801','Las tapias',5),(18416,'5801','Monte la invernada',5),(18417,'5801','Permanentes',5),(18418,'5801','Piedra blanca',5),(18419,'5801','Rio seco',5),(18420,'5801','Rodeo viejo',5),(18421,'5801','San bartolome',5),(18422,'5801','Villa el chacay',5),(18423,'5801','Villa santa rita',5),(18424,'5802','Rio cuarto',5),(18425,'5803','La caÑada grande',5),(18426,'5803','Paso del durazno',5),(18427,'5803','Reduccion',5),(18428,'5804','Rio cuarto',5),(18429,'5805','Carnerillo',5),(18430,'5805','Colonia santa paula',5),(18431,'5805','Las higueras',5),(18432,'5806','Rio cuarto',5),(18433,'5807','Bengolea',5),(18434,'5807','Lagunillas',5),(18435,'5807','Pastos altos',5),(18436,'5808','Rio cuarto',5),(18437,'5809','Colonia dolores',5),(18438,'5809','General cabrera',5),(18439,'5809','Puente los molles',5),(18440,'5811','Coronel baigorria',5),(18441,'5811','Espinillo',5),(18442,'5813','Alcira estacion gigena',5),(18443,'5813','Alpapuca',5),(18444,'5813','Bajada nueva',5),(18445,'5813','Capilla de tegua',5),(18446,'5813','Dos lagunas',5),(18447,'5813','El barreal',5),(18448,'5813','El chiquillan',5),(18449,'5813','El espinillal',5),(18450,'5813','La calera',5),(18451,'5813','La ramoncita',5),(18452,'5813','La sierrita',5),(18453,'5813','Laguna clara',5),(18454,'5813','Tegua',5),(18455,'5814','Charras',5),(18456,'5815','Elena',5),(18457,'5815','Los medanos',5),(18458,'5817','Berrotaran',5),(18459,'5817','CaÑada del sauce',5),(18460,'5817','La dormida',5),(18461,'5817','Las peÑas',5),(18462,'5817','Paso cabral',5),(18463,'5817','Puerta colorada',5),(18464,'5819','Arroyo santana',5),(18465,'5819','Arroyo toledo',5),(18466,'5819','CaÑada de alvarez',5),(18467,'5819','Carnerillo',5),(18468,'5819','El manantial',5),(18469,'5819','La calera',5),(18470,'5819','Las caleras',5),(18471,'5819','Las gamas',5),(18472,'5819','Las peÑas sud',5),(18473,'5819','Paso sandialito',5),(18474,'5819','Sierra blanca',5),(18475,'5819','Villa la coba',5),(18476,'5821','Campo san antonio',5),(18477,'5821','Cerro colorado',5),(18478,'5821','Cerro san lorenzo',5),(18479,'5821','El cano',5),(18480,'5821','Guindas',5),(18481,'5821','Los cerros negros',5),(18482,'5821','Los cocos',5),(18483,'5821','Permanentes',5),(18484,'5821','Rio de los sauces',5),(18485,'5821','Rodeo de los caballos',5),(18486,'5821','Rodeo las yeguas',5),(18487,'5822','Chucul',5),(18488,'5823','Las peÑas norte',5),(18489,'5823','Los condores',5),(18490,'5823','Modesto acuÑa',5),(18491,'5824','Olaeta',5),(18492,'5825','Arroyo santa catalina',5),(18493,'5825','Arsenal jose maria rojas',5),(18494,'5825','Holmberg',5),(18495,'5825','La lagunilla',5),(18496,'5825','Las ensenadas',5),(18497,'5825','Santa catalina',5),(18498,'5829','ChaÑaritos',5),(18499,'5829','Laguna seca',5),(18500,'5829','Sampacho',5),(18501,'5829','Soria',5),(18502,'5831','9 de julio',18),(18503,'5831','Agua fria',18),(18504,'5831','Aguada',18),(18505,'5831','Boca del rio',18),(18506,'5831','Chancarita',18),(18507,'5831','El sauce',18),(18508,'5831','El talita',18),(18509,'5831','Estacion achiras',5),(18510,'5831','Estanzuela',18),(18511,'5831','La aguada',18),(18512,'5831','La caÑada',18),(18513,'5831','La colorada',5),(18514,'5831','La hermosura',18),(18515,'5831','La rosada',18),(18516,'5831','Los alamos',18),(18517,'5831','No es mia',18),(18518,'5831','Posta de fierro',18),(18519,'5831','Primer agua',18),(18520,'5831','Punilla',18),(18521,'5831','Real',18),(18522,'5831','San alberto',18),(18523,'5831','San alejandro',18),(18524,'5831','San nicolas punilla',18),(18525,'5831','San pedro',18),(18526,'5831','Santa clara',18),(18527,'5831','Santa felisa',18),(18528,'5831','Santa isabel',18),(18529,'5831','Toigus',18),(18530,'5832','Monte de los gauchos',5),(18531,'5833','Achiras',5),(18532,'5833','La barranquita',5),(18533,'5835','Bella vista',18),(18534,'5835','Dominguez',18),(18535,'5835','El tala',18),(18536,'5835','La argentina',18),(18537,'5835','La aurora',18),(18538,'5835','Los chaÑares',18),(18539,'5835','Los cuadros',18),(18540,'5835','Piquillines',18),(18541,'5835','Porvenir',18),(18542,'5835','San antonio',18),(18543,'5835','Uspara',18),(18544,'5835','Villa del carmen',18),(18545,'5835','Volcan estanzuela',18),(18546,'5837','Chajan',5),(18547,'5837','Glorialdo fernandez',5),(18548,'5837','San lucas norte',5),(18549,'5837','Suco',5),(18550,'5838','Malena',5),(18551,'5839','Estacion punta de agua',5),(18552,'5839','Las vertientes',5),(18553,'5839','Los jagueles',5),(18554,'5839','Punta del agua',5),(18555,'5839','Zapoloco',5),(18556,'5841','Carolina',5),(18557,'5841','Colonia orcovi',5),(18558,'5841','La mercantil',5),(18559,'5841','Las cinco cuadras',5),(18560,'5841','San basilio',5),(18561,'5841','Yatay',5),(18562,'5843','Adela maria',5),(18563,'5843','Adelia maria',5),(18564,'5845','Bulnes',5),(18565,'5847','Colonia dean funes',5),(18566,'5847','Colonia la celestina',5),(18567,'5847','Coronel moldes',5),(18568,'5847','Fragueyro',5),(18569,'5848','La brianza',5),(18570,'5848','La gilda',5),(18571,'5848','Las acequias',5),(18572,'5848','San ambrosio',5),(18573,'5848','San bernardo',5),(18574,'5850','Barrio del libertador',5),(18575,'5850','Colonia luque',5),(18576,'5850','Fabrica militar rio tercero',5),(18577,'5850','Los potreros',5),(18578,'5850','Rio tercero',5),(18579,'5851','Colonia santa catalina',5),(18580,'5851','Las bajadas',5),(18581,'5851','Los tres pozos',5),(18582,'5851','Monsalvo',5),(18583,'5853','Corralito',5),(18584,'5854','Almafuerte',5),(18585,'5854','El quebracho',5),(18586,'5854','El salto norte',5),(18587,'5854','La cascada',5),(18588,'5856','Embalse',5),(18589,'5857','Cnia vacaciones de empleado',5),(18590,'5857','Embalse',5),(18591,'5857','Segunda usina',5),(18592,'5857','Unidad turistica embalse',5),(18593,'5857','Villa aguada de los reyes',5),(18594,'5857','Villa sierras del lago',5),(18595,'5858','Villa santa isabel',5),(18596,'5859','Arroyo san antonio',5),(18597,'5859','CaÑada del tala',5),(18598,'5859','Cerros asperos',5),(18599,'5859','La cruz',5),(18600,'5859','Lutti',5),(18601,'5859','Tala cruz',5),(18602,'5859','Tigre muerto',5),(18603,'5859','Usina nuclear embalse',5),(18604,'5859','Villa del tala',5),(18605,'5859','Villa quillinzo',5),(18606,'5862','Villa del dique',5),(18607,'5864','El torreon',5),(18608,'5864','Valle dorado',5),(18609,'5864','Villa del parque',5),(18610,'5864','Villa naturaleza',5),(18611,'5864','Villa rumipal',5),(18612,'5865','Colonia videla',5),(18613,'5865','San jose',5),(18614,'5867','Los cerrillos',5),(18615,'5870','Barrio la feria',5),(18616,'5870','Chaquinchuna',5),(18617,'5870','Corral de caballos',5),(18618,'5870','El baldecito',5),(18619,'5870','La caÑada',5),(18620,'5870','La concepcion',5),(18621,'5870','La ventana',5),(18622,'5870','Las caÑadas',5),(18623,'5870','Las palomas',5),(18624,'5870','Los pozos',5),(18625,'5870','Nicho',5),(18626,'5870','San antonio',5),(18627,'5870','San roque',5),(18628,'5870','Tabanillo',5),(18629,'5870','Villa dolores',5),(18630,'5871','Acostilla',5),(18631,'5871','Altautina',5),(18632,'5871','Balde de la mora',5),(18633,'5871','Balde de la orilla',5),(18634,'5871','Balde lindo',5),(18635,'5871','BaÑado de paja',5),(18636,'5871','Cartaberol',5),(18637,'5871','Chua',5),(18638,'5871','Concepcion',5),(18639,'5871','Condor huasi',5),(18640,'5871','El bordo',5),(18641,'5871','El paso de la pampa',5),(18642,'5871','El rincon',5),(18643,'5871','La aguada de las animas',18),(18644,'5871','La alegria',18),(18645,'5871','La compasion',5),(18646,'5871','La cortadera',5),(18647,'5871','La finca',18),(18648,'5871','La jarilla',5),(18649,'5871','La linea',5),(18650,'5871','La loma',18),(18651,'5871','La patria',5),(18652,'5871','La trampa',5),(18653,'5871','Lafinur',18),(18654,'5871','Las barrancas',18),(18655,'5871','Las encrucijadas',5),(18656,'5871','Las oscuras',5),(18657,'5871','Las toscas',5),(18658,'5871','Lomitas',18),(18659,'5871','Los cajones',18),(18660,'5871','Los callejones',5),(18661,'5871','Los dos pozos',5),(18662,'5871','Medanitos',5),(18663,'5871','Pozo de la pampa',5),(18664,'5871','Pueblo sarmiento',5),(18665,'5871','Quebracho solo',5),(18666,'5871','San miguel chancani',5),(18667,'5871','San miguel san vicente',5),(18668,'5871','San nicolas',5),(18669,'5871','San pedro',5),(18670,'5871','San pedro de san alberto',14),(18671,'5871','San rafael',5),(18672,'5871','San vicente',5),(18673,'5871','Santa ana',18),(18674,'5871','Santo domingo',5),(18675,'5871','Villa luisa',18),(18676,'5873','Arboles blancos',5),(18677,'5873','CaÑada grande',5),(18678,'5873','Capilla de romero',5),(18679,'5873','Conlara',5),(18680,'5873','El manantial',5),(18681,'5873','Isla',18),(18682,'5873','La angostura',18),(18683,'5873','La celia',18),(18684,'5873','Los chaÑares',5),(18685,'5873','Los chaÑaritos',5),(18686,'5873','Los manguitos',5),(18687,'5873','Manguitas',5),(18688,'5873','Paso de las sierras',18),(18689,'5873','Piedra pintada',5),(18690,'5873','Pozo del chaÑar',5),(18691,'5873','Pozo del molle',5),(18692,'5873','Punta de agua',18),(18693,'5873','Salto',5),(18694,'5873','Tilquicho',5),(18695,'5873','Zapata',5),(18696,'5874','Quebracho ladeado',5),(18697,'5875','Achiras',5),(18698,'5875','Alto de las mulas',5),(18699,'5875','Banda de varela',5),(18700,'5875','Chuchiras',5),(18701,'5875','Colonia montes negros',5),(18702,'5875','Come tierra',5),(18703,'5875','Diez rios',5),(18704,'5875','El cerro',5),(18705,'5875','El pueblito',5),(18706,'5875','Guanaco boleado',5),(18707,'5875','Huasta',5),(18708,'5875','La poblacion',5),(18709,'5875','La ramada',5),(18710,'5875','La siena',5),(18711,'5875','La travesia',5),(18712,'5875','Lomitas',5),(18713,'5875','Luyaba',5),(18714,'5875','Rio de jaime',5),(18715,'5875','Rio hondo',5),(18716,'5875','Rodeo de piedra',5),(18717,'5875','Sagrada familia',5),(18718,'5875','San isidro',5),(18719,'5875','San javier',5),(18720,'5877','Yacanto',5),(18721,'5879','Corralito san javier',5),(18722,'5879','La fuente',5),(18723,'5879','La paz',5),(18724,'5879','Las tres piedras',5),(18725,'5879','Loma bola',5),(18726,'5880','Las chacras',5),(18727,'5881','CaÑada la negra',18),(18728,'5881','Cerro de oro',18),(18729,'5881','El rincon',18),(18730,'5881','Estancia tres arboles',18),(18731,'5881','La ramada',18),(18732,'5881','Merlo',18),(18733,'5881','Piedra blanca',18),(18734,'5881','Rincon del este',18),(18735,'5883','Alto lindo',18),(18736,'5883','Balcarce',18),(18737,'5883','Balde',18),(18738,'5883','Carpinteria',18),(18739,'5883','ChaÑaritos',18),(18740,'5883','Cortaderas',18),(18741,'5883','El recuerdo',18),(18742,'5883','Estancia',18),(18743,'5883','La cumbre',18),(18744,'5883','Los espinillos',18),(18745,'5883','Los molles',18),(18746,'5883','Papagayos',18),(18747,'5883','San miguel',18),(18748,'5883','Villa elena',18),(18749,'5883','Villa larca',18),(18750,'5884','Los hornillos',5),(18751,'5885','Algarrobal',5),(18752,'5885','Alto resbaloso',5),(18753,'5885','Boca del rio',5),(18754,'5885','Dique la viÑa',5),(18755,'5885','El algadobal',5),(18756,'5885','El alto',5),(18757,'5885','El pantanillo',5),(18758,'5885','El perchel',5),(18759,'5885','El tajamar',5),(18760,'5885','Hornillos',5),(18761,'5885','La costa',5),(18762,'5885','Las calles',5),(18763,'5885','Las cebollas',5),(18764,'5885','Las conanitas',5),(18765,'5885','Las rabonas',5),(18766,'5885','Los hornillos',5),(18767,'5885','Los molles',5),(18768,'5885','Quebrada de los pozos',5),(18769,'5885','Villa angelica',5),(18770,'5885','Villa clodomira',5),(18771,'5885','Villa de las rosas',5),(18772,'5885','Villa rafael benegas',5),(18773,'5886','Las tapias',5),(18774,'5887','Bajo el molino',5),(18775,'5887','El alto',5),(18776,'5887','El sauzal',5),(18777,'5887','Hucle',5),(18778,'5887','La aguadita',5),(18779,'5887','La majada',5),(18780,'5887','La quinta',5),(18781,'5887','Los algarrobos',5),(18782,'5887','Los molles',5),(18783,'5887','Nono',5),(18784,'5887','Ojo de agua',5),(18785,'5887','Paso las tropas',5),(18786,'5887','Piedra blanca',5),(18787,'5887','Rio arriba',5),(18788,'5889','Arroyo la higuera',5),(18789,'5889','Arroyo los patos',5),(18790,'5889','CaÑada larga',5),(18791,'5889','El bajo',5),(18792,'5889','El corte',5),(18793,'5889','Las palmitas',5),(18794,'5889','Mina clavero',5),(18795,'5889','Monte redondo',5),(18796,'5889','Nido del aguila',5),(18797,'5889','NiÑa paula',5),(18798,'5889','Quebrada del horno',5),(18799,'5889','San sebastian',5),(18800,'5889','Santa maria',5),(18801,'5891','CaÑada grande',5),(18802,'5891','Casa de piedra',5),(18803,'5891','Cienaga de allende',5),(18804,'5891','El mirador',5),(18805,'5891','Juan bautista alberdi',5),(18806,'5891','La guardia',5),(18807,'5891','Mogigasta',5),(18808,'5891','Villa cura brochero',5),(18809,'5893','Alto grande',5),(18810,'5893','Isla verde',5),(18811,'5893','La cocha',5),(18812,'5893','Pachango',5),(18813,'5893','Panaholma',5),(18814,'5893','San lorenzo',5),(18815,'5893','Santa rita',5),(18816,'5893','Tasma',5),(18817,'5900','Fabrica militar',5),(18818,'5900','La herradura',5),(18819,'5900','Las cuatro esquinas',5),(18820,'5900','Las pichanas',5),(18821,'5900','Monte de los lazos',5),(18822,'5900','Ramon j carcano',5),(18823,'5900','Villa aurora',5),(18824,'5900','Villa emilia',5),(18825,'5900','Villa maria',5),(18826,'5901','Arroyo del pino',5),(18827,'5901','Cayuqueo',5),(18828,'5901','Kilometro 267',5),(18829,'5901','Sanabria',5),(18830,'5901','Villa maria',5),(18831,'5903','Villa del parque',5),(18832,'5903','Villa nueva',5),(18833,'5905','Ana zumaran',5),(18834,'5905','La laguna',5),(18835,'5907','Alto alegre',5),(18836,'5909','Arroyo algodon',5),(18837,'5909','India muerta',5),(18838,'5909','Las mojarras',5),(18839,'5909','Santa rosa',5),(18840,'5909','Trinchera',5),(18841,'5910','Colonia silvio pellico',5),(18842,'5911','La playosa',5),(18843,'5913','Corral del bajo',5),(18844,'5913','La palmerina',5),(18845,'5913','La zara',5),(18846,'5913','La zarita',5),(18847,'5913','Pozo del molle',5),(18848,'5913','Santa rosa',5),(18849,'5915','Campo ambroggio',5),(18850,'5915','Carrilobo',5),(18851,'5917','Arroyo cabral',5),(18852,'5917','Colonia yucat sud',5),(18853,'5918','Luca',5),(18854,'5919','Dalmacio velez sarsfield',5),(18855,'5921','Las perdices',5),(18856,'5923','General deheza',5),(18857,'5924','Ausonia',5),(18858,'5925','Carlomagno',5),(18859,'5925','Ferreyra',5),(18860,'5925','La reina',5),(18861,'5925','Los reyunos',5),(18862,'5925','Maria',5),(18863,'5925','Pasco',5),(18864,'5925','Sarmica',5),(18865,'5929','Hernando',5),(18866,'5929','Los zorros',5),(18867,'5931','Las isletillas',5),(18868,'5931','Monte del frayle',5),(18869,'5931','Punta del agua',5),(18870,'5933','Colonia hamburgo',5),(18871,'5933','Colonia la primavera',5),(18872,'5933','Colonia santa margarita',5),(18873,'5933','El porteÑo',5),(18874,'5933','Tancacha',5),(18875,'5935','Villa ascasubi',5),(18876,'5936','Capilla san antonio de yucat',5),(18877,'5936','Colonia santa rita',5),(18878,'5936','San antonio de yucat',5),(18879,'5936','Tio pujio',5),(18880,'5940','Corral de guardia',5),(18881,'5940','Las varillas',5),(18882,'5941','Colonia angelita',5),(18883,'5941','Las varas',5),(18884,'5943','Campo bandillo',5),(18885,'5943','Saturnino m laspiur',5),(18886,'5945','Colonia general deheza',5),(18887,'5945','Corral de mulas',5),(18888,'5945','La pobladora',5),(18889,'5945','Sacanta',5),(18890,'5947','El araÑado',5),(18891,'5947','El jumial',5),(18892,'5947','Pozo del avestruz',5),(18893,'5947','Villa san esteban',5),(18894,'5949','Alicia',5),(18895,'5949','La tigra',5),(18896,'5951','El florentino',5),(18897,'5951','El fortin',5),(18898,'5951','La rosarina',5),(18899,'5951','Overa negra',5),(18900,'5957','La palestina',5),(18901,'5960','Rio segundo',5),(18902,'5960','San rafael',5),(18903,'5961','Bajo de gomez',5),(18904,'5961','Bajo galindez',5),(18905,'5961','CaÑada de machado',5),(18906,'5961','Costa sacate',5),(18907,'5961','Palo negro',5),(18908,'5961','Rincon',5),(18909,'5961','San jose',5),(18910,'5963','CaÑada de machado sud',5),(18911,'5963','Capilla del carmen',5),(18912,'5963','Costa alegre',5),(18913,'5963','El carrilito',5),(18914,'5963','El carrizal',5),(18915,'5963','La isleta',5),(18916,'5963','Monte redondo',5),(18917,'5963','San jeronimo',5),(18918,'5963','Villa del rosario',5),(18919,'5964','Calchin oeste',5),(18920,'5965','Las junturas',5),(18921,'5966','Ticino',5),(18922,'5967','Galpon chico',5),(18923,'5967','Luque',5),(18924,'5967','Plaza minetti',5),(18925,'5968','Hernando',5),(18926,'5969','Calchin',5),(18927,'5969','Estacion calchin',5),(18928,'5970','Matorrales',5),(18929,'5971','Colazo',5),(18930,'5972','Lagunilla',5),(18931,'5972','Paso de velez',5),(18932,'5972','Pilar',5),(18933,'5972','Tres pozos',5),(18934,'5973','Pampayasta norte',5),(18935,'5974','Laguna larga',5),(18936,'5975','Pampayasta sur',5),(18937,'5980','Oliva',5),(18938,'5982','General fotheringham',5),(18939,'5984','James craik',5),(18940,'5986','Oncativo',5),(18941,'5987','Campo rossiano',5),(18942,'5987','Colonia almada',5),(18943,'5987','Colonia garzon',5),(18944,'5987','Estancia los matorrales',5),(18945,'5987','Impira',5),(18946,'5987','Plaza rodriguez',5),(18947,'5988','Independencia',5),(18948,'5988','Laguna larga sud',5),(18949,'5988','Manfredi',5),(18950,'5990','Tio pujio',5),(18951,'5992','Las varillas',5),(18952,'6000','Barrio carosio',2),(18953,'6000','Barrio general san martin',2),(18954,'6000','Barrio u o c r a',2),(18955,'6000','Barrio villa ortega',2),(18956,'6000','Junin',2),(18957,'6000','Pueblo nuevo dto junin',2),(18958,'6000','Villa belgrano dto junin',2),(18959,'6000','Villa mayor',2),(18960,'6000','Villa ortega',2),(18961,'6000','Villa penotti',2),(18962,'6000','Villa talleres',2),(18963,'6000','Villa triangulo',2),(18964,'6000','Villa york',2),(18965,'6001','Laguna de gomez',2),(18966,'6001','Rafael obligado',2),(18967,'6002','Junin',2),(18968,'6003','Ascencion',2),(18969,'6003','Colonia la beba',2),(18970,'6003','Escuela agricola salesiana',2),(18971,'6003','Estacion ascension',2),(18972,'6003','Ferre',2),(18973,'6003','La angelita',2),(18974,'6003','La beba',2),(18975,'6003','La trinidad',2),(18976,'6005','Arenales',2),(18977,'6005','Estacion general arenales',2),(18978,'6005','General arenales',2),(18979,'6005','Ham',2),(18980,'6005','La huayqueria',2),(18981,'6007','ArribeÑos',2),(18982,'6007','Colonia los hornos',2),(18983,'6007','Delgado',2),(18984,'6007','Desvio kilometro 95',2),(18985,'6007','La pinta',2),(18986,'6009','San marcelo',4),(18987,'6009','Teodelina',4),(18988,'6013','Baigorrita',2),(18989,'6013','Laplacette',2),(18990,'6015','Campo coliqueo',2),(18991,'6015','Campo la tribu',2),(18992,'6015','General viamonte',2),(18993,'6015','La tribu',2),(18994,'6015','Los huesos',2),(18995,'6015','Los toldos',2),(18996,'6017','Chancay',2),(18997,'6017','Colonia san francisco',2),(18998,'6017','El retiro pdo gral viamonte',2),(18999,'6017','Kilometro 282',2),(19000,'6017','La delfina',2),(19001,'6017','San roque',2),(19002,'6018','Colonia los bosques',2),(19003,'6018','Colonia los huesos',2),(19004,'6018','Los bosques',2),(19005,'6018','Quirno costa',2),(19006,'6018','Zavalia',2),(19007,'6019','San emilio',2),(19008,'6022','La oriental',2),(19009,'6022','Las parvas',2),(19010,'6022','Saforcada',2),(19011,'6023','Agustina',2),(19012,'6024','Fortin tiburcio',2),(19013,'6026','Agustin roca',2),(19014,'6027','Ferre',2),(19015,'6030','Edmundo perkins',2),(19016,'6030','Sauzales',2),(19017,'6030','Vedia',2),(19018,'6031','De bruyn',2),(19019,'6031','Desvio el chingolo',2),(19020,'6031','El dorado',2),(19021,'6031','Fortin acha',2),(19022,'6031','Kilometro 95',2),(19023,'6032','Blandengues',2),(19024,'6032','Leandro n alem',2),(19025,'6034','Alberdi',2),(19026,'6034','Colonia alberdi',2),(19027,'6034','Juan bautista alberdi',2),(19028,'6036','Diego de alvear',4),(19029,'6036','La picasa',4),(19030,'6042','Dos hermanos',2),(19031,'6042','Iriarte',2),(19032,'6047','Irala',2),(19033,'6049','Morse',2),(19034,'6050','Dussaud',2),(19035,'6050','General pinto',2),(19036,'6050','Haras el catorce',2),(19037,'6050','La suiza',2),(19038,'6051','Ingeniero balbin',2),(19039,'6051','Pichincha',2),(19040,'6053','El peregrino',2),(19041,'6053','Germania',2),(19042,'6053','Gunther',2),(19043,'6053','Mayor jose orellano',2),(19044,'6053','Trigales',2),(19045,'6058','Pazos kanki',2),(19046,'6058','Villa francia',2),(19047,'6062','Coronel granada',2),(19048,'6062','Los callejones',2),(19049,'6063','Porvenir',2),(19050,'6064','Eduardo costa',2),(19051,'6064','Florentino ameghino',2),(19052,'6064','Halcey',2),(19053,'6064','Solale',2),(19054,'6064','Volta',2),(19055,'6065','Blaquier',2),(19056,'6070','Balsa',2),(19057,'6070','Estacion lincoln',2),(19058,'6070','Kilometro 321',2),(19059,'6070','Lincoln',2),(19060,'6070','Vigelencia',2),(19061,'6071','Bermudez',2),(19062,'6071','Santa maria',2),(19063,'6071','Triunvirato',2),(19064,'6073','El triunfo',2),(19065,'6073','Fortin vigilancia',2),(19066,'6075','Arenaza',2),(19067,'6075','Estancia mitikili',2),(19068,'6075','Estancia san antonio',2),(19069,'6075','Haras trujui',2),(19070,'6075','Kilometro 352',2),(19071,'6075','Kilometro 356',2),(19072,'6075','Los altos',2),(19073,'6077','Encina',2),(19074,'6077','La zarateÑa',2),(19075,'6077','Necol estacion fcgm',2),(19076,'6077','Nueva suiza',2),(19077,'6077','Pasteur',2),(19078,'6078','Bayauca',2),(19079,'6079','Roberts',2),(19080,'6100','La ines',4),(19081,'6100','Rufino',4),(19082,'6100','Villa rosello',4),(19083,'6101','La cesira',5),(19084,'6102','Villa saboya',2),(19085,'6103','Amenabar',4),(19086,'6103','El refugio',4),(19087,'6103','La adelaida',4),(19088,'6103','La constancia',4),(19089,'6103','Lazzarino',4),(19090,'6103','Tarragona',4),(19091,'6105','CaÑada seca',2),(19092,'6106','Aron castellanos',4),(19093,'6106','Coronel roseti',4),(19094,'6106','El alberdon',4),(19095,'6106','Kilometro 396',4),(19096,'6106','La asturiana',4),(19097,'6106','La calma',4),(19098,'6106','Las dos angelitas',4),(19099,'6106','Miramar',4),(19100,'6106','San carlos',4),(19101,'6106','Santa paula',4),(19102,'6106','Santa teresa',4),(19103,'6107','Santa regina',2),(19104,'6120','Curapaligue',5),(19105,'6120','Fray cayetano rodriguez',5),(19106,'6120','Guardia vieja',5),(19107,'6120','Laboulaye',5),(19108,'6120','Ruiz diaz de guzman',5),(19109,'6120','Salguero',5),(19110,'6121','Colonia valle grande',5),(19111,'6121','El rastreador',5),(19112,'6121','Huanchilla',5),(19113,'6121','Huanchilla sud',5),(19114,'6121','Kilometro 55',5),(19115,'6121','Pacheco de melo',5),(19116,'6121','Pavin',5),(19117,'6123','Colonia santa ana',5),(19118,'6123','La ramada',5),(19119,'6123','Melo',5),(19120,'6123','San joaquin',5),(19121,'6123','Santa clara',5),(19122,'6123','Tacurel',5),(19123,'6125','Serrano',5),(19124,'6126','Villa rossi',5),(19125,'6127','El arbol',5),(19126,'6127','El noy',5),(19127,'6127','Los gauchos de guemes',5),(19128,'6127','Santa magdalena',5),(19129,'6128','Leguizamon',5),(19130,'6128','Miguel salas',5),(19131,'6128','Rosales',5),(19132,'6128','Vivero',5),(19133,'6132','Colonia la magdalena de oro',5),(19134,'6132','Gavilan',5),(19135,'6132','General lavalle',5),(19136,'6134','Colonia la providencia',5),(19137,'6134','Julio argentino roca',5),(19138,'6134','Rio bamba',5),(19139,'6134','Santa cristina',5),(19140,'6140','Colonia argentina',5),(19141,'6140','General pueyrredon',5),(19142,'6140','Pretot freyre',5),(19143,'6140','VicuÑa mackenna',5),(19144,'6141','Colonia la carmensita',5),(19145,'6141','Tosquita',5),(19146,'6142','General soler',5),(19147,'6142','Kilometro 545',5),(19148,'6142','La cautiva',5),(19149,'6144','Laguna oscura',5),(19150,'6144','Washington',5),(19151,'6200','Realico',9),(19152,'6201','Chanilao',9),(19153,'6203','El olivo',9),(19154,'6203','El tigre',9),(19155,'6203','Embajador martini',9),(19156,'6203','La elina',9),(19157,'6203','Lote 2 la elina',9),(19158,'6205','El guanaco',9),(19159,'6205','El tajamar',9),(19160,'6205','Ingeniero luiggi',9),(19161,'6205','Lote 5 caleufu  esc 120',9),(19162,'6207','Alta italia',9),(19163,'6207','Ojeda',9),(19164,'6212','Adolfo van praet',9),(19165,'6212','El tordillo',9),(19166,'6212','Falucho',9),(19167,'6212','La juanita',9),(19168,'6212','Maisonnave',9),(19169,'6212','Pueblo alassa',9),(19170,'6212','Quetrequen',9),(19171,'6212','San hilario',9),(19172,'6212','San juan simson',9),(19173,'6212','Santa gracia',9),(19174,'6212','Tres hermanos quetrequen',9),(19175,'6213','Lote 11 escuela 107',9),(19176,'6213','Lote 15',9),(19177,'6213','Parera',9),(19178,'6214','Casimiro gomez',18),(19179,'6214','Chamaico',9),(19180,'6214','Colonia la margarita',9),(19181,'6214','Colonia san basilio',9),(19182,'6214','Jardon',9),(19183,'6214','La margarita',9),(19184,'6214','La pomona',9),(19185,'6214','La primavera chamaico',9),(19186,'6214','Las delicias',9),(19187,'6214','Rancul',9),(19188,'6214','San basilio',9),(19189,'6214','San marcelo',9),(19190,'6216','Bagual',18),(19191,'6216','Bajada nueva',18),(19192,'6216','Billiken',18),(19193,'6216','Boca de la quebrada',18),(19194,'6216','Cochequingan',18),(19195,'6216','Colonia el campamento',18),(19196,'6216','Colonia la florida',18),(19197,'6216','Colonia urdaniz',18),(19198,'6216','El campamento',18),(19199,'6216','El cinco',18),(19200,'6216','El martillo',18),(19201,'6216','El pigue',18),(19202,'6216','El porvenir',18),(19203,'6216','El toro muerto',18),(19204,'6216','Fortuna',18),(19205,'6216','La alcorteÑa',18),(19206,'6216','La aurora',18),(19207,'6216','La caldera',18),(19208,'6216','La cherindu',18),(19209,'6216','La colonia',18),(19210,'6216','La donostia',18),(19211,'6216','La elena',18),(19212,'6216','La elenita',18),(19213,'6216','La emma',18),(19214,'6216','La ernestina',18),(19215,'6216','La escondida',18),(19216,'6216','La estrella',18),(19217,'6216','La florida',18),(19218,'6216','La gaviota',18),(19219,'6216','La gitana',18),(19220,'6216','La holanda',18),(19221,'6216','La josefa',18),(19222,'6216','La juanita',18),(19223,'6216','La linda',18),(19224,'6216','La maravilla',18),(19225,'6216','La margarita',18),(19226,'6216','La margarita carlota',18),(19227,'6216','La maroma',18),(19228,'6216','La mascota',18),(19229,'6216','La media legua',18),(19230,'6216','La melina',18),(19231,'6216','La reserva',18),(19232,'6216','La tigra',18),(19233,'6216','La uruguaya',18),(19234,'6216','Las cortaderas',18),(19235,'6216','Las gitanas',18),(19236,'6216','Las lagunas',18),(19237,'6216','Las martinetas',18),(19238,'6216','Los barriales',18),(19239,'6216','Los dos rios',18),(19240,'6216','Los dueros',18),(19241,'6216','Los duraznos',18),(19242,'6216','Los lobos',18),(19243,'6216','Milagro',18),(19244,'6216','Monte cochequingan',18),(19245,'6216','Nueva galia',18),(19246,'6216','Paso de los gauchos',18),(19247,'6216','Polledo',18),(19248,'6216','Ranquelco',18),(19249,'6216','Rosales',18),(19250,'6216','San jorge',18),(19251,'6216','Santa lucia',18),(19252,'6216','Santa teresa',18),(19253,'6216','Santo domingo',18),(19254,'6216','Toingua',18),(19255,'6216','Union',18),(19256,'6220','Bernardo larroude',9),(19257,'6220','Colonia trenquenda',9),(19258,'6220','Colonia trequen',9),(19259,'6220','El antojo',9),(19260,'6220','El recreo',9),(19261,'6220','Santa felicitas',9),(19262,'6221','Ceballos',9),(19263,'6221','Chacra la casilda',9),(19264,'6221','Colonia las mercedes',9),(19265,'6221','Estancia la lucha',9),(19266,'6221','Estancia la pampeana',9),(19267,'6221','Estancia la voluntad',9),(19268,'6221','Intendente alvear',9),(19269,'6221','La paulina',9),(19270,'6221','La victoria',9),(19271,'6221','Las delicias',9),(19272,'6223','Coronel charlone',2),(19273,'6224','Fernando marti',2),(19274,'6225','Burmeister',5),(19275,'6225','Hipolito bouchard',5),(19276,'6228','Aguas buenas',9),(19277,'6228','Colonia denevi',9),(19278,'6228','Coronel hilarios lagos',9),(19279,'6228','El porvenir',9),(19280,'6228','Gallinao',9),(19281,'6228','La casilda',9),(19282,'6228','La energia',9),(19283,'6228','La invernada',9),(19284,'6228','La lucha',9),(19285,'6228','La magdalena',9),(19286,'6228','La pampeana',9),(19287,'6228','La pradera',9),(19288,'6228','La voluntad',9),(19289,'6228','Malvinas argentinas',9),(19290,'6228','Mariano miro',9),(19291,'6228','Ramon segundo',9),(19292,'6228','San jose',9),(19293,'6228','San urbano',9),(19294,'6228','Sarah',9),(19295,'6228','Tres lagunas',9),(19296,'6230','Francisco casal',2),(19297,'6230','General villegas',2),(19298,'6230','Los laureles',2),(19299,'6230','Moores',2),(19300,'6231','Cuenca',2),(19301,'6231','Pradere juan a',2),(19302,'6231','Tres algarrobos',2),(19303,'6233','Condarco',2),(19304,'6233','Hereford',2),(19305,'6233','Sansinena',2),(19306,'6235','Villa sauce',2),(19307,'6237','America',2),(19308,'6237','Cerrito',2),(19309,'6237','Rivadavia',2),(19310,'6239','Gonzalez moreno',2),(19311,'6239','Meridiano vo',2),(19312,'6239','San mauricio',2),(19313,'6239','Santa aurelia',9),(19314,'6241','El dia',2),(19315,'6241','Emilio bunge',2),(19316,'6241','Gondra',2),(19317,'6241','Santa eleodora',2),(19318,'6242','Drabble',2),(19319,'6242','Elordi',2),(19320,'6242','Los caldenes',2),(19321,'6244','Banderalo',2),(19322,'6249','Piedritas',2),(19323,'6269','La colina',18),(19324,'6270','Colonia boero',5),(19325,'6270','Colonia dorotea',5),(19326,'6270','Huinca renanco',5),(19327,'6270','Melideo',5),(19328,'6270','Nazca',5),(19329,'6270','Watt',5),(19330,'6271','Antonio catalano',5),(19331,'6271','Campo san juan',5),(19332,'6271','Costa del rio quinto',5),(19333,'6271','De la serna',5),(19334,'6271','Del campillo',5),(19335,'6271','La luz',5),(19336,'6271','La perlita',5),(19337,'6271','Pincen',5),(19338,'6271','Ranqueles',5),(19339,'6271','Tomas echenique',5),(19340,'6272','Mattaldi',5),(19341,'6273','El pampero',5),(19342,'6273','Lecueder',5),(19343,'6273','Modestino pizarro',5),(19344,'6273','Villa sarmiento',5),(19345,'6273','Villa valeria',5),(19346,'6275','CaÑada verde',5),(19347,'6275','La nacional',5),(19348,'6275','Larsen',5),(19349,'6275','Los alfalfares',5),(19350,'6275','Villa huidobro',5),(19351,'6275','Villa moderna',5),(19352,'6276','Italo',5),(19353,'6277','Buena esperanza',18),(19354,'6277','Cochenelos',18),(19355,'6277','El oasis',18),(19356,'6277','El quingual',18),(19357,'6277','El verano',18),(19358,'6277','Frisia',18),(19359,'6277','La dulce',18),(19360,'6277','La esmeralda',18),(19361,'6277','La ethel',18),(19362,'6277','La invernada',18),(19363,'6277','La maria luisa',18),(19364,'6277','La rosina',18),(19365,'6277','La segunda',18),(19366,'6277','Las aromas',18),(19367,'6277','Las mestizas',18),(19368,'6277','Los oscuros',18),(19369,'6277','Machao',18),(19370,'6277','Nilinast',18),(19371,'6277','Placilla',18),(19372,'6277','San juan',18),(19373,'6278','Nicolas bruzone',5),(19374,'6279','Batavia',18),(19375,'6279','Centenario',18),(19376,'6279','Colonia calzada',18),(19377,'6279','Coronel segovia',18),(19378,'6279','El aguila',18),(19379,'6279','El espinillo',18),(19380,'6279','El piche',18),(19381,'6279','El recuerdo',18),(19382,'6279','El yacatan',18),(19383,'6279','Estancia 30 de octubre',18),(19384,'6279','Estancia don arturo',18),(19385,'6279','Fortin el patria',18),(19386,'6279','Gloria a dios',18),(19387,'6279','La amalia',18),(19388,'6279','La aroma',18),(19389,'6279','La bavaria',18),(19390,'6279','La bolivia',18),(19391,'6279','La cora',18),(19392,'6279','La esperanza',18),(19393,'6279','La felisa',18),(19394,'6279','La germania',18),(19395,'6279','La hortensia',18),(19396,'6279','La isla',18),(19397,'6279','La juana',18),(19398,'6279','La laura',18),(19399,'6279','La luisa',18),(19400,'6279','La maria esther',18),(19401,'6279','La nutria',18),(19402,'6279','La penca',5),(19403,'6279','La reina',18),(19404,'6279','La reserva',18),(19405,'6279','La rosalia',18),(19406,'6279','Las carretas',18),(19407,'6279','Laura elisa',18),(19408,'6279','Los chaÑares',18),(19409,'6279','Los huaycos',18),(19410,'6279','Los valles',18),(19411,'6279','Martin de loyola',18),(19412,'6279','Media luna',19),(19413,'6279','Nahuel mapa',18),(19414,'6279','Navia',18),(19415,'6279','Nueva esperanza',18),(19416,'6279','Ñurilay',18),(19417,'6279','Penice',18),(19418,'6279','San antonio',18),(19419,'6279','San isidro',18),(19420,'6279','San jose',18),(19421,'6279','Santa cecilia',18),(19422,'6279','Santa maria',18),(19423,'6279','Santa teresa',18),(19424,'6279','Toro bayo',18),(19425,'6279','Uchaima',18),(19426,'6279','Valle hermoso',18),(19427,'6279','Viva la patria',18),(19428,'6300','Barrancas coloradas',9),(19429,'6300','Colonia lagos',9),(19430,'6300','El mirador de juarez',9),(19431,'6300','El oasis',9),(19432,'6300','La fortuna',9),(19433,'6300','La juanita',9),(19434,'6300','La malvina',9),(19435,'6300','La primavera santa rosa',9),(19436,'6300','Las malvinas',9),(19437,'6300','Los nogales',9),(19438,'6300','Medano blanco',9),(19439,'6300','Santa rosa',9),(19440,'6301','Ataliva roca',9),(19441,'6301','Boliche la araÑa',9),(19442,'6301','Cereales',9),(19443,'6301','Colonia aguirre',9),(19444,'6301','Colonia echeta',9),(19445,'6301','Colonia maria luisa',9),(19446,'6301','Colonia san victorio',9),(19447,'6301','Colonia sobadell',9),(19448,'6301','La araÑa',9),(19449,'6301','La dolores',9),(19450,'6301','La primavera miguel riglos',9),(19451,'6301','Los quinientos',9),(19452,'6301','Miguel riglos',9),(19453,'6301','Tomas m de anchorena',9),(19454,'6303','Cachirulo',9),(19455,'6303','Calchahue',9),(19456,'6303','Chacu',9),(19457,'6303','Chapalco',9),(19458,'6303','Colonia ferraro',9),(19459,'6303','Colonia ramon quintas',9),(19460,'6303','Colonia roca',9),(19461,'6303','El volante',9),(19462,'6303','La baya',9),(19463,'6303','La baya muerta',9),(19464,'6303','La celina',9),(19465,'6303','La celmira',9),(19466,'6303','La vanguardia',9),(19467,'6303','Lindo ver',9),(19468,'6303','Los algarrobos',9),(19469,'6303','Nerre co',9),(19470,'6303','Oficial e segura',9),(19471,'6303','Pichi huilco',9),(19472,'6303','Ramon quintas',9),(19473,'6303','Ta huilco',9),(19474,'6303','Toay',9),(19475,'6305','Atreuco',9),(19476,'6305','Bella vista',9),(19477,'6305','Colonia guiburg n 2',9),(19478,'6305','Doblas',9),(19479,'6305','El deslinde',9),(19480,'6305','El destino  rolon',9),(19481,'6305','El palomar',9),(19482,'6305','Hipolito yrigoyen',9),(19483,'6305','La catalinita',9),(19484,'6305','La esperanza hidalgo',9),(19485,'6305','La manuelita',9),(19486,'6305','La nueva provincia',9),(19487,'6305','La pampita hidalgo',9),(19488,'6305','La sarita',9),(19489,'6305','Las felicitas',9),(19490,'6305','Los dos hermanos',9),(19491,'6305','Ojo de agua',9),(19492,'6305','Rolon',9),(19493,'6305','Salinas grandes hidalgo',9),(19494,'6305','San felipe',9),(19495,'6305','San pedro rolon',9),(19496,'6305','Santa stella',9),(19497,'6307','Colonia la oracion',9),(19498,'6307','El centenario',9),(19499,'6307','Hidalgo',9),(19500,'6307','La antonia',9),(19501,'6307','La esmeralda macachin',9),(19502,'6307','La esperanza macachin',9),(19503,'6307','La josefina',9),(19504,'6307','La oracion',9),(19505,'6307','Macachin',9),(19506,'6307','Santo tomas',9),(19507,'6307','Tres hermanos macachin',9),(19508,'6307','Valle argentino',9),(19509,'6309','Alpachiri',9),(19510,'6309','Campo urdaniz',9),(19511,'6309','Colonia anasagasti',9),(19512,'6309','Colonia la chispa',9),(19513,'6309','Colonia las vizcacheras',9),(19514,'6309','Colonia santa ana',9),(19515,'6309','Gral manuel campos',9),(19516,'6309','La maria rosa',9),(19517,'6309','Monte ralo',9),(19518,'6309','Salinas mari manuel',9),(19519,'6309','Santa ana',9),(19520,'6311','Campo de los toros',9),(19521,'6311','Campo la florida',9),(19522,'6311','Colonia la esperanza',9),(19523,'6311','Colonia los toros',9),(19524,'6311','Colonia luna',9),(19525,'6311','Colonia santa teresa',9),(19526,'6311','Guatrache',9),(19527,'6311','La nueva',9),(19528,'6311','La piedad',9),(19529,'6311','Las quintas',9),(19530,'6311','Los toros',9),(19531,'6311','Remeco',9),(19532,'6312','Ricardo lavalle',9),(19533,'6313','Bajo de las palomas',9),(19534,'6313','Colonia espiga de oro',9),(19535,'6313','Colonia la paz',9),(19536,'6313','Colonia san felipe',9),(19537,'6313','Colonia santa elena',9),(19538,'6313','El destino',9),(19539,'6313','El furlong',9),(19540,'6313','El guanaco  winifreda',9),(19541,'6313','La delfina',9),(19542,'6313','Lote 12',9),(19543,'6313','Lote 13 escuela 173',9),(19544,'6313','Lote 21 colonia santa elena',9),(19545,'6313','Lote 23 escuela 221',9),(19546,'6313','San jose',9),(19547,'6313','Winifreda',9),(19548,'6315','Colonia baron',9),(19549,'6315','Colonia la carlota',9),(19550,'6315','Colonia san jose',9),(19551,'6315','Ines y carlota',9),(19552,'6315','Los pirineos',9),(19553,'6315','Lote 25 escuela 178',9),(19554,'6315','Lote 6 escuela 171',9),(19555,'6315','Lote 9 escuela 140',9),(19556,'6315','Mauricio mayer',9),(19557,'6315','Villa mirasol',9),(19558,'6315','Villa san jose',9),(19559,'6315','Zona rural de mirasol',9),(19560,'6317','La florencia',9),(19561,'6317','Lote 5 luan toro',9),(19562,'6317','Loventuel',9),(19563,'6317','Luan toro',9),(19564,'6319','Carro quemado',9),(19565,'6319','Chacras de victorica',9),(19566,'6319','El durazno',9),(19567,'6319','El eucalipto carro quemado',9),(19568,'6319','Guadaloza',9),(19569,'6319','La morocha',9),(19570,'6319','Labal',9),(19571,'6319','Lote 8 escuela 179',9),(19572,'6319','Poitague',9),(19573,'6319','San francisco',9),(19574,'6319','Victorica',9),(19575,'6321','Caichue',9),(19576,'6321','Colonia el porvenir',9),(19577,'6321','Costa del salado',9),(19578,'6321','Dos amigos',9),(19579,'6321','El destino',9),(19580,'6321','El mate',9),(19581,'6321','El odre',9),(19582,'6321','El refugio',9),(19583,'6321','El retiro',9),(19584,'6321','El silencio',9),(19585,'6321','Jaguel del esquinero',9),(19586,'6321','Jaguel del monte',9),(19587,'6321','Juzgado viejo',9),(19588,'6321','La catalina',9),(19589,'6321','La cienaga',9),(19590,'6321','La constancia',9),(19591,'6321','La elenita',9),(19592,'6321','La elia',9),(19593,'6321','La elina',9),(19594,'6321','La esmeralda',9),(19595,'6321','La estrella',9),(19596,'6321','La eulogia',9),(19597,'6321','La fe',9),(19598,'6321','La guadalosa',9),(19599,'6321','La isabel',9),(19600,'6321','La laurentina',9),(19601,'6321','La luz',9),(19602,'6321','La marcela',9),(19603,'6321','La pencosa',9),(19604,'6321','La razon',9),(19605,'6321','La tinajera',9),(19606,'6321','La union',9),(19607,'6321','La verde',9),(19608,'6321','La zota',9),(19609,'6321','Leona redonda',9),(19610,'6321','Loma redonda',9),(19611,'6321','Lomas de gatica',9),(19612,'6321','Lomas ombu',9),(19613,'6321','Los manantiales',9),(19614,'6321','Los tres pozos',9),(19615,'6321','Manantiales',9),(19616,'6321','Mayaco',9),(19617,'6321','Nahuel napa',9),(19618,'6321','Nanquel huitre',9),(19619,'6321','Pichi merico',9),(19620,'6321','San emilio',9),(19621,'6321','San jose',9),(19622,'6321','Telen',9),(19623,'6323','Algarrobo del aguila',9),(19624,'6323','Arbol de la esperanza',9),(19625,'6323','Arbol solo',9),(19626,'6323','Butalo',9),(19627,'6323','Chicalco',9),(19628,'6323','Colonia la pastoril',9),(19629,'6323','Curru mahuida',9),(19630,'6323','El centinela',9),(19631,'6323','Emilio mitre',9),(19632,'6323','Establecimiento el centinela',9),(19633,'6323','La esperanza',9),(19634,'6323','La humada',9),(19635,'6323','La imarra',9),(19636,'6323','La pastoril',9),(19637,'6323','La primavera',9),(19638,'6323','La puÑalada',9),(19639,'6323','La razon santa isabel',9),(19640,'6323','La soledad',9),(19641,'6323','La veintitres',9),(19642,'6323','Los tajamares',9),(19643,'6323','Los turcos',9),(19644,'6323','Medanos negros',9),(19645,'6323','Paso de los algarrobos',9),(19646,'6323','Paso de los puntanos',9),(19647,'6323','Paso la razon',9),(19648,'6323','San francisco de la ramada',9),(19649,'6323','Santa isabel',9),(19650,'6323','Vista alegre',9),(19651,'6325','Colonia devoto',9),(19652,'6325','Colonia la amarga',9),(19653,'6325','Colonia ministro lobos',9),(19654,'6325','El chillen',9),(19655,'6325','La avanzada',9),(19656,'6325','La esther',9),(19657,'6325','Los alamos',9),(19658,'6325','Naico',9),(19659,'6325','Parque luro',9),(19660,'6325','Quehue',9),(19661,'6325','San humberto',9),(19662,'6325','Santiago orellano',9),(19663,'6326','Anguil',9),(19664,'6326','Colonia san juan',9),(19665,'6326','Colonia torello',9),(19666,'6326','La carola',9),(19667,'6326','La constancia  anguil',9),(19668,'6326','La elvira',9),(19669,'6326','La esperanza anguil',9),(19670,'6326','La florida',9),(19671,'6326','La reserva anguil',9),(19672,'6326','La verde anguil',9),(19673,'6326','San carlos',9),(19674,'6326','San jose  anguil',9),(19675,'6330','Arturo almaraz',9),(19676,'6330','Campo ludueÑa',9),(19677,'6330','Catrilo',9),(19678,'6330','Cayupan',9),(19679,'6330','Ivanowsky',9),(19680,'6330','La blanca',9),(19681,'6330','La leÑa',9),(19682,'6330','La puna',9),(19683,'6330','La rebeca',9),(19684,'6330','La unida',9),(19685,'6330','San eduardo',9),(19686,'6330','San justo',9),(19687,'6330','San pedro',9),(19688,'6331','Colonia beaufort',9),(19689,'6331','Colonia giusti',9),(19690,'6331','Curilco',9),(19691,'6331','El belgica',9),(19692,'6331','El parque',9),(19693,'6331','La elsa',9),(19694,'6331','La verde',9),(19695,'6331','Las tres hermanas',9),(19696,'6331','Miguel cane',9),(19697,'6331','Pavon',9),(19698,'6331','Relmo',9),(19699,'6331','Rucahue',9),(19700,'6331','San alberto',9),(19701,'6331','San benito',9),(19702,'6331','San miguel',9),(19703,'6331','Zona rural',9),(19704,'6333','Alfredo peÑa',9),(19705,'6333','Colonia la abundancia',9),(19706,'6333','Colonia la sara',9),(19707,'6333','Colonia santa cecilia',9),(19708,'6333','Huelen',9),(19709,'6333','La cautiva',9),(19710,'6333','La celina',9),(19711,'6333','La delicia',9),(19712,'6333','La enriqueta',9),(19713,'6333','La olla',9),(19714,'6333','Mari mari',9),(19715,'6333','Quemu quemu',9),(19716,'6333','Santa elvira',9),(19717,'6333','Sol de mayo',9),(19718,'6335','Graciarena',2),(19719,'6335','Quenuma',2),(19720,'6337','Ingeniero thompson',2),(19721,'6337','Maria p moreno',2),(19722,'6338','Leubuco',2),(19723,'6339','Cailomuta',2),(19724,'6339','Estacion caiomuta',2),(19725,'6339','Salliquelo',2),(19726,'6341','Chapi talo',2),(19727,'6341','Colonia murature',2),(19728,'6341','Colonia naviera',2),(19729,'6341','El malacate',9),(19730,'6341','El parque',2),(19731,'6341','Francisco murature',2),(19732,'6341','La matilde',9),(19733,'6341','La pala',2),(19734,'6341','La reserva ivanowsky',9),(19735,'6341','San joaquin',9),(19736,'6343','Los gauchos',2),(19737,'6343','Maza',2),(19738,'6343','Thames',2),(19739,'6343','Villa maza',2),(19740,'6345','La bilbaina',9),(19741,'6346','Pellegrini',2),(19742,'6347','De bary',2),(19743,'6348','Bocayuba',2),(19744,'6348','La gloria',9),(19745,'6352','Colonia la india',9),(19746,'6352','Colonia san miguel',9),(19747,'6352','El brillante',9),(19748,'6352','El descanso  lonquimay',9),(19749,'6352','El guaicuru',9),(19750,'6352','El rubi',9),(19751,'6352','El salitral',9),(19752,'6352','El triunfo',9),(19753,'6352','La atalaya',9),(19754,'6352','La celia',9),(19755,'6352','La esmeralda',9),(19756,'6352','La paz',9),(19757,'6352','La perla',9),(19758,'6352','La perlita',9),(19759,'6352','La segunda',9),(19760,'6352','La violeta',9),(19761,'6352','Lonquimay',9),(19762,'6352','Pueblo quintana',9),(19763,'6352','Quintana',9),(19764,'6352','San manuel',9),(19765,'6354','Colonia la gaviota',9),(19766,'6354','La carmen',9),(19767,'6354','La catalina',9),(19768,'6354','La cumbre',9),(19769,'6354','La gaviota',9),(19770,'6354','La luisa',9),(19771,'6354','La marianita',9),(19772,'6354','La suerte',9),(19773,'6354','La trinidad',9),(19774,'6354','La victoria',9),(19775,'6354','Las gaviotas',9),(19776,'6354','San andres',9),(19777,'6354','San jose',9),(19778,'6354','San juan',9),(19779,'6354','Uriburu',9),(19780,'6360','Barrio el molino',9),(19781,'6360','Carlos berg',9),(19782,'6360','General pico',9),(19783,'6360','La chapelle',9),(19784,'6360','La gueÑita',9),(19785,'6360','La puma',9),(19786,'6360','Mocovi',9),(19787,'6360','San ignacio',9),(19788,'6360','San joaquin',9),(19789,'6360','San jose',9),(19790,'6360','Santa elena',9),(19791,'6360','Santa ines',9),(19792,'6361','Agustoni',9),(19793,'6361','Caimi',9),(19794,'6361','El eucalipto',9),(19795,'6361','El sauce',9),(19796,'6361','La gavenita',9),(19797,'6361','La maria',9),(19798,'6361','La teresita',9),(19799,'6361','Trebolares',9),(19800,'6365','Azteazu',9),(19801,'6365','Colonia santa elvira',9),(19802,'6365','Dorila',9),(19803,'6365','La barrancosa',9),(19804,'6365','La esperanza vertiz',9),(19805,'6365','La maria vertiz',9),(19806,'6365','San ildefonso',9),(19807,'6365','Santa catalina',9),(19808,'6365','Speluzzi',9),(19809,'6365','Trili',9),(19810,'6365','Vertiz',9),(19811,'6365','Zona rural de vertiz',9),(19812,'6365','Zona rural dorila',9),(19813,'6367','Argentina belvedere',9),(19814,'6367','Colonia migliori',9),(19815,'6367','Metileo',9),(19816,'6367','Ministro orlando',9),(19817,'6367','San joaquin metileo',9),(19818,'6367','Zona rural  metileo',9),(19819,'6369','Campo salusso',9),(19820,'6369','Lote 8 escuela 141',9),(19821,'6369','Trenel',9),(19822,'6369','Zona rural',9),(19823,'6380','Boeuf',9),(19824,'6380','Chacra 16',9),(19825,'6380','Colonia san lorenzo',9),(19826,'6380','Eduardo castex',9),(19827,'6380','El guanaco',9),(19828,'6380','Lote 17 escuela 95',9),(19829,'6380','Lote 2 escuela 185',9),(19830,'6380','Lote 20 la carlota',9),(19831,'6380','Lote 8 escuela 184',9),(19832,'6380','Nicolas vera',9),(19833,'6380','Zona urbana norte',9),(19834,'6381','Campo caretto',9),(19835,'6381','Campo pico',9),(19836,'6381','Colonia el destino',9),(19837,'6381','Colonias drysdale',9),(19838,'6381','Colonias murray',9),(19839,'6381','Conhelo',9),(19840,'6381','El destino',9),(19841,'6381','El peludo',9),(19842,'6381','Kilometro 619',9),(19843,'6381','Las chacras',9),(19844,'6381','Loo co',9),(19845,'6381','Lote 25 conhelo',9),(19846,'6381','Lote 25 escuela 146',9),(19847,'6381','Rucanelo',9),(19848,'6381','Tte gral emilio mitre',9),(19849,'6383','Campo moises seccion 1 a',9),(19850,'6383','Lote 24 seccion 1 a',9),(19851,'6383','Monte nievas',9),(19852,'6383','San ramon',9),(19853,'6383','Seccion primera conhello',9),(19854,'6385','Arata',9),(19855,'6385','Colonia el tigre',9),(19856,'6385','Colonia las piedritas',9),(19857,'6385','Ingeniero foster',9),(19858,'6385','La maruja',9),(19859,'6385','Pichi huinca',9),(19860,'6387','Caleufu',9),(19861,'6387','Caraman',9),(19862,'6387','Las piedritas',9),(19863,'6387','Lote 15 escuela 18',9),(19864,'6387','Lote 4',9),(19865,'6389','Alegria',18),(19866,'6389','Anchorena',18),(19867,'6389','Arizona',18),(19868,'6389','El rodeo',18),(19869,'6389','La travesia',18),(19870,'6389','La vaca',18),(19871,'6389','La verde',18),(19872,'6389','San carlos',18),(19873,'6400','Barrio indio trompa',2),(19874,'6400','La zanja',2),(19875,'6400','Laguna redonda',2),(19876,'6400','Las guasquitas',2),(19877,'6400','Lertora',2),(19878,'6400','Mari lauquen',2),(19879,'6400','Martin fierro',2),(19880,'6400','Trenque lauquen',2),(19881,'6401','Sundblad',2),(19882,'6401','Valentin gomez',2),(19883,'6403','Badano',2),(19884,'6403','Colonia el balde',2),(19885,'6403','Fortin olavarria',2),(19886,'6403','Francisco de vitoria',2),(19887,'6403','La cautiva',2),(19888,'6403','Mira pampa',2),(19889,'6403','Villa sena',2),(19890,'6405','30 de agosto',2),(19891,'6405','AlbariÑo',2),(19892,'6405','Corazzi',2),(19893,'6405','Duhau',2),(19894,'6407','Girodias',2),(19895,'6407','La porteÑa',2),(19896,'6407','Roosevelt partido rivadavia',2),(19897,'6407','Tronge',2),(19898,'6409','Jose maria blanco',2),(19899,'6409','Pehuelches',2),(19900,'6409','Tres lomas',2),(19901,'6411','Bravo del dos',2),(19902,'6411','Garre',2),(19903,'6411','Papin',2),(19904,'6411','Victorino de la plaza',2),(19905,'6417','Casbas',2),(19906,'6417','Casey',2),(19907,'6417','Fortin paunero',2),(19908,'6417','San fermin',2),(19909,'6417','Saturno',2),(19910,'6422','Primera junta',2),(19911,'6424','Berutti',2),(19912,'6424','San ramon',2),(19913,'6430','Adolfo alsina',2),(19914,'6430','Carhue',2),(19915,'6430','Fatralo',2),(19916,'6430','Juan v cilley',2),(19917,'6430','Pocito',2),(19918,'6430','Rolito estacion fcgb',2),(19919,'6430','Villa castelar est erize',2),(19920,'6430','Villa sauri',2),(19921,'6431','Estacion lago epecuen',2),(19922,'6431','Lago epecuen',2),(19923,'6433','Arturo vatteone',2),(19924,'6434','Anderson',2),(19925,'6434','Palantelen',2),(19926,'6435','Guamini',2),(19927,'6435','Laguna del monte',2),(19928,'6435','Vuelta de zapata',2),(19929,'6437','Alamos',2),(19930,'6437','Alfa',2),(19931,'6437','Arroyo el chingolo',2),(19932,'6437','Arroyo venado',2),(19933,'6437','Colonia san ramon',2),(19934,'6437','El nilo',2),(19935,'6437','El trebaÑon',2),(19936,'6437','La gregoria',2),(19937,'6437','La herminia',2),(19938,'6437','Las cuatro hermanas',2),(19939,'6437','Las mercedes',2),(19940,'6437','Las tres flores',2),(19941,'6437','Santa rita pdo guamini',2),(19942,'6438','Masurel',2),(19943,'6439','Bonifacio',2),(19944,'6439','La manuela',2),(19945,'6439','Laguna alsina',2),(19946,'6439','Luro',2),(19947,'6441','Colonia baron hirsch',2),(19948,'6441','Rivera',2),(19949,'6443','Arano',2),(19950,'6443','Epumer',2),(19951,'6443','Malabia',2),(19952,'6443','Tres  lagunas',2),(19953,'6443','Yutuyaco',2),(19954,'6450','Abel',2),(19955,'6450','Barrio obrero',2),(19956,'6450','Pehuajo',2),(19957,'6450','Pueblo san esteban',2),(19958,'6450','Rovira',2),(19959,'6450','Santa cecilia sud',2),(19960,'6451','Ancon',2),(19961,'6451','Curaru',2),(19962,'6451','Gnecco',2),(19963,'6451','Guirondo',2),(19964,'6451','Inocencio sosa',2),(19965,'6451','Larramendy',2),(19966,'6451','Los indios',2),(19967,'6451','Magdala',2),(19968,'6451','Marucha',2),(19969,'6451','Nueva plata',2),(19970,'6451','Pedro gamen',2),(19971,'6451','San carlos',2),(19972,'6453','Carlos salas',2),(19973,'6453','La pradera',2),(19974,'6453','Las toscas',2),(19975,'6455','Carlos tejedor',2),(19976,'6455','Drysdale',2),(19977,'6455','Husares',2),(19978,'6457','Ingeniero beaugey',2),(19979,'6457','Kilometro 386',2),(19980,'6457','Timote',2),(19981,'6459','Colonia sere',2),(19982,'6459','Santa ines',2),(19983,'6461','Capitan castro',2),(19984,'6461','La cotorra',2),(19985,'6463','Alagon',2),(19986,'6463','El santiago',2),(19987,'6463','Santa cecilia centro',2),(19988,'6465','Coraceros',2),(19989,'6465','Henderson',2),(19990,'6467','El trio',2),(19991,'6467','Enrique lavalle',2),(19992,'6467','Kilometro 393',2),(19993,'6467','Maria lucila',2),(19994,'6469','Asturias',2),(19995,'6469','Mones cazon',2),(19996,'6471','Atahualpa',2),(19997,'6471','La carreta',2),(19998,'6471','La margarita',2),(19999,'6471','Mouras',2),(20000,'6471','Salazar',2),(20001,'6471','Santa ines',2),(20002,'6471','Villa aldeanita',2),(20003,'6471','Villa branda',2),(20004,'6472','Francisco madero',2),(20005,'6472','Santa cecilia norte',2),(20006,'6474','Campo aristimuÑo',2),(20007,'6474','El recado',2),(20008,'6474','Juan jose paso',2),(20009,'6475','Esteban de luca',2),(20010,'6475','Francisco magnano',2),(20011,'6475','La higuera',2),(20012,'6475','Los chaÑares',2),(20013,'6476','Chiclana',2),(20014,'6476','Guanaco',2),(20015,'6476','Las juanitas',2),(20016,'6476','San bernardo',2),(20017,'6500','9 de julio',2),(20018,'6500','Barrio julio de vedia',2),(20019,'6500','Fauzon',2),(20020,'6500','San juan',2),(20021,'6500','Villa diamantina',2),(20022,'6501','Estacion provincial',2),(20023,'6501','Laguna del cura',2),(20024,'6501','Mulcahy',2),(20025,'6501','Norumbega',2),(20026,'6501','Tropezon',2),(20027,'6502','12 de octubre',2),(20028,'6503','Desvio kilometro 234',2),(20029,'6503','Patricios',2),(20030,'6505','Dudignac',2),(20031,'6507','Corbett',2),(20032,'6507','Gerente cilley',2),(20033,'6507','Las negras',2),(20034,'6507','Morea',2),(20035,'6507','Santos unzue',2),(20036,'6509','Del valle',2),(20037,'6509','Desvio garbarini',2),(20038,'6509','Escuela agricola salesiana',2),(20039,'6511','Hale',2),(20040,'6511','Huetel',2),(20041,'6511','Villa sanz',2),(20042,'6513','Colonia las yescas',2),(20043,'6513','Galo llorente',2),(20044,'6513','La aurora',2),(20045,'6513','La niÑa',2),(20046,'6513','La yesca',2),(20047,'6515','Carlos maria naon',2),(20048,'6515','El tejar',2),(20049,'6516','Amalia',2),(20050,'6516','Bacacay',2),(20051,'6516','Cambaceres',2),(20052,'6516','Dennehy',2),(20053,'6516','French',2),(20054,'6530','Carlos casares',2),(20055,'6530','San juan de nelson',2),(20056,'6530','Santo tomas',2),(20057,'6531','Algarrobo',2),(20058,'6531','Colonia la esperanza',2),(20059,'6531','Colonia mauricio',2),(20060,'6531','El jabali',2),(20061,'6531','Gobernador arias',2),(20062,'6531','Mauricio hirsch',2),(20063,'6531','Moctezuma',2),(20064,'6533','Alfredo demarchi',2),(20065,'6533','Coronel martinez de hoz',2),(20066,'6533','Kilometro 322',2),(20067,'6533','La adela',2),(20068,'6533','Las rosas',2),(20069,'6533','Pueblo martinez de hoz',2),(20070,'6533','Ramon j neild',2),(20071,'6533','Reginaldo j neild',2),(20072,'6535','Bellocq',2),(20073,'6535','Cadret',2),(20074,'6535','Centenario',2),(20075,'6535','Colonia santa maria',2),(20076,'6535','La sofia',2),(20077,'6535','Santa maria belloq',2),(20078,'6536','Smith',2),(20079,'6537','El camoati',2),(20080,'6537','El carpincho',2),(20081,'6537','Estancia san claudio',2),(20082,'6537','Hortensia',2),(20083,'6537','Odorqui',2),(20084,'6538','La dorita',2),(20085,'6538','Santo tomas chico',2),(20086,'6550','Bolivar',2),(20087,'6550','El porvenir',2),(20088,'6550','La perla',2),(20089,'6550','Miramar',2),(20090,'6550','Santa isabel',2),(20091,'6551','Juan f ibarra',2),(20092,'6551','Mariano unzue',2),(20093,'6551','Pirovano',2),(20094,'6553','La torrecita',2),(20095,'6553','Nueva espaÑa',2),(20096,'6553','Urdampilleta',2),(20097,'6553','Villa lynch pueyrredon',2),(20098,'6555','Alfalad',2),(20099,'6555','Andant',2),(20100,'6555','Coronel marcelino freyre',2),(20101,'6555','Daireaux',2),(20102,'6555','La armonia',2),(20103,'6555','La larga',2),(20104,'6555','Los coloniales',2),(20105,'6555','Mauras',2),(20106,'6555','Villa carola',2),(20107,'6557','Herrera vegas',2),(20108,'6557','Iturregui',2),(20109,'6557','Mapis',2),(20110,'6557','Paula',2),(20111,'6557','Vallimanca',2),(20112,'6559','Recalde',2),(20113,'6560','Quiroga',2),(20114,'6561','Blanca grande',2),(20115,'6561','Espigas',2),(20116,'6561','La protegida',2),(20117,'6561','San bernardo',2),(20118,'6593','Arboleda',2),(20119,'6600','Kilometro 125',2),(20120,'6600','Mercedes',2),(20121,'6600','San jacinto',2),(20122,'6600','Seminario pio xii',2),(20123,'6601','Altamira',2),(20124,'6601','Comahue oeste',2),(20125,'6601','Espora',2),(20126,'6601','La valerosa',2),(20127,'6601','La verde',2),(20128,'6601','San eladio',2),(20129,'6601','Tomas jofre',2),(20130,'6602','Mercedes',2),(20131,'6603','Ingeniero williams',2),(20132,'6603','Kilometro 117',2),(20133,'6605','Campo peÑa lopez',2),(20134,'6605','Gonzalez risos',2),(20135,'6605','Grisolia',2),(20136,'6605','Kilometro 116',2),(20137,'6605','Kilometro 83',2),(20138,'6605','Kilometro 90',2),(20139,'6605','Navarro',2),(20140,'6605','Rincon norte',2),(20141,'6607','Anasagasti',2),(20142,'6607','Esteban diaz',2),(20143,'6607','Las marianas',2),(20144,'6608','Agote',2),(20145,'6608','Gowland',2),(20146,'6608','Manuel jose garcia',2),(20147,'6608','Olivera',2),(20148,'6612','Capdepont',2),(20149,'6612','Haras la elvira',2),(20150,'6612','La sara',2),(20151,'6612','Roman baez',2),(20152,'6612','Suipacha',2),(20153,'6614','Franklin',2),(20154,'6614','Goldney',2),(20155,'6616','Castilla',2),(20156,'6616','La california argentina',2),(20157,'6620','Chivilcoy',2),(20158,'6620','Puente batalla',2),(20159,'6621','Anderson',2),(20160,'6621','Chacra la magdalena',9),(20161,'6621','Gobernador ugarte',2),(20162,'6621','Henry bell',2),(20163,'6621','Presidente quintana',2),(20164,'6622','Chivilcoy',2),(20165,'6623','Indacochea',2),(20166,'6623','Juan jose almeyra',2),(20167,'6623','La rica',2),(20168,'6623','San sebastian',2),(20169,'6625','CaÑada la rica',2),(20170,'6625','Villa moquehua',2),(20171,'6627','Achupallas',2),(20172,'6627','Grisolia',2),(20173,'6627','Haras el carmen',2),(20174,'6627','La victoria desvio',2),(20175,'6627','Moll',2),(20176,'6627','Ramon biaus',2),(20177,'6628','Colonia zambungo',2),(20178,'6628','Coronel mon',2),(20179,'6628','Coronel segui',2),(20180,'6628','Emilio ayarza',2),(20181,'6628','La carlota',2),(20182,'6628','La dormilona',2),(20183,'6628','Palemon huergo',2),(20184,'6628','Villa maria',2),(20185,'6628','Villa ortiz',2),(20186,'6632','Benitez',2),(20187,'6632','Gorostiaga',2),(20188,'6634','Alberti',2),(20189,'6634','Andres vaccorezza',2),(20190,'6634','Emita',2),(20191,'6634','Larrea',2),(20192,'6637','Warnes',2),(20193,'6640','Asamblea',2),(20194,'6640','Bragado',2),(20195,'6640','La maria',2),(20196,'6640','Palantelen',2),(20197,'6641','Comodoro py',2),(20198,'6643','Araujo',2),(20199,'6643','Baudrix',2),(20200,'6643','Colonia palantelen',2),(20201,'6643','San jose',2),(20202,'6645','La limpia',2),(20203,'6645','Maximo fernandez',2),(20204,'6646','Colonia san eduardo',2),(20205,'6646','General o brien',2),(20206,'6648','Mecha',2),(20207,'6648','Mechita',2),(20208,'6651','Ingeniero de madrid',2),(20209,'6652','Olascoaga',2),(20210,'6660','25 de mayo',2),(20211,'6660','La tribu',2),(20212,'6660','Laguna las mulitas',2),(20213,'6660','Ortiz de rosas',2),(20214,'6660','Santiago garbarini',2),(20215,'6661','Blas duraÑona',2),(20216,'6661','Lucas monteverde',2),(20217,'6661','Mamaguita',2),(20218,'6661','Pueblitos',2),(20219,'6661','San enrique',2),(20220,'6663','Juan vela',2),(20221,'6663','Norberto de la riestra',2),(20222,'6665','Ernestina',2),(20223,'6665','La gloria',2),(20224,'6665','Pedernales',2),(20225,'6665','San jose',2),(20226,'6667','Agustin mosconi',2),(20227,'6667','Colonia inchausti',2),(20228,'6667','Islas',2),(20229,'6667','La rabia',2),(20230,'6667','La rubia',2),(20231,'6667','Martin berraondo',2),(20232,'6691','Pla',2),(20233,'6700','Caminera lujan',2),(20234,'6700','CaÑada de arias',2),(20235,'6700','Cuartel cuatro',2),(20236,'6700','La loma',2),(20237,'6700','Lezica y torrezuri',2),(20238,'6700','Lujan',2),(20239,'6700','Pueblo nuevo',2),(20240,'6700','Santa elena',2),(20241,'6701','Carlos keen',2),(20242,'6702','Lujan',2),(20243,'6703','Alastuey',2),(20244,'6703','Etchegoyen',2),(20245,'6703','Ruta 8 kilometro 77',2),(20246,'6703','Torres',2),(20247,'6703','Villa preceptor manuel cruz',2),(20248,'6705','Villa ruiz',2),(20249,'6706','Jauregui jose maria',2),(20250,'6706','Villa flandria',2),(20251,'6706','Villa francia',2),(20252,'6708','Cna nacional de alienados',2),(20253,'6708','Doctor domingo cabred',2),(20254,'6708','Hospital interzonal dr domingo',2),(20255,'6708','Mariscal sucre',2),(20256,'6708','Open door',2),(20257,'6708','Sucre',2),(20258,'6712','Cortines',2),(20259,'6712','Villa espil',2),(20260,'6717','Valdez',2),(20261,'6720','Kilometro 125',2),(20262,'6720','La florida',2),(20263,'6720','Ruiz solis',2),(20264,'6720','San andres de giles',2),(20265,'6720','Villa san alberto',2),(20266,'6721','Azcuenaga',2),(20267,'6721','Tatay',2),(20268,'6721','Tuyuti',2),(20269,'6723','Cucullu',2),(20270,'6723','Heavy',2),(20271,'6723','Kilometro 108',2),(20272,'6725','Carmen de areco',2),(20273,'6725','Estrella naciente',2),(20274,'6725','La central',2),(20275,'6725','Parada tatay',2),(20276,'6725','San ernesto',2),(20277,'6727','Gouin',2),(20278,'6727','Tres sargentos',2),(20279,'6734','Rawson',2),(20280,'6734','San patricio',2),(20281,'6736','General rivas',2),(20282,'6740','Chacabuco',2),(20283,'6740','Gregorio villafaÑe',2),(20284,'6740','VillafaÑe',2),(20285,'6743','Coliqueo',2),(20286,'6743','Ingeniero silveyra',2),(20287,'6746','Cucha cucha',2),(20288,'6748','Membrillar',2),(20289,'6748','O higgins',2),(20290,'6753','Parada los robles',2),(20291,'7000','Cantera aguirre',2),(20292,'7000','Cantera albion',2),(20293,'7000','Cantera la aurora',2),(20294,'7000','Cantera la federacion',2),(20295,'7000','Cantera la movediza',2),(20296,'7000','Cantera monte cristo',2),(20297,'7000','Cantera san luis',2),(20298,'7000','Cerro de los leones',2),(20299,'7000','Desvio aguirre',2),(20300,'7000','El gallo',2),(20301,'7000','Empalme cerro chato',2),(20302,'7000','La numancia',2),(20303,'7000','Los leones',2),(20304,'7000','Tandil',2),(20305,'7000','Villa daza',2),(20306,'7000','Villa dufau',2),(20307,'7000','Villa galicia',2),(20308,'7000','Villa italia',2),(20309,'7000','Villa laza',2),(20310,'7000','Villa leza',2),(20311,'7001','La pastora',2),(20312,'7001','Tandil',2),(20313,'7003','Aceilan',2),(20314,'7003','Maria ignacia',2),(20315,'7003','Vela',2),(20316,'7005','Claraz',2),(20317,'7005','Kilometro 404',2),(20318,'7005','La azucena',2),(20319,'7005','La negra',2),(20320,'7005','Villa cacique',2),(20321,'7007','Caminera napaleofu',2),(20322,'7007','Dos naciones',2),(20323,'7007','El cheique',2),(20324,'7007','El hervidero',2),(20325,'7007','Fulton',2),(20326,'7007','La azotea',2),(20327,'7007','La esperanza',2),(20328,'7007','La palma',2),(20329,'7007','Las suizas',2),(20330,'7007','Licenciado matienzo',2),(20331,'7007','Napaleofu',2),(20332,'7007','San manuel',2),(20333,'7007','San pascual',2),(20334,'7009','Gardey',2),(20335,'7009','Iraola',2),(20336,'7009','La  aurora',2),(20337,'7011','Aneque grande',2),(20338,'7011','Arroyo chico',2),(20339,'7011','Haras la lula',2),(20340,'7011','Juan n fernandez',2),(20341,'7011','San cala',2),(20342,'7013','De la canal',2),(20343,'7013','EgaÑa',2),(20344,'7020','Barrio juarez',2),(20345,'7020','Benito juarez',2),(20346,'7020','Caminera juarez',2),(20347,'7020','Chapar',2),(20348,'7020','Estancia chapar',2),(20349,'7020','Haras el cisne',2),(20350,'7020','La calera',2),(20351,'7020','Molino galileo',2),(20352,'7020','Monte crespo',2),(20353,'7020','Pachan',2),(20354,'7020','Parque muÑoz',2),(20355,'7021','Alzaga',2),(20356,'7021','Lopez',2),(20357,'7033','Barker',2),(20358,'7066','Tedin uriburu',2),(20359,'7100','Dolores',2),(20360,'7100','El 60',2),(20361,'7100','Esquina de crotto',2),(20362,'7100','Kilometro 212',2),(20363,'7100','La estrella',2),(20364,'7100','Las viboras',2),(20365,'7100','Loma de salomon',2),(20366,'7100','Paraje la vasca',2),(20367,'7100','Parravichini',2),(20368,'7100','Tres leguas',2),(20369,'7101','Cerro de la gloria canal 15',2),(20370,'7101','General conesa',2),(20371,'7101','Tordillo',2),(20372,'7101','Villa roch',2),(20373,'7103','Faro san antonio',2),(20374,'7103','General lavalle',2),(20375,'7105','San clemente del tuyu',2),(20376,'7106','Las toninas',2),(20377,'7107','Santa teresita',2),(20378,'7108','Costa del este',2),(20379,'7108','Mar del tuyu',2),(20380,'7109','Barrio pedro rocco',2),(20381,'7109','La victoria',2),(20382,'7109','Mar de ajo',2),(20383,'7109','Playa las margaritas',2),(20384,'7109','Punta medanos',2),(20385,'7109','San jose de los quinteros',2),(20386,'7109','Villa clelia',2),(20387,'7110','La reforma',2),(20388,'7111','San bernardo del tuyu',2),(20389,'7112','Aguas verdes',2),(20390,'7112','Costa azul',2),(20391,'7112','La isabel',2),(20392,'7112','La posta',2),(20393,'7112','La proteccion',2),(20394,'7113','La lucila del mar',2),(20395,'7113','Nueva atlantis',2),(20396,'7114','Canal 15 cerro de la gloria',2),(20397,'7114','Castelli',2),(20398,'7114','Centro guerrero',2),(20399,'7114','India muerta',2),(20400,'7114','La corina',2),(20401,'7114','La corinco',2),(20402,'7114','La costa',2),(20403,'7114','Parque taillade',2),(20404,'7114','San jose de gali',2),(20405,'7115','Sevigne',2),(20406,'7116','Camaron chico',2),(20407,'7116','Don vicente',2),(20408,'7116','El destino',2),(20409,'7116','El vence',2),(20410,'7116','Guerrero',2),(20411,'7116','La alcira',2),(20412,'7116','La despierta',2),(20413,'7116','La florida',2),(20414,'7116','La larga nueva',2),(20415,'7116','La piedra',2),(20416,'7116','Las achiras',2),(20417,'7116','Las chilcas',2),(20418,'7116','Las tortugas',2),(20419,'7116','Lezama',2),(20420,'7116','San antonio',2),(20421,'7116','San daniel',2),(20422,'7116','San enrique',2),(20423,'7118','General guido',2),(20424,'7118','San justo',2),(20425,'7118','Vecino',2),(20426,'7119','Cari larquea',2),(20427,'7119','La amorilla',2),(20428,'7119','La colorada',2),(20429,'7119','La mascota',2),(20430,'7119','Monsalvo',2),(20431,'7119','Santo domingo',2),(20432,'7119','Segurola',2),(20433,'7120','Pila',2),(20434,'7130','Barrio el hueco',2),(20435,'7130','Caminera samborombon',2),(20436,'7130','Chascomus',2),(20437,'7130','El eucaliptus',2),(20438,'7130','El rincon',2),(20439,'7130','Estancia san rafael',2),(20440,'7130','La alameda',2),(20441,'7130','La amalia',2),(20442,'7130','La amistad',2),(20443,'7130','La azotea grande',2),(20444,'7130','La horqueta',2),(20445,'7130','La limpia',2),(20446,'7130','La reforma',2),(20447,'7130','Las bruscas',2),(20448,'7130','Las mulas',2),(20449,'7130','Legaristi',2),(20450,'7130','San rafael',2),(20451,'7130','Vista alegre',2),(20452,'7130','Vitel',2),(20453,'7135','Comandante giribone',2),(20454,'7135','Cuartel 8',2),(20455,'7135','Don cipriano',2),(20456,'7135','El carbon',2),(20457,'7135','Escribano p nicolas',2),(20458,'7135','Espartillar',2),(20459,'7135','Libres del sud',2),(20460,'7135','Pedro nicolas escribano',2),(20461,'7135','Pessagno',2),(20462,'7135','Vergara',2),(20463,'7136','Adela',2),(20464,'7136','Colonia escuela argentina',2),(20465,'7136','Cuartel 6',2),(20466,'7136','Gandara',2),(20467,'7136','Haras san ignacio',2),(20468,'7136','Monasterio',2),(20469,'7150','Ayacucho',2),(20470,'7150','San laureano',2),(20471,'7151','Langueyu',2),(20472,'7151','Las sultanas',2),(20473,'7151','Magallanes',2),(20474,'7151','San ignacio',2),(20475,'7151','Solanet',2),(20476,'7151','Udaquiola',2),(20477,'7153','Cangallo',2),(20478,'7153','Fair',2),(20479,'7153','La constancia',2),(20480,'7160','Maipu',2),(20481,'7161','Labarden',2),(20482,'7163','Claverie',2),(20483,'7163','El chaja',2),(20484,'7163','EspadaÑa',2),(20485,'7163','General madariaga',2),(20486,'7163','Gobos',2),(20487,'7163','GoÑi',2),(20488,'7163','Goroso',2),(20489,'7163','Hinojales',2),(20490,'7163','Invernadas',2),(20491,'7163','Isondu',2),(20492,'7163','La esperanza gral madariaga',2),(20493,'7163','La tablada',2),(20494,'7163','Pasos',2),(20495,'7163','Salada chica',2),(20496,'7163','Salada grande',2),(20497,'7163','Santa teresa',2),(20498,'7163','Speroni',2),(20499,'7163','Tio domingo',2),(20500,'7164','Ostende',2),(20501,'7165','Faro querandi',2),(20502,'7165','Mar azul',2),(20503,'7165','Mar de las pampas',2),(20504,'7165','Villa gesell',2),(20505,'7166','Valeria del mar',2),(20506,'7167','Parque carilo',2),(20507,'7167','Pinamar',2),(20508,'7169','Carilo',2),(20509,'7169','Juancho',2),(20510,'7169','Macedo',2),(20511,'7169','Medaland',2),(20512,'7171','Montecarlo',2),(20513,'7172','Colonia ferrari',2),(20514,'7172','General piran',2),(20515,'7172','Hogar mariano ortiz basualdo',2),(20516,'7172','Las armas',2),(20517,'7174','Arroyo grande',2),(20518,'7174','Coronel vidal',2),(20519,'7174','El vigilante',2),(20520,'7174','Escuela agricola rural',2),(20521,'7174','Haras 1 de mayo',2),(20522,'7174','La tobiana',2),(20523,'7174','Las chilcas',2),(20524,'7174','Mar chiquita',2),(20525,'7176','Las armas',2),(20526,'7200','El gualicho',2),(20527,'7200','Las flores',2),(20528,'7201','Colman',2),(20529,'7201','El chalar',2),(20530,'7201','Miranda',2),(20531,'7201','Plaza montero',2),(20532,'7203','Chapaleofu',2),(20533,'7203','El carmen de langueyu',2),(20534,'7203','Galera de torres',2),(20535,'7203','Loma negra',2),(20536,'7203','Loma partida',2),(20537,'7203','Rauch',2),(20538,'7203','San jose',2),(20539,'7203','Villa burgos',2),(20540,'7203','Villa loma',2),(20541,'7203','Villa san pedro',2),(20542,'7205','La esperanza pdo las flores',2),(20543,'7205','Rosas',2),(20544,'7207','El trigo',2),(20545,'7207','Estrugamou',2),(20546,'7207','La porteÑa',2),(20547,'7208','Coronel boerr',2),(20548,'7208','Vilela',2),(20549,'7212','Doctor domingo harosteguy',2),(20550,'7212','Pardo',2),(20551,'7212','Santa rosa de minellono',2),(20552,'7214','Cachari',2),(20553,'7214','Laguna medina',2),(20554,'7214','Miramonte',2),(20555,'7220','Funke',2),(20556,'7220','Goyeneche',2),(20557,'7220','Guardia del monte',2),(20558,'7220','Kilometro 88',2),(20559,'7220','Los eucaliptos',2),(20560,'7220','San miguel del monte',2),(20561,'7221','Francisco berra',2),(20562,'7221','Gobernador udaondo',2),(20563,'7221','Kilometro 128',2),(20564,'7221','Kilometro 88',2),(20565,'7221','Palmitas',2),(20566,'7223','Bonnement',2),(20567,'7223','Chas',2),(20568,'7223','El siasgo',2),(20569,'7223','General belgrano',2),(20570,'7223','Haras chacabuco',2),(20571,'7223','IbaÑez',2),(20572,'7223','La chumbeada',2),(20573,'7223','La esperanza',2),(20574,'7223','La verde',2),(20575,'7223','Newton',2),(20576,'7225','Casalins',2),(20577,'7225','El alba',2),(20578,'7225','Estancia vieja',2),(20579,'7225','La luz',2),(20580,'7225','La mascota',2),(20581,'7225','La victoria',2),(20582,'7225','PeÑaflor',2),(20583,'7225','Puente el ochenta',2),(20584,'7225','Real audiencia',2),(20585,'7225','Rincon de vivot',2),(20586,'7225','Villanueva',2),(20587,'7226','Gorchs',2),(20588,'7226','Kilometro 146',2),(20589,'7226','Los cerrillos',2),(20590,'7226','Zenon videla dorna',2),(20591,'7228','Abbott',2),(20592,'7240','Kilometro 112',2),(20593,'7240','Laguna de lobos',2),(20594,'7240','Lobos',2),(20595,'7241','La porteÑa',2),(20596,'7241','Las chacras',2),(20597,'7241','Salvador maria',2),(20598,'7243','Antonio carboni',2),(20599,'7243','Arevalo',2),(20600,'7243','La adelaida',2),(20601,'7243','La blanqueada',2),(20602,'7243','Santa alicia',2),(20603,'7243','Santa felicia',2),(20604,'7243','Sol de mayo',2),(20605,'7245','Campo sabate',2),(20606,'7245','Haras el salaso',2),(20607,'7245','Juan atucha',2),(20608,'7245','La paz',2),(20609,'7245','La reforma',2),(20610,'7245','La rinconada',2),(20611,'7245','Roque perez',2),(20612,'7245','Santiago larre',2),(20613,'7246','Elvira',2),(20614,'7247','Barrientos',2),(20615,'7247','Campo funke',2),(20616,'7247','Carlos beguerie',2),(20617,'7247','Juan tronconi',2),(20618,'7247','La paz chica',2),(20619,'7249','El araza',2),(20620,'7249','Empalme lobos',2),(20621,'7249','Zapiola',2),(20622,'7260','Barrio villa saladillo',2),(20623,'7260','El mangrullo',2),(20624,'7260','Emiliano reynoso',2),(20625,'7260','Esther',2),(20626,'7260','Gobernador ortiz de rosas',2),(20627,'7260','Jose sojo',2),(20628,'7260','La barrancosa',2),(20629,'7260','La campana',2),(20630,'7260','La margarita',2),(20631,'7260','La razon',2),(20632,'7260','Saladillo',2),(20633,'7261','Saladillo norte',2),(20634,'7261','San benito',2),(20635,'7263','El chumbiao',2),(20636,'7263','El parche',2),(20637,'7263','Emma',2),(20638,'7263','General alvear',2),(20639,'7263','Haras r de la parva',2),(20640,'7263','J m micheo',2),(20641,'7263','La pampa',2),(20642,'7263','Los cuatro caminos',2),(20643,'7265','Del carril',2),(20644,'7266','Polvaredas',2),(20645,'7267','Juan blaquier',2),(20646,'7267','Toldos viejos',2),(20647,'7282','Alvarez de toledo',2),(20648,'7283','Cazon',2),(20649,'7300','Azul',2),(20650,'7300','Caminera azul',2),(20651,'7300','Estacion lazzarino',2),(20652,'7300','La colorada',2),(20653,'7300','La mantequeria',2),(20654,'7300','Las cortaderas',2),(20655,'7300','Lazzarino',2),(20656,'7300','Vicente pereda',2),(20657,'7301','Ariel',2),(20658,'7301','Arroyo los huesos',2),(20659,'7301','Base naval azopardo',2),(20660,'7301','Francisco j meeks',2),(20661,'7301','Pablo acosta',2),(20662,'7301','Uballes',2),(20663,'7301','VaÑa',2),(20664,'7303','Altona',2),(20665,'7303','Campo rojas',2),(20666,'7303','El sauce',2),(20667,'7303','Santa rosa',2),(20668,'7303','Tapalque',2),(20669,'7303','Yerbas',2),(20670,'7305','Antonio de los heros',2),(20671,'7305','Campodonico',2),(20672,'7305','Covello',2),(20673,'7305','El mirador',2),(20674,'7305','San gervacio',2),(20675,'7305','Velloso',2),(20676,'7307','Crotto',2),(20677,'7307','Requena',2),(20678,'7311','Chillar',2),(20679,'7311','La protegida',2),(20680,'7311','Martin fierro',2),(20681,'7311','San ramon de anchorena',2),(20682,'7313','16 de julio',2),(20683,'7313','Bernardo vera y pintado',2),(20684,'7313','Coronel rodolfo bunge',2),(20685,'7313','El luchador',2),(20686,'7313','Kilometro 433',2),(20687,'7313','La nutria',2),(20688,'7313','Ricardo gaviÑa',2),(20689,'7316','Fortin irene',2),(20690,'7316','La chumbeada',2),(20691,'7316','Las nieves',2),(20692,'7316','Nieves',2),(20693,'7316','Parish',2),(20694,'7316','Shaw',2),(20695,'7318','Colonia hinojo',2),(20696,'7318','Colonia nieves',2),(20697,'7318','Colonia rusa',2),(20698,'7318','Hinojo',2),(20699,'7318','Villa monica',2),(20700,'7342','San andres de tapalque',2),(20701,'7400','Barrio la luisa',2),(20702,'7400','Calera avellaneda',2),(20703,'7400','Kilometro 333',2),(20704,'7400','La navarra',2),(20705,'7400','Las piedritas',2),(20706,'7400','Olavarria',2),(20707,'7400','Pueblo nuevo',2),(20708,'7400','San jacinto',2),(20709,'7400','Villa fortabat',2),(20710,'7401','Canteras de gregorini',2),(20711,'7401','DuraÑona',2),(20712,'7401','Empalme querandies',2),(20713,'7401','San juan',2),(20714,'7401','Santa luisa',2),(20715,'7401','Sierra chica',2),(20716,'7401','Teniente coronel miÑana',2),(20717,'7403','Alvaro barros',2),(20718,'7403','Cerro aguila',2),(20719,'7403','Cerro negro',2),(20720,'7403','Cerro sotuyo',2),(20721,'7403','Fortabat',2),(20722,'7403','La estrella',2),(20723,'7403','La narcisa',2),(20724,'7403','La palmira',2),(20725,'7403','La providencia',2),(20726,'7403','La tomasa',2),(20727,'7403','Loma negra',2),(20728,'7403','Sierras bayas',2),(20729,'7404','Fortin lavalle',2),(20730,'7404','MuÑoz',2),(20731,'7404','Pourtale',2),(20732,'7404','Rocha',2),(20733,'7404','San jorge',2),(20734,'7406','Aldecon',2),(20735,'7406','Chala quilca',2),(20736,'7406','Fortin necochea',2),(20737,'7406','General lamadrid',2),(20738,'7406','Las bandurrias',2),(20739,'7406','Las martinetas',2),(20740,'7406','Lastra',2),(20741,'7406','Quilco',2),(20742,'7406','San quilco',2),(20743,'7406','Santa clementina',2),(20744,'7407','Libano',2),(20745,'7408','La colina',2),(20746,'7412','Las hermanas',2),(20747,'7412','Los pinos',2),(20748,'7412','ParagÜil',2),(20749,'7412','Voluntad',2),(20750,'7414','Laprida',2),(20751,'7414','Santa elena',2),(20752,'7414','Villa pueblo nuevo',2),(20753,'7421','Sierra chica',2),(20754,'7429','Colonia san miguel',2),(20755,'7436','Loma negra',2),(20756,'7500','El carretero',2),(20757,'7500','El triangulo',2),(20758,'7500','Estacion barrow',2),(20759,'7500','Hueso clavado',2),(20760,'7500','La horqueta',2),(20761,'7500','La pastora',2),(20762,'7500','La tigra',2),(20763,'7500','Las vaquerias',2),(20764,'7500','Tres arroyos',2),(20765,'7501','Indio rico',2),(20766,'7503','Cristiano muerto',2),(20767,'7503','El cristiano',2),(20768,'7503','General valdez',2),(20769,'7503','La feliciana',2),(20770,'7503','Los molles',2),(20771,'7503','Orense',2),(20772,'7503','San alberto',2),(20773,'7503','Santa catalina',2),(20774,'7505','Balneario claromeco',2),(20775,'7505','Est san francisco belloq',2),(20776,'7505','Lin calel',2),(20777,'7505','Villa carucha',2),(20778,'7507','El bombero',2),(20779,'7507','Irene',2),(20780,'7507','Micaela cascallares',2),(20781,'7509','Oriente',2),(20782,'7511','Balneario oceano',2),(20783,'7511','Balneario orense',2),(20784,'7511','Copetonas',2),(20785,'7511','Paso del medano',2),(20786,'7513','Adolfo gonzales chaves',2),(20787,'7513','El lucero',2),(20788,'7515','Claudio c molina',2),(20789,'7515','De la garma',2),(20790,'7515','Pedro lasalle',2),(20791,'7517','Juan e barra',2),(20792,'7517','La sortija',2),(20793,'7517','Mariano roldan',2),(20794,'7517','Pierini',2),(20795,'7519','San mayol',2),(20796,'7519','Vasquez',2),(20797,'7520','San francisco de bellocq',2),(20798,'7521','La ballena',2),(20799,'7521','La gaviota',2),(20800,'7521','Loma del indio',2),(20801,'7521','Ochandio',2),(20802,'7521','San cayetano',2),(20803,'7521','San severo',2),(20804,'7523','Deferrari',2),(20805,'7525','Pueblo balneario reta',2),(20806,'7530','Coronel pringles',2),(20807,'7530','El chelforo',2),(20808,'7530','Krabbe',2),(20809,'7530','Las mostazas',2),(20810,'7530','Pillahuinco',2),(20811,'7530','Raulet',2),(20812,'7530','Tejo galeta',2),(20813,'7530','Zoilo peralta',2),(20814,'7531','DespeÑaderos',2),(20815,'7531','El divisorio',2),(20816,'7531','El pensamiento',2),(20817,'7531','Lartigau',2),(20818,'7533','QuiÑihual estacion',2),(20819,'7535','Pontaut',2),(20820,'7536','Estacion coronel pringles',2),(20821,'7536','La reserva',2),(20822,'7536','Stegmann',2),(20823,'7540','Bathurst estacion',2),(20824,'7540','Coronel suarez',2),(20825,'7540','PiÑeyro',2),(20826,'7540','Sauce corto',2),(20827,'7540','Villa arcadia',2),(20828,'7541','D orbigny',2),(20829,'7541','Pueblo san jose',2),(20830,'7543','La primavera',2),(20831,'7545','Huanguelen',2),(20832,'7545','La copeta',2),(20833,'7545','La nevada',2),(20834,'7545','Louge',2),(20835,'7545','Ombu',2),(20836,'7545','OtoÑo',2),(20837,'7545','Zentena',2),(20838,'7547','Cascada',2),(20839,'7547','Pasman',2),(20840,'7548','Curamalan',2),(20841,'7548','PiÑeyro',2),(20842,'7569','Pueblo santa maria',2),(20843,'7570','Santa trinidad',2),(20844,'7600','Barrio caisamar',2),(20845,'7600','Barrio emir ramon juarez',2),(20846,'7600','Barrio gastronomico',2),(20847,'7600','Barrio general roca',2),(20848,'7600','Barrio jose m estrada',2),(20849,'7600','Barrio juramento',2),(20850,'7600','Barrio los andes',2),(20851,'7600','Barrio pinares',2),(20852,'7600','Barrio primera junta',2),(20853,'7600','Barrio pueblo nuevo',2),(20854,'7600','Barrio san carlos',2),(20855,'7600','Barrio san cayetano',2),(20856,'7600','Barrio san jose',2),(20857,'7600','Barrio tierra de oro',2),(20858,'7600','Barrio tiro federal',2),(20859,'7600','El soldado',2),(20860,'7600','Laguna del soldado',2),(20861,'7600','Mar del plata',2),(20862,'7600','Villa vignolo',2),(20863,'7601','Barrio batan',2),(20864,'7601','La peregrina',2),(20865,'7601','Laguna de los padres',2),(20866,'7601','Los ortiz',2),(20867,'7601','San jose de otamendi',2),(20868,'7602','Mar del plata',2),(20869,'7603','Comandante nicanor otamendi',2),(20870,'7603','Dionisia',2),(20871,'7603','La colmena',2),(20872,'7603','La elma',2),(20873,'7603','La lucia',2),(20874,'7603','La madrecita',2),(20875,'7603','La reforma',2),(20876,'7603','Las lomas',2),(20877,'7603','Los patos',2),(20878,'7603','Mar del plata',2),(20879,'7603','San cornelio',2),(20880,'7603','San felipe',2),(20881,'7604','Mar del plata',2),(20882,'7605','Haras chapadmalal',2),(20883,'7605','La ballenera',2),(20884,'7605','La florida',2),(20885,'7605','Las piedrtas',2),(20886,'7605','Mar del plata',2),(20887,'7605','Mechongue',2),(20888,'7605','Yraizos',2),(20889,'7606','Mar del plata',2),(20890,'7607','Barrio oeste',2),(20891,'7607','Barrio parque bristol',2),(20892,'7607','El centinela',2),(20893,'7607','El pito',2),(20894,'7607','General alvarado',2),(20895,'7607','Miramar',2),(20896,'7607','Pla y ragnoni',2),(20897,'7607','Santa irene',2),(20898,'7607','Villa copacabana',2),(20899,'7608','Mar del plata',2),(20900,'7609','Colonia de vac chapadmalal',2),(20901,'7609','La caleta',2),(20902,'7609','Los acantilados',2),(20903,'7609','Mar de cobo',2),(20904,'7609','Playa chapadmalal',2),(20905,'7609','Playa serena',2),(20906,'7609','Santa clara del mar',2),(20907,'7609','Santa elena',2),(20908,'7609','Siempre verde',2),(20909,'7609','Unidad turistica chapadmalal',2),(20910,'7610','Mar del plata',2),(20911,'7611','Mar del plata',2),(20912,'7612','Camet',2),(20913,'7612','Cobo',2),(20914,'7612','El refugio',2),(20915,'7612','Vivorata',2),(20916,'7613','Calfucura',2),(20917,'7613','Campamento',2),(20918,'7613','Comandante nicanor otamendi',2),(20919,'7613','Nahuel ruca',2),(20920,'7613','San julian',2),(20921,'7613','San valentin',2),(20922,'7616','Barrio chapadmalal',2),(20923,'7619','Playa chapadmalal',2),(20924,'7620','Balcarce',2),(20925,'7620','Bosch',2),(20926,'7620','El junco',2),(20927,'7620','El verano',2),(20928,'7620','El volante',2),(20929,'7620','Haras ojo del agua',2),(20930,'7620','La brava',2),(20931,'7620','La para',2),(20932,'7620','Laguna brava',2),(20933,'7620','Los cardos',2),(20934,'7621','La sara',2),(20935,'7621','Ramos otero',2),(20936,'7621','Rincon de baudrix',2),(20937,'7621','San simon',2),(20938,'7623','Campo la plata',2),(20939,'7623','Campo leite',2),(20940,'7623','Campo pelaez',2),(20941,'7623','El moro',2),(20942,'7623','Las nutrias',2),(20943,'7623','Los pinos',2),(20944,'7623','San agustin',2),(20945,'7625','El boqueron',2),(20946,'7627','Sierra de los padres',2),(20947,'7630','Hospital necochea',2),(20948,'7630','La primitiva',2),(20949,'7630','Medano blanco',2),(20950,'7630','Necochea',2),(20951,'7630','Valenzuela anton',2),(20952,'7630','Villa diaz velez',2),(20953,'7631','Costa bonita balneario',2),(20954,'7631','Haras el moro',2),(20955,'7631','Haras nacional',2),(20956,'7631','La playa',2),(20957,'7631','Malecon gardella',2),(20958,'7631','Quequen',2),(20959,'7631','San miguel del moro',2),(20960,'7631','Villa puerto quequen',2),(20961,'7632','Necochea',2),(20962,'7633','Maori',2),(20963,'7633','Pieres',2),(20964,'7633','Tamangueyu',2),(20965,'7635','El lenguaraz',2),(20966,'7635','Kilometro 440',2),(20967,'7635','Loberia',2),(20968,'7635','Los cerros',2),(20969,'7635','San jose',2),(20970,'7637','La dulce',2),(20971,'7637','Nicanor olivera',2),(20972,'7639','Cooper',2),(20973,'7639','Lumb',2),(20974,'7641','Balneario los angeles',2),(20975,'7641','El pito',2),(20976,'7641','Energia',2),(20977,'7641','Puerto necochea',2),(20978,'7641','Ramon santamarina',2),(20979,'7774','Mar del sud',2),(20980,'7783','San eduardo del mar',2),(20981,'7784','El marquesado',2),(20982,'7785','Balneario la baliza',2),(20983,'7788','Balneario mar de cobo',2),(20984,'7792','Balneario mar chiquita',2),(20985,'7794','Balneario santa elena',2),(20986,'7796','Balneario playa dorada',2),(20987,'7797','Balneario la caleta',2),(20988,'7798','Vivorata',2),(20989,'7802','Balneario frente mar',2),(20990,'7803','Balneario camet norte',2),(20991,'7807','Balneario atlantida',2),(20992,'8000','Adela corti',2),(20993,'8000','Bahia blanca',2),(20994,'8000','Barrio almafuerte',2),(20995,'8000','Barrio avellaneda',2),(20996,'8000','Barrio juan b justo',2),(20997,'8000','Barrio la falda',2),(20998,'8000','Barrio loma paraguaya',2),(20999,'8000','Barrio noroeste',2),(21000,'8000','Barrio parque patagonia',2),(21001,'8000','Barrio pedro rico',2),(21002,'8000','Barrio rosario sud',2),(21003,'8000','Barrio san blas',2),(21004,'8000','Barrio san martin',2),(21005,'8000','Barrio san roque',2),(21006,'8000','Barrio tiro federal',2),(21007,'8000','Barrio villa muÑiz',2),(21008,'8000','Barrio vista alegre',2),(21009,'8000','Bella vista',2),(21010,'8000','Bordeu',2),(21011,'8000','Choique',2),(21012,'8000','Colonia bella vista',2),(21013,'8000','Coronel maldonado',2),(21014,'8000','Juan b justo ing white',2),(21015,'8000','Mercado de victoria',2),(21016,'8000','Puerto galvan',2),(21017,'8000','Villa buenos aires',2),(21018,'8000','Villa cerrito',2),(21019,'8000','Villa delfina',2),(21020,'8000','Villa domingo pronsato',2),(21021,'8000','Villa floresta',2),(21022,'8000','Villa italia',2),(21023,'8000','Villa libre',2),(21024,'8000','Villa loreto',2),(21025,'8000','Villa mitre',2),(21026,'8000','Villa nocito',2),(21027,'8000','Villa obrera',2),(21028,'8000','Villa olga grumbein',2),(21029,'8000','Villa sanchez elia',2),(21030,'8000','Villa soldati',2),(21031,'8001','Bahia blanca',2),(21032,'8002','Bahia blanca',2),(21033,'8003','Bahia blanca',2),(21034,'8049','Grunbein',2),(21035,'8050','Villa general arias',2),(21036,'8070','Pehuen co',2),(21037,'8071','Villa del mar',2),(21038,'8101','Aldea romana',2),(21039,'8101','Calderon',2),(21040,'8101','Galvan',2),(21041,'8101','Grunbein',2),(21042,'8101','Kilometro 11',2),(21043,'8101','Kilometro 9 sud',2),(21044,'8101','Villa harding green',2),(21045,'8101','Villa herminia',2),(21046,'8103','Garro',2),(21047,'8103','Ingeniero white',2),(21048,'8103','Puerto bahia blanca',2),(21049,'8103','Spurr',2),(21050,'8103','Villa rosas',2),(21051,'8103','Villa serra',2),(21052,'8105','Aguara',2),(21053,'8105','Cerri',2),(21054,'8105','Colonia la merced',2),(21055,'8105','Cuatreros',2),(21056,'8105','General daniel cerri',2),(21057,'8105','Kilometro 666',2),(21058,'8105','Sauce chico',2),(21059,'8107','Base aeronaval cmte espora',2),(21060,'8107','Espora',2),(21061,'8109','Almirante solier',2),(21062,'8109','Balneario parada',2),(21063,'8109','Desvio sandrini',2),(21064,'8109','Kilometro 652',2),(21065,'8109','La martina',2),(21066,'8109','Punta alta',2),(21067,'8109','Villa laura',2),(21068,'8109','Villa maio',2),(21069,'8111','Arroyo pareja',2),(21070,'8111','Isla catarelli',2),(21071,'8111','Puerto belgrano',2),(21072,'8111','Puerto rosales',2),(21073,'8113','Baterias',2),(21074,'8115','Bajo hondo',2),(21075,'8115','La virginia',2),(21076,'8115','Las oscuras',2),(21077,'8115','Paso mayor',2),(21078,'8117','Alferez san martin',2),(21079,'8117','Chasico',2),(21080,'8117','Choique',2),(21081,'8117','El cortapie',2),(21082,'8117','Empalme piedra echada',2),(21083,'8117','Lopez lecube',2),(21084,'8117','Nueva roma',2),(21085,'8117','Pelicura',2),(21086,'8117','Piedra ancha',2),(21087,'8117','Venancio',2),(21088,'8118','Cabildo',2),(21089,'8118','Cochrane',2),(21090,'8118','Coronel falcon',2),(21091,'8118','Corti',2),(21092,'8118','Estomba',2),(21093,'8122','La viticola',2),(21094,'8122','Naposta',2),(21095,'8124','Berraondo',2),(21096,'8124','General rondeau',2),(21097,'8124','La pochola',2),(21098,'8124','San german',2),(21099,'8126','Aldea san andres',2),(21100,'8126','La colorada chica',2),(21101,'8126','Villa iris',2),(21102,'8127','Estela',2),(21103,'8127','Rivadeo',2),(21104,'8129','Adela saenz',2),(21105,'8129','Felipe sola',2),(21106,'8129','Glorialdo',2),(21107,'8132','Balneario chapalco',2),(21108,'8132','Balneario san antonio',2),(21109,'8132','Colonia los alfalfares',2),(21110,'8132','Colonia san enrique',2),(21111,'8132','Medanos',2),(21112,'8133','La rosa',9),(21113,'8134','6 de octubre',20),(21114,'8134','Argerich',2),(21115,'8134','Cabeza de buey',2),(21116,'8134','Colonia ocampo',2),(21117,'8134','Graciarena',2),(21118,'8134','La gleva',2),(21119,'8134','La mascota',2),(21120,'8134','Laguna chasico',2),(21121,'8134','Las escobas',2),(21122,'8134','Las piedras',20),(21123,'8134','Medanos negros',20),(21124,'8134','Nicolas levalle',2),(21125,'8134','Paso cramer',2),(21126,'8134','Rio salado',20),(21127,'8134','Salinas chicas',2),(21128,'8136','Algarrobo',2),(21129,'8136','Colonia cuarenta y tres',2),(21130,'8136','Colonia la catalina',2),(21131,'8136','Juan couste',2),(21132,'8136','La blanca',2),(21133,'8136','La celina',2),(21134,'8136','La eva',2),(21135,'8136','La sombra',2),(21136,'8136','Montes de oca',2),(21137,'8136','San emilio',2),(21138,'8136','San jose',2),(21139,'8138','Anzoategui',9),(21140,'8138','Balo los morros',9),(21141,'8138','Caleu caleu',9),(21142,'8138','Colonia julia y echarren',20),(21143,'8138','Coronel eugenio del busto',20),(21144,'8138','El aguila',9),(21145,'8138','Gaviotas',9),(21146,'8138','Juan de garay',20),(21147,'8138','La adela',20),(21148,'8138','La adela',9),(21149,'8138','La maria ines',20),(21150,'8138','La tosca',9),(21151,'8138','Los morros',9),(21152,'8138','Lote 14',9),(21153,'8138','Lote 17',9),(21154,'8138','Lote 18',9),(21155,'8138','Lote 19  colonia n leven',9),(21156,'8138','Lote 22',9),(21157,'8138','Lote 23',9),(21158,'8138','Lote 24',9),(21159,'8138','Lote 6',9),(21160,'8138','Lote 7',9),(21161,'8138','Lote 8',9),(21162,'8138','Pichi mahuida',20),(21163,'8138','Rio colorado',20),(21164,'8138','Salinas',9),(21165,'8138','Salinas grandes  anzoategui',9),(21166,'8138','San leon',20),(21167,'8142','Colonia barga',2),(21168,'8142','Colonia el guanaco',2),(21169,'8142','Colonia la graciela',2),(21170,'8142','Colonia los alamos',2),(21171,'8142','Colonia san francisco',2),(21172,'8142','Colonia tapatta',2),(21173,'8142','Hilario ascasubi',2),(21174,'8142','Ombucta',2),(21175,'8142','Paso alsina',2),(21176,'8142','Puerto coloma',2),(21177,'8142','San adolfo',2),(21178,'8144','Colonia monte la plata',2),(21179,'8144','Colonia pueblo ruso',2),(21180,'8144','El paraiso',2),(21181,'8144','Kilometro 697',2),(21182,'8144','La celia',2),(21183,'8144','Teniente origone',2),(21184,'8146','El rincon',2),(21185,'8146','Isla verde',2),(21186,'8146','Mayor buratovich',2),(21187,'8146','Villa rio chico',2),(21188,'8148','Estancia las isletas',2),(21189,'8148','Fortin mercedes',2),(21190,'8148','Fortin viejo',2),(21191,'8148','Las isletas',2),(21192,'8148','Pedro luro',2),(21193,'8150','Campo la lima',2),(21194,'8150','Coronel dorrego',2),(21195,'8150','Faro',2),(21196,'8150','La luna',2),(21197,'8150','La sirena',2),(21198,'8150','San ramon',2),(21199,'8150','Sauce grande',2),(21200,'8151','El zorro',2),(21201,'8151','Gil',2),(21202,'8151','Kilometro 563',2),(21203,'8151','La aurora',2),(21204,'8151','Nicolas descalzi',2),(21205,'8151','Zubiaurre',2),(21206,'8153','Balneario oriente',2),(21207,'8153','Balneario sauce grande',2),(21208,'8153','Monte hermoso',2),(21209,'8154','Calvo',2),(21210,'8154','La soberania',2),(21211,'8154','San roman',2),(21212,'8156','Jose a guisasola',2),(21213,'8158','Aparicio',2),(21214,'8158','Paraje la aurora',2),(21215,'8160','Fortin chaco',2),(21216,'8160','Fuerte argentino',2),(21217,'8160','Tornquist',2),(21218,'8162','Garcia del rio',2),(21219,'8162','Tres picos',2),(21220,'8164','Arquedas',2),(21221,'8164','Colonia san martin',2),(21222,'8164','Colonia san pedro',2),(21223,'8164','Dufaur',2),(21224,'8164','San martin de tours',2),(21225,'8166','Saldungaray',2),(21226,'8168','Sierra de la ventana',2),(21227,'8170','Abra de hinojo',2),(21228,'8170','Alta vista',2),(21229,'8170','Ducos',2),(21230,'8170','Pigue',2),(21231,'8171','Espartillar',2),(21232,'8172','Arroyo corto',2),(21233,'8174','Arroyo aguas blancas',2),(21234,'8174','La saudade',2),(21235,'8174','Saavedra',2),(21236,'8175','Goyena',2),(21237,'8180','Colonia dr gdor udaondo',2),(21238,'8180','Desvio san alejo',2),(21239,'8180','Puan',2),(21240,'8180','San andres',2),(21241,'8180','Viboras',2),(21242,'8181','Alta vista',2),(21243,'8181','Azopardo',2),(21244,'8181','Colonia el pincen',2),(21245,'8181','Colonia hipolito yrigoyen',2),(21246,'8181','Colonia santa rosa',2),(21247,'8181','Erize',2),(21248,'8181','La vascongada',2),(21249,'8183','Avestruz',2),(21250,'8183','CaÑada mariano',2),(21251,'8183','Colonia la vascongada',2),(21252,'8183','Darregueira',2),(21253,'8183','Tres cuervos',2),(21254,'8184','CaÑadon de los mogotes',5),(21255,'8185','Campo del norte americano',2),(21256,'8185','Campo la zulema',2),(21257,'8185','Campo los aromos',2),(21258,'8185','Campo san juan',2),(21259,'8185','Canonigo gorriti',2),(21260,'8185','Colonia la estrella',2),(21261,'8185','Colonia lapin',2),(21262,'8185','Colonia leven',2),(21263,'8185','Colonia phillipson n 1',2),(21264,'8185','Colonia santa mariana',2),(21265,'8185','Delfin huergo',2),(21266,'8185','Esteban a gascon',2),(21267,'8185','La florida',2),(21268,'8185','Monte fiore',2),(21269,'8185','San antonio',2),(21270,'8185','San miguel arcangel',2),(21271,'8185','Villa margarita',2),(21272,'8187','Bordenave',2),(21273,'8187','La rosalia',2),(21274,'8200','Colonia lia y allende',9),(21275,'8200','El boqueron',9),(21276,'8200','El carancho',9),(21277,'8200','El madrigal',9),(21278,'8200','El veraneo',9),(21279,'8200','Ex escuela hogar nro 5',9),(21280,'8200','General acha',9),(21281,'8200','La aurora',9),(21282,'8200','La banderita',9),(21283,'8200','La chita',9),(21284,'8200','La escondida',9),(21285,'8200','La lonja',9),(21286,'8200','La magdalena',9),(21287,'8200','La moderna',9),(21288,'8200','La nilda',9),(21289,'8200','La paloma',9),(21290,'8200','La pampita',9),(21291,'8200','La sorpresa',9),(21292,'8200','Las acacias',9),(21293,'8200','Las dos naciones',9),(21294,'8200','Lote 10',9),(21295,'8200','Lote 11',9),(21296,'8200','Lote 12',9),(21297,'8200','Lote 13',9),(21298,'8200','Lote 18',9),(21299,'8200','Lote 19',9),(21300,'8200','Lote 21',9),(21301,'8200','Lote 22',9),(21302,'8200','Lote 3',9),(21303,'8200','Maraco',9),(21304,'8200','Maraco chico',9),(21305,'8200','Medano colorado',9),(21306,'8200','QuiÑi malal',9),(21307,'8200','San simon',9),(21308,'8200','Sierras de lihuel calel',9),(21309,'8200','Valle argentino',9),(21310,'8200','Valle daza',9),(21311,'8201','25 de mayo',9),(21312,'8201','Barrancas coloradas',9),(21313,'8201','Belgrano',9),(21314,'8201','Cerro azul',9),(21315,'8201','Cerro bayo',9),(21316,'8201','Cerro del aigre',9),(21317,'8201','Cerro la bota',9),(21318,'8201','Chacharramendi',9),(21319,'8201','Colonia los piojos',9),(21320,'8201','Colonia san ignacio',9),(21321,'8201','El cinco',9),(21322,'8201','El diez',9),(21323,'8201','El diez y siete',9),(21324,'8201','El escabel',9),(21325,'8201','El huitru',9),(21326,'8201','El nueve',9),(21327,'8201','El tartagal',9),(21328,'8201','El trece',9),(21329,'8201','El uno',9),(21330,'8201','Euskadi',9),(21331,'8201','Gobernador ayala',9),(21332,'8201','Guaraco',9),(21333,'8201','Julian a mansilla',9),(21334,'8201','La asturiana',9),(21335,'8201','La chita puelches',9),(21336,'8201','La clelia',9),(21337,'8201','La limpia',9),(21338,'8201','La lucha la reforma',9),(21339,'8201','La reforma vieja',9),(21340,'8201','Legasa',9),(21341,'8201','Lihue calel',9),(21342,'8201','Limay mahuida',9),(21343,'8201','Minerales de la pampa',9),(21344,'8201','Puelches',9),(21345,'8201','San roberto',9),(21346,'8201','San salvador',9),(21347,'8201','Santa elena',9),(21348,'8203','La sin nombre',9),(21349,'8203','Los olivos',9),(21350,'8203','San antonio',9),(21351,'8203','San ernesto',9),(21352,'8203','Santo domingo',9),(21353,'8203','Utracan',9),(21354,'8204','Bernasconi',9),(21355,'8204','Colonia 17 de agosto',9),(21356,'8204','Colonia las tres piedras',9),(21357,'8204','Dos chaÑares',9),(21358,'8204','Gervasio ortiz de rosas',9),(21359,'8204','La esperanza',9),(21360,'8204','Lote 12',9),(21361,'8204','Lote 20',9),(21362,'8204','Maria',9),(21363,'8204','Narciso leven',9),(21364,'8204','San bernardo',9),(21365,'8204','San fernando',9),(21366,'8204','San jose',9),(21367,'8206','Colonia espaÑa',9),(21368,'8206','Colonia helvecia',9),(21369,'8206','Colonia villa alba',9),(21370,'8206','El trigo',9),(21371,'8206','El vasquito',9),(21372,'8206','General san martin',9),(21373,'8206','La colorada chica',9),(21374,'8206','La colorada grande',9),(21375,'8206','La juanita',9),(21376,'8206','La porteÑa',9),(21377,'8206','La primera',9),(21378,'8206','La puma',9),(21379,'8206','Lote 17 escuela 121',9),(21380,'8206','Lote 18 escuela 158',9),(21381,'8206','Lote 23 escuela 264',9),(21382,'8206','Lote 7 escuela 270',9),(21383,'8206','Lote 8  escuela 179',9),(21384,'8206','Minas de sal',9),(21385,'8206','Traico',9),(21386,'8206','Villa alba',9),(21387,'8208','Campo cicare',9),(21388,'8208','Campo de salas',9),(21389,'8208','Campo nicholson',9),(21390,'8208','Colonia beatriz',9),(21391,'8208','Colonia san rosario',9),(21392,'8208','Colonia vascongada',9),(21393,'8208','Jacinto arauz',9),(21394,'8208','Traico grande',9),(21395,'8208','Villa mencuelle',9),(21396,'8211','Cushamen',21),(21397,'8212','Abramo',9),(21398,'8212','Cona lauquen',9),(21399,'8212','Cotita',9),(21400,'8212','Dos amigos',9),(21401,'8212','Dos de ipiÑa',9),(21402,'8212','Dos violetas',9),(21403,'8212','El lucero',9),(21404,'8212','El mirador',9),(21405,'8212','Hucal',9),(21406,'8212','IpiÑa',9),(21407,'8212','La administracion',9),(21408,'8212','La catita',9),(21409,'8212','La constancia',9),(21410,'8212','La elva',9),(21411,'8212','La estrella del sud',9),(21412,'8212','La isabel',9),(21413,'8212','La maria',9),(21414,'8212','La maria elena',9),(21415,'8212','La maria elisa',9),(21416,'8212','La union',9),(21417,'8212','La victoria',9),(21418,'8212','Lote 11 bernasconi',9),(21419,'8212','Lote 22 ipiÑa',9),(21420,'8212','Lote 8',9),(21421,'8212','Luna',9),(21422,'8212','Peru',9),(21423,'8212','Piche cona lauquen',9),(21424,'8212','Remeco',9),(21425,'8212','San aquilino',9),(21426,'8212','San diego',9),(21427,'8212','San juan',9),(21428,'8212','San miguel',9),(21429,'8212','Tres botones',9),(21430,'8212','Tres naciones',9),(21431,'8212','Tribuluci',9),(21432,'8212','Trubuluco',9),(21433,'8214','Colonia cazaux',9),(21434,'8214','Colonia la mutua',9),(21435,'8214','Colonia medano colorado',9),(21436,'8214','Colonia santa clara',9),(21437,'8214','Colonia santa maria',9),(21438,'8214','Cuchillo co',9),(21439,'8214','El descanso',9),(21440,'8214','El pimia',9),(21441,'8214','El porvenir',9),(21442,'8214','El puma',9),(21443,'8214','Epu pel',9),(21444,'8214','La torera',9),(21445,'8214','Santa clara',9),(21446,'8214','Santa maria',9),(21447,'8214','Unanue',9),(21448,'8225','17 de agosto',2),(21449,'8255','Juan a pradere',2),(21450,'8300','Las perlas',22),(21451,'8300','Loma de la lata',22),(21452,'8300','Mari menuco',22),(21453,'8300','Neuquen',22),(21454,'8300','Portezuelo grande',22),(21455,'8300','Rincon de emilio',22),(21456,'8301','Aguada de los pajaritos',20),(21457,'8301','Contralmirante cordero',20),(21458,'8301','Cuenca vidal',20),(21459,'8301','Ferri',20),(21460,'8301','Planicie banderita',22),(21461,'8303','Cinco saltos',20),(21462,'8305','AÑelo',22),(21463,'8305','Auca mahuida',22),(21464,'8305','Barda del medio',20),(21465,'8305','Colonia el manzano',20),(21466,'8305','Coronel vidal',20),(21467,'8305','Kilometro 1218',20),(21468,'8305','Lago pellegrini',20),(21469,'8305','Los chihuidos',22),(21470,'8305','Los chinitos',22),(21471,'8305','Punta de sierra',22),(21472,'8305','San patricio del chaÑar',22),(21473,'8305','Sargento vidal',20),(21474,'8305','Tratayen',22),(21475,'8307','Aguara',20),(21476,'8307','Catriel',20),(21477,'8307','Colonia alte guerrico',20),(21478,'8307','Colonia gobernador ayala',9),(21479,'8307','Cos zaures',20),(21480,'8307','La bota',9),(21481,'8307','La copelina',9),(21482,'8307','Los sauces',20),(21483,'8307','Paso la balsa',9),(21484,'8307','PeÑas blancas',20),(21485,'8307','Puelen',9),(21486,'8307','Valle de los alamos',20),(21487,'8308','Villa manzano',20),(21488,'8309','Centenario',22),(21489,'8309','Vista alegre norte',22),(21490,'8309','Vista alegre sur',22),(21491,'8311','Villa el chocon',22),(21492,'8313','Arroyito',22),(21493,'8313','Arroyito challaco',22),(21494,'8313','Cerro del leon',22),(21495,'8313','El sauce',22),(21496,'8313','Limay centro',22),(21497,'8313','Los sauces',22),(21498,'8313','Naupa huen',20),(21499,'8313','Pantanitos',22),(21500,'8313','Paso aguerre',22),(21501,'8313','Picun leufu',22),(21502,'8315','Achico',22),(21503,'8315','Bajada colorada',22),(21504,'8315','Carran cara',22),(21505,'8315','Carri lauquen',22),(21506,'8315','Costa limay',22),(21507,'8315','La pintada',22),(21508,'8315','La teresa piedra del aguila',22),(21509,'8315','Nogueira',22),(21510,'8315','Piedra del aguila',22),(21511,'8315','Piedra pintada',22),(21512,'8315','San bernardo',22),(21513,'8315','Santa isabel',22),(21514,'8315','Santo tomas',22),(21515,'8315','SaÑico',22),(21516,'8315','Zaina yegua',22),(21517,'8316','Balsa senillosa',22),(21518,'8316','China muerta',22),(21519,'8316','Plottier',22),(21520,'8316','Senillosa',22),(21521,'8318','Challaco',22),(21522,'8318','Paso de los indios',22),(21523,'8318','Plaza huincul',22),(21524,'8319','Campamento sol',22),(21525,'8319','Puesto hernandez  baterias',22),(21526,'8319','Rincon de los sauces',22),(21527,'8319','Sauzal bonito',22),(21528,'8322','Cutral co',22),(21529,'8322','Pueblo nuevo',22),(21530,'8324','Cipolletti',20),(21531,'8324','Cuatro esquinas',20),(21532,'8324','General fernandez oro',20),(21533,'8324','Iris',20),(21534,'8324','La alianza',20),(21535,'8324','La emilia',20),(21536,'8324','La esmeralda',20),(21537,'8324','La estancia vieja',20),(21538,'8324','La lucinda',20),(21539,'8324','San jorge',20),(21540,'8326','Cervantes',20),(21541,'8326','Chichinales',20),(21542,'8326','Mainque',20),(21543,'8328','Allen',20),(21544,'8328','Barrio norte',20),(21545,'8328','Chacras de allen',20),(21546,'8328','Contralmirante m guerrico',20),(21547,'8328','El manzano',20),(21548,'8332','Colonia rusa',20),(21549,'8332','General roca',20),(21550,'8332','Padre alejandro stefanelli',20),(21551,'8332','Quempu niyeu',20),(21552,'8332','Tricaco',20),(21553,'8333','Aguada guzman',20),(21554,'8333','Alanitos',20),(21555,'8333','Barda colorada',20),(21556,'8333','Cerro de policia',20),(21557,'8333','Coronel juan jose gomez',20),(21558,'8333','El cuy',20),(21559,'8333','Michi honoca',20),(21560,'8333','Paso cordova',20),(21561,'8333','Planicie de jaguelito',20),(21562,'8334','Ingeniero huergo',20),(21563,'8336','Colonia regina',20),(21564,'8336','General enrique godoy',20),(21565,'8336','Gobernador duval',9),(21566,'8336','La japonesa',9),(21567,'8336','Tercera zona',20),(21568,'8336','Valle azul',20),(21569,'8336','Villa alberdi',20),(21570,'8336','Villa regina',20),(21571,'8340','Aguada florencio',22),(21572,'8340','Bajada de los molles',22),(21573,'8340','Bajada del marucho',22),(21574,'8340','Barda anguil',22),(21575,'8340','Bardas negras',22),(21576,'8340','Caichihue',22),(21577,'8340','Chacayco',22),(21578,'8340','Covunco',22),(21579,'8340','Covunco arriba',22),(21580,'8340','El overo',22),(21581,'8340','El tropezon',22),(21582,'8340','GoÑi co',22),(21583,'8340','La fria',22),(21584,'8340','La isabel',22),(21585,'8340','La patagonia',22),(21586,'8340','La patria',22),(21587,'8340','La pochola',22),(21588,'8340','La susana',22),(21589,'8340','La teresa',22),(21590,'8340','Laguna blanca',22),(21591,'8340','Laguna miranda',22),(21592,'8340','Las barditas',22),(21593,'8340','Las cortaderas',22),(21594,'8340','Los catutos',22),(21595,'8340','Los muchachos',22),(21596,'8340','Ñireco sud',22),(21597,'8340','Ojo de agua',22),(21598,'8340','Portada covunco',22),(21599,'8340','Puente picun leufu',22),(21600,'8340','Santo domingo',22),(21601,'8340','Taqui nileu',22),(21602,'8340','Tres piedras',22),(21603,'8340','Zapala',22),(21604,'8341','Arroyo quillen',22),(21605,'8341','Catan lil',22),(21606,'8341','Charahuilla',22),(21607,'8341','El dormido',22),(21608,'8341','El gato',22),(21609,'8341','Espinazo del zorro',22),(21610,'8341','Fortin 1 de mayo',22),(21611,'8341','La arboleda',22),(21612,'8341','La ofelia',22),(21613,'8341','Laja',22),(21614,'8341','Lapa',22),(21615,'8341','Lapachal',22),(21616,'8341','Las coloradas',22),(21617,'8341','Los rodillos',22),(21618,'8341','Malalco',22),(21619,'8341','Ojo de agua',22),(21620,'8341','Paso cata tun',22),(21621,'8341','Quillen',22),(21622,'8341','Quinineliu',22),(21623,'8341','Rahue',22),(21624,'8341','San juan rahue',22),(21625,'8345','Alumine',22),(21626,'8345','Carri lil',22),(21627,'8345','Chanquil quilla',22),(21628,'8345','Haras patria',22),(21629,'8345','Kilca casa',22),(21630,'8345','La angostura de icalma',22),(21631,'8345','Lagotera',22),(21632,'8345','Litran',22),(21633,'8345','Lonco luan',22),(21634,'8345','Lonco mula',22),(21635,'8345','Moquehue',22),(21636,'8345','Pampa de lonco luan',22),(21637,'8345','Quilca',22),(21638,'8345','Ruca chorroy arriba',22),(21639,'8345','Sainuco',22),(21640,'8345','Villa pehuenia',22),(21641,'8347','Arroyo cahunco',22),(21642,'8347','Arroyo ranquilco',22),(21643,'8347','Cajon del toro',22),(21644,'8347','Calihue',22),(21645,'8347','Carreri',22),(21646,'8347','Cerro colorado',22),(21647,'8347','Cerro de la grasa',22),(21648,'8347','Chacay',22),(21649,'8347','Cochico',22),(21650,'8347','Codihue',22),(21651,'8347','Corral de piedra',22),(21652,'8347','Cuchillo cura',22),(21653,'8347','El atravesado',22),(21654,'8347','El escorial',22),(21655,'8347','El palao',22),(21656,'8347','Haichol',22),(21657,'8347','Huillilon',22),(21658,'8347','La buitrera',22),(21659,'8347','La porteÑa',22),(21660,'8347','La verdad',22),(21661,'8347','Las lajas',22),(21662,'8347','Las lajitas',22),(21663,'8347','Las toscas',22),(21664,'8347','Las tres lagunas',22),(21665,'8347','Liu cullin',22),(21666,'8347','Llamuco',22),(21667,'8347','Los galpones',22),(21668,'8347','Mallin blanco',22),(21669,'8347','Mallin chileno',22),(21670,'8347','Mallin de la cueva',22),(21671,'8347','Mallin de mena',22),(21672,'8347','Mallin del rubio',22),(21673,'8347','Mallin quemado',22),(21674,'8347','Paso ancho',22),(21675,'8347','Piche ponon',22),(21676,'8347','Piedras bayas',22),(21677,'8347','Pino hachado',22),(21678,'8347','Pino solo',22),(21679,'8347','Pozo hualiches',22),(21680,'8347','Primeros pinos',22),(21681,'8347','Quebrada honda',22),(21682,'8347','Ramichal',22),(21683,'8347','Salquico',22),(21684,'8347','San demetrio',22),(21685,'8349','Aguas de las mulas',22),(21686,'8349','Cajon de almaza',22),(21687,'8349','Cajon de los patos',22),(21688,'8349','Cajon de manzano',22),(21689,'8349','Caviahue',22),(21690,'8349','Cerro de la parva',22),(21691,'8349','Chenquecura',22),(21692,'8349','Chochoy mallin',22),(21693,'8349','Colipili',22),(21694,'8349','Copahue',22),(21695,'8349','El bosque',22),(21696,'8349','El huecu',22),(21697,'8349','El pino andino',22),(21698,'8349','Haycu',22),(21699,'8349','Hualcupen',22),(21700,'8349','Huarinchenque',22),(21701,'8349','La argentina',22),(21702,'8349','Loncopue',22),(21703,'8349','Mallin del toro',22),(21704,'8349','Mulichinco',22),(21705,'8349','Nalay cullin',22),(21706,'8349','Ñorquin',22),(21707,'8349','Ranqueles',22),(21708,'8349','Ranquilco',22),(21709,'8349','Ranquilon',22),(21710,'8349','Richoique',22),(21711,'8349','Santa isabel',22),(21712,'8349','Tralatue',22),(21713,'8349','Villa mallin',22),(21714,'8351','Agrio balsa',22),(21715,'8351','Bajada del agrio',22),(21716,'8351','Balneario del rio agrio',22),(21717,'8351','Balsa del rio agrio',22),(21718,'8351','Churriaca',22),(21719,'8351','Coihueco',22),(21720,'8351','Coli malal',22),(21721,'8351','Confluencia del aguijon',22),(21722,'8351','Costa del arroyo salado',22),(21723,'8351','Covunco abajo',22),(21724,'8351','Covunco centro',22),(21725,'8351','El peralito',22),(21726,'8351','El salado',22),(21727,'8351','Franhucura',22),(21728,'8351','Huncal',22),(21729,'8351','Mariano moreno',22),(21730,'8351','Nau nauco',22),(21731,'8351','Pampa del salado',22),(21732,'8351','Pichaihue',22),(21733,'8351','Pichi neuquen',22),(21734,'8351','Pilmatue',22),(21735,'8351','Quili malal',22),(21736,'8351','Quintuco',22),(21737,'8351','Rio agrio',22),(21738,'8351','Taquimilan',22),(21739,'8351','Trahuncura',22),(21740,'8351','Vaca muerta',22),(21741,'8353','Aguada chacay co',22),(21742,'8353','Andacollo',22),(21743,'8353','Anquinco',22),(21744,'8353','Arroyo blanco',22),(21745,'8353','Barrancas',22),(21746,'8353','Batre lauquen',22),(21747,'8353','Bella vista',22),(21748,'8353','Buta co',22),(21749,'8353','Buta mallin',22),(21750,'8353','Buta ranquil',22),(21751,'8353','Butalon',22),(21752,'8353','Caepe malal',22),(21753,'8353','Cajon de curi leuvu',22),(21754,'8353','Cajon grande',22),(21755,'8353','Camaleones',22),(21756,'8353','Cancha huiganco',22),(21757,'8353','CaÑada seca',22),(21758,'8353','Casa de piedra',22),(21759,'8353','Cayanta',22),(21760,'8353','Cerro negro chapua',22),(21761,'8353','Cerro negro tricao',22),(21762,'8353','Chacay co',22),(21763,'8353','Chacay melehue',22),(21764,'8353','Chapua',22),(21765,'8353','Chapua abajo',22),(21766,'8353','Chos malal',22),(21767,'8353','Coyuco',22),(21768,'8353','Curu  leuvu',22),(21769,'8353','El alamito',22),(21770,'8353','El chingue',22),(21771,'8353','El cholar',22),(21772,'8353','El curileo',22),(21773,'8353','El durazno',22),(21774,'8353','El porton',22),(21775,'8353','El tromen',22),(21776,'8353','Filmatue',22),(21777,'8353','Flores',22),(21778,'8353','Fortin guaÑacos',22),(21779,'8353','GuaÑacos',22),(21780,'8353','Huaraco',22),(21781,'8353','Huinganco',22),(21782,'8353','Huitrin',22),(21783,'8353','Humigamio',22),(21784,'8353','Invernada vieja',22),(21785,'8353','Jecanasco',22),(21786,'8353','Juaranco',22),(21787,'8353','La cienaga',22),(21788,'8353','La cieneguita',22),(21789,'8353','La primavera',22),(21790,'8353','La salada',22),(21791,'8353','Las abejas',22),(21792,'8353','Las chacras',22),(21793,'8353','Las cortaderas',22),(21794,'8353','Las lagunas',22),(21795,'8353','Las ovejas',22),(21796,'8353','Las saladas',22),(21797,'8353','Leuto caballo',22),(21798,'8353','Lileo',22),(21799,'8353','Los bolillos',22),(21800,'8353','Los carrizos',22),(21801,'8353','Los chacales',22),(21802,'8353','Los cisnes',22),(21803,'8353','Los entierros',22),(21804,'8353','Los menucos',22),(21805,'8353','Los miches',22),(21806,'8353','Los molles',22),(21807,'8353','Los tres chorros',22),(21808,'8353','Luicoco',22),(21809,'8353','Luin coco',22),(21810,'8353','Machico',22),(21811,'8353','Manzano amargo',22),(21812,'8353','Mayan mahuida',22),(21813,'8353','Milla',22),(21814,'8353','Mina carrascosa',22),(21815,'8353','Mina lileo',22),(21816,'8353','Nahueve',22),(21817,'8353','Nereco norte',22),(21818,'8353','Nireco',22),(21819,'8353','Palau',22),(21820,'8353','Pampa de tril',22),(21821,'8353','Pampa ferreira',22),(21822,'8353','Paso barda',22),(21823,'8353','Quempu leufu',22),(21824,'8353','Ranquil vega',22),(21825,'8353','ReÑileo',22),(21826,'8353','Rio barrancas',22),(21827,'8353','San eduardo',22),(21828,'8353','Taquimillan abajo',22),(21829,'8353','Tierras blancas',22),(21830,'8353','Tihue',22),(21831,'8353','Tres chorros',22),(21832,'8353','Tricao malal',22),(21833,'8353','Trili',22),(21834,'8353','Varvarco',22),(21835,'8360','Bajo rico',20),(21836,'8360','Benjamin zorrilla',20),(21837,'8360','Buena esperanza',22),(21838,'8360','Choele choel',20),(21839,'8360','Fortin uno',20),(21840,'8360','La elvira',20),(21841,'8360','La sara',20),(21842,'8360','Los molinos',20),(21843,'8360','Maria cristina',20),(21844,'8360','Negro muerto',20),(21845,'8360','Paso piedra',20),(21846,'8360','Puesto faria',20),(21847,'8360','Rinconada',20),(21848,'8360','Sauce blanco',20),(21849,'8361','Isla grande',20),(21850,'8361','Luis beltran',20),(21851,'8361','Paso lezcano',20),(21852,'8363','Colonia josefa',20),(21853,'8363','Estancia las julias',20),(21854,'8363','Isla chica',20),(21855,'8363','La julia',20),(21856,'8363','Lamarque',20),(21857,'8363','Pomona',20),(21858,'8363','Salitral negro',20),(21859,'8363','Santa genoveva',20),(21860,'8364','Chimpay',20),(21861,'8364','Coronel belisle',20),(21862,'8364','Darwin',20),(21863,'8364','Santa gregoria',20),(21864,'8364','Santa nicolasa',20),(21865,'8366','Chelforo',20),(21866,'8370','Caminera',22),(21867,'8370','Chapelco',22),(21868,'8370','El cerrito',22),(21869,'8370','El oasis',22),(21870,'8370','El porvenir',22),(21871,'8370','Filo hua hum',22),(21872,'8370','Hua hum',22),(21873,'8370','La fortuna',22),(21874,'8370','Lago log log',22),(21875,'8370','Las bandurrias',22),(21876,'8370','Lascar',22),(21877,'8370','Log log',22),(21878,'8370','Meliquina',22),(21879,'8370','Quila quina',22),(21880,'8370','Quita quina',22),(21881,'8370','San martin de los andes',22),(21882,'8370','Trompul',22),(21883,'8370','Villa raur',22),(21884,'8371','Chinquillihuin',22),(21885,'8371','Collun co',22),(21886,'8371','Huechulafquen',22),(21887,'8371','Junin de los andes',22),(21888,'8371','La atalaya',22),(21889,'8371','La union',22),(21890,'8371','Lubeca',22),(21891,'8371','Mamul malal',22),(21892,'8371','Nahuel mape',22),(21893,'8371','Palitue',22),(21894,'8371','Piedra mala',22),(21895,'8371','Quila quehue',22),(21896,'8371','Quilquihue',22),(21897,'8371','San juan junin de los andes',22),(21898,'8371','Tres picos',22),(21899,'8371','Tromen',22),(21900,'8373','Alianza',22),(21901,'8373','Auca pan',22),(21902,'8373','Caleofu',22),(21903,'8373','Cerro de los pinos',22),(21904,'8373','Chacabuco',22),(21905,'8373','Chacoyal',22),(21906,'8373','Chichiguay',22),(21907,'8373','Chimehuin',22),(21908,'8373','Chinchina',22),(21909,'8373','Las mercedes',22),(21910,'8373','Pampa del malleo',22),(21911,'8373','PeÑa colorada',22),(21912,'8373','Pilo lil',22),(21913,'8373','Quentrenquen',22),(21914,'8373','Quinquimitreo',22),(21915,'8373','Tipiliuke',22),(21916,'8375','CaÑadon de los indios',22),(21917,'8375','CaÑadon del indio',22),(21918,'8375','Cerro gato',22),(21919,'8375','El salitral',22),(21920,'8375','Huechahue',22),(21921,'8375','La negra',22),(21922,'8375','La rinconada',22),(21923,'8375','Mallin de las yeguas',22),(21924,'8375','Pampa collon cura',22),(21925,'8375','Paso de san ignacio',22),(21926,'8375','San ignacio',22),(21927,'8375','Santa isabel',22),(21928,'8375','Zingone y cia m',22),(21929,'8375','Zulemita',22),(21930,'8379','Gente grande',22),(21931,'8400','Bariloche',20),(21932,'8400','El condor estancia',20),(21933,'8400','Isla victoria',22),(21934,'8400','Laguna los juncos',20),(21935,'8400','Ñirihuao estacion fcgr',20),(21936,'8400','Peninsula huemul',22),(21937,'8400','Perito moreno estacion fcgr',20),(21938,'8400','Playa bonita',20),(21939,'8400','Puerto anchorena',22),(21940,'8400','Puerto tigre isla victoria',20),(21941,'8401','Arroyo chacay',20),(21942,'8401','Cullin manzano',22),(21943,'8401','El foyel',20),(21944,'8401','Estancia newbery',22),(21945,'8401','Estancia tequel malal',22),(21946,'8401','La araucaria',22),(21947,'8401','La estacada',22),(21948,'8401','La lipela',22),(21949,'8401','Nahuel huapi',22),(21950,'8401','Paso chacabuco',20),(21951,'8401','Paso coihue',22),(21952,'8401','Rincon chico',22),(21953,'8401','Rincon grande',22),(21954,'8401','Rio villegas',20),(21955,'8401','Santa maria',22),(21956,'8401','Villa llanquin',20),(21957,'8401','Villa mascardi',20),(21958,'8402','Dina huapi',20),(21959,'8403','Alicura',22),(21960,'8403','Arroyo blanco',20),(21961,'8403','Caminera traful',22),(21962,'8403','Cerro alto',20),(21963,'8403','Corralito',20),(21964,'8403','El manzano',22),(21965,'8403','Estancia la primavera',22),(21966,'8403','Huinca lu',22),(21967,'8403','Paso del limay',20),(21968,'8403','Paso flores',20),(21969,'8403','Paso miranda',20),(21970,'8403','Villa traful',22),(21971,'8407','Correntoso',22),(21972,'8407','El arbolito',22),(21973,'8407','El machete',22),(21974,'8407','Puerto manzano',22),(21975,'8407','Villa la angostura',22),(21976,'8409','Puerto ojo de agua',20),(21977,'8409','Tunquelen',20),(21978,'8411','Cascada los cantaros',20),(21979,'8411','Laguna frias',20),(21980,'8411','Puerto blest',20),(21981,'8412','CaÑadon del corral',20),(21982,'8412','Carhue',20),(21983,'8412','Casa quemada',20),(21984,'8412','Chenqueniyeu',20),(21985,'8412','ChurquiÑeo',20),(21986,'8412','Corral de los pinos',20),(21987,'8412','Costas del pichi leufu',20),(21988,'8412','El pantanoso',20),(21989,'8412','La quebrada',20),(21990,'8412','Las bayas',20),(21991,'8412','Menuco vaca muerta',20),(21992,'8412','Panquehuao',20),(21993,'8412','Paso de los molles',20),(21994,'8412','Pichi leufu',20),(21995,'8412','Pichi leufu abajo',20),(21996,'8412','Pichi leufu arriba',20),(21997,'8412','Pilcaniyeu',20),(21998,'8412','Pilcaniyeu viejo',20),(21999,'8412','Rayhuao',20),(22000,'8412','San pedro',20),(22001,'8415','Arroyo las minas',20),(22002,'8415','Cerro mesa',20),(22003,'8415','Chacalhua ruca',20),(22004,'8415','Chacay huarruca',20),(22005,'8415','Fitalancao',20),(22006,'8415','Fitamiche',20),(22007,'8415','Fitatimen',20),(22008,'8415','Mamuel choique',20),(22009,'8415','Ñorquinco',20),(22010,'8415','Ñorquinco sud',21),(22011,'8415','Portezuelo',20),(22012,'8415','Repollos',20),(22013,'8415','Rio chico',20),(22014,'8416','Anecon grande',20),(22015,'8416','CaÑadon camallo',20),(22016,'8416','Clemente onelli',20),(22017,'8416','Comallo',20),(22018,'8416','Comallo abajo',20),(22019,'8416','Coquelen',20),(22020,'8416','Ingeniero zimmermann resta',20),(22021,'8416','Neneo ruca',20),(22022,'8416','Perito moreno',20),(22023,'8416','Pilqui niyeu',20),(22024,'8416','Quinta panal',20),(22025,'8416','San ramon',20),(22026,'8416','Tres ojos de aguas',20),(22027,'8417','Canllequin',20),(22028,'8417','CaÑadon chileno',20),(22029,'8417','Carri yegua',20),(22030,'8417','Chasico',20),(22031,'8417','Cura lauquen',20),(22032,'8417','El cacique',20),(22033,'8417','El camaruro',20),(22034,'8417','El gaucho pobre',20),(22035,'8417','El jardinero',20),(22036,'8417','Hua miche',20),(22037,'8417','Jita rusia',20),(22038,'8417','Kili malal',20),(22039,'8417','La angostura',20),(22040,'8417','La chilena',20),(22041,'8417','La criollita',20),(22042,'8417','La estrella',20),(22043,'8417','La excurra',20),(22044,'8417','La mimosa',20),(22045,'8417','La porteÑa',20),(22046,'8417','La rubia',20),(22047,'8417','La vencedora',20),(22048,'8417','LanquiÑeo',20),(22049,'8417','Las mellizas',20),(22050,'8417','Lonco vaca',20),(22051,'8417','Los costeros',20),(22052,'8417','Los pirineos',20),(22053,'8417','Los quebrachos',20),(22054,'8417','Mencue',20),(22055,'8417','Michihuao',20),(22056,'8417','Mulanillo',20),(22057,'8417','Palenque niyeu',20),(22058,'8417','Pilahue',20),(22059,'8417','Santa elena',20),(22060,'8418','Anecon chico',20),(22061,'8418','Atraico',20),(22062,'8418','Carrilauquen',20),(22063,'8418','Chaiful',20),(22064,'8418','Coli toro',20),(22065,'8418','El cheiful',20),(22066,'8418','El moligue',20),(22067,'8418','Empalme kilometro 648',20),(22068,'8418','Futa ruin',20),(22069,'8418','Huan luan',20),(22070,'8418','Ingeniero jacobacci',20),(22071,'8418','Ojo de agua embarcadero fcgb',20),(22072,'8418','Quetrequile',20),(22073,'8418','Yuquinche',20),(22074,'8422','Aguada de piedra',20),(22075,'8422','Barril niyeo',20),(22076,'8422','Chichihuao',20),(22077,'8422','El cain',20),(22078,'8422','Los juncos',20),(22079,'8422','Los manantiales',20),(22080,'8422','Mancullique',20),(22081,'8422','Maquinchao',20),(22082,'8422','Niluan',20),(22083,'8422','Rucu luan',20),(22084,'8422','Tromeniyeu',20),(22085,'8422','Vaca lauquen',20),(22086,'8424','Aguada de guerra',20),(22087,'8424','Caltrauna',20),(22088,'8424','Cerro abanico',20),(22089,'8424','Comi c',20),(22090,'8424','Ganzu lauquen',20),(22091,'8424','La rinconada',20),(22092,'8424','Lagunita',20),(22093,'8424','Lenzaniyen',20),(22094,'8424','Loma blanca',20),(22095,'8424','Los menucos',20),(22096,'8424','Prahuaniyeu',20),(22097,'8430','Cerro radal',21),(22098,'8430','Costa del rio azul',20),(22099,'8430','El bolson',20),(22100,'8430','El manso',20),(22101,'8430','Las golondrinas',21),(22102,'8430','Los repollos',20),(22103,'8430','Mallin ahogado',20),(22104,'8430','Villa turismo',20),(22105,'8431','El hoyo',21),(22106,'8431','Lago puelo',21),(22107,'8500','El dique',20),(22108,'8500','General liborio bernal',20),(22109,'8500','La meseta',20),(22110,'8500','Mata negra',20),(22111,'8500','Viedma',20),(22112,'8501','Balneario el condor',20),(22113,'8501','Colonia general frias',20),(22114,'8501','La granja',20),(22115,'8501','La loberia',20),(22116,'8501','San javier',20),(22117,'8501','Segunda angostura',20),(22118,'8501','Tte gral eustaquio frias',20),(22119,'8503','Chocori',20),(22120,'8503','Colonia la luisa',20),(22121,'8503','Colonia san juan',20),(22122,'8503','Coronel francisco sosa',20),(22123,'8503','El porvenir',20),(22124,'8503','General conesa',20),(22125,'8503','Ingenio san lorenzo',20),(22126,'8503','La carolina',20),(22127,'8503','La flecha',20),(22128,'8503','Luis m zagaglia',20),(22129,'8503','Nueva carolina',20),(22130,'8503','Puesto gaviÑa',20),(22131,'8503','Rincon de gastre',20),(22132,'8503','San juan',20),(22133,'8503','San lorenzo',20),(22134,'8503','San simon',20),(22135,'8503','Travesia castro',20),(22136,'8504','Cantera villalonga',2),(22137,'8504','Carmen de patagones',2),(22138,'8504','China muerta',20),(22139,'8504','El bagual',2),(22140,'8504','Faro segunda barrancosa',2),(22141,'8504','Las cortaderas',2),(22142,'8504','Termas los gauchos',2),(22143,'8505','Boca de la travesia',20),(22144,'8505','Emilio lamarca',2),(22145,'8505','Guardia mitre',20),(22146,'8505','Primera angostura',20),(22147,'8505','Sauce blanco',20),(22148,'8506','Bahia san blas',2),(22149,'8506','Cardenal cagliero',2),(22150,'8506','Jose b casas',2),(22151,'8506','Puerto wassermann',2),(22152,'8506','Salina de piedra',2),(22153,'8508','Ambrosio p lezica',2),(22154,'8508','Colonia  miguel esteverena',2),(22155,'8508','Colonia la celina',2),(22156,'8508','Jarrilla',2),(22157,'8508','Puerto tres bonetes',2),(22158,'8508','Stroeder',2),(22159,'8512','Igarzabal',2),(22160,'8512','Los pozos',2),(22161,'8512','Villa elena',2),(22162,'8512','Villalonga',2),(22163,'8514','Laguna del barro',20),(22164,'8514','Laguna del monte',20),(22165,'8514','Nuevo leon',20),(22166,'8514','Pozo salado',20),(22167,'8514','Saco viejo',20),(22168,'8520','Aguada del loro',20),(22169,'8520','Bajo del gualicho',20),(22170,'8520','Barrio laguna',20),(22171,'8520','Cinco chaÑares',20),(22172,'8520','JagÜel campo monte',20),(22173,'8520','La bombilla',20),(22174,'8520','La primavera',20),(22175,'8520','Laguna cortes',20),(22176,'8520','Laguna de la prueba',20),(22177,'8520','Las maquinas',20),(22178,'8520','Mancha blanca',20),(22179,'8520','Percy h scott',20),(22180,'8520','Pozo moro',20),(22181,'8520','San antonio oeste',20),(22182,'8521','Arroyo la ventana',20),(22183,'8521','Arroyo los berros',20),(22184,'8521','Arroyo tembrado',20),(22185,'8521','Arroyo verde',20),(22186,'8521','Balneario las grutas',20),(22187,'8521','Cona niyeu',20),(22188,'8521','Puerto san antonio este',20),(22189,'8521','Sierra de la ventana',20),(22190,'8521','Sierra paileman',20),(22191,'8532','Arroyo salado',20),(22192,'8532','Campana mahuida',20),(22193,'8532','Empalme puerto lobos',21),(22194,'8532','Sierra grande',20),(22195,'8534','Aguada cecilio',20),(22196,'8534','Falckner',20),(22197,'8534','Janinue',20),(22198,'8534','La esperanza',20),(22199,'8534','Ministro ramos mexia',20),(22200,'8534','Sierra colorada',20),(22201,'8534','Teniente maza estacion fcgr',20),(22202,'8534','Treneta',20),(22203,'8536','Chipauquil',20),(22204,'8536','El salado',20),(22205,'8536','Musters',20),(22206,'8536','Nahuel niyeu',20),(22207,'8536','Pajalta',20),(22208,'8536','Punta de agua',20),(22209,'8536','Valcheta',20),(22210,'9000','Comodoro rivadavia',21),(22211,'9000','Kilometro 11',21),(22212,'9000','Pampa del castillo',21),(22213,'9000','Pico salamanca',21),(22214,'9001','CaÑadon ferrais',21),(22215,'9001','Rada tilly',21),(22216,'9003','Bahia solano',21),(22217,'9003','Barrio astra',21),(22218,'9003','Caleta cordova',21),(22219,'9003','Empalme a astra',21),(22220,'9007','El jaguel',21),(22221,'9007','Garayalde',21),(22222,'9007','La castellana',21),(22223,'9007','La salamanca',21),(22224,'9007','Malaspina',21),(22225,'9007','Pampa pelada',21),(22226,'9007','Pampa salamanca',21),(22227,'9007','Rio chico',21),(22228,'9007','Ruta 3 kilometro 1711',21),(22229,'9007','Sierra colorada',21),(22230,'9007','Sierra cuadrada',21),(22231,'9007','Sierra overa chicas y grandes',21),(22232,'9007','Uzcudun',21),(22233,'9009','CaÑadon lagarto',21),(22234,'9009','CaÑadon lopez',21),(22235,'9009','CaÑadon pedro ex valle hermoso',21),(22236,'9009','Holdich',21),(22237,'9011','Bahia langara',23),(22238,'9011','Caleta olivia',23),(22239,'9011','Cerro mangrullo',23),(22240,'9011','La esther',23),(22241,'9013','CaÑadon seco',23),(22242,'9015','Alma grande',23),(22243,'9015','Jelaina',23),(22244,'9015','La antonia',23),(22245,'9015','La guardia',23),(22246,'9015','La rosa',23),(22247,'9015','Minerales',23),(22248,'9015','Pico truncado',23),(22249,'9015','Zanjon del pescado',23),(22250,'9017','Cameron',23),(22251,'9017','CaÑadon pluma',23),(22252,'9017','Cerro la setenta',23),(22253,'9017','Cerro renzel',23),(22254,'9017','Cerro silva',23),(22255,'9017','Colonia carlos pellegrini',23),(22256,'9017','Cueva de las manos',23),(22257,'9017','El pluma',23),(22258,'9017','India muerta',23),(22259,'9017','La argentina',23),(22260,'9017','La maria',23),(22261,'9017','Lago buenos aires',23),(22262,'9017','Las heras',23),(22263,'9017','Las masitas',23),(22264,'9017','Las piramides',23),(22265,'9017','Leandro niceforo alem',23),(22266,'9017','Mata magallanes',23),(22267,'9017','Meseta guengue',23),(22268,'9017','Pampa verdum',23),(22269,'9017','Pellegrini',23),(22270,'9017','Piedra clavada',23),(22271,'9017','Yegua muerta',23),(22272,'9019','Aguada escondida',23),(22273,'9019','Cerro moro',23),(22274,'9019','Fitz roy',23),(22275,'9019','Koluel kaike',23),(22276,'9019','Monte verde',23),(22277,'9019','Tehuelches',23),(22278,'9020','Arroyo quilla',21),(22279,'9020','CaÑadon carril',21),(22280,'9020','CaÑadon tacho',21),(22281,'9020','Colonia germania',21),(22282,'9020','Costa rio chico',21),(22283,'9020','Enrique hermitte',21),(22284,'9020','Kilometro 191',21),(22285,'9020','Laguna del mate',21),(22286,'9020','Laguna palacio',21),(22287,'9020','Las pulgas',21),(22288,'9020','Manantial grande',21),(22289,'9020','Paso de torres',21),(22290,'9020','Sarmiento',21),(22291,'9020','Sierra corrientes',21),(22292,'9020','Sierra victoria',21),(22293,'9020','Valle hermoso',21),(22294,'9021','Colhue huapi',21),(22295,'9023','Buen pasto',21),(22296,'9023','Lago musters',21),(22297,'9023','Sierra nevada buen pasto',21),(22298,'9030','Rio mayo',21),(22299,'9031','Bajo la cancha',21),(22300,'9031','Facundo',21),(22301,'9031','Los tamariscos',21),(22302,'9033','Aldea apeleg',21),(22303,'9033','Alto rio senguer',21),(22304,'9033','Arroyo gato',21),(22305,'9033','El coite',21),(22306,'9033','La pepita',21),(22307,'9033','Lago fontana',21),(22308,'9033','Pastos blancos',21),(22309,'9035','Arroyo chalia',21),(22310,'9035','Doctor ricardo rojas',21),(22311,'9037','Aldea beleiro',21),(22312,'9037','Alto rio mayo',21),(22313,'9037','El triana',21),(22314,'9039','Hito 45',21),(22315,'9039','Hito 50',21),(22316,'9039','La cancha',21),(22317,'9039','La nicolasa',21),(22318,'9039','La siberia',21),(22319,'9039','Lago blanco',21),(22320,'9039','Valle huemules',21),(22321,'9040','CaÑadon botello',23),(22322,'9040','Colonia leandro n alem',23),(22323,'9040','El portezuelo',23),(22324,'9040','Ingeniero pallavicini',23),(22325,'9040','La asturiana',23),(22326,'9040','Lago buenos aires',23),(22327,'9040','Monte ceballos',23),(22328,'9040','Nacimientos del pluma',23),(22329,'9040','Perito moreno',23),(22330,'9040','Rio fenix',23),(22331,'9041','Los antiguos',23),(22332,'9050','Gobernador moyano',23),(22333,'9050','Kilometro 8',23),(22334,'9050','Paso gregores',23),(22335,'9050','Puerto deseado',23),(22336,'9050','Tellier',23),(22337,'9050','Tres cerros',23),(22338,'9051','Aguada a pique',23),(22339,'9051','Aguada la oveja',23),(22340,'9051','Cabo blanco',23),(22341,'9051','Cabo tres puntas',23),(22342,'9051','Cerro puntudo',23),(22343,'9051','Cerro redondo',23),(22344,'9051','El chara',23),(22345,'9051','El hueco',23),(22346,'9051','El loro',23),(22347,'9051','El polvorin',23),(22348,'9051','La aguada',23),(22349,'9051','La central',23),(22350,'9051','La estela',23),(22351,'9051','La fecundidad',23),(22352,'9051','La madrugada',23),(22353,'9051','La margarita',23),(22354,'9051','La protegida',23),(22355,'9051','La rosada',23),(22356,'9051','La victoria',23),(22357,'9051','La violeta',23),(22358,'9051','Mazaredo',23),(22359,'9051','Sarai',23),(22360,'9051','Tres puntas',23),(22361,'9053','Aguada grande',23),(22362,'9053','Cerro alto',23),(22363,'9053','Cerro negro',23),(22364,'9053','Desamparados',23),(22365,'9053','El barbucho',23),(22366,'9053','Floradora',23),(22367,'9053','Jaramillo',23),(22368,'9100','Cerro santa ana',21),(22369,'9100','Dos pozos',21),(22370,'9100','Trelew',21),(22371,'9101','Alto de las plumas',21),(22372,'9101','Bajada del diablo',21),(22373,'9101','Base aeronaval almirante iriza',21),(22374,'9101','Cabeza de buey',21),(22375,'9101','Dique florentino ameghino',21),(22376,'9101','El mirasol',21),(22377,'9101','Las plumas',21),(22378,'9101','Puente hendre',21),(22379,'9103','Bajo de los huesos',21),(22380,'9103','Casa blanca',21),(22381,'9103','Charque chico',21),(22382,'9103','Playa union',21),(22383,'9103','Rawson',21),(22384,'9103','Sol de mayo',21),(22385,'9105','Angostura',21),(22386,'9105','Angostura segunda',21),(22387,'9105','Betesta',21),(22388,'9105','Bryn brown',21),(22389,'9105','Bryn gwyn',21),(22390,'9105','CabaÑa del valle',21),(22391,'9105','El argentino',21),(22392,'9105','Gaiman',21),(22393,'9105','Glasfryn',21),(22394,'9105','Loma redonda',21),(22395,'9105','Maesteg',21),(22396,'9105','Treorki',21),(22397,'9105','Valle los martires',21),(22398,'9105','Villa ines',21),(22399,'9107','28 de julio',21),(22400,'9107','Boca de la zanja',21),(22401,'9107','Boca zanja sud',21),(22402,'9107','Campamento villegas',21),(22403,'9107','Dolavon',21),(22404,'9107','Ebenecer',21),(22405,'9107','Laguna grande',21),(22406,'9107','Las chapas',21),(22407,'9107','Toma de los canales',21),(22408,'9111','Bahia bustamante',21),(22409,'9111','Cabo raso',21),(22410,'9111','Camarones',21),(22411,'9111','La castellana',21),(22412,'9111','Ruta 3 kilometro 1646',21),(22413,'9113','Florentino ameghino',21),(22414,'9120','Bahia cracher',21),(22415,'9120','Catayco',21),(22416,'9120','Cerro pichalao',21),(22417,'9120','El desempeÑo',21),(22418,'9120','Puerto madryn',21),(22419,'9120','Punta ninfas',21),(22420,'9120','Punta quiroga',21),(22421,'9121','Aguada de las tejas',21),(22422,'9121','Aguada del pito',21),(22423,'9121','Bajada moreno',21),(22424,'9121','Bajo bartolo',21),(22425,'9121','Bajo del gualicho',21),(22426,'9121','Bajo las damajuanas',21),(22427,'9121','Caleta valdez',21),(22428,'9121','CaÑadon bagual',21),(22429,'9121','CaÑadon blanco',21),(22430,'9121','CaÑadon chileno',21),(22431,'9121','Carhue niyeo',21),(22432,'9121','Chacay este',21),(22433,'9121','Chacay oeste',21),(22434,'9121','Chasico',21),(22435,'9121','Colelache',21),(22436,'9121','El alamo',21),(22437,'9121','El chacay dpto gastre',21),(22438,'9121','El escorial',21),(22439,'9121','El pastizal',21),(22440,'9121','El piquillin',21),(22441,'9121','El quilimuay',21),(22442,'9121','El ruano',21),(22443,'9121','El salitral',21),(22444,'9121','Estancia el moro',21),(22445,'9121','Gan gan',21),(22446,'9121','Gastre',21),(22447,'9121','La corona',21),(22448,'9121','La rosilla',21),(22449,'9121','Laguna de vacas',21),(22450,'9121','Laguna fria',21),(22451,'9121','Lagunita salada',21),(22452,'9121','Larralde',21),(22453,'9121','Loreto',21),(22454,'9121','Mallin grande',21),(22455,'9121','Mallin grande corcovado',21),(22456,'9121','Medanos',21),(22457,'9121','Painaluf',21),(22458,'9121','Pirre mahuida',21),(22459,'9121','Plancuntre',21),(22460,'9121','Puerto piramides',21),(22461,'9121','Puerto san roman',21),(22462,'9121','Punta bajos',21),(22463,'9121','Punta delgada',21),(22464,'9121','Punta norte',21),(22465,'9121','Sacanana',21),(22466,'9121','Salinas chicas',21),(22467,'9121','Salinas grandes',21),(22468,'9121','San jose',21),(22469,'9121','Seprucal',21),(22470,'9121','Sierra chata',21),(22471,'9121','Sierra chica',21),(22472,'9121','Sierra rosada',21),(22473,'9121','Talagapa',21),(22474,'9121','Tatuen',21),(22475,'9121','Telsen',21),(22476,'9121','Valle del rio chubut',21),(22477,'9123','Arroyo verde',21),(22478,'9123','Puerto lobos',21),(22479,'9200','Arroyo pescado',21),(22480,'9200','Cerro mallaco',21),(22481,'9200','Chacra de austin',21),(22482,'9200','Colonia 16 de octubre',21),(22483,'9200','Esquel',21),(22484,'9200','La cancha',21),(22485,'9200','La lancha',21),(22486,'9200','Laguna terraplen',21),(22487,'9200','Matucana',21),(22488,'9200','Mayoco',21),(22489,'9200','Nahuel pan estacion fcgr',21),(22490,'9200','Sierra de tecka',21),(22491,'9200','Sunica',21),(22492,'9200','Villa futalaufquen',21),(22493,'9201','Cachel',21),(22494,'9201','Cajon de ginebra chico',21),(22495,'9201','Cajon de ginebra grande',21),(22496,'9201','Carrenleufu',21),(22497,'9201','Cerro lonco trapial',21),(22498,'9201','Colanconhue',21),(22499,'9201','Colonia epulief',21),(22500,'9201','Corcovado',21),(22501,'9201','Costa del lepa',21),(22502,'9201','El calafate',21),(22503,'9201','El cronometro',21),(22504,'9201','El cuche',21),(22505,'9201','El kaquel',21),(22506,'9201','El mirador',21),(22507,'9201','El pajarito',21),(22508,'9201','El portezuelo',21),(22509,'9201','El poyo',21),(22510,'9201','Estancia la mimosa',21),(22511,'9201','Estancia pampa chica',21),(22512,'9201','Gualjaina',21),(22513,'9201','La primavera',21),(22514,'9201','LanguiÑeo',21),(22515,'9201','Las salinas',21),(22516,'9201','Mallin blanco',21),(22517,'9201','Pampa de agnia',21),(22518,'9201','Pampa tepuel',21),(22519,'9201','Parque nacional los alerces',21),(22520,'9201','Paso del sapo',21),(22521,'9201','Piedra parada',21),(22522,'9201','Pocitos de quichaura',21),(22523,'9201','Taquetren',21),(22524,'9201','Tecka',21),(22525,'9201','Valle del tecka',21),(22526,'9201','Valle garin',21),(22527,'9203','Aldea escolar',21),(22528,'9203','Arroyo percy',21),(22529,'9203','Cerro centinela',21),(22530,'9203','Futaleufu',21),(22531,'9203','Lago rosario',21),(22532,'9203','Legua 24',21),(22533,'9203','Los cipreses',21),(22534,'9203','Rio corinto',21),(22535,'9203','Trevelin',21),(22536,'9203','Valle frio',21),(22537,'9207','Arroyo guilaia',21),(22538,'9207','CaÑada bagual',21),(22539,'9207','Cerro condor',21),(22540,'9207','El canquel',21),(22541,'9207','El chalet',21),(22542,'9207','El sombrero',21),(22543,'9207','La bombilla',21),(22544,'9207','Laguna rincon del moro',21),(22545,'9207','Las cortaderas',21),(22546,'9207','Las horquetas',21),(22547,'9207','Los altares',21),(22548,'9207','Los manantiales',21),(22549,'9207','Paso de indios',21),(22550,'9207','Sierra nevada paso de indios',21),(22551,'9207','Toro hosco',21),(22552,'9210','Buenos aires chico',21),(22553,'9210','Costa chubut',21),(22554,'9210','Cuesta del ternero',20),(22555,'9210','El boquete',21),(22556,'9210','El maiten',21),(22557,'9210','Fithen verin',21),(22558,'9210','Fitirhuin',21),(22559,'9210','Ing bruno j thomae',21),(22560,'9211','El coihue',21),(22561,'9211','Epuyen',21),(22562,'9213','CaÑadon caliente',21),(22563,'9213','CaÑadon grande',21),(22564,'9213','Cerro fofocahuel',21),(22565,'9213','Colonia cushamen',21),(22566,'9213','Fotocahuel',21),(22567,'9213','Leleque',21),(22568,'9213','Ranquil huao',21),(22569,'9213','Siempre viva',21),(22570,'9217','Cholila',21),(22571,'9217','El cajon',21),(22572,'9217','Lago carlos pellegrini',21),(22573,'9217','Lago lezama',21),(22574,'9217','Lago rivadavia',21),(22575,'9220','CaÑadon la madera',21),(22576,'9220','Casa blanca',21),(22577,'9220','Corralitos',21),(22578,'9220','El molle',21),(22579,'9220','Jose de san martin',21),(22580,'9220','Laguna blanca',21),(22581,'9220','Laguna verde',21),(22582,'9220','Mata grande',21),(22583,'9221','Valle hondo',21),(22584,'9223','Alto rio pico',21),(22585,'9223','CaÑadon chacay',21),(22586,'9223','Cerro negro',21),(22587,'9223','El cherque',21),(22588,'9223','El shaman',21),(22589,'9223','El tropezon',21),(22590,'9223','Gobernador costa',21),(22591,'9223','Las mulas',21),(22592,'9223','Lenzanilleo',21),(22593,'9223','Los corralitos',21),(22594,'9223','Niriguao',21),(22595,'9223','Niriguce pampa',21),(22596,'9223','Putrachoique',21),(22597,'9223','Tres picos',21),(22598,'9225','Arenoso',21),(22599,'9225','Frontera de rio pico',21),(22600,'9225','Hito 43',21),(22601,'9225','Lago paz',21),(22602,'9225','Lago verde',21),(22603,'9225','Lago vintter',21),(22604,'9225','Las pampas',21),(22605,'9225','Rio pico',21),(22606,'9227','El porvenir',21),(22607,'9227','Estancia nueva lubecka',21),(22608,'9227','La laurita',21),(22609,'9227','Paso moreno',21),(22610,'9227','Piedra shotel',21),(22611,'9227','Rio frias',21),(22612,'9300','CaÑadon de las vacas',23),(22613,'9300','CaÑadon del rancho',23),(22614,'9300','El guadal',23),(22615,'9300','Puerto santa cruz',23),(22616,'9301','El chalten',23),(22617,'9301','Guardaparque fitz roy',23),(22618,'9301','La federica',23),(22619,'9301','La florida',23),(22620,'9301','Lago cardiel',23),(22621,'9301','Lago san martin',23),(22622,'9301','Lago tar',23),(22623,'9301','Paso rio la leona',23),(22624,'9301','Peninsula maipu',23),(22625,'9301','Piedra clavada',23),(22626,'9301','Punta del lago viedma',23),(22627,'9301','Tres lagos',23),(22628,'9303','CaÑadon del toro',23),(22629,'9303','Cerro redondo',23),(22630,'9303','Chonque',23),(22631,'9303','Comandante luis piedrabuena',23),(22632,'9303','El baile',23),(22633,'9303','El pan de azucar',23),(22634,'9303','El paso',23),(22635,'9303','Garminue',23),(22636,'9303','La barreta',23),(22637,'9303','La julia',23),(22638,'9303','La leona',23),(22639,'9303','La pigmea',23),(22640,'9303','La porteÑa',23),(22641,'9303','Laguna grande',23),(22642,'9303','Las mercedes',23),(22643,'9303','Paso de los indios',23),(22644,'9303','Paso del rio santa cruz',23),(22645,'9303','Paso ibaÑez',23),(22646,'9303','Rio chico',23),(22647,'9303','Sierra de la ventana',23),(22648,'9303','Tauel aike',23),(22649,'9305','CaÑada de las vacas',23),(22650,'9310','Aguada alegre',23),(22651,'9310','Bahia laura',23),(22652,'9310','Bajo fuego',23),(22653,'9310','CaÑadon 11 de setiembre',23),(22654,'9310','Lago pueyrredon',23),(22655,'9310','Puerto san julian',23),(22656,'9310','Yacimiento cerro vanguardia',23),(22657,'9311','CaÑadon leon',23),(22658,'9311','CaÑadon molinari',23),(22659,'9311','Gobernador gregores',23),(22660,'9311','La manchuria',23),(22661,'9311','La peninsula',23),(22662,'9311','Lago strobel',23),(22663,'9311','Paso del aguila',23),(22664,'9311','Tucu tucu',23),(22665,'9313','Cara mala',23),(22666,'9313','El salado',23),(22667,'9313','Faro cabo guardian',23),(22668,'9313','Faro campana',23),(22669,'9313','Los manantiales',23),(22670,'9313','Punta mercedes',23),(22671,'9315','Bajo caracoles',23),(22672,'9315','Hotel las horquetas',23),(22673,'9315','Lago posadas',23),(22674,'9315','Paso roballo',23),(22675,'9315','Tamel aike',23),(22676,'9400','An aike',23),(22677,'9400','Bella vista',23),(22678,'9400','Cabo de las virgenes',23),(22679,'9400','Camuzu aike',23),(22680,'9400','Cancha carrera',23),(22681,'9400','CaÑadon fabre',23),(22682,'9400','Cap',23),(22683,'9400','Cerro palique',23),(22684,'9400','Chall aike',23),(22685,'9400','Condor',23),(22686,'9400','Coronel guarumba',23),(22687,'9400','Estacion ing atilio cappa',23),(22688,'9400','Ingeniero atilio cappa',23),(22689,'9400','Laguna colorada',23),(22690,'9400','Las horquetas',23),(22691,'9400','Monte aymond',23),(22692,'9400','Palermo aike',23),(22693,'9400','Pali aike',23),(22694,'9400','Paso del medio',23),(22695,'9400','Punta del monte',23),(22696,'9400','Punta loyola',23),(22697,'9400','Rio gallegos',23),(22698,'9401','El zurdo',23),(22699,'9401','Fortaleza',23),(22700,'9401','Fuentes de coyle',23),(22701,'9401','Gobernador mayer',23),(22702,'9401','La esperanza',23),(22703,'9405','Bahia tranquila',23),(22704,'9405','Condor clif',23),(22705,'9405','El calafate',23),(22706,'9405','El cerrito',23),(22707,'9405','Lago argentino',23),(22708,'9405','Lago roca',23),(22709,'9405','Paso charles fhur',23),(22710,'9405','Punta bandera',23),(22711,'9405','Quien sabe',23),(22712,'9405','Rio bote',23),(22713,'9405','Rio calafate',23),(22714,'9405','Rio mitre',23),(22715,'9405','Ventisquero moreno',23),(22716,'9407','28 de noviembre',23),(22717,'9407','Campamento dorotea',23),(22718,'9407','Coronel martin irigoyen',23),(22719,'9407','El turbio',23),(22720,'9407','Gaypon',23),(22721,'9407','Glencross',23),(22722,'9407','Julia dufour',23),(22723,'9407','Mina 3',23),(22724,'9407','Morro chico',23),(22725,'9407','Pueblo nuevo',23),(22726,'9407','Puente blanco',23),(22727,'9407','Rincon de los morros',23),(22728,'9407','Rio turbio',23),(22729,'9407','Rospentek',23),(22730,'9407','Rospentek aike',23),(22731,'9409','Isla gran malvina',24),(22732,'9409','Isla soledad',24),(22733,'9410','Bahia lapataia',24),(22734,'9410','Estancia harberton',24),(22735,'9410','Hosteria kaiken',24),(22736,'9410','Isla de los estados',24),(22737,'9410','Mision salesiana mÑor fagnano',24),(22738,'9410','Ushuaia',24),(22739,'9411','Base aerea teniente matienzo',24),(22740,'9411','Base aerea vicecomod marambio',24),(22741,'9411','Base ejercito esperanza',24),(22742,'9411','Base ejercito gral belgrano',24),(22743,'9411','Base ejercito gral belgrano 3',24),(22744,'9411','Base ejercito gral san martin',24),(22745,'9411','Base ejercito primavera',24),(22746,'9411','Base ejercito sobral',24),(22747,'9411','Destacamento melchior',24),(22748,'9411','Estacion aeronaval',24),(22749,'9411','Estacion cientifica alte brown',24),(22750,'9411','Isla joinville',24),(22751,'9411','Isla shetland del sur',24),(22752,'9411','Islas georgias',24),(22753,'9411','Islas orcadas',24),(22754,'9420','Aserradero arroyo',24),(22755,'9420','CabaÑa ruby',24),(22756,'9420','Cabo san pablo',24),(22757,'9420','Campamento central ypf',24),(22758,'9420','Campamento los chorrillos y p',24),(22759,'9420','Comisaria radman',24),(22760,'9420','El paramo',24),(22761,'9420','Estacion osn',24),(22762,'9420','Estancia aurelia',24),(22763,'9420','Estancia buenos aires',24),(22764,'9420','Estancia carmen',24),(22765,'9420','Estancia cauchico',24),(22766,'9420','Estancia costancia',24),(22767,'9420','Estancia cullen',24),(22768,'9420','Estancia despedida',24),(22769,'9420','Estancia dos hemanas',24),(22770,'9420','Estancia el roble',24),(22771,'9420','Estancia el rodeo',24),(22772,'9420','Estancia el salvador',24),(22773,'9420','Estancia guazu cue',24),(22774,'9420','Estancia herminita',24),(22775,'9420','Estancia ines',24),(22776,'9420','Estancia jose menendez',24),(22777,'9420','Estancia la criolla',24),(22778,'9420','Estancia la fueguina',24),(22779,'9420','Estancia la indiana',24),(22780,'9420','Estancia la porteÑa',24),(22781,'9420','Estancia las hijas',24),(22782,'9420','Estancia las violetas',24),(22783,'9420','Estancia laura',24),(22784,'9420','Estancia libertad',24),(22785,'9420','Estancia los cerros',24),(22786,'9420','Estancia los flamencos',24),(22787,'9420','Estancia maria behety',24),(22788,'9420','Estancia maria cristina',24),(22789,'9420','Estancia maria luisa',24),(22790,'9420','Estancia marina',24),(22791,'9420','Estancia miramonte',24),(22792,'9420','Estancia pirinaica',24),(22793,'9420','Estancia policarpo',24),(22794,'9420','Estancia rio claro',24),(22795,'9420','Estancia rio ewan',24),(22796,'9420','Estancia rio irigoyen',24),(22797,'9420','Estancia rivadavia',24),(22798,'9420','Estancia rolito',24),(22799,'9420','Estancia rosita',24),(22800,'9420','Estancia ruby',24),(22801,'9420','Estancia san jose',24),(22802,'9420','Estancia san julio',24),(22803,'9420','Estancia san justo',24),(22804,'9420','Estancia san martin',24),(22805,'9420','Estancia san pablo',24),(22806,'9420','Estancia santa ana',24),(22807,'9420','Estancia sara',24),(22808,'9420','Estancia tepi',24),(22809,'9420','Estancia viamonte',24),(22810,'9420','Lago khami',24),(22811,'9420','Punta maria',24),(22812,'9420','Rio grande',24),(22813,'9420','San sebastian',24),(22814,'9420','Santa ines',24),(22815,'9420','Seccion aviles  estancia san j',24),(22816,'9420','Tapi aike',23),(22817,'9420','Tolhuin',24),(22818,'9421','Frigorifico cap',24);
/*!40000 ALTER TABLE `city` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `correlative`
--

DROP TABLE IF EXISTS `correlative`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `correlative` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `created_at` datetime DEFAULT NULL,
  `career_subject_id` int(11) NOT NULL COMMENT 'Referencia a la materia',
  `correlative_career_subject_id` int(11) NOT NULL COMMENT 'Referencia a la correlativa que posee',
  PRIMARY KEY (`id`,`career_subject_id`,`correlative_career_subject_id`),
  KEY `correlative_FI_1` (`career_subject_id`),
  KEY `correlative_FI_2` (`correlative_career_subject_id`),
  CONSTRAINT `correlative_FK_1` FOREIGN KEY (`career_subject_id`) REFERENCES `career_subject` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `correlative_FK_2` FOREIGN KEY (`correlative_career_subject_id`) REFERENCES `career_subject` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=50 DEFAULT CHARSET=latin1 COMMENT='Tabla q referencia a las correlativas para un AÃ±oMateria';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `correlative`
--

LOCK TABLES `correlative` WRITE;
/*!40000 ALTER TABLE `correlative` DISABLE KEYS */;
INSERT INTO `correlative` VALUES (1,'2010-08-24 12:00:04',24,11),(2,'2010-08-24 12:00:19',20,6),(3,'2010-08-24 12:00:34',22,10),(4,'2010-08-24 12:00:47',21,9),(5,'2010-08-24 12:01:01',15,4),(6,'2010-08-24 12:01:14',14,3),(7,'2010-08-24 12:01:29',19,7),(8,'2010-08-24 12:01:43',12,1),(9,'2010-08-24 12:01:57',13,2),(10,'2010-08-24 12:02:20',33,16),(11,'2010-08-24 12:02:33',37,8),(12,'2010-08-24 12:02:53',38,24),(13,'2010-08-24 12:03:12',30,20),(14,'2010-08-24 12:03:32',35,22),(15,'2010-08-24 12:03:48',36,21),(16,'2010-08-24 12:04:04',31,18),(17,'2010-08-24 12:04:19',28,15),(18,'2010-08-24 12:04:38',27,14),(19,'2010-08-24 12:04:55',25,12),(20,'2010-08-24 12:05:12',32,19),(21,'2010-08-24 12:05:29',26,13),(22,'2010-08-24 12:05:44',34,17),(23,'2010-08-24 12:06:58',48,34),(24,'2010-08-24 12:07:21',47,33),(25,'2010-08-24 12:07:34',51,38),(26,'2010-08-24 12:07:51',49,29),(27,'2010-08-24 12:08:06',46,35),(28,'2010-08-24 12:08:24',45,36),(29,'2010-08-24 12:08:40',44,31),(30,'2010-08-24 12:08:59',50,28),(31,'2010-08-24 12:09:17',41,27),(32,'2010-08-24 12:09:31',43,32),(33,'2010-08-24 12:09:51',39,25),(34,'2010-08-24 12:10:07',40,26),(35,'2010-08-24 12:10:40',59,47),(36,'2010-08-24 12:11:04',64,51),(37,'2010-08-24 12:11:19',61,49),(38,'2010-08-24 12:11:34',75,44),(39,'2010-08-24 12:11:48',60,50),(40,'2010-08-24 12:12:10',57,41),(41,'2010-08-24 12:12:27',54,43),(42,'2010-08-24 12:12:46',52,39),(43,'2010-08-24 12:13:01',53,40),(44,'2010-08-24 12:13:18',58,48),(45,'2010-08-24 12:15:18',76,64),(46,'2010-08-24 12:15:32',73,61),(47,'2010-08-24 12:15:47',71,57),(48,'2010-08-24 12:16:10',65,52),(49,'2010-08-24 12:16:28',66,53);
/*!40000 ALTER TABLE `correlative` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `country`
--

DROP TABLE IF EXISTS `country`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `country` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=241 DEFAULT CHARSET=latin1 COMMENT='Representa un PaÃ­s';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `country`
--

LOCK TABLES `country` WRITE;
/*!40000 ALTER TABLE `country` DISABLE KEYS */;
INSERT INTO `country` VALUES (1,'Afganistán'),(2,'Islas Gland'),(3,'Albania'),(4,'Alemania'),(5,'Andorra'),(6,'Angola'),(7,'Anguilla'),(8,'Antártida'),(9,'Antigua y Barbuda'),(10,'Antillas Holandesas'),(11,'Arabia Saudí'),(12,'Argelia'),(13,'Argentina'),(14,'Armenia'),(15,'Aruba'),(16,'Australia'),(17,'Austria'),(18,'Azerbaiyán'),(19,'Bahamas'),(20,'Bahréin'),(21,'Bangladesh'),(22,'Barbados'),(23,'Bielorrusia'),(24,'Bélgica'),(25,'Belice'),(26,'Benin'),(27,'Bermudas'),(28,'Bhután'),(29,'Bolivia'),(30,'Bosnia y Herzegovina'),(31,'Botsuana'),(32,'Isla Bouvet'),(33,'Brasil'),(34,'Brunéi'),(35,'Bulgaria'),(36,'Burkina Faso'),(37,'Burundi'),(38,'Cabo Verde'),(39,'Islas Caimán'),(40,'Camboya'),(41,'Camerún'),(42,'Canadá'),(43,'República Centroafricana'),(44,'Chad'),(45,'República Checa'),(46,'Chile'),(47,'China'),(48,'Chipre'),(49,'Isla de Navidad'),(50,'Ciudad del Vaticano'),(51,'Islas Cocos'),(52,'Colombia'),(53,'Comoras'),(54,'República Democrática del Congo'),(55,'Congo'),(56,'Islas Cook'),(57,'Corea del Norte'),(58,'Corea del Sur'),(59,'Costa de Marfil'),(60,'Costa Rica'),(61,'Croacia'),(62,'Cuba'),(63,'Dinamarca'),(64,'Dominica'),(65,'República Dominicana'),(66,'Ecuador'),(67,'Egipto'),(68,'El Salvador'),(69,'Emiratos Árabes Unidos'),(70,'Eritrea'),(71,'Eslovaquia'),(72,'Eslovenia'),(73,'España'),(74,'Islas ultramarinas de Estados Unidos'),(75,'Estados Unidos'),(76,'Estonia'),(77,'Etiopía'),(78,'Islas Feroe'),(79,'Filipinas'),(80,'Finlandia'),(81,'Fiyi'),(82,'Francia'),(83,'Gabón'),(84,'Gambia'),(85,'Georgia'),(86,'Islas Georgias del Sur y Sandwich del Sur'),(87,'Ghana'),(88,'Gibraltar'),(89,'Granada'),(90,'Grecia'),(91,'Groenlandia'),(92,'Guadalupe'),(93,'Guam'),(94,'Guatemala'),(95,'Guayana Francesa'),(96,'Guinea'),(97,'Guinea Ecuatorial'),(98,'Guinea-Bissau'),(99,'Guyana'),(100,'Haití'),(101,'Islas Heard y McDonald'),(102,'Honduras'),(103,'Hong Kong'),(104,'Hungría'),(105,'India'),(106,'Indonesia'),(107,'Irán'),(108,'Iraq'),(109,'Irlanda'),(110,'Islandia'),(111,'Israel'),(112,'Italia'),(113,'Jamaica'),(114,'Japón'),(115,'Jordania'),(116,'Kazajstán'),(117,'Kenia'),(118,'Kirguistán'),(119,'Kiribati'),(120,'Kuwait'),(121,'Laos'),(122,'Lesotho'),(123,'Letonia'),(124,'Líbano'),(125,'Liberia'),(126,'Libia'),(127,'Liechtenstein'),(128,'Lituania'),(129,'Luxemburgo'),(130,'Macao'),(131,'ARY Macedonia'),(132,'Madagascar'),(133,'Malasia'),(134,'Malawi'),(135,'Maldivas'),(136,'Malí'),(137,'Malta'),(138,'Islas Malvinas'),(139,'Islas Marianas del Norte'),(140,'Marruecos'),(141,'Islas Marshall'),(142,'Martinica'),(143,'Mauricio'),(144,'Mauritania'),(145,'Mayotte'),(146,'México'),(147,'Micronesia'),(148,'Moldavia'),(149,'Mónaco'),(150,'Mongolia'),(151,'Montserrat'),(152,'Mozambique'),(153,'Myanmar'),(154,'Namibia'),(155,'Nauru'),(156,'Nepal'),(157,'Nicaragua'),(158,'Níger'),(159,'Nigeria'),(160,'Niue'),(161,'Isla Norfolk'),(162,'Noruega'),(163,'Nueva Caledonia'),(164,'Nueva Zelanda'),(165,'Omán'),(166,'Países Bajos'),(167,'Pakistán'),(168,'Palau'),(169,'Palestina'),(170,'Panamá'),(171,'Papúa Nueva Guinea'),(172,'Paraguay'),(173,'Perú'),(174,'Islas Pitcairn'),(175,'Polinesia Francesa'),(176,'Polonia'),(177,'Portugal'),(178,'Puerto Rico'),(179,'Qatar'),(180,'Reino Unido'),(181,'Reunión'),(182,'Ruanda'),(183,'Rumania'),(184,'Rusia'),(185,'Sahara Occidental'),(186,'Islas Salomón'),(187,'Samoa'),(188,'Samoa Americana'),(189,'San Cristóbal y Nevis'),(190,'San Marino'),(191,'San Pedro y Miquelón'),(192,'San Vicente y las Granadinas'),(193,'Santa Helena'),(194,'Santa Lucía'),(195,'Santo Tomé y Príncipe'),(196,'Senegal'),(197,'Serbia y Montenegro'),(198,'Seychelles'),(199,'Sierra Leona'),(200,'Singapur'),(201,'Siria'),(202,'Somalia'),(203,'Sri Lanka'),(204,'Suazilandia'),(205,'Sudáfrica'),(206,'Sudán'),(207,'Suecia'),(208,'Suiza'),(209,'Surinam'),(210,'Svalbard y Jan Mayen'),(211,'Tailandia'),(212,'Taiwán'),(213,'Tanzania'),(214,'Tayikistán'),(215,'Territorio Británico del Océano Índico'),(216,'Territorios Australes Franceses'),(217,'Timor Oriental'),(218,'Togo'),(219,'Tokelau'),(220,'Tonga'),(221,'Trinidad y Tobago'),(222,'Túnez'),(223,'Islas Turcas y Caicos'),(224,'Turkmenistán'),(225,'Turquía'),(226,'Tuvalu'),(227,'Ucrania'),(228,'Uganda'),(229,'Uruguay'),(230,'Uzbekistán'),(231,'Vanuatu'),(232,'Venezuela'),(233,'Vietnam'),(234,'Islas Vírgenes Británicas'),(235,'Islas Vírgenes de los Estados Unidos'),(236,'Wallis y Futuna'),(237,'Yemen'),(238,'Yibuti'),(239,'Zambia'),(240,'Zimbabue');
/*!40000 ALTER TABLE `country` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `course`
--

DROP TABLE IF EXISTS `course`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `course` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `status` int(11) DEFAULT '0' COMMENT 'Representa el estado del curso (NUEVO / ACTIVO / NO ACTIVO)',
  `starts_at` date DEFAULT NULL COMMENT 'Indica el dia que se empieza a cursar',
  `name` varchar(255) NOT NULL COMMENT 'Nombre del curso',
  `quota` int(11) DEFAULT NULL COMMENT 'Entero que representa la capacidad de alumnos que pueden estar inscriptos',
  `school_year_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `course_FI_1` (`school_year_id`),
  CONSTRAINT `course_FK_1` FOREIGN KEY (`school_year_id`) REFERENCES `school_year` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=60 DEFAULT CHARSET=latin1 COMMENT='Representa un curso para una materia';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `course`
--

LOCK TABLES `course` WRITE;
/*!40000 ALTER TABLE `course` DISABLE KEYS */;
INSERT INTO `course` VALUES (1,2,NULL,'LENGUA 1 - 1° A - 2009',NULL,2),(2,2,NULL,'MATEMATICA 1 - 1° A - 2009',NULL,2),(3,2,NULL,'HISTORIA 1 - 1° A - 2009',NULL,2),(4,2,NULL,'GEOGRAFIA 1 - 1° A - 2009',NULL,2),(5,2,NULL,'CIENCIAS NATURALES 1 - 1° A - 2009',NULL,2),(6,2,NULL,'ÉTICA Y CIUDADANIA 1 - 1° A - 2009',NULL,2),(7,2,NULL,'INGLÉS 1 - 1° A - 2009',NULL,2),(8,2,NULL,'COMPUTACIÓN 1 - 1° A - 2009',NULL,2),(9,2,NULL,'FORMACIÓN MUSICAL 1 - 1° A - 2009',NULL,2),(10,2,NULL,'FORMACIÓN VISUAL 1 - 1° A - 2009',NULL,2),(11,2,NULL,'EDUCACIÓN FÍSICA - 1° A - 2009',NULL,2),(23,2,NULL,'CIENCIAS NATURALES 1 - 1° B - 2009',NULL,2),(24,2,NULL,'COMPUTACIÓN 1 - 1° B - 2009',NULL,2),(25,2,NULL,'EDUCACIÓN FÍSICA - 1° B - 2009',NULL,2),(26,2,NULL,'ÉTICA Y CIUDADANIA 1 - 1° B - 2009',NULL,2),(27,2,NULL,'FORMACIÓN MUSICAL 1 - 1° B - 2009',NULL,2),(28,2,NULL,'FORMACIÓN VISUAL 1 - 1° B - 2009',NULL,2),(29,2,NULL,'GEOGRAFIA 1 - 1° B - 2009',NULL,2),(30,2,NULL,'HISTORIA 1 - 1° B - 2009',NULL,2),(31,2,NULL,'INGLÉS 1 - 1° B - 2009',NULL,2),(32,2,NULL,'LENGUA 1 - 1° B - 2009',NULL,2),(33,2,NULL,'MATEMATICA 1 - 1° B - 2009',NULL,2),(34,0,NULL,'LENGUA 2 - 2° A - 2010',NULL,1),(35,0,NULL,'MATEMÁTICA 2 - 2° A - 2010',NULL,1),(36,0,NULL,'HISTORIA 2 - 2° A - 2010',NULL,1),(37,0,NULL,'GEOGRAFIA 2 - 2° A - 2010',NULL,1),(38,0,NULL,'BIOLOGIA 1 - 2° A - 2010',NULL,1),(39,0,NULL,'QUIMICA 1 - 2° A - 2010',NULL,1),(40,0,NULL,'FRANCES 1 - 2° A - 2010',NULL,1),(41,0,NULL,'INGLES 2 - 2° A - 2010',NULL,1),(42,0,NULL,'ÉTICA Y CIUDADANÍA 2 - 2° A - 2010',NULL,1),(43,0,NULL,'FORMACIÓN MUSICAL 2 - 2° A - 2010',NULL,1),(44,0,NULL,'FORMACIÓN VISUAL 2 - 2° A - 2010',NULL,1),(45,0,NULL,'TALLER DE EDUCACIÓN SEXUAL 1 - 2° A - 2010',NULL,1),(46,0,NULL,'EDUCACIÓN FÍSICA 2 - 2° A - 2010',NULL,1),(47,0,NULL,'LENGUA 2 - 2° B - 2010',NULL,1),(48,0,NULL,'MATEMÁTICA 2 - 2° B - 2010',NULL,1),(49,0,NULL,'GEOGRAFIA 2 - 2° B - 2010',NULL,1),(50,0,NULL,'HISTORIA 2 - 2° B - 2010',NULL,1),(51,0,NULL,'BIOLOGIA 1 - 2° B - 2010',NULL,1),(52,0,NULL,'QUIMICA 1 - 2° B - 2010',NULL,1),(53,0,NULL,'FRANCES 1 - 2° B - 2010',NULL,1),(54,0,NULL,'INGLES 2 - 2° B - 2010',NULL,1),(55,0,NULL,'ÉTICA Y CIUDADANÍA 2 - 2° B - 2010',NULL,1),(56,0,NULL,'FORMACIÓN MUSICAL 2 - 2° B - 2010',NULL,1),(57,0,NULL,'FORMACIÓN VISUAL 2 - 2° B - 2010',NULL,1),(58,0,NULL,'TALLER DE EDUCACIÓN SEXUAL 1 - 2° B - 2010',NULL,1),(59,0,NULL,'EDUCACIÓN FÍSICA 2 - 2° B - 2010',NULL,1);
/*!40000 ALTER TABLE `course` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `course_day`
--

DROP TABLE IF EXISTS `course_day`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `course_day` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `course_id` int(11) NOT NULL,
  `day` int(11) NOT NULL COMMENT 'Dia de cursada',
  `starts_at` time NOT NULL COMMENT 'Hora a la que empieza la cursada',
  `ends_at` time DEFAULT NULL COMMENT 'Hora a la que finaliza la cursada',
  `classroom` varchar(255) NOT NULL COMMENT 'Texto que representa el aula donde se cursa la materia',
  PRIMARY KEY (`id`,`course_id`),
  KEY `course_day_FI_1` (`course_id`),
  CONSTRAINT `course_day_FK_1` FOREIGN KEY (`course_id`) REFERENCES `course` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Representa un dia de cursada para el curso';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `course_day`
--

LOCK TABLES `course_day` WRITE;
/*!40000 ALTER TABLE `course_day` DISABLE KEYS */;
/*!40000 ALTER TABLE `course_day` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `course_preceptor`
--

DROP TABLE IF EXISTS `course_preceptor`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `course_preceptor` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `preceptor_id` int(11) NOT NULL,
  `course_id` int(11) NOT NULL,
  PRIMARY KEY (`id`,`preceptor_id`,`course_id`),
  KEY `course_preceptor_FI_1` (`preceptor_id`),
  KEY `course_preceptor_FI_2` (`course_id`),
  CONSTRAINT `course_preceptor_FK_1` FOREIGN KEY (`preceptor_id`) REFERENCES `sf_guard_user` (`id`) ON DELETE CASCADE,
  CONSTRAINT `course_preceptor_FK_2` FOREIGN KEY (`course_id`) REFERENCES `course` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=82 DEFAULT CHARSET=latin1 COMMENT='Representa la relaciÃ³n entre los cursos y su/sus preceptore';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `course_preceptor`
--

LOCK TABLES `course_preceptor` WRITE;
/*!40000 ALTER TABLE `course_preceptor` DISABLE KEYS */;
INSERT INTO `course_preceptor` VALUES (34,3,5),(35,3,23),(36,3,8),(37,3,24),(38,3,11),(39,3,25),(40,3,6),(41,3,26),(42,3,9),(43,3,28),(44,3,10),(45,3,4),(46,3,3),(47,3,7),(48,3,29),(49,3,1),(50,3,30),(51,3,2),(52,3,31),(53,3,32),(54,3,33),(55,3,27),(56,3,34),(57,3,35),(58,3,36),(59,3,37),(60,3,38),(61,3,39),(62,3,40),(63,3,41),(64,3,42),(65,3,43),(66,3,44),(67,3,45),(68,3,46),(69,3,47),(70,3,48),(71,3,49),(72,3,50),(73,3,51),(74,3,52),(75,3,53),(76,3,54),(77,3,55),(78,3,56),(79,3,57),(80,3,58),(81,3,59);
/*!40000 ALTER TABLE `course_preceptor` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `course_student`
--

DROP TABLE IF EXISTS `course_student`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `course_student` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `created_at` datetime DEFAULT NULL,
  `course_id` int(11) NOT NULL COMMENT 'Referencia a la cursada',
  `student_id` int(11) NOT NULL COMMENT 'Referencia al estudiante',
  `career_subject_id` int(11) DEFAULT NULL COMMENT 'Referencia al career_subject del alumno',
  `status` int(11) DEFAULT '0' COMMENT 'Muestra el estado de la cursada para el alumno aprobada/desaprobada etc',
  PRIMARY KEY (`id`,`course_id`,`student_id`),
  KEY `course_student_FI_1` (`course_id`),
  KEY `course_student_FI_2` (`student_id`),
  KEY `course_student_FI_3` (`career_subject_id`),
  CONSTRAINT `course_student_FK_1` FOREIGN KEY (`course_id`) REFERENCES `course` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `course_student_FK_2` FOREIGN KEY (`student_id`) REFERENCES `student` (`id`) ON UPDATE CASCADE,
  CONSTRAINT `course_student_FK_3` FOREIGN KEY (`career_subject_id`) REFERENCES `career_subject` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=560 DEFAULT CHARSET=latin1 COMMENT='Cada tupla representa un inscripto a una cursada';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `course_student`
--

LOCK TABLES `course_student` WRITE;
/*!40000 ALTER TABLE `course_student` DISABLE KEYS */;
INSERT INTO `course_student` VALUES (104,'2010-08-26 14:12:43',23,21,5,1),(105,'2010-08-26 14:12:43',23,11,5,1),(106,'2010-08-26 14:12:43',23,20,5,1),(107,'2010-08-26 14:12:43',23,19,5,1),(108,'2010-08-26 14:12:43',23,16,5,1),(109,'2010-08-26 14:12:43',23,10,5,1),(110,'2010-08-26 14:12:43',23,13,5,1),(111,'2010-08-26 14:12:43',23,15,5,3),(112,'2010-08-26 14:12:43',23,12,5,1),(113,'2010-08-26 14:12:43',24,21,8,1),(114,'2010-08-26 14:12:43',24,11,8,1),(115,'2010-08-26 14:12:43',24,20,8,1),(116,'2010-08-26 14:12:43',24,19,8,1),(117,'2010-08-26 14:12:43',24,16,8,1),(118,'2010-08-26 14:12:43',24,10,8,3),(119,'2010-08-26 14:12:43',24,13,8,1),(120,'2010-08-26 14:12:43',24,15,8,1),(121,'2010-08-26 14:12:43',24,12,8,1),(122,'2010-08-26 14:12:43',25,21,11,1),(123,'2010-08-26 14:12:43',25,11,11,1),(124,'2010-08-26 14:12:43',25,20,11,1),(125,'2010-08-26 14:12:43',25,19,11,1),(126,'2010-08-26 14:12:43',25,16,11,1),(127,'2010-08-26 14:12:43',25,10,11,1),(128,'2010-08-26 14:12:43',25,13,11,1),(129,'2010-08-26 14:12:43',25,15,11,1),(130,'2010-08-26 14:12:43',25,12,11,1),(131,'2010-08-26 14:12:43',26,21,6,1),(132,'2010-08-26 14:12:43',26,11,6,1),(133,'2010-08-26 14:12:43',26,20,6,1),(134,'2010-08-26 14:12:43',26,19,6,1),(135,'2010-08-26 14:12:43',26,16,6,1),(136,'2010-08-26 14:12:43',26,10,6,1),(137,'2010-08-26 14:12:43',26,13,6,1),(138,'2010-08-26 14:12:43',26,15,6,1),(139,'2010-08-26 14:12:43',26,12,6,3),(140,'2010-08-26 14:12:43',27,21,10,1),(141,'2010-08-26 14:12:43',27,11,10,1),(142,'2010-08-26 14:12:43',27,20,10,1),(143,'2010-08-26 14:12:43',27,19,10,1),(144,'2010-08-26 14:12:43',27,16,10,1),(145,'2010-08-26 14:12:43',27,10,10,1),(146,'2010-08-26 14:12:43',27,13,10,3),(147,'2010-08-26 14:12:43',27,15,10,3),(148,'2010-08-26 14:12:43',27,12,10,1),(149,'2010-08-26 14:12:43',28,21,9,1),(150,'2010-08-26 14:12:43',28,11,9,1),(151,'2010-08-26 14:12:43',28,20,9,3),(152,'2010-08-26 14:12:43',28,19,9,3),(153,'2010-08-26 14:12:43',28,16,9,1),(154,'2010-08-26 14:12:43',28,10,9,1),(155,'2010-08-26 14:12:43',28,13,9,1),(156,'2010-08-26 14:12:43',28,15,9,1),(157,'2010-08-26 14:12:43',28,12,9,1),(158,'2010-08-26 14:12:43',29,21,4,1),(159,'2010-08-26 14:12:43',29,11,4,1),(160,'2010-08-26 14:12:43',29,20,4,1),(161,'2010-08-26 14:12:43',29,19,4,1),(162,'2010-08-26 14:12:43',29,16,4,1),(163,'2010-08-26 14:12:43',29,10,4,1),(164,'2010-08-26 14:12:43',29,13,4,3),(165,'2010-08-26 14:12:43',29,15,4,1),(166,'2010-08-26 14:12:43',29,12,4,1),(167,'2010-08-26 14:12:43',30,21,3,1),(168,'2010-08-26 14:12:43',30,11,3,3),(169,'2010-08-26 14:12:43',30,20,3,1),(170,'2010-08-26 14:12:43',30,19,3,1),(171,'2010-08-26 14:12:43',30,16,3,1),(172,'2010-08-26 14:12:43',30,10,3,1),(173,'2010-08-26 14:12:43',30,13,3,1),(174,'2010-08-26 14:12:43',30,15,3,1),(175,'2010-08-26 14:12:43',30,12,3,3),(176,'2010-08-26 14:12:43',31,21,7,1),(177,'2010-08-26 14:12:43',31,11,7,1),(178,'2010-08-26 14:12:43',31,20,7,1),(179,'2010-08-26 14:12:43',31,19,7,1),(180,'2010-08-26 14:12:43',31,16,7,1),(181,'2010-08-26 14:12:43',31,10,7,1),(182,'2010-08-26 14:12:43',31,13,7,1),(183,'2010-08-26 14:12:43',31,15,7,1),(184,'2010-08-26 14:12:43',31,12,7,1),(185,'2010-08-26 14:12:43',32,21,1,1),(186,'2010-08-26 14:12:43',32,11,1,1),(187,'2010-08-26 14:12:43',32,20,1,1),(188,'2010-08-26 14:12:43',32,19,1,1),(189,'2010-08-26 14:12:43',32,16,1,1),(190,'2010-08-26 14:12:43',32,10,1,1),(191,'2010-08-26 14:12:43',32,13,1,1),(192,'2010-08-26 14:12:43',32,15,1,1),(193,'2010-08-26 14:12:43',32,12,1,1),(194,'2010-08-26 14:12:43',33,21,2,3),(195,'2010-08-26 14:12:43',33,11,2,1),(196,'2010-08-26 14:12:43',33,20,2,1),(197,'2010-08-26 14:12:44',33,19,2,1),(198,'2010-08-26 14:12:44',33,16,2,1),(199,'2010-08-26 14:12:44',33,10,2,1),(200,'2010-08-26 14:12:44',33,13,2,1),(201,'2010-08-26 14:12:44',33,15,2,1),(202,'2010-08-26 14:12:44',33,12,2,1),(203,'2010-08-26 14:15:05',1,4,1,1),(204,'2010-08-26 14:15:05',2,4,2,1),(205,'2010-08-26 14:15:05',3,4,3,1),(206,'2010-08-26 14:15:05',4,4,4,3),(207,'2010-08-26 14:15:05',5,4,5,1),(208,'2010-08-26 14:15:05',6,4,6,3),(209,'2010-08-26 14:15:05',7,4,7,1),(210,'2010-08-26 14:15:05',8,4,8,1),(211,'2010-08-26 14:15:05',9,4,10,3),(212,'2010-08-26 14:15:05',10,4,9,1),(213,'2010-08-26 14:15:05',11,4,11,1),(214,'2010-08-26 14:15:05',1,5,1,1),(215,'2010-08-26 14:15:05',2,5,2,1),(216,'2010-08-26 14:15:05',3,5,3,1),(217,'2010-08-26 14:15:05',4,5,4,3),(218,'2010-08-26 14:15:05',5,5,5,1),(219,'2010-08-26 14:15:05',6,5,6,3),(220,'2010-08-26 14:15:05',7,5,7,1),(221,'2010-08-26 14:15:05',8,5,8,1),(222,'2010-08-26 14:15:05',9,5,10,3),(223,'2010-08-26 14:15:05',10,5,9,1),(224,'2010-08-26 14:15:05',11,5,11,1),(225,'2010-08-26 14:15:05',1,14,1,1),(226,'2010-08-26 14:15:05',2,14,2,1),(227,'2010-08-26 14:15:05',3,14,3,1),(228,'2010-08-26 14:15:05',4,14,4,3),(229,'2010-08-26 14:15:05',5,14,5,1),(230,'2010-08-26 14:15:05',6,14,6,3),(231,'2010-08-26 14:15:05',7,14,7,1),(232,'2010-08-26 14:15:05',8,14,8,1),(233,'2010-08-26 14:15:05',9,14,10,3),(234,'2010-08-26 14:15:05',10,14,9,1),(235,'2010-08-26 14:15:05',11,14,11,1),(236,'2010-08-26 14:15:05',1,9,1,1),(237,'2010-08-26 14:15:05',2,9,2,1),(238,'2010-08-26 14:15:05',3,9,3,1),(239,'2010-08-26 14:15:05',4,9,4,3),(240,'2010-08-26 14:15:05',5,9,5,1),(241,'2010-08-26 14:15:05',6,9,6,3),(242,'2010-08-26 14:15:05',7,9,7,1),(243,'2010-08-26 14:15:05',8,9,8,1),(244,'2010-08-26 14:15:05',9,9,10,3),(245,'2010-08-26 14:15:05',10,9,9,1),(246,'2010-08-26 14:15:05',11,9,11,1),(247,'2010-08-26 14:15:05',1,8,1,1),(248,'2010-08-26 14:15:05',2,8,2,1),(249,'2010-08-26 14:15:05',3,8,3,1),(250,'2010-08-26 14:15:05',4,8,4,3),(251,'2010-08-26 14:15:05',5,8,5,1),(252,'2010-08-26 14:15:05',6,8,6,3),(253,'2010-08-26 14:15:05',7,8,7,1),(254,'2010-08-26 14:15:05',8,8,8,1),(255,'2010-08-26 14:15:05',9,8,10,1),(256,'2010-08-26 14:15:05',10,8,9,1),(257,'2010-08-26 14:15:05',11,8,11,1),(258,'2010-08-26 14:15:05',1,6,1,1),(259,'2010-08-26 14:15:05',2,6,2,1),(260,'2010-08-26 14:15:05',3,6,3,1),(261,'2010-08-26 14:15:05',4,6,4,3),(262,'2010-08-26 14:15:06',5,6,5,1),(263,'2010-08-26 14:15:06',6,6,6,3),(264,'2010-08-26 14:15:06',7,6,7,1),(265,'2010-08-26 14:15:06',8,6,8,1),(266,'2010-08-26 14:15:06',9,6,10,1),(267,'2010-08-26 14:15:06',10,6,9,1),(268,'2010-08-26 14:15:06',11,6,11,1),(269,'2010-08-26 14:15:06',1,18,1,1),(270,'2010-08-26 14:15:06',2,18,2,1),(271,'2010-08-26 14:15:06',3,18,3,1),(272,'2010-08-26 14:15:06',4,18,4,3),(273,'2010-08-26 14:15:06',5,18,5,1),(274,'2010-08-26 14:15:06',6,18,6,3),(275,'2010-08-26 14:15:06',7,18,7,1),(276,'2010-08-26 14:15:06',8,18,8,1),(277,'2010-08-26 14:15:06',9,18,10,3),(278,'2010-08-26 14:15:06',10,18,9,1),(279,'2010-08-26 14:15:06',11,18,11,1),(280,'2010-08-26 14:15:06',1,3,1,1),(281,'2010-08-26 14:15:06',2,3,2,1),(282,'2010-08-26 14:15:06',3,3,3,1),(283,'2010-08-26 14:15:06',4,3,4,3),(284,'2010-08-26 14:15:06',5,3,5,1),(285,'2010-08-26 14:15:06',6,3,6,3),(286,'2010-08-26 14:15:06',7,3,7,1),(287,'2010-08-26 14:15:06',8,3,8,1),(288,'2010-08-26 14:15:06',9,3,10,1),(289,'2010-08-26 14:15:06',10,3,9,1),(290,'2010-08-26 14:15:06',11,3,11,1),(291,'2010-08-26 14:15:06',1,17,1,1),(292,'2010-08-26 14:15:06',2,17,2,1),(293,'2010-08-26 14:15:06',3,17,3,1),(294,'2010-08-26 14:15:06',4,17,4,3),(295,'2010-08-26 14:15:06',5,17,5,1),(296,'2010-08-26 14:15:06',6,17,6,3),(297,'2010-08-26 14:15:06',7,17,7,1),(298,'2010-08-26 14:15:06',8,17,8,1),(299,'2010-08-26 14:15:06',9,17,10,1),(300,'2010-08-26 14:15:06',10,17,9,1),(301,'2010-08-26 14:15:06',11,17,11,1),(302,'2010-08-26 14:15:06',1,7,1,1),(303,'2010-08-26 14:15:06',2,7,2,1),(304,'2010-08-26 14:15:06',3,7,3,1),(305,'2010-08-26 14:15:06',4,7,4,3),(306,'2010-08-26 14:15:06',5,7,5,1),(307,'2010-08-26 14:15:06',6,7,6,3),(308,'2010-08-26 14:15:06',7,7,7,1),(309,'2010-08-26 14:15:06',8,7,8,1),(310,'2010-08-26 14:15:06',9,7,10,1),(311,'2010-08-26 14:15:06',10,7,9,1),(312,'2010-08-26 14:15:06',11,7,11,1),(313,'2010-08-26 15:30:37',34,4,12,0),(314,'2010-08-26 15:30:37',35,4,13,0),(315,'2010-08-26 15:30:37',36,4,14,0),(316,'2010-08-26 15:30:37',37,4,15,0),(317,'2010-08-26 15:30:37',38,4,16,0),(318,'2010-08-26 15:30:37',39,4,17,0),(319,'2010-08-26 15:30:37',40,4,18,0),(320,'2010-08-26 15:30:37',41,4,19,0),(321,'2010-08-26 15:30:37',42,4,20,0),(322,'2010-08-26 15:30:37',43,4,22,0),(323,'2010-08-26 15:30:37',44,4,21,0),(324,'2010-08-26 15:30:37',45,4,23,0),(325,'2010-08-26 15:30:37',46,4,24,0),(326,'2010-08-26 15:30:37',34,5,12,0),(327,'2010-08-26 15:30:37',35,5,13,0),(328,'2010-08-26 15:30:37',36,5,14,0),(329,'2010-08-26 15:30:37',37,5,15,0),(330,'2010-08-26 15:30:37',38,5,16,0),(331,'2010-08-26 15:30:37',39,5,17,0),(332,'2010-08-26 15:30:37',40,5,18,0),(333,'2010-08-26 15:30:37',41,5,19,0),(334,'2010-08-26 15:30:37',42,5,20,0),(335,'2010-08-26 15:30:37',43,5,22,0),(336,'2010-08-26 15:30:37',44,5,21,0),(337,'2010-08-26 15:30:37',45,5,23,0),(338,'2010-08-26 15:30:37',46,5,24,0),(339,'2010-08-26 15:30:37',34,14,12,0),(340,'2010-08-26 15:30:37',35,14,13,0),(341,'2010-08-26 15:30:37',36,14,14,0),(342,'2010-08-26 15:30:37',37,14,15,0),(343,'2010-08-26 15:30:37',38,14,16,0),(344,'2010-08-26 15:30:37',39,14,17,0),(345,'2010-08-26 15:30:37',40,14,18,0),(346,'2010-08-26 15:30:37',41,14,19,0),(347,'2010-08-26 15:30:37',42,14,20,0),(348,'2010-08-26 15:30:37',43,14,22,0),(349,'2010-08-26 15:30:37',44,14,21,0),(350,'2010-08-26 15:30:37',45,14,23,0),(351,'2010-08-26 15:30:37',46,14,24,0),(352,'2010-08-26 15:30:37',34,9,12,0),(353,'2010-08-26 15:30:37',35,9,13,0),(354,'2010-08-26 15:30:37',36,9,14,0),(355,'2010-08-26 15:30:37',37,9,15,0),(356,'2010-08-26 15:30:37',38,9,16,0),(357,'2010-08-26 15:30:37',39,9,17,0),(358,'2010-08-26 15:30:37',40,9,18,0),(359,'2010-08-26 15:30:37',41,9,19,0),(360,'2010-08-26 15:30:37',42,9,20,0),(361,'2010-08-26 15:30:37',43,9,22,0),(362,'2010-08-26 15:30:37',44,9,21,0),(363,'2010-08-26 15:30:37',45,9,23,0),(364,'2010-08-26 15:30:37',46,9,24,0),(365,'2010-08-26 15:30:37',34,8,12,0),(366,'2010-08-26 15:30:37',35,8,13,0),(367,'2010-08-26 15:30:37',36,8,14,0),(368,'2010-08-26 15:30:37',37,8,15,0),(369,'2010-08-26 15:30:37',38,8,16,0),(370,'2010-08-26 15:30:37',39,8,17,0),(371,'2010-08-26 15:30:37',40,8,18,0),(372,'2010-08-26 15:30:37',41,8,19,0),(373,'2010-08-26 15:30:37',42,8,20,0),(374,'2010-08-26 15:30:37',43,8,22,0),(375,'2010-08-26 15:30:37',44,8,21,0),(376,'2010-08-26 15:30:37',45,8,23,0),(377,'2010-08-26 15:30:37',46,8,24,0),(378,'2010-08-26 15:30:37',34,6,12,0),(379,'2010-08-26 15:30:37',35,6,13,0),(380,'2010-08-26 15:30:37',36,6,14,0),(381,'2010-08-26 15:30:37',37,6,15,0),(382,'2010-08-26 15:30:37',38,6,16,0),(383,'2010-08-26 15:30:37',39,6,17,0),(384,'2010-08-26 15:30:37',40,6,18,0),(385,'2010-08-26 15:30:37',41,6,19,0),(386,'2010-08-26 15:30:37',42,6,20,0),(387,'2010-08-26 15:30:37',43,6,22,0),(388,'2010-08-26 15:30:37',44,6,21,0),(389,'2010-08-26 15:30:37',45,6,23,0),(390,'2010-08-26 15:30:37',46,6,24,0),(391,'2010-08-26 15:30:37',34,18,12,0),(392,'2010-08-26 15:30:37',35,18,13,0),(393,'2010-08-26 15:30:37',36,18,14,0),(394,'2010-08-26 15:30:37',37,18,15,0),(395,'2010-08-26 15:30:37',38,18,16,0),(396,'2010-08-26 15:30:37',39,18,17,0),(397,'2010-08-26 15:30:37',40,18,18,0),(398,'2010-08-26 15:30:37',41,18,19,0),(399,'2010-08-26 15:30:37',42,18,20,0),(400,'2010-08-26 15:30:37',43,18,22,0),(401,'2010-08-26 15:30:37',44,18,21,0),(402,'2010-08-26 15:30:37',45,18,23,0),(403,'2010-08-26 15:30:37',46,18,24,0),(404,'2010-08-26 15:30:37',34,3,12,0),(405,'2010-08-26 15:30:37',35,3,13,0),(406,'2010-08-26 15:30:37',36,3,14,0),(407,'2010-08-26 15:30:37',37,3,15,0),(408,'2010-08-26 15:30:37',38,3,16,0),(409,'2010-08-26 15:30:37',39,3,17,0),(410,'2010-08-26 15:30:37',40,3,18,0),(411,'2010-08-26 15:30:37',41,3,19,0),(412,'2010-08-26 15:30:37',42,3,20,0),(413,'2010-08-26 15:30:37',43,3,22,0),(414,'2010-08-26 15:30:37',44,3,21,0),(415,'2010-08-26 15:30:37',45,3,23,0),(416,'2010-08-26 15:30:37',46,3,24,0),(417,'2010-08-26 15:30:37',34,17,12,0),(418,'2010-08-26 15:30:37',35,17,13,0),(419,'2010-08-26 15:30:37',36,17,14,0),(420,'2010-08-26 15:30:37',37,17,15,0),(421,'2010-08-26 15:30:37',38,17,16,0),(422,'2010-08-26 15:30:37',39,17,17,0),(423,'2010-08-26 15:30:37',40,17,18,0),(424,'2010-08-26 15:30:37',41,17,19,0),(425,'2010-08-26 15:30:38',42,17,20,0),(426,'2010-08-26 15:30:38',43,17,22,0),(427,'2010-08-26 15:30:38',44,17,21,0),(428,'2010-08-26 15:30:38',45,17,23,0),(429,'2010-08-26 15:30:38',46,17,24,0),(430,'2010-08-26 15:30:38',34,7,12,0),(431,'2010-08-26 15:30:38',35,7,13,0),(432,'2010-08-26 15:30:38',36,7,14,0),(433,'2010-08-26 15:30:38',37,7,15,0),(434,'2010-08-26 15:30:38',38,7,16,0),(435,'2010-08-26 15:30:38',39,7,17,0),(436,'2010-08-26 15:30:38',40,7,18,0),(437,'2010-08-26 15:30:38',41,7,19,0),(438,'2010-08-26 15:30:38',42,7,20,0),(439,'2010-08-26 15:30:38',43,7,22,0),(440,'2010-08-26 15:30:38',44,7,21,0),(441,'2010-08-26 15:30:38',45,7,23,0),(442,'2010-08-26 15:30:38',46,7,24,0),(443,'2010-08-26 15:31:33',47,21,12,0),(444,'2010-08-26 15:31:33',48,21,13,0),(445,'2010-08-26 15:31:33',49,21,15,0),(446,'2010-08-26 15:31:33',50,21,14,0),(447,'2010-08-26 15:31:33',51,21,16,0),(448,'2010-08-26 15:31:33',52,21,17,0),(449,'2010-08-26 15:31:33',53,21,18,0),(450,'2010-08-26 15:31:33',54,21,19,0),(451,'2010-08-26 15:31:33',55,21,20,0),(452,'2010-08-26 15:31:33',56,21,22,0),(453,'2010-08-26 15:31:33',57,21,21,0),(454,'2010-08-26 15:31:33',58,21,23,0),(455,'2010-08-26 15:31:33',59,21,24,0),(456,'2010-08-26 15:31:33',47,11,12,0),(457,'2010-08-26 15:31:33',48,11,13,0),(458,'2010-08-26 15:31:33',49,11,15,0),(459,'2010-08-26 15:31:33',50,11,14,0),(460,'2010-08-26 15:31:33',51,11,16,0),(461,'2010-08-26 15:31:33',52,11,17,0),(462,'2010-08-26 15:31:33',53,11,18,0),(463,'2010-08-26 15:31:33',54,11,19,0),(464,'2010-08-26 15:31:33',55,11,20,0),(465,'2010-08-26 15:31:33',56,11,22,0),(466,'2010-08-26 15:31:33',57,11,21,0),(467,'2010-08-26 15:31:33',58,11,23,0),(468,'2010-08-26 15:31:33',59,11,24,0),(469,'2010-08-26 15:31:33',47,20,12,0),(470,'2010-08-26 15:31:33',48,20,13,0),(471,'2010-08-26 15:31:33',49,20,15,0),(472,'2010-08-26 15:31:33',50,20,14,0),(473,'2010-08-26 15:31:33',51,20,16,0),(474,'2010-08-26 15:31:33',52,20,17,0),(475,'2010-08-26 15:31:33',53,20,18,0),(476,'2010-08-26 15:31:33',54,20,19,0),(477,'2010-08-26 15:31:33',55,20,20,0),(478,'2010-08-26 15:31:33',56,20,22,0),(479,'2010-08-26 15:31:33',57,20,21,0),(480,'2010-08-26 15:31:33',58,20,23,0),(481,'2010-08-26 15:31:33',59,20,24,0),(482,'2010-08-26 15:31:33',47,19,12,0),(483,'2010-08-26 15:31:33',48,19,13,0),(484,'2010-08-26 15:31:33',49,19,15,0),(485,'2010-08-26 15:31:33',50,19,14,0),(486,'2010-08-26 15:31:33',51,19,16,0),(487,'2010-08-26 15:31:33',52,19,17,0),(488,'2010-08-26 15:31:33',53,19,18,0),(489,'2010-08-26 15:31:33',54,19,19,0),(490,'2010-08-26 15:31:33',55,19,20,0),(491,'2010-08-26 15:31:33',56,19,22,0),(492,'2010-08-26 15:31:33',57,19,21,0),(493,'2010-08-26 15:31:33',58,19,23,0),(494,'2010-08-26 15:31:33',59,19,24,0),(495,'2010-08-26 15:31:33',47,16,12,0),(496,'2010-08-26 15:31:33',48,16,13,0),(497,'2010-08-26 15:31:33',49,16,15,0),(498,'2010-08-26 15:31:33',50,16,14,0),(499,'2010-08-26 15:31:33',51,16,16,0),(500,'2010-08-26 15:31:33',52,16,17,0),(501,'2010-08-26 15:31:33',53,16,18,0),(502,'2010-08-26 15:31:33',54,16,19,0),(503,'2010-08-26 15:31:33',55,16,20,0),(504,'2010-08-26 15:31:33',56,16,22,0),(505,'2010-08-26 15:31:33',57,16,21,0),(506,'2010-08-26 15:31:33',58,16,23,0),(507,'2010-08-26 15:31:33',59,16,24,0),(508,'2010-08-26 15:31:33',47,10,12,0),(509,'2010-08-26 15:31:33',48,10,13,0),(510,'2010-08-26 15:31:33',49,10,15,0),(511,'2010-08-26 15:31:33',50,10,14,0),(512,'2010-08-26 15:31:33',51,10,16,0),(513,'2010-08-26 15:31:33',52,10,17,0),(514,'2010-08-26 15:31:33',53,10,18,0),(515,'2010-08-26 15:31:33',54,10,19,0),(516,'2010-08-26 15:31:33',55,10,20,0),(517,'2010-08-26 15:31:33',56,10,22,0),(518,'2010-08-26 15:31:33',57,10,21,0),(519,'2010-08-26 15:31:33',58,10,23,0),(520,'2010-08-26 15:31:33',59,10,24,0),(521,'2010-08-26 15:31:33',47,13,12,0),(522,'2010-08-26 15:31:33',48,13,13,0),(523,'2010-08-26 15:31:33',49,13,15,0),(524,'2010-08-26 15:31:33',50,13,14,0),(525,'2010-08-26 15:31:33',51,13,16,0),(526,'2010-08-26 15:31:33',52,13,17,0),(527,'2010-08-26 15:31:33',53,13,18,0),(528,'2010-08-26 15:31:34',54,13,19,0),(529,'2010-08-26 15:31:34',55,13,20,0),(530,'2010-08-26 15:31:34',56,13,22,0),(531,'2010-08-26 15:31:34',57,13,21,0),(532,'2010-08-26 15:31:34',58,13,23,0),(533,'2010-08-26 15:31:34',59,13,24,0),(534,'2010-08-26 15:31:34',47,15,12,0),(535,'2010-08-26 15:31:34',48,15,13,0),(536,'2010-08-26 15:31:34',49,15,15,0),(537,'2010-08-26 15:31:34',50,15,14,0),(538,'2010-08-26 15:31:34',51,15,16,0),(539,'2010-08-26 15:31:34',52,15,17,0),(540,'2010-08-26 15:31:34',53,15,18,0),(541,'2010-08-26 15:31:34',54,15,19,0),(542,'2010-08-26 15:31:34',55,15,20,0),(543,'2010-08-26 15:31:34',56,15,22,0),(544,'2010-08-26 15:31:34',57,15,21,0),(545,'2010-08-26 15:31:34',58,15,23,0),(546,'2010-08-26 15:31:34',59,15,24,0),(547,'2010-08-26 15:31:34',47,12,12,0),(548,'2010-08-26 15:31:34',48,12,13,0),(549,'2010-08-26 15:31:34',49,12,15,0),(550,'2010-08-26 15:31:34',50,12,14,0),(551,'2010-08-26 15:31:34',51,12,16,0),(552,'2010-08-26 15:31:34',52,12,17,0),(553,'2010-08-26 15:31:34',53,12,18,0),(554,'2010-08-26 15:31:34',54,12,19,0),(555,'2010-08-26 15:31:34',55,12,20,0),(556,'2010-08-26 15:31:34',56,12,22,0),(557,'2010-08-26 15:31:34',57,12,21,0),(558,'2010-08-26 15:31:34',58,12,23,0),(559,'2010-08-26 15:31:34',59,12,24,0);
/*!40000 ALTER TABLE `course_student` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `course_student_mark`
--

DROP TABLE IF EXISTS `course_student_mark`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `course_student_mark` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `created_at` datetime DEFAULT NULL,
  `career_subject_id` int(11) DEFAULT NULL COMMENT 'Referencia al career_subject del alumno',
  `course_student_id` int(11) NOT NULL COMMENT 'Referencia a la cursada_alumno',
  `mark_number` int(11) NOT NULL COMMENT 'Posicion de la nota, 1era, 2da, etc',
  `mark` decimal(10,0) DEFAULT NULL COMMENT 'Nota que obtuvo el alumno',
  PRIMARY KEY (`id`),
  KEY `course_student_mark_FI_1` (`career_subject_id`),
  KEY `course_student_mark_FI_2` (`course_student_id`),
  CONSTRAINT `course_student_mark_FK_1` FOREIGN KEY (`career_subject_id`) REFERENCES `career_subject` (`id`),
  CONSTRAINT `course_student_mark_FK_2` FOREIGN KEY (`course_student_id`) REFERENCES `course_student` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=419 DEFAULT CHARSET=latin1 COMMENT='Representa una nota para un alumno en una cursada de una mat';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `course_student_mark`
--

LOCK TABLES `course_student_mark` WRITE;
/*!40000 ALTER TABLE `course_student_mark` DISABLE KEYS */;
INSERT INTO `course_student_mark` VALUES (1,'2010-08-26 14:25:37',5,207,1,'8'),(2,'2010-08-26 14:25:37',5,207,2,'6'),(3,'2010-08-26 14:25:37',5,218,1,'8'),(4,'2010-08-26 14:25:37',5,218,2,'6'),(5,'2010-08-26 14:25:37',5,229,1,'8'),(6,'2010-08-26 14:25:37',5,229,2,'6'),(7,'2010-08-26 14:25:37',5,240,1,'8'),(8,'2010-08-26 14:25:37',5,240,2,'6'),(9,'2010-08-26 14:25:37',5,251,1,'8'),(10,'2010-08-26 14:25:37',5,251,2,'6'),(11,'2010-08-26 14:25:37',5,262,1,'8'),(12,'2010-08-26 14:25:37',5,262,2,'6'),(13,'2010-08-26 14:25:38',5,273,1,'8'),(14,'2010-08-26 14:25:38',5,273,2,'6'),(15,'2010-08-26 14:25:38',5,284,1,'8'),(16,'2010-08-26 14:25:38',5,284,2,'6'),(17,'2010-08-26 14:25:38',5,295,1,'8'),(18,'2010-08-26 14:25:38',5,295,2,'6'),(19,'2010-08-26 14:25:38',5,306,1,'8'),(20,'2010-08-26 14:25:38',5,306,2,'6'),(21,'2010-08-26 14:27:31',8,210,1,'6'),(22,'2010-08-26 14:27:31',8,210,2,'6'),(23,'2010-08-26 14:27:31',8,221,1,'6'),(24,'2010-08-26 14:27:31',8,221,2,'6'),(25,'2010-08-26 14:27:31',8,232,1,'6'),(26,'2010-08-26 14:27:31',8,232,2,'6'),(27,'2010-08-26 14:27:32',8,243,1,'6'),(28,'2010-08-26 14:27:32',8,243,2,'6'),(29,'2010-08-26 14:27:32',8,254,1,'6'),(30,'2010-08-26 14:27:32',8,254,2,'6'),(31,'2010-08-26 14:27:32',8,265,1,'6'),(32,'2010-08-26 14:27:32',8,265,2,'6'),(33,'2010-08-26 14:27:32',8,276,1,'6'),(34,'2010-08-26 14:27:32',8,276,2,'6'),(35,'2010-08-26 14:27:32',8,287,1,'6'),(36,'2010-08-26 14:27:32',8,287,2,'6'),(37,'2010-08-26 14:27:32',8,298,1,'6'),(38,'2010-08-26 14:27:32',8,298,2,'2'),(39,'2010-08-26 14:27:32',8,309,1,'6'),(40,'2010-08-26 14:27:32',8,309,2,'2'),(41,'2010-08-26 14:28:03',11,213,1,'5'),(42,'2010-08-26 14:28:03',11,213,2,'7'),(43,'2010-08-26 14:28:03',11,224,1,'5'),(44,'2010-08-26 14:28:03',11,224,2,'7'),(45,'2010-08-26 14:28:03',11,235,1,'5'),(46,'2010-08-26 14:28:03',11,235,2,'7'),(47,'2010-08-26 14:28:03',11,246,1,'5'),(48,'2010-08-26 14:28:03',11,246,2,'7'),(49,'2010-08-26 14:28:03',11,257,1,'5'),(50,'2010-08-26 14:28:03',11,257,2,'7'),(51,'2010-08-26 14:28:03',11,268,1,'5'),(52,'2010-08-26 14:28:03',11,268,2,'7'),(53,'2010-08-26 14:28:03',11,279,1,'5'),(54,'2010-08-26 14:28:03',11,279,2,'7'),(55,'2010-08-26 14:28:03',11,290,1,'5'),(56,'2010-08-26 14:28:03',11,290,2,'7'),(57,'2010-08-26 14:28:03',11,301,1,'5'),(58,'2010-08-26 14:28:03',11,301,2,'7'),(59,'2010-08-26 14:28:03',11,312,1,'5'),(60,'2010-08-26 14:28:03',11,312,2,'7'),(61,'2010-08-26 14:28:43',6,208,1,'2'),(62,'2010-08-26 14:28:43',6,208,2,'2'),(63,'2010-08-26 14:28:43',6,219,1,'2'),(64,'2010-08-26 14:28:43',6,219,2,'2'),(65,'2010-08-26 14:28:43',6,230,1,'2'),(66,'2010-08-26 14:28:43',6,230,2,'2'),(67,'2010-08-26 14:28:43',6,241,1,'2'),(68,'2010-08-26 14:28:43',6,241,2,'2'),(69,'2010-08-26 14:28:43',6,252,1,'2'),(70,'2010-08-26 14:28:43',6,252,2,'2'),(71,'2010-08-26 14:28:43',6,263,1,'2'),(72,'2010-08-26 14:28:43',6,263,2,'2'),(73,'2010-08-26 14:28:43',6,274,1,'2'),(74,'2010-08-26 14:28:43',6,274,2,'2'),(75,'2010-08-26 14:28:43',6,285,1,'2'),(76,'2010-08-26 14:28:43',6,285,2,'2'),(77,'2010-08-26 14:28:43',6,296,1,'2'),(78,'2010-08-26 14:28:43',6,296,2,'2'),(79,'2010-08-26 14:28:44',6,307,1,'2'),(80,'2010-08-26 14:28:44',6,307,2,'2'),(81,'2010-08-26 14:29:53',10,211,1,'3'),(82,'2010-08-26 14:29:53',10,211,2,'4'),(83,'2010-08-26 14:29:53',10,222,1,'3'),(84,'2010-08-26 14:29:53',10,222,2,'4'),(85,'2010-08-26 14:29:53',10,233,1,'3'),(86,'2010-08-26 14:29:53',10,233,2,'4'),(87,'2010-08-26 14:29:53',10,244,1,'3'),(88,'2010-08-26 14:29:53',10,244,2,'4'),(89,'2010-08-26 14:29:54',10,255,1,'7'),(90,'2010-08-26 14:29:54',10,255,2,'8'),(91,'2010-08-26 14:29:54',10,266,1,'7'),(92,'2010-08-26 14:29:54',10,266,2,'8'),(93,'2010-08-26 14:29:54',10,277,1,'3'),(94,'2010-08-26 14:29:54',10,277,2,'4'),(95,'2010-08-26 14:29:54',10,288,1,'7'),(96,'2010-08-26 14:29:54',10,288,2,'8'),(97,'2010-08-26 14:29:54',10,299,1,'7'),(98,'2010-08-26 14:29:54',10,299,2,'8'),(99,'2010-08-26 14:29:54',10,310,1,'7'),(100,'2010-08-26 14:29:54',10,310,2,'8'),(101,'2010-08-26 14:30:23',9,212,1,'10'),(102,'2010-08-26 14:30:23',9,212,2,'10'),(103,'2010-08-26 14:30:23',9,223,1,'10'),(104,'2010-08-26 14:30:23',9,223,2,'10'),(105,'2010-08-26 14:30:23',9,234,1,'10'),(106,'2010-08-26 14:30:23',9,234,2,'10'),(107,'2010-08-26 14:30:23',9,245,1,'10'),(108,'2010-08-26 14:30:23',9,245,2,'10'),(109,'2010-08-26 14:30:23',9,256,1,'10'),(110,'2010-08-26 14:30:23',9,256,2,'10'),(111,'2010-08-26 14:30:23',9,267,1,'10'),(112,'2010-08-26 14:30:23',9,267,2,'10'),(113,'2010-08-26 14:30:23',9,278,1,'10'),(114,'2010-08-26 14:30:23',9,278,2,'10'),(115,'2010-08-26 14:30:23',9,289,1,'10'),(116,'2010-08-26 14:30:23',9,289,2,'10'),(117,'2010-08-26 14:30:23',9,300,1,'10'),(118,'2010-08-26 14:30:23',9,300,2,'10'),(119,'2010-08-26 14:30:23',9,311,1,'10'),(120,'2010-08-26 14:30:23',9,311,2,'10'),(121,'2010-08-26 14:30:52',4,206,1,'3'),(122,'2010-08-26 14:30:52',4,206,2,'1'),(123,'2010-08-26 14:30:52',4,217,1,'3'),(124,'2010-08-26 14:30:52',4,217,2,'1'),(125,'2010-08-26 14:30:52',4,228,1,'3'),(126,'2010-08-26 14:30:52',4,228,2,'1'),(127,'2010-08-26 14:30:52',4,239,1,'3'),(128,'2010-08-26 14:30:52',4,239,2,'1'),(129,'2010-08-26 14:30:52',4,250,1,'3'),(130,'2010-08-26 14:30:52',4,250,2,'1'),(131,'2010-08-26 14:30:52',4,261,1,'3'),(132,'2010-08-26 14:30:52',4,261,2,'1'),(133,'2010-08-26 14:30:52',4,272,1,'3'),(134,'2010-08-26 14:30:52',4,272,2,'1'),(135,'2010-08-26 14:30:52',4,283,1,'3'),(136,'2010-08-26 14:30:52',4,283,2,'1'),(137,'2010-08-26 14:30:52',4,294,1,'3'),(138,'2010-08-26 14:30:52',4,294,2,'1'),(139,'2010-08-26 14:30:52',4,305,1,'3'),(140,'2010-08-26 14:30:52',4,305,2,'1'),(141,'2010-08-26 14:31:16',5,104,1,'8'),(142,'2010-08-26 14:31:16',5,104,2,'9'),(143,'2010-08-26 14:31:16',5,105,1,'8'),(144,'2010-08-26 14:31:16',5,105,2,'7'),(145,'2010-08-26 14:31:16',5,106,1,'7'),(146,'2010-08-26 14:31:16',5,106,2,'7'),(147,'2010-08-26 14:31:16',5,107,1,'4'),(148,'2010-08-26 14:31:16',5,107,2,'6'),(149,'2010-08-26 14:31:16',5,108,1,'5'),(150,'2010-08-26 14:31:16',5,108,2,'5'),(151,'2010-08-26 14:31:16',5,109,1,'8'),(152,'2010-08-26 14:31:16',5,109,2,'4'),(153,'2010-08-26 14:31:16',5,110,1,'9'),(154,'2010-08-26 14:31:16',5,110,2,'10'),(155,'2010-08-26 14:31:16',5,111,1,'2'),(156,'2010-08-26 14:31:16',5,111,2,'3'),(157,'2010-08-26 14:31:16',5,112,1,'7'),(158,'2010-08-26 14:31:16',5,112,2,'6'),(159,'2010-08-26 14:31:20',3,205,1,'8'),(160,'2010-08-26 14:31:20',3,205,2,'8'),(161,'2010-08-26 14:31:20',3,216,1,'8'),(162,'2010-08-26 14:31:20',3,216,2,'8'),(163,'2010-08-26 14:31:20',3,227,1,'8'),(164,'2010-08-26 14:31:20',3,227,2,'8'),(165,'2010-08-26 14:31:20',3,238,1,'8'),(166,'2010-08-26 14:31:20',3,238,2,'8'),(167,'2010-08-26 14:31:20',3,249,1,'8'),(168,'2010-08-26 14:31:20',3,249,2,'8'),(169,'2010-08-26 14:31:20',3,260,1,'8'),(170,'2010-08-26 14:31:20',3,260,2,'8'),(171,'2010-08-26 14:31:20',3,271,1,'8'),(172,'2010-08-26 14:31:20',3,271,2,'8'),(173,'2010-08-26 14:31:20',3,282,1,'8'),(174,'2010-08-26 14:31:20',3,282,2,'8'),(175,'2010-08-26 14:31:20',3,293,1,'8'),(176,'2010-08-26 14:31:20',3,293,2,'8'),(177,'2010-08-26 14:31:21',3,304,1,'8'),(178,'2010-08-26 14:31:21',3,304,2,'8'),(179,'2010-08-26 14:31:58',7,209,1,'2'),(180,'2010-08-26 14:31:58',7,209,2,'6'),(181,'2010-08-26 14:31:58',7,220,1,'2'),(182,'2010-08-26 14:31:58',7,220,2,'6'),(183,'2010-08-26 14:31:58',7,231,1,'2'),(184,'2010-08-26 14:31:58',7,231,2,'6'),(185,'2010-08-26 14:31:58',7,242,1,'2'),(186,'2010-08-26 14:31:58',7,242,2,'6'),(187,'2010-08-26 14:31:58',7,253,1,'2'),(188,'2010-08-26 14:31:58',7,253,2,'6'),(189,'2010-08-26 14:31:58',7,264,1,'2'),(190,'2010-08-26 14:31:59',7,264,2,'6'),(191,'2010-08-26 14:31:59',7,275,1,'2'),(192,'2010-08-26 14:31:59',7,275,2,'6'),(193,'2010-08-26 14:31:59',7,286,1,'2'),(194,'2010-08-26 14:31:59',7,286,2,'6'),(195,'2010-08-26 14:31:59',7,297,1,'2'),(196,'2010-08-26 14:31:59',7,297,2,'6'),(197,'2010-08-26 14:31:59',7,308,1,'2'),(198,'2010-08-26 14:31:59',7,308,2,'6'),(199,'2010-08-26 14:32:08',8,113,1,'8'),(200,'2010-08-26 14:32:08',8,113,2,'9'),(201,'2010-08-26 14:32:08',8,114,1,'7'),(202,'2010-08-26 14:32:08',8,114,2,'7'),(203,'2010-08-26 14:32:08',8,115,1,'5'),(204,'2010-08-26 14:32:08',8,115,2,'5'),(205,'2010-08-26 14:32:08',8,116,1,'6'),(206,'2010-08-26 14:32:08',8,116,2,'4'),(207,'2010-08-26 14:32:08',8,117,1,'8'),(208,'2010-08-26 14:32:08',8,117,2,'3'),(209,'2010-08-26 14:32:08',8,118,1,'2'),(210,'2010-08-26 14:32:08',8,118,2,'3'),(211,'2010-08-26 14:32:08',8,119,1,'5'),(212,'2010-08-26 14:32:08',8,119,2,'5'),(213,'2010-08-26 14:32:08',8,120,1,'7'),(214,'2010-08-26 14:32:08',8,120,2,'9'),(215,'2010-08-26 14:32:08',8,121,1,'10'),(216,'2010-08-26 14:32:08',8,121,2,'10'),(217,'2010-08-26 14:32:26',1,203,1,'5'),(218,'2010-08-26 14:32:26',1,203,2,'5'),(219,'2010-08-26 14:32:26',1,214,1,'5'),(220,'2010-08-26 14:32:26',1,214,2,'5'),(221,'2010-08-26 14:32:26',1,225,1,'5'),(222,'2010-08-26 14:32:26',1,225,2,'5'),(223,'2010-08-26 14:32:26',1,236,1,'5'),(224,'2010-08-26 14:32:26',1,236,2,'5'),(225,'2010-08-26 14:32:26',1,247,1,'5'),(226,'2010-08-26 14:32:26',1,247,2,'5'),(227,'2010-08-26 14:32:26',1,258,1,'5'),(228,'2010-08-26 14:32:26',1,258,2,'5'),(229,'2010-08-26 14:32:26',1,269,1,'5'),(230,'2010-08-26 14:32:26',1,269,2,'5'),(231,'2010-08-26 14:32:26',1,280,1,'5'),(232,'2010-08-26 14:32:26',1,280,2,'5'),(233,'2010-08-26 14:32:26',1,291,1,'5'),(234,'2010-08-26 14:32:26',1,291,2,'5'),(235,'2010-08-26 14:32:26',1,302,1,'5'),(236,'2010-08-26 14:32:26',1,302,2,'5'),(237,'2010-08-26 14:33:39',11,122,1,'8'),(238,'2010-08-26 14:33:39',11,122,2,'9'),(239,'2010-08-26 14:33:39',11,123,1,'9'),(240,'2010-08-26 14:33:39',11,123,2,'9'),(241,'2010-08-26 14:33:39',11,124,1,'8'),(242,'2010-08-26 14:33:39',11,124,2,'8'),(243,'2010-08-26 14:33:39',11,125,1,'7'),(244,'2010-08-26 14:33:39',11,125,2,'8'),(245,'2010-08-26 14:33:39',11,126,1,'7'),(246,'2010-08-26 14:33:39',11,126,2,'7'),(247,'2010-08-26 14:33:39',11,127,1,'9'),(248,'2010-08-26 14:33:39',11,127,2,'8'),(249,'2010-08-26 14:33:39',11,128,1,'10'),(250,'2010-08-26 14:33:39',11,128,2,'10'),(251,'2010-08-26 14:33:39',11,129,1,'10'),(252,'2010-08-26 14:33:39',11,129,2,'7'),(253,'2010-08-26 14:33:39',11,130,1,'6'),(254,'2010-08-26 14:33:39',11,130,2,'8'),(255,'2010-08-26 14:35:23',6,131,1,'8'),(256,'2010-08-26 14:35:23',6,131,2,'8'),(257,'2010-08-26 14:35:23',6,132,1,'9'),(258,'2010-08-26 14:35:23',6,132,2,'9'),(259,'2010-08-26 14:35:23',6,133,1,'8'),(260,'2010-08-26 14:35:23',6,133,2,'4'),(261,'2010-08-26 14:35:23',6,134,1,'4'),(262,'2010-08-26 14:35:23',6,134,2,'5'),(263,'2010-08-26 14:35:23',6,135,1,'3'),(264,'2010-08-26 14:35:23',6,135,2,'5'),(265,'2010-08-26 14:35:23',6,136,1,'6'),(266,'2010-08-26 14:35:23',6,136,2,'9'),(267,'2010-08-26 14:35:23',6,137,1,'6'),(268,'2010-08-26 14:35:23',6,137,2,'10'),(269,'2010-08-26 14:35:24',6,138,1,'8'),(270,'2010-08-26 14:35:24',6,138,2,'3'),(271,'2010-08-26 14:35:24',6,139,1,'3'),(272,'2010-08-26 14:35:24',6,139,2,'3'),(273,'2010-08-26 14:35:34',2,204,1,'8'),(274,'2010-08-26 14:35:34',2,215,1,'8'),(275,'2010-08-26 14:35:34',2,226,1,'8'),(276,'2010-08-26 14:35:34',2,237,1,'8'),(277,'2010-08-26 14:35:34',2,248,1,'8'),(278,'2010-08-26 14:35:35',2,259,1,'8'),(279,'2010-08-26 14:35:35',2,270,1,'8'),(280,'2010-08-26 14:35:35',2,281,1,'8'),(281,'2010-08-26 14:35:35',2,292,1,'8'),(282,'2010-08-26 14:35:35',2,303,1,'8'),(283,'2010-08-26 14:36:02',2,204,2,'10'),(284,'2010-08-26 14:36:02',2,215,2,'10'),(285,'2010-08-26 14:36:02',2,226,2,'10'),(286,'2010-08-26 14:36:02',2,237,2,'10'),(287,'2010-08-26 14:36:02',2,248,2,'10'),(288,'2010-08-26 14:36:02',2,259,2,'10'),(289,'2010-08-26 14:36:03',2,270,2,'10'),(290,'2010-08-26 14:36:03',2,281,2,'10'),(291,'2010-08-26 14:36:03',2,292,2,'10'),(292,'2010-08-26 14:36:03',2,303,2,'10'),(293,'2010-08-26 14:36:56',10,140,1,'9'),(294,'2010-08-26 14:36:56',10,140,2,'10'),(295,'2010-08-26 14:36:56',10,141,1,'8'),(296,'2010-08-26 14:36:56',10,141,2,'7'),(297,'2010-08-26 14:36:56',10,142,1,'10'),(298,'2010-08-26 14:36:56',10,142,2,'9'),(299,'2010-08-26 14:36:56',10,143,1,'9'),(300,'2010-08-26 14:36:56',10,143,2,'9'),(301,'2010-08-26 14:36:56',10,144,1,'8'),(302,'2010-08-26 14:36:56',10,144,2,'8'),(303,'2010-08-26 14:36:56',10,145,1,'7'),(304,'2010-08-26 14:36:56',10,145,2,'3'),(305,'2010-08-26 14:36:56',10,146,1,'2'),(306,'2010-08-26 14:36:56',10,146,2,'2'),(307,'2010-08-26 14:36:56',10,147,1,'1'),(308,'2010-08-26 14:36:56',10,147,2,'3'),(309,'2010-08-26 14:36:57',10,148,1,'4'),(310,'2010-08-26 14:36:57',10,148,2,'6'),(311,'2010-08-26 14:42:12',9,149,1,'10'),(312,'2010-08-26 14:42:12',9,149,2,'9'),(313,'2010-08-26 14:42:13',9,150,1,'4'),(314,'2010-08-26 14:42:13',9,150,2,'5'),(315,'2010-08-26 14:42:13',9,151,1,'3'),(316,'2010-08-26 14:42:13',9,151,2,'3'),(317,'2010-08-26 14:42:13',9,152,1,'2'),(318,'2010-08-26 14:42:13',9,152,2,'3'),(319,'2010-08-26 14:42:13',9,153,1,'4'),(320,'2010-08-26 14:42:13',9,153,2,'4'),(321,'2010-08-26 14:42:13',9,154,1,'6'),(322,'2010-08-26 14:42:13',9,154,2,'7'),(323,'2010-08-26 14:42:13',9,155,1,'7'),(324,'2010-08-26 14:42:13',9,155,2,'7'),(325,'2010-08-26 14:42:13',9,156,1,'8'),(326,'2010-08-26 14:42:13',9,156,2,'7'),(327,'2010-08-26 14:42:13',9,157,1,'9'),(328,'2010-08-26 14:42:13',9,157,2,'9'),(329,'2010-08-26 14:42:58',4,158,1,'8'),(330,'2010-08-26 14:42:58',4,158,2,'7'),(331,'2010-08-26 14:42:58',4,159,1,'8'),(332,'2010-08-26 14:42:58',4,159,2,'8'),(333,'2010-08-26 14:42:58',4,160,1,'7'),(334,'2010-08-26 14:42:58',4,160,2,'7'),(335,'2010-08-26 14:42:58',4,161,1,'6'),(336,'2010-08-26 14:42:58',4,161,2,'6'),(337,'2010-08-26 14:42:58',4,162,1,'5'),(338,'2010-08-26 14:42:58',4,162,2,'5'),(339,'2010-08-26 14:42:58',4,163,1,'6'),(340,'2010-08-26 14:42:58',4,163,2,'5'),(341,'2010-08-26 14:42:58',4,164,1,'4'),(342,'2010-08-26 14:42:58',4,164,2,'3'),(343,'2010-08-26 14:42:58',4,165,1,'4'),(344,'2010-08-26 14:42:58',4,165,2,'4'),(345,'2010-08-26 14:42:59',4,166,1,'5'),(346,'2010-08-26 14:42:59',4,166,2,'5'),(347,'2010-08-26 14:44:08',3,167,1,'5'),(348,'2010-08-26 14:44:08',3,167,2,'5'),(349,'2010-08-26 14:44:08',3,168,1,'3'),(350,'2010-08-26 14:44:08',3,168,2,'4'),(351,'2010-08-26 14:44:08',3,169,1,'8'),(352,'2010-08-26 14:44:08',3,169,2,'8'),(353,'2010-08-26 14:44:08',3,170,1,'9'),(354,'2010-08-26 14:44:08',3,170,2,'9'),(355,'2010-08-26 14:44:08',3,171,1,'10'),(356,'2010-08-26 14:44:08',3,171,2,'8'),(357,'2010-08-26 14:44:08',3,172,1,'7'),(358,'2010-08-26 14:44:08',3,172,2,'6'),(359,'2010-08-26 14:44:08',3,173,1,'7'),(360,'2010-08-26 14:44:08',3,173,2,'7'),(361,'2010-08-26 14:44:08',3,174,1,'6'),(362,'2010-08-26 14:44:08',3,174,2,'6'),(363,'2010-08-26 14:44:08',3,175,1,'3'),(364,'2010-08-26 14:44:08',3,175,2,'3'),(365,'2010-08-26 14:46:43',7,176,1,'8'),(366,'2010-08-26 14:46:43',7,176,2,'8'),(367,'2010-08-26 14:46:43',7,177,1,'8'),(368,'2010-08-26 14:46:43',7,177,2,'8'),(369,'2010-08-26 14:46:43',7,178,1,'8'),(370,'2010-08-26 14:46:43',7,178,2,'9'),(371,'2010-08-26 14:46:43',7,179,1,'9'),(372,'2010-08-26 14:46:43',7,179,2,'9'),(373,'2010-08-26 14:46:43',7,180,1,'9'),(374,'2010-08-26 14:46:43',7,180,2,'6'),(375,'2010-08-26 14:46:43',7,181,1,'6'),(376,'2010-08-26 14:46:43',7,181,2,'6'),(377,'2010-08-26 14:46:43',7,182,1,'6'),(378,'2010-08-26 14:46:43',7,182,2,'5'),(379,'2010-08-26 14:46:43',7,183,1,'5'),(380,'2010-08-26 14:46:43',7,183,2,'5'),(381,'2010-08-26 14:46:43',7,184,1,'4'),(382,'2010-08-26 14:46:43',7,184,2,'4'),(383,'2010-08-26 14:48:13',1,185,1,'7'),(384,'2010-08-26 14:48:13',1,185,2,'7'),(385,'2010-08-26 14:48:13',1,186,1,'6'),(386,'2010-08-26 14:48:13',1,186,2,'6'),(387,'2010-08-26 14:48:13',1,187,1,'5'),(388,'2010-08-26 14:48:13',1,187,2,'9'),(389,'2010-08-26 14:48:13',1,188,1,'9'),(390,'2010-08-26 14:48:13',1,188,2,'8'),(391,'2010-08-26 14:48:13',1,189,1,'7'),(392,'2010-08-26 14:48:13',1,189,2,'6'),(393,'2010-08-26 14:48:13',1,190,1,'9'),(394,'2010-08-26 14:48:13',1,190,2,'6'),(395,'2010-08-26 14:48:13',1,191,1,'9'),(396,'2010-08-26 14:48:13',1,191,2,'5'),(397,'2010-08-26 14:48:13',1,192,1,'3'),(398,'2010-08-26 14:48:13',1,192,2,'5'),(399,'2010-08-26 14:48:13',1,193,1,'3'),(400,'2010-08-26 14:48:13',1,193,2,'5'),(401,'2010-08-26 14:50:14',2,194,1,'3'),(402,'2010-08-26 14:50:14',2,194,2,'3'),(403,'2010-08-26 14:50:14',2,195,1,'4'),(404,'2010-08-26 14:50:14',2,195,2,'5'),(405,'2010-08-26 14:50:14',2,196,1,'6'),(406,'2010-08-26 14:50:14',2,196,2,'6'),(407,'2010-08-26 14:50:14',2,197,1,'7'),(408,'2010-08-26 14:50:14',2,197,2,'7'),(409,'2010-08-26 14:50:14',2,198,1,'6'),(410,'2010-08-26 14:50:14',2,198,2,'9'),(411,'2010-08-26 14:50:14',2,199,1,'8'),(412,'2010-08-26 14:50:14',2,199,2,'7'),(413,'2010-08-26 14:50:14',2,200,1,'9'),(414,'2010-08-26 14:50:14',2,200,2,'6'),(415,'2010-08-26 14:50:14',2,201,1,'10'),(416,'2010-08-26 14:50:14',2,201,2,'9'),(417,'2010-08-26 14:50:15',2,202,1,'8'),(418,'2010-08-26 14:50:15',2,202,2,'10');
/*!40000 ALTER TABLE `course_student_mark` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `course_subject`
--

DROP TABLE IF EXISTS `course_subject`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `course_subject` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `course_id` int(11) NOT NULL,
  `subject_id` int(11) NOT NULL,
  PRIMARY KEY (`id`,`course_id`,`subject_id`),
  KEY `course_subject_FI_1` (`course_id`),
  KEY `course_subject_FI_2` (`subject_id`),
  CONSTRAINT `course_subject_FK_1` FOREIGN KEY (`course_id`) REFERENCES `course` (`id`) ON DELETE CASCADE,
  CONSTRAINT `course_subject_FK_2` FOREIGN KEY (`subject_id`) REFERENCES `subject` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=82 DEFAULT CHARSET=latin1 COMMENT='Representa una materia dentro de un curso';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `course_subject`
--

LOCK TABLES `course_subject` WRITE;
/*!40000 ALTER TABLE `course_subject` DISABLE KEYS */;
INSERT INTO `course_subject` VALUES (49,1,1),(51,2,2),(46,3,3),(45,4,4),(34,5,5),(40,6,6),(47,7,7),(36,8,8),(42,9,10),(44,10,9),(38,11,76),(35,23,5),(37,24,8),(39,25,76),(41,26,6),(55,27,10),(43,28,9),(48,29,4),(50,30,3),(52,31,7),(53,32,1),(54,33,2),(56,34,11),(57,35,12),(58,36,13),(59,37,14),(60,38,15),(61,39,16),(62,40,17),(63,41,18),(64,42,19),(65,43,21),(66,44,20),(67,45,22),(68,46,23),(69,47,11),(70,48,12),(71,49,14),(72,50,13),(73,51,15),(74,52,16),(75,53,17),(76,54,18),(77,55,19),(78,56,21),(79,57,20),(80,58,22),(81,59,23);
/*!40000 ALTER TABLE `course_subject` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `course_teacher`
--

DROP TABLE IF EXISTS `course_teacher`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `course_teacher` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `teacher_id` int(11) NOT NULL,
  `course_id` int(11) NOT NULL,
  PRIMARY KEY (`id`,`teacher_id`,`course_id`),
  KEY `course_teacher_FI_1` (`teacher_id`),
  KEY `course_teacher_FI_2` (`course_id`),
  CONSTRAINT `course_teacher_FK_1` FOREIGN KEY (`teacher_id`) REFERENCES `teacher` (`id`) ON DELETE CASCADE,
  CONSTRAINT `course_teacher_FK_2` FOREIGN KEY (`course_id`) REFERENCES `course` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=latin1 COMMENT='Representa la relaciÃ³n entre los cursos y sus profesores a ';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `course_teacher`
--

LOCK TABLES `course_teacher` WRITE;
/*!40000 ALTER TABLE `course_teacher` DISABLE KEYS */;
INSERT INTO `course_teacher` VALUES (6,1,25),(12,1,4),(16,1,1),(20,1,32),(9,2,9),(10,2,28),(5,3,11),(1,4,5),(15,4,29),(2,5,23),(3,5,8),(14,5,7),(17,5,30),(22,5,27),(7,6,6),(8,6,26),(19,6,31),(21,6,33),(4,7,24),(11,7,10),(13,7,3),(18,8,2);
/*!40000 ALTER TABLE `course_teacher` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `disciplinary_sanction`
--

DROP TABLE IF EXISTS `disciplinary_sanction`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `disciplinary_sanction` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `student_id` int(11) NOT NULL,
  `date` date NOT NULL,
  `number` int(11) NOT NULL,
  `reason` text,
  `discharge` text,
  PRIMARY KEY (`id`),
  KEY `disciplinary_sanction_FI_1` (`student_id`),
  CONSTRAINT `disciplinary_sanction_FK_1` FOREIGN KEY (`student_id`) REFERENCES `student` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `disciplinary_sanction`
--

LOCK TABLES `disciplinary_sanction` WRITE;
/*!40000 ALTER TABLE `disciplinary_sanction` DISABLE KEYS */;
/*!40000 ALTER TABLE `disciplinary_sanction` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `division`
--

DROP TABLE IF EXISTS `division`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `division` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(256) NOT NULL,
  `status` int(11) NOT NULL DEFAULT '0',
  `school_year_id` int(11) NOT NULL,
  `career_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `division_FI_1` (`school_year_id`),
  KEY `division_FI_2` (`career_id`),
  CONSTRAINT `division_FK_1` FOREIGN KEY (`school_year_id`) REFERENCES `school_year` (`id`),
  CONSTRAINT `division_FK_2` FOREIGN KEY (`career_id`) REFERENCES `career` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `division`
--

LOCK TABLES `division` WRITE;
/*!40000 ALTER TABLE `division` DISABLE KEYS */;
INSERT INTO `division` VALUES (1,'1° A',2,2,1),(2,'1° B',2,2,1),(3,'2° A',0,1,1),(4,'2° B',0,1,1);
/*!40000 ALTER TABLE `division` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `division_course`
--

DROP TABLE IF EXISTS `division_course`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `division_course` (
  `division_id` int(11) NOT NULL,
  `course_id` int(11) NOT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id`),
  KEY `division_course_FI_1` (`division_id`),
  KEY `division_course_FI_2` (`course_id`),
  CONSTRAINT `division_course_FK_1` FOREIGN KEY (`division_id`) REFERENCES `division` (`id`) ON DELETE CASCADE,
  CONSTRAINT `division_course_FK_2` FOREIGN KEY (`course_id`) REFERENCES `course` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=60 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `division_course`
--

LOCK TABLES `division_course` WRITE;
/*!40000 ALTER TABLE `division_course` DISABLE KEYS */;
INSERT INTO `division_course` VALUES (1,1,1),(1,2,2),(1,3,3),(1,4,4),(1,5,5),(1,6,6),(1,7,7),(1,8,8),(1,9,9),(1,10,10),(1,11,11),(2,23,23),(2,24,24),(2,25,25),(2,26,26),(2,27,27),(2,28,28),(2,29,29),(2,30,30),(2,31,31),(2,32,32),(2,33,33),(3,34,34),(3,35,35),(3,36,36),(3,37,37),(3,38,38),(3,39,39),(3,40,40),(3,41,41),(3,42,42),(3,43,43),(3,44,44),(3,45,45),(3,46,46),(4,47,47),(4,48,48),(4,49,49),(4,50,50),(4,51,51),(4,52,52),(4,53,53),(4,54,54),(4,55,55),(4,56,56),(4,57,57),(4,58,58),(4,59,59);
/*!40000 ALTER TABLE `division_course` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `examination`
--

DROP TABLE IF EXISTS `examination`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `examination` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `created_at` datetime DEFAULT NULL,
  `name` varchar(255) NOT NULL COMMENT 'Nombre dado a la mesa de exÃ¡menes.',
  `start_date` date NOT NULL COMMENT 'Fecha en que se inicia la toma de exÃ¡menes.',
  `end_date` date NOT NULL COMMENT 'Fecha en que finaliza la toma de exÃ¡menes.',
  `status` int(11) NOT NULL DEFAULT '1' COMMENT 'Estado de la mesa de examen acorde a la clase de referencia ExaminationStatus.',
  `is_disapproved` tinyint(4) DEFAULT '0' COMMENT 'Si es verdadero, es una mesa de examen para alumnos que desaprovaron una cursada, si es falso es una mesa de final',
  `created_by_system` tinyint(4) DEFAULT '0' COMMENT 'Dice si la mesa de examen fue creada por el sistema para pasar promociones de aluguna cursada',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1 COMMENT='RepresentaciÃ³n de una mesa de examen';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `examination`
--

LOCK TABLES `examination` WRITE;
/*!40000 ALTER TABLE `examination` DISABLE KEYS */;
INSERT INTO `examination` VALUES (1,'2010-08-26 14:41:44','Diciembre','2009-12-05','2009-12-20',3,1,0);
/*!40000 ALTER TABLE `examination` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `examination_inscription`
--

DROP TABLE IF EXISTS `examination_inscription`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `examination_inscription` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `created_at` datetime DEFAULT NULL,
  `place` varchar(255) DEFAULT NULL,
  `examination_subject_id` int(11) NOT NULL,
  `student_id` int(11) NOT NULL,
  `mark` decimal(10,0) DEFAULT NULL COMMENT 'Nota obtenida por el alumno en la mesa de examen de la materia relacionada.',
  `approval_method` int(11) NOT NULL,
  `examination_subject_day_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`,`examination_subject_id`,`student_id`),
  KEY `examination_inscription_FI_1` (`examination_subject_id`),
  KEY `examination_inscription_FI_2` (`student_id`),
  KEY `examination_inscription_FI_3` (`examination_subject_day_id`),
  CONSTRAINT `examination_inscription_FK_1` FOREIGN KEY (`examination_subject_id`) REFERENCES `examination_subject` (`id`) ON DELETE CASCADE,
  CONSTRAINT `examination_inscription_FK_2` FOREIGN KEY (`student_id`) REFERENCES `student` (`id`),
  CONSTRAINT `examination_inscription_FK_3` FOREIGN KEY (`examination_subject_day_id`) REFERENCES `examination_subject_day` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=52 DEFAULT CHARSET=latin1 COMMENT='Representa la inscripciÃ³n de un alumno a una materia en una';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `examination_inscription`
--

LOCK TABLES `examination_inscription` WRITE;
/*!40000 ALTER TABLE `examination_inscription` DISABLE KEYS */;
INSERT INTO `examination_inscription` VALUES (1,NULL,'',2,4,'6',0,NULL),(2,NULL,'',2,5,'6',0,NULL),(3,NULL,'',2,14,'6',0,NULL),(4,NULL,'',2,9,'8',0,NULL),(5,NULL,'',2,8,'8',0,NULL),(6,NULL,'',2,6,'8',0,NULL),(7,NULL,'',2,18,'9',0,NULL),(8,NULL,'',2,3,'9',0,NULL),(9,NULL,'',2,17,'10',0,NULL),(10,NULL,'',2,7,'7',0,NULL),(11,NULL,'',3,4,'5',0,NULL),(12,NULL,'',3,5,'6',0,NULL),(13,NULL,'',3,14,'7',0,NULL),(14,NULL,'',3,9,'10',0,NULL),(15,NULL,'',3,18,'8',0,NULL),(26,NULL,'',2,12,'9',0,NULL),(29,NULL,'',3,13,'8',0,NULL),(30,NULL,'',3,15,'9',0,NULL),(33,NULL,'',10,20,'8',0,NULL),(34,NULL,'',10,19,'10',0,NULL),(35,NULL,'',11,11,'5',0,NULL),(36,NULL,'',11,12,'7',0,NULL),(37,NULL,'',13,15,'8',0,NULL),(39,NULL,'',8,10,'8',0,NULL),(40,NULL,'',14,21,'6',0,NULL),(41,NULL,'',15,4,'8',0,NULL),(42,NULL,'',15,5,'8',0,NULL),(43,NULL,'',15,14,'8',0,NULL),(44,NULL,'',15,9,'8',0,NULL),(45,NULL,'',15,8,'8',0,NULL),(46,NULL,'',15,6,'8',0,NULL),(47,NULL,'',15,18,'8',0,NULL),(48,NULL,'',15,3,'8',0,NULL),(49,NULL,'',15,17,'8',0,NULL),(50,NULL,'',15,7,'8',0,NULL),(51,NULL,'',15,13,'8',0,NULL);
/*!40000 ALTER TABLE `examination_inscription` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `examination_subject`
--

DROP TABLE IF EXISTS `examination_subject`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `examination_subject` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `examination_id` int(11) NOT NULL,
  `career_subject_id` int(11) NOT NULL,
  PRIMARY KEY (`id`,`examination_id`,`career_subject_id`),
  KEY `examination_subject_FI_1` (`examination_id`),
  KEY `examination_subject_FI_2` (`career_subject_id`),
  CONSTRAINT `examination_subject_FK_1` FOREIGN KEY (`examination_id`) REFERENCES `examination` (`id`),
  CONSTRAINT `examination_subject_FK_2` FOREIGN KEY (`career_subject_id`) REFERENCES `career_subject` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=latin1 COMMENT='RelaciÃ³n entre una mesa de exÃ¡menes y una materia.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `examination_subject`
--

LOCK TABLES `examination_subject` WRITE;
/*!40000 ALTER TABLE `examination_subject` DISABLE KEYS */;
INSERT INTO `examination_subject` VALUES (2,1,6),(3,1,10),(8,1,8),(10,1,9),(11,1,3),(13,1,5),(14,1,2),(15,1,4);
/*!40000 ALTER TABLE `examination_subject` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `examination_subject_day`
--

DROP TABLE IF EXISTS `examination_subject_day`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `examination_subject_day` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `examination_subject_id` int(11) NOT NULL,
  `day` date NOT NULL COMMENT 'DÃ­a en que se toma el examen',
  `starts_at` time DEFAULT NULL COMMENT 'Hora a la que empieza la mesa',
  `ends_at` time DEFAULT NULL COMMENT 'Hora a la que finaliza la mesa',
  `classroom` varchar(255) DEFAULT NULL COMMENT 'Texto que representa el aula donde se toma el examen',
  PRIMARY KEY (`id`),
  KEY `examination_subject_day_FI_1` (`examination_subject_id`),
  CONSTRAINT `examination_subject_day_FK_1` FOREIGN KEY (`examination_subject_id`) REFERENCES `examination_subject` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Representa un dÃ­a de examen para una materia en una mesa de';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `examination_subject_day`
--

LOCK TABLES `examination_subject_day` WRITE;
/*!40000 ALTER TABLE `examination_subject_day` DISABLE KEYS */;
/*!40000 ALTER TABLE `examination_subject_day` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `examination_subject_teacher`
--

DROP TABLE IF EXISTS `examination_subject_teacher`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `examination_subject_teacher` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `examination_subject_id` int(11) NOT NULL,
  `teacher_id` int(11) NOT NULL,
  PRIMARY KEY (`id`,`examination_subject_id`,`teacher_id`),
  KEY `examination_subject_teacher_FI_1` (`examination_subject_id`),
  KEY `examination_subject_teacher_FI_2` (`teacher_id`),
  CONSTRAINT `examination_subject_teacher_FK_1` FOREIGN KEY (`examination_subject_id`) REFERENCES `examination_subject` (`id`) ON DELETE CASCADE,
  CONSTRAINT `examination_subject_teacher_FK_2` FOREIGN KEY (`teacher_id`) REFERENCES `teacher` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=73 DEFAULT CHARSET=latin1 COMMENT='Representa la participaciÃ³n de un docente en una mesa de ex';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `examination_subject_teacher`
--

LOCK TABLES `examination_subject_teacher` WRITE;
/*!40000 ALTER TABLE `examination_subject_teacher` DISABLE KEYS */;
INSERT INTO `examination_subject_teacher` VALUES (33,2,4),(34,2,5),(35,2,3),(36,2,6),(37,2,2),(38,2,7),(39,2,1),(40,2,8),(49,3,4),(50,3,5),(51,3,3),(52,3,6),(53,3,2),(54,3,7),(55,3,1),(56,3,8),(68,8,5),(65,10,3),(66,11,1),(67,13,6),(69,14,3),(70,15,4),(71,15,5),(72,15,3);
/*!40000 ALTER TABLE `examination_subject_teacher` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `justification_type`
--

DROP TABLE IF EXISTS `justification_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `justification_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(256) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `justification_type_U_1` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `justification_type`
--

LOCK TABLES `justification_type` WRITE;
/*!40000 ALTER TABLE `justification_type` DISABLE KEYS */;
/*!40000 ALTER TABLE `justification_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `occupation`
--

DROP TABLE IF EXISTS `occupation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `occupation` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(256) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `occupation_U_1` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `occupation`
--

LOCK TABLES `occupation` WRITE;
/*!40000 ALTER TABLE `occupation` DISABLE KEYS */;
/*!40000 ALTER TABLE `occupation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `optional_career_subject`
--

DROP TABLE IF EXISTS `optional_career_subject`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `optional_career_subject` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `career_subject_id` int(11) NOT NULL,
  `optional_career_subject_id` int(11) NOT NULL,
  PRIMARY KEY (`id`,`career_subject_id`,`optional_career_subject_id`),
  KEY `optional_career_subject_FI_1` (`career_subject_id`),
  KEY `optional_career_subject_FI_2` (`optional_career_subject_id`),
  CONSTRAINT `optional_career_subject_FK_1` FOREIGN KEY (`career_subject_id`) REFERENCES `career_subject` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `optional_career_subject_FK_2` FOREIGN KEY (`optional_career_subject_id`) REFERENCES `career_subject` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `optional_career_subject`
--

LOCK TABLES `optional_career_subject` WRITE;
/*!40000 ALTER TABLE `optional_career_subject` DISABLE KEYS */;
INSERT INTO `optional_career_subject` VALUES (1,63,77),(2,63,78),(3,63,79);
/*!40000 ALTER TABLE `optional_career_subject` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `personal`
--

DROP TABLE IF EXISTS `personal`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `personal` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `lastname` varchar(255) NOT NULL,
  `firstname` varchar(255) NOT NULL,
  `identification_type` int(11) NOT NULL,
  `identification_number` varchar(20) NOT NULL,
  `salary` float DEFAULT NULL,
  `aging_institution` date DEFAULT NULL,
  `file_number` int(11) DEFAULT NULL,
  `is_active` tinyint(4) DEFAULT '1',
  `email` varchar(255) DEFAULT NULL,
  `phone` varchar(255) DEFAULT NULL,
  `birthday` date DEFAULT NULL,
  `observations` text,
  `personal_type_id` int(11) DEFAULT NULL,
  `address_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `teacher_identification_number` (`identification_number`),
  KEY `personal_FI_1` (`personal_type_id`),
  KEY `personal_FI_2` (`address_id`),
  CONSTRAINT `personal_FK_1` FOREIGN KEY (`personal_type_id`) REFERENCES `personal_type` (`id`) ON DELETE CASCADE,
  CONSTRAINT `personal_FK_2` FOREIGN KEY (`address_id`) REFERENCES `address` (`id`) ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1 COMMENT='Representa las personas de la instituciÃ³n';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `personal`
--

LOCK TABLES `personal` WRITE;
/*!40000 ALTER TABLE `personal` DISABLE KEYS */;
INSERT INTO `personal` VALUES (1,'PRECEPTOR','PRECEPTOR',1,'20129992',NULL,NULL,NULL,1,'','',NULL,'',1,2);
/*!40000 ALTER TABLE `personal` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `personal_guard_user`
--

DROP TABLE IF EXISTS `personal_guard_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `personal_guard_user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sf_guard_user_id` int(11) NOT NULL,
  `personal_id` int(11) NOT NULL,
  PRIMARY KEY (`id`,`sf_guard_user_id`,`personal_id`),
  UNIQUE KEY `teacher_guard_user` (`sf_guard_user_id`),
  KEY `personal_guard_user_FI_2` (`personal_id`),
  CONSTRAINT `personal_guard_user_FK_1` FOREIGN KEY (`sf_guard_user_id`) REFERENCES `sf_guard_user` (`id`) ON DELETE CASCADE,
  CONSTRAINT `personal_guard_user_FK_2` FOREIGN KEY (`personal_id`) REFERENCES `personal` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1 COMMENT='Representa la relaciÃ³n entre un preceptor y su usuario en e';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `personal_guard_user`
--

LOCK TABLES `personal_guard_user` WRITE;
/*!40000 ALTER TABLE `personal_guard_user` DISABLE KEYS */;
INSERT INTO `personal_guard_user` VALUES (2,3,1);
/*!40000 ALTER TABLE `personal_guard_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `personal_type`
--

DROP TABLE IF EXISTS `personal_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `personal_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL COMMENT 'Nombre dado al rol',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1 COMMENT='Representa los roles que tiene el personal de la instituciÃ³';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `personal_type`
--

LOCK TABLES `personal_type` WRITE;
/*!40000 ALTER TABLE `personal_type` DISABLE KEYS */;
INSERT INTO `personal_type` VALUES (1,'Preceptor'),(3,'Bibliotecario'),(4,'Portero');
/*!40000 ALTER TABLE `personal_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pm_configuration`
--

DROP TABLE IF EXISTS `pm_configuration`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pm_configuration` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pm_configuration`
--

LOCK TABLES `pm_configuration` WRITE;
/*!40000 ALTER TABLE `pm_configuration` DISABLE KEYS */;
INSERT INTO `pm_configuration` VALUES (1,'2010-08-24 11:07:13','2010-08-24 11:07:13');
/*!40000 ALTER TABLE `pm_configuration` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pm_module`
--

DROP TABLE IF EXISTS `pm_module`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pm_module` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(256) NOT NULL,
  `is_enabled` tinyint(4) DEFAULT '0',
  `pm_configuration_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `pm_module_U_1` (`name`),
  KEY `pm_module_FI_1` (`pm_configuration_id`),
  CONSTRAINT `pm_module_FK_1` FOREIGN KEY (`pm_configuration_id`) REFERENCES `pm_configuration` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pm_module`
--

LOCK TABLES `pm_module` WRITE;
/*!40000 ALTER TABLE `pm_module` DISABLE KEYS */;
INSERT INTO `pm_module` VALUES (1,'disciplinarysanction',1,1),(2,'disciplinarysanctionlists',1,1),(3,'absence_per_day',1,1),(4,'absence_per_subject',1,1),(5,'justification_type',1,1),(6,'absence_reason',1,1),(7,'course_absence_per_day',1,1),(8,'course_absence_per_subject',1,1),(9,'disapproved_student',1,1),(10,'deserter_student',1,1),(11,'repeater_student',1,1);
/*!40000 ALTER TABLE `pm_module` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `school_year`
--

DROP TABLE IF EXISTS `school_year`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `school_year` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `year` int(11) DEFAULT NULL COMMENT 'numero que representa el aÃ±o (debe ser de 4 dÃ­gitos)',
  `state` tinyint(4) DEFAULT NULL COMMENT 'Representa el estado en el cual esta el curso (',
  PRIMARY KEY (`id`),
  UNIQUE KEY `school_year_U_1` (`year`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=latin1 COMMENT='Representa un aÃ±o lectivo';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `school_year`
--

LOCK TABLES `school_year` WRITE;
/*!40000 ALTER TABLE `school_year` DISABLE KEYS */;
INSERT INTO `school_year` VALUES (1,2010,1),(2,2009,0),(3,2008,0),(4,2007,0),(5,2006,0);
/*!40000 ALTER TABLE `school_year` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sf_guard_group`
--

DROP TABLE IF EXISTS `sf_guard_group`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sf_guard_group` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `description` text,
  PRIMARY KEY (`id`),
  UNIQUE KEY `sf_guard_group_U_1` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sf_guard_group`
--

LOCK TABLES `sf_guard_group` WRITE;
/*!40000 ALTER TABLE `sf_guard_group` DISABLE KEYS */;
INSERT INTO `sf_guard_group` VALUES (1,'Administrador','Grupo de usuarios administradores del sistema'),(2,'Preceptor','Grupo de usuarios preceptores'),(3,'Profesor','Grupo de usuarios profesores'),(4,'Alumno','Grupo de usuarios alumnos');
/*!40000 ALTER TABLE `sf_guard_group` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sf_guard_group_permission`
--

DROP TABLE IF EXISTS `sf_guard_group_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sf_guard_group_permission` (
  `group_id` int(11) NOT NULL,
  `permission_id` int(11) NOT NULL,
  PRIMARY KEY (`group_id`,`permission_id`),
  KEY `sf_guard_group_permission_FI_2` (`permission_id`),
  CONSTRAINT `sf_guard_group_permission_FK_1` FOREIGN KEY (`group_id`) REFERENCES `sf_guard_group` (`id`) ON DELETE CASCADE,
  CONSTRAINT `sf_guard_group_permission_FK_2` FOREIGN KEY (`permission_id`) REFERENCES `sf_guard_permission` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sf_guard_group_permission`
--

LOCK TABLES `sf_guard_group_permission` WRITE;
/*!40000 ALTER TABLE `sf_guard_group_permission` DISABLE KEYS */;
INSERT INTO `sf_guard_group_permission` VALUES (1,1),(2,1),(3,1),(1,2),(2,2),(1,3),(2,3),(1,4),(2,4),(1,5),(2,5),(1,6),(2,6),(1,7),(2,7),(3,7),(1,8),(2,8),(3,8),(1,9),(1,10),(1,11),(1,12),(1,13),(2,13),(3,13),(1,14),(2,14),(1,15),(2,15),(1,16),(1,17),(2,17),(3,17),(1,18),(2,18),(1,19),(1,20),(1,21),(1,22),(1,23),(2,23),(1,24),(2,24),(1,25),(1,26),(1,27),(2,27),(3,27),(1,28),(2,28),(1,29),(2,29),(1,30),(1,31),(2,31),(3,31),(1,32),(2,32),(1,33),(1,34),(2,34),(1,35),(2,35),(3,35),(1,36),(2,36),(1,37),(1,38),(1,39),(2,39),(1,40),(1,41),(2,41),(1,42),(2,42),(1,43),(2,43),(1,44),(2,44),(1,45),(1,46),(2,46),(4,46),(1,47),(2,47),(4,47),(1,48),(2,48),(4,48),(1,49),(2,49),(1,50),(2,50),(1,51),(2,51),(1,52),(2,52),(1,53),(2,53),(3,53),(4,54),(1,55),(2,55),(1,56),(2,56),(1,57);
/*!40000 ALTER TABLE `sf_guard_group_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sf_guard_permission`
--

DROP TABLE IF EXISTS `sf_guard_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sf_guard_permission` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `description` text,
  PRIMARY KEY (`id`),
  UNIQUE KEY `sf_guard_permission_U_1` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=58 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sf_guard_permission`
--

LOCK TABLES `sf_guard_permission` WRITE;
/*!40000 ALTER TABLE `sf_guard_permission` DISABLE KEYS */;
INSERT INTO `sf_guard_permission` VALUES (1,'show_course','Listar y ver detalle de cursos y divisiones'),(2,'edit_course','Crear, editar y eliminar cursos y divisiones'),(3,'show_course_day','Listar y ver detalle de días de cursada'),(4,'edit_course_day','Crear, editar y eliminar días de cursada'),(5,'edit_absence_per_day','Crear, editar y eliminar inasistencias por día'),(6,'edit_absense_per_subject','Crear, editar y eliminar inasistencias por materia'),(7,'show_course_student_mark','Listar y ver calificaciones de los alumnos'),(8,'edit_course_student_mark','Crear, editar y eliminar calificaciones de los alumnos'),(9,'edit_correlative','Crear, editar y eliminar correlativas'),(10,'show_correlative','Listar y ver detalle de correlativas'),(11,'show_subject','Listar y ver detalle de materias'),(12,'edit_subject','Crear, editar y eliminar materias'),(13,'show_examination_subject_day','Listar y ver detalle de los días de examen de las materias'),(14,'edit_examination_subject_day','Crear, editar y eliminar días de examen de las materias'),(15,'show_personal_type','Listar y ver detalle de roles'),(16,'edit_personal_type','Crear, editar y eliminar roles'),(17,'show_examination_subject','Listar y ver detalle de las materias de una mesa de examen'),(18,'edit_examination_subject','Crear, editar y eliminar materias de una mesa de examen'),(19,'show_career_subject','Listar y ver materias de una carrera'),(20,'edit_career_subject','Crear, editar y eliminar materias de una carrera'),(21,'show_career','Listar y ver detalle de una carrera'),(22,'edit_career','Crear, editar y eliminar carreras'),(23,'show_career_student','Listar y ver detalle de inscripciones de alumnos'),(24,'edit_career_student','Inscribir alumnos en carreras'),(25,'show_group','Listar y ver detalle de grupos de usuarios (Recomendado para Administradores)'),(26,'edit_group','Crear, editar y eliminar grupos de usuarios (Recomendado para Administradores)'),(27,'show_student','Listar y ver detalle de alumnos'),(28,'edit_student','Crear, editar y eliminar alumnos'),(29,'edit_disciplinary_saction','Crear, editar y eliminar sanciones disciplinarias'),(30,'edit_module','Activar y desactivar agregados'),(31,'show_examination','Listar y ver detalle de mesas de examen'),(32,'edit_examination','Crear, editar y eliminar mesas de examen'),(33,'show_user','Listar y ver detalle de usuarios'),(34,'edit_user','Crear, editar y eliminar usuarios'),(35,'show_tutor','Listar y ver detalle de tutores'),(36,'edit_tutor','Crear, editar y eliminar tutores'),(37,'show_school_year','Listar y ver detalle de años lectivos'),(38,'edit_school_year','Crear, editar y eliminar años lectivos'),(39,'show_teacher','Listar y ver detalle de docentes'),(40,'edit_teacher','Crear, editar y eliminar docentes'),(41,'show_absence_reason','Listar y ver detalle de motivos de inasistencia'),(42,'edit_absence_reason','Crear, editar y eliminar motivos de inasistencia'),(43,'show_justification_type','Listar y ver detalle de tipos de justificación'),(44,'edit_justification_type','Crear, editar y eliminar tipos de justificación'),(45,'backup','Respaldo de datos (backup) (Recomendado para Administradores)'),(46,'show_absence_per_day','Listar y ver detalle de inasistencias por día'),(47,'show_absence_per_subject','Listar y ver detalle de inasistencias por materia'),(48,'show_disciplinary_sanction','Listar y ver detalle de sanciones disciplinarias'),(49,'edit_disciplinary_sanction','Crear, editar y eliminar sanciones disciplinarias'),(50,'show_deserter_students','Listar y ver detalle de alumnos desertores'),(51,'show_dissaproved_students','Listar y ver detalle de alumnos desaprobados'),(52,'show_repeater_students','Listar y ver detalle de alumnos repitentes'),(53,'private_access','Acceso a la parte privada de la aplicación (Recomendado para Administradores, Preceptores y Profesores)'),(54,'public_access','Acceso a la parte pública de la aplicación (Recomendado para Alumnos)'),(55,'show_occupation','Listar y ver detalle de ocupaciones'),(56,'edit_occupation','Crear, editar y eliminar ocupaciones'),(57,'edit_course_preceptors','Editar los preceptores de los cursos');
/*!40000 ALTER TABLE `sf_guard_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sf_guard_remember_key`
--

DROP TABLE IF EXISTS `sf_guard_remember_key`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sf_guard_remember_key` (
  `user_id` int(11) NOT NULL,
  `remember_key` varchar(32) DEFAULT NULL,
  `ip_address` varchar(50) NOT NULL,
  `created_at` datetime DEFAULT NULL,
  PRIMARY KEY (`user_id`,`ip_address`),
  CONSTRAINT `sf_guard_remember_key_FK_1` FOREIGN KEY (`user_id`) REFERENCES `sf_guard_user` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sf_guard_remember_key`
--

LOCK TABLES `sf_guard_remember_key` WRITE;
/*!40000 ALTER TABLE `sf_guard_remember_key` DISABLE KEYS */;
INSERT INTO `sf_guard_remember_key` VALUES (1,'773616d3cea4cbfbbd2d9540f66ca489','163.10.20.122','2010-08-26 12:03:53');
/*!40000 ALTER TABLE `sf_guard_remember_key` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sf_guard_user`
--

DROP TABLE IF EXISTS `sf_guard_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sf_guard_user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(128) NOT NULL,
  `algorithm` varchar(128) NOT NULL DEFAULT 'sha1',
  `salt` varchar(128) NOT NULL,
  `password` varchar(128) NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `last_login` datetime DEFAULT NULL,
  `is_active` tinyint(4) NOT NULL DEFAULT '1',
  `is_super_admin` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `sf_guard_user_U_1` (`username`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sf_guard_user`
--

LOCK TABLES `sf_guard_user` WRITE;
/*!40000 ALTER TABLE `sf_guard_user` DISABLE KEYS */;
INSERT INTO `sf_guard_user` VALUES (1,'admin','sha1','d8f61c61ef0ddc93a8a1ec1222482986','c6ed3028488d55da00a1041caf0f81ed7c6439eb','2010-08-24 11:07:03','2010-08-26 15:34:43',1,1),(2,'profesor','sha1','8246214f468d727403b03a814955c126','a4553defc01310b4c31e9979b54331830e1c62d5','2010-08-24 11:07:03','2010-08-26 15:35:39',1,0),(3,'preceptor','sha1','c6d061ecd15ec3e088612aab248b3cb7','01a7173734e6b57f2ac73bbbc789a7526915fa74','2010-08-24 11:07:03','2010-08-26 15:32:34',1,0),(5,'alumno','sha1','b5afe1db44b55ea42d4f0a5e324a3b48','d90b223d70949572879e9b4d526bd699f771e34d','2010-08-24 13:08:17',NULL,1,0);
/*!40000 ALTER TABLE `sf_guard_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sf_guard_user_group`
--

DROP TABLE IF EXISTS `sf_guard_user_group`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sf_guard_user_group` (
  `user_id` int(11) NOT NULL,
  `group_id` int(11) NOT NULL,
  PRIMARY KEY (`user_id`,`group_id`),
  KEY `sf_guard_user_group_FI_2` (`group_id`),
  CONSTRAINT `sf_guard_user_group_FK_1` FOREIGN KEY (`user_id`) REFERENCES `sf_guard_user` (`id`) ON DELETE CASCADE,
  CONSTRAINT `sf_guard_user_group_FK_2` FOREIGN KEY (`group_id`) REFERENCES `sf_guard_group` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sf_guard_user_group`
--

LOCK TABLES `sf_guard_user_group` WRITE;
/*!40000 ALTER TABLE `sf_guard_user_group` DISABLE KEYS */;
INSERT INTO `sf_guard_user_group` VALUES (1,1),(3,2),(2,3),(5,4);
/*!40000 ALTER TABLE `sf_guard_user_group` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sf_guard_user_permission`
--

DROP TABLE IF EXISTS `sf_guard_user_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sf_guard_user_permission` (
  `user_id` int(11) NOT NULL,
  `permission_id` int(11) NOT NULL,
  PRIMARY KEY (`user_id`,`permission_id`),
  KEY `sf_guard_user_permission_FI_2` (`permission_id`),
  CONSTRAINT `sf_guard_user_permission_FK_1` FOREIGN KEY (`user_id`) REFERENCES `sf_guard_user` (`id`) ON DELETE CASCADE,
  CONSTRAINT `sf_guard_user_permission_FK_2` FOREIGN KEY (`permission_id`) REFERENCES `sf_guard_permission` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sf_guard_user_permission`
--

LOCK TABLES `sf_guard_user_permission` WRITE;
/*!40000 ALTER TABLE `sf_guard_user_permission` DISABLE KEYS */;
/*!40000 ALTER TABLE `sf_guard_user_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sf_guard_user_profile`
--

DROP TABLE IF EXISTS `sf_guard_user_profile`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sf_guard_user_profile` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `first_name` varchar(255) DEFAULT NULL,
  `last_name` varchar(255) DEFAULT NULL,
  `identification_type` int(11) NOT NULL,
  `identification_number` varchar(20) NOT NULL,
  `email` varchar(255) DEFAULT NULL,
  `phone` varchar(255) DEFAULT NULL,
  `password_last_change` date DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `observations` text,
  `address_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `sf_guard_user_profile_FI_1` (`user_id`),
  KEY `sf_guard_user_profile_FI_2` (`address_id`),
  CONSTRAINT `sf_guard_user_profile_FK_1` FOREIGN KEY (`user_id`) REFERENCES `sf_guard_user` (`id`),
  CONSTRAINT `sf_guard_user_profile_FK_2` FOREIGN KEY (`address_id`) REFERENCES `address` (`id`) ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1 COMMENT='Representa el perfil de un usuario';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sf_guard_user_profile`
--

LOCK TABLES `sf_guard_user_profile` WRITE;
/*!40000 ALTER TABLE `sf_guard_user_profile` DISABLE KEYS */;
INSERT INTO `sf_guard_user_profile` VALUES (1,1,NULL,NULL,0,'',NULL,NULL,NULL,'2010-08-26 12:00:18',NULL,NULL),(2,3,NULL,NULL,0,'',NULL,NULL,NULL,'2010-08-26 13:53:16',NULL,NULL),(3,2,NULL,NULL,0,'',NULL,NULL,NULL,'2010-08-26 15:34:22',NULL,NULL);
/*!40000 ALTER TABLE `sf_guard_user_profile` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shift`
--

DROP TABLE IF EXISTS `shift`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shift` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1 COMMENT='Representa un turno elegible por alumnos';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shift`
--

LOCK TABLES `shift` WRITE;
/*!40000 ALTER TABLE `shift` DISABLE KEYS */;
INSERT INTO `shift` VALUES (1,'Mañana'),(2,'Tarde');
/*!40000 ALTER TABLE `shift` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `state`
--

DROP TABLE IF EXISTS `state`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `state` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `country_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `state_FI_1` (`country_id`),
  CONSTRAINT `state_FK_1` FOREIGN KEY (`country_id`) REFERENCES `country` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=25 DEFAULT CHARSET=latin1 COMMENT='Representa una provincia';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `state`
--

LOCK TABLES `state` WRITE;
/*!40000 ALTER TABLE `state` DISABLE KEYS */;
INSERT INTO `state` VALUES (1,'Capital federal',13),(2,'Buenos aires',13),(3,'Entre rios',13),(4,'Santa fe',13),(5,'Cordoba',13),(6,'Santiago del estero',13),(7,'Catamarca',13),(8,'Corrientes',13),(9,'La pampa',13),(10,'Misiones',13),(11,'Chaco',13),(12,'Formosa',13),(13,'La rioja',13),(14,'Salta',13),(15,'Tucuman',13),(16,'Jujuy',13),(17,'San juan',13),(18,'San luis',13),(19,'Mendoza',13),(20,'Rio negro',13),(21,'Chubut',13),(22,'Neuquen',13),(23,'Santa cruz',13),(24,'Tierra del fuego',13);
/*!40000 ALTER TABLE `state` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `student`
--

DROP TABLE IF EXISTS `student`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `student` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `file_number` varchar(10) DEFAULT NULL,
  `lastname` varchar(255) NOT NULL,
  `firstname` varchar(255) NOT NULL,
  `sex` int(11) NOT NULL,
  `identification_type` int(11) NOT NULL,
  `identification_number` varchar(20) NOT NULL,
  `birthdate` date NOT NULL,
  `birth_country` varchar(255) DEFAULT NULL,
  `birth_state` varchar(255) DEFAULT NULL,
  `birth_city` varchar(255) DEFAULT NULL,
  `address_id` int(11) DEFAULT NULL,
  `occupation_id` int(11) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `busy_starts_at` time DEFAULT NULL,
  `busy_ends_at` time DEFAULT NULL,
  `shift_id` int(11) DEFAULT NULL,
  `phone` varchar(255) DEFAULT NULL,
  `observations` text,
  PRIMARY KEY (`id`),
  UNIQUE KEY `student_document_number` (`identification_number`),
  KEY `student_FI_1` (`address_id`),
  KEY `student_FI_2` (`occupation_id`),
  KEY `student_FI_3` (`shift_id`),
  CONSTRAINT `student_FK_1` FOREIGN KEY (`address_id`) REFERENCES `address` (`id`) ON UPDATE CASCADE,
  CONSTRAINT `student_FK_2` FOREIGN KEY (`occupation_id`) REFERENCES `occupation` (`id`),
  CONSTRAINT `student_FK_3` FOREIGN KEY (`shift_id`) REFERENCES `shift` (`id`) ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=latin1 COMMENT='Representa un alumno';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `student`
--

LOCK TABLES `student` WRITE;
/*!40000 ALTER TABLE `student` DISABLE KEYS */;
INSERT INTO `student` VALUES (3,'2','FAVALE','ANALÍA',2,1,'20111222','1979-08-18','','','',5,NULL,'ana@favale.com',NULL,NULL,1,'373737',''),(4,'3','ACOSTA','MARIANO',1,1,'27654321','1978-08-11','','','',6,NULL,'mariano@hotmail.com',NULL,NULL,1,'47747474',''),(5,'4','ACOSTA','ROMINA',1,1,'26123432','1977-05-12','','','',7,NULL,'',NULL,NULL,1,'',''),(6,'5','DEMELLI','CESAR',1,1,'30111222','1980-06-13','','','',8,NULL,'cdemelli@hotmail.com',NULL,NULL,1,'',''),(7,'7','MAIQUEZ','GUILLERMO',1,1,'21345321','1980-11-04','','','',9,NULL,'',NULL,NULL,1,'',''),(8,'6','CASERIO','JORGE',1,1,'30111333','1974-08-27','13','2','260',10,NULL,'',NULL,NULL,1,'',''),(9,'8','BORRÉ','JORGE',1,1,'24321654','1979-08-26','','','',11,NULL,'',NULL,NULL,1,'',''),(10,'10','REYNOSO','SAMANTHA',2,1,'25876594','1979-08-06','','','',12,NULL,'',NULL,NULL,1,'',''),(11,'9','NAVARRO','GERMAN',1,1,'30111444','1986-08-05','','','',13,NULL,'',NULL,NULL,1,'',''),(12,'12','YANZI','TERESA',2,1,'26543987','1972-08-12','','','',14,NULL,'',NULL,NULL,1,'',''),(13,'11','RODRIGUEZ','JUAN CARLOS',1,1,'30111555','1973-11-09','','','',15,NULL,'',NULL,NULL,1,'',''),(14,'14','BOECHAT','CAROLINA',2,1,'23213432','1977-08-24','13','2','20682',16,NULL,'boechat.carolina@gmail.com',NULL,NULL,1,'',''),(15,'13','SUÑOL','SEBASTIAN',1,1,'30111666','1957-08-05','13','','',17,NULL,'',NULL,NULL,1,'',''),(16,'16','POCAI','MARTÍN',1,1,'27321876','1979-08-12','','','',18,NULL,'',NULL,NULL,1,'',''),(17,'18','LOIZO','OCTAVIO',1,1,'26541321','1978-01-11','','','',19,NULL,'',NULL,NULL,1,'',''),(18,'15','EMILIANO','SCHMALE',1,1,'30111777','1958-08-19','13','17','15515',20,NULL,'',NULL,NULL,1,'',''),(19,'20','PELLEGRINA','ARACELI',2,1,'24321123','1979-12-01','','','',21,NULL,'',NULL,NULL,1,'',''),(20,'17','PATRICIO','TOBAL',1,1,'30111888','1980-08-26','13','2','20591',22,NULL,'',NULL,NULL,1,'',''),(21,'19','MAURICIO','PEREZ',1,1,'30111999','1981-05-12','','','',23,NULL,'',NULL,NULL,1,'','');
/*!40000 ALTER TABLE `student` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `student_guard_user`
--

DROP TABLE IF EXISTS `student_guard_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `student_guard_user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sf_guard_user_id` int(11) NOT NULL,
  `student_id` int(11) NOT NULL,
  PRIMARY KEY (`id`,`sf_guard_user_id`,`student_id`),
  UNIQUE KEY `teacher_guard_user` (`sf_guard_user_id`),
  KEY `student_guard_user_FI_2` (`student_id`),
  CONSTRAINT `student_guard_user_FK_1` FOREIGN KEY (`sf_guard_user_id`) REFERENCES `sf_guard_user` (`id`) ON DELETE CASCADE,
  CONSTRAINT `student_guard_user_FK_2` FOREIGN KEY (`student_id`) REFERENCES `student` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Representa la relaciÃ³n entre un alumno y su usuario en el s';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `student_guard_user`
--

LOCK TABLES `student_guard_user` WRITE;
/*!40000 ALTER TABLE `student_guard_user` DISABLE KEYS */;
/*!40000 ALTER TABLE `student_guard_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `student_school_year`
--

DROP TABLE IF EXISTS `student_school_year`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `student_school_year` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `student_id` int(11) NOT NULL,
  `school_year_id` int(11) NOT NULL,
  `student_status` int(11) NOT NULL DEFAULT '1' COMMENT 'Representa si el alumno es regular,libre o desertor.',
  `student_status_description` text,
  `created_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`,`student_id`,`school_year_id`),
  KEY `student_school_year_FI_1` (`student_id`),
  KEY `student_school_year_FI_2` (`school_year_id`),
  CONSTRAINT `student_school_year_FK_1` FOREIGN KEY (`student_id`) REFERENCES `student` (`id`) ON DELETE CASCADE,
  CONSTRAINT `student_school_year_FK_2` FOREIGN KEY (`school_year_id`) REFERENCES `school_year` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=39 DEFAULT CHARSET=latin1 COMMENT='MatrÃ­cula por aÃ±o lectivo: inscripciÃ³n de un alumno a un ';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `student_school_year`
--

LOCK TABLES `student_school_year` WRITE;
/*!40000 ALTER TABLE `student_school_year` DISABLE KEYS */;
INSERT INTO `student_school_year` VALUES (1,4,2,1,NULL,'2010-08-26 14:09:45'),(2,5,2,1,NULL,'2010-08-26 14:09:45'),(3,14,2,1,NULL,'2010-08-26 14:09:45'),(4,9,2,1,NULL,'2010-08-26 14:09:45'),(5,8,2,1,NULL,'2010-08-26 14:09:45'),(6,6,2,1,NULL,'2010-08-26 14:09:45'),(7,18,2,1,NULL,'2010-08-26 14:09:45'),(8,3,2,1,NULL,'2010-08-26 14:09:45'),(9,17,2,1,NULL,'2010-08-26 14:09:45'),(10,7,2,1,NULL,'2010-08-26 14:09:45'),(11,21,2,1,NULL,'2010-08-26 14:09:45'),(12,11,2,1,NULL,'2010-08-26 14:09:45'),(13,20,2,1,NULL,'2010-08-26 14:09:45'),(14,19,2,1,NULL,'2010-08-26 14:09:45'),(15,16,2,1,NULL,'2010-08-26 14:09:45'),(16,10,2,1,NULL,'2010-08-26 14:09:45'),(17,13,2,1,NULL,'2010-08-26 14:09:45'),(18,15,2,1,NULL,'2010-08-26 14:09:46'),(19,12,2,1,NULL,'2010-08-26 14:09:46'),(20,4,1,1,NULL,'2010-08-26 15:01:46'),(21,5,1,1,NULL,'2010-08-26 15:01:46'),(22,14,1,1,NULL,'2010-08-26 15:01:46'),(23,9,1,1,NULL,'2010-08-26 15:01:46'),(24,8,1,1,NULL,'2010-08-26 15:01:46'),(25,6,1,1,NULL,'2010-08-26 15:01:46'),(26,18,1,1,NULL,'2010-08-26 15:01:46'),(27,3,1,1,NULL,'2010-08-26 15:01:46'),(28,17,1,1,NULL,'2010-08-26 15:01:46'),(29,7,1,1,NULL,'2010-08-26 15:01:46'),(30,21,1,1,NULL,'2010-08-26 15:01:47'),(31,11,1,1,NULL,'2010-08-26 15:01:47'),(32,20,1,1,NULL,'2010-08-26 15:01:47'),(33,19,1,1,NULL,'2010-08-26 15:01:47'),(34,16,1,1,NULL,'2010-08-26 15:01:47'),(35,10,1,1,NULL,'2010-08-26 15:01:47'),(36,13,1,1,NULL,'2010-08-26 15:01:47'),(37,15,1,1,NULL,'2010-08-26 15:01:47'),(38,12,1,1,NULL,'2010-08-26 15:01:47');
/*!40000 ALTER TABLE `student_school_year` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `student_study`
--

DROP TABLE IF EXISTS `student_study`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `student_study` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `student_id` int(11) NOT NULL,
  `study_id` int(11) NOT NULL,
  PRIMARY KEY (`id`,`study_id`),
  KEY `student_study_FI_1` (`student_id`),
  KEY `student_study_FI_2` (`study_id`),
  CONSTRAINT `student_study_FK_1` FOREIGN KEY (`student_id`) REFERENCES `student` (`id`) ON DELETE CASCADE,
  CONSTRAINT `student_study_FK_2` FOREIGN KEY (`study_id`) REFERENCES `study` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Representa un estudio cursado por el alumno';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `student_study`
--

LOCK TABLES `student_study` WRITE;
/*!40000 ALTER TABLE `student_study` DISABLE KEYS */;
/*!40000 ALTER TABLE `student_study` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `study`
--

DROP TABLE IF EXISTS `study`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `study` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(255) NOT NULL,
  `place` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Representa un estudio cursado por el alumno';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `study`
--

LOCK TABLES `study` WRITE;
/*!40000 ALTER TABLE `study` DISABLE KEYS */;
/*!40000 ALTER TABLE `study` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `subject`
--

DROP TABLE IF EXISTS `subject`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `subject` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `created_at` datetime DEFAULT NULL,
  `name` varchar(255) NOT NULL COMMENT 'Nombre de la materia',
  `fantasy_name` varchar(255) NOT NULL COMMENT 'Nombre fantasia de la materia',
  `type` int(11) NOT NULL COMMENT 'Tipo de materia (Anual, Semestral)',
  `status` tinyint(4) DEFAULT '1' COMMENT 'Representa el estado de la materia (ACTIVO / NO ACTIVO)',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=80 DEFAULT CHARSET=latin1 COMMENT='Representa una materia';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `subject`
--

LOCK TABLES `subject` WRITE;
/*!40000 ALTER TABLE `subject` DISABLE KEYS */;
INSERT INTO `subject` VALUES (1,'2010-08-24 11:08:21','LENGUA 1','LENGUA 1',12,1),(2,'2010-08-24 11:08:34','MATEMATICA 1','MATEMATICA 1',12,1),(3,'2010-08-24 11:08:50','HISTORIA 1','HISTORIA 1',12,1),(4,'2010-08-24 11:09:08','GEOGRAFIA 1','GEOGRAFIA 1',12,1),(5,'2010-08-24 11:09:23','CIENCIAS NATURALES 1','CIENCIAS NATURALES 1',12,1),(6,'2010-08-24 11:09:51','ÉTICA Y CIUDADANIA 1','ÉTICA Y CIUDADANIA 1',12,1),(7,'2010-08-24 11:10:04','INGLÉS 1','INGLÉS 1',12,1),(8,'2010-08-24 11:10:17','COMPUTACIÓN 1','COMPUTACIÓN 1',12,1),(9,'2010-08-24 11:10:47','FORMACIÓN VISUAL 1','FORMACIÓN VISUAL 1',12,1),(10,'2010-08-24 11:11:03','FORMACIÓN MUSICAL 1','FORMACIÓN MUSICAL 1',12,1),(11,'2010-08-24 11:16:13','LENGUA 2','LENGUA 2',12,1),(12,'2010-08-24 11:16:27','MATEMÁTICA 2','MATEMÁTICA 2',12,1),(13,'2010-08-24 11:16:49','HISTORIA 2','HISTORIA 2',12,1),(14,'2010-08-24 11:16:59','GEOGRAFIA 2','GEOGRAFIA 2',12,1),(15,'2010-08-24 11:18:06','BIOLOGIA 1','BIOLOGIA 1',12,1),(16,'2010-08-24 11:18:28','QUIMICA 1','QUIMICA 1',12,1),(17,'2010-08-24 11:18:54','FRANCES 1','FRANCES 1',12,1),(18,'2010-08-24 11:19:10','INGLES 2','INGLES 2',12,1),(19,'2010-08-24 11:19:29','ÉTICA Y CIUDADANÍA 2','ÉTICA Y CIUDADANÍA 2',12,1),(20,'2010-08-24 11:19:38','FORMACIÓN VISUAL 2','FORMACIÓN VISUAL 2',12,1),(21,'2010-08-24 11:19:49','FORMACIÓN MUSICAL 2','FORMACIÓN MUSICAL 2',12,1),(22,'2010-08-24 11:20:08','TALLER DE EDUCACIÓN SEXUAL 1','TALLER DE EDUCACIÓN SEXUAL 1',4,1),(23,'2010-08-24 11:20:20','EDUCACIÓN FÍSICA 2','EDUCACIÓN FÍSICA 2',12,1),(24,'2010-08-24 11:21:03','LENGUA 3','LENGUA 3',12,1),(25,'2010-08-24 11:21:13','MATEMÁTICA 3','MATEMÁTICA 3',12,1),(26,'2010-08-24 11:21:24','HISTORIA 3','HISTORIA 3',12,1),(27,'2010-08-24 11:21:40','GEOGRAFÍA 3','GEOGRAFÍA 3',12,1),(28,'2010-08-24 11:22:03','FÍSICA 1','FÍSICA 1',12,1),(29,'2010-08-24 11:22:13','ÉTICA Y CIUDADANÍA 3','ÉTICA Y CIUDADANÍA 3',12,1),(30,'2010-08-24 11:22:26','FRANCÉS 2','FRANCÉS 2',12,1),(31,'2010-08-24 11:22:41','INGLÉS 3','INGLÉS 3',12,1),(32,'2010-08-24 11:22:59','BIOLOGÍA 2','BIOLOGÍA 2',12,1),(33,'2010-08-24 11:23:12','QUÍMICA 2','QUÍMICA 2',12,1),(34,'2010-08-24 11:23:22','FORMACIÓN VISUAL 3','FORMACIÓN VISUAL 3',12,1),(35,'2010-08-24 11:23:33','FORMACIÓN MUSICAL 3','FORMACIÓN MUSICAL 3',12,1),(36,'2010-08-24 11:23:58','COMPUTACIÓN 2','COMPUTACIÓN 2',12,1),(37,'2010-08-24 11:24:04','EDUCACIÓN FÍSICA 3','EDUCACIÓN FÍSICA 3',12,1),(38,'2010-08-24 11:24:25','LENGUA 4','LENGUA 4',12,1),(39,'2010-08-24 11:24:33','MATEMÁTICA 4','MATEMÁTICA 4',12,1),(40,'2010-08-24 11:24:42','HISTORIA 4','HISTORIA 4',12,1),(41,'2010-08-24 11:24:57','LÓGICA 1','LÓGICA 1',12,1),(42,'2010-08-24 11:25:20','INGLÉS 4','INGLÉS 4',12,1),(43,'2010-08-24 11:25:36','FRANCÉS 3','FRANCÉS 3',12,1),(44,'2010-08-24 11:25:55','FORMACIÓN VISUAL 4','FORMACIÓN VISUAL 4',4,1),(45,'2010-08-24 11:26:18','BIOLOGÍA 3','BIOLOGÍA 3',4,1),(46,'2010-08-24 11:26:38','QUÍMICA 3','QUÍMICA 3',4,1),(47,'2010-08-24 11:27:06','FÍSICA 2','FÍSICA 2',4,1),(48,'2010-08-24 11:27:22','GEOGRAFÍA 4','GEOGRAFÍA 4',4,1),(49,'2010-08-24 11:27:34','FORMACIÓN MUSICAL 4','FORMACIÓN MUSICAL 4',4,1),(50,'2010-08-24 11:27:48','EDUCACIÓN FÍSICA 4','EDUCACIÓN FÍSICA 4',12,1),(51,'2010-08-24 11:29:49','LENGUA 5',' LENGUA 5',12,1),(52,'2010-08-24 11:29:58','MATEMÁTICA 5','MATEMÁTICA 5',12,1),(53,'2010-08-24 11:30:07','INGLÉS 5','INGLÉS 5',12,1),(54,'2010-08-24 11:30:16','DERECHO POLÍTICO 1','DERECHO POLÍTICO 1',12,1),(55,'2010-08-24 11:30:58','FILOSOFÍA','FILOSOFÍA',12,1),(56,'2010-08-24 11:31:04','FRANCÉS 4','FRANCÉS 4',12,1),(57,'2010-08-24 11:31:15','HISTORIA 5','HISTORIA 5',4,1),(58,'2010-08-24 11:31:26','QUÍMICA 4','QUÍMICA 4',4,1),(59,'2010-08-24 11:31:35','BIOLOGÍA 4','BIOLOGÍA 4',4,1),(60,'2010-08-24 11:31:44','GEOGRAFÍA 5','GEOGRAFÍA 5',4,1),(61,'2010-08-24 11:31:53','FÍSICA 3','FÍSICA 3',4,1),(62,'2010-08-24 11:32:12','ANÁLISIS DEL DISCURSO VISUAL 1','ANÁLISIS DEL DISCURSO VISUAL 1',4,1),(63,'2010-08-24 11:32:31','OPTATIVA 1',' OPTATIVA 1',4,1),(64,'2010-08-24 11:32:57','EDUCACIÓN FÍSICA 5','EDUCACIÓN FÍSICA 5',12,1),(65,'2010-08-24 11:33:06','LENGUA 6','LENGUA 6',12,1),(66,'2010-08-24 11:33:15','MATEMÁTICA 6','MATEMÁTICA 6',12,1),(67,'2010-08-24 11:33:20','PSICOLOGÍA 1','PSICOLOGÍA 1',12,1),(68,'2010-08-24 11:33:28','IDIOMA 1','IDIOMA 1',12,1),(69,'2010-08-24 11:33:35','FILOSOFÍA Y EPISTEMOLOGÍA 1','FILOSOFÍA Y EPISTEMOLOGÍA 1',12,1),(70,'2010-08-24 11:33:45','CIENCIA Y SOCIEDAD 1','CIENCIA Y SOCIEDAD 1',12,1),(71,'2010-08-24 11:34:00','HISTORIA 6','HISTORIA 6',4,1),(72,'2010-08-24 11:34:39','OPTATIVAS 1','OPTATIVAS 1',4,1),(73,'2010-08-24 11:34:52','FÍSICA 4','FÍSICA 4',4,1),(74,'2010-08-24 11:35:01','METODOLOGÍA DE LA INVESTIGACIÓN 1','METODOLOGÍA DE LA INVESTIGACIÓN 1',4,1),(75,'2010-08-24 11:35:15','EDUCACIÓN FÍSICA 6','EDUCACIÓN FÍSICA 6',12,1),(76,'2010-08-24 11:39:43','EDUCACIÓN FÍSICA','EDUCACIÓN FÍSICA',12,1),(77,'2010-08-24 12:14:01','OPCION 1','OPCION 1',12,1),(78,'2010-08-24 12:14:08','OPCION 2','OPCION 2',12,1),(79,'2010-08-24 12:14:14','OPCION 3','OPCION 3',12,1);
/*!40000 ALTER TABLE `subject` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `subject_configuration`
--

DROP TABLE IF EXISTS `subject_configuration`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `subject_configuration` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `created_at` datetime DEFAULT NULL,
  `marks` int(11) NOT NULL DEFAULT '2' COMMENT 'Cantidad de notas que tendrÃ¡ la materia. Por defecto son 2.',
  `free_method` tinyint(4) DEFAULT '0',
  `regular_method` tinyint(4) DEFAULT '0',
  `regular_mark` int(11) DEFAULT '4' COMMENT 'Nota minima para aprobar sin promocion',
  `promotion_method` tinyint(4) DEFAULT '0',
  `promotion_mark` int(11) DEFAULT NULL COMMENT 'Si la materia es con promociÃ³n este campo representara esa nota',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1 COMMENT='ConfiguraciÃ³n de las materias';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `subject_configuration`
--

LOCK TABLES `subject_configuration` WRITE;
/*!40000 ALTER TABLE `subject_configuration` DISABLE KEYS */;
INSERT INTO `subject_configuration` VALUES (1,'2010-08-24 11:07:03',2,0,0,4,0,NULL),(2,'2010-08-24 11:35:59',2,0,0,4,0,NULL);
/*!40000 ALTER TABLE `subject_configuration` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `teacher`
--

DROP TABLE IF EXISTS `teacher`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `teacher` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `lastname` varchar(255) NOT NULL,
  `firstname` varchar(255) NOT NULL,
  `is_active` tinyint(4) DEFAULT '1',
  `identification_type` int(11) NOT NULL,
  `identification_number` varchar(20) NOT NULL,
  `email` varchar(255) DEFAULT NULL,
  `address_id` int(11) DEFAULT NULL,
  `phone` varchar(255) DEFAULT NULL,
  `observations` text,
  PRIMARY KEY (`id`),
  UNIQUE KEY `teacher_identification_number` (`identification_number`),
  KEY `teacher_FI_1` (`address_id`),
  CONSTRAINT `teacher_FK_1` FOREIGN KEY (`address_id`) REFERENCES `address` (`id`) ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=latin1 COMMENT='representa a un docente';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `teacher`
--

LOCK TABLES `teacher` WRITE;
/*!40000 ALTER TABLE `teacher` DISABLE KEYS */;
INSERT INTO `teacher` VALUES (1,'MUSMANO','RUBEN',1,1,'20120129','',1,'',''),(2,'GULIN','MIRTA',1,1,'15765123','mgulin@hotmail.com',24,'',''),(3,'ARRIETA','JUAN',1,1,'16543123','',25,'',''),(4,'ACETO','RUBÉN',1,1,'18765192','',26,'',''),(5,'AGUSTINELLI','MARCELA',1,1,'17546123','',27,'',''),(6,'BIBÉ','VICTOR',1,1,'1365412','',28,'',''),(7,'HOBS','MARIANA',1,1,'14654123','',29,'',''),(8,'ORIOL','PABLO',1,1,'12123456','',30,'','');
/*!40000 ALTER TABLE `teacher` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `teacher_guard_user`
--

DROP TABLE IF EXISTS `teacher_guard_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `teacher_guard_user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sf_guard_user_id` int(11) NOT NULL,
  `teacher_id` int(11) NOT NULL,
  PRIMARY KEY (`id`,`sf_guard_user_id`,`teacher_id`),
  UNIQUE KEY `teacher_guard_user` (`sf_guard_user_id`),
  KEY `teacher_guard_user_FI_2` (`teacher_id`),
  CONSTRAINT `teacher_guard_user_FK_1` FOREIGN KEY (`sf_guard_user_id`) REFERENCES `sf_guard_user` (`id`) ON DELETE CASCADE,
  CONSTRAINT `teacher_guard_user_FK_2` FOREIGN KEY (`teacher_id`) REFERENCES `teacher` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1 COMMENT='Representa la relaciÃ³n entre un profesor y su usuario en el';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `teacher_guard_user`
--

LOCK TABLES `teacher_guard_user` WRITE;
/*!40000 ALTER TABLE `teacher_guard_user` DISABLE KEYS */;
INSERT INTO `teacher_guard_user` VALUES (1,2,1);
/*!40000 ALTER TABLE `teacher_guard_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `transaction_ticket`
--

DROP TABLE IF EXISTS `transaction_ticket`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `transaction_ticket` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `field_table` varchar(256) NOT NULL,
  `table_primary_key` text NOT NULL,
  `ticket` varchar(256) NOT NULL COMMENT 'hash de la transaccion realizada',
  `created_at` datetime NOT NULL,
  `expires_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `table_ticket_date` (`field_table`,`ticket`,`created_at`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=latin1 COMMENT='Tickets de transaccion';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `transaction_ticket`
--

LOCK TABLES `transaction_ticket` WRITE;
/*!40000 ALTER TABLE `transaction_ticket` DISABLE KEYS */;
INSERT INTO `transaction_ticket` VALUES (1,'career_student','i:1;','49371d5f4c94245b29602f1e516bafa8','2010-08-24 13:10:38','2010-08-28 13:10:38'),(2,'career_student','i:1;','a3ddde94793de907e930987c8544e159','2010-08-26 14:10:06','2010-08-30 14:10:06'),(3,'career_student','i:2;','86cac8dc49a8b411e4fb240ae9a8140b','2010-08-26 14:10:06','2010-08-30 14:10:06'),(4,'career_student','i:3;','cb99f48474fee912a4530cc15ae2c8a6','2010-08-26 14:10:06','2010-08-30 14:10:06'),(5,'career_student','i:4;','e1c9e1f1349216ca7fd5185a403e04fe','2010-08-26 14:10:06','2010-08-30 14:10:06'),(6,'career_student','i:5;','008c84b30b5f1540ef40fa9cc0beb6e4','2010-08-26 14:10:06','2010-08-30 14:10:06'),(7,'career_student','i:6;','b2a78a3c60017f6df442a1f258b74534','2010-08-26 14:10:06','2010-08-30 14:10:06'),(8,'career_student','i:7;','f4b258286feb7a51e02325b027079b9b','2010-08-26 14:10:06','2010-08-30 14:10:06'),(9,'career_student','i:8;','65c1d9c7139f53208fe0194cc7c1917d','2010-08-26 14:10:06','2010-08-30 14:10:06'),(10,'career_student','i:9;','cd403ebaef503f6d664de3bfaf603118','2010-08-26 14:10:06','2010-08-30 14:10:06'),(11,'career_student','i:10;','c7e390366dc023c47d7be0d8352acb04','2010-08-26 14:10:06','2010-08-30 14:10:06'),(12,'career_student','i:11;','73d050fc8513aedb3f6f349547a971cf','2010-08-26 14:10:06','2010-08-30 14:10:06'),(13,'career_student','i:12;','fcd27f90cfef1bdd03a790ccf73ff7f8','2010-08-26 14:10:06','2010-08-30 14:10:06'),(14,'career_student','i:13;','077414d990def4605d629beae61f2b16','2010-08-26 14:10:06','2010-08-30 14:10:06'),(15,'career_student','i:14;','8bdfa3799f9d3d0a9cc2131bcf23c6e4','2010-08-26 14:10:06','2010-08-30 14:10:06'),(16,'career_student','i:15;','06efd9654fee815c9727446830da5ebd','2010-08-26 14:10:06','2010-08-30 14:10:06'),(17,'career_student','i:16;','17569ef59db97bb51c013871043c62d0','2010-08-26 14:10:06','2010-08-30 14:10:06'),(18,'career_student','i:17;','de9f5747882b5037e1106c817bbe3c4b','2010-08-26 14:10:07','2010-08-30 14:10:07'),(19,'career_student','i:18;','f551f7a1094fd6db52768e15945a4b95','2010-08-26 14:10:07','2010-08-30 14:10:07'),(20,'career_student','i:19;','8c2456ad31489cfcaf93bc66c8bac99d','2010-08-26 14:10:07','2010-08-30 14:10:07');
/*!40000 ALTER TABLE `transaction_ticket` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tutor`
--

DROP TABLE IF EXISTS `tutor`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tutor` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `student_id` int(11) DEFAULT NULL,
  `lastname` varchar(255) NOT NULL,
  `firstname` varchar(255) NOT NULL,
  `occupation_id` int(11) NOT NULL,
  `identification_type` int(11) NOT NULL,
  `identification_number` varchar(255) NOT NULL,
  `phone` varchar(255) NOT NULL,
  `address_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `tutor_FI_1` (`student_id`),
  KEY `tutor_FI_2` (`occupation_id`),
  KEY `tutor_FI_3` (`address_id`),
  CONSTRAINT `tutor_FK_1` FOREIGN KEY (`student_id`) REFERENCES `student` (`id`) ON DELETE CASCADE,
  CONSTRAINT `tutor_FK_2` FOREIGN KEY (`occupation_id`) REFERENCES `occupation` (`id`),
  CONSTRAINT `tutor_FK_3` FOREIGN KEY (`address_id`) REFERENCES `address` (`id`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Representa un tutor del alumno';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tutor`
--

LOCK TABLES `tutor` WRITE;
/*!40000 ALTER TABLE `tutor` DISABLE KEYS */;
/*!40000 ALTER TABLE `tutor` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2010-08-26 15:46:46
